import '../province.dart';

Map<String, VNWard> vnWards = {
  "W_1" : VNWard("Phường Phúc Xá", 1, VietnamDivisionType.PHUONG, "phuong_phuc_xa", 1),
  "W_4" : VNWard("Phường Trúc Bạch", 4, VietnamDivisionType.PHUONG, "phuong_truc_bach", 1),
  "W_6" : VNWard("Phường Vĩnh Phúc", 6, VietnamDivisionType.PHUONG, "phuong_vinh_phuc", 1),
  "W_7" : VNWard("Phường Cống Vị", 7, VietnamDivisionType.PHUONG, "phuong_cong_vi", 1),
  "W_8" : VNWard("Phường Liễu Giai", 8, VietnamDivisionType.PHUONG, "phuong_lieu_giai", 1),
  "W_10" : VNWard("Phường Nguyễn Trung Trực", 10, VietnamDivisionType.PHUONG, "phuong_nguyen_trung_truc", 1),
  "W_13" : VNWard("Phường Quán Thánh", 13, VietnamDivisionType.PHUONG, "phuong_quan_thanh", 1),
  "W_16" : VNWard("Phường Ngọc Hà", 16, VietnamDivisionType.PHUONG, "phuong_ngoc_ha", 1),
  "W_19" : VNWard("Phường Điện Biên", 19, VietnamDivisionType.PHUONG, "phuong_dien_bien", 1),
  "W_22" : VNWard("Phường Đội Cấn", 22, VietnamDivisionType.PHUONG, "phuong_doi_can", 1),
  "W_25" : VNWard("Phường Ngọc Khánh", 25, VietnamDivisionType.PHUONG, "phuong_ngoc_khanh", 1),
  "W_28" : VNWard("Phường Kim Mã", 28, VietnamDivisionType.PHUONG, "phuong_kim_ma", 1),
  "W_31" : VNWard("Phường Giảng Võ", 31, VietnamDivisionType.PHUONG, "phuong_giang_vo", 1),
  "W_34" : VNWard("Phường Thành Công", 34, VietnamDivisionType.PHUONG, "phuong_thanh_cong", 1),
  "W_37" : VNWard("Phường Phúc Tân", 37, VietnamDivisionType.PHUONG, "phuong_phuc_tan", 2),
  "W_40" : VNWard("Phường Đồng Xuân", 40, VietnamDivisionType.PHUONG, "phuong_dong_xuan", 2),
  "W_43" : VNWard("Phường Hàng Mã", 43, VietnamDivisionType.PHUONG, "phuong_hang_ma", 2),
  "W_46" : VNWard("Phường Hàng Buồm", 46, VietnamDivisionType.PHUONG, "phuong_hang_buom", 2),
  "W_49" : VNWard("Phường Hàng Đào", 49, VietnamDivisionType.PHUONG, "phuong_hang_dao", 2),
  "W_52" : VNWard("Phường Hàng Bồ", 52, VietnamDivisionType.PHUONG, "phuong_hang_bo", 2),
  "W_55" : VNWard("Phường Cửa Đông", 55, VietnamDivisionType.PHUONG, "phuong_cua_dong", 2),
  "W_58" : VNWard("Phường Lý Thái Tổ", 58, VietnamDivisionType.PHUONG, "phuong_ly_thai_to", 2),
  "W_61" : VNWard("Phường Hàng Bạc", 61, VietnamDivisionType.PHUONG, "phuong_hang_bac", 2),
  "W_64" : VNWard("Phường Hàng Gai", 64, VietnamDivisionType.PHUONG, "phuong_hang_gai", 2),
  "W_67" : VNWard("Phường Chương Dương", 67, VietnamDivisionType.PHUONG, "phuong_chuong_duong", 2),
  "W_70" : VNWard("Phường Hàng Trống", 70, VietnamDivisionType.PHUONG, "phuong_hang_trong", 2),
  "W_73" : VNWard("Phường Cửa Nam", 73, VietnamDivisionType.PHUONG, "phuong_cua_nam", 2),
  "W_76" : VNWard("Phường Hàng Bông", 76, VietnamDivisionType.PHUONG, "phuong_hang_bong", 2),
  "W_79" : VNWard("Phường Tràng Tiền", 79, VietnamDivisionType.PHUONG, "phuong_trang_tien", 2),
  "W_82" : VNWard("Phường Trần Hưng Đạo", 82, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 2),
  "W_85" : VNWard("Phường Phan Chu Trinh", 85, VietnamDivisionType.PHUONG, "phuong_phan_chu_trinh", 2),
  "W_88" : VNWard("Phường Hàng Bài", 88, VietnamDivisionType.PHUONG, "phuong_hang_bai", 2),
  "W_91" : VNWard("Phường Phú Thượng", 91, VietnamDivisionType.PHUONG, "phuong_phu_thuong", 3),
  "W_94" : VNWard("Phường Nhật Tân", 94, VietnamDivisionType.PHUONG, "phuong_nhat_tan", 3),
  "W_97" : VNWard("Phường Tứ Liên", 97, VietnamDivisionType.PHUONG, "phuong_tu_lien", 3),
  "W_100" : VNWard("Phường Quảng An", 100, VietnamDivisionType.PHUONG, "phuong_quang_an", 3),
  "W_103" : VNWard("Phường Xuân La", 103, VietnamDivisionType.PHUONG, "phuong_xuan_la", 3),
  "W_106" : VNWard("Phường Yên Phụ", 106, VietnamDivisionType.PHUONG, "phuong_yen_phu", 3),
  "W_109" : VNWard("Phường Bưởi", 109, VietnamDivisionType.PHUONG, "phuong_buoi", 3),
  "W_112" : VNWard("Phường Thụy Khuê", 112, VietnamDivisionType.PHUONG, "phuong_thuy_khue", 3),
  "W_115" : VNWard("Phường Thượng Thanh", 115, VietnamDivisionType.PHUONG, "phuong_thuong_thanh", 4),
  "W_118" : VNWard("Phường Ngọc Thụy", 118, VietnamDivisionType.PHUONG, "phuong_ngoc_thuy", 4),
  "W_121" : VNWard("Phường Giang Biên", 121, VietnamDivisionType.PHUONG, "phuong_giang_bien", 4),
  "W_124" : VNWard("Phường Đức Giang", 124, VietnamDivisionType.PHUONG, "phuong_duc_giang", 4),
  "W_127" : VNWard("Phường Việt Hưng", 127, VietnamDivisionType.PHUONG, "phuong_viet_hung", 4),
  "W_130" : VNWard("Phường Gia Thụy", 130, VietnamDivisionType.PHUONG, "phuong_gia_thuy", 4),
  "W_133" : VNWard("Phường Ngọc Lâm", 133, VietnamDivisionType.PHUONG, "phuong_ngoc_lam", 4),
  "W_136" : VNWard("Phường Phúc Lợi", 136, VietnamDivisionType.PHUONG, "phuong_phuc_loi", 4),
  "W_139" : VNWard("Phường Bồ Đề", 139, VietnamDivisionType.PHUONG, "phuong_bo_de", 4),
  "W_142" : VNWard("Phường Sài Đồng", 142, VietnamDivisionType.PHUONG, "phuong_sai_dong", 4),
  "W_145" : VNWard("Phường Long Biên", 145, VietnamDivisionType.PHUONG, "phuong_long_bien", 4),
  "W_148" : VNWard("Phường Thạch Bàn", 148, VietnamDivisionType.PHUONG, "phuong_thach_ban", 4),
  "W_151" : VNWard("Phường Phúc Đồng", 151, VietnamDivisionType.PHUONG, "phuong_phuc_dong", 4),
  "W_154" : VNWard("Phường Cự Khối", 154, VietnamDivisionType.PHUONG, "phuong_cu_khoi", 4),
  "W_157" : VNWard("Phường Nghĩa Đô", 157, VietnamDivisionType.PHUONG, "phuong_nghia_do", 5),
  "W_160" : VNWard("Phường Nghĩa Tân", 160, VietnamDivisionType.PHUONG, "phuong_nghia_tan", 5),
  "W_163" : VNWard("Phường Mai Dịch", 163, VietnamDivisionType.PHUONG, "phuong_mai_dich", 5),
  "W_166" : VNWard("Phường Dịch Vọng", 166, VietnamDivisionType.PHUONG, "phuong_dich_vong", 5),
  "W_167" : VNWard("Phường Dịch Vọng Hậu", 167, VietnamDivisionType.PHUONG, "phuong_dich_vong_hau", 5),
  "W_169" : VNWard("Phường Quan Hoa", 169, VietnamDivisionType.PHUONG, "phuong_quan_hoa", 5),
  "W_172" : VNWard("Phường Yên Hoà", 172, VietnamDivisionType.PHUONG, "phuong_yen_hoa", 5),
  "W_175" : VNWard("Phường Trung Hoà", 175, VietnamDivisionType.PHUONG, "phuong_trung_hoa", 5),
  "W_178" : VNWard("Phường Cát Linh", 178, VietnamDivisionType.PHUONG, "phuong_cat_linh", 6),
  "W_181" : VNWard("Phường Văn Miếu", 181, VietnamDivisionType.PHUONG, "phuong_van_mieu", 6),
  "W_184" : VNWard("Phường Quốc Tử Giám", 184, VietnamDivisionType.PHUONG, "phuong_quoc_tu_giam", 6),
  "W_187" : VNWard("Phường Láng Thượng", 187, VietnamDivisionType.PHUONG, "phuong_lang_thuong", 6),
  "W_190" : VNWard("Phường Ô Chợ Dừa", 190, VietnamDivisionType.PHUONG, "phuong_o_cho_dua", 6),
  "W_193" : VNWard("Phường Văn Chương", 193, VietnamDivisionType.PHUONG, "phuong_van_chuong", 6),
  "W_196" : VNWard("Phường Hàng Bột", 196, VietnamDivisionType.PHUONG, "phuong_hang_bot", 6),
  "W_199" : VNWard("Phường Láng Hạ", 199, VietnamDivisionType.PHUONG, "phuong_lang_ha", 6),
  "W_202" : VNWard("Phường Khâm Thiên", 202, VietnamDivisionType.PHUONG, "phuong_kham_thien", 6),
  "W_205" : VNWard("Phường Thổ Quan", 205, VietnamDivisionType.PHUONG, "phuong_tho_quan", 6),
  "W_208" : VNWard("Phường Nam Đồng", 208, VietnamDivisionType.PHUONG, "phuong_nam_dong", 6),
  "W_211" : VNWard("Phường Trung Phụng", 211, VietnamDivisionType.PHUONG, "phuong_trung_phung", 6),
  "W_214" : VNWard("Phường Quang Trung", 214, VietnamDivisionType.PHUONG, "phuong_quang_trung", 6),
  "W_217" : VNWard("Phường Trung Liệt", 217, VietnamDivisionType.PHUONG, "phuong_trung_liet", 6),
  "W_220" : VNWard("Phường Phương Liên", 220, VietnamDivisionType.PHUONG, "phuong_phuong_lien", 6),
  "W_223" : VNWard("Phường Thịnh Quang", 223, VietnamDivisionType.PHUONG, "phuong_thinh_quang", 6),
  "W_226" : VNWard("Phường Trung Tự", 226, VietnamDivisionType.PHUONG, "phuong_trung_tu", 6),
  "W_229" : VNWard("Phường Kim Liên", 229, VietnamDivisionType.PHUONG, "phuong_kim_lien", 6),
  "W_232" : VNWard("Phường Phương Mai", 232, VietnamDivisionType.PHUONG, "phuong_phuong_mai", 6),
  "W_235" : VNWard("Phường Ngã Tư Sở", 235, VietnamDivisionType.PHUONG, "phuong_nga_tu_so", 6),
  "W_238" : VNWard("Phường Khương Thượng", 238, VietnamDivisionType.PHUONG, "phuong_khuong_thuong", 6),
  "W_241" : VNWard("Phường Nguyễn Du", 241, VietnamDivisionType.PHUONG, "phuong_nguyen_du", 7),
  "W_244" : VNWard("Phường Bạch Đằng", 244, VietnamDivisionType.PHUONG, "phuong_bach_dang", 7),
  "W_247" : VNWard("Phường Phạm Đình Hổ", 247, VietnamDivisionType.PHUONG, "phuong_pham_dinh_ho", 7),
  "W_256" : VNWard("Phường Lê Đại Hành", 256, VietnamDivisionType.PHUONG, "phuong_le_dai_hanh", 7),
  "W_259" : VNWard("Phường Đồng Nhân", 259, VietnamDivisionType.PHUONG, "phuong_dong_nhan", 7),
  "W_262" : VNWard("Phường Phố Huế", 262, VietnamDivisionType.PHUONG, "phuong_pho_hue", 7),
  "W_265" : VNWard("Phường Đống Mác", 265, VietnamDivisionType.PHUONG, "phuong_dong_mac", 7),
  "W_268" : VNWard("Phường Thanh Lương", 268, VietnamDivisionType.PHUONG, "phuong_thanh_luong", 7),
  "W_271" : VNWard("Phường Thanh Nhàn", 271, VietnamDivisionType.PHUONG, "phuong_thanh_nhan", 7),
  "W_274" : VNWard("Phường Cầu Dền", 274, VietnamDivisionType.PHUONG, "phuong_cau_den", 7),
  "W_277" : VNWard("Phường Bách Khoa", 277, VietnamDivisionType.PHUONG, "phuong_bach_khoa", 7),
  "W_280" : VNWard("Phường Đồng Tâm", 280, VietnamDivisionType.PHUONG, "phuong_dong_tam", 7),
  "W_283" : VNWard("Phường Vĩnh Tuy", 283, VietnamDivisionType.PHUONG, "phuong_vinh_tuy", 7),
  "W_286" : VNWard("Phường Bạch Mai", 286, VietnamDivisionType.PHUONG, "phuong_bach_mai", 7),
  "W_289" : VNWard("Phường Quỳnh Mai", 289, VietnamDivisionType.PHUONG, "phuong_quynh_mai", 7),
  "W_292" : VNWard("Phường Quỳnh Lôi", 292, VietnamDivisionType.PHUONG, "phuong_quynh_loi", 7),
  "W_295" : VNWard("Phường Minh Khai", 295, VietnamDivisionType.PHUONG, "phuong_minh_khai", 7),
  "W_298" : VNWard("Phường Trương Định", 298, VietnamDivisionType.PHUONG, "phuong_truong_dinh", 7),
  "W_301" : VNWard("Phường Thanh Trì", 301, VietnamDivisionType.PHUONG, "phuong_thanh_tri", 8),
  "W_304" : VNWard("Phường Vĩnh Hưng", 304, VietnamDivisionType.PHUONG, "phuong_vinh_hung", 8),
  "W_307" : VNWard("Phường Định Công", 307, VietnamDivisionType.PHUONG, "phuong_dinh_cong", 8),
  "W_310" : VNWard("Phường Mai Động", 310, VietnamDivisionType.PHUONG, "phuong_mai_dong", 8),
  "W_313" : VNWard("Phường Tương Mai", 313, VietnamDivisionType.PHUONG, "phuong_tuong_mai", 8),
  "W_316" : VNWard("Phường Đại Kim", 316, VietnamDivisionType.PHUONG, "phuong_dai_kim", 8),
  "W_319" : VNWard("Phường Tân Mai", 319, VietnamDivisionType.PHUONG, "phuong_tan_mai", 8),
  "W_322" : VNWard("Phường Hoàng Văn Thụ", 322, VietnamDivisionType.PHUONG, "phuong_hoang_van_thu", 8),
  "W_325" : VNWard("Phường Giáp Bát", 325, VietnamDivisionType.PHUONG, "phuong_giap_bat", 8),
  "W_328" : VNWard("Phường Lĩnh Nam", 328, VietnamDivisionType.PHUONG, "phuong_linh_nam", 8),
  "W_331" : VNWard("Phường Thịnh Liệt", 331, VietnamDivisionType.PHUONG, "phuong_thinh_liet", 8),
  "W_334" : VNWard("Phường Trần Phú", 334, VietnamDivisionType.PHUONG, "phuong_tran_phu", 8),
  "W_337" : VNWard("Phường Hoàng Liệt", 337, VietnamDivisionType.PHUONG, "phuong_hoang_liet", 8),
  "W_340" : VNWard("Phường Yên Sở", 340, VietnamDivisionType.PHUONG, "phuong_yen_so", 8),
  "W_343" : VNWard("Phường Nhân Chính", 343, VietnamDivisionType.PHUONG, "phuong_nhan_chinh", 9),
  "W_346" : VNWard("Phường Thượng Đình", 346, VietnamDivisionType.PHUONG, "phuong_thuong_dinh", 9),
  "W_349" : VNWard("Phường Khương Trung", 349, VietnamDivisionType.PHUONG, "phuong_khuong_trung", 9),
  "W_352" : VNWard("Phường Khương Mai", 352, VietnamDivisionType.PHUONG, "phuong_khuong_mai", 9),
  "W_355" : VNWard("Phường Thanh Xuân Trung", 355, VietnamDivisionType.PHUONG, "phuong_thanh_xuan_trung", 9),
  "W_358" : VNWard("Phường Phương Liệt", 358, VietnamDivisionType.PHUONG, "phuong_phuong_liet", 9),
  "W_361" : VNWard("Phường Hạ Đình", 361, VietnamDivisionType.PHUONG, "phuong_ha_dinh", 9),
  "W_364" : VNWard("Phường Khương Đình", 364, VietnamDivisionType.PHUONG, "phuong_khuong_dinh", 9),
  "W_367" : VNWard("Phường Thanh Xuân Bắc", 367, VietnamDivisionType.PHUONG, "phuong_thanh_xuan_bac", 9),
  "W_370" : VNWard("Phường Thanh Xuân Nam", 370, VietnamDivisionType.PHUONG, "phuong_thanh_xuan_nam", 9),
  "W_373" : VNWard("Phường Kim Giang", 373, VietnamDivisionType.PHUONG, "phuong_kim_giang", 9),
  "W_376" : VNWard("Thị trấn Sóc Sơn", 376, VietnamDivisionType.THI_TRAN, "thi_tran_soc_son", 16),
  "W_379" : VNWard("Xã Bắc Sơn", 379, VietnamDivisionType.XA, "xa_bac_son", 16),
  "W_382" : VNWard("Xã Minh Trí", 382, VietnamDivisionType.XA, "xa_minh_tri", 16),
  "W_385" : VNWard("Xã Hồng Kỳ", 385, VietnamDivisionType.XA, "xa_hong_ky", 16),
  "W_388" : VNWard("Xã Nam Sơn", 388, VietnamDivisionType.XA, "xa_nam_son", 16),
  "W_391" : VNWard("Xã Trung Giã", 391, VietnamDivisionType.XA, "xa_trung_gia", 16),
  "W_394" : VNWard("Xã Tân Hưng", 394, VietnamDivisionType.XA, "xa_tan_hung", 16),
  "W_397" : VNWard("Xã Minh Phú", 397, VietnamDivisionType.XA, "xa_minh_phu", 16),
  "W_400" : VNWard("Xã Phù Linh", 400, VietnamDivisionType.XA, "xa_phu_linh", 16),
  "W_403" : VNWard("Xã Bắc Phú", 403, VietnamDivisionType.XA, "xa_bac_phu", 16),
  "W_406" : VNWard("Xã Tân Minh", 406, VietnamDivisionType.XA, "xa_tan_minh", 16),
  "W_409" : VNWard("Xã Quang Tiến", 409, VietnamDivisionType.XA, "xa_quang_tien", 16),
  "W_412" : VNWard("Xã Hiền Ninh", 412, VietnamDivisionType.XA, "xa_hien_ninh", 16),
  "W_415" : VNWard("Xã Tân Dân", 415, VietnamDivisionType.XA, "xa_tan_dan", 16),
  "W_418" : VNWard("Xã Tiên Dược", 418, VietnamDivisionType.XA, "xa_tien_duoc", 16),
  "W_421" : VNWard("Xã Việt Long", 421, VietnamDivisionType.XA, "xa_viet_long", 16),
  "W_424" : VNWard("Xã Xuân Giang", 424, VietnamDivisionType.XA, "xa_xuan_giang", 16),
  "W_427" : VNWard("Xã Mai Đình", 427, VietnamDivisionType.XA, "xa_mai_dinh", 16),
  "W_430" : VNWard("Xã Đức Hoà", 430, VietnamDivisionType.XA, "xa_duc_hoa", 16),
  "W_433" : VNWard("Xã Thanh Xuân", 433, VietnamDivisionType.XA, "xa_thanh_xuan", 16),
  "W_436" : VNWard("Xã Đông Xuân", 436, VietnamDivisionType.XA, "xa_dong_xuan", 16),
  "W_439" : VNWard("Xã Kim Lũ", 439, VietnamDivisionType.XA, "xa_kim_lu", 16),
  "W_442" : VNWard("Xã Phú Cường", 442, VietnamDivisionType.XA, "xa_phu_cuong", 16),
  "W_445" : VNWard("Xã Phú Minh", 445, VietnamDivisionType.XA, "xa_phu_minh", 16),
  "W_448" : VNWard("Xã Phù Lỗ", 448, VietnamDivisionType.XA, "xa_phu_lo", 16),
  "W_451" : VNWard("Xã Xuân Thu", 451, VietnamDivisionType.XA, "xa_xuan_thu", 16),
  "W_454" : VNWard("Thị trấn Đông Anh", 454, VietnamDivisionType.THI_TRAN, "thi_tran_dong_anh", 17),
  "W_457" : VNWard("Xã Xuân Nộn", 457, VietnamDivisionType.XA, "xa_xuan_non", 17),
  "W_460" : VNWard("Xã Thuỵ Lâm", 460, VietnamDivisionType.XA, "xa_thuy_lam", 17),
  "W_463" : VNWard("Xã Bắc Hồng", 463, VietnamDivisionType.XA, "xa_bac_hong", 17),
  "W_466" : VNWard("Xã Nguyên Khê", 466, VietnamDivisionType.XA, "xa_nguyen_khe", 17),
  "W_469" : VNWard("Xã Nam Hồng", 469, VietnamDivisionType.XA, "xa_nam_hong", 17),
  "W_472" : VNWard("Xã Tiên Dương", 472, VietnamDivisionType.XA, "xa_tien_duong", 17),
  "W_475" : VNWard("Xã Vân Hà", 475, VietnamDivisionType.XA, "xa_van_ha", 17),
  "W_478" : VNWard("Xã Uy Nỗ", 478, VietnamDivisionType.XA, "xa_uy_no", 17),
  "W_481" : VNWard("Xã Vân Nội", 481, VietnamDivisionType.XA, "xa_van_noi", 17),
  "W_484" : VNWard("Xã Liên Hà", 484, VietnamDivisionType.XA, "xa_lien_ha", 17),
  "W_487" : VNWard("Xã Việt Hùng", 487, VietnamDivisionType.XA, "xa_viet_hung", 17),
  "W_490" : VNWard("Xã Kim Nỗ", 490, VietnamDivisionType.XA, "xa_kim_no", 17),
  "W_493" : VNWard("Xã Kim Chung", 493, VietnamDivisionType.XA, "xa_kim_chung", 17),
  "W_496" : VNWard("Xã Dục Tú", 496, VietnamDivisionType.XA, "xa_duc_tu", 17),
  "W_499" : VNWard("Xã Đại Mạch", 499, VietnamDivisionType.XA, "xa_dai_mach", 17),
  "W_502" : VNWard("Xã Vĩnh Ngọc", 502, VietnamDivisionType.XA, "xa_vinh_ngoc", 17),
  "W_505" : VNWard("Xã Cổ Loa", 505, VietnamDivisionType.XA, "xa_co_loa", 17),
  "W_508" : VNWard("Xã Hải Bối", 508, VietnamDivisionType.XA, "xa_hai_boi", 17),
  "W_511" : VNWard("Xã Xuân Canh", 511, VietnamDivisionType.XA, "xa_xuan_canh", 17),
  "W_514" : VNWard("Xã Võng La", 514, VietnamDivisionType.XA, "xa_vong_la", 17),
  "W_517" : VNWard("Xã Tàm Xá", 517, VietnamDivisionType.XA, "xa_tam_xa", 17),
  "W_520" : VNWard("Xã Mai Lâm", 520, VietnamDivisionType.XA, "xa_mai_lam", 17),
  "W_523" : VNWard("Xã Đông Hội", 523, VietnamDivisionType.XA, "xa_dong_hoi", 17),
  "W_526" : VNWard("Thị trấn Yên Viên", 526, VietnamDivisionType.THI_TRAN, "thi_tran_yen_vien", 18),
  "W_529" : VNWard("Xã Yên Thường", 529, VietnamDivisionType.XA, "xa_yen_thuong", 18),
  "W_532" : VNWard("Xã Yên Viên", 532, VietnamDivisionType.XA, "xa_yen_vien", 18),
  "W_535" : VNWard("Xã Ninh Hiệp", 535, VietnamDivisionType.XA, "xa_ninh_hiep", 18),
  "W_538" : VNWard("Xã Đình Xuyên", 538, VietnamDivisionType.XA, "xa_dinh_xuyen", 18),
  "W_541" : VNWard("Xã Dương Hà", 541, VietnamDivisionType.XA, "xa_duong_ha", 18),
  "W_544" : VNWard("Xã Phù Đổng", 544, VietnamDivisionType.XA, "xa_phu_dong", 18),
  "W_547" : VNWard("Xã Trung Mầu", 547, VietnamDivisionType.XA, "xa_trung_mau", 18),
  "W_550" : VNWard("Xã Lệ Chi", 550, VietnamDivisionType.XA, "xa_le_chi", 18),
  "W_553" : VNWard("Xã Cổ Bi", 553, VietnamDivisionType.XA, "xa_co_bi", 18),
  "W_556" : VNWard("Xã Đặng Xá", 556, VietnamDivisionType.XA, "xa_dang_xa", 18),
  "W_559" : VNWard("Xã Phú Thị", 559, VietnamDivisionType.XA, "xa_phu_thi", 18),
  "W_562" : VNWard("Xã Kim Sơn", 562, VietnamDivisionType.XA, "xa_kim_son", 18),
  "W_565" : VNWard("Thị trấn Trâu Quỳ", 565, VietnamDivisionType.THI_TRAN, "thi_tran_trau_quy", 18),
  "W_568" : VNWard("Xã Dương Quang", 568, VietnamDivisionType.XA, "xa_duong_quang", 18),
  "W_571" : VNWard("Xã Dương Xá", 571, VietnamDivisionType.XA, "xa_duong_xa", 18),
  "W_574" : VNWard("Xã Đông Dư", 574, VietnamDivisionType.XA, "xa_dong_du", 18),
  "W_577" : VNWard("Xã Đa Tốn", 577, VietnamDivisionType.XA, "xa_da_ton", 18),
  "W_580" : VNWard("Xã Kiêu Kỵ", 580, VietnamDivisionType.XA, "xa_kieu_ky", 18),
  "W_583" : VNWard("Xã Bát Tràng", 583, VietnamDivisionType.XA, "xa_bat_trang", 18),
  "W_586" : VNWard("Xã Kim Lan", 586, VietnamDivisionType.XA, "xa_kim_lan", 18),
  "W_589" : VNWard("Xã Văn Đức", 589, VietnamDivisionType.XA, "xa_van_duc", 18),
  "W_592" : VNWard("Phường Cầu Diễn", 592, VietnamDivisionType.PHUONG, "phuong_cau_dien", 19),
  "W_622" : VNWard("Phường Xuân Phương", 622, VietnamDivisionType.PHUONG, "phuong_xuan_phuong", 19),
  "W_623" : VNWard("Phường Phương Canh", 623, VietnamDivisionType.PHUONG, "phuong_phuong_canh", 19),
  "W_625" : VNWard("Phường Mỹ Đình 1", 625, VietnamDivisionType.PHUONG, "phuong_my_dinh_1", 19),
  "W_626" : VNWard("Phường Mỹ Đình 2", 626, VietnamDivisionType.PHUONG, "phuong_my_dinh_2", 19),
  "W_628" : VNWard("Phường Tây Mỗ", 628, VietnamDivisionType.PHUONG, "phuong_tay_mo", 19),
  "W_631" : VNWard("Phường Mễ Trì", 631, VietnamDivisionType.PHUONG, "phuong_me_tri", 19),
  "W_632" : VNWard("Phường Phú Đô", 632, VietnamDivisionType.PHUONG, "phuong_phu_do", 19),
  "W_634" : VNWard("Phường Đại Mỗ", 634, VietnamDivisionType.PHUONG, "phuong_dai_mo", 19),
  "W_637" : VNWard("Phường Trung Văn", 637, VietnamDivisionType.PHUONG, "phuong_trung_van", 19),
  "W_640" : VNWard("Thị trấn Văn Điển", 640, VietnamDivisionType.THI_TRAN, "thi_tran_van_dien", 20),
  "W_643" : VNWard("Xã Tân Triều", 643, VietnamDivisionType.XA, "xa_tan_trieu", 20),
  "W_646" : VNWard("Xã Thanh Liệt", 646, VietnamDivisionType.XA, "xa_thanh_liet", 20),
  "W_649" : VNWard("Xã Tả Thanh Oai", 649, VietnamDivisionType.XA, "xa_ta_thanh_oai", 20),
  "W_652" : VNWard("Xã Hữu Hoà", 652, VietnamDivisionType.XA, "xa_huu_hoa", 20),
  "W_655" : VNWard("Xã Tam Hiệp", 655, VietnamDivisionType.XA, "xa_tam_hiep", 20),
  "W_658" : VNWard("Xã Tứ Hiệp", 658, VietnamDivisionType.XA, "xa_tu_hiep", 20),
  "W_661" : VNWard("Xã Yên Mỹ", 661, VietnamDivisionType.XA, "xa_yen_my", 20),
  "W_664" : VNWard("Xã Vĩnh Quỳnh", 664, VietnamDivisionType.XA, "xa_vinh_quynh", 20),
  "W_667" : VNWard("Xã Ngũ Hiệp", 667, VietnamDivisionType.XA, "xa_ngu_hiep", 20),
  "W_670" : VNWard("Xã Duyên Hà", 670, VietnamDivisionType.XA, "xa_duyen_ha", 20),
  "W_673" : VNWard("Xã Ngọc Hồi", 673, VietnamDivisionType.XA, "xa_ngoc_hoi", 20),
  "W_676" : VNWard("Xã Vạn Phúc", 676, VietnamDivisionType.XA, "xa_van_phuc", 20),
  "W_679" : VNWard("Xã Đại áng", 679, VietnamDivisionType.XA, "xa_dai_ang", 20),
  "W_682" : VNWard("Xã Liên Ninh", 682, VietnamDivisionType.XA, "xa_lien_ninh", 20),
  "W_685" : VNWard("Xã Đông Mỹ", 685, VietnamDivisionType.XA, "xa_dong_my", 20),
  "W_595" : VNWard("Phường Thượng Cát", 595, VietnamDivisionType.PHUONG, "phuong_thuong_cat", 21),
  "W_598" : VNWard("Phường Liên Mạc", 598, VietnamDivisionType.PHUONG, "phuong_lien_mac", 21),
  "W_601" : VNWard("Phường Đông Ngạc", 601, VietnamDivisionType.PHUONG, "phuong_dong_ngac", 21),
  "W_602" : VNWard("Phường Đức Thắng", 602, VietnamDivisionType.PHUONG, "phuong_duc_thang", 21),
  "W_604" : VNWard("Phường Thụy Phương", 604, VietnamDivisionType.PHUONG, "phuong_thuy_phuong", 21),
  "W_607" : VNWard("Phường Tây Tựu", 607, VietnamDivisionType.PHUONG, "phuong_tay_tuu", 21),
  "W_610" : VNWard("Phường Xuân Đỉnh", 610, VietnamDivisionType.PHUONG, "phuong_xuan_dinh", 21),
  "W_611" : VNWard("Phường Xuân Tảo", 611, VietnamDivisionType.PHUONG, "phuong_xuan_tao", 21),
  "W_613" : VNWard("Phường Minh Khai", 613, VietnamDivisionType.PHUONG, "phuong_minh_khai", 21),
  "W_616" : VNWard("Phường Cổ Nhuế 1", 616, VietnamDivisionType.PHUONG, "phuong_co_nhue_1", 21),
  "W_617" : VNWard("Phường Cổ Nhuế 2", 617, VietnamDivisionType.PHUONG, "phuong_co_nhue_2", 21),
  "W_619" : VNWard("Phường Phú Diễn", 619, VietnamDivisionType.PHUONG, "phuong_phu_dien", 21),
  "W_620" : VNWard("Phường Phúc Diễn", 620, VietnamDivisionType.PHUONG, "phuong_phuc_dien", 21),
  "W_8973" : VNWard("Thị trấn Chi Đông", 8973, VietnamDivisionType.THI_TRAN, "thi_tran_chi_dong", 250),
  "W_8974" : VNWard("Xã Đại Thịnh", 8974, VietnamDivisionType.XA, "xa_dai_thinh", 250),
  "W_8977" : VNWard("Xã Kim Hoa", 8977, VietnamDivisionType.XA, "xa_kim_hoa", 250),
  "W_8980" : VNWard("Xã Thạch Đà", 8980, VietnamDivisionType.XA, "xa_thach_da", 250),
  "W_8983" : VNWard("Xã Tiến Thắng", 8983, VietnamDivisionType.XA, "xa_tien_thang", 250),
  "W_8986" : VNWard("Xã Tự Lập", 8986, VietnamDivisionType.XA, "xa_tu_lap", 250),
  "W_8989" : VNWard("Thị trấn Quang Minh", 8989, VietnamDivisionType.THI_TRAN, "thi_tran_quang_minh", 250),
  "W_8992" : VNWard("Xã Thanh Lâm", 8992, VietnamDivisionType.XA, "xa_thanh_lam", 250),
  "W_8995" : VNWard("Xã Tam Đồng", 8995, VietnamDivisionType.XA, "xa_tam_dong", 250),
  "W_8998" : VNWard("Xã Liên Mạc", 8998, VietnamDivisionType.XA, "xa_lien_mac", 250),
  "W_9001" : VNWard("Xã Vạn Yên", 9001, VietnamDivisionType.XA, "xa_van_yen", 250),
  "W_9004" : VNWard("Xã Chu Phan", 9004, VietnamDivisionType.XA, "xa_chu_phan", 250),
  "W_9007" : VNWard("Xã Tiến Thịnh", 9007, VietnamDivisionType.XA, "xa_tien_thinh", 250),
  "W_9010" : VNWard("Xã Mê Linh", 9010, VietnamDivisionType.XA, "xa_me_linh", 250),
  "W_9013" : VNWard("Xã Văn Khê", 9013, VietnamDivisionType.XA, "xa_van_khe", 250),
  "W_9016" : VNWard("Xã Hoàng Kim", 9016, VietnamDivisionType.XA, "xa_hoang_kim", 250),
  "W_9019" : VNWard("Xã Tiền Phong", 9019, VietnamDivisionType.XA, "xa_tien_phong", 250),
  "W_9022" : VNWard("Xã Tráng Việt", 9022, VietnamDivisionType.XA, "xa_trang_viet", 250),
  "W_9538" : VNWard("Phường Nguyễn Trãi", 9538, VietnamDivisionType.PHUONG, "phuong_nguyen_trai", 268),
  "W_9541" : VNWard("Phường Mộ Lao", 9541, VietnamDivisionType.PHUONG, "phuong_mo_lao", 268),
  "W_9542" : VNWard("Phường Văn Quán", 9542, VietnamDivisionType.PHUONG, "phuong_van_quan", 268),
  "W_9544" : VNWard("Phường Vạn Phúc", 9544, VietnamDivisionType.PHUONG, "phuong_van_phuc", 268),
  "W_9547" : VNWard("Phường Yết Kiêu", 9547, VietnamDivisionType.PHUONG, "phuong_yet_kieu", 268),
  "W_9550" : VNWard("Phường Quang Trung", 9550, VietnamDivisionType.PHUONG, "phuong_quang_trung", 268),
  "W_9551" : VNWard("Phường La Khê", 9551, VietnamDivisionType.PHUONG, "phuong_la_khe", 268),
  "W_9552" : VNWard("Phường Phú La", 9552, VietnamDivisionType.PHUONG, "phuong_phu_la", 268),
  "W_9553" : VNWard("Phường Phúc La", 9553, VietnamDivisionType.PHUONG, "phuong_phuc_la", 268),
  "W_9556" : VNWard("Phường Hà Cầu", 9556, VietnamDivisionType.PHUONG, "phuong_ha_cau", 268),
  "W_9562" : VNWard("Phường Yên Nghĩa", 9562, VietnamDivisionType.PHUONG, "phuong_yen_nghia", 268),
  "W_9565" : VNWard("Phường Kiến Hưng", 9565, VietnamDivisionType.PHUONG, "phuong_kien_hung", 268),
  "W_9568" : VNWard("Phường Phú Lãm", 9568, VietnamDivisionType.PHUONG, "phuong_phu_lam", 268),
  "W_9571" : VNWard("Phường Phú Lương", 9571, VietnamDivisionType.PHUONG, "phuong_phu_luong", 268),
  "W_9886" : VNWard("Phường Dương Nội", 9886, VietnamDivisionType.PHUONG, "phuong_duong_noi", 268),
  "W_10117" : VNWard("Phường Đồng Mai", 10117, VietnamDivisionType.PHUONG, "phuong_dong_mai", 268),
  "W_10123" : VNWard("Phường Biên Giang", 10123, VietnamDivisionType.PHUONG, "phuong_bien_giang", 268),
  "W_9574" : VNWard("Phường Lê Lợi", 9574, VietnamDivisionType.PHUONG, "phuong_le_loi", 269),
  "W_9577" : VNWard("Phường Phú Thịnh", 9577, VietnamDivisionType.PHUONG, "phuong_phu_thinh", 269),
  "W_9580" : VNWard("Phường Ngô Quyền", 9580, VietnamDivisionType.PHUONG, "phuong_ngo_quyen", 269),
  "W_9583" : VNWard("Phường Quang Trung", 9583, VietnamDivisionType.PHUONG, "phuong_quang_trung", 269),
  "W_9586" : VNWard("Phường Sơn Lộc", 9586, VietnamDivisionType.PHUONG, "phuong_son_loc", 269),
  "W_9589" : VNWard("Phường Xuân Khanh", 9589, VietnamDivisionType.PHUONG, "phuong_xuan_khanh", 269),
  "W_9592" : VNWard("Xã Đường Lâm", 9592, VietnamDivisionType.XA, "xa_duong_lam", 269),
  "W_9595" : VNWard("Phường Viên Sơn", 9595, VietnamDivisionType.PHUONG, "phuong_vien_son", 269),
  "W_9598" : VNWard("Xã Xuân Sơn", 9598, VietnamDivisionType.XA, "xa_xuan_son", 269),
  "W_9601" : VNWard("Phường Trung Hưng", 9601, VietnamDivisionType.PHUONG, "phuong_trung_hung", 269),
  "W_9604" : VNWard("Xã Thanh Mỹ", 9604, VietnamDivisionType.XA, "xa_thanh_my", 269),
  "W_9607" : VNWard("Phường Trung Sơn Trầm", 9607, VietnamDivisionType.PHUONG, "phuong_trung_son_tram", 269),
  "W_9610" : VNWard("Xã Kim Sơn", 9610, VietnamDivisionType.XA, "xa_kim_son", 269),
  "W_9613" : VNWard("Xã Sơn Đông", 9613, VietnamDivisionType.XA, "xa_son_dong", 269),
  "W_9616" : VNWard("Xã Cổ Đông", 9616, VietnamDivisionType.XA, "xa_co_dong", 269),
  "W_9619" : VNWard("Thị trấn Tây Đằng", 9619, VietnamDivisionType.THI_TRAN, "thi_tran_tay_dang", 271),
  "W_9625" : VNWard("Xã Phú Cường", 9625, VietnamDivisionType.XA, "xa_phu_cuong", 271),
  "W_9628" : VNWard("Xã Cổ Đô", 9628, VietnamDivisionType.XA, "xa_co_do", 271),
  "W_9631" : VNWard("Xã Tản Hồng", 9631, VietnamDivisionType.XA, "xa_tan_hong", 271),
  "W_9634" : VNWard("Xã Vạn Thắng", 9634, VietnamDivisionType.XA, "xa_van_thang", 271),
  "W_9637" : VNWard("Xã Châu Sơn", 9637, VietnamDivisionType.XA, "xa_chau_son", 271),
  "W_9640" : VNWard("Xã Phong Vân", 9640, VietnamDivisionType.XA, "xa_phong_van", 271),
  "W_9643" : VNWard("Xã Phú Đông", 9643, VietnamDivisionType.XA, "xa_phu_dong", 271),
  "W_9646" : VNWard("Xã Phú Phương", 9646, VietnamDivisionType.XA, "xa_phu_phuong", 271),
  "W_9649" : VNWard("Xã Phú Châu", 9649, VietnamDivisionType.XA, "xa_phu_chau", 271),
  "W_9652" : VNWard("Xã Thái Hòa", 9652, VietnamDivisionType.XA, "xa_thai_hoa", 271),
  "W_9655" : VNWard("Xã Đồng Thái", 9655, VietnamDivisionType.XA, "xa_dong_thai", 271),
  "W_9658" : VNWard("Xã Phú Sơn", 9658, VietnamDivisionType.XA, "xa_phu_son", 271),
  "W_9661" : VNWard("Xã Minh Châu", 9661, VietnamDivisionType.XA, "xa_minh_chau", 271),
  "W_9664" : VNWard("Xã Vật Lại", 9664, VietnamDivisionType.XA, "xa_vat_lai", 271),
  "W_9667" : VNWard("Xã Chu Minh", 9667, VietnamDivisionType.XA, "xa_chu_minh", 271),
  "W_9670" : VNWard("Xã Tòng Bạt", 9670, VietnamDivisionType.XA, "xa_tong_bat", 271),
  "W_9673" : VNWard("Xã Cẩm Lĩnh", 9673, VietnamDivisionType.XA, "xa_cam_linh", 271),
  "W_9676" : VNWard("Xã Sơn Đà", 9676, VietnamDivisionType.XA, "xa_son_da", 271),
  "W_9679" : VNWard("Xã Đông Quang", 9679, VietnamDivisionType.XA, "xa_dong_quang", 271),
  "W_9682" : VNWard("Xã Tiên Phong", 9682, VietnamDivisionType.XA, "xa_tien_phong", 271),
  "W_9685" : VNWard("Xã Thụy An", 9685, VietnamDivisionType.XA, "xa_thuy_an", 271),
  "W_9688" : VNWard("Xã Cam Thượng", 9688, VietnamDivisionType.XA, "xa_cam_thuong", 271),
  "W_9691" : VNWard("Xã Thuần Mỹ", 9691, VietnamDivisionType.XA, "xa_thuan_my", 271),
  "W_9694" : VNWard("Xã Tản Lĩnh", 9694, VietnamDivisionType.XA, "xa_tan_linh", 271),
  "W_9697" : VNWard("Xã Ba Trại", 9697, VietnamDivisionType.XA, "xa_ba_trai", 271),
  "W_9700" : VNWard("Xã Minh Quang", 9700, VietnamDivisionType.XA, "xa_minh_quang", 271),
  "W_9703" : VNWard("Xã Ba Vì", 9703, VietnamDivisionType.XA, "xa_ba_vi", 271),
  "W_9706" : VNWard("Xã Vân Hòa", 9706, VietnamDivisionType.XA, "xa_van_hoa", 271),
  "W_9709" : VNWard("Xã Yên Bài", 9709, VietnamDivisionType.XA, "xa_yen_bai", 271),
  "W_9712" : VNWard("Xã Khánh Thượng", 9712, VietnamDivisionType.XA, "xa_khanh_thuong", 271),
  "W_9715" : VNWard("Thị trấn Phúc Thọ", 9715, VietnamDivisionType.THI_TRAN, "thi_tran_phuc_tho", 272),
  "W_9718" : VNWard("Xã Vân Hà", 9718, VietnamDivisionType.XA, "xa_van_ha", 272),
  "W_9721" : VNWard("Xã Vân Phúc", 9721, VietnamDivisionType.XA, "xa_van_phuc", 272),
  "W_9724" : VNWard("Xã Vân Nam", 9724, VietnamDivisionType.XA, "xa_van_nam", 272),
  "W_9727" : VNWard("Xã Xuân Đình", 9727, VietnamDivisionType.XA, "xa_xuan_dinh", 272),
  "W_9733" : VNWard("Xã Sen Phương", 9733, VietnamDivisionType.XA, "xa_sen_phuong", 272),
  "W_9739" : VNWard("Xã Võng Xuyên", 9739, VietnamDivisionType.XA, "xa_vong_xuyen", 272),
  "W_9742" : VNWard("Xã Thọ Lộc", 9742, VietnamDivisionType.XA, "xa_tho_loc", 272),
  "W_9745" : VNWard("Xã Long Xuyên", 9745, VietnamDivisionType.XA, "xa_long_xuyen", 272),
  "W_9748" : VNWard("Xã Thượng Cốc", 9748, VietnamDivisionType.XA, "xa_thuong_coc", 272),
  "W_9751" : VNWard("Xã Hát Môn", 9751, VietnamDivisionType.XA, "xa_hat_mon", 272),
  "W_9754" : VNWard("Xã Tích Giang", 9754, VietnamDivisionType.XA, "xa_tich_giang", 272),
  "W_9757" : VNWard("Xã Thanh Đa", 9757, VietnamDivisionType.XA, "xa_thanh_da", 272),
  "W_9760" : VNWard("Xã Trạch Mỹ Lộc", 9760, VietnamDivisionType.XA, "xa_trach_my_loc", 272),
  "W_9763" : VNWard("Xã Phúc Hòa", 9763, VietnamDivisionType.XA, "xa_phuc_hoa", 272),
  "W_9766" : VNWard("Xã Ngọc Tảo", 9766, VietnamDivisionType.XA, "xa_ngoc_tao", 272),
  "W_9769" : VNWard("Xã Phụng Thượng", 9769, VietnamDivisionType.XA, "xa_phung_thuong", 272),
  "W_9772" : VNWard("Xã Tam Thuấn", 9772, VietnamDivisionType.XA, "xa_tam_thuan", 272),
  "W_9775" : VNWard("Xã Tam Hiệp", 9775, VietnamDivisionType.XA, "xa_tam_hiep", 272),
  "W_9778" : VNWard("Xã Hiệp Thuận", 9778, VietnamDivisionType.XA, "xa_hiep_thuan", 272),
  "W_9781" : VNWard("Xã Liên Hiệp", 9781, VietnamDivisionType.XA, "xa_lien_hiep", 272),
  "W_9784" : VNWard("Thị trấn Phùng", 9784, VietnamDivisionType.THI_TRAN, "thi_tran_phung", 273),
  "W_9787" : VNWard("Xã Trung Châu", 9787, VietnamDivisionType.XA, "xa_trung_chau", 273),
  "W_9790" : VNWard("Xã Thọ An", 9790, VietnamDivisionType.XA, "xa_tho_an", 273),
  "W_9793" : VNWard("Xã Thọ Xuân", 9793, VietnamDivisionType.XA, "xa_tho_xuan", 273),
  "W_9796" : VNWard("Xã Hồng Hà", 9796, VietnamDivisionType.XA, "xa_hong_ha", 273),
  "W_9799" : VNWard("Xã Liên Hồng", 9799, VietnamDivisionType.XA, "xa_lien_hong", 273),
  "W_9802" : VNWard("Xã Liên Hà", 9802, VietnamDivisionType.XA, "xa_lien_ha", 273),
  "W_9805" : VNWard("Xã Hạ Mỗ", 9805, VietnamDivisionType.XA, "xa_ha_mo", 273),
  "W_9808" : VNWard("Xã Liên Trung", 9808, VietnamDivisionType.XA, "xa_lien_trung", 273),
  "W_9811" : VNWard("Xã Phương Đình", 9811, VietnamDivisionType.XA, "xa_phuong_dinh", 273),
  "W_9814" : VNWard("Xã Thượng Mỗ", 9814, VietnamDivisionType.XA, "xa_thuong_mo", 273),
  "W_9817" : VNWard("Xã Tân Hội", 9817, VietnamDivisionType.XA, "xa_tan_hoi", 273),
  "W_9820" : VNWard("Xã Tân Lập", 9820, VietnamDivisionType.XA, "xa_tan_lap", 273),
  "W_9823" : VNWard("Xã Đan Phượng", 9823, VietnamDivisionType.XA, "xa_dan_phuong", 273),
  "W_9826" : VNWard("Xã Đồng Tháp", 9826, VietnamDivisionType.XA, "xa_dong_thap", 273),
  "W_9829" : VNWard("Xã Song Phượng", 9829, VietnamDivisionType.XA, "xa_song_phuong", 273),
  "W_9832" : VNWard("Thị trấn Trạm Trôi", 9832, VietnamDivisionType.THI_TRAN, "thi_tran_tram_troi", 274),
  "W_9835" : VNWard("Xã Đức Thượng", 9835, VietnamDivisionType.XA, "xa_duc_thuong", 274),
  "W_9838" : VNWard("Xã Minh Khai", 9838, VietnamDivisionType.XA, "xa_minh_khai", 274),
  "W_9841" : VNWard("Xã Dương Liễu", 9841, VietnamDivisionType.XA, "xa_duong_lieu", 274),
  "W_9844" : VNWard("Xã Di Trạch", 9844, VietnamDivisionType.XA, "xa_di_trach", 274),
  "W_9847" : VNWard("Xã Đức Giang", 9847, VietnamDivisionType.XA, "xa_duc_giang", 274),
  "W_9850" : VNWard("Xã Cát Quế", 9850, VietnamDivisionType.XA, "xa_cat_que", 274),
  "W_9853" : VNWard("Xã Kim Chung", 9853, VietnamDivisionType.XA, "xa_kim_chung", 274),
  "W_9856" : VNWard("Xã Yên Sở", 9856, VietnamDivisionType.XA, "xa_yen_so", 274),
  "W_9859" : VNWard("Xã Sơn Đồng", 9859, VietnamDivisionType.XA, "xa_son_dong", 274),
  "W_9862" : VNWard("Xã Vân Canh", 9862, VietnamDivisionType.XA, "xa_van_canh", 274),
  "W_9865" : VNWard("Xã Đắc Sở", 9865, VietnamDivisionType.XA, "xa_dac_so", 274),
  "W_9868" : VNWard("Xã Lại Yên", 9868, VietnamDivisionType.XA, "xa_lai_yen", 274),
  "W_9871" : VNWard("Xã Tiền Yên", 9871, VietnamDivisionType.XA, "xa_tien_yen", 274),
  "W_9874" : VNWard("Xã Song Phương", 9874, VietnamDivisionType.XA, "xa_song_phuong", 274),
  "W_9877" : VNWard("Xã An Khánh", 9877, VietnamDivisionType.XA, "xa_an_khanh", 274),
  "W_9880" : VNWard("Xã An Thượng", 9880, VietnamDivisionType.XA, "xa_an_thuong", 274),
  "W_9883" : VNWard("Xã Vân Côn", 9883, VietnamDivisionType.XA, "xa_van_con", 274),
  "W_9889" : VNWard("Xã La Phù", 9889, VietnamDivisionType.XA, "xa_la_phu", 274),
  "W_9892" : VNWard("Xã Đông La", 9892, VietnamDivisionType.XA, "xa_dong_la", 274),
  "W_4939" : VNWard("Xã Đông Xuân", 4939, VietnamDivisionType.XA, "xa_dong_xuan", 275),
  "W_9895" : VNWard("Thị trấn Quốc Oai", 9895, VietnamDivisionType.THI_TRAN, "thi_tran_quoc_oai", 275),
  "W_9898" : VNWard("Xã Sài Sơn", 9898, VietnamDivisionType.XA, "xa_sai_son", 275),
  "W_9901" : VNWard("Xã Phượng Cách", 9901, VietnamDivisionType.XA, "xa_phuong_cach", 275),
  "W_9904" : VNWard("Xã Yên Sơn", 9904, VietnamDivisionType.XA, "xa_yen_son", 275),
  "W_9907" : VNWard("Xã Ngọc Liệp", 9907, VietnamDivisionType.XA, "xa_ngoc_liep", 275),
  "W_9910" : VNWard("Xã Ngọc Mỹ", 9910, VietnamDivisionType.XA, "xa_ngoc_my", 275),
  "W_9913" : VNWard("Xã Liệp Tuyết", 9913, VietnamDivisionType.XA, "xa_liep_tuyet", 275),
  "W_9916" : VNWard("Xã Thạch Thán", 9916, VietnamDivisionType.XA, "xa_thach_than", 275),
  "W_9919" : VNWard("Xã Đồng Quang", 9919, VietnamDivisionType.XA, "xa_dong_quang", 275),
  "W_9922" : VNWard("Xã Phú Cát", 9922, VietnamDivisionType.XA, "xa_phu_cat", 275),
  "W_9925" : VNWard("Xã Tuyết Nghĩa", 9925, VietnamDivisionType.XA, "xa_tuyet_nghia", 275),
  "W_9928" : VNWard("Xã Nghĩa Hương", 9928, VietnamDivisionType.XA, "xa_nghia_huong", 275),
  "W_9931" : VNWard("Xã Cộng Hòa", 9931, VietnamDivisionType.XA, "xa_cong_hoa", 275),
  "W_9934" : VNWard("Xã Tân Phú", 9934, VietnamDivisionType.XA, "xa_tan_phu", 275),
  "W_9937" : VNWard("Xã Đại Thành", 9937, VietnamDivisionType.XA, "xa_dai_thanh", 275),
  "W_9940" : VNWard("Xã Phú Mãn", 9940, VietnamDivisionType.XA, "xa_phu_man", 275),
  "W_9943" : VNWard("Xã Cấn Hữu", 9943, VietnamDivisionType.XA, "xa_can_huu", 275),
  "W_9946" : VNWard("Xã Tân Hòa", 9946, VietnamDivisionType.XA, "xa_tan_hoa", 275),
  "W_9949" : VNWard("Xã Hòa Thạch", 9949, VietnamDivisionType.XA, "xa_hoa_thach", 275),
  "W_9952" : VNWard("Xã Đông Yên", 9952, VietnamDivisionType.XA, "xa_dong_yen", 275),
  "W_4927" : VNWard("Xã Yên Trung", 4927, VietnamDivisionType.XA, "xa_yen_trung", 276),
  "W_4930" : VNWard("Xã Yên Bình", 4930, VietnamDivisionType.XA, "xa_yen_binh", 276),
  "W_4936" : VNWard("Xã Tiến Xuân", 4936, VietnamDivisionType.XA, "xa_tien_xuan", 276),
  "W_9955" : VNWard("Thị trấn Liên Quan", 9955, VietnamDivisionType.THI_TRAN, "thi_tran_lien_quan", 276),
  "W_9958" : VNWard("Xã Đại Đồng", 9958, VietnamDivisionType.XA, "xa_dai_dong", 276),
  "W_9961" : VNWard("Xã Cẩm Yên", 9961, VietnamDivisionType.XA, "xa_cam_yen", 276),
  "W_9964" : VNWard("Xã Lại Thượng", 9964, VietnamDivisionType.XA, "xa_lai_thuong", 276),
  "W_9967" : VNWard("Xã Phú Kim", 9967, VietnamDivisionType.XA, "xa_phu_kim", 276),
  "W_9970" : VNWard("Xã Hương Ngải", 9970, VietnamDivisionType.XA, "xa_huong_ngai", 276),
  "W_9973" : VNWard("Xã Canh Nậu", 9973, VietnamDivisionType.XA, "xa_canh_nau", 276),
  "W_9976" : VNWard("Xã Kim Quan", 9976, VietnamDivisionType.XA, "xa_kim_quan", 276),
  "W_9979" : VNWard("Xã Dị Nậu", 9979, VietnamDivisionType.XA, "xa_di_nau", 276),
  "W_9982" : VNWard("Xã Bình Yên", 9982, VietnamDivisionType.XA, "xa_binh_yen", 276),
  "W_9985" : VNWard("Xã Chàng Sơn", 9985, VietnamDivisionType.XA, "xa_chang_son", 276),
  "W_9988" : VNWard("Xã Thạch Hoà", 9988, VietnamDivisionType.XA, "xa_thach_hoa", 276),
  "W_9991" : VNWard("Xã Cần Kiệm", 9991, VietnamDivisionType.XA, "xa_can_kiem", 276),
  "W_9994" : VNWard("Xã Hữu Bằng", 9994, VietnamDivisionType.XA, "xa_huu_bang", 276),
  "W_9997" : VNWard("Xã Phùng Xá", 9997, VietnamDivisionType.XA, "xa_phung_xa", 276),
  "W_10000" : VNWard("Xã Tân Xã", 10000, VietnamDivisionType.XA, "xa_tan_xa", 276),
  "W_10003" : VNWard("Xã Thạch Xá", 10003, VietnamDivisionType.XA, "xa_thach_xa", 276),
  "W_10006" : VNWard("Xã Bình Phú", 10006, VietnamDivisionType.XA, "xa_binh_phu", 276),
  "W_10009" : VNWard("Xã Hạ Bằng", 10009, VietnamDivisionType.XA, "xa_ha_bang", 276),
  "W_10012" : VNWard("Xã Đồng Trúc", 10012, VietnamDivisionType.XA, "xa_dong_truc", 276),
  "W_10015" : VNWard("Thị trấn Chúc Sơn", 10015, VietnamDivisionType.THI_TRAN, "thi_tran_chuc_son", 277),
  "W_10018" : VNWard("Thị trấn Xuân Mai", 10018, VietnamDivisionType.THI_TRAN, "thi_tran_xuan_mai", 277),
  "W_10021" : VNWard("Xã Phụng Châu", 10021, VietnamDivisionType.XA, "xa_phung_chau", 277),
  "W_10024" : VNWard("Xã Tiên Phương", 10024, VietnamDivisionType.XA, "xa_tien_phuong", 277),
  "W_10027" : VNWard("Xã Đông Sơn", 10027, VietnamDivisionType.XA, "xa_dong_son", 277),
  "W_10030" : VNWard("Xã Đông Phương Yên", 10030, VietnamDivisionType.XA, "xa_dong_phuong_yen", 277),
  "W_10033" : VNWard("Xã Phú Nghĩa", 10033, VietnamDivisionType.XA, "xa_phu_nghia", 277),
  "W_10039" : VNWard("Xã Trường Yên", 10039, VietnamDivisionType.XA, "xa_truong_yen", 277),
  "W_10042" : VNWard("Xã Ngọc Hòa", 10042, VietnamDivisionType.XA, "xa_ngoc_hoa", 277),
  "W_10045" : VNWard("Xã Thủy Xuân Tiên", 10045, VietnamDivisionType.XA, "xa_thuy_xuan_tien", 277),
  "W_10048" : VNWard("Xã Thanh Bình", 10048, VietnamDivisionType.XA, "xa_thanh_binh", 277),
  "W_10051" : VNWard("Xã Trung Hòa", 10051, VietnamDivisionType.XA, "xa_trung_hoa", 277),
  "W_10054" : VNWard("Xã Đại Yên", 10054, VietnamDivisionType.XA, "xa_dai_yen", 277),
  "W_10057" : VNWard("Xã Thụy Hương", 10057, VietnamDivisionType.XA, "xa_thuy_huong", 277),
  "W_10060" : VNWard("Xã Tốt Động", 10060, VietnamDivisionType.XA, "xa_tot_dong", 277),
  "W_10063" : VNWard("Xã Lam Điền", 10063, VietnamDivisionType.XA, "xa_lam_dien", 277),
  "W_10066" : VNWard("Xã Tân Tiến", 10066, VietnamDivisionType.XA, "xa_tan_tien", 277),
  "W_10069" : VNWard("Xã Nam Phương Tiến", 10069, VietnamDivisionType.XA, "xa_nam_phuong_tien", 277),
  "W_10072" : VNWard("Xã Hợp Đồng", 10072, VietnamDivisionType.XA, "xa_hop_dong", 277),
  "W_10075" : VNWard("Xã Hoàng Văn Thụ", 10075, VietnamDivisionType.XA, "xa_hoang_van_thu", 277),
  "W_10078" : VNWard("Xã Hoàng Diệu", 10078, VietnamDivisionType.XA, "xa_hoang_dieu", 277),
  "W_10081" : VNWard("Xã Hữu Văn", 10081, VietnamDivisionType.XA, "xa_huu_van", 277),
  "W_10084" : VNWard("Xã Quảng Bị", 10084, VietnamDivisionType.XA, "xa_quang_bi", 277),
  "W_10087" : VNWard("Xã Mỹ Lương", 10087, VietnamDivisionType.XA, "xa_my_luong", 277),
  "W_10090" : VNWard("Xã Thượng Vực", 10090, VietnamDivisionType.XA, "xa_thuong_vuc", 277),
  "W_10093" : VNWard("Xã Hồng Phong", 10093, VietnamDivisionType.XA, "xa_hong_phong", 277),
  "W_10096" : VNWard("Xã Đồng Phú", 10096, VietnamDivisionType.XA, "xa_dong_phu", 277),
  "W_10099" : VNWard("Xã Trần Phú", 10099, VietnamDivisionType.XA, "xa_tran_phu", 277),
  "W_10102" : VNWard("Xã Văn Võ", 10102, VietnamDivisionType.XA, "xa_van_vo", 277),
  "W_10105" : VNWard("Xã Đồng Lạc", 10105, VietnamDivisionType.XA, "xa_dong_lac", 277),
  "W_10108" : VNWard("Xã Hòa Chính", 10108, VietnamDivisionType.XA, "xa_hoa_chinh", 277),
  "W_10111" : VNWard("Xã Phú Nam An", 10111, VietnamDivisionType.XA, "xa_phu_nam_an", 277),
  "W_10114" : VNWard("Thị trấn Kim Bài", 10114, VietnamDivisionType.THI_TRAN, "thi_tran_kim_bai", 278),
  "W_10120" : VNWard("Xã Cự Khê", 10120, VietnamDivisionType.XA, "xa_cu_khe", 278),
  "W_10126" : VNWard("Xã Bích Hòa", 10126, VietnamDivisionType.XA, "xa_bich_hoa", 278),
  "W_10129" : VNWard("Xã Mỹ Hưng", 10129, VietnamDivisionType.XA, "xa_my_hung", 278),
  "W_10132" : VNWard("Xã Cao Viên", 10132, VietnamDivisionType.XA, "xa_cao_vien", 278),
  "W_10135" : VNWard("Xã Bình Minh", 10135, VietnamDivisionType.XA, "xa_binh_minh", 278),
  "W_10138" : VNWard("Xã Tam Hưng", 10138, VietnamDivisionType.XA, "xa_tam_hung", 278),
  "W_10141" : VNWard("Xã Thanh Cao", 10141, VietnamDivisionType.XA, "xa_thanh_cao", 278),
  "W_10144" : VNWard("Xã Thanh Thùy", 10144, VietnamDivisionType.XA, "xa_thanh_thuy", 278),
  "W_10147" : VNWard("Xã Thanh Mai", 10147, VietnamDivisionType.XA, "xa_thanh_mai", 278),
  "W_10150" : VNWard("Xã Thanh Văn", 10150, VietnamDivisionType.XA, "xa_thanh_van", 278),
  "W_10153" : VNWard("Xã Đỗ Động", 10153, VietnamDivisionType.XA, "xa_do_dong", 278),
  "W_10156" : VNWard("Xã Kim An", 10156, VietnamDivisionType.XA, "xa_kim_an", 278),
  "W_10159" : VNWard("Xã Kim Thư", 10159, VietnamDivisionType.XA, "xa_kim_thu", 278),
  "W_10162" : VNWard("Xã Phương Trung", 10162, VietnamDivisionType.XA, "xa_phuong_trung", 278),
  "W_10165" : VNWard("Xã Tân Ước", 10165, VietnamDivisionType.XA, "xa_tan_uoc", 278),
  "W_10168" : VNWard("Xã Dân Hòa", 10168, VietnamDivisionType.XA, "xa_dan_hoa", 278),
  "W_10171" : VNWard("Xã Liên Châu", 10171, VietnamDivisionType.XA, "xa_lien_chau", 278),
  "W_10174" : VNWard("Xã Cao Dương", 10174, VietnamDivisionType.XA, "xa_cao_duong", 278),
  "W_10177" : VNWard("Xã Xuân Dương", 10177, VietnamDivisionType.XA, "xa_xuan_duong", 278),
  "W_10180" : VNWard("Xã Hồng Dương", 10180, VietnamDivisionType.XA, "xa_hong_duong", 278),
  "W_10183" : VNWard("Thị trấn Thường Tín", 10183, VietnamDivisionType.THI_TRAN, "thi_tran_thuong_tin", 279),
  "W_10186" : VNWard("Xã Ninh Sở", 10186, VietnamDivisionType.XA, "xa_ninh_so", 279),
  "W_10189" : VNWard("Xã Nhị Khê", 10189, VietnamDivisionType.XA, "xa_nhi_khe", 279),
  "W_10192" : VNWard("Xã Duyên Thái", 10192, VietnamDivisionType.XA, "xa_duyen_thai", 279),
  "W_10195" : VNWard("Xã Khánh Hà", 10195, VietnamDivisionType.XA, "xa_khanh_ha", 279),
  "W_10198" : VNWard("Xã Hòa Bình", 10198, VietnamDivisionType.XA, "xa_hoa_binh", 279),
  "W_10201" : VNWard("Xã Văn Bình", 10201, VietnamDivisionType.XA, "xa_van_binh", 279),
  "W_10204" : VNWard("Xã Hiền Giang", 10204, VietnamDivisionType.XA, "xa_hien_giang", 279),
  "W_10207" : VNWard("Xã Hồng Vân", 10207, VietnamDivisionType.XA, "xa_hong_van", 279),
  "W_10210" : VNWard("Xã Vân Tảo", 10210, VietnamDivisionType.XA, "xa_van_tao", 279),
  "W_10213" : VNWard("Xã Liên Phương", 10213, VietnamDivisionType.XA, "xa_lien_phuong", 279),
  "W_10216" : VNWard("Xã Văn Phú", 10216, VietnamDivisionType.XA, "xa_van_phu", 279),
  "W_10219" : VNWard("Xã Tự Nhiên", 10219, VietnamDivisionType.XA, "xa_tu_nhien", 279),
  "W_10222" : VNWard("Xã Tiền Phong", 10222, VietnamDivisionType.XA, "xa_tien_phong", 279),
  "W_10225" : VNWard("Xã Hà Hồi", 10225, VietnamDivisionType.XA, "xa_ha_hoi", 279),
  "W_10228" : VNWard("Xã Thư Phú", 10228, VietnamDivisionType.XA, "xa_thu_phu", 279),
  "W_10231" : VNWard("Xã Nguyễn Trãi", 10231, VietnamDivisionType.XA, "xa_nguyen_trai", 279),
  "W_10234" : VNWard("Xã Quất Động", 10234, VietnamDivisionType.XA, "xa_quat_dong", 279),
  "W_10237" : VNWard("Xã Chương Dương", 10237, VietnamDivisionType.XA, "xa_chuong_duong", 279),
  "W_10240" : VNWard("Xã Tân Minh", 10240, VietnamDivisionType.XA, "xa_tan_minh", 279),
  "W_10243" : VNWard("Xã Lê Lợi", 10243, VietnamDivisionType.XA, "xa_le_loi", 279),
  "W_10246" : VNWard("Xã Thắng Lợi", 10246, VietnamDivisionType.XA, "xa_thang_loi", 279),
  "W_10249" : VNWard("Xã Dũng Tiến", 10249, VietnamDivisionType.XA, "xa_dung_tien", 279),
  "W_10252" : VNWard("Xã Thống Nhất", 10252, VietnamDivisionType.XA, "xa_thong_nhat", 279),
  "W_10255" : VNWard("Xã Nghiêm Xuyên", 10255, VietnamDivisionType.XA, "xa_nghiem_xuyen", 279),
  "W_10258" : VNWard("Xã Tô Hiệu", 10258, VietnamDivisionType.XA, "xa_to_hieu", 279),
  "W_10261" : VNWard("Xã Văn Tự", 10261, VietnamDivisionType.XA, "xa_van_tu", 279),
  "W_10264" : VNWard("Xã Vạn Điểm", 10264, VietnamDivisionType.XA, "xa_van_diem", 279),
  "W_10267" : VNWard("Xã Minh Cường", 10267, VietnamDivisionType.XA, "xa_minh_cuong", 279),
  "W_10270" : VNWard("Thị trấn Phú Minh", 10270, VietnamDivisionType.THI_TRAN, "thi_tran_phu_minh", 280),
  "W_10273" : VNWard("Thị trấn Phú Xuyên", 10273, VietnamDivisionType.THI_TRAN, "thi_tran_phu_xuyen", 280),
  "W_10276" : VNWard("Xã Hồng Minh", 10276, VietnamDivisionType.XA, "xa_hong_minh", 280),
  "W_10279" : VNWard("Xã Phượng Dực", 10279, VietnamDivisionType.XA, "xa_phuong_duc", 280),
  "W_10282" : VNWard("Xã Nam Tiến", 10282, VietnamDivisionType.XA, "xa_nam_tien", 280),
  "W_10288" : VNWard("Xã Tri Trung", 10288, VietnamDivisionType.XA, "xa_tri_trung", 280),
  "W_10291" : VNWard("Xã Đại Thắng", 10291, VietnamDivisionType.XA, "xa_dai_thang", 280),
  "W_10294" : VNWard("Xã Phú Túc", 10294, VietnamDivisionType.XA, "xa_phu_tuc", 280),
  "W_10297" : VNWard("Xã Văn Hoàng", 10297, VietnamDivisionType.XA, "xa_van_hoang", 280),
  "W_10300" : VNWard("Xã Hồng Thái", 10300, VietnamDivisionType.XA, "xa_hong_thai", 280),
  "W_10303" : VNWard("Xã Hoàng Long", 10303, VietnamDivisionType.XA, "xa_hoang_long", 280),
  "W_10306" : VNWard("Xã Quang Trung", 10306, VietnamDivisionType.XA, "xa_quang_trung", 280),
  "W_10309" : VNWard("Xã Nam Phong", 10309, VietnamDivisionType.XA, "xa_nam_phong", 280),
  "W_10312" : VNWard("Xã Nam Triều", 10312, VietnamDivisionType.XA, "xa_nam_trieu", 280),
  "W_10315" : VNWard("Xã Tân Dân", 10315, VietnamDivisionType.XA, "xa_tan_dan", 280),
  "W_10318" : VNWard("Xã Sơn Hà", 10318, VietnamDivisionType.XA, "xa_son_ha", 280),
  "W_10321" : VNWard("Xã Chuyên Mỹ", 10321, VietnamDivisionType.XA, "xa_chuyen_my", 280),
  "W_10324" : VNWard("Xã Khai Thái", 10324, VietnamDivisionType.XA, "xa_khai_thai", 280),
  "W_10327" : VNWard("Xã Phúc Tiến", 10327, VietnamDivisionType.XA, "xa_phuc_tien", 280),
  "W_10330" : VNWard("Xã Vân Từ", 10330, VietnamDivisionType.XA, "xa_van_tu", 280),
  "W_10333" : VNWard("Xã Tri Thủy", 10333, VietnamDivisionType.XA, "xa_tri_thuy", 280),
  "W_10336" : VNWard("Xã Đại Xuyên", 10336, VietnamDivisionType.XA, "xa_dai_xuyen", 280),
  "W_10339" : VNWard("Xã Phú Yên", 10339, VietnamDivisionType.XA, "xa_phu_yen", 280),
  "W_10342" : VNWard("Xã Bạch Hạ", 10342, VietnamDivisionType.XA, "xa_bach_ha", 280),
  "W_10345" : VNWard("Xã Quang Lãng", 10345, VietnamDivisionType.XA, "xa_quang_lang", 280),
  "W_10348" : VNWard("Xã Châu Can", 10348, VietnamDivisionType.XA, "xa_chau_can", 280),
  "W_10351" : VNWard("Xã Minh Tân", 10351, VietnamDivisionType.XA, "xa_minh_tan", 280),
  "W_10354" : VNWard("Thị trấn Vân Đình", 10354, VietnamDivisionType.THI_TRAN, "thi_tran_van_dinh", 281),
  "W_10357" : VNWard("Xã Viên An", 10357, VietnamDivisionType.XA, "xa_vien_an", 281),
  "W_10360" : VNWard("Xã Viên Nội", 10360, VietnamDivisionType.XA, "xa_vien_noi", 281),
  "W_10363" : VNWard("Xã Hoa Sơn", 10363, VietnamDivisionType.XA, "xa_hoa_son", 281),
  "W_10366" : VNWard("Xã Quảng Phú Cầu", 10366, VietnamDivisionType.XA, "xa_quang_phu_cau", 281),
  "W_10369" : VNWard("Xã Trường Thịnh", 10369, VietnamDivisionType.XA, "xa_truong_thinh", 281),
  "W_10372" : VNWard("Xã Cao Thành", 10372, VietnamDivisionType.XA, "xa_cao_thanh", 281),
  "W_10375" : VNWard("Xã Liên Bạt", 10375, VietnamDivisionType.XA, "xa_lien_bat", 281),
  "W_10378" : VNWard("Xã Sơn Công", 10378, VietnamDivisionType.XA, "xa_son_cong", 281),
  "W_10381" : VNWard("Xã Đồng Tiến", 10381, VietnamDivisionType.XA, "xa_dong_tien", 281),
  "W_10384" : VNWard("Xã Phương Tú", 10384, VietnamDivisionType.XA, "xa_phuong_tu", 281),
  "W_10387" : VNWard("Xã Trung Tú", 10387, VietnamDivisionType.XA, "xa_trung_tu", 281),
  "W_10390" : VNWard("Xã Đồng Tân", 10390, VietnamDivisionType.XA, "xa_dong_tan", 281),
  "W_10393" : VNWard("Xã Tảo Dương Văn", 10393, VietnamDivisionType.XA, "xa_tao_duong_van", 281),
  "W_10396" : VNWard("Xã Vạn Thái", 10396, VietnamDivisionType.XA, "xa_van_thai", 281),
  "W_10399" : VNWard("Xã Minh Đức", 10399, VietnamDivisionType.XA, "xa_minh_duc", 281),
  "W_10402" : VNWard("Xã Hòa Lâm", 10402, VietnamDivisionType.XA, "xa_hoa_lam", 281),
  "W_10405" : VNWard("Xã Hòa Xá", 10405, VietnamDivisionType.XA, "xa_hoa_xa", 281),
  "W_10408" : VNWard("Xã Trầm Lộng", 10408, VietnamDivisionType.XA, "xa_tram_long", 281),
  "W_10411" : VNWard("Xã Kim Đường", 10411, VietnamDivisionType.XA, "xa_kim_duong", 281),
  "W_10414" : VNWard("Xã Hòa Nam", 10414, VietnamDivisionType.XA, "xa_hoa_nam", 281),
  "W_10417" : VNWard("Xã Hòa Phú", 10417, VietnamDivisionType.XA, "xa_hoa_phu", 281),
  "W_10420" : VNWard("Xã Đội Bình", 10420, VietnamDivisionType.XA, "xa_doi_binh", 281),
  "W_10423" : VNWard("Xã Đại Hùng", 10423, VietnamDivisionType.XA, "xa_dai_hung", 281),
  "W_10426" : VNWard("Xã Đông Lỗ", 10426, VietnamDivisionType.XA, "xa_dong_lo", 281),
  "W_10429" : VNWard("Xã Phù Lưu", 10429, VietnamDivisionType.XA, "xa_phu_luu", 281),
  "W_10432" : VNWard("Xã Đại Cường", 10432, VietnamDivisionType.XA, "xa_dai_cuong", 281),
  "W_10435" : VNWard("Xã Lưu Hoàng", 10435, VietnamDivisionType.XA, "xa_luu_hoang", 281),
  "W_10438" : VNWard("Xã Hồng Quang", 10438, VietnamDivisionType.XA, "xa_hong_quang", 281),
  "W_10441" : VNWard("Thị trấn Đại Nghĩa", 10441, VietnamDivisionType.THI_TRAN, "thi_tran_dai_nghia", 282),
  "W_10444" : VNWard("Xã Đồng Tâm", 10444, VietnamDivisionType.XA, "xa_dong_tam", 282),
  "W_10447" : VNWard("Xã Thượng Lâm", 10447, VietnamDivisionType.XA, "xa_thuong_lam", 282),
  "W_10450" : VNWard("Xã Tuy Lai", 10450, VietnamDivisionType.XA, "xa_tuy_lai", 282),
  "W_10453" : VNWard("Xã Phúc Lâm", 10453, VietnamDivisionType.XA, "xa_phuc_lam", 282),
  "W_10456" : VNWard("Xã Mỹ Thành", 10456, VietnamDivisionType.XA, "xa_my_thanh", 282),
  "W_10459" : VNWard("Xã Bột Xuyên", 10459, VietnamDivisionType.XA, "xa_bot_xuyen", 282),
  "W_10462" : VNWard("Xã An Mỹ", 10462, VietnamDivisionType.XA, "xa_an_my", 282),
  "W_10465" : VNWard("Xã Hồng Sơn", 10465, VietnamDivisionType.XA, "xa_hong_son", 282),
  "W_10468" : VNWard("Xã Lê Thanh", 10468, VietnamDivisionType.XA, "xa_le_thanh", 282),
  "W_10471" : VNWard("Xã Xuy Xá", 10471, VietnamDivisionType.XA, "xa_xuy_xa", 282),
  "W_10474" : VNWard("Xã Phùng Xá", 10474, VietnamDivisionType.XA, "xa_phung_xa", 282),
  "W_10477" : VNWard("Xã Phù Lưu Tế", 10477, VietnamDivisionType.XA, "xa_phu_luu_te", 282),
  "W_10480" : VNWard("Xã Đại Hưng", 10480, VietnamDivisionType.XA, "xa_dai_hung", 282),
  "W_10483" : VNWard("Xã Vạn Kim", 10483, VietnamDivisionType.XA, "xa_van_kim", 282),
  "W_10486" : VNWard("Xã Đốc Tín", 10486, VietnamDivisionType.XA, "xa_doc_tin", 282),
  "W_10489" : VNWard("Xã Hương Sơn", 10489, VietnamDivisionType.XA, "xa_huong_son", 282),
  "W_10492" : VNWard("Xã Hùng Tiến", 10492, VietnamDivisionType.XA, "xa_hung_tien", 282),
  "W_10495" : VNWard("Xã An Tiến", 10495, VietnamDivisionType.XA, "xa_an_tien", 282),
  "W_10498" : VNWard("Xã Hợp Tiến", 10498, VietnamDivisionType.XA, "xa_hop_tien", 282),
  "W_10501" : VNWard("Xã Hợp Thanh", 10501, VietnamDivisionType.XA, "xa_hop_thanh", 282),
  "W_10504" : VNWard("Xã An Phú", 10504, VietnamDivisionType.XA, "xa_an_phu", 282),
  "W_688" : VNWard("Phường Quang Trung", 688, VietnamDivisionType.PHUONG, "phuong_quang_trung", 24),
  "W_691" : VNWard("Phường Trần Phú", 691, VietnamDivisionType.PHUONG, "phuong_tran_phu", 24),
  "W_692" : VNWard("Phường Ngọc Hà", 692, VietnamDivisionType.PHUONG, "phuong_ngoc_ha", 24),
  "W_694" : VNWard("Phường Nguyễn Trãi", 694, VietnamDivisionType.PHUONG, "phuong_nguyen_trai", 24),
  "W_697" : VNWard("Phường Minh Khai", 697, VietnamDivisionType.PHUONG, "phuong_minh_khai", 24),
  "W_700" : VNWard("Xã Ngọc Đường", 700, VietnamDivisionType.XA, "xa_ngoc_duong", 24),
  "W_946" : VNWard("Xã Phương Độ", 946, VietnamDivisionType.XA, "xa_phuong_do", 24),
  "W_949" : VNWard("Xã Phương Thiện", 949, VietnamDivisionType.XA, "xa_phuong_thien", 24),
  "W_712" : VNWard("Thị trấn Phó Bảng", 712, VietnamDivisionType.THI_TRAN, "thi_tran_pho_bang", 26),
  "W_715" : VNWard("Xã Lũng Cú", 715, VietnamDivisionType.XA, "xa_lung_cu", 26),
  "W_718" : VNWard("Xã Má Lé", 718, VietnamDivisionType.XA, "xa_ma_le", 26),
  "W_721" : VNWard("Thị trấn Đồng Văn", 721, VietnamDivisionType.THI_TRAN, "thi_tran_dong_van", 26),
  "W_724" : VNWard("Xã Lũng Táo", 724, VietnamDivisionType.XA, "xa_lung_tao", 26),
  "W_727" : VNWard("Xã Phố Là", 727, VietnamDivisionType.XA, "xa_pho_la", 26),
  "W_730" : VNWard("Xã Thài Phìn Tủng", 730, VietnamDivisionType.XA, "xa_thai_phin_tung", 26),
  "W_733" : VNWard("Xã Sủng Là", 733, VietnamDivisionType.XA, "xa_sung_la", 26),
  "W_736" : VNWard("Xã Xà Phìn", 736, VietnamDivisionType.XA, "xa_xa_phin", 26),
  "W_739" : VNWard("Xã Tả Phìn", 739, VietnamDivisionType.XA, "xa_ta_phin", 26),
  "W_742" : VNWard("Xã Tả Lủng", 742, VietnamDivisionType.XA, "xa_ta_lung", 26),
  "W_745" : VNWard("Xã Phố Cáo", 745, VietnamDivisionType.XA, "xa_pho_cao", 26),
  "W_748" : VNWard("Xã Sính Lủng", 748, VietnamDivisionType.XA, "xa_sinh_lung", 26),
  "W_751" : VNWard("Xã Sảng Tủng", 751, VietnamDivisionType.XA, "xa_sang_tung", 26),
  "W_754" : VNWard("Xã Lũng Thầu", 754, VietnamDivisionType.XA, "xa_lung_thau", 26),
  "W_757" : VNWard("Xã Hố Quáng Phìn", 757, VietnamDivisionType.XA, "xa_ho_quang_phin", 26),
  "W_760" : VNWard("Xã Vần Chải", 760, VietnamDivisionType.XA, "xa_van_chai", 26),
  "W_763" : VNWard("Xã Lũng Phìn", 763, VietnamDivisionType.XA, "xa_lung_phin", 26),
  "W_766" : VNWard("Xã Sủng Trái", 766, VietnamDivisionType.XA, "xa_sung_trai", 26),
  "W_769" : VNWard("Thị trấn Mèo Vạc", 769, VietnamDivisionType.THI_TRAN, "thi_tran_meo_vac", 27),
  "W_772" : VNWard("Xã Thượng Phùng", 772, VietnamDivisionType.XA, "xa_thuong_phung", 27),
  "W_775" : VNWard("Xã Pải Lủng", 775, VietnamDivisionType.XA, "xa_pai_lung", 27),
  "W_778" : VNWard("Xã Xín Cái", 778, VietnamDivisionType.XA, "xa_xin_cai", 27),
  "W_781" : VNWard("Xã Pả Vi", 781, VietnamDivisionType.XA, "xa_pa_vi", 27),
  "W_784" : VNWard("Xã Giàng Chu Phìn", 784, VietnamDivisionType.XA, "xa_giang_chu_phin", 27),
  "W_787" : VNWard("Xã Sủng Trà", 787, VietnamDivisionType.XA, "xa_sung_tra", 27),
  "W_790" : VNWard("Xã Sủng Máng", 790, VietnamDivisionType.XA, "xa_sung_mang", 27),
  "W_793" : VNWard("Xã Sơn Vĩ", 793, VietnamDivisionType.XA, "xa_son_vi", 27),
  "W_796" : VNWard("Xã Tả Lủng", 796, VietnamDivisionType.XA, "xa_ta_lung", 27),
  "W_799" : VNWard("Xã Cán Chu Phìn", 799, VietnamDivisionType.XA, "xa_can_chu_phin", 27),
  "W_802" : VNWard("Xã Lũng Pù", 802, VietnamDivisionType.XA, "xa_lung_pu", 27),
  "W_805" : VNWard("Xã Lũng Chinh", 805, VietnamDivisionType.XA, "xa_lung_chinh", 27),
  "W_808" : VNWard("Xã Tát Ngà", 808, VietnamDivisionType.XA, "xa_tat_nga", 27),
  "W_811" : VNWard("Xã Nậm Ban", 811, VietnamDivisionType.XA, "xa_nam_ban", 27),
  "W_814" : VNWard("Xã Khâu Vai", 814, VietnamDivisionType.XA, "xa_khau_vai", 27),
  "W_815" : VNWard("Xã Niêm Tòng", 815, VietnamDivisionType.XA, "xa_niem_tong", 27),
  "W_817" : VNWard("Xã Niêm Sơn", 817, VietnamDivisionType.XA, "xa_niem_son", 27),
  "W_820" : VNWard("Thị trấn Yên Minh", 820, VietnamDivisionType.THI_TRAN, "thi_tran_yen_minh", 28),
  "W_823" : VNWard("Xã Thắng Mố", 823, VietnamDivisionType.XA, "xa_thang_mo", 28),
  "W_826" : VNWard("Xã Phú Lũng", 826, VietnamDivisionType.XA, "xa_phu_lung", 28),
  "W_829" : VNWard("Xã Sủng Tráng", 829, VietnamDivisionType.XA, "xa_sung_trang", 28),
  "W_832" : VNWard("Xã Bạch Đích", 832, VietnamDivisionType.XA, "xa_bach_dich", 28),
  "W_835" : VNWard("Xã Na Khê", 835, VietnamDivisionType.XA, "xa_na_khe", 28),
  "W_838" : VNWard("Xã Sủng Thài", 838, VietnamDivisionType.XA, "xa_sung_thai", 28),
  "W_841" : VNWard("Xã Hữu Vinh", 841, VietnamDivisionType.XA, "xa_huu_vinh", 28),
  "W_844" : VNWard("Xã Lao Và Chải", 844, VietnamDivisionType.XA, "xa_lao_va_chai", 28),
  "W_847" : VNWard("Xã Mậu Duệ", 847, VietnamDivisionType.XA, "xa_mau_due", 28),
  "W_850" : VNWard("Xã Đông Minh", 850, VietnamDivisionType.XA, "xa_dong_minh", 28),
  "W_853" : VNWard("Xã Mậu Long", 853, VietnamDivisionType.XA, "xa_mau_long", 28),
  "W_856" : VNWard("Xã Ngam La", 856, VietnamDivisionType.XA, "xa_ngam_la", 28),
  "W_859" : VNWard("Xã Ngọc Long", 859, VietnamDivisionType.XA, "xa_ngoc_long", 28),
  "W_862" : VNWard("Xã Đường Thượng", 862, VietnamDivisionType.XA, "xa_duong_thuong", 28),
  "W_865" : VNWard("Xã Lũng Hồ", 865, VietnamDivisionType.XA, "xa_lung_ho", 28),
  "W_868" : VNWard("Xã Du Tiến", 868, VietnamDivisionType.XA, "xa_du_tien", 28),
  "W_871" : VNWard("Xã Du Già", 871, VietnamDivisionType.XA, "xa_du_gia", 28),
  "W_874" : VNWard("Thị trấn Tam Sơn", 874, VietnamDivisionType.THI_TRAN, "thi_tran_tam_son", 29),
  "W_877" : VNWard("Xã Bát Đại Sơn", 877, VietnamDivisionType.XA, "xa_bat_dai_son", 29),
  "W_880" : VNWard("Xã Nghĩa Thuận", 880, VietnamDivisionType.XA, "xa_nghia_thuan", 29),
  "W_883" : VNWard("Xã Cán Tỷ", 883, VietnamDivisionType.XA, "xa_can_ty", 29),
  "W_886" : VNWard("Xã Cao Mã Pờ", 886, VietnamDivisionType.XA, "xa_cao_ma_po", 29),
  "W_889" : VNWard("Xã Thanh Vân", 889, VietnamDivisionType.XA, "xa_thanh_van", 29),
  "W_892" : VNWard("Xã Tùng Vài", 892, VietnamDivisionType.XA, "xa_tung_vai", 29),
  "W_895" : VNWard("Xã Đông Hà", 895, VietnamDivisionType.XA, "xa_dong_ha", 29),
  "W_898" : VNWard("Xã Quản Bạ", 898, VietnamDivisionType.XA, "xa_quan_ba", 29),
  "W_901" : VNWard("Xã Lùng Tám", 901, VietnamDivisionType.XA, "xa_lung_tam", 29),
  "W_904" : VNWard("Xã Quyết Tiến", 904, VietnamDivisionType.XA, "xa_quyet_tien", 29),
  "W_907" : VNWard("Xã Tả Ván", 907, VietnamDivisionType.XA, "xa_ta_van", 29),
  "W_910" : VNWard("Xã Thái An", 910, VietnamDivisionType.XA, "xa_thai_an", 29),
  "W_703" : VNWard("Xã Kim Thạch", 703, VietnamDivisionType.XA, "xa_kim_thach", 30),
  "W_706" : VNWard("Xã Phú Linh", 706, VietnamDivisionType.XA, "xa_phu_linh", 30),
  "W_709" : VNWard("Xã Kim Linh", 709, VietnamDivisionType.XA, "xa_kim_linh", 30),
  "W_913" : VNWard("Thị trấn Vị Xuyên", 913, VietnamDivisionType.THI_TRAN, "thi_tran_vi_xuyen", 30),
  "W_916" : VNWard(
      "Thị trấn Nông Trường Việt Lâm", 916, VietnamDivisionType.THI_TRAN, "thi_tran_nong_truong_viet_lam", 30
  ),
  "W_919" : VNWard("Xã Minh Tân", 919, VietnamDivisionType.XA, "xa_minh_tan", 30),
  "W_922" : VNWard("Xã Thuận Hoà", 922, VietnamDivisionType.XA, "xa_thuan_hoa", 30),
  "W_925" : VNWard("Xã Tùng Bá", 925, VietnamDivisionType.XA, "xa_tung_ba", 30),
  "W_928" : VNWard("Xã Thanh Thủy", 928, VietnamDivisionType.XA, "xa_thanh_thuy", 30),
  "W_931" : VNWard("Xã Thanh Đức", 931, VietnamDivisionType.XA, "xa_thanh_duc", 30),
  "W_934" : VNWard("Xã Phong Quang", 934, VietnamDivisionType.XA, "xa_phong_quang", 30),
  "W_937" : VNWard("Xã Xín Chải", 937, VietnamDivisionType.XA, "xa_xin_chai", 30),
  "W_940" : VNWard("Xã Phương Tiến", 940, VietnamDivisionType.XA, "xa_phuong_tien", 30),
  "W_943" : VNWard("Xã Lao Chải", 943, VietnamDivisionType.XA, "xa_lao_chai", 30),
  "W_952" : VNWard("Xã Cao Bồ", 952, VietnamDivisionType.XA, "xa_cao_bo", 30),
  "W_955" : VNWard("Xã Đạo Đức", 955, VietnamDivisionType.XA, "xa_dao_duc", 30),
  "W_958" : VNWard("Xã Thượng Sơn", 958, VietnamDivisionType.XA, "xa_thuong_son", 30),
  "W_961" : VNWard("Xã Linh Hồ", 961, VietnamDivisionType.XA, "xa_linh_ho", 30),
  "W_964" : VNWard("Xã Quảng Ngần", 964, VietnamDivisionType.XA, "xa_quang_ngan", 30),
  "W_967" : VNWard("Xã Việt Lâm", 967, VietnamDivisionType.XA, "xa_viet_lam", 30),
  "W_970" : VNWard("Xã Ngọc Linh", 970, VietnamDivisionType.XA, "xa_ngoc_linh", 30),
  "W_973" : VNWard("Xã Ngọc Minh", 973, VietnamDivisionType.XA, "xa_ngoc_minh", 30),
  "W_976" : VNWard("Xã Bạch Ngọc", 976, VietnamDivisionType.XA, "xa_bach_ngoc", 30),
  "W_979" : VNWard("Xã Trung Thành", 979, VietnamDivisionType.XA, "xa_trung_thanh", 30),
  "W_982" : VNWard("Xã Minh Sơn", 982, VietnamDivisionType.XA, "xa_minh_son", 31),
  "W_985" : VNWard("Xã Giáp Trung", 985, VietnamDivisionType.XA, "xa_giap_trung", 31),
  "W_988" : VNWard("Xã Yên Định", 988, VietnamDivisionType.XA, "xa_yen_dinh", 31),
  "W_991" : VNWard("Thị trấn Yên Phú", 991, VietnamDivisionType.THI_TRAN, "thi_tran_yen_phu", 31),
  "W_994" : VNWard("Xã Minh Ngọc", 994, VietnamDivisionType.XA, "xa_minh_ngoc", 31),
  "W_997" : VNWard("Xã Yên Phong", 997, VietnamDivisionType.XA, "xa_yen_phong", 31),
  "W_1000" : VNWard("Xã Lạc Nông", 1000, VietnamDivisionType.XA, "xa_lac_nong", 31),
  "W_1003" : VNWard("Xã Phú Nam", 1003, VietnamDivisionType.XA, "xa_phu_nam", 31),
  "W_1006" : VNWard("Xã Yên Cường", 1006, VietnamDivisionType.XA, "xa_yen_cuong", 31),
  "W_1009" : VNWard("Xã Thượng Tân", 1009, VietnamDivisionType.XA, "xa_thuong_tan", 31),
  "W_1012" : VNWard("Xã Đường Âm", 1012, VietnamDivisionType.XA, "xa_duong_am", 31),
  "W_1015" : VNWard("Xã Đường Hồng", 1015, VietnamDivisionType.XA, "xa_duong_hong", 31),
  "W_1018" : VNWard("Xã Phiêng Luông", 1018, VietnamDivisionType.XA, "xa_phieng_luong", 31),
  "W_1021" : VNWard("Thị trấn Vinh Quang", 1021, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_quang", 32),
  "W_1024" : VNWard("Xã Bản Máy", 1024, VietnamDivisionType.XA, "xa_ban_may", 32),
  "W_1027" : VNWard("Xã Thàng Tín", 1027, VietnamDivisionType.XA, "xa_thang_tin", 32),
  "W_1030" : VNWard("Xã Thèn Chu Phìn", 1030, VietnamDivisionType.XA, "xa_then_chu_phin", 32),
  "W_1033" : VNWard("Xã Pố Lồ", 1033, VietnamDivisionType.XA, "xa_po_lo", 32),
  "W_1036" : VNWard("Xã Bản Phùng", 1036, VietnamDivisionType.XA, "xa_ban_phung", 32),
  "W_1039" : VNWard("Xã Túng Sán", 1039, VietnamDivisionType.XA, "xa_tung_san", 32),
  "W_1042" : VNWard("Xã Chiến Phố", 1042, VietnamDivisionType.XA, "xa_chien_pho", 32),
  "W_1045" : VNWard("Xã Đản Ván", 1045, VietnamDivisionType.XA, "xa_dan_van", 32),
  "W_1048" : VNWard("Xã Tụ Nhân", 1048, VietnamDivisionType.XA, "xa_tu_nhan", 32),
  "W_1051" : VNWard("Xã Tân Tiến", 1051, VietnamDivisionType.XA, "xa_tan_tien", 32),
  "W_1054" : VNWard("Xã Nàng Đôn", 1054, VietnamDivisionType.XA, "xa_nang_don", 32),
  "W_1057" : VNWard("Xã Pờ Ly Ngài", 1057, VietnamDivisionType.XA, "xa_po_ly_ngai", 32),
  "W_1060" : VNWard("Xã Sán Xả Hồ", 1060, VietnamDivisionType.XA, "xa_san_xa_ho", 32),
  "W_1063" : VNWard("Xã Bản Luốc", 1063, VietnamDivisionType.XA, "xa_ban_luoc", 32),
  "W_1066" : VNWard("Xã Ngàm Đăng Vài", 1066, VietnamDivisionType.XA, "xa_ngam_dang_vai", 32),
  "W_1069" : VNWard("Xã Bản Nhùng", 1069, VietnamDivisionType.XA, "xa_ban_nhung", 32),
  "W_1072" : VNWard("Xã Tả Sử Choóng", 1072, VietnamDivisionType.XA, "xa_ta_su_choong", 32),
  "W_1075" : VNWard("Xã Nậm Dịch", 1075, VietnamDivisionType.XA, "xa_nam_dich", 32),
  "W_1081" : VNWard("Xã Hồ Thầu", 1081, VietnamDivisionType.XA, "xa_ho_thau", 32),
  "W_1084" : VNWard("Xã Nam Sơn", 1084, VietnamDivisionType.XA, "xa_nam_son", 32),
  "W_1087" : VNWard("Xã Nậm Tỵ", 1087, VietnamDivisionType.XA, "xa_nam_ty", 32),
  "W_1090" : VNWard("Xã Thông Nguyên", 1090, VietnamDivisionType.XA, "xa_thong_nguyen", 32),
  "W_1093" : VNWard("Xã Nậm Khòa", 1093, VietnamDivisionType.XA, "xa_nam_khoa", 32),
  "W_1096" : VNWard("Thị trấn Cốc Pài", 1096, VietnamDivisionType.THI_TRAN, "thi_tran_coc_pai", 33),
  "W_1099" : VNWard("Xã Nàn Xỉn", 1099, VietnamDivisionType.XA, "xa_nan_xin", 33),
  "W_1102" : VNWard("Xã Bản Díu", 1102, VietnamDivisionType.XA, "xa_ban_diu", 33),
  "W_1105" : VNWard("Xã Chí Cà", 1105, VietnamDivisionType.XA, "xa_chi_ca", 33),
  "W_1108" : VNWard("Xã Xín Mần", 1108, VietnamDivisionType.XA, "xa_xin_man", 33),
  "W_1114" : VNWard("Xã Thèn Phàng", 1114, VietnamDivisionType.XA, "xa_then_phang", 33),
  "W_1117" : VNWard("Xã Trung Thịnh", 1117, VietnamDivisionType.XA, "xa_trung_thinh", 33),
  "W_1120" : VNWard("Xã Pà Vầy Sủ", 1120, VietnamDivisionType.XA, "xa_pa_vay_su", 33),
  "W_1123" : VNWard("Xã Cốc Rế", 1123, VietnamDivisionType.XA, "xa_coc_re", 33),
  "W_1126" : VNWard("Xã Thu Tà", 1126, VietnamDivisionType.XA, "xa_thu_ta", 33),
  "W_1129" : VNWard("Xã Nàn Ma", 1129, VietnamDivisionType.XA, "xa_nan_ma", 33),
  "W_1132" : VNWard("Xã Tả Nhìu", 1132, VietnamDivisionType.XA, "xa_ta_nhiu", 33),
  "W_1135" : VNWard("Xã Bản Ngò", 1135, VietnamDivisionType.XA, "xa_ban_ngo", 33),
  "W_1138" : VNWard("Xã Chế Là", 1138, VietnamDivisionType.XA, "xa_che_la", 33),
  "W_1141" : VNWard("Xã Nấm Dẩn", 1141, VietnamDivisionType.XA, "xa_nam_dan", 33),
  "W_1144" : VNWard("Xã Quảng Nguyên", 1144, VietnamDivisionType.XA, "xa_quang_nguyen", 33),
  "W_1147" : VNWard("Xã Nà Chì", 1147, VietnamDivisionType.XA, "xa_na_chi", 33),
  "W_1150" : VNWard("Xã Khuôn Lùng", 1150, VietnamDivisionType.XA, "xa_khuon_lung", 33),
  "W_1153" : VNWard("Thị trấn Việt Quang", 1153, VietnamDivisionType.THI_TRAN, "thi_tran_viet_quang", 34),
  "W_1156" : VNWard("Thị trấn Vĩnh Tuy", 1156, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_tuy", 34),
  "W_1159" : VNWard("Xã Tân Lập", 1159, VietnamDivisionType.XA, "xa_tan_lap", 34),
  "W_1162" : VNWard("Xã Tân Thành", 1162, VietnamDivisionType.XA, "xa_tan_thanh", 34),
  "W_1165" : VNWard("Xã Đồng Tiến", 1165, VietnamDivisionType.XA, "xa_dong_tien", 34),
  "W_1168" : VNWard("Xã Đồng Tâm", 1168, VietnamDivisionType.XA, "xa_dong_tam", 34),
  "W_1171" : VNWard("Xã Tân Quang", 1171, VietnamDivisionType.XA, "xa_tan_quang", 34),
  "W_1174" : VNWard("Xã Thượng Bình", 1174, VietnamDivisionType.XA, "xa_thuong_binh", 34),
  "W_1177" : VNWard("Xã Hữu Sản", 1177, VietnamDivisionType.XA, "xa_huu_san", 34),
  "W_1180" : VNWard("Xã Kim Ngọc", 1180, VietnamDivisionType.XA, "xa_kim_ngoc", 34),
  "W_1183" : VNWard("Xã Việt Vinh", 1183, VietnamDivisionType.XA, "xa_viet_vinh", 34),
  "W_1186" : VNWard("Xã Bằng Hành", 1186, VietnamDivisionType.XA, "xa_bang_hanh", 34),
  "W_1189" : VNWard("Xã Quang Minh", 1189, VietnamDivisionType.XA, "xa_quang_minh", 34),
  "W_1192" : VNWard("Xã Liên Hiệp", 1192, VietnamDivisionType.XA, "xa_lien_hiep", 34),
  "W_1195" : VNWard("Xã Vô Điếm", 1195, VietnamDivisionType.XA, "xa_vo_diem", 34),
  "W_1198" : VNWard("Xã Việt Hồng", 1198, VietnamDivisionType.XA, "xa_viet_hong", 34),
  "W_1201" : VNWard("Xã Hùng An", 1201, VietnamDivisionType.XA, "xa_hung_an", 34),
  "W_1204" : VNWard("Xã Đức Xuân", 1204, VietnamDivisionType.XA, "xa_duc_xuan", 34),
  "W_1207" : VNWard("Xã Tiên Kiều", 1207, VietnamDivisionType.XA, "xa_tien_kieu", 34),
  "W_1210" : VNWard("Xã Vĩnh Hảo", 1210, VietnamDivisionType.XA, "xa_vinh_hao", 34),
  "W_1213" : VNWard("Xã Vĩnh Phúc", 1213, VietnamDivisionType.XA, "xa_vinh_phuc", 34),
  "W_1216" : VNWard("Xã Đồng Yên", 1216, VietnamDivisionType.XA, "xa_dong_yen", 34),
  "W_1219" : VNWard("Xã Đông Thành", 1219, VietnamDivisionType.XA, "xa_dong_thanh", 34),
  "W_1222" : VNWard("Xã Xuân Minh", 1222, VietnamDivisionType.XA, "xa_xuan_minh", 35),
  "W_1225" : VNWard("Xã Tiên Nguyên", 1225, VietnamDivisionType.XA, "xa_tien_nguyen", 35),
  "W_1228" : VNWard("Xã Tân Nam", 1228, VietnamDivisionType.XA, "xa_tan_nam", 35),
  "W_1231" : VNWard("Xã Bản Rịa", 1231, VietnamDivisionType.XA, "xa_ban_ria", 35),
  "W_1234" : VNWard("Xã Yên Thành", 1234, VietnamDivisionType.XA, "xa_yen_thanh", 35),
  "W_1237" : VNWard("Thị trấn Yên Bình", 1237, VietnamDivisionType.THI_TRAN, "thi_tran_yen_binh", 35),
  "W_1240" : VNWard("Xã Tân Trịnh", 1240, VietnamDivisionType.XA, "xa_tan_trinh", 35),
  "W_1243" : VNWard("Xã Tân Bắc", 1243, VietnamDivisionType.XA, "xa_tan_bac", 35),
  "W_1246" : VNWard("Xã Bằng Lang", 1246, VietnamDivisionType.XA, "xa_bang_lang", 35),
  "W_1249" : VNWard("Xã Yên Hà", 1249, VietnamDivisionType.XA, "xa_yen_ha", 35),
  "W_1252" : VNWard("Xã Hương Sơn", 1252, VietnamDivisionType.XA, "xa_huong_son", 35),
  "W_1255" : VNWard("Xã Xuân Giang", 1255, VietnamDivisionType.XA, "xa_xuan_giang", 35),
  "W_1258" : VNWard("Xã Nà Khương", 1258, VietnamDivisionType.XA, "xa_na_khuong", 35),
  "W_1261" : VNWard("Xã Tiên Yên", 1261, VietnamDivisionType.XA, "xa_tien_yen", 35),
  "W_1264" : VNWard("Xã Vĩ Thượng", 1264, VietnamDivisionType.XA, "xa_vi_thuong", 35),
  "W_1267" : VNWard("Phường Sông Hiến", 1267, VietnamDivisionType.PHUONG, "phuong_song_hien", 40),
  "W_1270" : VNWard("Phường Sông Bằng", 1270, VietnamDivisionType.PHUONG, "phuong_song_bang", 40),
  "W_1273" : VNWard("Phường Hợp Giang", 1273, VietnamDivisionType.PHUONG, "phuong_hop_giang", 40),
  "W_1276" : VNWard("Phường Tân Giang", 1276, VietnamDivisionType.PHUONG, "phuong_tan_giang", 40),
  "W_1279" : VNWard("Phường Ngọc Xuân", 1279, VietnamDivisionType.PHUONG, "phuong_ngoc_xuan", 40),
  "W_1282" : VNWard("Phường Đề Thám", 1282, VietnamDivisionType.PHUONG, "phuong_de_tham", 40),
  "W_1285" : VNWard("Phường Hoà Chung", 1285, VietnamDivisionType.PHUONG, "phuong_hoa_chung", 40),
  "W_1288" : VNWard("Phường Duyệt Trung", 1288, VietnamDivisionType.PHUONG, "phuong_duyet_trung", 40),
  "W_1693" : VNWard("Xã Vĩnh Quang", 1693, VietnamDivisionType.XA, "xa_vinh_quang", 40),
  "W_1705" : VNWard("Xã Hưng Đạo", 1705, VietnamDivisionType.XA, "xa_hung_dao", 40),
  "W_1720" : VNWard("Xã Chu Trinh", 1720, VietnamDivisionType.XA, "xa_chu_trinh", 40),
  "W_1290" : VNWard("Thị trấn Pác Miầu", 1290, VietnamDivisionType.THI_TRAN, "thi_tran_pac_miau", 42),
  "W_1291" : VNWard("Xã Đức Hạnh", 1291, VietnamDivisionType.XA, "xa_duc_hanh", 42),
  "W_1294" : VNWard("Xã Lý Bôn", 1294, VietnamDivisionType.XA, "xa_ly_bon", 42),
  "W_1296" : VNWard("Xã Nam Cao", 1296, VietnamDivisionType.XA, "xa_nam_cao", 42),
  "W_1297" : VNWard("Xã Nam Quang", 1297, VietnamDivisionType.XA, "xa_nam_quang", 42),
  "W_1300" : VNWard("Xã Vĩnh Quang", 1300, VietnamDivisionType.XA, "xa_vinh_quang", 42),
  "W_1303" : VNWard("Xã Quảng Lâm", 1303, VietnamDivisionType.XA, "xa_quang_lam", 42),
  "W_1304" : VNWard("Xã Thạch Lâm", 1304, VietnamDivisionType.XA, "xa_thach_lam", 42),
  "W_1309" : VNWard("Xã Vĩnh Phong", 1309, VietnamDivisionType.XA, "xa_vinh_phong", 42),
  "W_1312" : VNWard("Xã Mông Ân", 1312, VietnamDivisionType.XA, "xa_mong_an", 42),
  "W_1315" : VNWard("Xã Thái Học", 1315, VietnamDivisionType.XA, "xa_thai_hoc", 42),
  "W_1316" : VNWard("Xã Thái Sơn", 1316, VietnamDivisionType.XA, "xa_thai_son", 42),
  "W_1318" : VNWard("Xã Yên Thổ", 1318, VietnamDivisionType.XA, "xa_yen_tho", 42),
  "W_1321" : VNWard("Thị trấn Bảo Lạc", 1321, VietnamDivisionType.THI_TRAN, "thi_tran_bao_lac", 43),
  "W_1324" : VNWard("Xã Cốc Pàng", 1324, VietnamDivisionType.XA, "xa_coc_pang", 43),
  "W_1327" : VNWard("Xã Thượng Hà", 1327, VietnamDivisionType.XA, "xa_thuong_ha", 43),
  "W_1330" : VNWard("Xã Cô Ba", 1330, VietnamDivisionType.XA, "xa_co_ba", 43),
  "W_1333" : VNWard("Xã Bảo Toàn", 1333, VietnamDivisionType.XA, "xa_bao_toan", 43),
  "W_1336" : VNWard("Xã Khánh Xuân", 1336, VietnamDivisionType.XA, "xa_khanh_xuan", 43),
  "W_1339" : VNWard("Xã Xuân Trường", 1339, VietnamDivisionType.XA, "xa_xuan_truong", 43),
  "W_1342" : VNWard("Xã Hồng Trị", 1342, VietnamDivisionType.XA, "xa_hong_tri", 43),
  "W_1343" : VNWard("Xã Kim Cúc", 1343, VietnamDivisionType.XA, "xa_kim_cuc", 43),
  "W_1345" : VNWard("Xã Phan Thanh", 1345, VietnamDivisionType.XA, "xa_phan_thanh", 43),
  "W_1348" : VNWard("Xã Hồng An", 1348, VietnamDivisionType.XA, "xa_hong_an", 43),
  "W_1351" : VNWard("Xã Hưng Đạo", 1351, VietnamDivisionType.XA, "xa_hung_dao", 43),
  "W_1352" : VNWard("Xã Hưng Thịnh", 1352, VietnamDivisionType.XA, "xa_hung_thinh", 43),
  "W_1354" : VNWard("Xã Huy Giáp", 1354, VietnamDivisionType.XA, "xa_huy_giap", 43),
  "W_1357" : VNWard("Xã Đình Phùng", 1357, VietnamDivisionType.XA, "xa_dinh_phung", 43),
  "W_1359" : VNWard("Xã Sơn Lập", 1359, VietnamDivisionType.XA, "xa_son_lap", 43),
  "W_1360" : VNWard("Xã Sơn Lộ", 1360, VietnamDivisionType.XA, "xa_son_lo", 43),
  "W_1363" : VNWard("Thị trấn Thông Nông", 1363, VietnamDivisionType.THI_TRAN, "thi_tran_thong_nong", 45),
  "W_1366" : VNWard("Xã Cần Yên", 1366, VietnamDivisionType.XA, "xa_can_yen", 45),
  "W_1367" : VNWard("Xã Cần Nông", 1367, VietnamDivisionType.XA, "xa_can_nong", 45),
  "W_1372" : VNWard("Xã Lương Thông", 1372, VietnamDivisionType.XA, "xa_luong_thong", 45),
  "W_1375" : VNWard("Xã Đa Thông", 1375, VietnamDivisionType.XA, "xa_da_thong", 45),
  "W_1378" : VNWard("Xã Ngọc Động", 1378, VietnamDivisionType.XA, "xa_ngoc_dong", 45),
  "W_1381" : VNWard("Xã Yên Sơn", 1381, VietnamDivisionType.XA, "xa_yen_son", 45),
  "W_1384" : VNWard("Xã Lương Can", 1384, VietnamDivisionType.XA, "xa_luong_can", 45),
  "W_1387" : VNWard("Xã Thanh Long", 1387, VietnamDivisionType.XA, "xa_thanh_long", 45),
  "W_1392" : VNWard("Thị trấn Xuân Hòa", 1392, VietnamDivisionType.THI_TRAN, "thi_tran_xuan_hoa", 45),
  "W_1393" : VNWard("Xã Lũng Nặm", 1393, VietnamDivisionType.XA, "xa_lung_nam", 45),
  "W_1399" : VNWard("Xã Trường Hà", 1399, VietnamDivisionType.XA, "xa_truong_ha", 45),
  "W_1402" : VNWard("Xã Cải Viên", 1402, VietnamDivisionType.XA, "xa_cai_vien", 45),
  "W_1411" : VNWard("Xã Nội Thôn", 1411, VietnamDivisionType.XA, "xa_noi_thon", 45),
  "W_1414" : VNWard("Xã Tổng Cọt", 1414, VietnamDivisionType.XA, "xa_tong_cot", 45),
  "W_1417" : VNWard("Xã Sóc Hà", 1417, VietnamDivisionType.XA, "xa_soc_ha", 45),
  "W_1420" : VNWard("Xã Thượng Thôn", 1420, VietnamDivisionType.XA, "xa_thuong_thon", 45),
  "W_1429" : VNWard("Xã Hồng Sỹ", 1429, VietnamDivisionType.XA, "xa_hong_sy", 45),
  "W_1432" : VNWard("Xã Quý Quân", 1432, VietnamDivisionType.XA, "xa_quy_quan", 45),
  "W_1435" : VNWard("Xã Mã Ba", 1435, VietnamDivisionType.XA, "xa_ma_ba", 45),
  "W_1438" : VNWard("Xã Ngọc Đào", 1438, VietnamDivisionType.XA, "xa_ngoc_dao", 45),
  "W_1447" : VNWard("Thị trấn Trà Lĩnh", 1447, VietnamDivisionType.THI_TRAN, "thi_tran_tra_linh", 47),
  "W_1453" : VNWard("Xã Tri Phương", 1453, VietnamDivisionType.XA, "xa_tri_phuong", 47),
  "W_1456" : VNWard("Xã Quang Hán", 1456, VietnamDivisionType.XA, "xa_quang_han", 47),
  "W_1462" : VNWard("Xã Xuân Nội", 1462, VietnamDivisionType.XA, "xa_xuan_noi", 47),
  "W_1465" : VNWard("Xã Quang Trung", 1465, VietnamDivisionType.XA, "xa_quang_trung", 47),
  "W_1468" : VNWard("Xã Quang Vinh", 1468, VietnamDivisionType.XA, "xa_quang_vinh", 47),
  "W_1471" : VNWard("Xã Cao Chương", 1471, VietnamDivisionType.XA, "xa_cao_chuong", 47),
  "W_1477" : VNWard("Thị trấn Trùng Khánh", 1477, VietnamDivisionType.THI_TRAN, "thi_tran_trung_khanh", 47),
  "W_1480" : VNWard("Xã Ngọc Khê", 1480, VietnamDivisionType.XA, "xa_ngoc_khe", 47),
  "W_1481" : VNWard("Xã Ngọc Côn", 1481, VietnamDivisionType.XA, "xa_ngoc_con", 47),
  "W_1483" : VNWard("Xã Phong Nậm", 1483, VietnamDivisionType.XA, "xa_phong_nam", 47),
  "W_1489" : VNWard("Xã Đình Phong", 1489, VietnamDivisionType.XA, "xa_dinh_phong", 47),
  "W_1495" : VNWard("Xã Đàm Thuỷ", 1495, VietnamDivisionType.XA, "xa_dam_thuy", 47),
  "W_1498" : VNWard("Xã Khâm Thành", 1498, VietnamDivisionType.XA, "xa_kham_thanh", 47),
  "W_1501" : VNWard("Xã Chí Viễn", 1501, VietnamDivisionType.XA, "xa_chi_vien", 47),
  "W_1504" : VNWard("Xã Lăng Hiếu", 1504, VietnamDivisionType.XA, "xa_lang_hieu", 47),
  "W_1507" : VNWard("Xã Phong Châu", 1507, VietnamDivisionType.XA, "xa_phong_chau", 47),
  "W_1516" : VNWard("Xã Trung Phúc", 1516, VietnamDivisionType.XA, "xa_trung_phuc", 47),
  "W_1519" : VNWard("Xã Cao Thăng", 1519, VietnamDivisionType.XA, "xa_cao_thang", 47),
  "W_1522" : VNWard("Xã Đức Hồng", 1522, VietnamDivisionType.XA, "xa_duc_hong", 47),
  "W_1525" : VNWard("Xã Đoài Dương", 1525, VietnamDivisionType.XA, "xa_doai_duong", 47),
  "W_1534" : VNWard("Xã Minh Long", 1534, VietnamDivisionType.XA, "xa_minh_long", 48),
  "W_1537" : VNWard("Xã Lý Quốc", 1537, VietnamDivisionType.XA, "xa_ly_quoc", 48),
  "W_1540" : VNWard("Xã Thắng Lợi", 1540, VietnamDivisionType.XA, "xa_thang_loi", 48),
  "W_1543" : VNWard("Xã Đồng Loan", 1543, VietnamDivisionType.XA, "xa_dong_loan", 48),
  "W_1546" : VNWard("Xã Đức Quang", 1546, VietnamDivisionType.XA, "xa_duc_quang", 48),
  "W_1549" : VNWard("Xã Kim Loan", 1549, VietnamDivisionType.XA, "xa_kim_loan", 48),
  "W_1552" : VNWard("Xã Quang Long", 1552, VietnamDivisionType.XA, "xa_quang_long", 48),
  "W_1555" : VNWard("Xã An Lạc", 1555, VietnamDivisionType.XA, "xa_an_lac", 48),
  "W_1558" : VNWard("Thị trấn Thanh Nhật", 1558, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_nhat", 48),
  "W_1561" : VNWard("Xã Vinh Quý", 1561, VietnamDivisionType.XA, "xa_vinh_quy", 48),
  "W_1564" : VNWard("Xã Thống Nhất", 1564, VietnamDivisionType.XA, "xa_thong_nhat", 48),
  "W_1567" : VNWard("Xã Cô Ngân", 1567, VietnamDivisionType.XA, "xa_co_ngan", 48),
  "W_1573" : VNWard("Xã Thị Hoa", 1573, VietnamDivisionType.XA, "xa_thi_hoa", 48),
  "W_1474" : VNWard("Xã Quốc Toản", 1474, VietnamDivisionType.XA, "xa_quoc_toan", 49),
  "W_1576" : VNWard("Thị trấn Quảng Uyên", 1576, VietnamDivisionType.THI_TRAN, "thi_tran_quang_uyen", 49),
  "W_1579" : VNWard("Xã Phi Hải", 1579, VietnamDivisionType.XA, "xa_phi_hai", 49),
  "W_1582" : VNWard("Xã Quảng Hưng", 1582, VietnamDivisionType.XA, "xa_quang_hung", 49),
  "W_1594" : VNWard("Xã Độc Lập", 1594, VietnamDivisionType.XA, "xa_doc_lap", 49),
  "W_1597" : VNWard("Xã Cai Bộ", 1597, VietnamDivisionType.XA, "xa_cai_bo", 49),
  "W_1603" : VNWard("Xã Phúc Sen", 1603, VietnamDivisionType.XA, "xa_phuc_sen", 49),
  "W_1606" : VNWard("Xã Chí Thảo", 1606, VietnamDivisionType.XA, "xa_chi_thao", 49),
  "W_1609" : VNWard("Xã Tự Do", 1609, VietnamDivisionType.XA, "xa_tu_do", 49),
  "W_1615" : VNWard("Xã Hồng Quang", 1615, VietnamDivisionType.XA, "xa_hong_quang", 49),
  "W_1618" : VNWard("Xã Ngọc Động", 1618, VietnamDivisionType.XA, "xa_ngoc_dong", 49),
  "W_1624" : VNWard("Xã Hạnh Phúc", 1624, VietnamDivisionType.XA, "xa_hanh_phuc", 49),
  "W_1627" : VNWard("Thị trấn Tà Lùng", 1627, VietnamDivisionType.THI_TRAN, "thi_tran_ta_lung", 49),
  "W_1630" : VNWard("Xã Bế Văn Đàn", 1630, VietnamDivisionType.XA, "xa_be_van_dan", 49),
  "W_1636" : VNWard("Xã Cách Linh", 1636, VietnamDivisionType.XA, "xa_cach_linh", 49),
  "W_1639" : VNWard("Xã Đại Sơn", 1639, VietnamDivisionType.XA, "xa_dai_son", 49),
  "W_1645" : VNWard("Xã Tiên Thành", 1645, VietnamDivisionType.XA, "xa_tien_thanh", 49),
  "W_1648" : VNWard("Thị trấn Hoà Thuận", 1648, VietnamDivisionType.THI_TRAN, "thi_tran_hoa_thuan", 49),
  "W_1651" : VNWard("Xã Mỹ Hưng", 1651, VietnamDivisionType.XA, "xa_my_hung", 49),
  "W_1654" : VNWard("Thị trấn Nước Hai", 1654, VietnamDivisionType.THI_TRAN, "thi_tran_nuoc_hai", 51),
  "W_1657" : VNWard("Xã Dân Chủ", 1657, VietnamDivisionType.XA, "xa_dan_chu", 51),
  "W_1660" : VNWard("Xã Nam Tuấn", 1660, VietnamDivisionType.XA, "xa_nam_tuan", 51),
  "W_1666" : VNWard("Xã Đại Tiến", 1666, VietnamDivisionType.XA, "xa_dai_tien", 51),
  "W_1669" : VNWard("Xã Đức Long", 1669, VietnamDivisionType.XA, "xa_duc_long", 51),
  "W_1672" : VNWard("Xã Ngũ Lão", 1672, VietnamDivisionType.XA, "xa_ngu_lao", 51),
  "W_1675" : VNWard("Xã Trương Lương", 1675, VietnamDivisionType.XA, "xa_truong_luong", 51),
  "W_1687" : VNWard("Xã Hồng Việt", 1687, VietnamDivisionType.XA, "xa_hong_viet", 51),
  "W_1696" : VNWard("Xã Hoàng Tung", 1696, VietnamDivisionType.XA, "xa_hoang_tung", 51),
  "W_1699" : VNWard("Xã Nguyễn Huệ", 1699, VietnamDivisionType.XA, "xa_nguyen_hue", 51),
  "W_1702" : VNWard("Xã Quang Trung", 1702, VietnamDivisionType.XA, "xa_quang_trung", 51),
  "W_1708" : VNWard("Xã Bạch Đằng", 1708, VietnamDivisionType.XA, "xa_bach_dang", 51),
  "W_1711" : VNWard("Xã Bình Dương", 1711, VietnamDivisionType.XA, "xa_binh_duong", 51),
  "W_1714" : VNWard("Xã Lê Chung", 1714, VietnamDivisionType.XA, "xa_le_chung", 51),
  "W_1723" : VNWard("Xã Hồng Nam", 1723, VietnamDivisionType.XA, "xa_hong_nam", 51),
  "W_1726" : VNWard("Thị trấn Nguyên Bình", 1726, VietnamDivisionType.THI_TRAN, "thi_tran_nguyen_binh", 52),
  "W_1729" : VNWard("Thị trấn Tĩnh Túc", 1729, VietnamDivisionType.THI_TRAN, "thi_tran_tinh_tuc", 52),
  "W_1732" : VNWard("Xã Yên Lạc", 1732, VietnamDivisionType.XA, "xa_yen_lac", 52),
  "W_1735" : VNWard("Xã Triệu Nguyên", 1735, VietnamDivisionType.XA, "xa_trieu_nguyen", 52),
  "W_1738" : VNWard("Xã Ca Thành", 1738, VietnamDivisionType.XA, "xa_ca_thanh", 52),
  "W_1744" : VNWard("Xã Vũ Nông", 1744, VietnamDivisionType.XA, "xa_vu_nong", 52),
  "W_1747" : VNWard("Xã Minh Tâm", 1747, VietnamDivisionType.XA, "xa_minh_tam", 52),
  "W_1750" : VNWard("Xã Thể Dục", 1750, VietnamDivisionType.XA, "xa_the_duc", 52),
  "W_1756" : VNWard("Xã Mai Long", 1756, VietnamDivisionType.XA, "xa_mai_long", 52),
  "W_1762" : VNWard("Xã Vũ Minh", 1762, VietnamDivisionType.XA, "xa_vu_minh", 52),
  "W_1765" : VNWard("Xã Hoa Thám", 1765, VietnamDivisionType.XA, "xa_hoa_tham", 52),
  "W_1768" : VNWard("Xã Phan Thanh", 1768, VietnamDivisionType.XA, "xa_phan_thanh", 52),
  "W_1771" : VNWard("Xã Quang Thành", 1771, VietnamDivisionType.XA, "xa_quang_thanh", 52),
  "W_1774" : VNWard("Xã Tam Kim", 1774, VietnamDivisionType.XA, "xa_tam_kim", 52),
  "W_1777" : VNWard("Xã Thành Công", 1777, VietnamDivisionType.XA, "xa_thanh_cong", 52),
  "W_1780" : VNWard("Xã Thịnh Vượng", 1780, VietnamDivisionType.XA, "xa_thinh_vuong", 52),
  "W_1783" : VNWard("Xã Hưng Đạo", 1783, VietnamDivisionType.XA, "xa_hung_dao", 52),
  "W_1786" : VNWard("Thị trấn Đông Khê", 1786, VietnamDivisionType.THI_TRAN, "thi_tran_dong_khe", 53),
  "W_1789" : VNWard("Xã Canh Tân", 1789, VietnamDivisionType.XA, "xa_canh_tan", 53),
  "W_1792" : VNWard("Xã Kim Đồng", 1792, VietnamDivisionType.XA, "xa_kim_dong", 53),
  "W_1795" : VNWard("Xã Minh Khai", 1795, VietnamDivisionType.XA, "xa_minh_khai", 53),
  "W_1801" : VNWard("Xã Đức Thông", 1801, VietnamDivisionType.XA, "xa_duc_thong", 53),
  "W_1804" : VNWard("Xã Thái Cường", 1804, VietnamDivisionType.XA, "xa_thai_cuong", 53),
  "W_1807" : VNWard("Xã Vân Trình", 1807, VietnamDivisionType.XA, "xa_van_trinh", 53),
  "W_1810" : VNWard("Xã Thụy Hùng", 1810, VietnamDivisionType.XA, "xa_thuy_hung", 53),
  "W_1813" : VNWard("Xã Quang Trọng", 1813, VietnamDivisionType.XA, "xa_quang_trong", 53),
  "W_1816" : VNWard("Xã Trọng Con", 1816, VietnamDivisionType.XA, "xa_trong_con", 53),
  "W_1819" : VNWard("Xã Lê Lai", 1819, VietnamDivisionType.XA, "xa_le_lai", 53),
  "W_1822" : VNWard("Xã Đức Long", 1822, VietnamDivisionType.XA, "xa_duc_long", 53),
  "W_1828" : VNWard("Xã Lê Lợi", 1828, VietnamDivisionType.XA, "xa_le_loi", 53),
  "W_1831" : VNWard("Xã Đức Xuân", 1831, VietnamDivisionType.XA, "xa_duc_xuan", 53),
  "W_1834" : VNWard("Phường Nguyễn Thị Minh Khai", 1834, VietnamDivisionType.PHUONG, "phuong_nguyen_thi_minh_khai", 58),
  "W_1837" : VNWard("Phường Sông Cầu", 1837, VietnamDivisionType.PHUONG, "phuong_song_cau", 58),
  "W_1840" : VNWard("Phường Đức Xuân", 1840, VietnamDivisionType.PHUONG, "phuong_duc_xuan", 58),
  "W_1843" : VNWard("Phường Phùng Chí Kiên", 1843, VietnamDivisionType.PHUONG, "phuong_phung_chi_kien", 58),
  "W_1846" : VNWard("Phường Huyền Tụng", 1846, VietnamDivisionType.PHUONG, "phuong_huyen_tung", 58),
  "W_1849" : VNWard("Xã Dương Quang", 1849, VietnamDivisionType.XA, "xa_duong_quang", 58),
  "W_1852" : VNWard("Xã Nông Thượng", 1852, VietnamDivisionType.XA, "xa_nong_thuong", 58),
  "W_1855" : VNWard("Phường Xuất Hóa", 1855, VietnamDivisionType.PHUONG, "phuong_xuat_hoa", 58),
  "W_1858" : VNWard("Xã Bằng Thành", 1858, VietnamDivisionType.XA, "xa_bang_thanh", 60),
  "W_1861" : VNWard("Xã Nhạn Môn", 1861, VietnamDivisionType.XA, "xa_nhan_mon", 60),
  "W_1864" : VNWard("Xã Bộc Bố", 1864, VietnamDivisionType.XA, "xa_boc_bo", 60),
  "W_1867" : VNWard("Xã Công Bằng", 1867, VietnamDivisionType.XA, "xa_cong_bang", 60),
  "W_1870" : VNWard("Xã Giáo Hiệu", 1870, VietnamDivisionType.XA, "xa_giao_hieu", 60),
  "W_1873" : VNWard("Xã Xuân La", 1873, VietnamDivisionType.XA, "xa_xuan_la", 60),
  "W_1876" : VNWard("Xã An Thắng", 1876, VietnamDivisionType.XA, "xa_an_thang", 60),
  "W_1879" : VNWard("Xã Cổ Linh", 1879, VietnamDivisionType.XA, "xa_co_linh", 60),
  "W_1882" : VNWard("Xã Nghiên Loan", 1882, VietnamDivisionType.XA, "xa_nghien_loan", 60),
  "W_1885" : VNWard("Xã Cao Tân", 1885, VietnamDivisionType.XA, "xa_cao_tan", 60),
  "W_1888" : VNWard("Thị trấn Chợ Rã", 1888, VietnamDivisionType.THI_TRAN, "thi_tran_cho_ra", 61),
  "W_1891" : VNWard("Xã Bành Trạch", 1891, VietnamDivisionType.XA, "xa_banh_trach", 61),
  "W_1894" : VNWard("Xã Phúc Lộc", 1894, VietnamDivisionType.XA, "xa_phuc_loc", 61),
  "W_1897" : VNWard("Xã Hà Hiệu", 1897, VietnamDivisionType.XA, "xa_ha_hieu", 61),
  "W_1900" : VNWard("Xã Cao Thượng", 1900, VietnamDivisionType.XA, "xa_cao_thuong", 61),
  "W_1906" : VNWard("Xã Khang Ninh", 1906, VietnamDivisionType.XA, "xa_khang_ninh", 61),
  "W_1909" : VNWard("Xã Nam Mẫu", 1909, VietnamDivisionType.XA, "xa_nam_mau", 61),
  "W_1912" : VNWard("Xã Thượng Giáo", 1912, VietnamDivisionType.XA, "xa_thuong_giao", 61),
  "W_1915" : VNWard("Xã Địa Linh", 1915, VietnamDivisionType.XA, "xa_dia_linh", 61),
  "W_1918" : VNWard("Xã Yến Dương", 1918, VietnamDivisionType.XA, "xa_yen_duong", 61),
  "W_1921" : VNWard("Xã Chu Hương", 1921, VietnamDivisionType.XA, "xa_chu_huong", 61),
  "W_1924" : VNWard("Xã Quảng Khê", 1924, VietnamDivisionType.XA, "xa_quang_khe", 61),
  "W_1927" : VNWard("Xã Mỹ Phương", 1927, VietnamDivisionType.XA, "xa_my_phuong", 61),
  "W_1930" : VNWard("Xã Hoàng Trĩ", 1930, VietnamDivisionType.XA, "xa_hoang_tri", 61),
  "W_1933" : VNWard("Xã Đồng Phúc", 1933, VietnamDivisionType.XA, "xa_dong_phuc", 61),
  "W_1936" : VNWard("Thị trấn Nà Phặc", 1936, VietnamDivisionType.THI_TRAN, "thi_tran_na_phac", 62),
  "W_1939" : VNWard("Xã Thượng Ân", 1939, VietnamDivisionType.XA, "xa_thuong_an", 62),
  "W_1942" : VNWard("Xã Bằng Vân", 1942, VietnamDivisionType.XA, "xa_bang_van", 62),
  "W_1945" : VNWard("Xã Cốc Đán", 1945, VietnamDivisionType.XA, "xa_coc_dan", 62),
  "W_1948" : VNWard("Xã Trung Hoà", 1948, VietnamDivisionType.XA, "xa_trung_hoa", 62),
  "W_1951" : VNWard("Xã Đức Vân", 1951, VietnamDivisionType.XA, "xa_duc_van", 62),
  "W_1954" : VNWard("Xã Vân Tùng", 1954, VietnamDivisionType.XA, "xa_van_tung", 62),
  "W_1957" : VNWard("Xã Thượng Quan", 1957, VietnamDivisionType.XA, "xa_thuong_quan", 62),
  "W_1960" : VNWard("Xã Hiệp Lực", 1960, VietnamDivisionType.XA, "xa_hiep_luc", 62),
  "W_1963" : VNWard("Xã Thuần Mang", 1963, VietnamDivisionType.XA, "xa_thuan_mang", 62),
  "W_1969" : VNWard("Thị trấn Phủ Thông", 1969, VietnamDivisionType.THI_TRAN, "thi_tran_phu_thong", 63),
  "W_1975" : VNWard("Xã Vi Hương", 1975, VietnamDivisionType.XA, "xa_vi_huong", 63),
  "W_1978" : VNWard("Xã Sĩ Bình", 1978, VietnamDivisionType.XA, "xa_si_binh", 63),
  "W_1981" : VNWard("Xã Vũ Muộn", 1981, VietnamDivisionType.XA, "xa_vu_muon", 63),
  "W_1984" : VNWard("Xã Đôn Phong", 1984, VietnamDivisionType.XA, "xa_don_phong", 63),
  "W_1990" : VNWard("Xã Lục Bình", 1990, VietnamDivisionType.XA, "xa_luc_binh", 63),
  "W_1993" : VNWard("Xã Tân Tú", 1993, VietnamDivisionType.XA, "xa_tan_tu", 63),
  "W_1999" : VNWard("Xã Nguyên Phúc", 1999, VietnamDivisionType.XA, "xa_nguyen_phuc", 63),
  "W_2002" : VNWard("Xã Cao Sơn", 2002, VietnamDivisionType.XA, "xa_cao_son", 63),
  "W_2005" : VNWard("Xã Quân Hà", 2005, VietnamDivisionType.XA, "xa_quan_ha", 63),
  "W_2008" : VNWard("Xã Cẩm Giàng", 2008, VietnamDivisionType.XA, "xa_cam_giang", 63),
  "W_2011" : VNWard("Xã Mỹ Thanh", 2011, VietnamDivisionType.XA, "xa_my_thanh", 63),
  "W_2014" : VNWard("Xã Dương Phong", 2014, VietnamDivisionType.XA, "xa_duong_phong", 63),
  "W_2017" : VNWard("Xã Quang Thuận", 2017, VietnamDivisionType.XA, "xa_quang_thuan", 63),
  "W_2020" : VNWard("Thị trấn Bằng Lũng", 2020, VietnamDivisionType.THI_TRAN, "thi_tran_bang_lung", 64),
  "W_2023" : VNWard("Xã Xuân Lạc", 2023, VietnamDivisionType.XA, "xa_xuan_lac", 64),
  "W_2026" : VNWard("Xã Nam Cường", 2026, VietnamDivisionType.XA, "xa_nam_cuong", 64),
  "W_2029" : VNWard("Xã Đồng Lạc", 2029, VietnamDivisionType.XA, "xa_dong_lac", 64),
  "W_2032" : VNWard("Xã Tân Lập", 2032, VietnamDivisionType.XA, "xa_tan_lap", 64),
  "W_2035" : VNWard("Xã Bản Thi", 2035, VietnamDivisionType.XA, "xa_ban_thi", 64),
  "W_2038" : VNWard("Xã Quảng Bạch", 2038, VietnamDivisionType.XA, "xa_quang_bach", 64),
  "W_2041" : VNWard("Xã Bằng Phúc", 2041, VietnamDivisionType.XA, "xa_bang_phuc", 64),
  "W_2044" : VNWard("Xã Yên Thịnh", 2044, VietnamDivisionType.XA, "xa_yen_thinh", 64),
  "W_2047" : VNWard("Xã Yên Thượng", 2047, VietnamDivisionType.XA, "xa_yen_thuong", 64),
  "W_2050" : VNWard("Xã Phương Viên", 2050, VietnamDivisionType.XA, "xa_phuong_vien", 64),
  "W_2053" : VNWard("Xã Ngọc Phái", 2053, VietnamDivisionType.XA, "xa_ngoc_phai", 64),
  "W_2059" : VNWard("Xã Đồng Thắng", 2059, VietnamDivisionType.XA, "xa_dong_thang", 64),
  "W_2062" : VNWard("Xã Lương Bằng", 2062, VietnamDivisionType.XA, "xa_luong_bang", 64),
  "W_2065" : VNWard("Xã Bằng Lãng", 2065, VietnamDivisionType.XA, "xa_bang_lang", 64),
  "W_2068" : VNWard("Xã Đại Sảo", 2068, VietnamDivisionType.XA, "xa_dai_sao", 64),
  "W_2071" : VNWard("Xã Nghĩa Tá", 2071, VietnamDivisionType.XA, "xa_nghia_ta", 64),
  "W_2077" : VNWard("Xã Yên Mỹ", 2077, VietnamDivisionType.XA, "xa_yen_my", 64),
  "W_2080" : VNWard("Xã Bình Trung", 2080, VietnamDivisionType.XA, "xa_binh_trung", 64),
  "W_2083" : VNWard("Xã Yên Phong", 2083, VietnamDivisionType.XA, "xa_yen_phong", 64),
  "W_2086" : VNWard("Thị trấn Đồng Tâm", 2086, VietnamDivisionType.THI_TRAN, "thi_tran_dong_tam", 65),
  "W_2089" : VNWard("Xã Tân Sơn", 2089, VietnamDivisionType.XA, "xa_tan_son", 65),
  "W_2092" : VNWard("Xã Thanh Vận", 2092, VietnamDivisionType.XA, "xa_thanh_van", 65),
  "W_2095" : VNWard("Xã Mai Lạp", 2095, VietnamDivisionType.XA, "xa_mai_lap", 65),
  "W_2098" : VNWard("Xã Hoà Mục", 2098, VietnamDivisionType.XA, "xa_hoa_muc", 65),
  "W_2101" : VNWard("Xã Thanh Mai", 2101, VietnamDivisionType.XA, "xa_thanh_mai", 65),
  "W_2104" : VNWard("Xã Cao Kỳ", 2104, VietnamDivisionType.XA, "xa_cao_ky", 65),
  "W_2107" : VNWard("Xã Nông Hạ", 2107, VietnamDivisionType.XA, "xa_nong_ha", 65),
  "W_2110" : VNWard("Xã Yên Cư", 2110, VietnamDivisionType.XA, "xa_yen_cu", 65),
  "W_2113" : VNWard("Xã Thanh Thịnh", 2113, VietnamDivisionType.XA, "xa_thanh_thinh", 65),
  "W_2116" : VNWard("Xã Yên Hân", 2116, VietnamDivisionType.XA, "xa_yen_han", 65),
  "W_2122" : VNWard("Xã Như Cố", 2122, VietnamDivisionType.XA, "xa_nhu_co", 65),
  "W_2125" : VNWard("Xã Bình Văn", 2125, VietnamDivisionType.XA, "xa_binh_van", 65),
  "W_2131" : VNWard("Xã Quảng Chu", 2131, VietnamDivisionType.XA, "xa_quang_chu", 65),
  "W_2137" : VNWard("Xã Văn Vũ", 2137, VietnamDivisionType.XA, "xa_van_vu", 66),
  "W_2140" : VNWard("Xã Văn Lang", 2140, VietnamDivisionType.XA, "xa_van_lang", 66),
  "W_2143" : VNWard("Xã Lương Thượng", 2143, VietnamDivisionType.XA, "xa_luong_thuong", 66),
  "W_2146" : VNWard("Xã Kim Hỷ", 2146, VietnamDivisionType.XA, "xa_kim_hy", 66),
  "W_2152" : VNWard("Xã Cường Lợi", 2152, VietnamDivisionType.XA, "xa_cuong_loi", 66),
  "W_2155" : VNWard("Thị trấn Yến Lạc", 2155, VietnamDivisionType.THI_TRAN, "thi_tran_yen_lac", 66),
  "W_2158" : VNWard("Xã Kim Lư", 2158, VietnamDivisionType.XA, "xa_kim_lu", 66),
  "W_2161" : VNWard("Xã Sơn Thành", 2161, VietnamDivisionType.XA, "xa_son_thanh", 66),
  "W_2170" : VNWard("Xã Văn Minh", 2170, VietnamDivisionType.XA, "xa_van_minh", 66),
  "W_2173" : VNWard("Xã Côn Minh", 2173, VietnamDivisionType.XA, "xa_con_minh", 66),
  "W_2176" : VNWard("Xã Cư Lễ", 2176, VietnamDivisionType.XA, "xa_cu_le", 66),
  "W_2179" : VNWard("Xã Trần Phú", 2179, VietnamDivisionType.XA, "xa_tran_phu", 66),
  "W_2185" : VNWard("Xã Quang Phong", 2185, VietnamDivisionType.XA, "xa_quang_phong", 66),
  "W_2188" : VNWard("Xã Dương Sơn", 2188, VietnamDivisionType.XA, "xa_duong_son", 66),
  "W_2191" : VNWard("Xã Xuân Dương", 2191, VietnamDivisionType.XA, "xa_xuan_duong", 66),
  "W_2194" : VNWard("Xã Đổng Xá", 2194, VietnamDivisionType.XA, "xa_dong_xa", 66),
  "W_2197" : VNWard("Xã Liêm Thuỷ", 2197, VietnamDivisionType.XA, "xa_liem_thuy", 66),
  "W_2200" : VNWard("Phường Phan Thiết", 2200, VietnamDivisionType.PHUONG, "phuong_phan_thiet", 70),
  "W_2203" : VNWard("Phường Minh Xuân", 2203, VietnamDivisionType.PHUONG, "phuong_minh_xuan", 70),
  "W_2206" : VNWard("Phường Tân Quang", 2206, VietnamDivisionType.PHUONG, "phuong_tan_quang", 70),
  "W_2209" : VNWard("Xã Tràng Đà", 2209, VietnamDivisionType.XA, "xa_trang_da", 70),
  "W_2212" : VNWard("Phường Nông Tiến", 2212, VietnamDivisionType.PHUONG, "phuong_nong_tien", 70),
  "W_2215" : VNWard("Phường Ỷ La", 2215, VietnamDivisionType.PHUONG, "phuong_y_la", 70),
  "W_2216" : VNWard("Phường Tân Hà", 2216, VietnamDivisionType.PHUONG, "phuong_tan_ha", 70),
  "W_2218" : VNWard("Phường Hưng Thành", 2218, VietnamDivisionType.PHUONG, "phuong_hung_thanh", 70),
  "W_2497" : VNWard("Xã Kim Phú", 2497, VietnamDivisionType.XA, "xa_kim_phu", 70),
  "W_2503" : VNWard("Xã An Khang", 2503, VietnamDivisionType.XA, "xa_an_khang", 70),
  "W_2509" : VNWard("Phường Mỹ Lâm", 2509, VietnamDivisionType.PHUONG, "phuong_my_lam", 70),
  "W_2512" : VNWard("Phường An Tường", 2512, VietnamDivisionType.PHUONG, "phuong_an_tuong", 70),
  "W_2515" : VNWard("Xã Lưỡng Vượng", 2515, VietnamDivisionType.XA, "xa_luong_vuong", 70),
  "W_2521" : VNWard("Xã Thái Long", 2521, VietnamDivisionType.XA, "xa_thai_long", 70),
  "W_2524" : VNWard("Phường Đội Cấn", 2524, VietnamDivisionType.PHUONG, "phuong_doi_can", 70),
  "W_2233" : VNWard("Xã Phúc Yên", 2233, VietnamDivisionType.XA, "xa_phuc_yen", 71),
  "W_2242" : VNWard("Xã Xuân Lập", 2242, VietnamDivisionType.XA, "xa_xuan_lap", 71),
  "W_2251" : VNWard("Xã Khuôn Hà", 2251, VietnamDivisionType.XA, "xa_khuon_ha", 71),
  "W_2266" : VNWard("Xã Lăng Can", 2266, VietnamDivisionType.XA, "xa_lang_can", 71),
  "W_2269" : VNWard("Xã Thượng Lâm", 2269, VietnamDivisionType.XA, "xa_thuong_lam", 71),
  "W_2290" : VNWard("Xã Bình An", 2290, VietnamDivisionType.XA, "xa_binh_an", 71),
  "W_2293" : VNWard("Xã Hồng Quang", 2293, VietnamDivisionType.XA, "xa_hong_quang", 71),
  "W_2296" : VNWard("Xã Thổ Bình", 2296, VietnamDivisionType.XA, "xa_tho_binh", 71),
  "W_2221" : VNWard("Thị trấn Na Hang", 2221, VietnamDivisionType.THI_TRAN, "thi_tran_na_hang", 72),
  "W_2227" : VNWard("Xã Sinh Long", 2227, VietnamDivisionType.XA, "xa_sinh_long", 72),
  "W_2230" : VNWard("Xã Thượng Giáp", 2230, VietnamDivisionType.XA, "xa_thuong_giap", 72),
  "W_2239" : VNWard("Xã Thượng Nông", 2239, VietnamDivisionType.XA, "xa_thuong_nong", 72),
  "W_2245" : VNWard("Xã Côn Lôn", 2245, VietnamDivisionType.XA, "xa_con_lon", 72),
  "W_2248" : VNWard("Xã Yên Hoa", 2248, VietnamDivisionType.XA, "xa_yen_hoa", 72),
  "W_2254" : VNWard("Xã Hồng Thái", 2254, VietnamDivisionType.XA, "xa_hong_thai", 72),
  "W_2260" : VNWard("Xã Đà Vị", 2260, VietnamDivisionType.XA, "xa_da_vi", 72),
  "W_2263" : VNWard("Xã Khau Tinh", 2263, VietnamDivisionType.XA, "xa_khau_tinh", 72),
  "W_2275" : VNWard("Xã Sơn Phú", 2275, VietnamDivisionType.XA, "xa_son_phu", 72),
  "W_2281" : VNWard("Xã Năng Khả", 2281, VietnamDivisionType.XA, "xa_nang_kha", 72),
  "W_2284" : VNWard("Xã Thanh Tương", 2284, VietnamDivisionType.XA, "xa_thanh_tuong", 72),
  "W_2287" : VNWard("Thị trấn Vĩnh Lộc", 2287, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_loc", 73),
  "W_2299" : VNWard("Xã Phúc Sơn", 2299, VietnamDivisionType.XA, "xa_phuc_son", 73),
  "W_2302" : VNWard("Xã Minh Quang", 2302, VietnamDivisionType.XA, "xa_minh_quang", 73),
  "W_2305" : VNWard("Xã Trung Hà", 2305, VietnamDivisionType.XA, "xa_trung_ha", 73),
  "W_2308" : VNWard("Xã Tân Mỹ", 2308, VietnamDivisionType.XA, "xa_tan_my", 73),
  "W_2311" : VNWard("Xã Hà Lang", 2311, VietnamDivisionType.XA, "xa_ha_lang", 73),
  "W_2314" : VNWard("Xã Hùng Mỹ", 2314, VietnamDivisionType.XA, "xa_hung_my", 73),
  "W_2317" : VNWard("Xã Yên Lập", 2317, VietnamDivisionType.XA, "xa_yen_lap", 73),
  "W_2320" : VNWard("Xã Tân An", 2320, VietnamDivisionType.XA, "xa_tan_an", 73),
  "W_2323" : VNWard("Xã Bình Phú", 2323, VietnamDivisionType.XA, "xa_binh_phu", 73),
  "W_2326" : VNWard("Xã Xuân Quang", 2326, VietnamDivisionType.XA, "xa_xuan_quang", 73),
  "W_2329" : VNWard("Xã Ngọc Hội", 2329, VietnamDivisionType.XA, "xa_ngoc_hoi", 73),
  "W_2332" : VNWard("Xã Phú Bình", 2332, VietnamDivisionType.XA, "xa_phu_binh", 73),
  "W_2335" : VNWard("Xã Hòa Phú", 2335, VietnamDivisionType.XA, "xa_hoa_phu", 73),
  "W_2338" : VNWard("Xã Phúc Thịnh", 2338, VietnamDivisionType.XA, "xa_phuc_thinh", 73),
  "W_2341" : VNWard("Xã Kiên Đài", 2341, VietnamDivisionType.XA, "xa_kien_dai", 73),
  "W_2344" : VNWard("Xã Tân Thịnh", 2344, VietnamDivisionType.XA, "xa_tan_thinh", 73),
  "W_2347" : VNWard("Xã Trung Hòa", 2347, VietnamDivisionType.XA, "xa_trung_hoa", 73),
  "W_2350" : VNWard("Xã Kim Bình", 2350, VietnamDivisionType.XA, "xa_kim_binh", 73),
  "W_2353" : VNWard("Xã Hòa An", 2353, VietnamDivisionType.XA, "xa_hoa_an", 73),
  "W_2356" : VNWard("Xã Vinh Quang", 2356, VietnamDivisionType.XA, "xa_vinh_quang", 73),
  "W_2359" : VNWard("Xã Tri Phú", 2359, VietnamDivisionType.XA, "xa_tri_phu", 73),
  "W_2362" : VNWard("Xã Nhân Lý", 2362, VietnamDivisionType.XA, "xa_nhan_ly", 73),
  "W_2365" : VNWard("Xã Yên Nguyên", 2365, VietnamDivisionType.XA, "xa_yen_nguyen", 73),
  "W_2368" : VNWard("Xã Linh Phú", 2368, VietnamDivisionType.XA, "xa_linh_phu", 73),
  "W_2371" : VNWard("Xã Bình Nhân", 2371, VietnamDivisionType.XA, "xa_binh_nhan", 73),
  "W_2374" : VNWard("Thị trấn Tân Yên", 2374, VietnamDivisionType.THI_TRAN, "thi_tran_tan_yen", 74),
  "W_2377" : VNWard("Xã Yên Thuận", 2377, VietnamDivisionType.XA, "xa_yen_thuan", 74),
  "W_2380" : VNWard("Xã Bạch Xa", 2380, VietnamDivisionType.XA, "xa_bach_xa", 74),
  "W_2383" : VNWard("Xã Minh Khương", 2383, VietnamDivisionType.XA, "xa_minh_khuong", 74),
  "W_2386" : VNWard("Xã Yên Lâm", 2386, VietnamDivisionType.XA, "xa_yen_lam", 74),
  "W_2389" : VNWard("Xã Minh Dân", 2389, VietnamDivisionType.XA, "xa_minh_dan", 74),
  "W_2392" : VNWard("Xã Phù Lưu", 2392, VietnamDivisionType.XA, "xa_phu_luu", 74),
  "W_2395" : VNWard("Xã Minh Hương", 2395, VietnamDivisionType.XA, "xa_minh_huong", 74),
  "W_2398" : VNWard("Xã Yên Phú", 2398, VietnamDivisionType.XA, "xa_yen_phu", 74),
  "W_2401" : VNWard("Xã Tân Thành", 2401, VietnamDivisionType.XA, "xa_tan_thanh", 74),
  "W_2404" : VNWard("Xã Bình Xa", 2404, VietnamDivisionType.XA, "xa_binh_xa", 74),
  "W_2407" : VNWard("Xã Thái Sơn", 2407, VietnamDivisionType.XA, "xa_thai_son", 74),
  "W_2410" : VNWard("Xã Nhân Mục", 2410, VietnamDivisionType.XA, "xa_nhan_muc", 74),
  "W_2413" : VNWard("Xã Thành Long", 2413, VietnamDivisionType.XA, "xa_thanh_long", 74),
  "W_2416" : VNWard("Xã Bằng Cốc", 2416, VietnamDivisionType.XA, "xa_bang_coc", 74),
  "W_2419" : VNWard("Xã Thái Hòa", 2419, VietnamDivisionType.XA, "xa_thai_hoa", 74),
  "W_2422" : VNWard("Xã Đức Ninh", 2422, VietnamDivisionType.XA, "xa_duc_ninh", 74),
  "W_2425" : VNWard("Xã Hùng Đức", 2425, VietnamDivisionType.XA, "xa_hung_duc", 74),
  "W_2431" : VNWard("Xã Quí Quân", 2431, VietnamDivisionType.XA, "xa_qui_quan", 75),
  "W_2434" : VNWard("Xã Lực Hành", 2434, VietnamDivisionType.XA, "xa_luc_hanh", 75),
  "W_2437" : VNWard("Xã Kiến Thiết", 2437, VietnamDivisionType.XA, "xa_kien_thiet", 75),
  "W_2440" : VNWard("Xã Trung Minh", 2440, VietnamDivisionType.XA, "xa_trung_minh", 75),
  "W_2443" : VNWard("Xã Chiêu Yên", 2443, VietnamDivisionType.XA, "xa_chieu_yen", 75),
  "W_2446" : VNWard("Xã Trung Trực", 2446, VietnamDivisionType.XA, "xa_trung_truc", 75),
  "W_2449" : VNWard("Xã Xuân Vân", 2449, VietnamDivisionType.XA, "xa_xuan_van", 75),
  "W_2452" : VNWard("Xã Phúc Ninh", 2452, VietnamDivisionType.XA, "xa_phuc_ninh", 75),
  "W_2455" : VNWard("Xã Hùng Lợi", 2455, VietnamDivisionType.XA, "xa_hung_loi", 75),
  "W_2458" : VNWard("Xã Trung Sơn", 2458, VietnamDivisionType.XA, "xa_trung_son", 75),
  "W_2461" : VNWard("Xã Tân Tiến", 2461, VietnamDivisionType.XA, "xa_tan_tien", 75),
  "W_2464" : VNWard("Xã Tứ Quận", 2464, VietnamDivisionType.XA, "xa_tu_quan", 75),
  "W_2467" : VNWard("Xã Đạo Viện", 2467, VietnamDivisionType.XA, "xa_dao_vien", 75),
  "W_2470" : VNWard("Xã Tân Long", 2470, VietnamDivisionType.XA, "xa_tan_long", 75),
  "W_2473" : VNWard("Xã Thắng Quân", 2473, VietnamDivisionType.XA, "xa_thang_quan", 75),
  "W_2476" : VNWard("Xã Kim Quan", 2476, VietnamDivisionType.XA, "xa_kim_quan", 75),
  "W_2479" : VNWard("Xã Lang Quán", 2479, VietnamDivisionType.XA, "xa_lang_quan", 75),
  "W_2482" : VNWard("Xã Phú Thịnh", 2482, VietnamDivisionType.XA, "xa_phu_thinh", 75),
  "W_2485" : VNWard("Xã Công Đa", 2485, VietnamDivisionType.XA, "xa_cong_da", 75),
  "W_2488" : VNWard("Xã Trung Môn", 2488, VietnamDivisionType.XA, "xa_trung_mon", 75),
  "W_2491" : VNWard("Xã Chân Sơn", 2491, VietnamDivisionType.XA, "xa_chan_son", 75),
  "W_2494" : VNWard("Xã Thái Bình", 2494, VietnamDivisionType.XA, "xa_thai_binh", 75),
  "W_2500" : VNWard("Xã Tiến Bộ", 2500, VietnamDivisionType.XA, "xa_tien_bo", 75),
  "W_2506" : VNWard("Xã Mỹ Bằng", 2506, VietnamDivisionType.XA, "xa_my_bang", 75),
  "W_2518" : VNWard("Xã Hoàng Khai", 2518, VietnamDivisionType.XA, "xa_hoang_khai", 75),
  "W_2527" : VNWard("Xã Nhữ Hán", 2527, VietnamDivisionType.XA, "xa_nhu_han", 75),
  "W_2530" : VNWard("Xã Nhữ Khê", 2530, VietnamDivisionType.XA, "xa_nhu_khe", 75),
  "W_2533" : VNWard("Xã Đội Bình", 2533, VietnamDivisionType.XA, "xa_doi_binh", 75),
  "W_2536" : VNWard("Thị trấn Sơn Dương", 2536, VietnamDivisionType.THI_TRAN, "thi_tran_son_duong", 76),
  "W_2539" : VNWard("Xã Trung Yên", 2539, VietnamDivisionType.XA, "xa_trung_yen", 76),
  "W_2542" : VNWard("Xã Minh Thanh", 2542, VietnamDivisionType.XA, "xa_minh_thanh", 76),
  "W_2545" : VNWard("Xã Tân Trào", 2545, VietnamDivisionType.XA, "xa_tan_trao", 76),
  "W_2548" : VNWard("Xã Vĩnh Lợi", 2548, VietnamDivisionType.XA, "xa_vinh_loi", 76),
  "W_2551" : VNWard("Xã Thượng Ấm", 2551, VietnamDivisionType.XA, "xa_thuong_am", 76),
  "W_2554" : VNWard("Xã Bình Yên", 2554, VietnamDivisionType.XA, "xa_binh_yen", 76),
  "W_2557" : VNWard("Xã Lương Thiện", 2557, VietnamDivisionType.XA, "xa_luong_thien", 76),
  "W_2560" : VNWard("Xã Tú Thịnh", 2560, VietnamDivisionType.XA, "xa_tu_thinh", 76),
  "W_2563" : VNWard("Xã Cấp Tiến", 2563, VietnamDivisionType.XA, "xa_cap_tien", 76),
  "W_2566" : VNWard("Xã Hợp Thành", 2566, VietnamDivisionType.XA, "xa_hop_thanh", 76),
  "W_2569" : VNWard("Xã Phúc Ứng", 2569, VietnamDivisionType.XA, "xa_phuc_ung", 76),
  "W_2572" : VNWard("Xã Đông Thọ", 2572, VietnamDivisionType.XA, "xa_dong_tho", 76),
  "W_2575" : VNWard("Xã Kháng Nhật", 2575, VietnamDivisionType.XA, "xa_khang_nhat", 76),
  "W_2578" : VNWard("Xã Hợp Hòa", 2578, VietnamDivisionType.XA, "xa_hop_hoa", 76),
  "W_2584" : VNWard("Xã Quyết Thắng", 2584, VietnamDivisionType.XA, "xa_quyet_thang", 76),
  "W_2587" : VNWard("Xã Đồng Quý", 2587, VietnamDivisionType.XA, "xa_dong_quy", 76),
  "W_2590" : VNWard("Xã Tân Thanh", 2590, VietnamDivisionType.XA, "xa_tan_thanh", 76),
  "W_2593" : VNWard("Xã Vân Sơn", 2593, VietnamDivisionType.XA, "xa_van_son", 76),
  "W_2596" : VNWard("Xã Văn Phú", 2596, VietnamDivisionType.XA, "xa_van_phu", 76),
  "W_2599" : VNWard("Xã Chi Thiết", 2599, VietnamDivisionType.XA, "xa_chi_thiet", 76),
  "W_2602" : VNWard("Xã Đông Lợi", 2602, VietnamDivisionType.XA, "xa_dong_loi", 76),
  "W_2605" : VNWard("Xã Thiện Kế", 2605, VietnamDivisionType.XA, "xa_thien_ke", 76),
  "W_2608" : VNWard("Xã Hồng Lạc", 2608, VietnamDivisionType.XA, "xa_hong_lac", 76),
  "W_2611" : VNWard("Xã Phú Lương", 2611, VietnamDivisionType.XA, "xa_phu_luong", 76),
  "W_2614" : VNWard("Xã Ninh Lai", 2614, VietnamDivisionType.XA, "xa_ninh_lai", 76),
  "W_2617" : VNWard("Xã Đại Phú", 2617, VietnamDivisionType.XA, "xa_dai_phu", 76),
  "W_2620" : VNWard("Xã Sơn Nam", 2620, VietnamDivisionType.XA, "xa_son_nam", 76),
  "W_2623" : VNWard("Xã Hào Phú", 2623, VietnamDivisionType.XA, "xa_hao_phu", 76),
  "W_2626" : VNWard("Xã Tam Đa", 2626, VietnamDivisionType.XA, "xa_tam_da", 76),
  "W_2632" : VNWard("Xã Trường Sinh", 2632, VietnamDivisionType.XA, "xa_truong_sinh", 76),
  "W_2635" : VNWard("Phường Duyên Hải", 2635, VietnamDivisionType.PHUONG, "phuong_duyen_hai", 80),
  "W_2641" : VNWard("Phường Lào Cai", 2641, VietnamDivisionType.PHUONG, "phuong_lao_cai", 80),
  "W_2644" : VNWard("Phường Cốc Lếu", 2644, VietnamDivisionType.PHUONG, "phuong_coc_leu", 80),
  "W_2647" : VNWard("Phường Kim Tân", 2647, VietnamDivisionType.PHUONG, "phuong_kim_tan", 80),
  "W_2650" : VNWard("Phường Bắc Lệnh", 2650, VietnamDivisionType.PHUONG, "phuong_bac_lenh", 80),
  "W_2653" : VNWard("Phường Pom Hán", 2653, VietnamDivisionType.PHUONG, "phuong_pom_han", 80),
  "W_2656" : VNWard("Phường Xuân Tăng", 2656, VietnamDivisionType.PHUONG, "phuong_xuan_tang", 80),
  "W_2658" : VNWard("Phường Bình Minh", 2658, VietnamDivisionType.PHUONG, "phuong_binh_minh", 80),
  "W_2659" : VNWard("Xã Thống Nhất", 2659, VietnamDivisionType.XA, "xa_thong_nhat", 80),
  "W_2662" : VNWard("Xã Đồng Tuyển", 2662, VietnamDivisionType.XA, "xa_dong_tuyen", 80),
  "W_2665" : VNWard("Xã Vạn Hoà", 2665, VietnamDivisionType.XA, "xa_van_hoa", 80),
  "W_2668" : VNWard("Phường Bắc Cường", 2668, VietnamDivisionType.PHUONG, "phuong_bac_cuong", 80),
  "W_2671" : VNWard("Phường Nam Cường", 2671, VietnamDivisionType.PHUONG, "phuong_nam_cuong", 80),
  "W_2674" : VNWard("Xã Cam Đường", 2674, VietnamDivisionType.XA, "xa_cam_duong", 80),
  "W_2677" : VNWard("Xã Tả Phời", 2677, VietnamDivisionType.XA, "xa_ta_phoi", 80),
  "W_2680" : VNWard("Xã Hợp Thành", 2680, VietnamDivisionType.XA, "xa_hop_thanh", 80),
  "W_2746" : VNWard("Xã Cốc San", 2746, VietnamDivisionType.XA, "xa_coc_san", 80),
  "W_2683" : VNWard("Thị trấn Bát Xát", 2683, VietnamDivisionType.THI_TRAN, "thi_tran_bat_xat", 82),
  "W_2686" : VNWard("Xã A Mú Sung", 2686, VietnamDivisionType.XA, "xa_a_mu_sung", 82),
  "W_2689" : VNWard("Xã Nậm Chạc", 2689, VietnamDivisionType.XA, "xa_nam_chac", 82),
  "W_2692" : VNWard("Xã A Lù", 2692, VietnamDivisionType.XA, "xa_a_lu", 82),
  "W_2695" : VNWard("Xã Trịnh Tường", 2695, VietnamDivisionType.XA, "xa_trinh_tuong", 82),
  "W_2701" : VNWard("Xã Y Tý", 2701, VietnamDivisionType.XA, "xa_y_ty", 82),
  "W_2704" : VNWard("Xã Cốc Mỳ", 2704, VietnamDivisionType.XA, "xa_coc_my", 82),
  "W_2707" : VNWard("Xã Dền Sáng", 2707, VietnamDivisionType.XA, "xa_den_sang", 82),
  "W_2710" : VNWard("Xã Bản Vược", 2710, VietnamDivisionType.XA, "xa_ban_vuoc", 82),
  "W_2713" : VNWard("Xã Sàng Ma Sáo", 2713, VietnamDivisionType.XA, "xa_sang_ma_sao", 82),
  "W_2716" : VNWard("Xã Bản Qua", 2716, VietnamDivisionType.XA, "xa_ban_qua", 82),
  "W_2719" : VNWard("Xã Mường Vi", 2719, VietnamDivisionType.XA, "xa_muong_vi", 82),
  "W_2722" : VNWard("Xã Dền Thàng", 2722, VietnamDivisionType.XA, "xa_den_thang", 82),
  "W_2725" : VNWard("Xã Bản Xèo", 2725, VietnamDivisionType.XA, "xa_ban_xeo", 82),
  "W_2728" : VNWard("Xã Mường Hum", 2728, VietnamDivisionType.XA, "xa_muong_hum", 82),
  "W_2731" : VNWard("Xã Trung Lèng Hồ", 2731, VietnamDivisionType.XA, "xa_trung_leng_ho", 82),
  "W_2734" : VNWard("Xã Quang Kim", 2734, VietnamDivisionType.XA, "xa_quang_kim", 82),
  "W_2737" : VNWard("Xã Pa Cheo", 2737, VietnamDivisionType.XA, "xa_pa_cheo", 82),
  "W_2740" : VNWard("Xã Nậm Pung", 2740, VietnamDivisionType.XA, "xa_nam_pung", 82),
  "W_2743" : VNWard("Xã Phìn Ngan", 2743, VietnamDivisionType.XA, "xa_phin_ngan", 82),
  "W_2749" : VNWard("Xã Tòng Sành", 2749, VietnamDivisionType.XA, "xa_tong_sanh", 82),
  "W_2752" : VNWard("Xã Pha Long", 2752, VietnamDivisionType.XA, "xa_pha_long", 83),
  "W_2755" : VNWard("Xã Tả Ngải Chồ", 2755, VietnamDivisionType.XA, "xa_ta_ngai_cho", 83),
  "W_2758" : VNWard("Xã Tung Chung Phố", 2758, VietnamDivisionType.XA, "xa_tung_chung_pho", 83),
  "W_2761" : VNWard("Thị trấn Mường Khương", 2761, VietnamDivisionType.THI_TRAN, "thi_tran_muong_khuong", 83),
  "W_2764" : VNWard("Xã Dìn Chin", 2764, VietnamDivisionType.XA, "xa_din_chin", 83),
  "W_2767" : VNWard("Xã Tả Gia Khâu", 2767, VietnamDivisionType.XA, "xa_ta_gia_khau", 83),
  "W_2770" : VNWard("Xã Nậm Chảy", 2770, VietnamDivisionType.XA, "xa_nam_chay", 83),
  "W_2773" : VNWard("Xã Nấm Lư", 2773, VietnamDivisionType.XA, "xa_nam_lu", 83),
  "W_2776" : VNWard("Xã Lùng Khấu Nhin", 2776, VietnamDivisionType.XA, "xa_lung_khau_nhin", 83),
  "W_2779" : VNWard("Xã Thanh Bình", 2779, VietnamDivisionType.XA, "xa_thanh_binh", 83),
  "W_2782" : VNWard("Xã Cao Sơn", 2782, VietnamDivisionType.XA, "xa_cao_son", 83),
  "W_2785" : VNWard("Xã Lùng Vai", 2785, VietnamDivisionType.XA, "xa_lung_vai", 83),
  "W_2788" : VNWard("Xã Bản Lầu", 2788, VietnamDivisionType.XA, "xa_ban_lau", 83),
  "W_2791" : VNWard("Xã La Pan Tẩn", 2791, VietnamDivisionType.XA, "xa_la_pan_tan", 83),
  "W_2794" : VNWard("Xã Tả Thàng", 2794, VietnamDivisionType.XA, "xa_ta_thang", 83),
  "W_2797" : VNWard("Xã Bản Sen", 2797, VietnamDivisionType.XA, "xa_ban_sen", 83),
  "W_2800" : VNWard("Xã Nàn Sán", 2800, VietnamDivisionType.XA, "xa_nan_san", 84),
  "W_2803" : VNWard("Xã Thào Chư Phìn", 2803, VietnamDivisionType.XA, "xa_thao_chu_phin", 84),
  "W_2806" : VNWard("Xã Bản Mế", 2806, VietnamDivisionType.XA, "xa_ban_me", 84),
  "W_2809" : VNWard("Thị trấn Si Ma Cai", 2809, VietnamDivisionType.THI_TRAN, "thi_tran_si_ma_cai", 84),
  "W_2812" : VNWard("Xã Sán Chải", 2812, VietnamDivisionType.XA, "xa_san_chai", 84),
  "W_2818" : VNWard("Xã Lùng Thẩn", 2818, VietnamDivisionType.XA, "xa_lung_than", 84),
  "W_2821" : VNWard("Xã Cán Cấu", 2821, VietnamDivisionType.XA, "xa_can_cau", 84),
  "W_2824" : VNWard("Xã Sín Chéng", 2824, VietnamDivisionType.XA, "xa_sin_cheng", 84),
  "W_2827" : VNWard("Xã Quan Hồ Thẩn", 2827, VietnamDivisionType.XA, "xa_quan_ho_than", 84),
  "W_2836" : VNWard("Xã Nàn Xín", 2836, VietnamDivisionType.XA, "xa_nan_xin", 84),
  "W_2839" : VNWard("Thị trấn Bắc Hà", 2839, VietnamDivisionType.THI_TRAN, "thi_tran_bac_ha", 85),
  "W_2842" : VNWard("Xã Lùng Cải", 2842, VietnamDivisionType.XA, "xa_lung_cai", 85),
  "W_2848" : VNWard("Xã Lùng Phình", 2848, VietnamDivisionType.XA, "xa_lung_phinh", 85),
  "W_2851" : VNWard("Xã Tả Van Chư", 2851, VietnamDivisionType.XA, "xa_ta_van_chu", 85),
  "W_2854" : VNWard("Xã Tả Củ Tỷ", 2854, VietnamDivisionType.XA, "xa_ta_cu_ty", 85),
  "W_2857" : VNWard("Xã Thải Giàng Phố", 2857, VietnamDivisionType.XA, "xa_thai_giang_pho", 85),
  "W_2863" : VNWard("Xã Hoàng Thu Phố", 2863, VietnamDivisionType.XA, "xa_hoang_thu_pho", 85),
  "W_2866" : VNWard("Xã Bản Phố", 2866, VietnamDivisionType.XA, "xa_ban_pho", 85),
  "W_2869" : VNWard("Xã Bản Liền", 2869, VietnamDivisionType.XA, "xa_ban_lien", 85),
  "W_2872" : VNWard("Xã Tà Chải", 2872, VietnamDivisionType.XA, "xa_ta_chai", 85),
  "W_2875" : VNWard("Xã Na Hối", 2875, VietnamDivisionType.XA, "xa_na_hoi", 85),
  "W_2878" : VNWard("Xã Cốc Ly", 2878, VietnamDivisionType.XA, "xa_coc_ly", 85),
  "W_2881" : VNWard("Xã Nậm Mòn", 2881, VietnamDivisionType.XA, "xa_nam_mon", 85),
  "W_2884" : VNWard("Xã Nậm Đét", 2884, VietnamDivisionType.XA, "xa_nam_det", 85),
  "W_2887" : VNWard("Xã Nậm Khánh", 2887, VietnamDivisionType.XA, "xa_nam_khanh", 85),
  "W_2890" : VNWard("Xã Bảo Nhai", 2890, VietnamDivisionType.XA, "xa_bao_nhai", 85),
  "W_2893" : VNWard("Xã Nậm Lúc", 2893, VietnamDivisionType.XA, "xa_nam_luc", 85),
  "W_2896" : VNWard("Xã Cốc Lầu", 2896, VietnamDivisionType.XA, "xa_coc_lau", 85),
  "W_2899" : VNWard("Xã Bản Cái", 2899, VietnamDivisionType.XA, "xa_ban_cai", 85),
  "W_2902" : VNWard("Thị trấn N.T Phong Hải", 2902, VietnamDivisionType.THI_TRAN, "thi_tran_n_t_phong_hai", 86),
  "W_2905" : VNWard("Thị trấn Phố Lu", 2905, VietnamDivisionType.THI_TRAN, "thi_tran_pho_lu", 86),
  "W_2908" : VNWard("Thị trấn Tằng Loỏng", 2908, VietnamDivisionType.THI_TRAN, "thi_tran_tang_loong", 86),
  "W_2911" : VNWard("Xã Bản Phiệt", 2911, VietnamDivisionType.XA, "xa_ban_phiet", 86),
  "W_2914" : VNWard("Xã Bản Cầm", 2914, VietnamDivisionType.XA, "xa_ban_cam", 86),
  "W_2917" : VNWard("Xã Thái Niên", 2917, VietnamDivisionType.XA, "xa_thai_nien", 86),
  "W_2920" : VNWard("Xã Phong Niên", 2920, VietnamDivisionType.XA, "xa_phong_nien", 86),
  "W_2923" : VNWard("Xã Gia Phú", 2923, VietnamDivisionType.XA, "xa_gia_phu", 86),
  "W_2926" : VNWard("Xã Xuân Quang", 2926, VietnamDivisionType.XA, "xa_xuan_quang", 86),
  "W_2929" : VNWard("Xã Sơn Hải", 2929, VietnamDivisionType.XA, "xa_son_hai", 86),
  "W_2932" : VNWard("Xã Xuân Giao", 2932, VietnamDivisionType.XA, "xa_xuan_giao", 86),
  "W_2935" : VNWard("Xã Trì Quang", 2935, VietnamDivisionType.XA, "xa_tri_quang", 86),
  "W_2938" : VNWard("Xã Sơn Hà", 2938, VietnamDivisionType.XA, "xa_son_ha", 86),
  "W_2944" : VNWard("Xã Phú Nhuận", 2944, VietnamDivisionType.XA, "xa_phu_nhuan", 86),
  "W_2947" : VNWard("Thị trấn Phố Ràng", 2947, VietnamDivisionType.THI_TRAN, "thi_tran_pho_rang", 87),
  "W_2950" : VNWard("Xã Tân Tiến", 2950, VietnamDivisionType.XA, "xa_tan_tien", 87),
  "W_2953" : VNWard("Xã Nghĩa Đô", 2953, VietnamDivisionType.XA, "xa_nghia_do", 87),
  "W_2956" : VNWard("Xã Vĩnh Yên", 2956, VietnamDivisionType.XA, "xa_vinh_yen", 87),
  "W_2959" : VNWard("Xã Điện Quan", 2959, VietnamDivisionType.XA, "xa_dien_quan", 87),
  "W_2962" : VNWard("Xã Xuân Hoà", 2962, VietnamDivisionType.XA, "xa_xuan_hoa", 87),
  "W_2965" : VNWard("Xã Tân Dương", 2965, VietnamDivisionType.XA, "xa_tan_duong", 87),
  "W_2968" : VNWard("Xã Thượng Hà", 2968, VietnamDivisionType.XA, "xa_thuong_ha", 87),
  "W_2971" : VNWard("Xã Kim Sơn", 2971, VietnamDivisionType.XA, "xa_kim_son", 87),
  "W_2974" : VNWard("Xã Cam Cọn", 2974, VietnamDivisionType.XA, "xa_cam_con", 87),
  "W_2977" : VNWard("Xã Minh Tân", 2977, VietnamDivisionType.XA, "xa_minh_tan", 87),
  "W_2980" : VNWard("Xã Xuân Thượng", 2980, VietnamDivisionType.XA, "xa_xuan_thuong", 87),
  "W_2983" : VNWard("Xã Việt Tiến", 2983, VietnamDivisionType.XA, "xa_viet_tien", 87),
  "W_2986" : VNWard("Xã Yên Sơn", 2986, VietnamDivisionType.XA, "xa_yen_son", 87),
  "W_2989" : VNWard("Xã Bảo Hà", 2989, VietnamDivisionType.XA, "xa_bao_ha", 87),
  "W_2992" : VNWard("Xã Lương Sơn", 2992, VietnamDivisionType.XA, "xa_luong_son", 87),
  "W_2998" : VNWard("Xã Phúc Khánh", 2998, VietnamDivisionType.XA, "xa_phuc_khanh", 87),
  "W_3001" : VNWard("Phường Sa Pa", 3001, VietnamDivisionType.PHUONG, "phuong_sa_pa", 88),
  "W_3002" : VNWard("Phường Sa Pả", 3002, VietnamDivisionType.PHUONG, "phuong_sa_pa", 88),
  "W_3003" : VNWard("Phường Ô Quý Hồ", 3003, VietnamDivisionType.PHUONG, "phuong_o_quy_ho", 88),
  "W_3004" : VNWard("Xã Ngũ Chỉ Sơn", 3004, VietnamDivisionType.XA, "xa_ngu_chi_son", 88),
  "W_3006" : VNWard("Phường Phan Si Păng", 3006, VietnamDivisionType.PHUONG, "phuong_phan_si_pang", 88),
  "W_3010" : VNWard("Xã Trung Chải", 3010, VietnamDivisionType.XA, "xa_trung_chai", 88),
  "W_3013" : VNWard("Xã Tả Phìn", 3013, VietnamDivisionType.XA, "xa_ta_phin", 88),
  "W_3016" : VNWard("Phường Hàm Rồng", 3016, VietnamDivisionType.PHUONG, "phuong_ham_rong", 88),
  "W_3019" : VNWard("Xã Hoàng Liên", 3019, VietnamDivisionType.XA, "xa_hoang_lien", 88),
  "W_3022" : VNWard("Xã Thanh Bình", 3022, VietnamDivisionType.XA, "xa_thanh_binh", 88),
  "W_3028" : VNWard("Phường Cầu Mây", 3028, VietnamDivisionType.PHUONG, "phuong_cau_may", 88),
  "W_3037" : VNWard("Xã Mường Hoa", 3037, VietnamDivisionType.XA, "xa_muong_hoa", 88),
  "W_3040" : VNWard("Xã Tả Van", 3040, VietnamDivisionType.XA, "xa_ta_van", 88),
  "W_3043" : VNWard("Xã Mường Bo", 3043, VietnamDivisionType.XA, "xa_muong_bo", 88),
  "W_3046" : VNWard("Xã Bản Hồ", 3046, VietnamDivisionType.XA, "xa_ban_ho", 88),
  "W_3052" : VNWard("Xã Liên Minh", 3052, VietnamDivisionType.XA, "xa_lien_minh", 88),
  "W_3055" : VNWard("Thị trấn Khánh Yên", 3055, VietnamDivisionType.THI_TRAN, "thi_tran_khanh_yen", 89),
  "W_3061" : VNWard("Xã Võ Lao", 3061, VietnamDivisionType.XA, "xa_vo_lao", 89),
  "W_3064" : VNWard("Xã Sơn Thuỷ", 3064, VietnamDivisionType.XA, "xa_son_thuy", 89),
  "W_3067" : VNWard("Xã Nậm Mả", 3067, VietnamDivisionType.XA, "xa_nam_ma", 89),
  "W_3070" : VNWard("Xã Tân Thượng", 3070, VietnamDivisionType.XA, "xa_tan_thuong", 89),
  "W_3073" : VNWard("Xã Nậm Rạng", 3073, VietnamDivisionType.XA, "xa_nam_rang", 89),
  "W_3076" : VNWard("Xã Nậm Chầy", 3076, VietnamDivisionType.XA, "xa_nam_chay", 89),
  "W_3079" : VNWard("Xã Tân An", 3079, VietnamDivisionType.XA, "xa_tan_an", 89),
  "W_3082" : VNWard("Xã Khánh Yên Thượng", 3082, VietnamDivisionType.XA, "xa_khanh_yen_thuong", 89),
  "W_3085" : VNWard("Xã Nậm Xé", 3085, VietnamDivisionType.XA, "xa_nam_xe", 89),
  "W_3088" : VNWard("Xã Dần Thàng", 3088, VietnamDivisionType.XA, "xa_dan_thang", 89),
  "W_3091" : VNWard("Xã Chiềng Ken", 3091, VietnamDivisionType.XA, "xa_chieng_ken", 89),
  "W_3094" : VNWard("Xã Làng Giàng", 3094, VietnamDivisionType.XA, "xa_lang_giang", 89),
  "W_3097" : VNWard("Xã Hoà Mạc", 3097, VietnamDivisionType.XA, "xa_hoa_mac", 89),
  "W_3100" : VNWard("Xã Khánh Yên Trung", 3100, VietnamDivisionType.XA, "xa_khanh_yen_trung", 89),
  "W_3103" : VNWard("Xã Khánh Yên Hạ", 3103, VietnamDivisionType.XA, "xa_khanh_yen_ha", 89),
  "W_3106" : VNWard("Xã Dương Quỳ", 3106, VietnamDivisionType.XA, "xa_duong_quy", 89),
  "W_3109" : VNWard("Xã Nậm Tha", 3109, VietnamDivisionType.XA, "xa_nam_tha", 89),
  "W_3112" : VNWard("Xã Minh Lương", 3112, VietnamDivisionType.XA, "xa_minh_luong", 89),
  "W_3115" : VNWard("Xã Thẩm Dương", 3115, VietnamDivisionType.XA, "xa_tham_duong", 89),
  "W_3118" : VNWard("Xã Liêm Phú", 3118, VietnamDivisionType.XA, "xa_liem_phu", 89),
  "W_3121" : VNWard("Xã Nậm Xây", 3121, VietnamDivisionType.XA, "xa_nam_xay", 89),
  "W_3124" : VNWard("Phường Noong Bua", 3124, VietnamDivisionType.PHUONG, "phuong_noong_bua", 94),
  "W_3127" : VNWard("Phường Him Lam", 3127, VietnamDivisionType.PHUONG, "phuong_him_lam", 94),
  "W_3130" : VNWard("Phường Thanh Bình", 3130, VietnamDivisionType.PHUONG, "phuong_thanh_binh", 94),
  "W_3133" : VNWard("Phường Tân Thanh", 3133, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 94),
  "W_3136" : VNWard("Phường Mường Thanh", 3136, VietnamDivisionType.PHUONG, "phuong_muong_thanh", 94),
  "W_3139" : VNWard("Phường Nam Thanh", 3139, VietnamDivisionType.PHUONG, "phuong_nam_thanh", 94),
  "W_3142" : VNWard("Phường Thanh Trường", 3142, VietnamDivisionType.PHUONG, "phuong_thanh_truong", 94),
  "W_3145" : VNWard("Xã Thanh Minh", 3145, VietnamDivisionType.XA, "xa_thanh_minh", 94),
  "W_3316" : VNWard("Xã Nà Tấu", 3316, VietnamDivisionType.XA, "xa_na_tau", 94),
  "W_3317" : VNWard("Xã Nà Nhạn", 3317, VietnamDivisionType.XA, "xa_na_nhan", 94),
  "W_3325" : VNWard("Xã Mường Phăng", 3325, VietnamDivisionType.XA, "xa_muong_phang", 94),
  "W_3326" : VNWard("Xã Pá Khoang", 3326, VietnamDivisionType.XA, "xa_pa_khoang", 94),
  "W_3148" : VNWard("Phường Sông Đà", 3148, VietnamDivisionType.PHUONG, "phuong_song_da", 95),
  "W_3151" : VNWard("Phường Na Lay", 3151, VietnamDivisionType.PHUONG, "phuong_na_lay", 95),
  "W_3184" : VNWard("Xã Lay Nưa", 3184, VietnamDivisionType.XA, "xa_lay_nua", 95),
  "W_3154" : VNWard("Xã Sín Thầu", 3154, VietnamDivisionType.XA, "xa_sin_thau", 96),
  "W_3155" : VNWard("Xã Sen Thượng", 3155, VietnamDivisionType.XA, "xa_sen_thuong", 96),
  "W_3157" : VNWard("Xã Chung Chải", 3157, VietnamDivisionType.XA, "xa_chung_chai", 96),
  "W_3158" : VNWard("Xã Leng Su Sìn", 3158, VietnamDivisionType.XA, "xa_leng_su_sin", 96),
  "W_3159" : VNWard("Xã Pá Mỳ", 3159, VietnamDivisionType.XA, "xa_pa_my", 96),
  "W_3160" : VNWard("Xã Mường Nhé", 3160, VietnamDivisionType.XA, "xa_muong_nhe", 96),
  "W_3161" : VNWard("Xã Nậm Vì", 3161, VietnamDivisionType.XA, "xa_nam_vi", 96),
  "W_3162" : VNWard("Xã Nậm Kè", 3162, VietnamDivisionType.XA, "xa_nam_ke", 96),
  "W_3163" : VNWard("Xã Mường Toong", 3163, VietnamDivisionType.XA, "xa_muong_toong", 96),
  "W_3164" : VNWard("Xã Quảng Lâm", 3164, VietnamDivisionType.XA, "xa_quang_lam", 96),
  "W_3177" : VNWard("Xã Huổi Lếnh", 3177, VietnamDivisionType.XA, "xa_huoi_lenh", 96),
  "W_3172" : VNWard("Thị trấn Mường Chà", 3172, VietnamDivisionType.THI_TRAN, "thi_tran_muong_cha", 97),
  "W_3178" : VNWard("Xã Xá Tổng", 3178, VietnamDivisionType.XA, "xa_xa_tong", 97),
  "W_3181" : VNWard("Xã Mường Tùng", 3181, VietnamDivisionType.XA, "xa_muong_tung", 97),
  "W_3190" : VNWard("Xã Hừa Ngài", 3190, VietnamDivisionType.XA, "xa_hua_ngai", 97),
  "W_3191" : VNWard("Xã Huổi Mí", 3191, VietnamDivisionType.XA, "xa_huoi_mi", 97),
  "W_3193" : VNWard("Xã Pa Ham", 3193, VietnamDivisionType.XA, "xa_pa_ham", 97),
  "W_3194" : VNWard("Xã Nậm Nèn", 3194, VietnamDivisionType.XA, "xa_nam_nen", 97),
  "W_3196" : VNWard("Xã Huổi Lèng", 3196, VietnamDivisionType.XA, "xa_huoi_leng", 97),
  "W_3197" : VNWard("Xã Sa Lông", 3197, VietnamDivisionType.XA, "xa_sa_long", 97),
  "W_3200" : VNWard("Xã Ma Thì Hồ", 3200, VietnamDivisionType.XA, "xa_ma_thi_ho", 97),
  "W_3201" : VNWard("Xã Na Sang", 3201, VietnamDivisionType.XA, "xa_na_sang", 97),
  "W_3202" : VNWard("Xã Mường Mươn", 3202, VietnamDivisionType.XA, "xa_muong_muon", 97),
  "W_3217" : VNWard("Thị trấn Tủa Chùa", 3217, VietnamDivisionType.THI_TRAN, "thi_tran_tua_chua", 98),
  "W_3220" : VNWard("Xã Huổi Só", 3220, VietnamDivisionType.XA, "xa_huoi_so", 98),
  "W_3223" : VNWard("Xã Xín Chải", 3223, VietnamDivisionType.XA, "xa_xin_chai", 98),
  "W_3226" : VNWard("Xã Tả Sìn Thàng", 3226, VietnamDivisionType.XA, "xa_ta_sin_thang", 98),
  "W_3229" : VNWard("Xã Lao Xả Phình", 3229, VietnamDivisionType.XA, "xa_lao_xa_phinh", 98),
  "W_3232" : VNWard("Xã Tả Phìn", 3232, VietnamDivisionType.XA, "xa_ta_phin", 98),
  "W_3235" : VNWard("Xã Tủa Thàng", 3235, VietnamDivisionType.XA, "xa_tua_thang", 98),
  "W_3238" : VNWard("Xã Trung Thu", 3238, VietnamDivisionType.XA, "xa_trung_thu", 98),
  "W_3241" : VNWard("Xã Sính Phình", 3241, VietnamDivisionType.XA, "xa_sinh_phinh", 98),
  "W_3244" : VNWard("Xã Sáng Nhè", 3244, VietnamDivisionType.XA, "xa_sang_nhe", 98),
  "W_3247" : VNWard("Xã Mường Đun", 3247, VietnamDivisionType.XA, "xa_muong_dun", 98),
  "W_3250" : VNWard("Xã Mường Báng", 3250, VietnamDivisionType.XA, "xa_muong_bang", 98),
  "W_3253" : VNWard("Thị trấn Tuần Giáo", 3253, VietnamDivisionType.THI_TRAN, "thi_tran_tuan_giao", 99),
  "W_3259" : VNWard("Xã Phình Sáng", 3259, VietnamDivisionType.XA, "xa_phinh_sang", 99),
  "W_3260" : VNWard("Xã Rạng Đông", 3260, VietnamDivisionType.XA, "xa_rang_dong", 99),
  "W_3262" : VNWard("Xã Mùn Chung", 3262, VietnamDivisionType.XA, "xa_mun_chung", 99),
  "W_3263" : VNWard("Xã Nà Tòng", 3263, VietnamDivisionType.XA, "xa_na_tong", 99),
  "W_3265" : VNWard("Xã Ta Ma", 3265, VietnamDivisionType.XA, "xa_ta_ma", 99),
  "W_3268" : VNWard("Xã Mường Mùn", 3268, VietnamDivisionType.XA, "xa_muong_mun", 99),
  "W_3269" : VNWard("Xã Pú Xi", 3269, VietnamDivisionType.XA, "xa_pu_xi", 99),
  "W_3271" : VNWard("Xã Pú Nhung", 3271, VietnamDivisionType.XA, "xa_pu_nhung", 99),
  "W_3274" : VNWard("Xã Quài Nưa", 3274, VietnamDivisionType.XA, "xa_quai_nua", 99),
  "W_3277" : VNWard("Xã Mường Thín", 3277, VietnamDivisionType.XA, "xa_muong_thin", 99),
  "W_3280" : VNWard("Xã Tỏa Tình", 3280, VietnamDivisionType.XA, "xa_toa_tinh", 99),
  "W_3283" : VNWard("Xã Nà Sáy", 3283, VietnamDivisionType.XA, "xa_na_say", 99),
  "W_3284" : VNWard("Xã Mường Khong", 3284, VietnamDivisionType.XA, "xa_muong_khong", 99),
  "W_3289" : VNWard("Xã Quài Cang", 3289, VietnamDivisionType.XA, "xa_quai_cang", 99),
  "W_3295" : VNWard("Xã Quài Tở", 3295, VietnamDivisionType.XA, "xa_quai_to", 99),
  "W_3298" : VNWard("Xã Chiềng Sinh", 3298, VietnamDivisionType.XA, "xa_chieng_sinh", 99),
  "W_3299" : VNWard("Xã Chiềng Đông", 3299, VietnamDivisionType.XA, "xa_chieng_dong", 99),
  "W_3304" : VNWard("Xã Tênh Phông", 3304, VietnamDivisionType.XA, "xa_tenh_phong", 99),
  "W_3319" : VNWard("Xã Mường Pồn", 3319, VietnamDivisionType.XA, "xa_muong_pon", 100),
  "W_3322" : VNWard("Xã Thanh Nưa", 3322, VietnamDivisionType.XA, "xa_thanh_nua", 100),
  "W_3323" : VNWard("Xã Hua Thanh", 3323, VietnamDivisionType.XA, "xa_hua_thanh", 100),
  "W_3328" : VNWard("Xã Thanh Luông", 3328, VietnamDivisionType.XA, "xa_thanh_luong", 100),
  "W_3331" : VNWard("Xã Thanh Hưng", 3331, VietnamDivisionType.XA, "xa_thanh_hung", 100),
  "W_3334" : VNWard("Xã Thanh Xương", 3334, VietnamDivisionType.XA, "xa_thanh_xuong", 100),
  "W_3337" : VNWard("Xã Thanh Chăn", 3337, VietnamDivisionType.XA, "xa_thanh_chan", 100),
  "W_3340" : VNWard("Xã Pa Thơm", 3340, VietnamDivisionType.XA, "xa_pa_thom", 100),
  "W_3343" : VNWard("Xã Thanh An", 3343, VietnamDivisionType.XA, "xa_thanh_an", 100),
  "W_3346" : VNWard("Xã Thanh Yên", 3346, VietnamDivisionType.XA, "xa_thanh_yen", 100),
  "W_3349" : VNWard("Xã Noong Luống", 3349, VietnamDivisionType.XA, "xa_noong_luong", 100),
  "W_3352" : VNWard("Xã Noọng Hẹt", 3352, VietnamDivisionType.XA, "xa_noong_het", 100),
  "W_3355" : VNWard("Xã Sam Mứn", 3355, VietnamDivisionType.XA, "xa_sam_mun", 100),
  "W_3356" : VNWard("Xã Pom Lót", 3356, VietnamDivisionType.XA, "xa_pom_lot", 100),
  "W_3358" : VNWard("Xã Núa Ngam", 3358, VietnamDivisionType.XA, "xa_nua_ngam", 100),
  "W_3359" : VNWard("Xã Hẹ Muông", 3359, VietnamDivisionType.XA, "xa_he_muong", 100),
  "W_3361" : VNWard("Xã Na Ư", 3361, VietnamDivisionType.XA, "xa_na_u", 100),
  "W_3364" : VNWard("Xã Mường Nhà", 3364, VietnamDivisionType.XA, "xa_muong_nha", 100),
  "W_3365" : VNWard("Xã Na Tông", 3365, VietnamDivisionType.XA, "xa_na_tong", 100),
  "W_3367" : VNWard("Xã Mường Lói", 3367, VietnamDivisionType.XA, "xa_muong_loi", 100),
  "W_3368" : VNWard("Xã Phu Luông", 3368, VietnamDivisionType.XA, "xa_phu_luong", 100),
  "W_3203" : VNWard("Thị trấn Điện Biên Đông", 3203, VietnamDivisionType.THI_TRAN, "thi_tran_dien_bien_dong", 101),
  "W_3205" : VNWard("Xã Na Son", 3205, VietnamDivisionType.XA, "xa_na_son", 101),
  "W_3208" : VNWard("Xã Phì Nhừ", 3208, VietnamDivisionType.XA, "xa_phi_nhu", 101),
  "W_3211" : VNWard("Xã Chiềng Sơ", 3211, VietnamDivisionType.XA, "xa_chieng_so", 101),
  "W_3214" : VNWard("Xã Mường Luân", 3214, VietnamDivisionType.XA, "xa_muong_luan", 101),
  "W_3370" : VNWard("Xã Pú Nhi", 3370, VietnamDivisionType.XA, "xa_pu_nhi", 101),
  "W_3371" : VNWard("Xã Nong U", 3371, VietnamDivisionType.XA, "xa_nong_u", 101),
  "W_3373" : VNWard("Xã Xa Dung", 3373, VietnamDivisionType.XA, "xa_xa_dung", 101),
  "W_3376" : VNWard("Xã Keo Lôm", 3376, VietnamDivisionType.XA, "xa_keo_lom", 101),
  "W_3379" : VNWard("Xã Luân Giới", 3379, VietnamDivisionType.XA, "xa_luan_gioi", 101),
  "W_3382" : VNWard("Xã Phình Giàng", 3382, VietnamDivisionType.XA, "xa_phinh_giang", 101),
  "W_3383" : VNWard("Xã Pú Hồng", 3383, VietnamDivisionType.XA, "xa_pu_hong", 101),
  "W_3384" : VNWard("Xã Tìa Dình", 3384, VietnamDivisionType.XA, "xa_tia_dinh", 101),
  "W_3385" : VNWard("Xã Háng Lìa", 3385, VietnamDivisionType.XA, "xa_hang_lia", 101),
  "W_3256" : VNWard("Thị trấn Mường Ảng", 3256, VietnamDivisionType.THI_TRAN, "thi_tran_muong_ang", 102),
  "W_3286" : VNWard("Xã Mường Đăng", 3286, VietnamDivisionType.XA, "xa_muong_dang", 102),
  "W_3287" : VNWard("Xã Ngối Cáy", 3287, VietnamDivisionType.XA, "xa_ngoi_cay", 102),
  "W_3292" : VNWard("Xã Ẳng Tở", 3292, VietnamDivisionType.XA, "xa_ang_to", 102),
  "W_3301" : VNWard("Xã Búng Lao", 3301, VietnamDivisionType.XA, "xa_bung_lao", 102),
  "W_3302" : VNWard("Xã Xuân Lao", 3302, VietnamDivisionType.XA, "xa_xuan_lao", 102),
  "W_3307" : VNWard("Xã Ẳng Nưa", 3307, VietnamDivisionType.XA, "xa_ang_nua", 102),
  "W_3310" : VNWard("Xã Ẳng Cang", 3310, VietnamDivisionType.XA, "xa_ang_cang", 102),
  "W_3312" : VNWard("Xã Nặm Lịch", 3312, VietnamDivisionType.XA, "xa_nam_lich", 102),
  "W_3313" : VNWard("Xã Mường Lạn", 3313, VietnamDivisionType.XA, "xa_muong_lan", 102),
  "W_3156" : VNWard("Xã Nậm Tin", 3156, VietnamDivisionType.XA, "xa_nam_tin", 103),
  "W_3165" : VNWard("Xã Pa Tần", 3165, VietnamDivisionType.XA, "xa_pa_tan", 103),
  "W_3166" : VNWard("Xã Chà Cang", 3166, VietnamDivisionType.XA, "xa_cha_cang", 103),
  "W_3167" : VNWard("Xã Na Cô Sa", 3167, VietnamDivisionType.XA, "xa_na_co_sa", 103),
  "W_3168" : VNWard("Xã Nà Khoa", 3168, VietnamDivisionType.XA, "xa_na_khoa", 103),
  "W_3169" : VNWard("Xã Nà Hỳ", 3169, VietnamDivisionType.XA, "xa_na_hy", 103),
  "W_3170" : VNWard("Xã Nà Bủng", 3170, VietnamDivisionType.XA, "xa_na_bung", 103),
  "W_3171" : VNWard("Xã Nậm Nhừ", 3171, VietnamDivisionType.XA, "xa_nam_nhu", 103),
  "W_3173" : VNWard("Xã Nậm Chua", 3173, VietnamDivisionType.XA, "xa_nam_chua", 103),
  "W_3174" : VNWard("Xã Nậm Khăn", 3174, VietnamDivisionType.XA, "xa_nam_khan", 103),
  "W_3175" : VNWard("Xã Chà Tở", 3175, VietnamDivisionType.XA, "xa_cha_to", 103),
  "W_3176" : VNWard("Xã Vàng Đán", 3176, VietnamDivisionType.XA, "xa_vang_dan", 103),
  "W_3187" : VNWard("Xã Chà Nưa", 3187, VietnamDivisionType.XA, "xa_cha_nua", 103),
  "W_3198" : VNWard("Xã Phìn Hồ", 3198, VietnamDivisionType.XA, "xa_phin_ho", 103),
  "W_3199" : VNWard("Xã Si Pa Phìn", 3199, VietnamDivisionType.XA, "xa_si_pa_phin", 103),
  "W_3386" : VNWard("Phường Quyết Thắng", 3386, VietnamDivisionType.PHUONG, "phuong_quyet_thang", 105),
  "W_3387" : VNWard("Phường Tân Phong", 3387, VietnamDivisionType.PHUONG, "phuong_tan_phong", 105),
  "W_3388" : VNWard("Phường Quyết Tiến", 3388, VietnamDivisionType.PHUONG, "phuong_quyet_tien", 105),
  "W_3389" : VNWard("Phường Đoàn Kết", 3389, VietnamDivisionType.PHUONG, "phuong_doan_ket", 105),
  "W_3403" : VNWard("Xã Sùng Phài", 3403, VietnamDivisionType.XA, "xa_sung_phai", 105),
  "W_3408" : VNWard("Phường Đông Phong", 3408, VietnamDivisionType.PHUONG, "phuong_dong_phong", 105),
  "W_3409" : VNWard("Xã San Thàng", 3409, VietnamDivisionType.XA, "xa_san_thang", 105),
  "W_3390" : VNWard("Thị trấn Tam Đường", 3390, VietnamDivisionType.THI_TRAN, "thi_tran_tam_duong", 106),
  "W_3394" : VNWard("Xã Thèn Sin", 3394, VietnamDivisionType.XA, "xa_then_sin", 106),
  "W_3400" : VNWard("Xã Tả Lèng", 3400, VietnamDivisionType.XA, "xa_ta_leng", 106),
  "W_3405" : VNWard("Xã Giang Ma", 3405, VietnamDivisionType.XA, "xa_giang_ma", 106),
  "W_3406" : VNWard("Xã Hồ Thầu", 3406, VietnamDivisionType.XA, "xa_ho_thau", 106),
  "W_3412" : VNWard("Xã Bình Lư", 3412, VietnamDivisionType.XA, "xa_binh_lu", 106),
  "W_3413" : VNWard("Xã Sơn Bình", 3413, VietnamDivisionType.XA, "xa_son_binh", 106),
  "W_3415" : VNWard("Xã Nùng Nàng", 3415, VietnamDivisionType.XA, "xa_nung_nang", 106),
  "W_3418" : VNWard("Xã Bản Giang", 3418, VietnamDivisionType.XA, "xa_ban_giang", 106),
  "W_3421" : VNWard("Xã Bản Hon", 3421, VietnamDivisionType.XA, "xa_ban_hon", 106),
  "W_3424" : VNWard("Xã Bản Bo", 3424, VietnamDivisionType.XA, "xa_ban_bo", 106),
  "W_3427" : VNWard("Xã Nà Tăm", 3427, VietnamDivisionType.XA, "xa_na_tam", 106),
  "W_3430" : VNWard("Xã Khun Há", 3430, VietnamDivisionType.XA, "xa_khun_ha", 106),
  "W_3433" : VNWard("Thị trấn Mường Tè", 3433, VietnamDivisionType.THI_TRAN, "thi_tran_muong_te", 107),
  "W_3436" : VNWard("Xã Thu Lũm", 3436, VietnamDivisionType.XA, "xa_thu_lum", 107),
  "W_3439" : VNWard("Xã Ka Lăng", 3439, VietnamDivisionType.XA, "xa_ka_lang", 107),
  "W_3440" : VNWard("Xã Tá Bạ", 3440, VietnamDivisionType.XA, "xa_ta_ba", 107),
  "W_3442" : VNWard("Xã Pa ủ", 3442, VietnamDivisionType.XA, "xa_pa_u", 107),
  "W_3445" : VNWard("Xã Mường Tè", 3445, VietnamDivisionType.XA, "xa_muong_te", 107),
  "W_3448" : VNWard("Xã Pa Vệ Sử", 3448, VietnamDivisionType.XA, "xa_pa_ve_su", 107),
  "W_3451" : VNWard("Xã Mù Cả", 3451, VietnamDivisionType.XA, "xa_mu_ca", 107),
  "W_3454" : VNWard("Xã Bum Tở", 3454, VietnamDivisionType.XA, "xa_bum_to", 107),
  "W_3457" : VNWard("Xã Nậm Khao", 3457, VietnamDivisionType.XA, "xa_nam_khao", 107),
  "W_3463" : VNWard("Xã Tà Tổng", 3463, VietnamDivisionType.XA, "xa_ta_tong", 107),
  "W_3466" : VNWard("Xã Bum Nưa", 3466, VietnamDivisionType.XA, "xa_bum_nua", 107),
  "W_3467" : VNWard("Xã Vàng San", 3467, VietnamDivisionType.XA, "xa_vang_san", 107),
  "W_3469" : VNWard("Xã Kan Hồ", 3469, VietnamDivisionType.XA, "xa_kan_ho", 107),
  "W_3478" : VNWard("Thị trấn Sìn Hồ", 3478, VietnamDivisionType.THI_TRAN, "thi_tran_sin_ho", 108),
  "W_3487" : VNWard("Xã Chăn Nưa", 3487, VietnamDivisionType.XA, "xa_chan_nua", 108),
  "W_3493" : VNWard("Xã Pa Tần", 3493, VietnamDivisionType.XA, "xa_pa_tan", 108),
  "W_3496" : VNWard("Xã Phìn Hồ", 3496, VietnamDivisionType.XA, "xa_phin_ho", 108),
  "W_3499" : VNWard("Xã Hồng Thu", 3499, VietnamDivisionType.XA, "xa_hong_thu", 108),
  "W_3505" : VNWard("Xã Phăng Sô Lin", 3505, VietnamDivisionType.XA, "xa_phang_so_lin", 108),
  "W_3508" : VNWard("Xã Ma Quai", 3508, VietnamDivisionType.XA, "xa_ma_quai", 108),
  "W_3509" : VNWard("Xã Lùng Thàng", 3509, VietnamDivisionType.XA, "xa_lung_thang", 108),
  "W_3511" : VNWard("Xã Tả Phìn", 3511, VietnamDivisionType.XA, "xa_ta_phin", 108),
  "W_3514" : VNWard("Xã Sà Dề Phìn", 3514, VietnamDivisionType.XA, "xa_sa_de_phin", 108),
  "W_3517" : VNWard("Xã Nậm Tăm", 3517, VietnamDivisionType.XA, "xa_nam_tam", 108),
  "W_3520" : VNWard("Xã Tả Ngảo", 3520, VietnamDivisionType.XA, "xa_ta_ngao", 108),
  "W_3523" : VNWard("Xã Pu Sam Cáp", 3523, VietnamDivisionType.XA, "xa_pu_sam_cap", 108),
  "W_3526" : VNWard("Xã Nậm Cha", 3526, VietnamDivisionType.XA, "xa_nam_cha", 108),
  "W_3527" : VNWard("Xã Pa Khoá", 3527, VietnamDivisionType.XA, "xa_pa_khoa", 108),
  "W_3529" : VNWard("Xã Làng Mô", 3529, VietnamDivisionType.XA, "xa_lang_mo", 108),
  "W_3532" : VNWard("Xã Noong Hẻo", 3532, VietnamDivisionType.XA, "xa_noong_heo", 108),
  "W_3535" : VNWard("Xã Nậm Mạ", 3535, VietnamDivisionType.XA, "xa_nam_ma", 108),
  "W_3538" : VNWard("Xã Căn Co", 3538, VietnamDivisionType.XA, "xa_can_co", 108),
  "W_3541" : VNWard("Xã Tủa Sín Chải", 3541, VietnamDivisionType.XA, "xa_tua_sin_chai", 108),
  "W_3544" : VNWard("Xã Nậm Cuổi", 3544, VietnamDivisionType.XA, "xa_nam_cuoi", 108),
  "W_3547" : VNWard("Xã Nậm Hăn", 3547, VietnamDivisionType.XA, "xa_nam_han", 108),
  "W_3391" : VNWard("Xã Lả Nhì Thàng", 3391, VietnamDivisionType.XA, "xa_la_nhi_thang", 109),
  "W_3490" : VNWard("Xã Huổi Luông", 3490, VietnamDivisionType.XA, "xa_huoi_luong", 109),
  "W_3549" : VNWard("Thị trấn Phong Thổ", 3549, VietnamDivisionType.THI_TRAN, "thi_tran_phong_tho", 109),
  "W_3550" : VNWard("Xã Sì Lở Lầu", 3550, VietnamDivisionType.XA, "xa_si_lo_lau", 109),
  "W_3553" : VNWard("Xã Mồ Sì San", 3553, VietnamDivisionType.XA, "xa_mo_si_san", 109),
  "W_3559" : VNWard("Xã Pa Vây Sử", 3559, VietnamDivisionType.XA, "xa_pa_vay_su", 109),
  "W_3562" : VNWard("Xã Vàng Ma Chải", 3562, VietnamDivisionType.XA, "xa_vang_ma_chai", 109),
  "W_3565" : VNWard("Xã Tông Qua Lìn", 3565, VietnamDivisionType.XA, "xa_tong_qua_lin", 109),
  "W_3568" : VNWard("Xã Mù Sang", 3568, VietnamDivisionType.XA, "xa_mu_sang", 109),
  "W_3571" : VNWard("Xã Dào San", 3571, VietnamDivisionType.XA, "xa_dao_san", 109),
  "W_3574" : VNWard("Xã Ma Ly Pho", 3574, VietnamDivisionType.XA, "xa_ma_ly_pho", 109),
  "W_3577" : VNWard("Xã Bản Lang", 3577, VietnamDivisionType.XA, "xa_ban_lang", 109),
  "W_3580" : VNWard("Xã Hoang Thèn", 3580, VietnamDivisionType.XA, "xa_hoang_then", 109),
  "W_3583" : VNWard("Xã Khổng Lào", 3583, VietnamDivisionType.XA, "xa_khong_lao", 109),
  "W_3586" : VNWard("Xã Nậm Xe", 3586, VietnamDivisionType.XA, "xa_nam_xe", 109),
  "W_3589" : VNWard("Xã Mường So", 3589, VietnamDivisionType.XA, "xa_muong_so", 109),
  "W_3592" : VNWard("Xã Sin Suối Hồ", 3592, VietnamDivisionType.XA, "xa_sin_suoi_ho", 109),
  "W_3595" : VNWard("Thị trấn Than Uyên", 3595, VietnamDivisionType.THI_TRAN, "thi_tran_than_uyen", 110),
  "W_3618" : VNWard("Xã Phúc Than", 3618, VietnamDivisionType.XA, "xa_phuc_than", 110),
  "W_3619" : VNWard("Xã Mường Than", 3619, VietnamDivisionType.XA, "xa_muong_than", 110),
  "W_3625" : VNWard("Xã Mường Mít", 3625, VietnamDivisionType.XA, "xa_muong_mit", 110),
  "W_3628" : VNWard("Xã Pha Mu", 3628, VietnamDivisionType.XA, "xa_pha_mu", 110),
  "W_3631" : VNWard("Xã Mường Cang", 3631, VietnamDivisionType.XA, "xa_muong_cang", 110),
  "W_3632" : VNWard("Xã Hua Nà", 3632, VietnamDivisionType.XA, "xa_hua_na", 110),
  "W_3634" : VNWard("Xã Tà Hừa", 3634, VietnamDivisionType.XA, "xa_ta_hua", 110),
  "W_3637" : VNWard("Xã Mường Kim", 3637, VietnamDivisionType.XA, "xa_muong_kim", 110),
  "W_3638" : VNWard("Xã Tà Mung", 3638, VietnamDivisionType.XA, "xa_ta_mung", 110),
  "W_3640" : VNWard("Xã Tà Gia", 3640, VietnamDivisionType.XA, "xa_ta_gia", 110),
  "W_3643" : VNWard("Xã Khoen On", 3643, VietnamDivisionType.XA, "xa_khoen_on", 110),
  "W_3598" : VNWard("Thị trấn Tân Uyên", 3598, VietnamDivisionType.THI_TRAN, "thi_tran_tan_uyen", 111),
  "W_3601" : VNWard("Xã Mường Khoa", 3601, VietnamDivisionType.XA, "xa_muong_khoa", 111),
  "W_3602" : VNWard("Xã Phúc Khoa", 3602, VietnamDivisionType.XA, "xa_phuc_khoa", 111),
  "W_3604" : VNWard("Xã Thân Thuộc", 3604, VietnamDivisionType.XA, "xa_than_thuoc", 111),
  "W_3605" : VNWard("Xã Trung Đồng", 3605, VietnamDivisionType.XA, "xa_trung_dong", 111),
  "W_3607" : VNWard("Xã Hố Mít", 3607, VietnamDivisionType.XA, "xa_ho_mit", 111),
  "W_3610" : VNWard("Xã Nậm Cần", 3610, VietnamDivisionType.XA, "xa_nam_can", 111),
  "W_3613" : VNWard("Xã Nậm Sỏ", 3613, VietnamDivisionType.XA, "xa_nam_so", 111),
  "W_3616" : VNWard("Xã Pắc Ta", 3616, VietnamDivisionType.XA, "xa_pac_ta", 111),
  "W_3622" : VNWard("Xã Tà Mít", 3622, VietnamDivisionType.XA, "xa_ta_mit", 111),
  "W_3434" : VNWard("Thị trấn Nậm Nhùn", 3434, VietnamDivisionType.THI_TRAN, "thi_tran_nam_nhun", 112),
  "W_3460" : VNWard("Xã Hua Bun", 3460, VietnamDivisionType.XA, "xa_hua_bun", 112),
  "W_3472" : VNWard("Xã Mường Mô", 3472, VietnamDivisionType.XA, "xa_muong_mo", 112),
  "W_3473" : VNWard("Xã Nậm Chà", 3473, VietnamDivisionType.XA, "xa_nam_cha", 112),
  "W_3474" : VNWard("Xã Nậm Manh", 3474, VietnamDivisionType.XA, "xa_nam_manh", 112),
  "W_3475" : VNWard("Xã Nậm Hàng", 3475, VietnamDivisionType.XA, "xa_nam_hang", 112),
  "W_3481" : VNWard("Xã Lê Lợi", 3481, VietnamDivisionType.XA, "xa_le_loi", 112),
  "W_3484" : VNWard("Xã Pú Đao", 3484, VietnamDivisionType.XA, "xa_pu_dao", 112),
  "W_3488" : VNWard("Xã Nậm Pì", 3488, VietnamDivisionType.XA, "xa_nam_pi", 112),
  "W_3502" : VNWard("Xã Nậm Ban", 3502, VietnamDivisionType.XA, "xa_nam_ban", 112),
  "W_3503" : VNWard("Xã Trung Chải", 3503, VietnamDivisionType.XA, "xa_trung_chai", 112),
  "W_3646" : VNWard("Phường Chiềng Lề", 3646, VietnamDivisionType.PHUONG, "phuong_chieng_le", 116),
  "W_3649" : VNWard("Phường Tô Hiệu", 3649, VietnamDivisionType.PHUONG, "phuong_to_hieu", 116),
  "W_3652" : VNWard("Phường Quyết Thắng", 3652, VietnamDivisionType.PHUONG, "phuong_quyet_thang", 116),
  "W_3655" : VNWard("Phường Quyết Tâm", 3655, VietnamDivisionType.PHUONG, "phuong_quyet_tam", 116),
  "W_3658" : VNWard("Xã Chiềng Cọ", 3658, VietnamDivisionType.XA, "xa_chieng_co", 116),
  "W_3661" : VNWard("Xã Chiềng Đen", 3661, VietnamDivisionType.XA, "xa_chieng_den", 116),
  "W_3664" : VNWard("Xã Chiềng Xôm", 3664, VietnamDivisionType.XA, "xa_chieng_xom", 116),
  "W_3667" : VNWard("Phường Chiềng An", 3667, VietnamDivisionType.PHUONG, "phuong_chieng_an", 116),
  "W_3670" : VNWard("Phường Chiềng Cơi", 3670, VietnamDivisionType.PHUONG, "phuong_chieng_coi", 116),
  "W_3673" : VNWard("Xã Chiềng Ngần", 3673, VietnamDivisionType.XA, "xa_chieng_ngan", 116),
  "W_3676" : VNWard("Xã Hua La", 3676, VietnamDivisionType.XA, "xa_hua_la", 116),
  "W_3679" : VNWard("Phường Chiềng Sinh", 3679, VietnamDivisionType.PHUONG, "phuong_chieng_sinh", 116),
  "W_3682" : VNWard("Xã Mường Chiên", 3682, VietnamDivisionType.XA, "xa_muong_chien", 118),
  "W_3685" : VNWard("Xã Cà Nàng", 3685, VietnamDivisionType.XA, "xa_ca_nang", 118),
  "W_3688" : VNWard("Xã Chiềng Khay", 3688, VietnamDivisionType.XA, "xa_chieng_khay", 118),
  "W_3694" : VNWard("Xã Mường Giôn", 3694, VietnamDivisionType.XA, "xa_muong_gion", 118),
  "W_3697" : VNWard("Xã Pá Ma Pha Khinh", 3697, VietnamDivisionType.XA, "xa_pa_ma_pha_khinh", 118),
  "W_3700" : VNWard("Xã Chiềng Ơn", 3700, VietnamDivisionType.XA, "xa_chieng_on", 118),
  "W_3703" : VNWard("Xã Mường Giàng", 3703, VietnamDivisionType.XA, "xa_muong_giang", 118),
  "W_3706" : VNWard("Xã Chiềng Bằng", 3706, VietnamDivisionType.XA, "xa_chieng_bang", 118),
  "W_3709" : VNWard("Xã Mường Sại", 3709, VietnamDivisionType.XA, "xa_muong_sai", 118),
  "W_3712" : VNWard("Xã Nậm ét", 3712, VietnamDivisionType.XA, "xa_nam_et", 118),
  "W_3718" : VNWard("Xã Chiềng Khoang", 3718, VietnamDivisionType.XA, "xa_chieng_khoang", 118),
  "W_3721" : VNWard("Thị trấn Thuận Châu", 3721, VietnamDivisionType.THI_TRAN, "thi_tran_thuan_chau", 119),
  "W_3724" : VNWard("Xã Phổng Lái", 3724, VietnamDivisionType.XA, "xa_phong_lai", 119),
  "W_3727" : VNWard("Xã Mường é", 3727, VietnamDivisionType.XA, "xa_muong_e", 119),
  "W_3730" : VNWard("Xã Chiềng Pha", 3730, VietnamDivisionType.XA, "xa_chieng_pha", 119),
  "W_3733" : VNWard("Xã Chiềng La", 3733, VietnamDivisionType.XA, "xa_chieng_la", 119),
  "W_3736" : VNWard("Xã Chiềng Ngàm", 3736, VietnamDivisionType.XA, "xa_chieng_ngam", 119),
  "W_3739" : VNWard("Xã Liệp Tè", 3739, VietnamDivisionType.XA, "xa_liep_te", 119),
  "W_3742" : VNWard("Xã é Tòng", 3742, VietnamDivisionType.XA, "xa_e_tong", 119),
  "W_3745" : VNWard("Xã Phổng Lập", 3745, VietnamDivisionType.XA, "xa_phong_lap", 119),
  "W_3748" : VNWard("Xã Phổng Lăng", 3748, VietnamDivisionType.XA, "xa_phong_lang", 119),
  "W_3751" : VNWard("Xã Chiềng Ly", 3751, VietnamDivisionType.XA, "xa_chieng_ly", 119),
  "W_3754" : VNWard("Xã Noong Lay", 3754, VietnamDivisionType.XA, "xa_noong_lay", 119),
  "W_3757" : VNWard("Xã Mường Khiêng", 3757, VietnamDivisionType.XA, "xa_muong_khieng", 119),
  "W_3760" : VNWard("Xã Mường Bám", 3760, VietnamDivisionType.XA, "xa_muong_bam", 119),
  "W_3763" : VNWard("Xã Long Hẹ", 3763, VietnamDivisionType.XA, "xa_long_he", 119),
  "W_3766" : VNWard("Xã Chiềng Bôm", 3766, VietnamDivisionType.XA, "xa_chieng_bom", 119),
  "W_3769" : VNWard("Xã Thôm Mòn", 3769, VietnamDivisionType.XA, "xa_thom_mon", 119),
  "W_3772" : VNWard("Xã Tông Lạnh", 3772, VietnamDivisionType.XA, "xa_tong_lanh", 119),
  "W_3775" : VNWard("Xã Tông Cọ", 3775, VietnamDivisionType.XA, "xa_tong_co", 119),
  "W_3778" : VNWard("Xã Bó Mười", 3778, VietnamDivisionType.XA, "xa_bo_muoi", 119),
  "W_3781" : VNWard("Xã Co Mạ", 3781, VietnamDivisionType.XA, "xa_co_ma", 119),
  "W_3784" : VNWard("Xã Púng Tra", 3784, VietnamDivisionType.XA, "xa_pung_tra", 119),
  "W_3787" : VNWard("Xã Chiềng Pấc", 3787, VietnamDivisionType.XA, "xa_chieng_pac", 119),
  "W_3790" : VNWard("Xã Nậm Lầu", 3790, VietnamDivisionType.XA, "xa_nam_lau", 119),
  "W_3793" : VNWard("Xã Bon Phặng", 3793, VietnamDivisionType.XA, "xa_bon_phang", 119),
  "W_3796" : VNWard("Xã Co Tòng", 3796, VietnamDivisionType.XA, "xa_co_tong", 119),
  "W_3799" : VNWard("Xã Muổi Nọi", 3799, VietnamDivisionType.XA, "xa_muoi_noi", 119),
  "W_3802" : VNWard("Xã Pá Lông", 3802, VietnamDivisionType.XA, "xa_pa_long", 119),
  "W_3805" : VNWard("Xã Bản Lầm", 3805, VietnamDivisionType.XA, "xa_ban_lam", 119),
  "W_3808" : VNWard("Thị trấn Ít Ong", 3808, VietnamDivisionType.THI_TRAN, "thi_tran_it_ong", 120),
  "W_3811" : VNWard("Xã Nậm Giôn", 3811, VietnamDivisionType.XA, "xa_nam_gion", 120),
  "W_3814" : VNWard("Xã Chiềng Lao", 3814, VietnamDivisionType.XA, "xa_chieng_lao", 120),
  "W_3817" : VNWard("Xã Hua Trai", 3817, VietnamDivisionType.XA, "xa_hua_trai", 120),
  "W_3820" : VNWard("Xã Ngọc Chiến", 3820, VietnamDivisionType.XA, "xa_ngoc_chien", 120),
  "W_3823" : VNWard("Xã Mường Trai", 3823, VietnamDivisionType.XA, "xa_muong_trai", 120),
  "W_3826" : VNWard("Xã Nậm Păm", 3826, VietnamDivisionType.XA, "xa_nam_pam", 120),
  "W_3829" : VNWard("Xã Chiềng Muôn", 3829, VietnamDivisionType.XA, "xa_chieng_muon", 120),
  "W_3832" : VNWard("Xã Chiềng Ân", 3832, VietnamDivisionType.XA, "xa_chieng_an", 120),
  "W_3835" : VNWard("Xã Pi Toong", 3835, VietnamDivisionType.XA, "xa_pi_toong", 120),
  "W_3838" : VNWard("Xã Chiềng Công", 3838, VietnamDivisionType.XA, "xa_chieng_cong", 120),
  "W_3841" : VNWard("Xã Tạ Bú", 3841, VietnamDivisionType.XA, "xa_ta_bu", 120),
  "W_3844" : VNWard("Xã Chiềng San", 3844, VietnamDivisionType.XA, "xa_chieng_san", 120),
  "W_3847" : VNWard("Xã Mường Bú", 3847, VietnamDivisionType.XA, "xa_muong_bu", 120),
  "W_3850" : VNWard("Xã Chiềng Hoa", 3850, VietnamDivisionType.XA, "xa_chieng_hoa", 120),
  "W_3853" : VNWard("Xã Mường Chùm", 3853, VietnamDivisionType.XA, "xa_muong_chum", 120),
  "W_3856" : VNWard("Thị trấn Bắc Yên", 3856, VietnamDivisionType.THI_TRAN, "thi_tran_bac_yen", 121),
  "W_3859" : VNWard("Xã Phiêng Ban", 3859, VietnamDivisionType.XA, "xa_phieng_ban", 121),
  "W_3862" : VNWard("Xã Hang Chú", 3862, VietnamDivisionType.XA, "xa_hang_chu", 121),
  "W_3865" : VNWard("Xã Xím Vàng", 3865, VietnamDivisionType.XA, "xa_xim_vang", 121),
  "W_3868" : VNWard("Xã Tà Xùa", 3868, VietnamDivisionType.XA, "xa_ta_xua", 121),
  "W_3869" : VNWard("Xã Háng Đồng", 3869, VietnamDivisionType.XA, "xa_hang_dong", 121),
  "W_3871" : VNWard("Xã Pắc Ngà", 3871, VietnamDivisionType.XA, "xa_pac_nga", 121),
  "W_3874" : VNWard("Xã Làng Chếu", 3874, VietnamDivisionType.XA, "xa_lang_cheu", 121),
  "W_3877" : VNWard("Xã Chim Vàn", 3877, VietnamDivisionType.XA, "xa_chim_van", 121),
  "W_3880" : VNWard("Xã Mường Khoa", 3880, VietnamDivisionType.XA, "xa_muong_khoa", 121),
  "W_3883" : VNWard("Xã Song Pe", 3883, VietnamDivisionType.XA, "xa_song_pe", 121),
  "W_3886" : VNWard("Xã Hồng Ngài", 3886, VietnamDivisionType.XA, "xa_hong_ngai", 121),
  "W_3889" : VNWard("Xã Tạ Khoa", 3889, VietnamDivisionType.XA, "xa_ta_khoa", 121),
  "W_3890" : VNWard("Xã Hua Nhàn", 3890, VietnamDivisionType.XA, "xa_hua_nhan", 121),
  "W_3892" : VNWard("Xã Phiêng Côn", 3892, VietnamDivisionType.XA, "xa_phieng_con", 121),
  "W_3895" : VNWard("Xã Chiềng Sại", 3895, VietnamDivisionType.XA, "xa_chieng_sai", 121),
  "W_3898" : VNWard("Thị trấn Phù Yên", 3898, VietnamDivisionType.THI_TRAN, "thi_tran_phu_yen", 122),
  "W_3901" : VNWard("Xã Suối Tọ", 3901, VietnamDivisionType.XA, "xa_suoi_to", 122),
  "W_3904" : VNWard("Xã Mường Thải", 3904, VietnamDivisionType.XA, "xa_muong_thai", 122),
  "W_3907" : VNWard("Xã Mường Cơi", 3907, VietnamDivisionType.XA, "xa_muong_coi", 122),
  "W_3910" : VNWard("Xã Quang Huy", 3910, VietnamDivisionType.XA, "xa_quang_huy", 122),
  "W_3913" : VNWard("Xã Huy Bắc", 3913, VietnamDivisionType.XA, "xa_huy_bac", 122),
  "W_3916" : VNWard("Xã Huy Thượng", 3916, VietnamDivisionType.XA, "xa_huy_thuong", 122),
  "W_3919" : VNWard("Xã Tân Lang", 3919, VietnamDivisionType.XA, "xa_tan_lang", 122),
  "W_3922" : VNWard("Xã Gia Phù", 3922, VietnamDivisionType.XA, "xa_gia_phu", 122),
  "W_3925" : VNWard("Xã Tường Phù", 3925, VietnamDivisionType.XA, "xa_tuong_phu", 122),
  "W_3928" : VNWard("Xã Huy Hạ", 3928, VietnamDivisionType.XA, "xa_huy_ha", 122),
  "W_3931" : VNWard("Xã Huy Tân", 3931, VietnamDivisionType.XA, "xa_huy_tan", 122),
  "W_3934" : VNWard("Xã Mường Lang", 3934, VietnamDivisionType.XA, "xa_muong_lang", 122),
  "W_3937" : VNWard("Xã Suối Bau", 3937, VietnamDivisionType.XA, "xa_suoi_bau", 122),
  "W_3940" : VNWard("Xã Huy Tường", 3940, VietnamDivisionType.XA, "xa_huy_tuong", 122),
  "W_3943" : VNWard("Xã Mường Do", 3943, VietnamDivisionType.XA, "xa_muong_do", 122),
  "W_3946" : VNWard("Xã Sập Xa", 3946, VietnamDivisionType.XA, "xa_sap_xa", 122),
  "W_3949" : VNWard("Xã Tường Thượng", 3949, VietnamDivisionType.XA, "xa_tuong_thuong", 122),
  "W_3952" : VNWard("Xã Tường Tiến", 3952, VietnamDivisionType.XA, "xa_tuong_tien", 122),
  "W_3955" : VNWard("Xã Tường Phong", 3955, VietnamDivisionType.XA, "xa_tuong_phong", 122),
  "W_3958" : VNWard("Xã Tường Hạ", 3958, VietnamDivisionType.XA, "xa_tuong_ha", 122),
  "W_3961" : VNWard("Xã Kim Bon", 3961, VietnamDivisionType.XA, "xa_kim_bon", 122),
  "W_3964" : VNWard("Xã Mường Bang", 3964, VietnamDivisionType.XA, "xa_muong_bang", 122),
  "W_3967" : VNWard("Xã Đá Đỏ", 3967, VietnamDivisionType.XA, "xa_da_do", 122),
  "W_3970" : VNWard("Xã Tân Phong", 3970, VietnamDivisionType.XA, "xa_tan_phong", 122),
  "W_3973" : VNWard("Xã Nam Phong", 3973, VietnamDivisionType.XA, "xa_nam_phong", 122),
  "W_3976" : VNWard("Xã Bắc Phong", 3976, VietnamDivisionType.XA, "xa_bac_phong", 122),
  "W_3979" : VNWard("Thị trấn Mộc Châu", 3979, VietnamDivisionType.THI_TRAN, "thi_tran_moc_chau", 123),
  "W_3982" : VNWard("Thị trấn NT Mộc Châu", 3982, VietnamDivisionType.THI_TRAN, "thi_tran_nt_moc_chau", 123),
  "W_3985" : VNWard("Xã Chiềng Sơn", 3985, VietnamDivisionType.XA, "xa_chieng_son", 123),
  "W_3988" : VNWard("Xã Tân Hợp", 3988, VietnamDivisionType.XA, "xa_tan_hop", 123),
  "W_3991" : VNWard("Xã Qui Hướng", 3991, VietnamDivisionType.XA, "xa_qui_huong", 123),
  "W_3997" : VNWard("Xã Tân Lập", 3997, VietnamDivisionType.XA, "xa_tan_lap", 123),
  "W_4000" : VNWard("Xã Nà Mường", 4000, VietnamDivisionType.XA, "xa_na_muong", 123),
  "W_4003" : VNWard("Xã Tà Lai", 4003, VietnamDivisionType.XA, "xa_ta_lai", 123),
  "W_4012" : VNWard("Xã Chiềng Hắc", 4012, VietnamDivisionType.XA, "xa_chieng_hac", 123),
  "W_4015" : VNWard("Xã Hua Păng", 4015, VietnamDivisionType.XA, "xa_hua_pang", 123),
  "W_4024" : VNWard("Xã Chiềng Khừa", 4024, VietnamDivisionType.XA, "xa_chieng_khua", 123),
  "W_4027" : VNWard("Xã Mường Sang", 4027, VietnamDivisionType.XA, "xa_muong_sang", 123),
  "W_4030" : VNWard("Xã Đông Sang", 4030, VietnamDivisionType.XA, "xa_dong_sang", 123),
  "W_4033" : VNWard("Xã Phiêng Luông", 4033, VietnamDivisionType.XA, "xa_phieng_luong", 123),
  "W_4045" : VNWard("Xã Lóng Sập", 4045, VietnamDivisionType.XA, "xa_long_sap", 123),
  "W_4060" : VNWard("Thị trấn Yên Châu", 4060, VietnamDivisionType.THI_TRAN, "thi_tran_yen_chau", 124),
  "W_4063" : VNWard("Xã Chiềng Đông", 4063, VietnamDivisionType.XA, "xa_chieng_dong", 124),
  "W_4066" : VNWard("Xã Sập Vạt", 4066, VietnamDivisionType.XA, "xa_sap_vat", 124),
  "W_4069" : VNWard("Xã Chiềng Sàng", 4069, VietnamDivisionType.XA, "xa_chieng_sang", 124),
  "W_4072" : VNWard("Xã Chiềng Pằn", 4072, VietnamDivisionType.XA, "xa_chieng_pan", 124),
  "W_4075" : VNWard("Xã Viêng Lán", 4075, VietnamDivisionType.XA, "xa_vieng_lan", 124),
  "W_4078" : VNWard("Xã Chiềng Hặc", 4078, VietnamDivisionType.XA, "xa_chieng_hac", 124),
  "W_4081" : VNWard("Xã Mường Lựm", 4081, VietnamDivisionType.XA, "xa_muong_lum", 124),
  "W_4084" : VNWard("Xã Chiềng On", 4084, VietnamDivisionType.XA, "xa_chieng_on", 124),
  "W_4087" : VNWard("Xã Yên Sơn", 4087, VietnamDivisionType.XA, "xa_yen_son", 124),
  "W_4090" : VNWard("Xã Chiềng Khoi", 4090, VietnamDivisionType.XA, "xa_chieng_khoi", 124),
  "W_4093" : VNWard("Xã Tú Nang", 4093, VietnamDivisionType.XA, "xa_tu_nang", 124),
  "W_4096" : VNWard("Xã Lóng Phiêng", 4096, VietnamDivisionType.XA, "xa_long_phieng", 124),
  "W_4099" : VNWard("Xã Phiêng Khoài", 4099, VietnamDivisionType.XA, "xa_phieng_khoai", 124),
  "W_4102" : VNWard("Xã Chiềng Tương", 4102, VietnamDivisionType.XA, "xa_chieng_tuong", 124),
  "W_4105" : VNWard("Thị trấn Hát Lót", 4105, VietnamDivisionType.THI_TRAN, "thi_tran_hat_lot", 125),
  "W_4108" : VNWard("Xã Chiềng Sung", 4108, VietnamDivisionType.XA, "xa_chieng_sung", 125),
  "W_4111" : VNWard("Xã Mường Bằng", 4111, VietnamDivisionType.XA, "xa_muong_bang", 125),
  "W_4114" : VNWard("Xã Chiềng Chăn", 4114, VietnamDivisionType.XA, "xa_chieng_chan", 125),
  "W_4117" : VNWard("Xã Mương Chanh", 4117, VietnamDivisionType.XA, "xa_muong_chanh", 125),
  "W_4120" : VNWard("Xã Chiềng Ban", 4120, VietnamDivisionType.XA, "xa_chieng_ban", 125),
  "W_4123" : VNWard("Xã Chiềng Mung", 4123, VietnamDivisionType.XA, "xa_chieng_mung", 125),
  "W_4126" : VNWard("Xã Mường Bon", 4126, VietnamDivisionType.XA, "xa_muong_bon", 125),
  "W_4129" : VNWard("Xã Chiềng Chung", 4129, VietnamDivisionType.XA, "xa_chieng_chung", 125),
  "W_4132" : VNWard("Xã Chiềng Mai", 4132, VietnamDivisionType.XA, "xa_chieng_mai", 125),
  "W_4135" : VNWard("Xã Hát Lót", 4135, VietnamDivisionType.XA, "xa_hat_lot", 125),
  "W_4136" : VNWard("Xã Nà Pó", 4136, VietnamDivisionType.XA, "xa_na_po", 125),
  "W_4138" : VNWard("Xã Cò Nòi", 4138, VietnamDivisionType.XA, "xa_co_noi", 125),
  "W_4141" : VNWard("Xã Chiềng Nơi", 4141, VietnamDivisionType.XA, "xa_chieng_noi", 125),
  "W_4144" : VNWard("Xã Phiêng Cằm", 4144, VietnamDivisionType.XA, "xa_phieng_cam", 125),
  "W_4147" : VNWard("Xã Chiềng Dong", 4147, VietnamDivisionType.XA, "xa_chieng_dong", 125),
  "W_4150" : VNWard("Xã Chiềng Kheo", 4150, VietnamDivisionType.XA, "xa_chieng_kheo", 125),
  "W_4153" : VNWard("Xã Chiềng Ve", 4153, VietnamDivisionType.XA, "xa_chieng_ve", 125),
  "W_4156" : VNWard("Xã Chiềng Lương", 4156, VietnamDivisionType.XA, "xa_chieng_luong", 125),
  "W_4159" : VNWard("Xã Phiêng Pằn", 4159, VietnamDivisionType.XA, "xa_phieng_pan", 125),
  "W_4162" : VNWard("Xã Nà Ơt", 4162, VietnamDivisionType.XA, "xa_na_ot", 125),
  "W_4165" : VNWard("Xã Tà Hộc", 4165, VietnamDivisionType.XA, "xa_ta_hoc", 125),
  "W_4168" : VNWard("Thị trấn Sông Mã", 4168, VietnamDivisionType.THI_TRAN, "thi_tran_song_ma", 126),
  "W_4171" : VNWard("Xã Bó Sinh", 4171, VietnamDivisionType.XA, "xa_bo_sinh", 126),
  "W_4174" : VNWard("Xã Pú Pẩu", 4174, VietnamDivisionType.XA, "xa_pu_pau", 126),
  "W_4177" : VNWard("Xã Chiềng Phung", 4177, VietnamDivisionType.XA, "xa_chieng_phung", 126),
  "W_4180" : VNWard("Xã Chiềng En", 4180, VietnamDivisionType.XA, "xa_chieng_en", 126),
  "W_4183" : VNWard("Xã Mường Lầm", 4183, VietnamDivisionType.XA, "xa_muong_lam", 126),
  "W_4186" : VNWard("Xã Nậm Ty", 4186, VietnamDivisionType.XA, "xa_nam_ty", 126),
  "W_4189" : VNWard("Xã Đứa Mòn", 4189, VietnamDivisionType.XA, "xa_dua_mon", 126),
  "W_4192" : VNWard("Xã Yên Hưng", 4192, VietnamDivisionType.XA, "xa_yen_hung", 126),
  "W_4195" : VNWard("Xã Chiềng Sơ", 4195, VietnamDivisionType.XA, "xa_chieng_so", 126),
  "W_4198" : VNWard("Xã Nà Nghịu", 4198, VietnamDivisionType.XA, "xa_na_nghiu", 126),
  "W_4201" : VNWard("Xã Nậm Mằn", 4201, VietnamDivisionType.XA, "xa_nam_man", 126),
  "W_4204" : VNWard("Xã Chiềng Khoong", 4204, VietnamDivisionType.XA, "xa_chieng_khoong", 126),
  "W_4207" : VNWard("Xã Chiềng Cang", 4207, VietnamDivisionType.XA, "xa_chieng_cang", 126),
  "W_4210" : VNWard("Xã Huổi Một", 4210, VietnamDivisionType.XA, "xa_huoi_mot", 126),
  "W_4213" : VNWard("Xã Mường Sai", 4213, VietnamDivisionType.XA, "xa_muong_sai", 126),
  "W_4216" : VNWard("Xã Mường Cai", 4216, VietnamDivisionType.XA, "xa_muong_cai", 126),
  "W_4219" : VNWard("Xã Mường Hung", 4219, VietnamDivisionType.XA, "xa_muong_hung", 126),
  "W_4222" : VNWard("Xã Chiềng Khương", 4222, VietnamDivisionType.XA, "xa_chieng_khuong", 126),
  "W_4225" : VNWard("Xã Sam Kha", 4225, VietnamDivisionType.XA, "xa_sam_kha", 127),
  "W_4228" : VNWard("Xã Púng Bánh", 4228, VietnamDivisionType.XA, "xa_pung_banh", 127),
  "W_4231" : VNWard("Xã Sốp Cộp", 4231, VietnamDivisionType.XA, "xa_sop_cop", 127),
  "W_4234" : VNWard("Xã Dồm Cang", 4234, VietnamDivisionType.XA, "xa_dom_cang", 127),
  "W_4237" : VNWard("Xã Nậm Lạnh", 4237, VietnamDivisionType.XA, "xa_nam_lanh", 127),
  "W_4240" : VNWard("Xã Mường Lèo", 4240, VietnamDivisionType.XA, "xa_muong_leo", 127),
  "W_4243" : VNWard("Xã Mường Và", 4243, VietnamDivisionType.XA, "xa_muong_va", 127),
  "W_4246" : VNWard("Xã Mường Lạn", 4246, VietnamDivisionType.XA, "xa_muong_lan", 127),
  "W_3994" : VNWard("Xã Suối Bàng", 3994, VietnamDivisionType.XA, "xa_suoi_bang", 128),
  "W_4006" : VNWard("Xã Song Khủa", 4006, VietnamDivisionType.XA, "xa_song_khua", 128),
  "W_4009" : VNWard("Xã Liên Hoà", 4009, VietnamDivisionType.XA, "xa_lien_hoa", 128),
  "W_4018" : VNWard("Xã Tô Múa", 4018, VietnamDivisionType.XA, "xa_to_mua", 128),
  "W_4021" : VNWard("Xã Mường Tè", 4021, VietnamDivisionType.XA, "xa_muong_te", 128),
  "W_4036" : VNWard("Xã Chiềng Khoa", 4036, VietnamDivisionType.XA, "xa_chieng_khoa", 128),
  "W_4039" : VNWard("Xã Mường Men", 4039, VietnamDivisionType.XA, "xa_muong_men", 128),
  "W_4042" : VNWard("Xã Quang Minh", 4042, VietnamDivisionType.XA, "xa_quang_minh", 128),
  "W_4048" : VNWard("Xã Vân Hồ", 4048, VietnamDivisionType.XA, "xa_van_ho", 128),
  "W_4051" : VNWard("Xã Lóng Luông", 4051, VietnamDivisionType.XA, "xa_long_luong", 128),
  "W_4054" : VNWard("Xã Chiềng Yên", 4054, VietnamDivisionType.XA, "xa_chieng_yen", 128),
  "W_4056" : VNWard("Xã Chiềng Xuân", 4056, VietnamDivisionType.XA, "xa_chieng_xuan", 128),
  "W_4057" : VNWard("Xã Xuân Nha", 4057, VietnamDivisionType.XA, "xa_xuan_nha", 128),
  "W_4058" : VNWard("Xã Tân Xuân", 4058, VietnamDivisionType.XA, "xa_tan_xuan", 128),
  "W_4249" : VNWard("Phường Yên Thịnh", 4249, VietnamDivisionType.PHUONG, "phuong_yen_thinh", 132),
  "W_4252" : VNWard("Phường Yên Ninh", 4252, VietnamDivisionType.PHUONG, "phuong_yen_ninh", 132),
  "W_4255" : VNWard("Phường Minh Tân", 4255, VietnamDivisionType.PHUONG, "phuong_minh_tan", 132),
  "W_4258" : VNWard("Phường Nguyễn Thái Học", 4258, VietnamDivisionType.PHUONG, "phuong_nguyen_thai_hoc", 132),
  "W_4261" : VNWard("Phường Đồng Tâm", 4261, VietnamDivisionType.PHUONG, "phuong_dong_tam", 132),
  "W_4264" : VNWard("Phường Nguyễn Phúc", 4264, VietnamDivisionType.PHUONG, "phuong_nguyen_phuc", 132),
  "W_4267" : VNWard("Phường Hồng Hà", 4267, VietnamDivisionType.PHUONG, "phuong_hong_ha", 132),
  "W_4270" : VNWard("Xã Minh Bảo", 4270, VietnamDivisionType.XA, "xa_minh_bao", 132),
  "W_4273" : VNWard("Phường Nam Cường", 4273, VietnamDivisionType.PHUONG, "phuong_nam_cuong", 132),
  "W_4276" : VNWard("Xã Tuy Lộc", 4276, VietnamDivisionType.XA, "xa_tuy_loc", 132),
  "W_4279" : VNWard("Xã Tân Thịnh", 4279, VietnamDivisionType.XA, "xa_tan_thinh", 132),
  "W_4540" : VNWard("Xã Âu Lâu", 4540, VietnamDivisionType.XA, "xa_au_lau", 132),
  "W_4543" : VNWard("Xã Giới Phiên", 4543, VietnamDivisionType.XA, "xa_gioi_phien", 132),
  "W_4546" : VNWard("Phường Hợp Minh", 4546, VietnamDivisionType.PHUONG, "phuong_hop_minh", 132),
  "W_4558" : VNWard("Xã Văn Phú", 4558, VietnamDivisionType.XA, "xa_van_phu", 132),
  "W_4282" : VNWard("Phường Pú Trạng", 4282, VietnamDivisionType.PHUONG, "phuong_pu_trang", 133),
  "W_4285" : VNWard("Phường Trung Tâm", 4285, VietnamDivisionType.PHUONG, "phuong_trung_tam", 133),
  "W_4288" : VNWard("Phường Tân An", 4288, VietnamDivisionType.PHUONG, "phuong_tan_an", 133),
  "W_4291" : VNWard("Phường Cầu Thia", 4291, VietnamDivisionType.PHUONG, "phuong_cau_thia", 133),
  "W_4294" : VNWard("Xã Nghĩa Lợi", 4294, VietnamDivisionType.XA, "xa_nghia_loi", 133),
  "W_4297" : VNWard("Xã Nghĩa Phúc", 4297, VietnamDivisionType.XA, "xa_nghia_phuc", 133),
  "W_4300" : VNWard("Xã Nghĩa An", 4300, VietnamDivisionType.XA, "xa_nghia_an", 133),
  "W_4624" : VNWard("Xã Nghĩa Lộ", 4624, VietnamDivisionType.XA, "xa_nghia_lo", 133),
  "W_4660" : VNWard("Xã Sơn A", 4660, VietnamDivisionType.XA, "xa_son_a", 133),
  "W_4663" : VNWard("Xã Phù Nham", 4663, VietnamDivisionType.XA, "xa_phu_nham", 133),
  "W_4675" : VNWard("Xã Thanh Lương", 4675, VietnamDivisionType.XA, "xa_thanh_luong", 133),
  "W_4678" : VNWard("Xã Hạnh Sơn", 4678, VietnamDivisionType.XA, "xa_hanh_son", 133),
  "W_4681" : VNWard("Xã Phúc Sơn", 4681, VietnamDivisionType.XA, "xa_phuc_son", 133),
  "W_4684" : VNWard("Xã Thạch Lương", 4684, VietnamDivisionType.XA, "xa_thach_luong", 133),
  "W_4303" : VNWard("Thị trấn Yên Thế", 4303, VietnamDivisionType.THI_TRAN, "thi_tran_yen_the", 135),
  "W_4306" : VNWard("Xã Tân Phượng", 4306, VietnamDivisionType.XA, "xa_tan_phuong", 135),
  "W_4309" : VNWard("Xã Lâm Thượng", 4309, VietnamDivisionType.XA, "xa_lam_thuong", 135),
  "W_4312" : VNWard("Xã Khánh Thiện", 4312, VietnamDivisionType.XA, "xa_khanh_thien", 135),
  "W_4315" : VNWard("Xã Minh Chuẩn", 4315, VietnamDivisionType.XA, "xa_minh_chuan", 135),
  "W_4318" : VNWard("Xã Mai Sơn", 4318, VietnamDivisionType.XA, "xa_mai_son", 135),
  "W_4321" : VNWard("Xã Khai Trung", 4321, VietnamDivisionType.XA, "xa_khai_trung", 135),
  "W_4324" : VNWard("Xã Mường Lai", 4324, VietnamDivisionType.XA, "xa_muong_lai", 135),
  "W_4327" : VNWard("Xã An Lạc", 4327, VietnamDivisionType.XA, "xa_an_lac", 135),
  "W_4330" : VNWard("Xã Minh Xuân", 4330, VietnamDivisionType.XA, "xa_minh_xuan", 135),
  "W_4333" : VNWard("Xã Tô Mậu", 4333, VietnamDivisionType.XA, "xa_to_mau", 135),
  "W_4336" : VNWard("Xã Tân Lĩnh", 4336, VietnamDivisionType.XA, "xa_tan_linh", 135),
  "W_4339" : VNWard("Xã Yên Thắng", 4339, VietnamDivisionType.XA, "xa_yen_thang", 135),
  "W_4342" : VNWard("Xã Khánh Hoà", 4342, VietnamDivisionType.XA, "xa_khanh_hoa", 135),
  "W_4345" : VNWard("Xã Vĩnh Lạc", 4345, VietnamDivisionType.XA, "xa_vinh_lac", 135),
  "W_4348" : VNWard("Xã Liễu Đô", 4348, VietnamDivisionType.XA, "xa_lieu_do", 135),
  "W_4351" : VNWard("Xã Động Quan", 4351, VietnamDivisionType.XA, "xa_dong_quan", 135),
  "W_4354" : VNWard("Xã Tân Lập", 4354, VietnamDivisionType.XA, "xa_tan_lap", 135),
  "W_4357" : VNWard("Xã Minh Tiến", 4357, VietnamDivisionType.XA, "xa_minh_tien", 135),
  "W_4360" : VNWard("Xã Trúc Lâu", 4360, VietnamDivisionType.XA, "xa_truc_lau", 135),
  "W_4363" : VNWard("Xã Phúc Lợi", 4363, VietnamDivisionType.XA, "xa_phuc_loi", 135),
  "W_4366" : VNWard("Xã Phan Thanh", 4366, VietnamDivisionType.XA, "xa_phan_thanh", 135),
  "W_4369" : VNWard("Xã An Phú", 4369, VietnamDivisionType.XA, "xa_an_phu", 135),
  "W_4372" : VNWard("Xã Trung Tâm", 4372, VietnamDivisionType.XA, "xa_trung_tam", 135),
  "W_4375" : VNWard("Thị trấn Mậu A", 4375, VietnamDivisionType.THI_TRAN, "thi_tran_mau_a", 136),
  "W_4378" : VNWard("Xã Lang Thíp", 4378, VietnamDivisionType.XA, "xa_lang_thip", 136),
  "W_4381" : VNWard("Xã Lâm Giang", 4381, VietnamDivisionType.XA, "xa_lam_giang", 136),
  "W_4384" : VNWard("Xã Châu Quế Thượng", 4384, VietnamDivisionType.XA, "xa_chau_que_thuong", 136),
  "W_4387" : VNWard("Xã Châu Quế Hạ", 4387, VietnamDivisionType.XA, "xa_chau_que_ha", 136),
  "W_4390" : VNWard("Xã An Bình", 4390, VietnamDivisionType.XA, "xa_an_binh", 136),
  "W_4393" : VNWard("Xã Quang Minh", 4393, VietnamDivisionType.XA, "xa_quang_minh", 136),
  "W_4396" : VNWard("Xã Đông An", 4396, VietnamDivisionType.XA, "xa_dong_an", 136),
  "W_4399" : VNWard("Xã Đông Cuông", 4399, VietnamDivisionType.XA, "xa_dong_cuong", 136),
  "W_4402" : VNWard("Xã Phong Dụ Hạ", 4402, VietnamDivisionType.XA, "xa_phong_du_ha", 136),
  "W_4405" : VNWard("Xã Mậu Đông", 4405, VietnamDivisionType.XA, "xa_mau_dong", 136),
  "W_4408" : VNWard("Xã Ngòi A", 4408, VietnamDivisionType.XA, "xa_ngoi_a", 136),
  "W_4411" : VNWard("Xã Xuân Tầm", 4411, VietnamDivisionType.XA, "xa_xuan_tam", 136),
  "W_4414" : VNWard("Xã Tân Hợp", 4414, VietnamDivisionType.XA, "xa_tan_hop", 136),
  "W_4417" : VNWard("Xã An Thịnh", 4417, VietnamDivisionType.XA, "xa_an_thinh", 136),
  "W_4420" : VNWard("Xã Yên Thái", 4420, VietnamDivisionType.XA, "xa_yen_thai", 136),
  "W_4423" : VNWard("Xã Phong Dụ Thượng", 4423, VietnamDivisionType.XA, "xa_phong_du_thuong", 136),
  "W_4426" : VNWard("Xã Yên Hợp", 4426, VietnamDivisionType.XA, "xa_yen_hop", 136),
  "W_4429" : VNWard("Xã Đại Sơn", 4429, VietnamDivisionType.XA, "xa_dai_son", 136),
  "W_4435" : VNWard("Xã Đại Phác", 4435, VietnamDivisionType.XA, "xa_dai_phac", 136),
  "W_4438" : VNWard("Xã Yên Phú", 4438, VietnamDivisionType.XA, "xa_yen_phu", 136),
  "W_4441" : VNWard("Xã Xuân Ái", 4441, VietnamDivisionType.XA, "xa_xuan_ai", 136),
  "W_4447" : VNWard("Xã Viễn Sơn", 4447, VietnamDivisionType.XA, "xa_vien_son", 136),
  "W_4450" : VNWard("Xã Mỏ Vàng", 4450, VietnamDivisionType.XA, "xa_mo_vang", 136),
  "W_4453" : VNWard("Xã Nà Hẩu", 4453, VietnamDivisionType.XA, "xa_na_hau", 136),
  "W_4456" : VNWard("Thị trấn Mù Căng Chải", 4456, VietnamDivisionType.THI_TRAN, "thi_tran_mu_cang_chai", 137),
  "W_4459" : VNWard("Xã Hồ Bốn", 4459, VietnamDivisionType.XA, "xa_ho_bon", 137),
  "W_4462" : VNWard("Xã Nậm Có", 4462, VietnamDivisionType.XA, "xa_nam_co", 137),
  "W_4465" : VNWard("Xã Khao Mang", 4465, VietnamDivisionType.XA, "xa_khao_mang", 137),
  "W_4468" : VNWard("Xã Mồ Dề", 4468, VietnamDivisionType.XA, "xa_mo_de", 137),
  "W_4471" : VNWard("Xã Chế Cu Nha", 4471, VietnamDivisionType.XA, "xa_che_cu_nha", 137),
  "W_4474" : VNWard("Xã Lao Chải", 4474, VietnamDivisionType.XA, "xa_lao_chai", 137),
  "W_4477" : VNWard("Xã Kim Nọi", 4477, VietnamDivisionType.XA, "xa_kim_noi", 137),
  "W_4480" : VNWard("Xã Cao Phạ", 4480, VietnamDivisionType.XA, "xa_cao_pha", 137),
  "W_4483" : VNWard("Xã La Pán Tẩn", 4483, VietnamDivisionType.XA, "xa_la_pan_tan", 137),
  "W_4486" : VNWard("Xã Dế Su Phình", 4486, VietnamDivisionType.XA, "xa_de_su_phinh", 137),
  "W_4489" : VNWard("Xã Chế Tạo", 4489, VietnamDivisionType.XA, "xa_che_tao", 137),
  "W_4492" : VNWard("Xã Púng Luông", 4492, VietnamDivisionType.XA, "xa_pung_luong", 137),
  "W_4495" : VNWard("Xã Nậm Khắt", 4495, VietnamDivisionType.XA, "xa_nam_khat", 137),
  "W_4498" : VNWard("Thị trấn Cổ Phúc", 4498, VietnamDivisionType.THI_TRAN, "thi_tran_co_phuc", 138),
  "W_4501" : VNWard("Xã Tân Đồng", 4501, VietnamDivisionType.XA, "xa_tan_dong", 138),
  "W_4504" : VNWard("Xã Báo Đáp", 4504, VietnamDivisionType.XA, "xa_bao_dap", 138),
  "W_4507" : VNWard("Xã Đào Thịnh", 4507, VietnamDivisionType.XA, "xa_dao_thinh", 138),
  "W_4510" : VNWard("Xã Việt Thành", 4510, VietnamDivisionType.XA, "xa_viet_thanh", 138),
  "W_4513" : VNWard("Xã Hòa Cuông", 4513, VietnamDivisionType.XA, "xa_hoa_cuong", 138),
  "W_4516" : VNWard("Xã Minh Quán", 4516, VietnamDivisionType.XA, "xa_minh_quan", 138),
  "W_4519" : VNWard("Xã Quy Mông", 4519, VietnamDivisionType.XA, "xa_quy_mong", 138),
  "W_4522" : VNWard("Xã Cường Thịnh", 4522, VietnamDivisionType.XA, "xa_cuong_thinh", 138),
  "W_4525" : VNWard("Xã Kiên Thành", 4525, VietnamDivisionType.XA, "xa_kien_thanh", 138),
  "W_4528" : VNWard("Xã Nga Quán", 4528, VietnamDivisionType.XA, "xa_nga_quan", 138),
  "W_4531" : VNWard("Xã Y Can", 4531, VietnamDivisionType.XA, "xa_y_can", 138),
  "W_4537" : VNWard("Xã Lương Thịnh", 4537, VietnamDivisionType.XA, "xa_luong_thinh", 138),
  "W_4561" : VNWard("Xã Bảo Hưng", 4561, VietnamDivisionType.XA, "xa_bao_hung", 138),
  "W_4564" : VNWard("Xã Việt Cường", 4564, VietnamDivisionType.XA, "xa_viet_cuong", 138),
  "W_4567" : VNWard("Xã Minh Quân", 4567, VietnamDivisionType.XA, "xa_minh_quan", 138),
  "W_4570" : VNWard("Xã Hồng Ca", 4570, VietnamDivisionType.XA, "xa_hong_ca", 138),
  "W_4573" : VNWard("Xã Hưng Thịnh", 4573, VietnamDivisionType.XA, "xa_hung_thinh", 138),
  "W_4576" : VNWard("Xã Hưng Khánh", 4576, VietnamDivisionType.XA, "xa_hung_khanh", 138),
  "W_4579" : VNWard("Xã Việt Hồng", 4579, VietnamDivisionType.XA, "xa_viet_hong", 138),
  "W_4582" : VNWard("Xã Vân Hội", 4582, VietnamDivisionType.XA, "xa_van_hoi", 138),
  "W_4585" : VNWard("Thị trấn Trạm Tấu", 4585, VietnamDivisionType.THI_TRAN, "thi_tran_tram_tau", 139),
  "W_4588" : VNWard("Xã Túc Đán", 4588, VietnamDivisionType.XA, "xa_tuc_dan", 139),
  "W_4591" : VNWard("Xã Pá Lau", 4591, VietnamDivisionType.XA, "xa_pa_lau", 139),
  "W_4594" : VNWard("Xã Xà Hồ", 4594, VietnamDivisionType.XA, "xa_xa_ho", 139),
  "W_4597" : VNWard("Xã Phình Hồ", 4597, VietnamDivisionType.XA, "xa_phinh_ho", 139),
  "W_4600" : VNWard("Xã Trạm Tấu", 4600, VietnamDivisionType.XA, "xa_tram_tau", 139),
  "W_4603" : VNWard("Xã Tà Si Láng", 4603, VietnamDivisionType.XA, "xa_ta_si_lang", 139),
  "W_4606" : VNWard("Xã Pá Hu", 4606, VietnamDivisionType.XA, "xa_pa_hu", 139),
  "W_4609" : VNWard("Xã Làng Nhì", 4609, VietnamDivisionType.XA, "xa_lang_nhi", 139),
  "W_4612" : VNWard("Xã Bản Công", 4612, VietnamDivisionType.XA, "xa_ban_cong", 139),
  "W_4615" : VNWard("Xã Bản Mù", 4615, VietnamDivisionType.XA, "xa_ban_mu", 139),
  "W_4618" : VNWard("Xã Hát Lìu", 4618, VietnamDivisionType.XA, "xa_hat_liu", 139),
  "W_4621" : VNWard("Thị trấn NT Liên Sơn", 4621, VietnamDivisionType.THI_TRAN, "thi_tran_nt_lien_son", 140),
  "W_4627" : VNWard("Thị trấn NT Trần Phú", 4627, VietnamDivisionType.THI_TRAN, "thi_tran_nt_tran_phu", 140),
  "W_4630" : VNWard("Xã Tú Lệ", 4630, VietnamDivisionType.XA, "xa_tu_le", 140),
  "W_4633" : VNWard("Xã Nậm Búng", 4633, VietnamDivisionType.XA, "xa_nam_bung", 140),
  "W_4636" : VNWard("Xã Gia Hội", 4636, VietnamDivisionType.XA, "xa_gia_hoi", 140),
  "W_4639" : VNWard("Xã Sùng Đô", 4639, VietnamDivisionType.XA, "xa_sung_do", 140),
  "W_4642" : VNWard("Xã Nậm Mười", 4642, VietnamDivisionType.XA, "xa_nam_muoi", 140),
  "W_4645" : VNWard("Xã An Lương", 4645, VietnamDivisionType.XA, "xa_an_luong", 140),
  "W_4648" : VNWard("Xã Nậm Lành", 4648, VietnamDivisionType.XA, "xa_nam_lanh", 140),
  "W_4651" : VNWard("Xã Sơn Lương", 4651, VietnamDivisionType.XA, "xa_son_luong", 140),
  "W_4654" : VNWard("Xã Suối Quyền", 4654, VietnamDivisionType.XA, "xa_suoi_quyen", 140),
  "W_4657" : VNWard("Xã Suối Giàng", 4657, VietnamDivisionType.XA, "xa_suoi_giang", 140),
  "W_4666" : VNWard("Xã Nghĩa Sơn", 4666, VietnamDivisionType.XA, "xa_nghia_son", 140),
  "W_4669" : VNWard("Xã Suối Bu", 4669, VietnamDivisionType.XA, "xa_suoi_bu", 140),
  "W_4672" : VNWard("Thị trấn Sơn Thịnh", 4672, VietnamDivisionType.THI_TRAN, "thi_tran_son_thinh", 140),
  "W_4687" : VNWard("Xã Đại Lịch", 4687, VietnamDivisionType.XA, "xa_dai_lich", 140),
  "W_4690" : VNWard("Xã Đồng Khê", 4690, VietnamDivisionType.XA, "xa_dong_khe", 140),
  "W_4693" : VNWard("Xã Cát Thịnh", 4693, VietnamDivisionType.XA, "xa_cat_thinh", 140),
  "W_4696" : VNWard("Xã Tân Thịnh", 4696, VietnamDivisionType.XA, "xa_tan_thinh", 140),
  "W_4699" : VNWard("Xã Chấn Thịnh", 4699, VietnamDivisionType.XA, "xa_chan_thinh", 140),
  "W_4702" : VNWard("Xã Bình Thuận", 4702, VietnamDivisionType.XA, "xa_binh_thuan", 140),
  "W_4705" : VNWard("Xã Thượng Bằng La", 4705, VietnamDivisionType.XA, "xa_thuong_bang_la", 140),
  "W_4708" : VNWard("Xã Minh An", 4708, VietnamDivisionType.XA, "xa_minh_an", 140),
  "W_4711" : VNWard("Xã Nghĩa Tâm", 4711, VietnamDivisionType.XA, "xa_nghia_tam", 140),
  "W_4714" : VNWard("Thị trấn Yên Bình", 4714, VietnamDivisionType.THI_TRAN, "thi_tran_yen_binh", 141),
  "W_4717" : VNWard("Thị trấn Thác Bà", 4717, VietnamDivisionType.THI_TRAN, "thi_tran_thac_ba", 141),
  "W_4720" : VNWard("Xã Xuân Long", 4720, VietnamDivisionType.XA, "xa_xuan_long", 141),
  "W_4726" : VNWard("Xã Cảm Nhân", 4726, VietnamDivisionType.XA, "xa_cam_nhan", 141),
  "W_4729" : VNWard("Xã Ngọc Chấn", 4729, VietnamDivisionType.XA, "xa_ngoc_chan", 141),
  "W_4732" : VNWard("Xã Tân Nguyên", 4732, VietnamDivisionType.XA, "xa_tan_nguyen", 141),
  "W_4735" : VNWard("Xã Phúc Ninh", 4735, VietnamDivisionType.XA, "xa_phuc_ninh", 141),
  "W_4738" : VNWard("Xã Bảo Ái", 4738, VietnamDivisionType.XA, "xa_bao_ai", 141),
  "W_4741" : VNWard("Xã Mỹ Gia", 4741, VietnamDivisionType.XA, "xa_my_gia", 141),
  "W_4744" : VNWard("Xã Xuân Lai", 4744, VietnamDivisionType.XA, "xa_xuan_lai", 141),
  "W_4747" : VNWard("Xã Mông Sơn", 4747, VietnamDivisionType.XA, "xa_mong_son", 141),
  "W_4750" : VNWard("Xã Cảm Ân", 4750, VietnamDivisionType.XA, "xa_cam_an", 141),
  "W_4753" : VNWard("Xã Yên Thành", 4753, VietnamDivisionType.XA, "xa_yen_thanh", 141),
  "W_4756" : VNWard("Xã Tân Hương", 4756, VietnamDivisionType.XA, "xa_tan_huong", 141),
  "W_4759" : VNWard("Xã Phúc An", 4759, VietnamDivisionType.XA, "xa_phuc_an", 141),
  "W_4762" : VNWard("Xã Bạch Hà", 4762, VietnamDivisionType.XA, "xa_bach_ha", 141),
  "W_4765" : VNWard("Xã Vũ Linh", 4765, VietnamDivisionType.XA, "xa_vu_linh", 141),
  "W_4768" : VNWard("Xã Đại Đồng", 4768, VietnamDivisionType.XA, "xa_dai_dong", 141),
  "W_4771" : VNWard("Xã Vĩnh Kiên", 4771, VietnamDivisionType.XA, "xa_vinh_kien", 141),
  "W_4774" : VNWard("Xã Yên Bình", 4774, VietnamDivisionType.XA, "xa_yen_binh", 141),
  "W_4777" : VNWard("Xã Thịnh Hưng", 4777, VietnamDivisionType.XA, "xa_thinh_hung", 141),
  "W_4780" : VNWard("Xã Hán Đà", 4780, VietnamDivisionType.XA, "xa_han_da", 141),
  "W_4783" : VNWard("Xã Phú Thịnh", 4783, VietnamDivisionType.XA, "xa_phu_thinh", 141),
  "W_4786" : VNWard("Xã Đại Minh", 4786, VietnamDivisionType.XA, "xa_dai_minh", 141),
  "W_4789" : VNWard("Phường Thái Bình", 4789, VietnamDivisionType.PHUONG, "phuong_thai_binh", 148),
  "W_4792" : VNWard("Phường Tân Hòa", 4792, VietnamDivisionType.PHUONG, "phuong_tan_hoa", 148),
  "W_4795" : VNWard("Phường Thịnh Lang", 4795, VietnamDivisionType.PHUONG, "phuong_thinh_lang", 148),
  "W_4798" : VNWard("Phường Hữu Nghị", 4798, VietnamDivisionType.PHUONG, "phuong_huu_nghi", 148),
  "W_4801" : VNWard("Phường Tân Thịnh", 4801, VietnamDivisionType.PHUONG, "phuong_tan_thinh", 148),
  "W_4804" : VNWard("Phường Đồng Tiến", 4804, VietnamDivisionType.PHUONG, "phuong_dong_tien", 148),
  "W_4807" : VNWard("Phường Phương Lâm", 4807, VietnamDivisionType.PHUONG, "phuong_phuong_lam", 148),
  "W_4813" : VNWard("Xã Yên Mông", 4813, VietnamDivisionType.XA, "xa_yen_mong", 148),
  "W_4816" : VNWard("Phường Quỳnh Lâm", 4816, VietnamDivisionType.PHUONG, "phuong_quynh_lam", 148),
  "W_4819" : VNWard("Phường Dân Chủ", 4819, VietnamDivisionType.PHUONG, "phuong_dan_chu", 148),
  "W_4825" : VNWard("Xã Hòa Bình", 4825, VietnamDivisionType.XA, "xa_hoa_binh", 148),
  "W_4828" : VNWard("Phường Thống Nhất", 4828, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 148),
  "W_4894" : VNWard("Phường Kỳ Sơn", 4894, VietnamDivisionType.PHUONG, "phuong_ky_son", 148),
  "W_4897" : VNWard("Xã Thịnh Minh", 4897, VietnamDivisionType.XA, "xa_thinh_minh", 148),
  "W_4903" : VNWard("Xã Hợp Thành", 4903, VietnamDivisionType.XA, "xa_hop_thanh", 148),
  "W_4906" : VNWard("Xã Quang Tiến", 4906, VietnamDivisionType.XA, "xa_quang_tien", 148),
  "W_4912" : VNWard("Xã Mông Hóa", 4912, VietnamDivisionType.XA, "xa_mong_hoa", 148),
  "W_4918" : VNWard("Phường Trung Minh", 4918, VietnamDivisionType.PHUONG, "phuong_trung_minh", 148),
  "W_4921" : VNWard("Xã Độc Lập", 4921, VietnamDivisionType.XA, "xa_doc_lap", 148),
  "W_4831" : VNWard("Thị trấn Đà Bắc", 4831, VietnamDivisionType.THI_TRAN, "thi_tran_da_bac", 150),
  "W_4834" : VNWard("Xã Nánh Nghê", 4834, VietnamDivisionType.XA, "xa_nanh_nghe", 150),
  "W_4840" : VNWard("Xã Giáp Đắt", 4840, VietnamDivisionType.XA, "xa_giap_dat", 150),
  "W_4846" : VNWard("Xã Mường Chiềng", 4846, VietnamDivisionType.XA, "xa_muong_chieng", 150),
  "W_4849" : VNWard("Xã Tân Pheo", 4849, VietnamDivisionType.XA, "xa_tan_pheo", 150),
  "W_4852" : VNWard("Xã Đồng Chum", 4852, VietnamDivisionType.XA, "xa_dong_chum", 150),
  "W_4855" : VNWard("Xã Tân Minh", 4855, VietnamDivisionType.XA, "xa_tan_minh", 150),
  "W_4858" : VNWard("Xã Đoàn Kết", 4858, VietnamDivisionType.XA, "xa_doan_ket", 150),
  "W_4861" : VNWard("Xã Đồng Ruộng", 4861, VietnamDivisionType.XA, "xa_dong_ruong", 150),
  "W_4867" : VNWard("Xã Tú Lý", 4867, VietnamDivisionType.XA, "xa_tu_ly", 150),
  "W_4870" : VNWard("Xã Trung Thành", 4870, VietnamDivisionType.XA, "xa_trung_thanh", 150),
  "W_4873" : VNWard("Xã Yên Hòa", 4873, VietnamDivisionType.XA, "xa_yen_hoa", 150),
  "W_4876" : VNWard("Xã Cao Sơn", 4876, VietnamDivisionType.XA, "xa_cao_son", 150),
  "W_4879" : VNWard("Xã Toàn Sơn", 4879, VietnamDivisionType.XA, "xa_toan_son", 150),
  "W_4885" : VNWard("Xã Hiền Lương", 4885, VietnamDivisionType.XA, "xa_hien_luong", 150),
  "W_4888" : VNWard("Xã Tiền Phong", 4888, VietnamDivisionType.XA, "xa_tien_phong", 150),
  "W_4891" : VNWard("Xã Vầy Nưa", 4891, VietnamDivisionType.XA, "xa_vay_nua", 150),
  "W_4924" : VNWard("Thị trấn Lương Sơn", 4924, VietnamDivisionType.THI_TRAN, "thi_tran_luong_son", 152),
  "W_4942" : VNWard("Xã Lâm Sơn", 4942, VietnamDivisionType.XA, "xa_lam_son", 152),
  "W_4945" : VNWard("Xã Hòa Sơn", 4945, VietnamDivisionType.XA, "xa_hoa_son", 152),
  "W_4951" : VNWard("Xã Tân Vinh", 4951, VietnamDivisionType.XA, "xa_tan_vinh", 152),
  "W_4954" : VNWard("Xã Nhuận Trạch", 4954, VietnamDivisionType.XA, "xa_nhuan_trach", 152),
  "W_4957" : VNWard("Xã Cao Sơn", 4957, VietnamDivisionType.XA, "xa_cao_son", 152),
  "W_4960" : VNWard("Xã Cư Yên", 4960, VietnamDivisionType.XA, "xa_cu_yen", 152),
  "W_4969" : VNWard("Xã Liên Sơn", 4969, VietnamDivisionType.XA, "xa_lien_son", 152),
  "W_5008" : VNWard("Xã Cao Dương", 5008, VietnamDivisionType.XA, "xa_cao_duong", 152),
  "W_5041" : VNWard("Xã Thanh Sơn", 5041, VietnamDivisionType.XA, "xa_thanh_son", 152),
  "W_5047" : VNWard("Xã Thanh Cao", 5047, VietnamDivisionType.XA, "xa_thanh_cao", 152),
  "W_4978" : VNWard("Thị trấn Bo", 4978, VietnamDivisionType.THI_TRAN, "thi_tran_bo", 153),
  "W_4984" : VNWard("Xã Đú Sáng", 4984, VietnamDivisionType.XA, "xa_du_sang", 153),
  "W_4987" : VNWard("Xã Hùng Sơn", 4987, VietnamDivisionType.XA, "xa_hung_son", 153),
  "W_4990" : VNWard("Xã Bình Sơn", 4990, VietnamDivisionType.XA, "xa_binh_son", 153),
  "W_4999" : VNWard("Xã Tú Sơn", 4999, VietnamDivisionType.XA, "xa_tu_son", 153),
  "W_5005" : VNWard("Xã Vĩnh Tiến", 5005, VietnamDivisionType.XA, "xa_vinh_tien", 153),
  "W_5014" : VNWard("Xã Đông Bắc", 5014, VietnamDivisionType.XA, "xa_dong_bac", 153),
  "W_5017" : VNWard("Xã Xuân Thủy", 5017, VietnamDivisionType.XA, "xa_xuan_thuy", 153),
  "W_5026" : VNWard("Xã Vĩnh Đồng", 5026, VietnamDivisionType.XA, "xa_vinh_dong", 153),
  "W_5035" : VNWard("Xã Kim Lập", 5035, VietnamDivisionType.XA, "xa_kim_lap", 153),
  "W_5038" : VNWard("Xã Hợp Tiến", 5038, VietnamDivisionType.XA, "xa_hop_tien", 153),
  "W_5065" : VNWard("Xã Kim Bôi", 5065, VietnamDivisionType.XA, "xa_kim_boi", 153),
  "W_5068" : VNWard("Xã Nam Thượng", 5068, VietnamDivisionType.XA, "xa_nam_thuong", 153),
  "W_5077" : VNWard("Xã Cuối Hạ", 5077, VietnamDivisionType.XA, "xa_cuoi_ha", 153),
  "W_5080" : VNWard("Xã Sào Báy", 5080, VietnamDivisionType.XA, "xa_sao_bay", 153),
  "W_5083" : VNWard("Xã Mi Hòa", 5083, VietnamDivisionType.XA, "xa_mi_hoa", 153),
  "W_5086" : VNWard("Xã Nuông Dăm", 5086, VietnamDivisionType.XA, "xa_nuong_dam", 153),
  "W_5089" : VNWard("Thị trấn Cao Phong", 5089, VietnamDivisionType.THI_TRAN, "thi_tran_cao_phong", 154),
  "W_5092" : VNWard("Xã Bình Thanh", 5092, VietnamDivisionType.XA, "xa_binh_thanh", 154),
  "W_5095" : VNWard("Xã Thung Nai", 5095, VietnamDivisionType.XA, "xa_thung_nai", 154),
  "W_5098" : VNWard("Xã Bắc Phong", 5098, VietnamDivisionType.XA, "xa_bac_phong", 154),
  "W_5101" : VNWard("Xã Thu Phong", 5101, VietnamDivisionType.XA, "xa_thu_phong", 154),
  "W_5104" : VNWard("Xã Hợp Phong", 5104, VietnamDivisionType.XA, "xa_hop_phong", 154),
  "W_5110" : VNWard("Xã Tây Phong", 5110, VietnamDivisionType.XA, "xa_tay_phong", 154),
  "W_5116" : VNWard("Xã Dũng Phong", 5116, VietnamDivisionType.XA, "xa_dung_phong", 154),
  "W_5119" : VNWard("Xã Nam Phong", 5119, VietnamDivisionType.XA, "xa_nam_phong", 154),
  "W_5125" : VNWard("Xã Thạch Yên", 5125, VietnamDivisionType.XA, "xa_thach_yen", 154),
  "W_5128" : VNWard("Thị trấn Mãn Đức", 5128, VietnamDivisionType.THI_TRAN, "thi_tran_man_duc", 155),
  "W_5134" : VNWard("Xã Suối Hoa", 5134, VietnamDivisionType.XA, "xa_suoi_hoa", 155),
  "W_5137" : VNWard("Xã Phú Vinh", 5137, VietnamDivisionType.XA, "xa_phu_vinh", 155),
  "W_5140" : VNWard("Xã Phú Cường", 5140, VietnamDivisionType.XA, "xa_phu_cuong", 155),
  "W_5143" : VNWard("Xã Mỹ Hòa", 5143, VietnamDivisionType.XA, "xa_my_hoa", 155),
  "W_5152" : VNWard("Xã Quyết Chiến", 5152, VietnamDivisionType.XA, "xa_quyet_chien", 155),
  "W_5158" : VNWard("Xã Phong Phú", 5158, VietnamDivisionType.XA, "xa_phong_phu", 155),
  "W_5164" : VNWard("Xã Tử Nê", 5164, VietnamDivisionType.XA, "xa_tu_ne", 155),
  "W_5167" : VNWard("Xã Thanh Hối", 5167, VietnamDivisionType.XA, "xa_thanh_hoi", 155),
  "W_5170" : VNWard("Xã Ngọc Mỹ", 5170, VietnamDivisionType.XA, "xa_ngoc_my", 155),
  "W_5173" : VNWard("Xã Đông Lai", 5173, VietnamDivisionType.XA, "xa_dong_lai", 155),
  "W_5176" : VNWard("Xã Vân Sơn", 5176, VietnamDivisionType.XA, "xa_van_son", 155),
  "W_5182" : VNWard("Xã Nhân Mỹ", 5182, VietnamDivisionType.XA, "xa_nhan_my", 155),
  "W_5191" : VNWard("Xã Lỗ Sơn", 5191, VietnamDivisionType.XA, "xa_lo_son", 155),
  "W_5194" : VNWard("Xã Ngổ Luông", 5194, VietnamDivisionType.XA, "xa_ngo_luong", 155),
  "W_5197" : VNWard("Xã Gia Mô", 5197, VietnamDivisionType.XA, "xa_gia_mo", 155),
  "W_4882" : VNWard("Xã Tân Thành", 4882, VietnamDivisionType.XA, "xa_tan_thanh", 156),
  "W_5200" : VNWard("Thị trấn Mai Châu", 5200, VietnamDivisionType.THI_TRAN, "thi_tran_mai_chau", 156),
  "W_5206" : VNWard("Xã Sơn Thủy", 5206, VietnamDivisionType.XA, "xa_son_thuy", 156),
  "W_5209" : VNWard("Xã Pà Cò", 5209, VietnamDivisionType.XA, "xa_pa_co", 156),
  "W_5212" : VNWard("Xã Hang Kia", 5212, VietnamDivisionType.XA, "xa_hang_kia", 156),
  "W_5221" : VNWard("Xã Đồng Tân", 5221, VietnamDivisionType.XA, "xa_dong_tan", 156),
  "W_5224" : VNWard("Xã Cun Pheo", 5224, VietnamDivisionType.XA, "xa_cun_pheo", 156),
  "W_5227" : VNWard("Xã Bao La", 5227, VietnamDivisionType.XA, "xa_bao_la", 156),
  "W_5233" : VNWard("Xã Tòng Đậu", 5233, VietnamDivisionType.XA, "xa_tong_dau", 156),
  "W_5242" : VNWard("Xã Nà Phòn", 5242, VietnamDivisionType.XA, "xa_na_phon", 156),
  "W_5245" : VNWard("Xã Săm Khóe", 5245, VietnamDivisionType.XA, "xa_sam_khoe", 156),
  "W_5248" : VNWard("Xã Chiềng Châu", 5248, VietnamDivisionType.XA, "xa_chieng_chau", 156),
  "W_5251" : VNWard("Xã Mai Hạ", 5251, VietnamDivisionType.XA, "xa_mai_ha", 156),
  "W_5254" : VNWard("Xã Thành Sơn", 5254, VietnamDivisionType.XA, "xa_thanh_son", 156),
  "W_5257" : VNWard("Xã Mai Hịch", 5257, VietnamDivisionType.XA, "xa_mai_hich", 156),
  "W_5263" : VNWard("Xã Vạn Mai", 5263, VietnamDivisionType.XA, "xa_van_mai", 156),
  "W_5266" : VNWard("Thị trấn Vụ Bản", 5266, VietnamDivisionType.THI_TRAN, "thi_tran_vu_ban", 157),
  "W_5269" : VNWard("Xã Quý Hòa", 5269, VietnamDivisionType.XA, "xa_quy_hoa", 157),
  "W_5272" : VNWard("Xã Miền Đồi", 5272, VietnamDivisionType.XA, "xa_mien_doi", 157),
  "W_5275" : VNWard("Xã Mỹ Thành", 5275, VietnamDivisionType.XA, "xa_my_thanh", 157),
  "W_5278" : VNWard("Xã Tuân Đạo", 5278, VietnamDivisionType.XA, "xa_tuan_dao", 157),
  "W_5281" : VNWard("Xã Văn Nghĩa", 5281, VietnamDivisionType.XA, "xa_van_nghia", 157),
  "W_5284" : VNWard("Xã Văn Sơn", 5284, VietnamDivisionType.XA, "xa_van_son", 157),
  "W_5287" : VNWard("Xã Tân Lập", 5287, VietnamDivisionType.XA, "xa_tan_lap", 157),
  "W_5290" : VNWard("Xã Nhân Nghĩa", 5290, VietnamDivisionType.XA, "xa_nhan_nghia", 157),
  "W_5293" : VNWard("Xã Thượng Cốc", 5293, VietnamDivisionType.XA, "xa_thuong_coc", 157),
  "W_5299" : VNWard("Xã Quyết Thắng", 5299, VietnamDivisionType.XA, "xa_quyet_thang", 157),
  "W_5302" : VNWard("Xã Xuất Hóa", 5302, VietnamDivisionType.XA, "xa_xuat_hoa", 157),
  "W_5305" : VNWard("Xã Yên Phú", 5305, VietnamDivisionType.XA, "xa_yen_phu", 157),
  "W_5308" : VNWard("Xã Bình Hẻm", 5308, VietnamDivisionType.XA, "xa_binh_hem", 157),
  "W_5320" : VNWard("Xã Định Cư", 5320, VietnamDivisionType.XA, "xa_dinh_cu", 157),
  "W_5323" : VNWard("Xã Chí Đạo", 5323, VietnamDivisionType.XA, "xa_chi_dao", 157),
  "W_5329" : VNWard("Xã Ngọc Sơn", 5329, VietnamDivisionType.XA, "xa_ngoc_son", 157),
  "W_5332" : VNWard("Xã Hương Nhượng", 5332, VietnamDivisionType.XA, "xa_huong_nhuong", 157),
  "W_5335" : VNWard("Xã Vũ Bình", 5335, VietnamDivisionType.XA, "xa_vu_binh", 157),
  "W_5338" : VNWard("Xã Tự Do", 5338, VietnamDivisionType.XA, "xa_tu_do", 157),
  "W_5341" : VNWard("Xã Yên Nghiệp", 5341, VietnamDivisionType.XA, "xa_yen_nghiep", 157),
  "W_5344" : VNWard("Xã Tân Mỹ", 5344, VietnamDivisionType.XA, "xa_tan_my", 157),
  "W_5347" : VNWard("Xã Ân Nghĩa", 5347, VietnamDivisionType.XA, "xa_an_nghia", 157),
  "W_5350" : VNWard("Xã Ngọc Lâu", 5350, VietnamDivisionType.XA, "xa_ngoc_lau", 157),
  "W_5353" : VNWard("Thị trấn Hàng Trạm", 5353, VietnamDivisionType.THI_TRAN, "thi_tran_hang_tram", 158),
  "W_5356" : VNWard("Xã Lạc Sỹ", 5356, VietnamDivisionType.XA, "xa_lac_sy", 158),
  "W_5362" : VNWard("Xã Lạc Lương", 5362, VietnamDivisionType.XA, "xa_lac_luong", 158),
  "W_5365" : VNWard("Xã Bảo Hiệu", 5365, VietnamDivisionType.XA, "xa_bao_hieu", 158),
  "W_5368" : VNWard("Xã Đa Phúc", 5368, VietnamDivisionType.XA, "xa_da_phuc", 158),
  "W_5371" : VNWard("Xã Hữu Lợi", 5371, VietnamDivisionType.XA, "xa_huu_loi", 158),
  "W_5374" : VNWard("Xã Lạc Thịnh", 5374, VietnamDivisionType.XA, "xa_lac_thinh", 158),
  "W_5380" : VNWard("Xã Đoàn Kết", 5380, VietnamDivisionType.XA, "xa_doan_ket", 158),
  "W_5383" : VNWard("Xã Phú Lai", 5383, VietnamDivisionType.XA, "xa_phu_lai", 158),
  "W_5386" : VNWard("Xã Yên Trị", 5386, VietnamDivisionType.XA, "xa_yen_tri", 158),
  "W_5389" : VNWard("Xã Ngọc Lương", 5389, VietnamDivisionType.XA, "xa_ngoc_luong", 158),
  "W_4981" : VNWard("Thị trấn Ba Hàng Đồi", 4981, VietnamDivisionType.THI_TRAN, "thi_tran_ba_hang_doi", 159),
  "W_5392" : VNWard("Thị trấn Chi Nê", 5392, VietnamDivisionType.THI_TRAN, "thi_tran_chi_ne", 159),
  "W_5395" : VNWard("Xã Phú Nghĩa", 5395, VietnamDivisionType.XA, "xa_phu_nghia", 159),
  "W_5398" : VNWard("Xã Phú Thành", 5398, VietnamDivisionType.XA, "xa_phu_thanh", 159),
  "W_5404" : VNWard("Xã Hưng Thi", 5404, VietnamDivisionType.XA, "xa_hung_thi", 159),
  "W_5413" : VNWard("Xã Khoan Dụ", 5413, VietnamDivisionType.XA, "xa_khoan_du", 159),
  "W_5419" : VNWard("Xã Đồng Tâm", 5419, VietnamDivisionType.XA, "xa_dong_tam", 159),
  "W_5422" : VNWard("Xã Yên Bồng", 5422, VietnamDivisionType.XA, "xa_yen_bong", 159),
  "W_5425" : VNWard("Xã Thống Nhất", 5425, VietnamDivisionType.XA, "xa_thong_nhat", 159),
  "W_5428" : VNWard("Xã An Bình", 5428, VietnamDivisionType.XA, "xa_an_binh", 159),
  "W_5431" : VNWard("Phường Quán Triều", 5431, VietnamDivisionType.PHUONG, "phuong_quan_trieu", 164),
  "W_5434" : VNWard("Phường Quang Vinh", 5434, VietnamDivisionType.PHUONG, "phuong_quang_vinh", 164),
  "W_5437" : VNWard("Phường Túc Duyên", 5437, VietnamDivisionType.PHUONG, "phuong_tuc_duyen", 164),
  "W_5440" : VNWard("Phường Hoàng Văn Thụ", 5440, VietnamDivisionType.PHUONG, "phuong_hoang_van_thu", 164),
  "W_5443" : VNWard("Phường Trưng Vương", 5443, VietnamDivisionType.PHUONG, "phuong_trung_vuong", 164),
  "W_5446" : VNWard("Phường Quang Trung", 5446, VietnamDivisionType.PHUONG, "phuong_quang_trung", 164),
  "W_5449" : VNWard("Phường Phan Đình Phùng", 5449, VietnamDivisionType.PHUONG, "phuong_phan_dinh_phung", 164),
  "W_5452" : VNWard("Phường Tân Thịnh", 5452, VietnamDivisionType.PHUONG, "phuong_tan_thinh", 164),
  "W_5455" : VNWard("Phường Thịnh Đán", 5455, VietnamDivisionType.PHUONG, "phuong_thinh_dan", 164),
  "W_5458" : VNWard("Phường Đồng Quang", 5458, VietnamDivisionType.PHUONG, "phuong_dong_quang", 164),
  "W_5461" : VNWard("Phường Gia Sàng", 5461, VietnamDivisionType.PHUONG, "phuong_gia_sang", 164),
  "W_5464" : VNWard("Phường Tân Lập", 5464, VietnamDivisionType.PHUONG, "phuong_tan_lap", 164),
  "W_5467" : VNWard("Phường Cam Giá", 5467, VietnamDivisionType.PHUONG, "phuong_cam_gia", 164),
  "W_5470" : VNWard("Phường Phú Xá", 5470, VietnamDivisionType.PHUONG, "phuong_phu_xa", 164),
  "W_5473" : VNWard("Phường Hương Sơn", 5473, VietnamDivisionType.PHUONG, "phuong_huong_son", 164),
  "W_5476" : VNWard("Phường Trung Thành", 5476, VietnamDivisionType.PHUONG, "phuong_trung_thanh", 164),
  "W_5479" : VNWard("Phường Tân Thành", 5479, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 164),
  "W_5482" : VNWard("Phường Tân Long", 5482, VietnamDivisionType.PHUONG, "phuong_tan_long", 164),
  "W_5485" : VNWard("Xã Phúc Hà", 5485, VietnamDivisionType.XA, "xa_phuc_ha", 164),
  "W_5488" : VNWard("Xã Phúc Xuân", 5488, VietnamDivisionType.XA, "xa_phuc_xuan", 164),
  "W_5491" : VNWard("Xã Quyết Thắng", 5491, VietnamDivisionType.XA, "xa_quyet_thang", 164),
  "W_5494" : VNWard("Xã Phúc Trìu", 5494, VietnamDivisionType.XA, "xa_phuc_triu", 164),
  "W_5497" : VNWard("Xã Thịnh Đức", 5497, VietnamDivisionType.XA, "xa_thinh_duc", 164),
  "W_5500" : VNWard("Phường Tích Lương", 5500, VietnamDivisionType.PHUONG, "phuong_tich_luong", 164),
  "W_5503" : VNWard("Xã Tân Cương", 5503, VietnamDivisionType.XA, "xa_tan_cuong", 164),
  "W_5653" : VNWard("Xã Sơn Cẩm", 5653, VietnamDivisionType.XA, "xa_son_cam", 164),
  "W_5659" : VNWard("Phường Chùa Hang", 5659, VietnamDivisionType.PHUONG, "phuong_chua_hang", 164),
  "W_5695" : VNWard("Xã Cao Ngạn", 5695, VietnamDivisionType.XA, "xa_cao_ngan", 164),
  "W_5701" : VNWard("Xã Linh Sơn", 5701, VietnamDivisionType.XA, "xa_linh_son", 164),
  "W_5710" : VNWard("Phường Đồng Bẩm", 5710, VietnamDivisionType.PHUONG, "phuong_dong_bam", 164),
  "W_5713" : VNWard("Xã Huống Thượng", 5713, VietnamDivisionType.XA, "xa_huong_thuong", 164),
  "W_5914" : VNWard("Xã Đồng Liên", 5914, VietnamDivisionType.XA, "xa_dong_lien", 164),
  "W_5506" : VNWard("Phường Lương Sơn", 5506, VietnamDivisionType.PHUONG, "phuong_luong_son", 165),
  "W_5509" : VNWard("Phường Châu Sơn", 5509, VietnamDivisionType.PHUONG, "phuong_chau_son", 165),
  "W_5512" : VNWard("Phường Mỏ Chè", 5512, VietnamDivisionType.PHUONG, "phuong_mo_che", 165),
  "W_5515" : VNWard("Phường Cải Đan", 5515, VietnamDivisionType.PHUONG, "phuong_cai_dan", 165),
  "W_5518" : VNWard("Phường Thắng Lợi", 5518, VietnamDivisionType.PHUONG, "phuong_thang_loi", 165),
  "W_5521" : VNWard("Phường Phố Cò", 5521, VietnamDivisionType.PHUONG, "phuong_pho_co", 165),
  "W_5527" : VNWard("Xã Tân Quang", 5527, VietnamDivisionType.XA, "xa_tan_quang", 165),
  "W_5528" : VNWard("Phường Bách Quang", 5528, VietnamDivisionType.PHUONG, "phuong_bach_quang", 165),
  "W_5530" : VNWard("Xã Bình Sơn", 5530, VietnamDivisionType.XA, "xa_binh_son", 165),
  "W_5533" : VNWard("Xã Bá Xuyên", 5533, VietnamDivisionType.XA, "xa_ba_xuyen", 165),
  "W_5536" : VNWard("Thị trấn Chợ Chu", 5536, VietnamDivisionType.THI_TRAN, "thi_tran_cho_chu", 167),
  "W_5539" : VNWard("Xã Linh Thông", 5539, VietnamDivisionType.XA, "xa_linh_thong", 167),
  "W_5542" : VNWard("Xã Lam Vỹ", 5542, VietnamDivisionType.XA, "xa_lam_vy", 167),
  "W_5545" : VNWard("Xã Quy Kỳ", 5545, VietnamDivisionType.XA, "xa_quy_ky", 167),
  "W_5548" : VNWard("Xã Tân Thịnh", 5548, VietnamDivisionType.XA, "xa_tan_thinh", 167),
  "W_5551" : VNWard("Xã Kim Phượng", 5551, VietnamDivisionType.XA, "xa_kim_phuong", 167),
  "W_5554" : VNWard("Xã Bảo Linh", 5554, VietnamDivisionType.XA, "xa_bao_linh", 167),
  "W_5560" : VNWard("Xã Phúc Chu", 5560, VietnamDivisionType.XA, "xa_phuc_chu", 167),
  "W_5563" : VNWard("Xã Tân Dương", 5563, VietnamDivisionType.XA, "xa_tan_duong", 167),
  "W_5566" : VNWard("Xã Phượng Tiến", 5566, VietnamDivisionType.XA, "xa_phuong_tien", 167),
  "W_5569" : VNWard("Xã Bảo Cường", 5569, VietnamDivisionType.XA, "xa_bao_cuong", 167),
  "W_5572" : VNWard("Xã Đồng Thịnh", 5572, VietnamDivisionType.XA, "xa_dong_thinh", 167),
  "W_5575" : VNWard("Xã Định Biên", 5575, VietnamDivisionType.XA, "xa_dinh_bien", 167),
  "W_5578" : VNWard("Xã Thanh Định", 5578, VietnamDivisionType.XA, "xa_thanh_dinh", 167),
  "W_5581" : VNWard("Xã Trung Hội", 5581, VietnamDivisionType.XA, "xa_trung_hoi", 167),
  "W_5584" : VNWard("Xã Trung Lương", 5584, VietnamDivisionType.XA, "xa_trung_luong", 167),
  "W_5587" : VNWard("Xã Bình Yên", 5587, VietnamDivisionType.XA, "xa_binh_yen", 167),
  "W_5590" : VNWard("Xã Điềm Mặc", 5590, VietnamDivisionType.XA, "xa_diem_mac", 167),
  "W_5593" : VNWard("Xã Phú Tiến", 5593, VietnamDivisionType.XA, "xa_phu_tien", 167),
  "W_5596" : VNWard("Xã Bộc Nhiêu", 5596, VietnamDivisionType.XA, "xa_boc_nhieu", 167),
  "W_5599" : VNWard("Xã Sơn Phú", 5599, VietnamDivisionType.XA, "xa_son_phu", 167),
  "W_5602" : VNWard("Xã Phú Đình", 5602, VietnamDivisionType.XA, "xa_phu_dinh", 167),
  "W_5605" : VNWard("Xã Bình Thành", 5605, VietnamDivisionType.XA, "xa_binh_thanh", 167),
  "W_5608" : VNWard("Thị trấn Giang Tiên", 5608, VietnamDivisionType.THI_TRAN, "thi_tran_giang_tien", 168),
  "W_5611" : VNWard("Thị trấn Đu", 5611, VietnamDivisionType.THI_TRAN, "thi_tran_du", 168),
  "W_5614" : VNWard("Xã Yên Ninh", 5614, VietnamDivisionType.XA, "xa_yen_ninh", 168),
  "W_5617" : VNWard("Xã Yên Trạch", 5617, VietnamDivisionType.XA, "xa_yen_trach", 168),
  "W_5620" : VNWard("Xã Yên Đổ", 5620, VietnamDivisionType.XA, "xa_yen_do", 168),
  "W_5623" : VNWard("Xã Yên Lạc", 5623, VietnamDivisionType.XA, "xa_yen_lac", 168),
  "W_5626" : VNWard("Xã Ôn Lương", 5626, VietnamDivisionType.XA, "xa_on_luong", 168),
  "W_5629" : VNWard("Xã Động Đạt", 5629, VietnamDivisionType.XA, "xa_dong_dat", 168),
  "W_5632" : VNWard("Xã Phủ Lý", 5632, VietnamDivisionType.XA, "xa_phu_ly", 168),
  "W_5635" : VNWard("Xã Phú Đô", 5635, VietnamDivisionType.XA, "xa_phu_do", 168),
  "W_5638" : VNWard("Xã Hợp Thành", 5638, VietnamDivisionType.XA, "xa_hop_thanh", 168),
  "W_5641" : VNWard("Xã Tức Tranh", 5641, VietnamDivisionType.XA, "xa_tuc_tranh", 168),
  "W_5644" : VNWard("Xã Phấn Mễ", 5644, VietnamDivisionType.XA, "xa_phan_me", 168),
  "W_5647" : VNWard("Xã Vô Tranh", 5647, VietnamDivisionType.XA, "xa_vo_tranh", 168),
  "W_5650" : VNWard("Xã Cổ Lũng", 5650, VietnamDivisionType.XA, "xa_co_lung", 168),
  "W_5656" : VNWard("Thị trấn Sông Cầu", 5656, VietnamDivisionType.THI_TRAN, "thi_tran_song_cau", 169),
  "W_5662" : VNWard("Thị trấn Trại Cau", 5662, VietnamDivisionType.THI_TRAN, "thi_tran_trai_cau", 169),
  "W_5665" : VNWard("Xã Văn Lăng", 5665, VietnamDivisionType.XA, "xa_van_lang", 169),
  "W_5668" : VNWard("Xã Tân Long", 5668, VietnamDivisionType.XA, "xa_tan_long", 169),
  "W_5671" : VNWard("Xã Hòa Bình", 5671, VietnamDivisionType.XA, "xa_hoa_binh", 169),
  "W_5674" : VNWard("Xã Quang Sơn", 5674, VietnamDivisionType.XA, "xa_quang_son", 169),
  "W_5677" : VNWard("Xã Minh Lập", 5677, VietnamDivisionType.XA, "xa_minh_lap", 169),
  "W_5680" : VNWard("Xã Văn Hán", 5680, VietnamDivisionType.XA, "xa_van_han", 169),
  "W_5683" : VNWard("Xã Hóa Trung", 5683, VietnamDivisionType.XA, "xa_hoa_trung", 169),
  "W_5686" : VNWard("Xã Khe Mo", 5686, VietnamDivisionType.XA, "xa_khe_mo", 169),
  "W_5689" : VNWard("Xã Cây Thị", 5689, VietnamDivisionType.XA, "xa_cay_thi", 169),
  "W_5692" : VNWard("Xã Hóa Thượng", 5692, VietnamDivisionType.XA, "xa_hoa_thuong", 169),
  "W_5698" : VNWard("Xã Hợp Tiến", 5698, VietnamDivisionType.XA, "xa_hop_tien", 169),
  "W_5704" : VNWard("Xã Tân Lợi", 5704, VietnamDivisionType.XA, "xa_tan_loi", 169),
  "W_5707" : VNWard("Xã Nam Hòa", 5707, VietnamDivisionType.XA, "xa_nam_hoa", 169),
  "W_5716" : VNWard("Thị trấn Đình Cả", 5716, VietnamDivisionType.THI_TRAN, "thi_tran_dinh_ca", 170),
  "W_5719" : VNWard("Xã Sảng Mộc", 5719, VietnamDivisionType.XA, "xa_sang_moc", 170),
  "W_5722" : VNWard("Xã Nghinh Tường", 5722, VietnamDivisionType.XA, "xa_nghinh_tuong", 170),
  "W_5725" : VNWard("Xã Thần Xa", 5725, VietnamDivisionType.XA, "xa_than_xa", 170),
  "W_5728" : VNWard("Xã Vũ Chấn", 5728, VietnamDivisionType.XA, "xa_vu_chan", 170),
  "W_5731" : VNWard("Xã Thượng Nung", 5731, VietnamDivisionType.XA, "xa_thuong_nung", 170),
  "W_5734" : VNWard("Xã Phú Thượng", 5734, VietnamDivisionType.XA, "xa_phu_thuong", 170),
  "W_5737" : VNWard("Xã Cúc Đường", 5737, VietnamDivisionType.XA, "xa_cuc_duong", 170),
  "W_5740" : VNWard("Xã La Hiên", 5740, VietnamDivisionType.XA, "xa_la_hien", 170),
  "W_5743" : VNWard("Xã Lâu Thượng", 5743, VietnamDivisionType.XA, "xa_lau_thuong", 170),
  "W_5746" : VNWard("Xã Tràng Xá", 5746, VietnamDivisionType.XA, "xa_trang_xa", 170),
  "W_5749" : VNWard("Xã Phương Giao", 5749, VietnamDivisionType.XA, "xa_phuong_giao", 170),
  "W_5752" : VNWard("Xã Liên Minh", 5752, VietnamDivisionType.XA, "xa_lien_minh", 170),
  "W_5755" : VNWard("Xã Dân Tiến", 5755, VietnamDivisionType.XA, "xa_dan_tien", 170),
  "W_5758" : VNWard("Xã Bình Long", 5758, VietnamDivisionType.XA, "xa_binh_long", 170),
  "W_5761" : VNWard("Thị trấn Hùng Sơn", 5761, VietnamDivisionType.THI_TRAN, "thi_tran_hung_son", 171),
  "W_5764" : VNWard("Thị trấn Quân Chu", 5764, VietnamDivisionType.THI_TRAN, "thi_tran_quan_chu", 171),
  "W_5767" : VNWard("Xã Phúc Lương", 5767, VietnamDivisionType.XA, "xa_phuc_luong", 171),
  "W_5770" : VNWard("Xã Minh Tiến", 5770, VietnamDivisionType.XA, "xa_minh_tien", 171),
  "W_5773" : VNWard("Xã Yên Lãng", 5773, VietnamDivisionType.XA, "xa_yen_lang", 171),
  "W_5776" : VNWard("Xã Đức Lương", 5776, VietnamDivisionType.XA, "xa_duc_luong", 171),
  "W_5779" : VNWard("Xã Phú Cường", 5779, VietnamDivisionType.XA, "xa_phu_cuong", 171),
  "W_5782" : VNWard("Xã Na Mao", 5782, VietnamDivisionType.XA, "xa_na_mao", 171),
  "W_5785" : VNWard("Xã Phú Lạc", 5785, VietnamDivisionType.XA, "xa_phu_lac", 171),
  "W_5788" : VNWard("Xã Tân Linh", 5788, VietnamDivisionType.XA, "xa_tan_linh", 171),
  "W_5791" : VNWard("Xã Phú Thịnh", 5791, VietnamDivisionType.XA, "xa_phu_thinh", 171),
  "W_5794" : VNWard("Xã Phục Linh", 5794, VietnamDivisionType.XA, "xa_phuc_linh", 171),
  "W_5797" : VNWard("Xã Phú Xuyên", 5797, VietnamDivisionType.XA, "xa_phu_xuyen", 171),
  "W_5800" : VNWard("Xã Bản Ngoại", 5800, VietnamDivisionType.XA, "xa_ban_ngoai", 171),
  "W_5803" : VNWard("Xã Tiên Hội", 5803, VietnamDivisionType.XA, "xa_tien_hoi", 171),
  "W_5809" : VNWard("Xã Cù Vân", 5809, VietnamDivisionType.XA, "xa_cu_van", 171),
  "W_5812" : VNWard("Xã Hà Thượng", 5812, VietnamDivisionType.XA, "xa_ha_thuong", 171),
  "W_5815" : VNWard("Xã La Bằng", 5815, VietnamDivisionType.XA, "xa_la_bang", 171),
  "W_5818" : VNWard("Xã Hoàng Nông", 5818, VietnamDivisionType.XA, "xa_hoang_nong", 171),
  "W_5821" : VNWard("Xã Khôi Kỳ", 5821, VietnamDivisionType.XA, "xa_khoi_ky", 171),
  "W_5824" : VNWard("Xã An Khánh", 5824, VietnamDivisionType.XA, "xa_an_khanh", 171),
  "W_5827" : VNWard("Xã Tân Thái", 5827, VietnamDivisionType.XA, "xa_tan_thai", 171),
  "W_5830" : VNWard("Xã Bình Thuận", 5830, VietnamDivisionType.XA, "xa_binh_thuan", 171),
  "W_5833" : VNWard("Xã Lục Ba", 5833, VietnamDivisionType.XA, "xa_luc_ba", 171),
  "W_5836" : VNWard("Xã Mỹ Yên", 5836, VietnamDivisionType.XA, "xa_my_yen", 171),
  "W_5839" : VNWard("Xã Vạn Thọ", 5839, VietnamDivisionType.XA, "xa_van_tho", 171),
  "W_5842" : VNWard("Xã Văn Yên", 5842, VietnamDivisionType.XA, "xa_van_yen", 171),
  "W_5845" : VNWard("Xã Ký Phú", 5845, VietnamDivisionType.XA, "xa_ky_phu", 171),
  "W_5848" : VNWard("Xã Cát Nê", 5848, VietnamDivisionType.XA, "xa_cat_ne", 171),
  "W_5851" : VNWard("Xã Quân Chu", 5851, VietnamDivisionType.XA, "xa_quan_chu", 171),
  "W_5854" : VNWard("Phường Bãi Bông", 5854, VietnamDivisionType.PHUONG, "phuong_bai_bong", 172),
  "W_5857" : VNWard("Phường Bắc Sơn", 5857, VietnamDivisionType.PHUONG, "phuong_bac_son", 172),
  "W_5860" : VNWard("Phường Ba Hàng", 5860, VietnamDivisionType.PHUONG, "phuong_ba_hang", 172),
  "W_5863" : VNWard("Xã Phúc Tân", 5863, VietnamDivisionType.XA, "xa_phuc_tan", 172),
  "W_5866" : VNWard("Xã Phúc Thuận", 5866, VietnamDivisionType.XA, "xa_phuc_thuan", 172),
  "W_5869" : VNWard("Xã Hồng Tiến", 5869, VietnamDivisionType.XA, "xa_hong_tien", 172),
  "W_5872" : VNWard("Xã Minh Đức", 5872, VietnamDivisionType.XA, "xa_minh_duc", 172),
  "W_5875" : VNWard("Xã Đắc Sơn", 5875, VietnamDivisionType.XA, "xa_dac_son", 172),
  "W_5878" : VNWard("Phường Đồng Tiến", 5878, VietnamDivisionType.PHUONG, "phuong_dong_tien", 172),
  "W_5881" : VNWard("Xã Thành Công", 5881, VietnamDivisionType.XA, "xa_thanh_cong", 172),
  "W_5884" : VNWard("Xã Tiên Phong", 5884, VietnamDivisionType.XA, "xa_tien_phong", 172),
  "W_5887" : VNWard("Xã Vạn Phái", 5887, VietnamDivisionType.XA, "xa_van_phai", 172),
  "W_5890" : VNWard("Xã Nam Tiến", 5890, VietnamDivisionType.XA, "xa_nam_tien", 172),
  "W_5893" : VNWard("Xã Tân Hương", 5893, VietnamDivisionType.XA, "xa_tan_huong", 172),
  "W_5896" : VNWard("Xã Đông Cao", 5896, VietnamDivisionType.XA, "xa_dong_cao", 172),
  "W_5899" : VNWard("Xã Trung Thành", 5899, VietnamDivisionType.XA, "xa_trung_thanh", 172),
  "W_5902" : VNWard("Xã Tân Phú", 5902, VietnamDivisionType.XA, "xa_tan_phu", 172),
  "W_5905" : VNWard("Xã Thuận Thành", 5905, VietnamDivisionType.XA, "xa_thuan_thanh", 172),
  "W_5908" : VNWard("Thị trấn Hương Sơn", 5908, VietnamDivisionType.THI_TRAN, "thi_tran_huong_son", 173),
  "W_5911" : VNWard("Xã Bàn Đạt", 5911, VietnamDivisionType.XA, "xa_ban_dat", 173),
  "W_5917" : VNWard("Xã Tân Khánh", 5917, VietnamDivisionType.XA, "xa_tan_khanh", 173),
  "W_5920" : VNWard("Xã Tân Kim", 5920, VietnamDivisionType.XA, "xa_tan_kim", 173),
  "W_5923" : VNWard("Xã Tân Thành", 5923, VietnamDivisionType.XA, "xa_tan_thanh", 173),
  "W_5926" : VNWard("Xã Đào Xá", 5926, VietnamDivisionType.XA, "xa_dao_xa", 173),
  "W_5929" : VNWard("Xã Bảo Lý", 5929, VietnamDivisionType.XA, "xa_bao_ly", 173),
  "W_5932" : VNWard("Xã Thượng Đình", 5932, VietnamDivisionType.XA, "xa_thuong_dinh", 173),
  "W_5935" : VNWard("Xã Tân Hòa", 5935, VietnamDivisionType.XA, "xa_tan_hoa", 173),
  "W_5938" : VNWard("Xã Nhã Lộng", 5938, VietnamDivisionType.XA, "xa_nha_long", 173),
  "W_5941" : VNWard("Xã Điềm Thụy", 5941, VietnamDivisionType.XA, "xa_diem_thuy", 173),
  "W_5944" : VNWard("Xã Xuân Phương", 5944, VietnamDivisionType.XA, "xa_xuan_phuong", 173),
  "W_5947" : VNWard("Xã Tân Đức", 5947, VietnamDivisionType.XA, "xa_tan_duc", 173),
  "W_5950" : VNWard("Xã Úc Kỳ", 5950, VietnamDivisionType.XA, "xa_uc_ky", 173),
  "W_5953" : VNWard("Xã Lương Phú", 5953, VietnamDivisionType.XA, "xa_luong_phu", 173),
  "W_5956" : VNWard("Xã Nga My", 5956, VietnamDivisionType.XA, "xa_nga_my", 173),
  "W_5959" : VNWard("Xã Kha Sơn", 5959, VietnamDivisionType.XA, "xa_kha_son", 173),
  "W_5962" : VNWard("Xã Thanh Ninh", 5962, VietnamDivisionType.XA, "xa_thanh_ninh", 173),
  "W_5965" : VNWard("Xã Dương Thành", 5965, VietnamDivisionType.XA, "xa_duong_thanh", 173),
  "W_5968" : VNWard("Xã Hà Châu", 5968, VietnamDivisionType.XA, "xa_ha_chau", 173),
  "W_5971" : VNWard("Phường Hoàng Văn Thụ", 5971, VietnamDivisionType.PHUONG, "phuong_hoang_van_thu", 178),
  "W_5974" : VNWard("Phường Tam Thanh", 5974, VietnamDivisionType.PHUONG, "phuong_tam_thanh", 178),
  "W_5977" : VNWard("Phường Vĩnh Trại", 5977, VietnamDivisionType.PHUONG, "phuong_vinh_trai", 178),
  "W_5980" : VNWard("Phường Đông Kinh", 5980, VietnamDivisionType.PHUONG, "phuong_dong_kinh", 178),
  "W_5983" : VNWard("Phường Chi Lăng", 5983, VietnamDivisionType.PHUONG, "phuong_chi_lang", 178),
  "W_5986" : VNWard("Xã Hoàng Đồng", 5986, VietnamDivisionType.XA, "xa_hoang_dong", 178),
  "W_5989" : VNWard("Xã Quảng Lạc", 5989, VietnamDivisionType.XA, "xa_quang_lac", 178),
  "W_5992" : VNWard("Xã Mai Pha", 5992, VietnamDivisionType.XA, "xa_mai_pha", 178),
  "W_5995" : VNWard("Thị trấn Thất Khê", 5995, VietnamDivisionType.THI_TRAN, "thi_tran_that_khe", 180),
  "W_5998" : VNWard("Xã Khánh Long", 5998, VietnamDivisionType.XA, "xa_khanh_long", 180),
  "W_6001" : VNWard("Xã Đoàn Kết", 6001, VietnamDivisionType.XA, "xa_doan_ket", 180),
  "W_6004" : VNWard("Xã Quốc Khánh", 6004, VietnamDivisionType.XA, "xa_quoc_khanh", 180),
  "W_6007" : VNWard("Xã Vĩnh Tiến", 6007, VietnamDivisionType.XA, "xa_vinh_tien", 180),
  "W_6010" : VNWard("Xã Cao Minh", 6010, VietnamDivisionType.XA, "xa_cao_minh", 180),
  "W_6013" : VNWard("Xã Chí Minh", 6013, VietnamDivisionType.XA, "xa_chi_minh", 180),
  "W_6016" : VNWard("Xã Tri Phương", 6016, VietnamDivisionType.XA, "xa_tri_phuong", 180),
  "W_6019" : VNWard("Xã Tân Tiến", 6019, VietnamDivisionType.XA, "xa_tan_tien", 180),
  "W_6022" : VNWard("Xã Tân Yên", 6022, VietnamDivisionType.XA, "xa_tan_yen", 180),
  "W_6025" : VNWard("Xã Đội Cấn", 6025, VietnamDivisionType.XA, "xa_doi_can", 180),
  "W_6028" : VNWard("Xã Tân Minh", 6028, VietnamDivisionType.XA, "xa_tan_minh", 180),
  "W_6031" : VNWard("Xã Kim Đồng", 6031, VietnamDivisionType.XA, "xa_kim_dong", 180),
  "W_6034" : VNWard("Xã Chi Lăng", 6034, VietnamDivisionType.XA, "xa_chi_lang", 180),
  "W_6037" : VNWard("Xã Trung Thành", 6037, VietnamDivisionType.XA, "xa_trung_thanh", 180),
  "W_6040" : VNWard("Xã Đại Đồng", 6040, VietnamDivisionType.XA, "xa_dai_dong", 180),
  "W_6043" : VNWard("Xã Đào Viên", 6043, VietnamDivisionType.XA, "xa_dao_vien", 180),
  "W_6046" : VNWard("Xã Đề Thám", 6046, VietnamDivisionType.XA, "xa_de_tham", 180),
  "W_6049" : VNWard("Xã Kháng Chiến", 6049, VietnamDivisionType.XA, "xa_khang_chien", 180),
  "W_6055" : VNWard("Xã Hùng Sơn", 6055, VietnamDivisionType.XA, "xa_hung_son", 180),
  "W_6058" : VNWard("Xã Quốc Việt", 6058, VietnamDivisionType.XA, "xa_quoc_viet", 180),
  "W_6061" : VNWard("Xã Hùng Việt", 6061, VietnamDivisionType.XA, "xa_hung_viet", 180),
  "W_6067" : VNWard("Xã Hưng Đạo", 6067, VietnamDivisionType.XA, "xa_hung_dao", 181),
  "W_6070" : VNWard("Xã Vĩnh Yên", 6070, VietnamDivisionType.XA, "xa_vinh_yen", 181),
  "W_6073" : VNWard("Xã Hoa Thám", 6073, VietnamDivisionType.XA, "xa_hoa_tham", 181),
  "W_6076" : VNWard("Xã Quý Hòa", 6076, VietnamDivisionType.XA, "xa_quy_hoa", 181),
  "W_6079" : VNWard("Xã Hồng Phong", 6079, VietnamDivisionType.XA, "xa_hong_phong", 181),
  "W_6082" : VNWard("Xã Yên Lỗ", 6082, VietnamDivisionType.XA, "xa_yen_lo", 181),
  "W_6085" : VNWard("Xã Thiện Hòa", 6085, VietnamDivisionType.XA, "xa_thien_hoa", 181),
  "W_6088" : VNWard("Xã Quang Trung", 6088, VietnamDivisionType.XA, "xa_quang_trung", 181),
  "W_6091" : VNWard("Xã Thiện Thuật", 6091, VietnamDivisionType.XA, "xa_thien_thuat", 181),
  "W_6094" : VNWard("Xã Minh Khai", 6094, VietnamDivisionType.XA, "xa_minh_khai", 181),
  "W_6097" : VNWard("Xã Thiện Long", 6097, VietnamDivisionType.XA, "xa_thien_long", 181),
  "W_6100" : VNWard("Xã Hoàng Văn Thụ", 6100, VietnamDivisionType.XA, "xa_hoang_van_thu", 181),
  "W_6103" : VNWard("Xã Hòa Bình", 6103, VietnamDivisionType.XA, "xa_hoa_binh", 181),
  "W_6106" : VNWard("Xã Mông Ân", 6106, VietnamDivisionType.XA, "xa_mong_an", 181),
  "W_6109" : VNWard("Xã Tân Hòa", 6109, VietnamDivisionType.XA, "xa_tan_hoa", 181),
  "W_6112" : VNWard("Thị trấn Bình Gia", 6112, VietnamDivisionType.THI_TRAN, "thi_tran_binh_gia", 181),
  "W_6115" : VNWard("Xã Hồng Thái", 6115, VietnamDivisionType.XA, "xa_hong_thai", 181),
  "W_6118" : VNWard("Xã Bình La", 6118, VietnamDivisionType.XA, "xa_binh_la", 181),
  "W_6121" : VNWard("Xã Tân Văn", 6121, VietnamDivisionType.XA, "xa_tan_van", 181),
  "W_6124" : VNWard("Thị trấn Na Sầm", 6124, VietnamDivisionType.THI_TRAN, "thi_tran_na_sam", 182),
  "W_6127" : VNWard("Xã Trùng Khánh", 6127, VietnamDivisionType.XA, "xa_trung_khanh", 182),
  "W_6133" : VNWard("Xã Bắc La", 6133, VietnamDivisionType.XA, "xa_bac_la", 182),
  "W_6136" : VNWard("Xã Thụy Hùng", 6136, VietnamDivisionType.XA, "xa_thuy_hung", 182),
  "W_6139" : VNWard("Xã Bắc Hùng", 6139, VietnamDivisionType.XA, "xa_bac_hung", 182),
  "W_6142" : VNWard("Xã Tân Tác", 6142, VietnamDivisionType.XA, "xa_tan_tac", 182),
  "W_6148" : VNWard("Xã Thanh Long", 6148, VietnamDivisionType.XA, "xa_thanh_long", 182),
  "W_6151" : VNWard("Xã Hội Hoan", 6151, VietnamDivisionType.XA, "xa_hoi_hoan", 182),
  "W_6154" : VNWard("Xã Bắc Việt", 6154, VietnamDivisionType.XA, "xa_bac_viet", 182),
  "W_6157" : VNWard("Xã Hoàng Việt", 6157, VietnamDivisionType.XA, "xa_hoang_viet", 182),
  "W_6160" : VNWard("Xã Gia Miễn", 6160, VietnamDivisionType.XA, "xa_gia_mien", 182),
  "W_6163" : VNWard("Xã Thành Hòa", 6163, VietnamDivisionType.XA, "xa_thanh_hoa", 182),
  "W_6166" : VNWard("Xã Tân Thanh", 6166, VietnamDivisionType.XA, "xa_tan_thanh", 182),
  "W_6172" : VNWard("Xã Tân Mỹ", 6172, VietnamDivisionType.XA, "xa_tan_my", 182),
  "W_6175" : VNWard("Xã Hồng Thái", 6175, VietnamDivisionType.XA, "xa_hong_thai", 182),
  "W_6178" : VNWard("Xã Hoàng Văn Thụ", 6178, VietnamDivisionType.XA, "xa_hoang_van_thu", 182),
  "W_6181" : VNWard("Xã Nhạc Kỳ", 6181, VietnamDivisionType.XA, "xa_nhac_ky", 182),
  "W_6184" : VNWard("Thị trấn Đồng Đăng", 6184, VietnamDivisionType.THI_TRAN, "thi_tran_dong_dang", 183),
  "W_6187" : VNWard("Thị trấn Cao Lộc", 6187, VietnamDivisionType.THI_TRAN, "thi_tran_cao_loc", 183),
  "W_6190" : VNWard("Xã Bảo Lâm", 6190, VietnamDivisionType.XA, "xa_bao_lam", 183),
  "W_6193" : VNWard("Xã Thanh Lòa", 6193, VietnamDivisionType.XA, "xa_thanh_loa", 183),
  "W_6196" : VNWard("Xã Cao Lâu", 6196, VietnamDivisionType.XA, "xa_cao_lau", 183),
  "W_6199" : VNWard("Xã Thạch Đạn", 6199, VietnamDivisionType.XA, "xa_thach_dan", 183),
  "W_6202" : VNWard("Xã Xuất Lễ", 6202, VietnamDivisionType.XA, "xa_xuat_le", 183),
  "W_6205" : VNWard("Xã Hồng Phong", 6205, VietnamDivisionType.XA, "xa_hong_phong", 183),
  "W_6208" : VNWard("Xã Thụy Hùng", 6208, VietnamDivisionType.XA, "xa_thuy_hung", 183),
  "W_6211" : VNWard("Xã Lộc Yên", 6211, VietnamDivisionType.XA, "xa_loc_yen", 183),
  "W_6214" : VNWard("Xã Phú Xá", 6214, VietnamDivisionType.XA, "xa_phu_xa", 183),
  "W_6217" : VNWard("Xã Bình Trung", 6217, VietnamDivisionType.XA, "xa_binh_trung", 183),
  "W_6220" : VNWard("Xã Hải Yến", 6220, VietnamDivisionType.XA, "xa_hai_yen", 183),
  "W_6223" : VNWard("Xã Hòa Cư", 6223, VietnamDivisionType.XA, "xa_hoa_cu", 183),
  "W_6226" : VNWard("Xã Hợp Thành", 6226, VietnamDivisionType.XA, "xa_hop_thanh", 183),
  "W_6232" : VNWard("Xã Công Sơn", 6232, VietnamDivisionType.XA, "xa_cong_son", 183),
  "W_6235" : VNWard("Xã Gia Cát", 6235, VietnamDivisionType.XA, "xa_gia_cat", 183),
  "W_6238" : VNWard("Xã Mẫu Sơn", 6238, VietnamDivisionType.XA, "xa_mau_son", 183),
  "W_6241" : VNWard("Xã Xuân Long", 6241, VietnamDivisionType.XA, "xa_xuan_long", 183),
  "W_6244" : VNWard("Xã Tân Liên", 6244, VietnamDivisionType.XA, "xa_tan_lien", 183),
  "W_6247" : VNWard("Xã Yên Trạch", 6247, VietnamDivisionType.XA, "xa_yen_trach", 183),
  "W_6250" : VNWard("Xã Tân Thành", 6250, VietnamDivisionType.XA, "xa_tan_thanh", 183),
  "W_6253" : VNWard("Thị trấn Văn Quan", 6253, VietnamDivisionType.THI_TRAN, "thi_tran_van_quan", 184),
  "W_6256" : VNWard("Xã Trấn Ninh", 6256, VietnamDivisionType.XA, "xa_tran_ninh", 184),
  "W_6268" : VNWard("Xã Liên Hội", 6268, VietnamDivisionType.XA, "xa_lien_hoi", 184),
  "W_6274" : VNWard("Xã Hòa Bình", 6274, VietnamDivisionType.XA, "xa_hoa_binh", 184),
  "W_6277" : VNWard("Xã Tú Xuyên", 6277, VietnamDivisionType.XA, "xa_tu_xuyen", 184),
  "W_6280" : VNWard("Xã Điềm He", 6280, VietnamDivisionType.XA, "xa_diem_he", 184),
  "W_6283" : VNWard("Xã An Sơn", 6283, VietnamDivisionType.XA, "xa_an_son", 184),
  "W_6286" : VNWard("Xã Khánh Khê", 6286, VietnamDivisionType.XA, "xa_khanh_khe", 184),
  "W_6292" : VNWard("Xã Lương Năng", 6292, VietnamDivisionType.XA, "xa_luong_nang", 184),
  "W_6295" : VNWard("Xã Đồng Giáp", 6295, VietnamDivisionType.XA, "xa_dong_giap", 184),
  "W_6298" : VNWard("Xã Bình Phúc", 6298, VietnamDivisionType.XA, "xa_binh_phuc", 184),
  "W_6301" : VNWard("Xã Tràng Các", 6301, VietnamDivisionType.XA, "xa_trang_cac", 184),
  "W_6307" : VNWard("Xã Tân Đoàn", 6307, VietnamDivisionType.XA, "xa_tan_doan", 184),
  "W_6313" : VNWard("Xã Tri Lễ", 6313, VietnamDivisionType.XA, "xa_tri_le", 184),
  "W_6316" : VNWard("Xã Tràng Phái", 6316, VietnamDivisionType.XA, "xa_trang_phai", 184),
  "W_6319" : VNWard("Xã Yên Phúc", 6319, VietnamDivisionType.XA, "xa_yen_phuc", 184),
  "W_6322" : VNWard("Xã Hữu Lễ", 6322, VietnamDivisionType.XA, "xa_huu_le", 184),
  "W_6325" : VNWard("Thị trấn Bắc Sơn", 6325, VietnamDivisionType.THI_TRAN, "thi_tran_bac_son", 185),
  "W_6328" : VNWard("Xã Long Đống", 6328, VietnamDivisionType.XA, "xa_long_dong", 185),
  "W_6331" : VNWard("Xã Vạn Thủy", 6331, VietnamDivisionType.XA, "xa_van_thuy", 185),
  "W_6337" : VNWard("Xã Đồng ý", 6337, VietnamDivisionType.XA, "xa_dong_y", 185),
  "W_6340" : VNWard("Xã Tân Tri", 6340, VietnamDivisionType.XA, "xa_tan_tri", 185),
  "W_6343" : VNWard("Xã Bắc Quỳnh", 6343, VietnamDivisionType.XA, "xa_bac_quynh", 185),
  "W_6349" : VNWard("Xã Hưng Vũ", 6349, VietnamDivisionType.XA, "xa_hung_vu", 185),
  "W_6352" : VNWard("Xã Tân Lập", 6352, VietnamDivisionType.XA, "xa_tan_lap", 185),
  "W_6355" : VNWard("Xã Vũ Sơn", 6355, VietnamDivisionType.XA, "xa_vu_son", 185),
  "W_6358" : VNWard("Xã Chiêu Vũ", 6358, VietnamDivisionType.XA, "xa_chieu_vu", 185),
  "W_6361" : VNWard("Xã Tân Hương", 6361, VietnamDivisionType.XA, "xa_tan_huong", 185),
  "W_6364" : VNWard("Xã Chiến Thắng", 6364, VietnamDivisionType.XA, "xa_chien_thang", 185),
  "W_6367" : VNWard("Xã Vũ Lăng", 6367, VietnamDivisionType.XA, "xa_vu_lang", 185),
  "W_6370" : VNWard("Xã Trấn Yên", 6370, VietnamDivisionType.XA, "xa_tran_yen", 185),
  "W_6373" : VNWard("Xã Vũ Lễ", 6373, VietnamDivisionType.XA, "xa_vu_le", 185),
  "W_6376" : VNWard("Xã Nhất Hòa", 6376, VietnamDivisionType.XA, "xa_nhat_hoa", 185),
  "W_6379" : VNWard("Xã Tân Thành", 6379, VietnamDivisionType.XA, "xa_tan_thanh", 185),
  "W_6382" : VNWard("Xã Nhất Tiến", 6382, VietnamDivisionType.XA, "xa_nhat_tien", 185),
  "W_6385" : VNWard("Thị trấn Hữu Lũng", 6385, VietnamDivisionType.THI_TRAN, "thi_tran_huu_lung", 186),
  "W_6388" : VNWard("Xã Hữu Liên", 6388, VietnamDivisionType.XA, "xa_huu_lien", 186),
  "W_6391" : VNWard("Xã Yên Bình", 6391, VietnamDivisionType.XA, "xa_yen_binh", 186),
  "W_6394" : VNWard("Xã Quyết Thắng", 6394, VietnamDivisionType.XA, "xa_quyet_thang", 186),
  "W_6397" : VNWard("Xã Hòa Bình", 6397, VietnamDivisionType.XA, "xa_hoa_binh", 186),
  "W_6400" : VNWard("Xã Yên Thịnh", 6400, VietnamDivisionType.XA, "xa_yen_thinh", 186),
  "W_6403" : VNWard("Xã Yên Sơn", 6403, VietnamDivisionType.XA, "xa_yen_son", 186),
  "W_6406" : VNWard("Xã Thiện Tân", 6406, VietnamDivisionType.XA, "xa_thien_tan", 186),
  "W_6412" : VNWard("Xã Yên Vượng", 6412, VietnamDivisionType.XA, "xa_yen_vuong", 186),
  "W_6415" : VNWard("Xã Minh Tiến", 6415, VietnamDivisionType.XA, "xa_minh_tien", 186),
  "W_6418" : VNWard("Xã Nhật Tiến", 6418, VietnamDivisionType.XA, "xa_nhat_tien", 186),
  "W_6421" : VNWard("Xã Thanh Sơn", 6421, VietnamDivisionType.XA, "xa_thanh_son", 186),
  "W_6424" : VNWard("Xã Đồng Tân", 6424, VietnamDivisionType.XA, "xa_dong_tan", 186),
  "W_6427" : VNWard("Xã Cai Kinh", 6427, VietnamDivisionType.XA, "xa_cai_kinh", 186),
  "W_6430" : VNWard("Xã Hòa Lạc", 6430, VietnamDivisionType.XA, "xa_hoa_lac", 186),
  "W_6433" : VNWard("Xã Vân Nham", 6433, VietnamDivisionType.XA, "xa_van_nham", 186),
  "W_6436" : VNWard("Xã Đồng Tiến", 6436, VietnamDivisionType.XA, "xa_dong_tien", 186),
  "W_6442" : VNWard("Xã Tân Thành", 6442, VietnamDivisionType.XA, "xa_tan_thanh", 186),
  "W_6445" : VNWard("Xã Hòa Sơn", 6445, VietnamDivisionType.XA, "xa_hoa_son", 186),
  "W_6448" : VNWard("Xã Minh Sơn", 6448, VietnamDivisionType.XA, "xa_minh_son", 186),
  "W_6451" : VNWard("Xã Hồ Sơn", 6451, VietnamDivisionType.XA, "xa_ho_son", 186),
  "W_6454" : VNWard("Xã Sơn Hà", 6454, VietnamDivisionType.XA, "xa_son_ha", 186),
  "W_6457" : VNWard("Xã Minh Hòa", 6457, VietnamDivisionType.XA, "xa_minh_hoa", 186),
  "W_6460" : VNWard("Xã Hòa Thắng", 6460, VietnamDivisionType.XA, "xa_hoa_thang", 186),
  "W_6463" : VNWard("Thị trấn Đồng Mỏ", 6463, VietnamDivisionType.THI_TRAN, "thi_tran_dong_mo", 187),
  "W_6466" : VNWard("Thị trấn Chi Lăng", 6466, VietnamDivisionType.THI_TRAN, "thi_tran_chi_lang", 187),
  "W_6469" : VNWard("Xã Vân An", 6469, VietnamDivisionType.XA, "xa_van_an", 187),
  "W_6472" : VNWard("Xã Vân Thủy", 6472, VietnamDivisionType.XA, "xa_van_thuy", 187),
  "W_6475" : VNWard("Xã Gia Lộc", 6475, VietnamDivisionType.XA, "xa_gia_loc", 187),
  "W_6478" : VNWard("Xã Bắc Thủy", 6478, VietnamDivisionType.XA, "xa_bac_thuy", 187),
  "W_6481" : VNWard("Xã Chiến Thắng", 6481, VietnamDivisionType.XA, "xa_chien_thang", 187),
  "W_6484" : VNWard("Xã Mai Sao", 6484, VietnamDivisionType.XA, "xa_mai_sao", 187),
  "W_6487" : VNWard("Xã Bằng Hữu", 6487, VietnamDivisionType.XA, "xa_bang_huu", 187),
  "W_6490" : VNWard("Xã Thượng Cường", 6490, VietnamDivisionType.XA, "xa_thuong_cuong", 187),
  "W_6493" : VNWard("Xã Bằng Mạc", 6493, VietnamDivisionType.XA, "xa_bang_mac", 187),
  "W_6496" : VNWard("Xã Nhân Lý", 6496, VietnamDivisionType.XA, "xa_nhan_ly", 187),
  "W_6499" : VNWard("Xã Lâm Sơn", 6499, VietnamDivisionType.XA, "xa_lam_son", 187),
  "W_6502" : VNWard("Xã Liên Sơn", 6502, VietnamDivisionType.XA, "xa_lien_son", 187),
  "W_6505" : VNWard("Xã Vạn Linh", 6505, VietnamDivisionType.XA, "xa_van_linh", 187),
  "W_6508" : VNWard("Xã Hòa Bình", 6508, VietnamDivisionType.XA, "xa_hoa_binh", 187),
  "W_6514" : VNWard("Xã Hữu Kiên", 6514, VietnamDivisionType.XA, "xa_huu_kien", 187),
  "W_6517" : VNWard("Xã Quan Sơn", 6517, VietnamDivisionType.XA, "xa_quan_son", 187),
  "W_6520" : VNWard("Xã Y Tịch", 6520, VietnamDivisionType.XA, "xa_y_tich", 187),
  "W_6523" : VNWard("Xã Chi Lăng", 6523, VietnamDivisionType.XA, "xa_chi_lang", 187),
  "W_6526" : VNWard("Thị trấn Na Dương", 6526, VietnamDivisionType.THI_TRAN, "thi_tran_na_duong", 188),
  "W_6529" : VNWard("Thị trấn Lộc Bình", 6529, VietnamDivisionType.THI_TRAN, "thi_tran_loc_binh", 188),
  "W_6532" : VNWard("Xã Mẫu Sơn", 6532, VietnamDivisionType.XA, "xa_mau_son", 188),
  "W_6541" : VNWard("Xã Yên Khoái", 6541, VietnamDivisionType.XA, "xa_yen_khoai", 188),
  "W_6544" : VNWard("Xã Khánh Xuân", 6544, VietnamDivisionType.XA, "xa_khanh_xuan", 188),
  "W_6547" : VNWard("Xã Tú Mịch", 6547, VietnamDivisionType.XA, "xa_tu_mich", 188),
  "W_6550" : VNWard("Xã Hữu Khánh", 6550, VietnamDivisionType.XA, "xa_huu_khanh", 188),
  "W_6553" : VNWard("Xã Đồng Bục", 6553, VietnamDivisionType.XA, "xa_dong_buc", 188),
  "W_6559" : VNWard("Xã Tam Gia", 6559, VietnamDivisionType.XA, "xa_tam_gia", 188),
  "W_6562" : VNWard("Xã Tú Đoạn", 6562, VietnamDivisionType.XA, "xa_tu_doan", 188),
  "W_6565" : VNWard("Xã Khuất Xá", 6565, VietnamDivisionType.XA, "xa_khuat_xa", 188),
  "W_6574" : VNWard("Xã Tĩnh Bắc", 6574, VietnamDivisionType.XA, "xa_tinh_bac", 188),
  "W_6577" : VNWard("Xã Thống Nhất", 6577, VietnamDivisionType.XA, "xa_thong_nhat", 188),
  "W_6589" : VNWard("Xã Sàn Viên", 6589, VietnamDivisionType.XA, "xa_san_vien", 188),
  "W_6592" : VNWard("Xã Đông Quan", 6592, VietnamDivisionType.XA, "xa_dong_quan", 188),
  "W_6595" : VNWard("Xã Minh Hiệp", 6595, VietnamDivisionType.XA, "xa_minh_hiep", 188),
  "W_6598" : VNWard("Xã Hữu Lân", 6598, VietnamDivisionType.XA, "xa_huu_lan", 188),
  "W_6601" : VNWard("Xã Lợi Bác", 6601, VietnamDivisionType.XA, "xa_loi_bac", 188),
  "W_6604" : VNWard("Xã Nam Quan", 6604, VietnamDivisionType.XA, "xa_nam_quan", 188),
  "W_6607" : VNWard("Xã Xuân Dương", 6607, VietnamDivisionType.XA, "xa_xuan_duong", 188),
  "W_6610" : VNWard("Xã Ái Quốc", 6610, VietnamDivisionType.XA, "xa_ai_quoc", 188),
  "W_6613" : VNWard("Thị trấn Đình Lập", 6613, VietnamDivisionType.THI_TRAN, "thi_tran_dinh_lap", 189),
  "W_6616" : VNWard("Thị trấn NT Thái Bình", 6616, VietnamDivisionType.THI_TRAN, "thi_tran_nt_thai_binh", 189),
  "W_6619" : VNWard("Xã Bắc Xa", 6619, VietnamDivisionType.XA, "xa_bac_xa", 189),
  "W_6622" : VNWard("Xã Bính Xá", 6622, VietnamDivisionType.XA, "xa_binh_xa", 189),
  "W_6625" : VNWard("Xã Kiên Mộc", 6625, VietnamDivisionType.XA, "xa_kien_moc", 189),
  "W_6628" : VNWard("Xã Đình Lập", 6628, VietnamDivisionType.XA, "xa_dinh_lap", 189),
  "W_6631" : VNWard("Xã Thái Bình", 6631, VietnamDivisionType.XA, "xa_thai_binh", 189),
  "W_6634" : VNWard("Xã Cường Lợi", 6634, VietnamDivisionType.XA, "xa_cuong_loi", 189),
  "W_6637" : VNWard("Xã Châu Sơn", 6637, VietnamDivisionType.XA, "xa_chau_son", 189),
  "W_6640" : VNWard("Xã Lâm Ca", 6640, VietnamDivisionType.XA, "xa_lam_ca", 189),
  "W_6643" : VNWard("Xã Đồng Thắng", 6643, VietnamDivisionType.XA, "xa_dong_thang", 189),
  "W_6646" : VNWard("Xã Bắc Lãng", 6646, VietnamDivisionType.XA, "xa_bac_lang", 189),
  "W_6649" : VNWard("Phường Hà Khánh", 6649, VietnamDivisionType.PHUONG, "phuong_ha_khanh", 193),
  "W_6652" : VNWard("Phường Hà Phong", 6652, VietnamDivisionType.PHUONG, "phuong_ha_phong", 193),
  "W_6655" : VNWard("Phường Hà Khẩu", 6655, VietnamDivisionType.PHUONG, "phuong_ha_khau", 193),
  "W_6658" : VNWard("Phường Cao Xanh", 6658, VietnamDivisionType.PHUONG, "phuong_cao_xanh", 193),
  "W_6661" : VNWard("Phường Giếng Đáy", 6661, VietnamDivisionType.PHUONG, "phuong_gieng_day", 193),
  "W_6664" : VNWard("Phường Hà Tu", 6664, VietnamDivisionType.PHUONG, "phuong_ha_tu", 193),
  "W_6667" : VNWard("Phường Hà Trung", 6667, VietnamDivisionType.PHUONG, "phuong_ha_trung", 193),
  "W_6670" : VNWard("Phường Hà Lầm", 6670, VietnamDivisionType.PHUONG, "phuong_ha_lam", 193),
  "W_6673" : VNWard("Phường Bãi Cháy", 6673, VietnamDivisionType.PHUONG, "phuong_bai_chay", 193),
  "W_6676" : VNWard("Phường Cao Thắng", 6676, VietnamDivisionType.PHUONG, "phuong_cao_thang", 193),
  "W_6679" : VNWard("Phường Hùng Thắng", 6679, VietnamDivisionType.PHUONG, "phuong_hung_thang", 193),
  "W_6682" : VNWard("Phường Yết Kiêu", 6682, VietnamDivisionType.PHUONG, "phuong_yet_kieu", 193),
  "W_6685" : VNWard("Phường Trần Hưng Đạo", 6685, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 193),
  "W_6688" : VNWard("Phường Hồng Hải", 6688, VietnamDivisionType.PHUONG, "phuong_hong_hai", 193),
  "W_6691" : VNWard("Phường Hồng Gai", 6691, VietnamDivisionType.PHUONG, "phuong_hong_gai", 193),
  "W_6694" : VNWard("Phường Bạch Đằng", 6694, VietnamDivisionType.PHUONG, "phuong_bach_dang", 193),
  "W_6697" : VNWard("Phường Hồng Hà", 6697, VietnamDivisionType.PHUONG, "phuong_hong_ha", 193),
  "W_6700" : VNWard("Phường Tuần Châu", 6700, VietnamDivisionType.PHUONG, "phuong_tuan_chau", 193),
  "W_6703" : VNWard("Phường Việt Hưng", 6703, VietnamDivisionType.PHUONG, "phuong_viet_hung", 193),
  "W_6706" : VNWard("Phường Đại Yên", 6706, VietnamDivisionType.PHUONG, "phuong_dai_yen", 193),
  "W_7030" : VNWard("Phường Hoành Bồ", 7030, VietnamDivisionType.PHUONG, "phuong_hoanh_bo", 193),
  "W_7033" : VNWard("Xã Kỳ Thượng", 7033, VietnamDivisionType.XA, "xa_ky_thuong", 193),
  "W_7036" : VNWard("Xã Đồng Sơn", 7036, VietnamDivisionType.XA, "xa_dong_son", 193),
  "W_7039" : VNWard("Xã Tân Dân", 7039, VietnamDivisionType.XA, "xa_tan_dan", 193),
  "W_7042" : VNWard("Xã Đồng Lâm", 7042, VietnamDivisionType.XA, "xa_dong_lam", 193),
  "W_7045" : VNWard("Xã Hòa Bình", 7045, VietnamDivisionType.XA, "xa_hoa_binh", 193),
  "W_7048" : VNWard("Xã Vũ Oai", 7048, VietnamDivisionType.XA, "xa_vu_oai", 193),
  "W_7051" : VNWard("Xã Dân Chủ", 7051, VietnamDivisionType.XA, "xa_dan_chu", 193),
  "W_7054" : VNWard("Xã Quảng La", 7054, VietnamDivisionType.XA, "xa_quang_la", 193),
  "W_7057" : VNWard("Xã Bằng Cả", 7057, VietnamDivisionType.XA, "xa_bang_ca", 193),
  "W_7060" : VNWard("Xã Thống Nhất", 7060, VietnamDivisionType.XA, "xa_thong_nhat", 193),
  "W_7063" : VNWard("Xã Sơn Dương", 7063, VietnamDivisionType.XA, "xa_son_duong", 193),
  "W_7066" : VNWard("Xã Lê Lợi", 7066, VietnamDivisionType.XA, "xa_le_loi", 193),
  "W_6709" : VNWard("Phường Ka Long", 6709, VietnamDivisionType.PHUONG, "phuong_ka_long", 194),
  "W_6712" : VNWard("Phường Trần Phú", 6712, VietnamDivisionType.PHUONG, "phuong_tran_phu", 194),
  "W_6715" : VNWard("Phường Ninh Dương", 6715, VietnamDivisionType.PHUONG, "phuong_ninh_duong", 194),
  "W_6718" : VNWard("Phường Hoà Lạc", 6718, VietnamDivisionType.PHUONG, "phuong_hoa_lac", 194),
  "W_6721" : VNWard("Phường Trà Cổ", 6721, VietnamDivisionType.PHUONG, "phuong_tra_co", 194),
  "W_6724" : VNWard("Xã Hải Sơn", 6724, VietnamDivisionType.XA, "xa_hai_son", 194),
  "W_6727" : VNWard("Xã Bắc Sơn", 6727, VietnamDivisionType.XA, "xa_bac_son", 194),
  "W_6730" : VNWard("Xã Hải Đông", 6730, VietnamDivisionType.XA, "xa_hai_dong", 194),
  "W_6733" : VNWard("Xã Hải Tiến", 6733, VietnamDivisionType.XA, "xa_hai_tien", 194),
  "W_6736" : VNWard("Phường Hải Yên", 6736, VietnamDivisionType.PHUONG, "phuong_hai_yen", 194),
  "W_6739" : VNWard("Xã Quảng Nghĩa", 6739, VietnamDivisionType.XA, "xa_quang_nghia", 194),
  "W_6742" : VNWard("Phường Hải Hoà", 6742, VietnamDivisionType.PHUONG, "phuong_hai_hoa", 194),
  "W_6745" : VNWard("Xã Hải Xuân", 6745, VietnamDivisionType.XA, "xa_hai_xuan", 194),
  "W_6748" : VNWard("Xã Vạn Ninh", 6748, VietnamDivisionType.XA, "xa_van_ninh", 194),
  "W_6751" : VNWard("Phường Bình Ngọc", 6751, VietnamDivisionType.PHUONG, "phuong_binh_ngoc", 194),
  "W_6754" : VNWard("Xã Vĩnh Trung", 6754, VietnamDivisionType.XA, "xa_vinh_trung", 194),
  "W_6757" : VNWard("Xã Vĩnh Thực", 6757, VietnamDivisionType.XA, "xa_vinh_thuc", 194),
  "W_6760" : VNWard("Phường Mông Dương", 6760, VietnamDivisionType.PHUONG, "phuong_mong_duong", 195),
  "W_6763" : VNWard("Phường Cửa Ông", 6763, VietnamDivisionType.PHUONG, "phuong_cua_ong", 195),
  "W_6766" : VNWard("Phường Cẩm Sơn", 6766, VietnamDivisionType.PHUONG, "phuong_cam_son", 195),
  "W_6769" : VNWard("Phường Cẩm Đông", 6769, VietnamDivisionType.PHUONG, "phuong_cam_dong", 195),
  "W_6772" : VNWard("Phường Cẩm Phú", 6772, VietnamDivisionType.PHUONG, "phuong_cam_phu", 195),
  "W_6775" : VNWard("Phường Cẩm Tây", 6775, VietnamDivisionType.PHUONG, "phuong_cam_tay", 195),
  "W_6778" : VNWard("Phường Quang Hanh", 6778, VietnamDivisionType.PHUONG, "phuong_quang_hanh", 195),
  "W_6781" : VNWard("Phường Cẩm Thịnh", 6781, VietnamDivisionType.PHUONG, "phuong_cam_thinh", 195),
  "W_6784" : VNWard("Phường Cẩm Thủy", 6784, VietnamDivisionType.PHUONG, "phuong_cam_thuy", 195),
  "W_6787" : VNWard("Phường Cẩm Thạch", 6787, VietnamDivisionType.PHUONG, "phuong_cam_thach", 195),
  "W_6790" : VNWard("Phường Cẩm Thành", 6790, VietnamDivisionType.PHUONG, "phuong_cam_thanh", 195),
  "W_6793" : VNWard("Phường Cẩm Trung", 6793, VietnamDivisionType.PHUONG, "phuong_cam_trung", 195),
  "W_6796" : VNWard("Phường Cẩm Bình", 6796, VietnamDivisionType.PHUONG, "phuong_cam_binh", 195),
  "W_6799" : VNWard("Xã Cộng Hòa", 6799, VietnamDivisionType.XA, "xa_cong_hoa", 195),
  "W_6802" : VNWard("Xã Cẩm Hải", 6802, VietnamDivisionType.XA, "xa_cam_hai", 195),
  "W_6805" : VNWard("Xã Dương Huy", 6805, VietnamDivisionType.XA, "xa_duong_huy", 195),
  "W_6808" : VNWard("Phường Vàng Danh", 6808, VietnamDivisionType.PHUONG, "phuong_vang_danh", 196),
  "W_6811" : VNWard("Phường Thanh Sơn", 6811, VietnamDivisionType.PHUONG, "phuong_thanh_son", 196),
  "W_6814" : VNWard("Phường Bắc Sơn", 6814, VietnamDivisionType.PHUONG, "phuong_bac_son", 196),
  "W_6817" : VNWard("Phường Quang Trung", 6817, VietnamDivisionType.PHUONG, "phuong_quang_trung", 196),
  "W_6820" : VNWard("Phường Trưng Vương", 6820, VietnamDivisionType.PHUONG, "phuong_trung_vuong", 196),
  "W_6823" : VNWard("Phường Nam Khê", 6823, VietnamDivisionType.PHUONG, "phuong_nam_khe", 196),
  "W_6826" : VNWard("Phường Yên Thanh", 6826, VietnamDivisionType.PHUONG, "phuong_yen_thanh", 196),
  "W_6829" : VNWard("Xã Thượng Yên Công", 6829, VietnamDivisionType.XA, "xa_thuong_yen_cong", 196),
  "W_6832" : VNWard("Phường Phương Đông", 6832, VietnamDivisionType.PHUONG, "phuong_phuong_dong", 196),
  "W_6835" : VNWard("Phường Phương Nam", 6835, VietnamDivisionType.PHUONG, "phuong_phuong_nam", 196),
  "W_6838" : VNWard("Thị trấn Bình Liêu", 6838, VietnamDivisionType.THI_TRAN, "thi_tran_binh_lieu", 198),
  "W_6841" : VNWard("Xã Hoành Mô", 6841, VietnamDivisionType.XA, "xa_hoanh_mo", 198),
  "W_6844" : VNWard("Xã Đồng Tâm", 6844, VietnamDivisionType.XA, "xa_dong_tam", 198),
  "W_6847" : VNWard("Xã Đồng Văn", 6847, VietnamDivisionType.XA, "xa_dong_van", 198),
  "W_6853" : VNWard("Xã Vô Ngại", 6853, VietnamDivisionType.XA, "xa_vo_ngai", 198),
  "W_6856" : VNWard("Xã Lục Hồn", 6856, VietnamDivisionType.XA, "xa_luc_hon", 198),
  "W_6859" : VNWard("Xã Húc Động", 6859, VietnamDivisionType.XA, "xa_huc_dong", 198),
  "W_6862" : VNWard("Thị trấn Tiên Yên", 6862, VietnamDivisionType.THI_TRAN, "thi_tran_tien_yen", 199),
  "W_6865" : VNWard("Xã Hà Lâu", 6865, VietnamDivisionType.XA, "xa_ha_lau", 199),
  "W_6868" : VNWard("Xã Đại Dực", 6868, VietnamDivisionType.XA, "xa_dai_duc", 199),
  "W_6871" : VNWard("Xã Phong Dụ", 6871, VietnamDivisionType.XA, "xa_phong_du", 199),
  "W_6874" : VNWard("Xã Điền Xá", 6874, VietnamDivisionType.XA, "xa_dien_xa", 199),
  "W_6877" : VNWard("Xã Đông Ngũ", 6877, VietnamDivisionType.XA, "xa_dong_ngu", 199),
  "W_6880" : VNWard("Xã Yên Than", 6880, VietnamDivisionType.XA, "xa_yen_than", 199),
  "W_6883" : VNWard("Xã Đông Hải", 6883, VietnamDivisionType.XA, "xa_dong_hai", 199),
  "W_6886" : VNWard("Xã Hải Lạng", 6886, VietnamDivisionType.XA, "xa_hai_lang", 199),
  "W_6889" : VNWard("Xã Tiên Lãng", 6889, VietnamDivisionType.XA, "xa_tien_lang", 199),
  "W_6892" : VNWard("Xã Đồng Rui", 6892, VietnamDivisionType.XA, "xa_dong_rui", 199),
  "W_6895" : VNWard("Thị trấn Đầm Hà", 6895, VietnamDivisionType.THI_TRAN, "thi_tran_dam_ha", 200),
  "W_6898" : VNWard("Xã Quảng Lâm", 6898, VietnamDivisionType.XA, "xa_quang_lam", 200),
  "W_6901" : VNWard("Xã Quảng An", 6901, VietnamDivisionType.XA, "xa_quang_an", 200),
  "W_6904" : VNWard("Xã Tân Bình", 6904, VietnamDivisionType.XA, "xa_tan_binh", 200),
  "W_6910" : VNWard("Xã Dực Yên", 6910, VietnamDivisionType.XA, "xa_duc_yen", 200),
  "W_6913" : VNWard("Xã Quảng Tân", 6913, VietnamDivisionType.XA, "xa_quang_tan", 200),
  "W_6916" : VNWard("Xã Đầm Hà", 6916, VietnamDivisionType.XA, "xa_dam_ha", 200),
  "W_6917" : VNWard("Xã Tân Lập", 6917, VietnamDivisionType.XA, "xa_tan_lap", 200),
  "W_6919" : VNWard("Xã Đại Bình", 6919, VietnamDivisionType.XA, "xa_dai_binh", 200),
  "W_6922" : VNWard("Thị trấn Quảng Hà", 6922, VietnamDivisionType.THI_TRAN, "thi_tran_quang_ha", 201),
  "W_6925" : VNWard("Xã Quảng Đức", 6925, VietnamDivisionType.XA, "xa_quang_duc", 201),
  "W_6928" : VNWard("Xã Quảng Sơn", 6928, VietnamDivisionType.XA, "xa_quang_son", 201),
  "W_6931" : VNWard("Xã Quảng Thành", 6931, VietnamDivisionType.XA, "xa_quang_thanh", 201),
  "W_6937" : VNWard("Xã Quảng Thịnh", 6937, VietnamDivisionType.XA, "xa_quang_thinh", 201),
  "W_6940" : VNWard("Xã Quảng Minh", 6940, VietnamDivisionType.XA, "xa_quang_minh", 201),
  "W_6943" : VNWard("Xã Quảng Chính", 6943, VietnamDivisionType.XA, "xa_quang_chinh", 201),
  "W_6946" : VNWard("Xã Quảng Long", 6946, VietnamDivisionType.XA, "xa_quang_long", 201),
  "W_6949" : VNWard("Xã Đường Hoa", 6949, VietnamDivisionType.XA, "xa_duong_hoa", 201),
  "W_6952" : VNWard("Xã Quảng Phong", 6952, VietnamDivisionType.XA, "xa_quang_phong", 201),
  "W_6967" : VNWard("Xã Cái Chiên", 6967, VietnamDivisionType.XA, "xa_cai_chien", 201),
  "W_6970" : VNWard("Thị trấn Ba Chẽ", 6970, VietnamDivisionType.THI_TRAN, "thi_tran_ba_che", 202),
  "W_6973" : VNWard("Xã Thanh Sơn", 6973, VietnamDivisionType.XA, "xa_thanh_son", 202),
  "W_6976" : VNWard("Xã Thanh Lâm", 6976, VietnamDivisionType.XA, "xa_thanh_lam", 202),
  "W_6979" : VNWard("Xã Đạp Thanh", 6979, VietnamDivisionType.XA, "xa_dap_thanh", 202),
  "W_6982" : VNWard("Xã Nam Sơn", 6982, VietnamDivisionType.XA, "xa_nam_son", 202),
  "W_6985" : VNWard("Xã Lương Mông", 6985, VietnamDivisionType.XA, "xa_luong_mong", 202),
  "W_6988" : VNWard("Xã Đồn Đạc", 6988, VietnamDivisionType.XA, "xa_don_dac", 202),
  "W_6991" : VNWard("Xã Minh Cầm", 6991, VietnamDivisionType.XA, "xa_minh_cam", 202),
  "W_6994" : VNWard("Thị trấn Cái Rồng", 6994, VietnamDivisionType.THI_TRAN, "thi_tran_cai_rong", 203),
  "W_6997" : VNWard("Xã Đài Xuyên", 6997, VietnamDivisionType.XA, "xa_dai_xuyen", 203),
  "W_7000" : VNWard("Xã Bình Dân", 7000, VietnamDivisionType.XA, "xa_binh_dan", 203),
  "W_7003" : VNWard("Xã Vạn Yên", 7003, VietnamDivisionType.XA, "xa_van_yen", 203),
  "W_7006" : VNWard("Xã Minh Châu", 7006, VietnamDivisionType.XA, "xa_minh_chau", 203),
  "W_7009" : VNWard("Xã Đoàn Kết", 7009, VietnamDivisionType.XA, "xa_doan_ket", 203),
  "W_7012" : VNWard("Xã Hạ Long", 7012, VietnamDivisionType.XA, "xa_ha_long", 203),
  "W_7015" : VNWard("Xã Đông Xá", 7015, VietnamDivisionType.XA, "xa_dong_xa", 203),
  "W_7018" : VNWard("Xã Bản Sen", 7018, VietnamDivisionType.XA, "xa_ban_sen", 203),
  "W_7021" : VNWard("Xã Thắng Lợi", 7021, VietnamDivisionType.XA, "xa_thang_loi", 203),
  "W_7024" : VNWard("Xã Quan Lạn", 7024, VietnamDivisionType.XA, "xa_quan_lan", 203),
  "W_7027" : VNWard("Xã Ngọc Vừng", 7027, VietnamDivisionType.XA, "xa_ngoc_vung", 203),
  "W_7069" : VNWard("Phường Mạo Khê", 7069, VietnamDivisionType.PHUONG, "phuong_mao_khe", 205),
  "W_7072" : VNWard("Phường Đông Triều", 7072, VietnamDivisionType.PHUONG, "phuong_dong_trieu", 205),
  "W_7075" : VNWard("Xã An Sinh", 7075, VietnamDivisionType.XA, "xa_an_sinh", 205),
  "W_7078" : VNWard("Xã Tràng Lương", 7078, VietnamDivisionType.XA, "xa_trang_luong", 205),
  "W_7081" : VNWard("Xã Bình Khê", 7081, VietnamDivisionType.XA, "xa_binh_khe", 205),
  "W_7084" : VNWard("Xã Việt Dân", 7084, VietnamDivisionType.XA, "xa_viet_dan", 205),
  "W_7087" : VNWard("Xã Tân Việt", 7087, VietnamDivisionType.XA, "xa_tan_viet", 205),
  "W_7090" : VNWard("Xã Bình Dương", 7090, VietnamDivisionType.XA, "xa_binh_duong", 205),
  "W_7093" : VNWard("Phường Đức Chính", 7093, VietnamDivisionType.PHUONG, "phuong_duc_chinh", 205),
  "W_7096" : VNWard("Phường Tràng An", 7096, VietnamDivisionType.PHUONG, "phuong_trang_an", 205),
  "W_7099" : VNWard("Xã Nguyễn Huệ", 7099, VietnamDivisionType.XA, "xa_nguyen_hue", 205),
  "W_7102" : VNWard("Xã Thủy An", 7102, VietnamDivisionType.XA, "xa_thuy_an", 205),
  "W_7105" : VNWard("Phường Xuân Sơn", 7105, VietnamDivisionType.PHUONG, "phuong_xuan_son", 205),
  "W_7108" : VNWard("Xã Hồng Thái Tây", 7108, VietnamDivisionType.XA, "xa_hong_thai_tay", 205),
  "W_7111" : VNWard("Xã Hồng Thái Đông", 7111, VietnamDivisionType.XA, "xa_hong_thai_dong", 205),
  "W_7114" : VNWard("Phường Hoàng Quế", 7114, VietnamDivisionType.PHUONG, "phuong_hoang_que", 205),
  "W_7117" : VNWard("Phường Yên Thọ", 7117, VietnamDivisionType.PHUONG, "phuong_yen_tho", 205),
  "W_7120" : VNWard("Phường Hồng Phong", 7120, VietnamDivisionType.PHUONG, "phuong_hong_phong", 205),
  "W_7123" : VNWard("Phường Kim Sơn", 7123, VietnamDivisionType.PHUONG, "phuong_kim_son", 205),
  "W_7126" : VNWard("Phường Hưng Đạo", 7126, VietnamDivisionType.PHUONG, "phuong_hung_dao", 205),
  "W_7129" : VNWard("Xã Yên Đức", 7129, VietnamDivisionType.XA, "xa_yen_duc", 205),
  "W_7132" : VNWard("Phường Quảng Yên", 7132, VietnamDivisionType.PHUONG, "phuong_quang_yen", 206),
  "W_7135" : VNWard("Phường Đông Mai", 7135, VietnamDivisionType.PHUONG, "phuong_dong_mai", 206),
  "W_7138" : VNWard("Phường Minh Thành", 7138, VietnamDivisionType.PHUONG, "phuong_minh_thanh", 206),
  "W_7144" : VNWard("Xã Sông Khoai", 7144, VietnamDivisionType.XA, "xa_song_khoai", 206),
  "W_7147" : VNWard("Xã Hiệp Hòa", 7147, VietnamDivisionType.XA, "xa_hiep_hoa", 206),
  "W_7150" : VNWard("Phường Cộng Hòa", 7150, VietnamDivisionType.PHUONG, "phuong_cong_hoa", 206),
  "W_7153" : VNWard("Xã Tiền An", 7153, VietnamDivisionType.XA, "xa_tien_an", 206),
  "W_7156" : VNWard("Xã Hoàng Tân", 7156, VietnamDivisionType.XA, "xa_hoang_tan", 206),
  "W_7159" : VNWard("Phường Tân An", 7159, VietnamDivisionType.PHUONG, "phuong_tan_an", 206),
  "W_7162" : VNWard("Phường Yên Giang", 7162, VietnamDivisionType.PHUONG, "phuong_yen_giang", 206),
  "W_7165" : VNWard("Phường Nam Hoà", 7165, VietnamDivisionType.PHUONG, "phuong_nam_hoa", 206),
  "W_7168" : VNWard("Phường Hà An", 7168, VietnamDivisionType.PHUONG, "phuong_ha_an", 206),
  "W_7171" : VNWard("Xã Cẩm La", 7171, VietnamDivisionType.XA, "xa_cam_la", 206),
  "W_7174" : VNWard("Phường Phong Hải", 7174, VietnamDivisionType.PHUONG, "phuong_phong_hai", 206),
  "W_7177" : VNWard("Phường Yên Hải", 7177, VietnamDivisionType.PHUONG, "phuong_yen_hai", 206),
  "W_7180" : VNWard("Xã Liên Hòa", 7180, VietnamDivisionType.XA, "xa_lien_hoa", 206),
  "W_7183" : VNWard("Phường Phong Cốc", 7183, VietnamDivisionType.PHUONG, "phuong_phong_coc", 206),
  "W_7186" : VNWard("Xã Liên Vị", 7186, VietnamDivisionType.XA, "xa_lien_vi", 206),
  "W_7189" : VNWard("Xã Tiền Phong", 7189, VietnamDivisionType.XA, "xa_tien_phong", 206),
  "W_7192" : VNWard("Thị trấn Cô Tô", 7192, VietnamDivisionType.THI_TRAN, "thi_tran_co_to", 207),
  "W_7195" : VNWard("Xã Đồng Tiến", 7195, VietnamDivisionType.XA, "xa_dong_tien", 207),
  "W_7198" : VNWard("Xã Thanh Lân", 7198, VietnamDivisionType.XA, "xa_thanh_lan", 207),
  "W_7201" : VNWard("Phường Thọ Xương", 7201, VietnamDivisionType.PHUONG, "phuong_tho_xuong", 213),
  "W_7204" : VNWard("Phường Trần Nguyên Hãn", 7204, VietnamDivisionType.PHUONG, "phuong_tran_nguyen_han", 213),
  "W_7207" : VNWard("Phường Ngô Quyền", 7207, VietnamDivisionType.PHUONG, "phuong_ngo_quyen", 213),
  "W_7210" : VNWard("Phường Hoàng Văn Thụ", 7210, VietnamDivisionType.PHUONG, "phuong_hoang_van_thu", 213),
  "W_7213" : VNWard("Phường Trần Phú", 7213, VietnamDivisionType.PHUONG, "phuong_tran_phu", 213),
  "W_7216" : VNWard("Phường Mỹ Độ", 7216, VietnamDivisionType.PHUONG, "phuong_my_do", 213),
  "W_7219" : VNWard("Phường Lê Lợi", 7219, VietnamDivisionType.PHUONG, "phuong_le_loi", 213),
  "W_7222" : VNWard("Xã Song Mai", 7222, VietnamDivisionType.XA, "xa_song_mai", 213),
  "W_7225" : VNWard("Phường Xương Giang", 7225, VietnamDivisionType.PHUONG, "phuong_xuong_giang", 213),
  "W_7228" : VNWard("Phường Đa Mai", 7228, VietnamDivisionType.PHUONG, "phuong_da_mai", 213),
  "W_7231" : VNWard("Phường Dĩnh Kế", 7231, VietnamDivisionType.PHUONG, "phuong_dinh_ke", 213),
  "W_7441" : VNWard("Xã Dĩnh Trì", 7441, VietnamDivisionType.XA, "xa_dinh_tri", 213),
  "W_7687" : VNWard("Xã Tân Mỹ", 7687, VietnamDivisionType.XA, "xa_tan_my", 213),
  "W_7696" : VNWard("Xã Đồng Sơn", 7696, VietnamDivisionType.XA, "xa_dong_son", 213),
  "W_7699" : VNWard("Xã Tân Tiến", 7699, VietnamDivisionType.XA, "xa_tan_tien", 213),
  "W_7705" : VNWard("Xã Song Khê", 7705, VietnamDivisionType.XA, "xa_song_khe", 213),
  "W_7243" : VNWard("Xã Đồng Tiến", 7243, VietnamDivisionType.XA, "xa_dong_tien", 215),
  "W_7246" : VNWard("Xã Canh Nậu", 7246, VietnamDivisionType.XA, "xa_canh_nau", 215),
  "W_7249" : VNWard("Xã Xuân Lương", 7249, VietnamDivisionType.XA, "xa_xuan_luong", 215),
  "W_7252" : VNWard("Xã Tam Tiến", 7252, VietnamDivisionType.XA, "xa_tam_tien", 215),
  "W_7255" : VNWard("Xã Đồng Vương", 7255, VietnamDivisionType.XA, "xa_dong_vuong", 215),
  "W_7258" : VNWard("Xã Đồng Hưu", 7258, VietnamDivisionType.XA, "xa_dong_huu", 215),
  "W_7260" : VNWard("Xã Đồng Tâm", 7260, VietnamDivisionType.XA, "xa_dong_tam", 215),
  "W_7261" : VNWard("Xã Tam Hiệp", 7261, VietnamDivisionType.XA, "xa_tam_hiep", 215),
  "W_7264" : VNWard("Xã Tiến Thắng", 7264, VietnamDivisionType.XA, "xa_tien_thang", 215),
  "W_7267" : VNWard("Xã Hồng Kỳ", 7267, VietnamDivisionType.XA, "xa_hong_ky", 215),
  "W_7270" : VNWard("Xã Đồng Lạc", 7270, VietnamDivisionType.XA, "xa_dong_lac", 215),
  "W_7273" : VNWard("Xã Đông Sơn", 7273, VietnamDivisionType.XA, "xa_dong_son", 215),
  "W_7276" : VNWard("Xã Tân Hiệp", 7276, VietnamDivisionType.XA, "xa_tan_hiep", 215),
  "W_7279" : VNWard("Xã Hương Vĩ", 7279, VietnamDivisionType.XA, "xa_huong_vi", 215),
  "W_7282" : VNWard("Xã Đồng Kỳ", 7282, VietnamDivisionType.XA, "xa_dong_ky", 215),
  "W_7285" : VNWard("Xã An Thượng", 7285, VietnamDivisionType.XA, "xa_an_thuong", 215),
  "W_7288" : VNWard("Thị trấn Phồn Xương", 7288, VietnamDivisionType.THI_TRAN, "thi_tran_phon_xuong", 215),
  "W_7291" : VNWard("Xã Tân Sỏi", 7291, VietnamDivisionType.XA, "xa_tan_soi", 215),
  "W_7294" : VNWard("Thị trấn Bố Hạ", 7294, VietnamDivisionType.THI_TRAN, "thi_tran_bo_ha", 215),
  "W_7303" : VNWard("Xã Lan Giới", 7303, VietnamDivisionType.XA, "xa_lan_gioi", 216),
  "W_7306" : VNWard("Thị trấn Nhã Nam", 7306, VietnamDivisionType.THI_TRAN, "thi_tran_nha_nam", 216),
  "W_7309" : VNWard("Xã Tân Trung", 7309, VietnamDivisionType.XA, "xa_tan_trung", 216),
  "W_7312" : VNWard("Xã Đại Hóa", 7312, VietnamDivisionType.XA, "xa_dai_hoa", 216),
  "W_7315" : VNWard("Xã Quang Tiến", 7315, VietnamDivisionType.XA, "xa_quang_tien", 216),
  "W_7318" : VNWard("Xã Phúc Sơn", 7318, VietnamDivisionType.XA, "xa_phuc_son", 216),
  "W_7321" : VNWard("Xã An Dương", 7321, VietnamDivisionType.XA, "xa_an_duong", 216),
  "W_7324" : VNWard("Xã Phúc Hòa", 7324, VietnamDivisionType.XA, "xa_phuc_hoa", 216),
  "W_7327" : VNWard("Xã Liên Sơn", 7327, VietnamDivisionType.XA, "xa_lien_son", 216),
  "W_7330" : VNWard("Xã Hợp Đức", 7330, VietnamDivisionType.XA, "xa_hop_duc", 216),
  "W_7333" : VNWard("Xã Lam Cốt", 7333, VietnamDivisionType.XA, "xa_lam_cot", 216),
  "W_7336" : VNWard("Xã Cao Xá", 7336, VietnamDivisionType.XA, "xa_cao_xa", 216),
  "W_7339" : VNWard("Thị trấn Cao Thượng", 7339, VietnamDivisionType.THI_TRAN, "thi_tran_cao_thuong", 216),
  "W_7342" : VNWard("Xã Việt Ngọc", 7342, VietnamDivisionType.XA, "xa_viet_ngoc", 216),
  "W_7345" : VNWard("Xã Song Vân", 7345, VietnamDivisionType.XA, "xa_song_van", 216),
  "W_7348" : VNWard("Xã Ngọc Châu", 7348, VietnamDivisionType.XA, "xa_ngoc_chau", 216),
  "W_7351" : VNWard("Xã Ngọc Vân", 7351, VietnamDivisionType.XA, "xa_ngoc_van", 216),
  "W_7354" : VNWard("Xã Việt Lập", 7354, VietnamDivisionType.XA, "xa_viet_lap", 216),
  "W_7357" : VNWard("Xã Liên Chung", 7357, VietnamDivisionType.XA, "xa_lien_chung", 216),
  "W_7360" : VNWard("Xã Ngọc Thiện", 7360, VietnamDivisionType.XA, "xa_ngoc_thien", 216),
  "W_7363" : VNWard("Xã Ngọc Lý", 7363, VietnamDivisionType.XA, "xa_ngoc_ly", 216),
  "W_7366" : VNWard("Xã Quế Nham", 7366, VietnamDivisionType.XA, "xa_que_nham", 216),
  "W_7375" : VNWard("Thị trấn Vôi", 7375, VietnamDivisionType.THI_TRAN, "thi_tran_voi", 217),
  "W_7378" : VNWard("Xã Nghĩa Hòa", 7378, VietnamDivisionType.XA, "xa_nghia_hoa", 217),
  "W_7381" : VNWard("Xã Nghĩa Hưng", 7381, VietnamDivisionType.XA, "xa_nghia_hung", 217),
  "W_7384" : VNWard("Xã Quang Thịnh", 7384, VietnamDivisionType.XA, "xa_quang_thinh", 217),
  "W_7387" : VNWard("Xã Hương Sơn", 7387, VietnamDivisionType.XA, "xa_huong_son", 217),
  "W_7390" : VNWard("Xã Đào Mỹ", 7390, VietnamDivisionType.XA, "xa_dao_my", 217),
  "W_7393" : VNWard("Xã Tiên Lục", 7393, VietnamDivisionType.XA, "xa_tien_luc", 217),
  "W_7396" : VNWard("Xã An Hà", 7396, VietnamDivisionType.XA, "xa_an_ha", 217),
  "W_7399" : VNWard("Thị trấn Kép", 7399, VietnamDivisionType.THI_TRAN, "thi_tran_kep", 217),
  "W_7402" : VNWard("Xã Mỹ Hà", 7402, VietnamDivisionType.XA, "xa_my_ha", 217),
  "W_7405" : VNWard("Xã Hương Lạc", 7405, VietnamDivisionType.XA, "xa_huong_lac", 217),
  "W_7408" : VNWard("Xã Dương Đức", 7408, VietnamDivisionType.XA, "xa_duong_duc", 217),
  "W_7411" : VNWard("Xã Tân Thanh", 7411, VietnamDivisionType.XA, "xa_tan_thanh", 217),
  "W_7414" : VNWard("Xã Yên Mỹ", 7414, VietnamDivisionType.XA, "xa_yen_my", 217),
  "W_7417" : VNWard("Xã Tân Hưng", 7417, VietnamDivisionType.XA, "xa_tan_hung", 217),
  "W_7420" : VNWard("Xã Mỹ Thái", 7420, VietnamDivisionType.XA, "xa_my_thai", 217),
  "W_7426" : VNWard("Xã Xương Lâm", 7426, VietnamDivisionType.XA, "xa_xuong_lam", 217),
  "W_7429" : VNWard("Xã Xuân Hương", 7429, VietnamDivisionType.XA, "xa_xuan_huong", 217),
  "W_7432" : VNWard("Xã Tân Dĩnh", 7432, VietnamDivisionType.XA, "xa_tan_dinh", 217),
  "W_7435" : VNWard("Xã Đại Lâm", 7435, VietnamDivisionType.XA, "xa_dai_lam", 217),
  "W_7438" : VNWard("Xã Thái Đào", 7438, VietnamDivisionType.XA, "xa_thai_dao", 217),
  "W_7444" : VNWard("Thị trấn Đồi Ngô", 7444, VietnamDivisionType.THI_TRAN, "thi_tran_doi_ngo", 218),
  "W_7450" : VNWard("Xã Đông Hưng", 7450, VietnamDivisionType.XA, "xa_dong_hung", 218),
  "W_7453" : VNWard("Xã Đông Phú", 7453, VietnamDivisionType.XA, "xa_dong_phu", 218),
  "W_7456" : VNWard("Xã Tam Dị", 7456, VietnamDivisionType.XA, "xa_tam_di", 218),
  "W_7459" : VNWard("Xã Bảo Sơn", 7459, VietnamDivisionType.XA, "xa_bao_son", 218),
  "W_7462" : VNWard("Xã Bảo Đài", 7462, VietnamDivisionType.XA, "xa_bao_dai", 218),
  "W_7465" : VNWard("Xã Thanh Lâm", 7465, VietnamDivisionType.XA, "xa_thanh_lam", 218),
  "W_7468" : VNWard("Xã Tiên Nha", 7468, VietnamDivisionType.XA, "xa_tien_nha", 218),
  "W_7471" : VNWard("Xã Trường Giang", 7471, VietnamDivisionType.XA, "xa_truong_giang", 218),
  "W_7477" : VNWard("Xã Phương Sơn", 7477, VietnamDivisionType.XA, "xa_phuong_son", 218),
  "W_7480" : VNWard("Xã Chu Điện", 7480, VietnamDivisionType.XA, "xa_chu_dien", 218),
  "W_7483" : VNWard("Xã Cương Sơn", 7483, VietnamDivisionType.XA, "xa_cuong_son", 218),
  "W_7486" : VNWard("Xã Nghĩa Phương", 7486, VietnamDivisionType.XA, "xa_nghia_phuong", 218),
  "W_7489" : VNWard("Xã Vô Tranh", 7489, VietnamDivisionType.XA, "xa_vo_tranh", 218),
  "W_7492" : VNWard("Xã Bình Sơn", 7492, VietnamDivisionType.XA, "xa_binh_son", 218),
  "W_7495" : VNWard("Xã Lan Mẫu", 7495, VietnamDivisionType.XA, "xa_lan_mau", 218),
  "W_7498" : VNWard("Xã Yên Sơn", 7498, VietnamDivisionType.XA, "xa_yen_son", 218),
  "W_7501" : VNWard("Xã Khám Lạng", 7501, VietnamDivisionType.XA, "xa_kham_lang", 218),
  "W_7504" : VNWard("Xã Huyền Sơn", 7504, VietnamDivisionType.XA, "xa_huyen_son", 218),
  "W_7507" : VNWard("Xã Trường Sơn", 7507, VietnamDivisionType.XA, "xa_truong_son", 218),
  "W_7510" : VNWard("Xã Lục Sơn", 7510, VietnamDivisionType.XA, "xa_luc_son", 218),
  "W_7513" : VNWard("Xã Bắc Lũng", 7513, VietnamDivisionType.XA, "xa_bac_lung", 218),
  "W_7516" : VNWard("Xã Vũ Xá", 7516, VietnamDivisionType.XA, "xa_vu_xa", 218),
  "W_7519" : VNWard("Xã Cẩm Lý", 7519, VietnamDivisionType.XA, "xa_cam_ly", 218),
  "W_7522" : VNWard("Xã Đan Hội", 7522, VietnamDivisionType.XA, "xa_dan_hoi", 218),
  "W_7525" : VNWard("Thị trấn Chũ", 7525, VietnamDivisionType.THI_TRAN, "thi_tran_chu", 219),
  "W_7528" : VNWard("Xã Cấm Sơn", 7528, VietnamDivisionType.XA, "xa_cam_son", 219),
  "W_7531" : VNWard("Xã Tân Sơn", 7531, VietnamDivisionType.XA, "xa_tan_son", 219),
  "W_7534" : VNWard("Xã Phong Minh", 7534, VietnamDivisionType.XA, "xa_phong_minh", 219),
  "W_7537" : VNWard("Xã Phong Vân", 7537, VietnamDivisionType.XA, "xa_phong_van", 219),
  "W_7540" : VNWard("Xã Xa Lý", 7540, VietnamDivisionType.XA, "xa_xa_ly", 219),
  "W_7543" : VNWard("Xã Hộ Đáp", 7543, VietnamDivisionType.XA, "xa_ho_dap", 219),
  "W_7546" : VNWard("Xã Sơn Hải", 7546, VietnamDivisionType.XA, "xa_son_hai", 219),
  "W_7549" : VNWard("Xã Thanh Hải", 7549, VietnamDivisionType.XA, "xa_thanh_hai", 219),
  "W_7552" : VNWard("Xã Kiên Lao", 7552, VietnamDivisionType.XA, "xa_kien_lao", 219),
  "W_7555" : VNWard("Xã Biên Sơn", 7555, VietnamDivisionType.XA, "xa_bien_son", 219),
  "W_7558" : VNWard("Xã Kiên Thành", 7558, VietnamDivisionType.XA, "xa_kien_thanh", 219),
  "W_7561" : VNWard("Xã Hồng Giang", 7561, VietnamDivisionType.XA, "xa_hong_giang", 219),
  "W_7564" : VNWard("Xã Kim Sơn", 7564, VietnamDivisionType.XA, "xa_kim_son", 219),
  "W_7567" : VNWard("Xã Tân Hoa", 7567, VietnamDivisionType.XA, "xa_tan_hoa", 219),
  "W_7570" : VNWard("Xã Giáp Sơn", 7570, VietnamDivisionType.XA, "xa_giap_son", 219),
  "W_7573" : VNWard("Xã Biển Động", 7573, VietnamDivisionType.XA, "xa_bien_dong", 219),
  "W_7576" : VNWard("Xã Quý Sơn", 7576, VietnamDivisionType.XA, "xa_quy_son", 219),
  "W_7579" : VNWard("Xã Trù Hựu", 7579, VietnamDivisionType.XA, "xa_tru_huu", 219),
  "W_7582" : VNWard("Xã Phì Điền", 7582, VietnamDivisionType.XA, "xa_phi_dien", 219),
  "W_7588" : VNWard("Xã Tân Quang", 7588, VietnamDivisionType.XA, "xa_tan_quang", 219),
  "W_7591" : VNWard("Xã Đồng Cốc", 7591, VietnamDivisionType.XA, "xa_dong_coc", 219),
  "W_7594" : VNWard("Xã Tân Lập", 7594, VietnamDivisionType.XA, "xa_tan_lap", 219),
  "W_7597" : VNWard("Xã Phú Nhuận", 7597, VietnamDivisionType.XA, "xa_phu_nhuan", 219),
  "W_7600" : VNWard("Xã Mỹ An", 7600, VietnamDivisionType.XA, "xa_my_an", 219),
  "W_7603" : VNWard("Xã Nam Dương", 7603, VietnamDivisionType.XA, "xa_nam_duong", 219),
  "W_7606" : VNWard("Xã Tân Mộc", 7606, VietnamDivisionType.XA, "xa_tan_moc", 219),
  "W_7609" : VNWard("Xã Đèo Gia", 7609, VietnamDivisionType.XA, "xa_deo_gia", 219),
  "W_7612" : VNWard("Xã Phượng Sơn", 7612, VietnamDivisionType.XA, "xa_phuong_son", 219),
  "W_7615" : VNWard("Thị trấn An Châu", 7615, VietnamDivisionType.THI_TRAN, "thi_tran_an_chau", 220),
  "W_7616" : VNWard("Thị trấn Tây Yên Tử", 7616, VietnamDivisionType.THI_TRAN, "thi_tran_tay_yen_tu", 220),
  "W_7621" : VNWard("Xã Vân Sơn", 7621, VietnamDivisionType.XA, "xa_van_son", 220),
  "W_7624" : VNWard("Xã Hữu Sản", 7624, VietnamDivisionType.XA, "xa_huu_san", 220),
  "W_7627" : VNWard("Xã Đại Sơn", 7627, VietnamDivisionType.XA, "xa_dai_son", 220),
  "W_7630" : VNWard("Xã Phúc Sơn", 7630, VietnamDivisionType.XA, "xa_phuc_son", 220),
  "W_7636" : VNWard("Xã Giáo Liêm", 7636, VietnamDivisionType.XA, "xa_giao_liem", 220),
  "W_7642" : VNWard("Xã Cẩm Đàn", 7642, VietnamDivisionType.XA, "xa_cam_dan", 220),
  "W_7645" : VNWard("Xã An Lạc", 7645, VietnamDivisionType.XA, "xa_an_lac", 220),
  "W_7648" : VNWard("Xã Vĩnh An", 7648, VietnamDivisionType.XA, "xa_vinh_an", 220),
  "W_7651" : VNWard("Xã Yên Định", 7651, VietnamDivisionType.XA, "xa_yen_dinh", 220),
  "W_7654" : VNWard("Xã Lệ Viễn", 7654, VietnamDivisionType.XA, "xa_le_vien", 220),
  "W_7660" : VNWard("Xã An Bá", 7660, VietnamDivisionType.XA, "xa_an_ba", 220),
  "W_7663" : VNWard("Xã Tuấn Đạo", 7663, VietnamDivisionType.XA, "xa_tuan_dao", 220),
  "W_7666" : VNWard("Xã Dương Hưu", 7666, VietnamDivisionType.XA, "xa_duong_huu", 220),
  "W_7672" : VNWard("Xã Long Sơn", 7672, VietnamDivisionType.XA, "xa_long_son", 220),
  "W_7678" : VNWard("Xã Thanh Luận", 7678, VietnamDivisionType.XA, "xa_thanh_luan", 220),
  "W_7681" : VNWard("Thị trấn Nham Biền", 7681, VietnamDivisionType.THI_TRAN, "thi_tran_nham_bien", 221),
  "W_7682" : VNWard("Thị trấn Tân An", 7682, VietnamDivisionType.THI_TRAN, "thi_tran_tan_an", 221),
  "W_7684" : VNWard("Xã Lão Hộ", 7684, VietnamDivisionType.XA, "xa_lao_ho", 221),
  "W_7690" : VNWard("Xã Hương Gián", 7690, VietnamDivisionType.XA, "xa_huong_gian", 221),
  "W_7702" : VNWard("Xã Quỳnh Sơn", 7702, VietnamDivisionType.XA, "xa_quynh_son", 221),
  "W_7708" : VNWard("Xã Nội Hoàng", 7708, VietnamDivisionType.XA, "xa_noi_hoang", 221),
  "W_7711" : VNWard("Xã Tiền Phong", 7711, VietnamDivisionType.XA, "xa_tien_phong", 221),
  "W_7714" : VNWard("Xã Xuân Phú", 7714, VietnamDivisionType.XA, "xa_xuan_phu", 221),
  "W_7717" : VNWard("Xã Tân Liễu", 7717, VietnamDivisionType.XA, "xa_tan_lieu", 221),
  "W_7720" : VNWard("Xã Trí Yên", 7720, VietnamDivisionType.XA, "xa_tri_yen", 221),
  "W_7723" : VNWard("Xã Lãng Sơn", 7723, VietnamDivisionType.XA, "xa_lang_son", 221),
  "W_7726" : VNWard("Xã Yên Lư", 7726, VietnamDivisionType.XA, "xa_yen_lu", 221),
  "W_7729" : VNWard("Xã Tiến Dũng", 7729, VietnamDivisionType.XA, "xa_tien_dung", 221),
  "W_7735" : VNWard("Xã Đức Giang", 7735, VietnamDivisionType.XA, "xa_duc_giang", 221),
  "W_7738" : VNWard("Xã Cảnh Thụy", 7738, VietnamDivisionType.XA, "xa_canh_thuy", 221),
  "W_7741" : VNWard("Xã Tư Mại", 7741, VietnamDivisionType.XA, "xa_tu_mai", 221),
  "W_7747" : VNWard("Xã Đồng Việt", 7747, VietnamDivisionType.XA, "xa_dong_viet", 221),
  "W_7750" : VNWard("Xã Đồng Phúc", 7750, VietnamDivisionType.XA, "xa_dong_phuc", 221),
  "W_7759" : VNWard("Xã Thượng Lan", 7759, VietnamDivisionType.XA, "xa_thuong_lan", 222),
  "W_7762" : VNWard("Xã Việt Tiến", 7762, VietnamDivisionType.XA, "xa_viet_tien", 222),
  "W_7765" : VNWard("Xã Nghĩa Trung", 7765, VietnamDivisionType.XA, "xa_nghia_trung", 222),
  "W_7768" : VNWard("Xã Minh Đức", 7768, VietnamDivisionType.XA, "xa_minh_duc", 222),
  "W_7771" : VNWard("Xã Hương Mai", 7771, VietnamDivisionType.XA, "xa_huong_mai", 222),
  "W_7774" : VNWard("Xã Tự Lạn", 7774, VietnamDivisionType.XA, "xa_tu_lan", 222),
  "W_7777" : VNWard("Thị trấn Bích Động", 7777, VietnamDivisionType.THI_TRAN, "thi_tran_bich_dong", 222),
  "W_7780" : VNWard("Xã Trung Sơn", 7780, VietnamDivisionType.XA, "xa_trung_son", 222),
  "W_7783" : VNWard("Xã Hồng Thái", 7783, VietnamDivisionType.XA, "xa_hong_thai", 222),
  "W_7786" : VNWard("Xã Tiên Sơn", 7786, VietnamDivisionType.XA, "xa_tien_son", 222),
  "W_7789" : VNWard("Xã Tăng Tiến", 7789, VietnamDivisionType.XA, "xa_tang_tien", 222),
  "W_7792" : VNWard("Xã Quảng Minh", 7792, VietnamDivisionType.XA, "xa_quang_minh", 222),
  "W_7795" : VNWard("Thị trấn Nếnh", 7795, VietnamDivisionType.THI_TRAN, "thi_tran_nenh", 222),
  "W_7798" : VNWard("Xã Ninh Sơn", 7798, VietnamDivisionType.XA, "xa_ninh_son", 222),
  "W_7801" : VNWard("Xã Vân Trung", 7801, VietnamDivisionType.XA, "xa_van_trung", 222),
  "W_7804" : VNWard("Xã Vân Hà", 7804, VietnamDivisionType.XA, "xa_van_ha", 222),
  "W_7807" : VNWard("Xã Quang Châu", 7807, VietnamDivisionType.XA, "xa_quang_chau", 222),
  "W_7813" : VNWard("Xã Đồng Tân", 7813, VietnamDivisionType.XA, "xa_dong_tan", 223),
  "W_7816" : VNWard("Xã Thanh Vân", 7816, VietnamDivisionType.XA, "xa_thanh_van", 223),
  "W_7819" : VNWard("Xã Hoàng Lương", 7819, VietnamDivisionType.XA, "xa_hoang_luong", 223),
  "W_7822" : VNWard("Xã Hoàng Vân", 7822, VietnamDivisionType.XA, "xa_hoang_van", 223),
  "W_7825" : VNWard("Xã Hoàng Thanh", 7825, VietnamDivisionType.XA, "xa_hoang_thanh", 223),
  "W_7828" : VNWard("Xã Hoàng An", 7828, VietnamDivisionType.XA, "xa_hoang_an", 223),
  "W_7831" : VNWard("Xã Ngọc Sơn", 7831, VietnamDivisionType.XA, "xa_ngoc_son", 223),
  "W_7834" : VNWard("Xã Thái Sơn", 7834, VietnamDivisionType.XA, "xa_thai_son", 223),
  "W_7837" : VNWard("Xã Hòa Sơn", 7837, VietnamDivisionType.XA, "xa_hoa_son", 223),
  "W_7840" : VNWard("Thị trấn Thắng", 7840, VietnamDivisionType.THI_TRAN, "thi_tran_thang", 223),
  "W_7843" : VNWard("Xã Quang Minh", 7843, VietnamDivisionType.XA, "xa_quang_minh", 223),
  "W_7846" : VNWard("Xã Lương Phong", 7846, VietnamDivisionType.XA, "xa_luong_phong", 223),
  "W_7849" : VNWard("Xã Hùng Sơn", 7849, VietnamDivisionType.XA, "xa_hung_son", 223),
  "W_7852" : VNWard("Xã Đại Thành", 7852, VietnamDivisionType.XA, "xa_dai_thanh", 223),
  "W_7855" : VNWard("Xã Thường Thắng", 7855, VietnamDivisionType.XA, "xa_thuong_thang", 223),
  "W_7858" : VNWard("Xã Hợp Thịnh", 7858, VietnamDivisionType.XA, "xa_hop_thinh", 223),
  "W_7861" : VNWard("Xã Danh Thắng", 7861, VietnamDivisionType.XA, "xa_danh_thang", 223),
  "W_7864" : VNWard("Xã Mai Trung", 7864, VietnamDivisionType.XA, "xa_mai_trung", 223),
  "W_7867" : VNWard("Xã Đoan Bái", 7867, VietnamDivisionType.XA, "xa_doan_bai", 223),
  "W_7870" : VNWard("Xã Bắc Lý", 7870, VietnamDivisionType.XA, "xa_bac_ly", 223),
  "W_7873" : VNWard("Xã Xuân Cẩm", 7873, VietnamDivisionType.XA, "xa_xuan_cam", 223),
  "W_7876" : VNWard("Xã Hương Lâm", 7876, VietnamDivisionType.XA, "xa_huong_lam", 223),
  "W_7879" : VNWard("Xã Đông Lỗ", 7879, VietnamDivisionType.XA, "xa_dong_lo", 223),
  "W_7882" : VNWard("Xã Châu Minh", 7882, VietnamDivisionType.XA, "xa_chau_minh", 223),
  "W_7885" : VNWard("Xã Mai Đình", 7885, VietnamDivisionType.XA, "xa_mai_dinh", 223),
  "W_7888" : VNWard("Phường Dữu Lâu", 7888, VietnamDivisionType.PHUONG, "phuong_duu_lau", 227),
  "W_7891" : VNWard("Phường Vân Cơ", 7891, VietnamDivisionType.PHUONG, "phuong_van_co", 227),
  "W_7894" : VNWard("Phường Nông Trang", 7894, VietnamDivisionType.PHUONG, "phuong_nong_trang", 227),
  "W_7897" : VNWard("Phường Tân Dân", 7897, VietnamDivisionType.PHUONG, "phuong_tan_dan", 227),
  "W_7900" : VNWard("Phường Gia Cẩm", 7900, VietnamDivisionType.PHUONG, "phuong_gia_cam", 227),
  "W_7903" : VNWard("Phường Tiên Cát", 7903, VietnamDivisionType.PHUONG, "phuong_tien_cat", 227),
  "W_7906" : VNWard("Phường Thọ Sơn", 7906, VietnamDivisionType.PHUONG, "phuong_tho_son", 227),
  "W_7909" : VNWard("Phường Thanh Miếu", 7909, VietnamDivisionType.PHUONG, "phuong_thanh_mieu", 227),
  "W_7912" : VNWard("Phường Bạch Hạc", 7912, VietnamDivisionType.PHUONG, "phuong_bach_hac", 227),
  "W_7915" : VNWard("Phường Bến Gót", 7915, VietnamDivisionType.PHUONG, "phuong_ben_got", 227),
  "W_7918" : VNWard("Phường Vân Phú", 7918, VietnamDivisionType.PHUONG, "phuong_van_phu", 227),
  "W_7921" : VNWard("Xã Phượng Lâu", 7921, VietnamDivisionType.XA, "xa_phuong_lau", 227),
  "W_7924" : VNWard("Xã Thụy Vân", 7924, VietnamDivisionType.XA, "xa_thuy_van", 227),
  "W_7927" : VNWard("Phường Minh Phương", 7927, VietnamDivisionType.PHUONG, "phuong_minh_phuong", 227),
  "W_7930" : VNWard("Xã Trưng Vương", 7930, VietnamDivisionType.XA, "xa_trung_vuong", 227),
  "W_7933" : VNWard("Phường Minh Nông", 7933, VietnamDivisionType.PHUONG, "phuong_minh_nong", 227),
  "W_7936" : VNWard("Xã Sông Lô", 7936, VietnamDivisionType.XA, "xa_song_lo", 227),
  "W_8281" : VNWard("Xã Kim Đức", 8281, VietnamDivisionType.XA, "xa_kim_duc", 227),
  "W_8287" : VNWard("Xã Hùng Lô", 8287, VietnamDivisionType.XA, "xa_hung_lo", 227),
  "W_8503" : VNWard("Xã Hy Cương", 8503, VietnamDivisionType.XA, "xa_hy_cuong", 227),
  "W_8506" : VNWard("Xã Chu Hóa", 8506, VietnamDivisionType.XA, "xa_chu_hoa", 227),
  "W_8515" : VNWard("Xã Thanh Đình", 8515, VietnamDivisionType.XA, "xa_thanh_dinh", 227),
  "W_7942" : VNWard("Phường Hùng Vương", 7942, VietnamDivisionType.PHUONG, "phuong_hung_vuong", 228),
  "W_7945" : VNWard("Phường Phong Châu", 7945, VietnamDivisionType.PHUONG, "phuong_phong_chau", 228),
  "W_7948" : VNWard("Phường Âu Cơ", 7948, VietnamDivisionType.PHUONG, "phuong_au_co", 228),
  "W_7951" : VNWard("Xã Hà Lộc", 7951, VietnamDivisionType.XA, "xa_ha_loc", 228),
  "W_7954" : VNWard("Xã Phú Hộ", 7954, VietnamDivisionType.XA, "xa_phu_ho", 228),
  "W_7957" : VNWard("Xã Văn Lung", 7957, VietnamDivisionType.XA, "xa_van_lung", 228),
  "W_7960" : VNWard("Xã Thanh Minh", 7960, VietnamDivisionType.XA, "xa_thanh_minh", 228),
  "W_7963" : VNWard("Xã Hà Thạch", 7963, VietnamDivisionType.XA, "xa_ha_thach", 228),
  "W_7966" : VNWard("Phường Thanh Vinh", 7966, VietnamDivisionType.PHUONG, "phuong_thanh_vinh", 228),
  "W_7969" : VNWard("Thị trấn Đoan Hùng", 7969, VietnamDivisionType.THI_TRAN, "thi_tran_doan_hung", 230),
  "W_7975" : VNWard("Xã Hùng Xuyên", 7975, VietnamDivisionType.XA, "xa_hung_xuyen", 230),
  "W_7981" : VNWard("Xã Bằng Luân", 7981, VietnamDivisionType.XA, "xa_bang_luan", 230),
  "W_7984" : VNWard("Xã Vân Du", 7984, VietnamDivisionType.XA, "xa_van_du", 230),
  "W_7987" : VNWard("Xã Phú Lâm", 7987, VietnamDivisionType.XA, "xa_phu_lam", 230),
  "W_7993" : VNWard("Xã Minh Lương", 7993, VietnamDivisionType.XA, "xa_minh_luong", 230),
  "W_7996" : VNWard("Xã Bằng Doãn", 7996, VietnamDivisionType.XA, "xa_bang_doan", 230),
  "W_7999" : VNWard("Xã Chí Đám", 7999, VietnamDivisionType.XA, "xa_chi_dam", 230),
  "W_8005" : VNWard("Xã Phúc Lai", 8005, VietnamDivisionType.XA, "xa_phuc_lai", 230),
  "W_8008" : VNWard("Xã Ngọc Quan", 8008, VietnamDivisionType.XA, "xa_ngoc_quan", 230),
  "W_8014" : VNWard("Xã Hợp Nhất", 8014, VietnamDivisionType.XA, "xa_hop_nhat", 230),
  "W_8017" : VNWard("Xã Sóc Đăng", 8017, VietnamDivisionType.XA, "xa_soc_dang", 230),
  "W_8023" : VNWard("Xã Tây Cốc", 8023, VietnamDivisionType.XA, "xa_tay_coc", 230),
  "W_8026" : VNWard("Xã Yên Kiện", 8026, VietnamDivisionType.XA, "xa_yen_kien", 230),
  "W_8029" : VNWard("Xã Hùng Long", 8029, VietnamDivisionType.XA, "xa_hung_long", 230),
  "W_8032" : VNWard("Xã Vụ Quang", 8032, VietnamDivisionType.XA, "xa_vu_quang", 230),
  "W_8035" : VNWard("Xã Vân Đồn", 8035, VietnamDivisionType.XA, "xa_van_don", 230),
  "W_8038" : VNWard("Xã Tiêu Sơn", 8038, VietnamDivisionType.XA, "xa_tieu_son", 230),
  "W_8041" : VNWard("Xã Minh Tiến", 8041, VietnamDivisionType.XA, "xa_minh_tien", 230),
  "W_8044" : VNWard("Xã Minh Phú", 8044, VietnamDivisionType.XA, "xa_minh_phu", 230),
  "W_8047" : VNWard("Xã Chân Mộng", 8047, VietnamDivisionType.XA, "xa_chan_mong", 230),
  "W_8050" : VNWard("Xã Ca Đình", 8050, VietnamDivisionType.XA, "xa_ca_dinh", 230),
  "W_8053" : VNWard("Thị trấn Hạ Hoà", 8053, VietnamDivisionType.THI_TRAN, "thi_tran_ha_hoa", 231),
  "W_8056" : VNWard("Xã Đại Phạm", 8056, VietnamDivisionType.XA, "xa_dai_pham", 231),
  "W_8062" : VNWard("Xã Đan Thượng", 8062, VietnamDivisionType.XA, "xa_dan_thuong", 231),
  "W_8065" : VNWard("Xã Hà Lương", 8065, VietnamDivisionType.XA, "xa_ha_luong", 231),
  "W_8071" : VNWard("Xã Tứ Hiệp", 8071, VietnamDivisionType.XA, "xa_tu_hiep", 231),
  "W_8080" : VNWard("Xã Hiền Lương", 8080, VietnamDivisionType.XA, "xa_hien_luong", 231),
  "W_8089" : VNWard("Xã Phương Viên", 8089, VietnamDivisionType.XA, "xa_phuong_vien", 231),
  "W_8092" : VNWard("Xã Gia Điền", 8092, VietnamDivisionType.XA, "xa_gia_dien", 231),
  "W_8095" : VNWard("Xã Ấm Hạ", 8095, VietnamDivisionType.XA, "xa_am_ha", 231),
  "W_8104" : VNWard("Xã Hương Xạ", 8104, VietnamDivisionType.XA, "xa_huong_xa", 231),
  "W_8110" : VNWard("Xã Xuân Áng", 8110, VietnamDivisionType.XA, "xa_xuan_ang", 231),
  "W_8113" : VNWard("Xã Yên Kỳ", 8113, VietnamDivisionType.XA, "xa_yen_ky", 231),
  "W_8119" : VNWard("Xã Minh Hạc", 8119, VietnamDivisionType.XA, "xa_minh_hac", 231),
  "W_8122" : VNWard("Xã Lang Sơn", 8122, VietnamDivisionType.XA, "xa_lang_son", 231),
  "W_8125" : VNWard("Xã Bằng Giã", 8125, VietnamDivisionType.XA, "xa_bang_gia", 231),
  "W_8128" : VNWard("Xã Yên Luật", 8128, VietnamDivisionType.XA, "xa_yen_luat", 231),
  "W_8131" : VNWard("Xã Vô Tranh", 8131, VietnamDivisionType.XA, "xa_vo_tranh", 231),
  "W_8134" : VNWard("Xã Văn Lang", 8134, VietnamDivisionType.XA, "xa_van_lang", 231),
  "W_8140" : VNWard("Xã Minh Côi", 8140, VietnamDivisionType.XA, "xa_minh_coi", 231),
  "W_8143" : VNWard("Xã Vĩnh Chân", 8143, VietnamDivisionType.XA, "xa_vinh_chan", 231),
  "W_8152" : VNWard("Thị trấn Thanh Ba", 8152, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_ba", 232),
  "W_8156" : VNWard("Xã Vân Lĩnh", 8156, VietnamDivisionType.XA, "xa_van_linh", 232),
  "W_8158" : VNWard("Xã Đông Lĩnh", 8158, VietnamDivisionType.XA, "xa_dong_linh", 232),
  "W_8161" : VNWard("Xã Đại An", 8161, VietnamDivisionType.XA, "xa_dai_an", 232),
  "W_8164" : VNWard("Xã Hanh Cù", 8164, VietnamDivisionType.XA, "xa_hanh_cu", 232),
  "W_8170" : VNWard("Xã Đồng Xuân", 8170, VietnamDivisionType.XA, "xa_dong_xuan", 232),
  "W_8173" : VNWard("Xã Quảng Yên", 8173, VietnamDivisionType.XA, "xa_quang_yen", 232),
  "W_8179" : VNWard("Xã Ninh Dân", 8179, VietnamDivisionType.XA, "xa_ninh_dan", 232),
  "W_8194" : VNWard("Xã Võ Lao", 8194, VietnamDivisionType.XA, "xa_vo_lao", 232),
  "W_8197" : VNWard("Xã Khải Xuân", 8197, VietnamDivisionType.XA, "xa_khai_xuan", 232),
  "W_8200" : VNWard("Xã Mạn Lạn", 8200, VietnamDivisionType.XA, "xa_man_lan", 232),
  "W_8203" : VNWard("Xã Hoàng Cương", 8203, VietnamDivisionType.XA, "xa_hoang_cuong", 232),
  "W_8206" : VNWard("Xã Chí Tiên", 8206, VietnamDivisionType.XA, "xa_chi_tien", 232),
  "W_8209" : VNWard("Xã Đông Thành", 8209, VietnamDivisionType.XA, "xa_dong_thanh", 232),
  "W_8215" : VNWard("Xã Sơn Cương", 8215, VietnamDivisionType.XA, "xa_son_cuong", 232),
  "W_8218" : VNWard("Xã Thanh Hà", 8218, VietnamDivisionType.XA, "xa_thanh_ha", 232),
  "W_8221" : VNWard("Xã Đỗ Sơn", 8221, VietnamDivisionType.XA, "xa_do_son", 232),
  "W_8224" : VNWard("Xã Đỗ Xuyên", 8224, VietnamDivisionType.XA, "xa_do_xuyen", 232),
  "W_8227" : VNWard("Xã Lương Lỗ", 8227, VietnamDivisionType.XA, "xa_luong_lo", 232),
  "W_8230" : VNWard("Thị trấn Phong Châu", 8230, VietnamDivisionType.THI_TRAN, "thi_tran_phong_chau", 233),
  "W_8233" : VNWard("Xã Phú Mỹ", 8233, VietnamDivisionType.XA, "xa_phu_my", 233),
  "W_8234" : VNWard("Xã Lệ Mỹ", 8234, VietnamDivisionType.XA, "xa_le_my", 233),
  "W_8236" : VNWard("Xã Liên Hoa", 8236, VietnamDivisionType.XA, "xa_lien_hoa", 233),
  "W_8239" : VNWard("Xã Trạm Thản", 8239, VietnamDivisionType.XA, "xa_tram_than", 233),
  "W_8242" : VNWard("Xã Trị Quận", 8242, VietnamDivisionType.XA, "xa_tri_quan", 233),
  "W_8245" : VNWard("Xã Trung Giáp", 8245, VietnamDivisionType.XA, "xa_trung_giap", 233),
  "W_8248" : VNWard("Xã Tiên Phú", 8248, VietnamDivisionType.XA, "xa_tien_phu", 233),
  "W_8251" : VNWard("Xã Hạ Giáp", 8251, VietnamDivisionType.XA, "xa_ha_giap", 233),
  "W_8254" : VNWard("Xã Bảo Thanh", 8254, VietnamDivisionType.XA, "xa_bao_thanh", 233),
  "W_8257" : VNWard("Xã Phú Lộc", 8257, VietnamDivisionType.XA, "xa_phu_loc", 233),
  "W_8260" : VNWard("Xã Gia Thanh", 8260, VietnamDivisionType.XA, "xa_gia_thanh", 233),
  "W_8263" : VNWard("Xã Tiên Du", 8263, VietnamDivisionType.XA, "xa_tien_du", 233),
  "W_8266" : VNWard("Xã Phú Nham", 8266, VietnamDivisionType.XA, "xa_phu_nham", 233),
  "W_8272" : VNWard("Xã An Đạo", 8272, VietnamDivisionType.XA, "xa_an_dao", 233),
  "W_8275" : VNWard("Xã Bình Phú", 8275, VietnamDivisionType.XA, "xa_binh_phu", 233),
  "W_8278" : VNWard("Xã Phù Ninh", 8278, VietnamDivisionType.XA, "xa_phu_ninh", 233),
  "W_8290" : VNWard("Thị trấn Yên Lập", 8290, VietnamDivisionType.THI_TRAN, "thi_tran_yen_lap", 234),
  "W_8293" : VNWard("Xã Mỹ Lung", 8293, VietnamDivisionType.XA, "xa_my_lung", 234),
  "W_8296" : VNWard("Xã Mỹ Lương", 8296, VietnamDivisionType.XA, "xa_my_luong", 234),
  "W_8299" : VNWard("Xã Lương Sơn", 8299, VietnamDivisionType.XA, "xa_luong_son", 234),
  "W_8302" : VNWard("Xã Xuân An", 8302, VietnamDivisionType.XA, "xa_xuan_an", 234),
  "W_8305" : VNWard("Xã Xuân Viên", 8305, VietnamDivisionType.XA, "xa_xuan_vien", 234),
  "W_8308" : VNWard("Xã Xuân Thủy", 8308, VietnamDivisionType.XA, "xa_xuan_thuy", 234),
  "W_8311" : VNWard("Xã Trung Sơn", 8311, VietnamDivisionType.XA, "xa_trung_son", 234),
  "W_8314" : VNWard("Xã Hưng Long", 8314, VietnamDivisionType.XA, "xa_hung_long", 234),
  "W_8317" : VNWard("Xã Nga Hoàng", 8317, VietnamDivisionType.XA, "xa_nga_hoang", 234),
  "W_8320" : VNWard("Xã Đồng Lạc", 8320, VietnamDivisionType.XA, "xa_dong_lac", 234),
  "W_8323" : VNWard("Xã Thượng Long", 8323, VietnamDivisionType.XA, "xa_thuong_long", 234),
  "W_8326" : VNWard("Xã Đồng Thịnh", 8326, VietnamDivisionType.XA, "xa_dong_thinh", 234),
  "W_8329" : VNWard("Xã Phúc Khánh", 8329, VietnamDivisionType.XA, "xa_phuc_khanh", 234),
  "W_8332" : VNWard("Xã Minh Hòa", 8332, VietnamDivisionType.XA, "xa_minh_hoa", 234),
  "W_8335" : VNWard("Xã Ngọc Lập", 8335, VietnamDivisionType.XA, "xa_ngoc_lap", 234),
  "W_8338" : VNWard("Xã Ngọc Đồng", 8338, VietnamDivisionType.XA, "xa_ngoc_dong", 234),
  "W_8341" : VNWard("Thị trấn Cẩm Khê", 8341, VietnamDivisionType.THI_TRAN, "thi_tran_cam_khe", 235),
  "W_8344" : VNWard("Xã Tiên Lương", 8344, VietnamDivisionType.XA, "xa_tien_luong", 235),
  "W_8347" : VNWard("Xã Tuy Lộc", 8347, VietnamDivisionType.XA, "xa_tuy_loc", 235),
  "W_8350" : VNWard("Xã Ngô Xá", 8350, VietnamDivisionType.XA, "xa_ngo_xa", 235),
  "W_8353" : VNWard("Xã Minh Tân", 8353, VietnamDivisionType.XA, "xa_minh_tan", 235),
  "W_8356" : VNWard("Xã Phượng Vĩ", 8356, VietnamDivisionType.XA, "xa_phuong_vi", 235),
  "W_8362" : VNWard("Xã Thụy Liễu", 8362, VietnamDivisionType.XA, "xa_thuy_lieu", 235),
  "W_8374" : VNWard("Xã Tùng Khê", 8374, VietnamDivisionType.XA, "xa_tung_khe", 235),
  "W_8377" : VNWard("Xã Tam Sơn", 8377, VietnamDivisionType.XA, "xa_tam_son", 235),
  "W_8380" : VNWard("Xã Văn Bán", 8380, VietnamDivisionType.XA, "xa_van_ban", 235),
  "W_8383" : VNWard("Xã Cấp Dẫn", 8383, VietnamDivisionType.XA, "xa_cap_dan", 235),
  "W_8389" : VNWard("Xã Xương Thịnh", 8389, VietnamDivisionType.XA, "xa_xuong_thinh", 235),
  "W_8392" : VNWard("Xã Phú Khê", 8392, VietnamDivisionType.XA, "xa_phu_khe", 235),
  "W_8395" : VNWard("Xã Sơn Tình", 8395, VietnamDivisionType.XA, "xa_son_tinh", 235),
  "W_8398" : VNWard("Xã Yên Tập", 8398, VietnamDivisionType.XA, "xa_yen_tap", 235),
  "W_8401" : VNWard("Xã Hương Lung", 8401, VietnamDivisionType.XA, "xa_huong_lung", 235),
  "W_8404" : VNWard("Xã Tạ Xá", 8404, VietnamDivisionType.XA, "xa_ta_xa", 235),
  "W_8407" : VNWard("Xã Phú Lạc", 8407, VietnamDivisionType.XA, "xa_phu_lac", 235),
  "W_8413" : VNWard("Xã Chương Xá", 8413, VietnamDivisionType.XA, "xa_chuong_xa", 235),
  "W_8416" : VNWard("Xã Hùng Việt", 8416, VietnamDivisionType.XA, "xa_hung_viet", 235),
  "W_8419" : VNWard("Xã Văn Khúc", 8419, VietnamDivisionType.XA, "xa_van_khuc", 235),
  "W_8422" : VNWard("Xã Yên Dưỡng", 8422, VietnamDivisionType.XA, "xa_yen_duong", 235),
  "W_8428" : VNWard("Xã Điêu Lương", 8428, VietnamDivisionType.XA, "xa_dieu_luong", 235),
  "W_8431" : VNWard("Xã Đồng Lương", 8431, VietnamDivisionType.XA, "xa_dong_luong", 235),
  "W_8434" : VNWard("Thị trấn Hưng Hoá", 8434, VietnamDivisionType.THI_TRAN, "thi_tran_hung_hoa", 236),
  "W_8440" : VNWard("Xã Hiền Quan", 8440, VietnamDivisionType.XA, "xa_hien_quan", 236),
  "W_8443" : VNWard("Xã Bắc Sơn", 8443, VietnamDivisionType.XA, "xa_bac_son", 236),
  "W_8446" : VNWard("Xã Thanh Uyên", 8446, VietnamDivisionType.XA, "xa_thanh_uyen", 236),
  "W_8461" : VNWard("Xã Lam Sơn", 8461, VietnamDivisionType.XA, "xa_lam_son", 236),
  "W_8467" : VNWard("Xã Vạn Xuân", 8467, VietnamDivisionType.XA, "xa_van_xuan", 236),
  "W_8470" : VNWard("Xã Quang Húc", 8470, VietnamDivisionType.XA, "xa_quang_huc", 236),
  "W_8473" : VNWard("Xã Hương Nộn", 8473, VietnamDivisionType.XA, "xa_huong_non", 236),
  "W_8476" : VNWard("Xã Tề Lễ", 8476, VietnamDivisionType.XA, "xa_te_le", 236),
  "W_8479" : VNWard("Xã Thọ Văn", 8479, VietnamDivisionType.XA, "xa_tho_van", 236),
  "W_8482" : VNWard("Xã Dị Nậu", 8482, VietnamDivisionType.XA, "xa_di_nau", 236),
  "W_8491" : VNWard("Xã Dân Quyền", 8491, VietnamDivisionType.XA, "xa_dan_quyen", 236),
  "W_8494" : VNWard("Thị trấn Lâm Thao", 8494, VietnamDivisionType.THI_TRAN, "thi_tran_lam_thao", 237),
  "W_8497" : VNWard("Xã Tiên Kiên", 8497, VietnamDivisionType.XA, "xa_tien_kien", 237),
  "W_8498" : VNWard("Thị trấn Hùng Sơn", 8498, VietnamDivisionType.THI_TRAN, "thi_tran_hung_son", 237),
  "W_8500" : VNWard("Xã Xuân Lũng", 8500, VietnamDivisionType.XA, "xa_xuan_lung", 237),
  "W_8509" : VNWard("Xã Xuân Huy", 8509, VietnamDivisionType.XA, "xa_xuan_huy", 237),
  "W_8512" : VNWard("Xã Thạch Sơn", 8512, VietnamDivisionType.XA, "xa_thach_son", 237),
  "W_8518" : VNWard("Xã Sơn Vi", 8518, VietnamDivisionType.XA, "xa_son_vi", 237),
  "W_8521" : VNWard("Xã Phùng Nguyên", 8521, VietnamDivisionType.XA, "xa_phung_nguyen", 237),
  "W_8527" : VNWard("Xã Cao Xá", 8527, VietnamDivisionType.XA, "xa_cao_xa", 237),
  "W_8533" : VNWard("Xã Vĩnh Lại", 8533, VietnamDivisionType.XA, "xa_vinh_lai", 237),
  "W_8536" : VNWard("Xã Tứ Xã", 8536, VietnamDivisionType.XA, "xa_tu_xa", 237),
  "W_8539" : VNWard("Xã Bản Nguyên", 8539, VietnamDivisionType.XA, "xa_ban_nguyen", 237),
  "W_8542" : VNWard("Thị trấn Thanh Sơn", 8542, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_son", 238),
  "W_8563" : VNWard("Xã Sơn Hùng", 8563, VietnamDivisionType.XA, "xa_son_hung", 238),
  "W_8572" : VNWard("Xã Địch Quả", 8572, VietnamDivisionType.XA, "xa_dich_qua", 238),
  "W_8575" : VNWard("Xã Giáp Lai", 8575, VietnamDivisionType.XA, "xa_giap_lai", 238),
  "W_8581" : VNWard("Xã Thục Luyện", 8581, VietnamDivisionType.XA, "xa_thuc_luyen", 238),
  "W_8584" : VNWard("Xã Võ Miếu", 8584, VietnamDivisionType.XA, "xa_vo_mieu", 238),
  "W_8587" : VNWard("Xã Thạch Khoán", 8587, VietnamDivisionType.XA, "xa_thach_khoan", 238),
  "W_8602" : VNWard("Xã Cự Thắng", 8602, VietnamDivisionType.XA, "xa_cu_thang", 238),
  "W_8605" : VNWard("Xã Tất Thắng", 8605, VietnamDivisionType.XA, "xa_tat_thang", 238),
  "W_8611" : VNWard("Xã Văn Miếu", 8611, VietnamDivisionType.XA, "xa_van_mieu", 238),
  "W_8614" : VNWard("Xã Cự Đồng", 8614, VietnamDivisionType.XA, "xa_cu_dong", 238),
  "W_8623" : VNWard("Xã Thắng Sơn", 8623, VietnamDivisionType.XA, "xa_thang_son", 238),
  "W_8629" : VNWard("Xã Tân Minh", 8629, VietnamDivisionType.XA, "xa_tan_minh", 238),
  "W_8632" : VNWard("Xã Hương Cần", 8632, VietnamDivisionType.XA, "xa_huong_can", 238),
  "W_8635" : VNWard("Xã Khả Cửu", 8635, VietnamDivisionType.XA, "xa_kha_cuu", 238),
  "W_8638" : VNWard("Xã Đông Cửu", 8638, VietnamDivisionType.XA, "xa_dong_cuu", 238),
  "W_8641" : VNWard("Xã Tân Lập", 8641, VietnamDivisionType.XA, "xa_tan_lap", 238),
  "W_8644" : VNWard("Xã Yên Lãng", 8644, VietnamDivisionType.XA, "xa_yen_lang", 238),
  "W_8647" : VNWard("Xã Yên Lương", 8647, VietnamDivisionType.XA, "xa_yen_luong", 238),
  "W_8650" : VNWard("Xã Thượng Cửu", 8650, VietnamDivisionType.XA, "xa_thuong_cuu", 238),
  "W_8653" : VNWard("Xã Lương Nha", 8653, VietnamDivisionType.XA, "xa_luong_nha", 238),
  "W_8656" : VNWard("Xã Yên Sơn", 8656, VietnamDivisionType.XA, "xa_yen_son", 238),
  "W_8659" : VNWard("Xã Tinh Nhuệ", 8659, VietnamDivisionType.XA, "xa_tinh_nhue", 238),
  "W_8662" : VNWard("Xã Đào Xá", 8662, VietnamDivisionType.XA, "xa_dao_xa", 239),
  "W_8665" : VNWard("Xã Thạch Đồng", 8665, VietnamDivisionType.XA, "xa_thach_dong", 239),
  "W_8668" : VNWard("Xã Xuân Lộc", 8668, VietnamDivisionType.XA, "xa_xuan_loc", 239),
  "W_8671" : VNWard("Xã Tân Phương", 8671, VietnamDivisionType.XA, "xa_tan_phuong", 239),
  "W_8674" : VNWard("Thị trấn Thanh Thủy", 8674, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_thuy", 239),
  "W_8677" : VNWard("Xã Sơn Thủy", 8677, VietnamDivisionType.XA, "xa_son_thuy", 239),
  "W_8680" : VNWard("Xã Bảo Yên", 8680, VietnamDivisionType.XA, "xa_bao_yen", 239),
  "W_8683" : VNWard("Xã Đoan Hạ", 8683, VietnamDivisionType.XA, "xa_doan_ha", 239),
  "W_8686" : VNWard("Xã Đồng Trung", 8686, VietnamDivisionType.XA, "xa_dong_trung", 239),
  "W_8689" : VNWard("Xã Hoàng Xá", 8689, VietnamDivisionType.XA, "xa_hoang_xa", 239),
  "W_8701" : VNWard("Xã Tu Vũ", 8701, VietnamDivisionType.XA, "xa_tu_vu", 239),
  "W_8545" : VNWard("Xã Thu Cúc", 8545, VietnamDivisionType.XA, "xa_thu_cuc", 240),
  "W_8548" : VNWard("Xã Thạch Kiệt", 8548, VietnamDivisionType.XA, "xa_thach_kiet", 240),
  "W_8551" : VNWard("Xã Thu Ngạc", 8551, VietnamDivisionType.XA, "xa_thu_ngac", 240),
  "W_8554" : VNWard("Xã Kiệt Sơn", 8554, VietnamDivisionType.XA, "xa_kiet_son", 240),
  "W_8557" : VNWard("Xã Đồng Sơn", 8557, VietnamDivisionType.XA, "xa_dong_son", 240),
  "W_8560" : VNWard("Xã Lai Đồng", 8560, VietnamDivisionType.XA, "xa_lai_dong", 240),
  "W_8566" : VNWard("Xã Tân Phú", 8566, VietnamDivisionType.XA, "xa_tan_phu", 240),
  "W_8569" : VNWard("Xã Mỹ Thuận", 8569, VietnamDivisionType.XA, "xa_my_thuan", 240),
  "W_8578" : VNWard("Xã Tân Sơn", 8578, VietnamDivisionType.XA, "xa_tan_son", 240),
  "W_8590" : VNWard("Xã Xuân Đài", 8590, VietnamDivisionType.XA, "xa_xuan_dai", 240),
  "W_8593" : VNWard("Xã Minh Đài", 8593, VietnamDivisionType.XA, "xa_minh_dai", 240),
  "W_8596" : VNWard("Xã Văn Luông", 8596, VietnamDivisionType.XA, "xa_van_luong", 240),
  "W_8599" : VNWard("Xã Xuân Sơn", 8599, VietnamDivisionType.XA, "xa_xuan_son", 240),
  "W_8608" : VNWard("Xã Long Cốc", 8608, VietnamDivisionType.XA, "xa_long_coc", 240),
  "W_8617" : VNWard("Xã Kim Thượng", 8617, VietnamDivisionType.XA, "xa_kim_thuong", 240),
  "W_8620" : VNWard("Xã Tam Thanh", 8620, VietnamDivisionType.XA, "xa_tam_thanh", 240),
  "W_8626" : VNWard("Xã Vinh Tiền", 8626, VietnamDivisionType.XA, "xa_vinh_tien", 240),
  "W_8707" : VNWard("Phường Tích Sơn", 8707, VietnamDivisionType.PHUONG, "phuong_tich_son", 243),
  "W_8710" : VNWard("Phường Liên Bảo", 8710, VietnamDivisionType.PHUONG, "phuong_lien_bao", 243),
  "W_8713" : VNWard("Phường Hội Hợp", 8713, VietnamDivisionType.PHUONG, "phuong_hoi_hop", 243),
  "W_8716" : VNWard("Phường Đống Đa", 8716, VietnamDivisionType.PHUONG, "phuong_dong_da", 243),
  "W_8719" : VNWard("Phường Ngô Quyền", 8719, VietnamDivisionType.PHUONG, "phuong_ngo_quyen", 243),
  "W_8722" : VNWard("Phường Đồng Tâm", 8722, VietnamDivisionType.PHUONG, "phuong_dong_tam", 243),
  "W_8725" : VNWard("Xã Định Trung", 8725, VietnamDivisionType.XA, "xa_dinh_trung", 243),
  "W_8728" : VNWard("Phường Khai Quang", 8728, VietnamDivisionType.PHUONG, "phuong_khai_quang", 243),
  "W_8731" : VNWard("Xã Thanh Trù", 8731, VietnamDivisionType.XA, "xa_thanh_tru", 243),
  "W_8734" : VNWard("Phường Trưng Trắc", 8734, VietnamDivisionType.PHUONG, "phuong_trung_trac", 244),
  "W_8737" : VNWard("Phường Hùng Vương", 8737, VietnamDivisionType.PHUONG, "phuong_hung_vuong", 244),
  "W_8740" : VNWard("Phường Trưng Nhị", 8740, VietnamDivisionType.PHUONG, "phuong_trung_nhi", 244),
  "W_8743" : VNWard("Phường Phúc Thắng", 8743, VietnamDivisionType.PHUONG, "phuong_phuc_thang", 244),
  "W_8746" : VNWard("Phường Xuân Hoà", 8746, VietnamDivisionType.PHUONG, "phuong_xuan_hoa", 244),
  "W_8747" : VNWard("Phường Đồng Xuân", 8747, VietnamDivisionType.PHUONG, "phuong_dong_xuan", 244),
  "W_8749" : VNWard("Xã Ngọc Thanh", 8749, VietnamDivisionType.XA, "xa_ngoc_thanh", 244),
  "W_8752" : VNWard("Xã Cao Minh", 8752, VietnamDivisionType.XA, "xa_cao_minh", 244),
  "W_8755" : VNWard("Phường Nam Viêm", 8755, VietnamDivisionType.PHUONG, "phuong_nam_viem", 244),
  "W_8758" : VNWard("Phường Tiền Châu", 8758, VietnamDivisionType.PHUONG, "phuong_tien_chau", 244),
  "W_8761" : VNWard("Thị trấn Lập Thạch", 8761, VietnamDivisionType.THI_TRAN, "thi_tran_lap_thach", 246),
  "W_8764" : VNWard("Xã Quang Sơn", 8764, VietnamDivisionType.XA, "xa_quang_son", 246),
  "W_8767" : VNWard("Xã Ngọc Mỹ", 8767, VietnamDivisionType.XA, "xa_ngoc_my", 246),
  "W_8770" : VNWard("Xã Hợp Lý", 8770, VietnamDivisionType.XA, "xa_hop_ly", 246),
  "W_8785" : VNWard("Xã Bắc Bình", 8785, VietnamDivisionType.XA, "xa_bac_binh", 246),
  "W_8788" : VNWard("Xã Thái Hòa", 8788, VietnamDivisionType.XA, "xa_thai_hoa", 246),
  "W_8789" : VNWard("Thị trấn Hoa Sơn", 8789, VietnamDivisionType.THI_TRAN, "thi_tran_hoa_son", 246),
  "W_8791" : VNWard("Xã Liễn Sơn", 8791, VietnamDivisionType.XA, "xa_lien_son", 246),
  "W_8794" : VNWard("Xã Xuân Hòa", 8794, VietnamDivisionType.XA, "xa_xuan_hoa", 246),
  "W_8797" : VNWard("Xã Vân Trục", 8797, VietnamDivisionType.XA, "xa_van_truc", 246),
  "W_8812" : VNWard("Xã Liên Hòa", 8812, VietnamDivisionType.XA, "xa_lien_hoa", 246),
  "W_8815" : VNWard("Xã Tử Du", 8815, VietnamDivisionType.XA, "xa_tu_du", 246),
  "W_8833" : VNWard("Xã Bàn Giản", 8833, VietnamDivisionType.XA, "xa_ban_gian", 246),
  "W_8836" : VNWard("Xã Xuân Lôi", 8836, VietnamDivisionType.XA, "xa_xuan_loi", 246),
  "W_8839" : VNWard("Xã Đồng Ích", 8839, VietnamDivisionType.XA, "xa_dong_ich", 246),
  "W_8842" : VNWard("Xã Tiên Lữ", 8842, VietnamDivisionType.XA, "xa_tien_lu", 246),
  "W_8845" : VNWard("Xã Văn Quán", 8845, VietnamDivisionType.XA, "xa_van_quan", 246),
  "W_8857" : VNWard("Xã Đình Chu", 8857, VietnamDivisionType.XA, "xa_dinh_chu", 246),
  "W_8863" : VNWard("Xã Triệu Đề", 8863, VietnamDivisionType.XA, "xa_trieu_de", 246),
  "W_8866" : VNWard("Xã Sơn Đông", 8866, VietnamDivisionType.XA, "xa_son_dong", 246),
  "W_8869" : VNWard("Thị trấn Hợp Hòa", 8869, VietnamDivisionType.THI_TRAN, "thi_tran_hop_hoa", 247),
  "W_8872" : VNWard("Xã Hoàng Hoa", 8872, VietnamDivisionType.XA, "xa_hoang_hoa", 247),
  "W_8875" : VNWard("Xã Đồng Tĩnh", 8875, VietnamDivisionType.XA, "xa_dong_tinh", 247),
  "W_8878" : VNWard("Xã Kim Long", 8878, VietnamDivisionType.XA, "xa_kim_long", 247),
  "W_8881" : VNWard("Xã Hướng Đạo", 8881, VietnamDivisionType.XA, "xa_huong_dao", 247),
  "W_8884" : VNWard("Xã Đạo Tú", 8884, VietnamDivisionType.XA, "xa_dao_tu", 247),
  "W_8887" : VNWard("Xã An Hòa", 8887, VietnamDivisionType.XA, "xa_an_hoa", 247),
  "W_8890" : VNWard("Xã Thanh Vân", 8890, VietnamDivisionType.XA, "xa_thanh_van", 247),
  "W_8893" : VNWard("Xã Duy Phiên", 8893, VietnamDivisionType.XA, "xa_duy_phien", 247),
  "W_8896" : VNWard("Xã Hoàng Đan", 8896, VietnamDivisionType.XA, "xa_hoang_dan", 247),
  "W_8899" : VNWard("Xã Hoàng Lâu", 8899, VietnamDivisionType.XA, "xa_hoang_lau", 247),
  "W_8902" : VNWard("Xã Vân Hội", 8902, VietnamDivisionType.XA, "xa_van_hoi", 247),
  "W_8905" : VNWard("Xã Hợp Thịnh", 8905, VietnamDivisionType.XA, "xa_hop_thinh", 247),
  "W_8908" : VNWard("Thị trấn Tam Đảo", 8908, VietnamDivisionType.THI_TRAN, "thi_tran_tam_dao", 248),
  "W_8911" : VNWard("Thị trấn Hợp Châu", 8911, VietnamDivisionType.THI_TRAN, "thi_tran_hop_chau", 248),
  "W_8914" : VNWard("Xã Đạo Trù", 8914, VietnamDivisionType.XA, "xa_dao_tru", 248),
  "W_8917" : VNWard("Xã Yên Dương", 8917, VietnamDivisionType.XA, "xa_yen_duong", 248),
  "W_8920" : VNWard("Xã Bồ Lý", 8920, VietnamDivisionType.XA, "xa_bo_ly", 248),
  "W_8923" : VNWard("Thị trấn Đại Đình", 8923, VietnamDivisionType.THI_TRAN, "thi_tran_dai_dinh", 248),
  "W_8926" : VNWard("Xã Tam Quan", 8926, VietnamDivisionType.XA, "xa_tam_quan", 248),
  "W_8929" : VNWard("Xã Hồ Sơn", 8929, VietnamDivisionType.XA, "xa_ho_son", 248),
  "W_8932" : VNWard("Xã Minh Quang", 8932, VietnamDivisionType.XA, "xa_minh_quang", 248),
  "W_8935" : VNWard("Thị trấn Hương Canh", 8935, VietnamDivisionType.THI_TRAN, "thi_tran_huong_canh", 249),
  "W_8936" : VNWard("Thị trấn Gia Khánh", 8936, VietnamDivisionType.THI_TRAN, "thi_tran_gia_khanh", 249),
  "W_8938" : VNWard("Xã Trung Mỹ", 8938, VietnamDivisionType.XA, "xa_trung_my", 249),
  "W_8944" : VNWard("Thị trấn Bá Hiến", 8944, VietnamDivisionType.THI_TRAN, "thi_tran_ba_hien", 249),
  "W_8947" : VNWard("Xã Thiện Kế", 8947, VietnamDivisionType.XA, "xa_thien_ke", 249),
  "W_8950" : VNWard("Xã Hương Sơn", 8950, VietnamDivisionType.XA, "xa_huong_son", 249),
  "W_8953" : VNWard("Xã Tam Hợp", 8953, VietnamDivisionType.XA, "xa_tam_hop", 249),
  "W_8956" : VNWard("Xã Quất Lưu", 8956, VietnamDivisionType.XA, "xa_quat_luu", 249),
  "W_8959" : VNWard("Xã Sơn Lôi", 8959, VietnamDivisionType.XA, "xa_son_loi", 249),
  "W_8962" : VNWard("Thị trấn Đạo Đức", 8962, VietnamDivisionType.THI_TRAN, "thi_tran_dao_duc", 249),
  "W_8965" : VNWard("Xã Tân Phong", 8965, VietnamDivisionType.XA, "xa_tan_phong", 249),
  "W_8968" : VNWard("Thị trấn Thanh Lãng", 8968, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_lang", 249),
  "W_8971" : VNWard("Xã Phú Xuân", 8971, VietnamDivisionType.XA, "xa_phu_xuan", 249),
  "W_9025" : VNWard("Thị trấn Yên Lạc", 9025, VietnamDivisionType.THI_TRAN, "thi_tran_yen_lac", 251),
  "W_9028" : VNWard("Xã Đồng Cương", 9028, VietnamDivisionType.XA, "xa_dong_cuong", 251),
  "W_9031" : VNWard("Xã Đồng Văn", 9031, VietnamDivisionType.XA, "xa_dong_van", 251),
  "W_9034" : VNWard("Xã Bình Định", 9034, VietnamDivisionType.XA, "xa_binh_dinh", 251),
  "W_9037" : VNWard("Xã Trung Nguyên", 9037, VietnamDivisionType.XA, "xa_trung_nguyen", 251),
  "W_9040" : VNWard("Xã Tề Lỗ", 9040, VietnamDivisionType.XA, "xa_te_lo", 251),
  "W_9043" : VNWard("Xã Tam Hồng", 9043, VietnamDivisionType.XA, "xa_tam_hong", 251),
  "W_9046" : VNWard("Xã Yên Đồng", 9046, VietnamDivisionType.XA, "xa_yen_dong", 251),
  "W_9049" : VNWard("Xã Văn Tiến", 9049, VietnamDivisionType.XA, "xa_van_tien", 251),
  "W_9052" : VNWard("Xã Nguyệt Đức", 9052, VietnamDivisionType.XA, "xa_nguyet_duc", 251),
  "W_9055" : VNWard("Xã Yên Phương", 9055, VietnamDivisionType.XA, "xa_yen_phuong", 251),
  "W_9058" : VNWard("Xã Hồng Phương", 9058, VietnamDivisionType.XA, "xa_hong_phuong", 251),
  "W_9061" : VNWard("Xã Trung Kiên", 9061, VietnamDivisionType.XA, "xa_trung_kien", 251),
  "W_9064" : VNWard("Xã Liên Châu", 9064, VietnamDivisionType.XA, "xa_lien_chau", 251),
  "W_9067" : VNWard("Xã Đại Tự", 9067, VietnamDivisionType.XA, "xa_dai_tu", 251),
  "W_9070" : VNWard("Xã Hồng Châu", 9070, VietnamDivisionType.XA, "xa_hong_chau", 251),
  "W_9073" : VNWard("Xã Trung Hà", 9073, VietnamDivisionType.XA, "xa_trung_ha", 251),
  "W_9076" : VNWard("Thị trấn Vĩnh Tường", 9076, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_tuong", 252),
  "W_9079" : VNWard("Xã Kim Xá", 9079, VietnamDivisionType.XA, "xa_kim_xa", 252),
  "W_9082" : VNWard("Xã Yên Bình", 9082, VietnamDivisionType.XA, "xa_yen_binh", 252),
  "W_9085" : VNWard("Xã Chấn Hưng", 9085, VietnamDivisionType.XA, "xa_chan_hung", 252),
  "W_9088" : VNWard("Xã Nghĩa Hưng", 9088, VietnamDivisionType.XA, "xa_nghia_hung", 252),
  "W_9091" : VNWard("Xã Yên Lập", 9091, VietnamDivisionType.XA, "xa_yen_lap", 252),
  "W_9094" : VNWard("Xã Việt Xuân", 9094, VietnamDivisionType.XA, "xa_viet_xuan", 252),
  "W_9097" : VNWard("Xã Bồ Sao", 9097, VietnamDivisionType.XA, "xa_bo_sao", 252),
  "W_9100" : VNWard("Xã Đại Đồng", 9100, VietnamDivisionType.XA, "xa_dai_dong", 252),
  "W_9103" : VNWard("Xã Tân Tiến", 9103, VietnamDivisionType.XA, "xa_tan_tien", 252),
  "W_9106" : VNWard("Xã Lũng Hoà", 9106, VietnamDivisionType.XA, "xa_lung_hoa", 252),
  "W_9109" : VNWard("Xã Cao Đại", 9109, VietnamDivisionType.XA, "xa_cao_dai", 252),
  "W_9112" : VNWard("Thị trấn Thổ Tang", 9112, VietnamDivisionType.THI_TRAN, "thi_tran_tho_tang", 252),
  "W_9115" : VNWard("Xã Vĩnh Sơn", 9115, VietnamDivisionType.XA, "xa_vinh_son", 252),
  "W_9118" : VNWard("Xã Bình Dương", 9118, VietnamDivisionType.XA, "xa_binh_duong", 252),
  "W_9124" : VNWard("Xã Tân Phú", 9124, VietnamDivisionType.XA, "xa_tan_phu", 252),
  "W_9127" : VNWard("Xã Thượng Trưng", 9127, VietnamDivisionType.XA, "xa_thuong_trung", 252),
  "W_9130" : VNWard("Xã Vũ Di", 9130, VietnamDivisionType.XA, "xa_vu_di", 252),
  "W_9133" : VNWard("Xã Lý Nhân", 9133, VietnamDivisionType.XA, "xa_ly_nhan", 252),
  "W_9136" : VNWard("Xã Tuân Chính", 9136, VietnamDivisionType.XA, "xa_tuan_chinh", 252),
  "W_9139" : VNWard("Xã Vân Xuân", 9139, VietnamDivisionType.XA, "xa_van_xuan", 252),
  "W_9142" : VNWard("Xã Tam Phúc", 9142, VietnamDivisionType.XA, "xa_tam_phuc", 252),
  "W_9145" : VNWard("Thị trấn Tứ Trưng", 9145, VietnamDivisionType.THI_TRAN, "thi_tran_tu_trung", 252),
  "W_9148" : VNWard("Xã Ngũ Kiên", 9148, VietnamDivisionType.XA, "xa_ngu_kien", 252),
  "W_9151" : VNWard("Xã An Tường", 9151, VietnamDivisionType.XA, "xa_an_tuong", 252),
  "W_9154" : VNWard("Xã Vĩnh Thịnh", 9154, VietnamDivisionType.XA, "xa_vinh_thinh", 252),
  "W_9157" : VNWard("Xã Phú Đa", 9157, VietnamDivisionType.XA, "xa_phu_da", 252),
  "W_9160" : VNWard("Xã Vĩnh Ninh", 9160, VietnamDivisionType.XA, "xa_vinh_ninh", 252),
  "W_8773" : VNWard("Xã Lãng Công", 8773, VietnamDivisionType.XA, "xa_lang_cong", 253),
  "W_8776" : VNWard("Xã Quang Yên", 8776, VietnamDivisionType.XA, "xa_quang_yen", 253),
  "W_8779" : VNWard("Xã Bạch Lưu", 8779, VietnamDivisionType.XA, "xa_bach_luu", 253),
  "W_8782" : VNWard("Xã Hải Lựu", 8782, VietnamDivisionType.XA, "xa_hai_luu", 253),
  "W_8800" : VNWard("Xã Đồng Quế", 8800, VietnamDivisionType.XA, "xa_dong_que", 253),
  "W_8803" : VNWard("Xã Nhân Đạo", 8803, VietnamDivisionType.XA, "xa_nhan_dao", 253),
  "W_8806" : VNWard("Xã Đôn Nhân", 8806, VietnamDivisionType.XA, "xa_don_nhan", 253),
  "W_8809" : VNWard("Xã Phương Khoan", 8809, VietnamDivisionType.XA, "xa_phuong_khoan", 253),
  "W_8818" : VNWard("Xã Tân Lập", 8818, VietnamDivisionType.XA, "xa_tan_lap", 253),
  "W_8821" : VNWard("Xã Nhạo Sơn", 8821, VietnamDivisionType.XA, "xa_nhao_son", 253),
  "W_8824" : VNWard("Thị trấn Tam Sơn", 8824, VietnamDivisionType.THI_TRAN, "thi_tran_tam_son", 253),
  "W_8827" : VNWard("Xã Như Thụy", 8827, VietnamDivisionType.XA, "xa_nhu_thuy", 253),
  "W_8830" : VNWard("Xã Yên Thạch", 8830, VietnamDivisionType.XA, "xa_yen_thach", 253),
  "W_8848" : VNWard("Xã Đồng Thịnh", 8848, VietnamDivisionType.XA, "xa_dong_thinh", 253),
  "W_8851" : VNWard("Xã Tứ Yên", 8851, VietnamDivisionType.XA, "xa_tu_yen", 253),
  "W_8854" : VNWard("Xã Đức Bác", 8854, VietnamDivisionType.XA, "xa_duc_bac", 253),
  "W_8860" : VNWard("Xã Cao Phong", 8860, VietnamDivisionType.XA, "xa_cao_phong", 253),
  "W_9163" : VNWard("Phường Vũ Ninh", 9163, VietnamDivisionType.PHUONG, "phuong_vu_ninh", 256),
  "W_9166" : VNWard("Phường Đáp Cầu", 9166, VietnamDivisionType.PHUONG, "phuong_dap_cau", 256),
  "W_9169" : VNWard("Phường Thị Cầu", 9169, VietnamDivisionType.PHUONG, "phuong_thi_cau", 256),
  "W_9172" : VNWard("Phường Kinh Bắc", 9172, VietnamDivisionType.PHUONG, "phuong_kinh_bac", 256),
  "W_9175" : VNWard("Phường Vệ An", 9175, VietnamDivisionType.PHUONG, "phuong_ve_an", 256),
  "W_9178" : VNWard("Phường Tiền An", 9178, VietnamDivisionType.PHUONG, "phuong_tien_an", 256),
  "W_9181" : VNWard("Phường Đại Phúc", 9181, VietnamDivisionType.PHUONG, "phuong_dai_phuc", 256),
  "W_9184" : VNWard("Phường Ninh Xá", 9184, VietnamDivisionType.PHUONG, "phuong_ninh_xa", 256),
  "W_9187" : VNWard("Phường Suối Hoa", 9187, VietnamDivisionType.PHUONG, "phuong_suoi_hoa", 256),
  "W_9190" : VNWard("Phường Võ Cường", 9190, VietnamDivisionType.PHUONG, "phuong_vo_cuong", 256),
  "W_9214" : VNWard("Phường Hòa Long", 9214, VietnamDivisionType.PHUONG, "phuong_hoa_long", 256),
  "W_9226" : VNWard("Phường Vạn An", 9226, VietnamDivisionType.PHUONG, "phuong_van_an", 256),
  "W_9235" : VNWard("Phường Khúc Xuyên", 9235, VietnamDivisionType.PHUONG, "phuong_khuc_xuyen", 256),
  "W_9244" : VNWard("Phường Phong Khê", 9244, VietnamDivisionType.PHUONG, "phuong_phong_khe", 256),
  "W_9256" : VNWard("Phường Kim Chân", 9256, VietnamDivisionType.PHUONG, "phuong_kim_chan", 256),
  "W_9271" : VNWard("Phường Vân Dương", 9271, VietnamDivisionType.PHUONG, "phuong_van_duong", 256),
  "W_9286" : VNWard("Phường Nam Sơn", 9286, VietnamDivisionType.PHUONG, "phuong_nam_son", 256),
  "W_9325" : VNWard("Phường Khắc Niệm", 9325, VietnamDivisionType.PHUONG, "phuong_khac_niem", 256),
  "W_9331" : VNWard("Phường Hạp Lĩnh", 9331, VietnamDivisionType.PHUONG, "phuong_hap_linh", 256),
  "W_9193" : VNWard("Thị trấn Chờ", 9193, VietnamDivisionType.THI_TRAN, "thi_tran_cho", 258),
  "W_9196" : VNWard("Xã Dũng Liệt", 9196, VietnamDivisionType.XA, "xa_dung_liet", 258),
  "W_9199" : VNWard("Xã Tam Đa", 9199, VietnamDivisionType.XA, "xa_tam_da", 258),
  "W_9202" : VNWard("Xã Tam Giang", 9202, VietnamDivisionType.XA, "xa_tam_giang", 258),
  "W_9205" : VNWard("Xã Yên Trung", 9205, VietnamDivisionType.XA, "xa_yen_trung", 258),
  "W_9208" : VNWard("Xã Thụy Hòa", 9208, VietnamDivisionType.XA, "xa_thuy_hoa", 258),
  "W_9211" : VNWard("Xã Hòa Tiến", 9211, VietnamDivisionType.XA, "xa_hoa_tien", 258),
  "W_9217" : VNWard("Xã Đông Tiến", 9217, VietnamDivisionType.XA, "xa_dong_tien", 258),
  "W_9220" : VNWard("Xã Yên Phụ", 9220, VietnamDivisionType.XA, "xa_yen_phu", 258),
  "W_9223" : VNWard("Xã Trung Nghĩa", 9223, VietnamDivisionType.XA, "xa_trung_nghia", 258),
  "W_9229" : VNWard("Xã Đông Phong", 9229, VietnamDivisionType.XA, "xa_dong_phong", 258),
  "W_9232" : VNWard("Xã Long Châu", 9232, VietnamDivisionType.XA, "xa_long_chau", 258),
  "W_9238" : VNWard("Xã Văn Môn", 9238, VietnamDivisionType.XA, "xa_van_mon", 258),
  "W_9241" : VNWard("Xã Đông Thọ", 9241, VietnamDivisionType.XA, "xa_dong_tho", 258),
  "W_9247" : VNWard("Thị trấn Phố Mới", 9247, VietnamDivisionType.THI_TRAN, "thi_tran_pho_moi", 259),
  "W_9250" : VNWard("Xã Việt Thống", 9250, VietnamDivisionType.XA, "xa_viet_thong", 259),
  "W_9253" : VNWard("Xã Đại Xuân", 9253, VietnamDivisionType.XA, "xa_dai_xuan", 259),
  "W_9259" : VNWard("Xã Nhân Hòa", 9259, VietnamDivisionType.XA, "xa_nhan_hoa", 259),
  "W_9262" : VNWard("Xã Bằng An", 9262, VietnamDivisionType.XA, "xa_bang_an", 259),
  "W_9265" : VNWard("Xã Phương Liễu", 9265, VietnamDivisionType.XA, "xa_phuong_lieu", 259),
  "W_9268" : VNWard("Xã Quế Tân", 9268, VietnamDivisionType.XA, "xa_que_tan", 259),
  "W_9274" : VNWard("Xã Phù Lương", 9274, VietnamDivisionType.XA, "xa_phu_luong", 259),
  "W_9277" : VNWard("Xã Phù Lãng", 9277, VietnamDivisionType.XA, "xa_phu_lang", 259),
  "W_9280" : VNWard("Xã Phượng Mao", 9280, VietnamDivisionType.XA, "xa_phuong_mao", 259),
  "W_9283" : VNWard("Xã Việt Hùng", 9283, VietnamDivisionType.XA, "xa_viet_hung", 259),
  "W_9289" : VNWard("Xã Ngọc Xá", 9289, VietnamDivisionType.XA, "xa_ngoc_xa", 259),
  "W_9292" : VNWard("Xã Châu Phong", 9292, VietnamDivisionType.XA, "xa_chau_phong", 259),
  "W_9295" : VNWard("Xã Bồng Lai", 9295, VietnamDivisionType.XA, "xa_bong_lai", 259),
  "W_9298" : VNWard("Xã Cách Bi", 9298, VietnamDivisionType.XA, "xa_cach_bi", 259),
  "W_9301" : VNWard("Xã Đào Viên", 9301, VietnamDivisionType.XA, "xa_dao_vien", 259),
  "W_9304" : VNWard("Xã Yên Giả", 9304, VietnamDivisionType.XA, "xa_yen_gia", 259),
  "W_9307" : VNWard("Xã Mộ Đạo", 9307, VietnamDivisionType.XA, "xa_mo_dao", 259),
  "W_9310" : VNWard("Xã Đức Long", 9310, VietnamDivisionType.XA, "xa_duc_long", 259),
  "W_9313" : VNWard("Xã Chi Lăng", 9313, VietnamDivisionType.XA, "xa_chi_lang", 259),
  "W_9316" : VNWard("Xã Hán Quảng", 9316, VietnamDivisionType.XA, "xa_han_quang", 259),
  "W_9319" : VNWard("Thị trấn Lim", 9319, VietnamDivisionType.THI_TRAN, "thi_tran_lim", 260),
  "W_9322" : VNWard("Xã Phú Lâm", 9322, VietnamDivisionType.XA, "xa_phu_lam", 260),
  "W_9328" : VNWard("Xã Nội Duệ", 9328, VietnamDivisionType.XA, "xa_noi_due", 260),
  "W_9334" : VNWard("Xã Liên Bão", 9334, VietnamDivisionType.XA, "xa_lien_bao", 260),
  "W_9337" : VNWard("Xã Hiên Vân", 9337, VietnamDivisionType.XA, "xa_hien_van", 260),
  "W_9340" : VNWard("Xã Hoàn Sơn", 9340, VietnamDivisionType.XA, "xa_hoan_son", 260),
  "W_9343" : VNWard("Xã Lạc Vệ", 9343, VietnamDivisionType.XA, "xa_lac_ve", 260),
  "W_9346" : VNWard("Xã Việt Đoàn", 9346, VietnamDivisionType.XA, "xa_viet_doan", 260),
  "W_9349" : VNWard("Xã Phật Tích", 9349, VietnamDivisionType.XA, "xa_phat_tich", 260),
  "W_9352" : VNWard("Xã Tân Chi", 9352, VietnamDivisionType.XA, "xa_tan_chi", 260),
  "W_9355" : VNWard("Xã Đại Đồng", 9355, VietnamDivisionType.XA, "xa_dai_dong", 260),
  "W_9358" : VNWard("Xã Tri Phương", 9358, VietnamDivisionType.XA, "xa_tri_phuong", 260),
  "W_9361" : VNWard("Xã Minh Đạo", 9361, VietnamDivisionType.XA, "xa_minh_dao", 260),
  "W_9364" : VNWard("Xã Cảnh Hưng", 9364, VietnamDivisionType.XA, "xa_canh_hung", 260),
  "W_9367" : VNWard("Phường Đông Ngàn", 9367, VietnamDivisionType.PHUONG, "phuong_dong_ngan", 261),
  "W_9370" : VNWard("Phường Tam Sơn", 9370, VietnamDivisionType.PHUONG, "phuong_tam_son", 261),
  "W_9373" : VNWard("Phường Hương Mạc", 9373, VietnamDivisionType.PHUONG, "phuong_huong_mac", 261),
  "W_9376" : VNWard("Phường Tương Giang", 9376, VietnamDivisionType.PHUONG, "phuong_tuong_giang", 261),
  "W_9379" : VNWard("Phường Phù Khê", 9379, VietnamDivisionType.PHUONG, "phuong_phu_khe", 261),
  "W_9382" : VNWard("Phường Đồng Kỵ", 9382, VietnamDivisionType.PHUONG, "phuong_dong_ky", 261),
  "W_9383" : VNWard("Phường Trang Hạ", 9383, VietnamDivisionType.PHUONG, "phuong_trang_ha", 261),
  "W_9385" : VNWard("Phường Đồng Nguyên", 9385, VietnamDivisionType.PHUONG, "phuong_dong_nguyen", 261),
  "W_9388" : VNWard("Phường Châu Khê", 9388, VietnamDivisionType.PHUONG, "phuong_chau_khe", 261),
  "W_9391" : VNWard("Phường Tân Hồng", 9391, VietnamDivisionType.PHUONG, "phuong_tan_hong", 261),
  "W_9394" : VNWard("Phường Đình Bảng", 9394, VietnamDivisionType.PHUONG, "phuong_dinh_bang", 261),
  "W_9397" : VNWard("Phường Phù Chẩn", 9397, VietnamDivisionType.PHUONG, "phuong_phu_chan", 261),
  "W_9400" : VNWard("Thị trấn Hồ", 9400, VietnamDivisionType.THI_TRAN, "thi_tran_ho", 262),
  "W_9403" : VNWard("Xã Hoài Thượng", 9403, VietnamDivisionType.XA, "xa_hoai_thuong", 262),
  "W_9406" : VNWard("Xã Đại Đồng Thành", 9406, VietnamDivisionType.XA, "xa_dai_dong_thanh", 262),
  "W_9409" : VNWard("Xã Mão Điền", 9409, VietnamDivisionType.XA, "xa_mao_dien", 262),
  "W_9412" : VNWard("Xã Song Hồ", 9412, VietnamDivisionType.XA, "xa_song_ho", 262),
  "W_9415" : VNWard("Xã Đình Tổ", 9415, VietnamDivisionType.XA, "xa_dinh_to", 262),
  "W_9418" : VNWard("Xã An Bình", 9418, VietnamDivisionType.XA, "xa_an_binh", 262),
  "W_9421" : VNWard("Xã Trí Quả", 9421, VietnamDivisionType.XA, "xa_tri_qua", 262),
  "W_9424" : VNWard("Xã Gia Đông", 9424, VietnamDivisionType.XA, "xa_gia_dong", 262),
  "W_9427" : VNWard("Xã Thanh Khương", 9427, VietnamDivisionType.XA, "xa_thanh_khuong", 262),
  "W_9430" : VNWard("Xã Trạm Lộ", 9430, VietnamDivisionType.XA, "xa_tram_lo", 262),
  "W_9433" : VNWard("Xã Xuân Lâm", 9433, VietnamDivisionType.XA, "xa_xuan_lam", 262),
  "W_9436" : VNWard("Xã Hà Mãn", 9436, VietnamDivisionType.XA, "xa_ha_man", 262),
  "W_9439" : VNWard("Xã Ngũ Thái", 9439, VietnamDivisionType.XA, "xa_ngu_thai", 262),
  "W_9442" : VNWard("Xã Nguyệt Đức", 9442, VietnamDivisionType.XA, "xa_nguyet_duc", 262),
  "W_9445" : VNWard("Xã Ninh Xá", 9445, VietnamDivisionType.XA, "xa_ninh_xa", 262),
  "W_9448" : VNWard("Xã Nghĩa Đạo", 9448, VietnamDivisionType.XA, "xa_nghia_dao", 262),
  "W_9451" : VNWard("Xã Song Liễu", 9451, VietnamDivisionType.XA, "xa_song_lieu", 262),
  "W_9454" : VNWard("Thị trấn Gia Bình", 9454, VietnamDivisionType.THI_TRAN, "thi_tran_gia_binh", 263),
  "W_9457" : VNWard("Xã Vạn Ninh", 9457, VietnamDivisionType.XA, "xa_van_ninh", 263),
  "W_9460" : VNWard("Xã Thái Bảo", 9460, VietnamDivisionType.XA, "xa_thai_bao", 263),
  "W_9463" : VNWard("Xã Giang Sơn", 9463, VietnamDivisionType.XA, "xa_giang_son", 263),
  "W_9466" : VNWard("Xã Cao Đức", 9466, VietnamDivisionType.XA, "xa_cao_duc", 263),
  "W_9469" : VNWard("Xã Đại Lai", 9469, VietnamDivisionType.XA, "xa_dai_lai", 263),
  "W_9472" : VNWard("Xã Song Giang", 9472, VietnamDivisionType.XA, "xa_song_giang", 263),
  "W_9475" : VNWard("Xã Bình Dương", 9475, VietnamDivisionType.XA, "xa_binh_duong", 263),
  "W_9478" : VNWard("Xã Lãng Ngâm", 9478, VietnamDivisionType.XA, "xa_lang_ngam", 263),
  "W_9481" : VNWard("Xã Nhân Thắng", 9481, VietnamDivisionType.XA, "xa_nhan_thang", 263),
  "W_9484" : VNWard("Xã Xuân Lai", 9484, VietnamDivisionType.XA, "xa_xuan_lai", 263),
  "W_9487" : VNWard("Xã Đông Cứu", 9487, VietnamDivisionType.XA, "xa_dong_cuu", 263),
  "W_9490" : VNWard("Xã Đại Bái", 9490, VietnamDivisionType.XA, "xa_dai_bai", 263),
  "W_9493" : VNWard("Xã Quỳnh Phú", 9493, VietnamDivisionType.XA, "xa_quynh_phu", 263),
  "W_9496" : VNWard("Thị trấn Thứa", 9496, VietnamDivisionType.THI_TRAN, "thi_tran_thua", 264),
  "W_9499" : VNWard("Xã An Thịnh", 9499, VietnamDivisionType.XA, "xa_an_thinh", 264),
  "W_9502" : VNWard("Xã Trung Kênh", 9502, VietnamDivisionType.XA, "xa_trung_kenh", 264),
  "W_9505" : VNWard("Xã Phú Hòa", 9505, VietnamDivisionType.XA, "xa_phu_hoa", 264),
  "W_9508" : VNWard("Xã Mỹ Hương", 9508, VietnamDivisionType.XA, "xa_my_huong", 264),
  "W_9511" : VNWard("Xã Tân Lãng", 9511, VietnamDivisionType.XA, "xa_tan_lang", 264),
  "W_9514" : VNWard("Xã Quảng Phú", 9514, VietnamDivisionType.XA, "xa_quang_phu", 264),
  "W_9517" : VNWard("Xã Trừng Xá", 9517, VietnamDivisionType.XA, "xa_trung_xa", 264),
  "W_9520" : VNWard("Xã Lai Hạ", 9520, VietnamDivisionType.XA, "xa_lai_ha", 264),
  "W_9523" : VNWard("Xã Trung Chính", 9523, VietnamDivisionType.XA, "xa_trung_chinh", 264),
  "W_9526" : VNWard("Xã Minh Tân", 9526, VietnamDivisionType.XA, "xa_minh_tan", 264),
  "W_9529" : VNWard("Xã Bình Định", 9529, VietnamDivisionType.XA, "xa_binh_dinh", 264),
  "W_9532" : VNWard("Xã Phú Lương", 9532, VietnamDivisionType.XA, "xa_phu_luong", 264),
  "W_9535" : VNWard("Xã Lâm Thao", 9535, VietnamDivisionType.XA, "xa_lam_thao", 264),
  "W_10507" : VNWard("Phường Cẩm Thượng", 10507, VietnamDivisionType.PHUONG, "phuong_cam_thuong", 288),
  "W_10510" : VNWard("Phường Bình Hàn", 10510, VietnamDivisionType.PHUONG, "phuong_binh_han", 288),
  "W_10513" : VNWard("Phường Ngọc Châu", 10513, VietnamDivisionType.PHUONG, "phuong_ngoc_chau", 288),
  "W_10514" : VNWard("Phường Nhị Châu", 10514, VietnamDivisionType.PHUONG, "phuong_nhi_chau", 288),
  "W_10516" : VNWard("Phường Quang Trung", 10516, VietnamDivisionType.PHUONG, "phuong_quang_trung", 288),
  "W_10519" : VNWard("Phường Nguyễn Trãi", 10519, VietnamDivisionType.PHUONG, "phuong_nguyen_trai", 288),
  "W_10522" : VNWard("Phường Phạm Ngũ Lão", 10522, VietnamDivisionType.PHUONG, "phuong_pham_ngu_lao", 288),
  "W_10525" : VNWard("Phường Trần Hưng Đạo", 10525, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 288),
  "W_10528" : VNWard("Phường Trần Phú", 10528, VietnamDivisionType.PHUONG, "phuong_tran_phu", 288),
  "W_10531" : VNWard("Phường Thanh Bình", 10531, VietnamDivisionType.PHUONG, "phuong_thanh_binh", 288),
  "W_10532" : VNWard("Phường Tân Bình", 10532, VietnamDivisionType.PHUONG, "phuong_tan_binh", 288),
  "W_10534" : VNWard("Phường Lê Thanh Nghị", 10534, VietnamDivisionType.PHUONG, "phuong_le_thanh_nghi", 288),
  "W_10537" : VNWard("Phường Hải Tân", 10537, VietnamDivisionType.PHUONG, "phuong_hai_tan", 288),
  "W_10540" : VNWard("Phường Tứ Minh", 10540, VietnamDivisionType.PHUONG, "phuong_tu_minh", 288),
  "W_10543" : VNWard("Phường Việt Hoà", 10543, VietnamDivisionType.PHUONG, "phuong_viet_hoa", 288),
  "W_10660" : VNWard("Phường Ái Quốc", 10660, VietnamDivisionType.PHUONG, "phuong_ai_quoc", 288),
  "W_10663" : VNWard("Xã An Thượng", 10663, VietnamDivisionType.XA, "xa_an_thuong", 288),
  "W_10672" : VNWard("Phường Nam Đồng", 10672, VietnamDivisionType.PHUONG, "phuong_nam_dong", 288),
  "W_10822" : VNWard("Xã Quyết Thắng", 10822, VietnamDivisionType.XA, "xa_quyet_thang", 288),
  "W_10837" : VNWard("Xã Tiền Tiến", 10837, VietnamDivisionType.XA, "xa_tien_tien", 288),
  "W_11002" : VNWard("Phường Thạch Khôi", 11002, VietnamDivisionType.PHUONG, "phuong_thach_khoi", 288),
  "W_11005" : VNWard("Xã Liên Hồng", 11005, VietnamDivisionType.XA, "xa_lien_hong", 288),
  "W_11011" : VNWard("Phường Tân Hưng", 11011, VietnamDivisionType.PHUONG, "phuong_tan_hung", 288),
  "W_11017" : VNWard("Xã Gia Xuyên", 11017, VietnamDivisionType.XA, "xa_gia_xuyen", 288),
  "W_11077" : VNWard("Xã Ngọc Sơn", 11077, VietnamDivisionType.XA, "xa_ngoc_son", 288),
  "W_10546" : VNWard("Phường Phả Lại", 10546, VietnamDivisionType.PHUONG, "phuong_pha_lai", 290),
  "W_10549" : VNWard("Phường Sao Đỏ", 10549, VietnamDivisionType.PHUONG, "phuong_sao_do", 290),
  "W_10552" : VNWard("Phường Bến Tắm", 10552, VietnamDivisionType.PHUONG, "phuong_ben_tam", 290),
  "W_10555" : VNWard("Xã Hoàng Hoa Thám", 10555, VietnamDivisionType.XA, "xa_hoang_hoa_tham", 290),
  "W_10558" : VNWard("Xã Bắc An", 10558, VietnamDivisionType.XA, "xa_bac_an", 290),
  "W_10561" : VNWard("Xã Hưng Đạo", 10561, VietnamDivisionType.XA, "xa_hung_dao", 290),
  "W_10564" : VNWard("Xã Lê Lợi", 10564, VietnamDivisionType.XA, "xa_le_loi", 290),
  "W_10567" : VNWard("Phường Hoàng Tiến", 10567, VietnamDivisionType.PHUONG, "phuong_hoang_tien", 290),
  "W_10570" : VNWard("Phường Cộng Hoà", 10570, VietnamDivisionType.PHUONG, "phuong_cong_hoa", 290),
  "W_10573" : VNWard("Phường Hoàng Tân", 10573, VietnamDivisionType.PHUONG, "phuong_hoang_tan", 290),
  "W_10576" : VNWard("Phường Cổ Thành", 10576, VietnamDivisionType.PHUONG, "phuong_co_thanh", 290),
  "W_10579" : VNWard("Phường Văn An", 10579, VietnamDivisionType.PHUONG, "phuong_van_an", 290),
  "W_10582" : VNWard("Phường Chí Minh", 10582, VietnamDivisionType.PHUONG, "phuong_chi_minh", 290),
  "W_10585" : VNWard("Phường Văn Đức", 10585, VietnamDivisionType.PHUONG, "phuong_van_duc", 290),
  "W_10588" : VNWard("Phường Thái Học", 10588, VietnamDivisionType.PHUONG, "phuong_thai_hoc", 290),
  "W_10591" : VNWard("Xã Nhân Huệ", 10591, VietnamDivisionType.XA, "xa_nhan_hue", 290),
  "W_10594" : VNWard("Phường An Lạc", 10594, VietnamDivisionType.PHUONG, "phuong_an_lac", 290),
  "W_10600" : VNWard("Phường Đồng Lạc", 10600, VietnamDivisionType.PHUONG, "phuong_dong_lac", 290),
  "W_10603" : VNWard("Phường Tân Dân", 10603, VietnamDivisionType.PHUONG, "phuong_tan_dan", 290),
  "W_10606" : VNWard("Thị trấn Nam Sách", 10606, VietnamDivisionType.THI_TRAN, "thi_tran_nam_sach", 291),
  "W_10609" : VNWard("Xã Nam Hưng", 10609, VietnamDivisionType.XA, "xa_nam_hung", 291),
  "W_10612" : VNWard("Xã Nam Tân", 10612, VietnamDivisionType.XA, "xa_nam_tan", 291),
  "W_10615" : VNWard("Xã Hợp Tiến", 10615, VietnamDivisionType.XA, "xa_hop_tien", 291),
  "W_10618" : VNWard("Xã Hiệp Cát", 10618, VietnamDivisionType.XA, "xa_hiep_cat", 291),
  "W_10621" : VNWard("Xã Thanh Quang", 10621, VietnamDivisionType.XA, "xa_thanh_quang", 291),
  "W_10624" : VNWard("Xã Quốc Tuấn", 10624, VietnamDivisionType.XA, "xa_quoc_tuan", 291),
  "W_10627" : VNWard("Xã Nam Chính", 10627, VietnamDivisionType.XA, "xa_nam_chinh", 291),
  "W_10630" : VNWard("Xã An Bình", 10630, VietnamDivisionType.XA, "xa_an_binh", 291),
  "W_10633" : VNWard("Xã Nam Trung", 10633, VietnamDivisionType.XA, "xa_nam_trung", 291),
  "W_10636" : VNWard("Xã An Sơn", 10636, VietnamDivisionType.XA, "xa_an_son", 291),
  "W_10639" : VNWard("Xã Cộng Hòa", 10639, VietnamDivisionType.XA, "xa_cong_hoa", 291),
  "W_10642" : VNWard("Xã Thái Tân", 10642, VietnamDivisionType.XA, "xa_thai_tan", 291),
  "W_10645" : VNWard("Xã An Lâm", 10645, VietnamDivisionType.XA, "xa_an_lam", 291),
  "W_10648" : VNWard("Xã Phú Điền", 10648, VietnamDivisionType.XA, "xa_phu_dien", 291),
  "W_10651" : VNWard("Xã Nam Hồng", 10651, VietnamDivisionType.XA, "xa_nam_hong", 291),
  "W_10654" : VNWard("Xã Hồng Phong", 10654, VietnamDivisionType.XA, "xa_hong_phong", 291),
  "W_10657" : VNWard("Xã Đồng Lạc", 10657, VietnamDivisionType.XA, "xa_dong_lac", 291),
  "W_10666" : VNWard("Xã Minh Tân", 10666, VietnamDivisionType.XA, "xa_minh_tan", 291),
  "W_10675" : VNWard("Phường An Lưu", 10675, VietnamDivisionType.PHUONG, "phuong_an_luu", 292),
  "W_10678" : VNWard("Xã Bạch Đằng", 10678, VietnamDivisionType.XA, "xa_bach_dang", 292),
  "W_10681" : VNWard("Phường Thất Hùng", 10681, VietnamDivisionType.PHUONG, "phuong_that_hung", 292),
  "W_10684" : VNWard("Xã Lê Ninh", 10684, VietnamDivisionType.XA, "xa_le_ninh", 292),
  "W_10687" : VNWard("Xã Hoành Sơn", 10687, VietnamDivisionType.XA, "xa_hoanh_son", 292),
  "W_10693" : VNWard("Phường Phạm Thái", 10693, VietnamDivisionType.PHUONG, "phuong_pham_thai", 292),
  "W_10696" : VNWard("Phường Duy Tân", 10696, VietnamDivisionType.PHUONG, "phuong_duy_tan", 292),
  "W_10699" : VNWard("Phường Tân Dân", 10699, VietnamDivisionType.PHUONG, "phuong_tan_dan", 292),
  "W_10702" : VNWard("Phường Minh Tân", 10702, VietnamDivisionType.PHUONG, "phuong_minh_tan", 292),
  "W_10705" : VNWard("Xã Quang Thành", 10705, VietnamDivisionType.XA, "xa_quang_thanh", 292),
  "W_10708" : VNWard("Xã Hiệp Hòa", 10708, VietnamDivisionType.XA, "xa_hiep_hoa", 292),
  "W_10714" : VNWard("Phường Phú Thứ", 10714, VietnamDivisionType.PHUONG, "phuong_phu_thu", 292),
  "W_10717" : VNWard("Xã Thăng Long", 10717, VietnamDivisionType.XA, "xa_thang_long", 292),
  "W_10720" : VNWard("Xã Lạc Long", 10720, VietnamDivisionType.XA, "xa_lac_long", 292),
  "W_10723" : VNWard("Phường An Sinh", 10723, VietnamDivisionType.PHUONG, "phuong_an_sinh", 292),
  "W_10726" : VNWard("Phường Hiệp Sơn", 10726, VietnamDivisionType.PHUONG, "phuong_hiep_son", 292),
  "W_10729" : VNWard("Xã Thượng Quận", 10729, VietnamDivisionType.XA, "xa_thuong_quan", 292),
  "W_10732" : VNWard("Phường An Phụ", 10732, VietnamDivisionType.PHUONG, "phuong_an_phu", 292),
  "W_10735" : VNWard("Phường Hiệp An", 10735, VietnamDivisionType.PHUONG, "phuong_hiep_an", 292),
  "W_10738" : VNWard("Phường Long Xuyên", 10738, VietnamDivisionType.PHUONG, "phuong_long_xuyen", 292),
  "W_10741" : VNWard("Phường Thái Thịnh", 10741, VietnamDivisionType.PHUONG, "phuong_thai_thinh", 292),
  "W_10744" : VNWard("Phường Hiến Thành", 10744, VietnamDivisionType.PHUONG, "phuong_hien_thanh", 292),
  "W_10747" : VNWard("Xã Minh Hòa", 10747, VietnamDivisionType.XA, "xa_minh_hoa", 292),
  "W_10750" : VNWard("Thị trấn Phú Thái", 10750, VietnamDivisionType.THI_TRAN, "thi_tran_phu_thai", 293),
  "W_10753" : VNWard("Xã Lai Vu", 10753, VietnamDivisionType.XA, "xa_lai_vu", 293),
  "W_10756" : VNWard("Xã Cộng Hòa", 10756, VietnamDivisionType.XA, "xa_cong_hoa", 293),
  "W_10759" : VNWard("Xã Thượng Vũ", 10759, VietnamDivisionType.XA, "xa_thuong_vu", 293),
  "W_10762" : VNWard("Xã Cổ Dũng", 10762, VietnamDivisionType.XA, "xa_co_dung", 293),
  "W_10768" : VNWard("Xã Tuấn Việt", 10768, VietnamDivisionType.XA, "xa_tuan_viet", 293),
  "W_10771" : VNWard("Xã Kim Xuyên", 10771, VietnamDivisionType.XA, "xa_kim_xuyen", 293),
  "W_10774" : VNWard("Xã Phúc Thành A", 10774, VietnamDivisionType.XA, "xa_phuc_thanh_a", 293),
  "W_10777" : VNWard("Xã Ngũ Phúc", 10777, VietnamDivisionType.XA, "xa_ngu_phuc", 293),
  "W_10780" : VNWard("Xã Kim Anh", 10780, VietnamDivisionType.XA, "xa_kim_anh", 293),
  "W_10783" : VNWard("Xã Kim Liên", 10783, VietnamDivisionType.XA, "xa_kim_lien", 293),
  "W_10786" : VNWard("Xã Kim Tân", 10786, VietnamDivisionType.XA, "xa_kim_tan", 293),
  "W_10792" : VNWard("Xã Kim Đính", 10792, VietnamDivisionType.XA, "xa_kim_dinh", 293),
  "W_10798" : VNWard("Xã Bình Dân", 10798, VietnamDivisionType.XA, "xa_binh_dan", 293),
  "W_10801" : VNWard("Xã Tam Kỳ", 10801, VietnamDivisionType.XA, "xa_tam_ky", 293),
  "W_10804" : VNWard("Xã Đồng Cẩm", 10804, VietnamDivisionType.XA, "xa_dong_cam", 293),
  "W_10807" : VNWard("Xã Liên Hòa", 10807, VietnamDivisionType.XA, "xa_lien_hoa", 293),
  "W_10810" : VNWard("Xã Đại Đức", 10810, VietnamDivisionType.XA, "xa_dai_duc", 293),
  "W_10813" : VNWard("Thị trấn Thanh Hà", 10813, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_ha", 294),
  "W_10816" : VNWard("Xã Hồng Lạc", 10816, VietnamDivisionType.XA, "xa_hong_lac", 294),
  "W_10819" : VNWard("Xã Việt Hồng", 10819, VietnamDivisionType.XA, "xa_viet_hong", 294),
  "W_10825" : VNWard("Xã Tân Việt", 10825, VietnamDivisionType.XA, "xa_tan_viet", 294),
  "W_10828" : VNWard("Xã Cẩm Chế", 10828, VietnamDivisionType.XA, "xa_cam_che", 294),
  "W_10831" : VNWard("Xã Thanh An", 10831, VietnamDivisionType.XA, "xa_thanh_an", 294),
  "W_10834" : VNWard("Xã Thanh Lang", 10834, VietnamDivisionType.XA, "xa_thanh_lang", 294),
  "W_10840" : VNWard("Xã Tân An", 10840, VietnamDivisionType.XA, "xa_tan_an", 294),
  "W_10843" : VNWard("Xã Liên Mạc", 10843, VietnamDivisionType.XA, "xa_lien_mac", 294),
  "W_10846" : VNWard("Xã Thanh Hải", 10846, VietnamDivisionType.XA, "xa_thanh_hai", 294),
  "W_10849" : VNWard("Xã Thanh Khê", 10849, VietnamDivisionType.XA, "xa_thanh_khe", 294),
  "W_10852" : VNWard("Xã Thanh Xá", 10852, VietnamDivisionType.XA, "xa_thanh_xa", 294),
  "W_10855" : VNWard("Xã Thanh Xuân", 10855, VietnamDivisionType.XA, "xa_thanh_xuan", 294),
  "W_10861" : VNWard("Xã Thanh Thủy", 10861, VietnamDivisionType.XA, "xa_thanh_thuy", 294),
  "W_10864" : VNWard("Xã An Phượng", 10864, VietnamDivisionType.XA, "xa_an_phuong", 294),
  "W_10867" : VNWard("Xã Thanh Sơn", 10867, VietnamDivisionType.XA, "xa_thanh_son", 294),
  "W_10876" : VNWard("Xã Thanh Quang", 10876, VietnamDivisionType.XA, "xa_thanh_quang", 294),
  "W_10879" : VNWard("Xã Thanh Hồng", 10879, VietnamDivisionType.XA, "xa_thanh_hong", 294),
  "W_10882" : VNWard("Xã Thanh Cường", 10882, VietnamDivisionType.XA, "xa_thanh_cuong", 294),
  "W_10885" : VNWard("Xã Vĩnh Lập", 10885, VietnamDivisionType.XA, "xa_vinh_lap", 294),
  "W_10888" : VNWard("Thị trấn Cẩm Giang", 10888, VietnamDivisionType.THI_TRAN, "thi_tran_cam_giang", 295),
  "W_10891" : VNWard("Thị trấn Lai Cách", 10891, VietnamDivisionType.THI_TRAN, "thi_tran_lai_cach", 295),
  "W_10894" : VNWard("Xã Cẩm Hưng", 10894, VietnamDivisionType.XA, "xa_cam_hung", 295),
  "W_10897" : VNWard("Xã Cẩm Hoàng", 10897, VietnamDivisionType.XA, "xa_cam_hoang", 295),
  "W_10900" : VNWard("Xã Cẩm Văn", 10900, VietnamDivisionType.XA, "xa_cam_van", 295),
  "W_10903" : VNWard("Xã Ngọc Liên", 10903, VietnamDivisionType.XA, "xa_ngoc_lien", 295),
  "W_10906" : VNWard("Xã Thạch Lỗi", 10906, VietnamDivisionType.XA, "xa_thach_loi", 295),
  "W_10909" : VNWard("Xã Cẩm Vũ", 10909, VietnamDivisionType.XA, "xa_cam_vu", 295),
  "W_10912" : VNWard("Xã Đức Chính", 10912, VietnamDivisionType.XA, "xa_duc_chinh", 295),
  "W_10918" : VNWard("Xã Định Sơn", 10918, VietnamDivisionType.XA, "xa_dinh_son", 295),
  "W_10924" : VNWard("Xã Lương Điền", 10924, VietnamDivisionType.XA, "xa_luong_dien", 295),
  "W_10927" : VNWard("Xã Cao An", 10927, VietnamDivisionType.XA, "xa_cao_an", 295),
  "W_10930" : VNWard("Xã Tân Trường", 10930, VietnamDivisionType.XA, "xa_tan_truong", 295),
  "W_10933" : VNWard("Xã Cẩm Phúc", 10933, VietnamDivisionType.XA, "xa_cam_phuc", 295),
  "W_10936" : VNWard("Xã Cẩm Điền", 10936, VietnamDivisionType.XA, "xa_cam_dien", 295),
  "W_10939" : VNWard("Xã Cẩm Đông", 10939, VietnamDivisionType.XA, "xa_cam_dong", 295),
  "W_10942" : VNWard("Xã Cẩm Đoài", 10942, VietnamDivisionType.XA, "xa_cam_doai", 295),
  "W_10945" : VNWard("Thị trấn Kẻ Sặt", 10945, VietnamDivisionType.THI_TRAN, "thi_tran_ke_sat", 296),
  "W_10951" : VNWard("Xã Vĩnh Hưng", 10951, VietnamDivisionType.XA, "xa_vinh_hung", 296),
  "W_10954" : VNWard("Xã Hùng Thắng", 10954, VietnamDivisionType.XA, "xa_hung_thang", 296),
  "W_10960" : VNWard("Xã Vĩnh Hồng", 10960, VietnamDivisionType.XA, "xa_vinh_hong", 296),
  "W_10963" : VNWard("Xã Long Xuyên", 10963, VietnamDivisionType.XA, "xa_long_xuyen", 296),
  "W_10966" : VNWard("Xã Tân Việt", 10966, VietnamDivisionType.XA, "xa_tan_viet", 296),
  "W_10969" : VNWard("Xã Thúc Kháng", 10969, VietnamDivisionType.XA, "xa_thuc_khang", 296),
  "W_10972" : VNWard("Xã Tân Hồng", 10972, VietnamDivisionType.XA, "xa_tan_hong", 296),
  "W_10975" : VNWard("Xã Bình Minh", 10975, VietnamDivisionType.XA, "xa_binh_minh", 296),
  "W_10978" : VNWard("Xã Hồng Khê", 10978, VietnamDivisionType.XA, "xa_hong_khe", 296),
  "W_10981" : VNWard("Xã Thái Học", 10981, VietnamDivisionType.XA, "xa_thai_hoc", 296),
  "W_10984" : VNWard("Xã Cổ Bì", 10984, VietnamDivisionType.XA, "xa_co_bi", 296),
  "W_10987" : VNWard("Xã Nhân Quyền", 10987, VietnamDivisionType.XA, "xa_nhan_quyen", 296),
  "W_10990" : VNWard("Xã Thái Dương", 10990, VietnamDivisionType.XA, "xa_thai_duong", 296),
  "W_10993" : VNWard("Xã Thái Hòa", 10993, VietnamDivisionType.XA, "xa_thai_hoa", 296),
  "W_10996" : VNWard("Xã Bình Xuyên", 10996, VietnamDivisionType.XA, "xa_binh_xuyen", 296),
  "W_10999" : VNWard("Thị trấn Gia Lộc", 10999, VietnamDivisionType.THI_TRAN, "thi_tran_gia_loc", 297),
  "W_11008" : VNWard("Xã Thống Nhất", 11008, VietnamDivisionType.XA, "xa_thong_nhat", 297),
  "W_11020" : VNWard("Xã Yết Kiêu", 11020, VietnamDivisionType.XA, "xa_yet_kieu", 297),
  "W_11029" : VNWard("Xã Gia Tân", 11029, VietnamDivisionType.XA, "xa_gia_tan", 297),
  "W_11032" : VNWard("Xã Tân Tiến", 11032, VietnamDivisionType.XA, "xa_tan_tien", 297),
  "W_11035" : VNWard("Xã Gia Khánh", 11035, VietnamDivisionType.XA, "xa_gia_khanh", 297),
  "W_11038" : VNWard("Xã Gia Lương", 11038, VietnamDivisionType.XA, "xa_gia_luong", 297),
  "W_11041" : VNWard("Xã Lê Lợi", 11041, VietnamDivisionType.XA, "xa_le_loi", 297),
  "W_11044" : VNWard("Xã Toàn Thắng", 11044, VietnamDivisionType.XA, "xa_toan_thang", 297),
  "W_11047" : VNWard("Xã Hoàng Diệu", 11047, VietnamDivisionType.XA, "xa_hoang_dieu", 297),
  "W_11050" : VNWard("Xã Hồng Hưng", 11050, VietnamDivisionType.XA, "xa_hong_hung", 297),
  "W_11053" : VNWard("Xã Phạm Trấn", 11053, VietnamDivisionType.XA, "xa_pham_tran", 297),
  "W_11056" : VNWard("Xã Đoàn Thượng", 11056, VietnamDivisionType.XA, "xa_doan_thuong", 297),
  "W_11059" : VNWard("Xã Thống Kênh", 11059, VietnamDivisionType.XA, "xa_thong_kenh", 297),
  "W_11062" : VNWard("Xã Quang Minh", 11062, VietnamDivisionType.XA, "xa_quang_minh", 297),
  "W_11065" : VNWard("Xã Đồng Quang", 11065, VietnamDivisionType.XA, "xa_dong_quang", 297),
  "W_11068" : VNWard("Xã Nhật Tân", 11068, VietnamDivisionType.XA, "xa_nhat_tan", 297),
  "W_11071" : VNWard("Xã Đức Xương", 11071, VietnamDivisionType.XA, "xa_duc_xuong", 297),
  "W_11074" : VNWard("Thị trấn Tứ Kỳ", 11074, VietnamDivisionType.THI_TRAN, "thi_tran_tu_ky", 298),
  "W_11083" : VNWard("Xã Đại Sơn", 11083, VietnamDivisionType.XA, "xa_dai_son", 298),
  "W_11086" : VNWard("Xã Hưng Đạo", 11086, VietnamDivisionType.XA, "xa_hung_dao", 298),
  "W_11089" : VNWard("Xã Ngọc Kỳ", 11089, VietnamDivisionType.XA, "xa_ngoc_ky", 298),
  "W_11092" : VNWard("Xã Bình Lăng", 11092, VietnamDivisionType.XA, "xa_binh_lang", 298),
  "W_11095" : VNWard("Xã Chí Minh", 11095, VietnamDivisionType.XA, "xa_chi_minh", 298),
  "W_11098" : VNWard("Xã Tái Sơn", 11098, VietnamDivisionType.XA, "xa_tai_son", 298),
  "W_11101" : VNWard("Xã Quang Phục", 11101, VietnamDivisionType.XA, "xa_quang_phuc", 298),
  "W_11110" : VNWard("Xã Dân Chủ", 11110, VietnamDivisionType.XA, "xa_dan_chu", 298),
  "W_11113" : VNWard("Xã Tân Kỳ", 11113, VietnamDivisionType.XA, "xa_tan_ky", 298),
  "W_11116" : VNWard("Xã Quang Khải", 11116, VietnamDivisionType.XA, "xa_quang_khai", 298),
  "W_11119" : VNWard("Xã Đại Hợp", 11119, VietnamDivisionType.XA, "xa_dai_hop", 298),
  "W_11122" : VNWard("Xã Quảng Nghiệp", 11122, VietnamDivisionType.XA, "xa_quang_nghiep", 298),
  "W_11125" : VNWard("Xã An Thanh", 11125, VietnamDivisionType.XA, "xa_an_thanh", 298),
  "W_11128" : VNWard("Xã Minh Đức", 11128, VietnamDivisionType.XA, "xa_minh_duc", 298),
  "W_11131" : VNWard("Xã Văn Tố", 11131, VietnamDivisionType.XA, "xa_van_to", 298),
  "W_11134" : VNWard("Xã Quang Trung", 11134, VietnamDivisionType.XA, "xa_quang_trung", 298),
  "W_11137" : VNWard("Xã Phượng Kỳ", 11137, VietnamDivisionType.XA, "xa_phuong_ky", 298),
  "W_11140" : VNWard("Xã Cộng Lạc", 11140, VietnamDivisionType.XA, "xa_cong_lac", 298),
  "W_11143" : VNWard("Xã Tiên Động", 11143, VietnamDivisionType.XA, "xa_tien_dong", 298),
  "W_11146" : VNWard("Xã Nguyên Giáp", 11146, VietnamDivisionType.XA, "xa_nguyen_giap", 298),
  "W_11149" : VNWard("Xã Hà Kỳ", 11149, VietnamDivisionType.XA, "xa_ha_ky", 298),
  "W_11152" : VNWard("Xã Hà Thanh", 11152, VietnamDivisionType.XA, "xa_ha_thanh", 298),
  "W_11155" : VNWard("Thị trấn Ninh Giang", 11155, VietnamDivisionType.THI_TRAN, "thi_tran_ninh_giang", 299),
  "W_11161" : VNWard("Xã Ứng Hoè", 11161, VietnamDivisionType.XA, "xa_ung_hoe", 299),
  "W_11164" : VNWard("Xã Nghĩa An", 11164, VietnamDivisionType.XA, "xa_nghia_an", 299),
  "W_11167" : VNWard("Xã Hồng Đức", 11167, VietnamDivisionType.XA, "xa_hong_duc", 299),
  "W_11173" : VNWard("Xã An Đức", 11173, VietnamDivisionType.XA, "xa_an_duc", 299),
  "W_11176" : VNWard("Xã Vạn Phúc", 11176, VietnamDivisionType.XA, "xa_van_phuc", 299),
  "W_11179" : VNWard("Xã Tân Hương", 11179, VietnamDivisionType.XA, "xa_tan_huong", 299),
  "W_11185" : VNWard("Xã Vĩnh Hòa", 11185, VietnamDivisionType.XA, "xa_vinh_hoa", 299),
  "W_11188" : VNWard("Xã Đông Xuyên", 11188, VietnamDivisionType.XA, "xa_dong_xuyen", 299),
  "W_11197" : VNWard("Xã Tân Phong", 11197, VietnamDivisionType.XA, "xa_tan_phong", 299),
  "W_11200" : VNWard("Xã Ninh Hải", 11200, VietnamDivisionType.XA, "xa_ninh_hai", 299),
  "W_11203" : VNWard("Xã Đồng Tâm", 11203, VietnamDivisionType.XA, "xa_dong_tam", 299),
  "W_11206" : VNWard("Xã Tân Quang", 11206, VietnamDivisionType.XA, "xa_tan_quang", 299),
  "W_11209" : VNWard("Xã Kiến Quốc", 11209, VietnamDivisionType.XA, "xa_kien_quoc", 299),
  "W_11215" : VNWard("Xã Hồng Dụ", 11215, VietnamDivisionType.XA, "xa_hong_du", 299),
  "W_11218" : VNWard("Xã Văn Hội", 11218, VietnamDivisionType.XA, "xa_van_hoi", 299),
  "W_11224" : VNWard("Xã Hồng Phong", 11224, VietnamDivisionType.XA, "xa_hong_phong", 299),
  "W_11227" : VNWard("Xã Hiệp Lực", 11227, VietnamDivisionType.XA, "xa_hiep_luc", 299),
  "W_11230" : VNWard("Xã Hồng Phúc", 11230, VietnamDivisionType.XA, "xa_hong_phuc", 299),
  "W_11233" : VNWard("Xã Hưng Long", 11233, VietnamDivisionType.XA, "xa_hung_long", 299),
  "W_11239" : VNWard("Thị trấn Thanh Miện", 11239, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_mien", 300),
  "W_11242" : VNWard("Xã Thanh Tùng", 11242, VietnamDivisionType.XA, "xa_thanh_tung", 300),
  "W_11245" : VNWard("Xã Phạm Kha", 11245, VietnamDivisionType.XA, "xa_pham_kha", 300),
  "W_11248" : VNWard("Xã Ngô Quyền", 11248, VietnamDivisionType.XA, "xa_ngo_quyen", 300),
  "W_11251" : VNWard("Xã Đoàn Tùng", 11251, VietnamDivisionType.XA, "xa_doan_tung", 300),
  "W_11254" : VNWard("Xã Hồng Quang", 11254, VietnamDivisionType.XA, "xa_hong_quang", 300),
  "W_11257" : VNWard("Xã Tân Trào", 11257, VietnamDivisionType.XA, "xa_tan_trao", 300),
  "W_11260" : VNWard("Xã Lam Sơn", 11260, VietnamDivisionType.XA, "xa_lam_son", 300),
  "W_11263" : VNWard("Xã Đoàn Kết", 11263, VietnamDivisionType.XA, "xa_doan_ket", 300),
  "W_11266" : VNWard("Xã Lê Hồng", 11266, VietnamDivisionType.XA, "xa_le_hong", 300),
  "W_11269" : VNWard("Xã Tứ Cường", 11269, VietnamDivisionType.XA, "xa_tu_cuong", 300),
  "W_11275" : VNWard("Xã Ngũ Hùng", 11275, VietnamDivisionType.XA, "xa_ngu_hung", 300),
  "W_11278" : VNWard("Xã Cao Thắng", 11278, VietnamDivisionType.XA, "xa_cao_thang", 300),
  "W_11281" : VNWard("Xã Chi Lăng Bắc", 11281, VietnamDivisionType.XA, "xa_chi_lang_bac", 300),
  "W_11284" : VNWard("Xã Chi Lăng Nam", 11284, VietnamDivisionType.XA, "xa_chi_lang_nam", 300),
  "W_11287" : VNWard("Xã Thanh Giang", 11287, VietnamDivisionType.XA, "xa_thanh_giang", 300),
  "W_11293" : VNWard("Xã Hồng Phong", 11293, VietnamDivisionType.XA, "xa_hong_phong", 300),
  "W_11296" : VNWard("Phường Quán Toan", 11296, VietnamDivisionType.PHUONG, "phuong_quan_toan", 303),
  "W_11299" : VNWard("Phường Hùng Vương", 11299, VietnamDivisionType.PHUONG, "phuong_hung_vuong", 303),
  "W_11302" : VNWard("Phường Sở Dầu", 11302, VietnamDivisionType.PHUONG, "phuong_so_dau", 303),
  "W_11305" : VNWard("Phường Thượng Lý", 11305, VietnamDivisionType.PHUONG, "phuong_thuong_ly", 303),
  "W_11308" : VNWard("Phường Hạ Lý", 11308, VietnamDivisionType.PHUONG, "phuong_ha_ly", 303),
  "W_11311" : VNWard("Phường Minh Khai", 11311, VietnamDivisionType.PHUONG, "phuong_minh_khai", 303),
  "W_11314" : VNWard("Phường Trại Chuối", 11314, VietnamDivisionType.PHUONG, "phuong_trai_chuoi", 303),
  "W_11320" : VNWard("Phường Hoàng Văn Thụ", 11320, VietnamDivisionType.PHUONG, "phuong_hoang_van_thu", 303),
  "W_11323" : VNWard("Phường Phan Bội Châu", 11323, VietnamDivisionType.PHUONG, "phuong_phan_boi_chau", 303),
  "W_11329" : VNWard("Phường Máy Chai", 11329, VietnamDivisionType.PHUONG, "phuong_may_chai", 304),
  "W_11332" : VNWard("Phường Máy Tơ", 11332, VietnamDivisionType.PHUONG, "phuong_may_to", 304),
  "W_11335" : VNWard("Phường Vạn Mỹ", 11335, VietnamDivisionType.PHUONG, "phuong_van_my", 304),
  "W_11338" : VNWard("Phường Cầu Tre", 11338, VietnamDivisionType.PHUONG, "phuong_cau_tre", 304),
  "W_11341" : VNWard("Phường Lạc Viên", 11341, VietnamDivisionType.PHUONG, "phuong_lac_vien", 304),
  "W_11347" : VNWard("Phường Gia Viên", 11347, VietnamDivisionType.PHUONG, "phuong_gia_vien", 304),
  "W_11350" : VNWard("Phường Đông Khê", 11350, VietnamDivisionType.PHUONG, "phuong_dong_khe", 304),
  "W_11353" : VNWard("Phường Cầu Đất", 11353, VietnamDivisionType.PHUONG, "phuong_cau_dat", 304),
  "W_11356" : VNWard("Phường Lê Lợi", 11356, VietnamDivisionType.PHUONG, "phuong_le_loi", 304),
  "W_11359" : VNWard("Phường Đằng Giang", 11359, VietnamDivisionType.PHUONG, "phuong_dang_giang", 304),
  "W_11362" : VNWard("Phường Lạch Tray", 11362, VietnamDivisionType.PHUONG, "phuong_lach_tray", 304),
  "W_11365" : VNWard("Phường Đổng Quốc Bình", 11365, VietnamDivisionType.PHUONG, "phuong_dong_quoc_binh", 304),
  "W_11368" : VNWard("Phường Cát Dài", 11368, VietnamDivisionType.PHUONG, "phuong_cat_dai", 305),
  "W_11371" : VNWard("Phường An Biên", 11371, VietnamDivisionType.PHUONG, "phuong_an_bien", 305),
  "W_11374" : VNWard("Phường Lam Sơn", 11374, VietnamDivisionType.PHUONG, "phuong_lam_son", 305),
  "W_11377" : VNWard("Phường An Dương", 11377, VietnamDivisionType.PHUONG, "phuong_an_duong", 305),
  "W_11380" : VNWard("Phường Trần Nguyên Hãn", 11380, VietnamDivisionType.PHUONG, "phuong_tran_nguyen_han", 305),
  "W_11383" : VNWard("Phường Hồ Nam", 11383, VietnamDivisionType.PHUONG, "phuong_ho_nam", 305),
  "W_11386" : VNWard("Phường Trại Cau", 11386, VietnamDivisionType.PHUONG, "phuong_trai_cau", 305),
  "W_11389" : VNWard("Phường Dư Hàng", 11389, VietnamDivisionType.PHUONG, "phuong_du_hang", 305),
  "W_11392" : VNWard("Phường Hàng Kênh", 11392, VietnamDivisionType.PHUONG, "phuong_hang_kenh", 305),
  "W_11395" : VNWard("Phường Đông Hải", 11395, VietnamDivisionType.PHUONG, "phuong_dong_hai", 305),
  "W_11398" : VNWard("Phường Niệm Nghĩa", 11398, VietnamDivisionType.PHUONG, "phuong_niem_nghia", 305),
  "W_11401" : VNWard("Phường Nghĩa Xá", 11401, VietnamDivisionType.PHUONG, "phuong_nghia_xa", 305),
  "W_11404" : VNWard("Phường Dư Hàng Kênh", 11404, VietnamDivisionType.PHUONG, "phuong_du_hang_kenh", 305),
  "W_11405" : VNWard("Phường Kênh Dương", 11405, VietnamDivisionType.PHUONG, "phuong_kenh_duong", 305),
  "W_11407" : VNWard("Phường Vĩnh Niệm", 11407, VietnamDivisionType.PHUONG, "phuong_vinh_niem", 305),
  "W_11410" : VNWard("Phường Đông Hải 1", 11410, VietnamDivisionType.PHUONG, "phuong_dong_hai_1", 306),
  "W_11411" : VNWard("Phường Đông Hải 2", 11411, VietnamDivisionType.PHUONG, "phuong_dong_hai_2", 306),
  "W_11413" : VNWard("Phường Đằng Lâm", 11413, VietnamDivisionType.PHUONG, "phuong_dang_lam", 306),
  "W_11414" : VNWard("Phường Thành Tô", 11414, VietnamDivisionType.PHUONG, "phuong_thanh_to", 306),
  "W_11416" : VNWard("Phường Đằng Hải", 11416, VietnamDivisionType.PHUONG, "phuong_dang_hai", 306),
  "W_11419" : VNWard("Phường Nam Hải", 11419, VietnamDivisionType.PHUONG, "phuong_nam_hai", 306),
  "W_11422" : VNWard("Phường Cát Bi", 11422, VietnamDivisionType.PHUONG, "phuong_cat_bi", 306),
  "W_11425" : VNWard("Phường Tràng Cát", 11425, VietnamDivisionType.PHUONG, "phuong_trang_cat", 306),
  "W_11428" : VNWard("Phường Quán Trữ", 11428, VietnamDivisionType.PHUONG, "phuong_quan_tru", 307),
  "W_11429" : VNWard("Phường Lãm Hà", 11429, VietnamDivisionType.PHUONG, "phuong_lam_ha", 307),
  "W_11431" : VNWard("Phường Đồng Hoà", 11431, VietnamDivisionType.PHUONG, "phuong_dong_hoa", 307),
  "W_11434" : VNWard("Phường Bắc Sơn", 11434, VietnamDivisionType.PHUONG, "phuong_bac_son", 307),
  "W_11437" : VNWard("Phường Nam Sơn", 11437, VietnamDivisionType.PHUONG, "phuong_nam_son", 307),
  "W_11440" : VNWard("Phường Ngọc Sơn", 11440, VietnamDivisionType.PHUONG, "phuong_ngoc_son", 307),
  "W_11443" : VNWard("Phường Trần Thành Ngọ", 11443, VietnamDivisionType.PHUONG, "phuong_tran_thanh_ngo", 307),
  "W_11446" : VNWard("Phường Văn Đẩu", 11446, VietnamDivisionType.PHUONG, "phuong_van_dau", 307),
  "W_11449" : VNWard("Phường Phù Liễn", 11449, VietnamDivisionType.PHUONG, "phuong_phu_lien", 307),
  "W_11452" : VNWard("Phường Tràng Minh", 11452, VietnamDivisionType.PHUONG, "phuong_trang_minh", 307),
  "W_11455" : VNWard("Phường Ngọc Xuyên", 11455, VietnamDivisionType.PHUONG, "phuong_ngoc_xuyen", 308),
  "W_11458" : VNWard("Phường Hải Sơn", 11458, VietnamDivisionType.PHUONG, "phuong_hai_son", 308),
  "W_11461" : VNWard("Phường Vạn Hương", 11461, VietnamDivisionType.PHUONG, "phuong_van_huong", 308),
  "W_11465" : VNWard("Phường Minh Đức", 11465, VietnamDivisionType.PHUONG, "phuong_minh_duc", 308),
  "W_11467" : VNWard("Phường Bàng La", 11467, VietnamDivisionType.PHUONG, "phuong_bang_la", 308),
  "W_11737" : VNWard("Phường Hợp Đức", 11737, VietnamDivisionType.PHUONG, "phuong_hop_duc", 308),
  "W_11683" : VNWard("Phường Đa Phúc", 11683, VietnamDivisionType.PHUONG, "phuong_da_phuc", 309),
  "W_11686" : VNWard("Phường Hưng Đạo", 11686, VietnamDivisionType.PHUONG, "phuong_hung_dao", 309),
  "W_11689" : VNWard("Phường Anh Dũng", 11689, VietnamDivisionType.PHUONG, "phuong_anh_dung", 309),
  "W_11692" : VNWard("Phường Hải Thành", 11692, VietnamDivisionType.PHUONG, "phuong_hai_thanh", 309),
  "W_11707" : VNWard("Phường Hoà Nghĩa", 11707, VietnamDivisionType.PHUONG, "phuong_hoa_nghia", 309),
  "W_11740" : VNWard("Phường Tân Thành", 11740, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 309),
  "W_11470" : VNWard("Thị trấn Núi Đèo", 11470, VietnamDivisionType.THI_TRAN, "thi_tran_nui_deo", 311),
  "W_11473" : VNWard("Thị trấn Minh Đức", 11473, VietnamDivisionType.THI_TRAN, "thi_tran_minh_duc", 311),
  "W_11476" : VNWard("Xã Lại Xuân", 11476, VietnamDivisionType.XA, "xa_lai_xuan", 311),
  "W_11479" : VNWard("Xã An Sơn", 11479, VietnamDivisionType.XA, "xa_an_son", 311),
  "W_11482" : VNWard("Xã Kỳ Sơn", 11482, VietnamDivisionType.XA, "xa_ky_son", 311),
  "W_11485" : VNWard("Xã Liên Khê", 11485, VietnamDivisionType.XA, "xa_lien_khe", 311),
  "W_11488" : VNWard("Xã Lưu Kiếm", 11488, VietnamDivisionType.XA, "xa_luu_kiem", 311),
  "W_11491" : VNWard("Xã Lưu Kỳ", 11491, VietnamDivisionType.XA, "xa_luu_ky", 311),
  "W_11494" : VNWard("Xã Gia Minh", 11494, VietnamDivisionType.XA, "xa_gia_minh", 311),
  "W_11497" : VNWard("Xã Gia Đức", 11497, VietnamDivisionType.XA, "xa_gia_duc", 311),
  "W_11500" : VNWard("Xã Minh Tân", 11500, VietnamDivisionType.XA, "xa_minh_tan", 311),
  "W_11503" : VNWard("Xã Phù Ninh", 11503, VietnamDivisionType.XA, "xa_phu_ninh", 311),
  "W_11506" : VNWard("Xã Quảng Thanh", 11506, VietnamDivisionType.XA, "xa_quang_thanh", 311),
  "W_11509" : VNWard("Xã Chính Mỹ", 11509, VietnamDivisionType.XA, "xa_chinh_my", 311),
  "W_11512" : VNWard("Xã Kênh Giang", 11512, VietnamDivisionType.XA, "xa_kenh_giang", 311),
  "W_11515" : VNWard("Xã Hợp Thành", 11515, VietnamDivisionType.XA, "xa_hop_thanh", 311),
  "W_11518" : VNWard("Xã Cao Nhân", 11518, VietnamDivisionType.XA, "xa_cao_nhan", 311),
  "W_11521" : VNWard("Xã Mỹ Đồng", 11521, VietnamDivisionType.XA, "xa_my_dong", 311),
  "W_11524" : VNWard("Xã Đông Sơn", 11524, VietnamDivisionType.XA, "xa_dong_son", 311),
  "W_11527" : VNWard("Xã Hoà Bình", 11527, VietnamDivisionType.XA, "xa_hoa_binh", 311),
  "W_11530" : VNWard("Xã Trung Hà", 11530, VietnamDivisionType.XA, "xa_trung_ha", 311),
  "W_11533" : VNWard("Xã An Lư", 11533, VietnamDivisionType.XA, "xa_an_lu", 311),
  "W_11536" : VNWard("Xã Thuỷ Triều", 11536, VietnamDivisionType.XA, "xa_thuy_trieu", 311),
  "W_11539" : VNWard("Xã Ngũ Lão", 11539, VietnamDivisionType.XA, "xa_ngu_lao", 311),
  "W_11542" : VNWard("Xã Phục Lễ", 11542, VietnamDivisionType.XA, "xa_phuc_le", 311),
  "W_11545" : VNWard("Xã Tam Hưng", 11545, VietnamDivisionType.XA, "xa_tam_hung", 311),
  "W_11548" : VNWard("Xã Phả Lễ", 11548, VietnamDivisionType.XA, "xa_pha_le", 311),
  "W_11551" : VNWard("Xã Lập Lễ", 11551, VietnamDivisionType.XA, "xa_lap_le", 311),
  "W_11554" : VNWard("Xã Kiền Bái", 11554, VietnamDivisionType.XA, "xa_kien_bai", 311),
  "W_11557" : VNWard("Xã Thiên Hương", 11557, VietnamDivisionType.XA, "xa_thien_huong", 311),
  "W_11560" : VNWard("Xã Thuỷ Sơn", 11560, VietnamDivisionType.XA, "xa_thuy_son", 311),
  "W_11563" : VNWard("Xã Thuỷ Đường", 11563, VietnamDivisionType.XA, "xa_thuy_duong", 311),
  "W_11566" : VNWard("Xã Hoàng Động", 11566, VietnamDivisionType.XA, "xa_hoang_dong", 311),
  "W_11569" : VNWard("Xã Lâm Động", 11569, VietnamDivisionType.XA, "xa_lam_dong", 311),
  "W_11572" : VNWard("Xã Hoa Động", 11572, VietnamDivisionType.XA, "xa_hoa_dong", 311),
  "W_11575" : VNWard("Xã Tân Dương", 11575, VietnamDivisionType.XA, "xa_tan_duong", 311),
  "W_11578" : VNWard("Xã Dương Quan", 11578, VietnamDivisionType.XA, "xa_duong_quan", 311),
  "W_11581" : VNWard("Thị trấn An Dương", 11581, VietnamDivisionType.THI_TRAN, "thi_tran_an_duong", 312),
  "W_11584" : VNWard("Xã Lê Thiện", 11584, VietnamDivisionType.XA, "xa_le_thien", 312),
  "W_11587" : VNWard("Xã Đại Bản", 11587, VietnamDivisionType.XA, "xa_dai_ban", 312),
  "W_11590" : VNWard("Xã An Hoà", 11590, VietnamDivisionType.XA, "xa_an_hoa", 312),
  "W_11593" : VNWard("Xã Hồng Phong", 11593, VietnamDivisionType.XA, "xa_hong_phong", 312),
  "W_11596" : VNWard("Xã Tân Tiến", 11596, VietnamDivisionType.XA, "xa_tan_tien", 312),
  "W_11599" : VNWard("Xã An Hưng", 11599, VietnamDivisionType.XA, "xa_an_hung", 312),
  "W_11602" : VNWard("Xã An Hồng", 11602, VietnamDivisionType.XA, "xa_an_hong", 312),
  "W_11605" : VNWard("Xã Bắc Sơn", 11605, VietnamDivisionType.XA, "xa_bac_son", 312),
  "W_11608" : VNWard("Xã Nam Sơn", 11608, VietnamDivisionType.XA, "xa_nam_son", 312),
  "W_11611" : VNWard("Xã Lê Lợi", 11611, VietnamDivisionType.XA, "xa_le_loi", 312),
  "W_11614" : VNWard("Xã Đặng Cương", 11614, VietnamDivisionType.XA, "xa_dang_cuong", 312),
  "W_11617" : VNWard("Xã Đồng Thái", 11617, VietnamDivisionType.XA, "xa_dong_thai", 312),
  "W_11620" : VNWard("Xã Quốc Tuấn", 11620, VietnamDivisionType.XA, "xa_quoc_tuan", 312),
  "W_11623" : VNWard("Xã An Đồng", 11623, VietnamDivisionType.XA, "xa_an_dong", 312),
  "W_11626" : VNWard("Xã Hồng Thái", 11626, VietnamDivisionType.XA, "xa_hong_thai", 312),
  "W_11629" : VNWard("Thị trấn An Lão", 11629, VietnamDivisionType.THI_TRAN, "thi_tran_an_lao", 313),
  "W_11632" : VNWard("Xã Bát Trang", 11632, VietnamDivisionType.XA, "xa_bat_trang", 313),
  "W_11635" : VNWard("Xã Trường Thọ", 11635, VietnamDivisionType.XA, "xa_truong_tho", 313),
  "W_11638" : VNWard("Xã Trường Thành", 11638, VietnamDivisionType.XA, "xa_truong_thanh", 313),
  "W_11641" : VNWard("Xã An Tiến", 11641, VietnamDivisionType.XA, "xa_an_tien", 313),
  "W_11644" : VNWard("Xã Quang Hưng", 11644, VietnamDivisionType.XA, "xa_quang_hung", 313),
  "W_11647" : VNWard("Xã Quang Trung", 11647, VietnamDivisionType.XA, "xa_quang_trung", 313),
  "W_11650" : VNWard("Xã Quốc Tuấn", 11650, VietnamDivisionType.XA, "xa_quoc_tuan", 313),
  "W_11653" : VNWard("Xã An Thắng", 11653, VietnamDivisionType.XA, "xa_an_thang", 313),
  "W_11656" : VNWard("Thị trấn Trường Sơn", 11656, VietnamDivisionType.THI_TRAN, "thi_tran_truong_son", 313),
  "W_11659" : VNWard("Xã Tân Dân", 11659, VietnamDivisionType.XA, "xa_tan_dan", 313),
  "W_11662" : VNWard("Xã Thái Sơn", 11662, VietnamDivisionType.XA, "xa_thai_son", 313),
  "W_11665" : VNWard("Xã Tân Viên", 11665, VietnamDivisionType.XA, "xa_tan_vien", 313),
  "W_11668" : VNWard("Xã Mỹ Đức", 11668, VietnamDivisionType.XA, "xa_my_duc", 313),
  "W_11671" : VNWard("Xã Chiến Thắng", 11671, VietnamDivisionType.XA, "xa_chien_thang", 313),
  "W_11674" : VNWard("Xã An Thọ", 11674, VietnamDivisionType.XA, "xa_an_tho", 313),
  "W_11677" : VNWard("Xã An Thái", 11677, VietnamDivisionType.XA, "xa_an_thai", 313),
  "W_11680" : VNWard("Thị trấn Núi Đối", 11680, VietnamDivisionType.THI_TRAN, "thi_tran_nui_doi", 314),
  "W_11695" : VNWard("Xã Đông Phương", 11695, VietnamDivisionType.XA, "xa_dong_phuong", 314),
  "W_11698" : VNWard("Xã Thuận Thiên", 11698, VietnamDivisionType.XA, "xa_thuan_thien", 314),
  "W_11701" : VNWard("Xã Hữu Bằng", 11701, VietnamDivisionType.XA, "xa_huu_bang", 314),
  "W_11704" : VNWard("Xã Đại Đồng", 11704, VietnamDivisionType.XA, "xa_dai_dong", 314),
  "W_11710" : VNWard("Xã Ngũ Phúc", 11710, VietnamDivisionType.XA, "xa_ngu_phuc", 314),
  "W_11713" : VNWard("Xã Kiến Quốc", 11713, VietnamDivisionType.XA, "xa_kien_quoc", 314),
  "W_11716" : VNWard("Xã Du Lễ", 11716, VietnamDivisionType.XA, "xa_du_le", 314),
  "W_11719" : VNWard("Xã Thuỵ Hương", 11719, VietnamDivisionType.XA, "xa_thuy_huong", 314),
  "W_11722" : VNWard("Xã Thanh Sơn", 11722, VietnamDivisionType.XA, "xa_thanh_son", 314),
  "W_11725" : VNWard("Xã Minh Tân", 11725, VietnamDivisionType.XA, "xa_minh_tan", 314),
  "W_11728" : VNWard("Xã Đại Hà", 11728, VietnamDivisionType.XA, "xa_dai_ha", 314),
  "W_11731" : VNWard("Xã Ngũ Đoan", 11731, VietnamDivisionType.XA, "xa_ngu_doan", 314),
  "W_11734" : VNWard("Xã Tân Phong", 11734, VietnamDivisionType.XA, "xa_tan_phong", 314),
  "W_11743" : VNWard("Xã Tân Trào", 11743, VietnamDivisionType.XA, "xa_tan_trao", 314),
  "W_11746" : VNWard("Xã Đoàn Xá", 11746, VietnamDivisionType.XA, "xa_doan_xa", 314),
  "W_11749" : VNWard("Xã Tú Sơn", 11749, VietnamDivisionType.XA, "xa_tu_son", 314),
  "W_11752" : VNWard("Xã Đại Hợp", 11752, VietnamDivisionType.XA, "xa_dai_hop", 314),
  "W_11755" : VNWard("Thị trấn Tiên Lãng", 11755, VietnamDivisionType.THI_TRAN, "thi_tran_tien_lang", 315),
  "W_11758" : VNWard("Xã Đại Thắng", 11758, VietnamDivisionType.XA, "xa_dai_thang", 315),
  "W_11761" : VNWard("Xã Tiên Cường", 11761, VietnamDivisionType.XA, "xa_tien_cuong", 315),
  "W_11764" : VNWard("Xã Tự Cường", 11764, VietnamDivisionType.XA, "xa_tu_cuong", 315),
  "W_11770" : VNWard("Xã Quyết Tiến", 11770, VietnamDivisionType.XA, "xa_quyet_tien", 315),
  "W_11773" : VNWard("Xã Khởi Nghĩa", 11773, VietnamDivisionType.XA, "xa_khoi_nghia", 315),
  "W_11776" : VNWard("Xã Tiên Thanh", 11776, VietnamDivisionType.XA, "xa_tien_thanh", 315),
  "W_11779" : VNWard("Xã Cấp Tiến", 11779, VietnamDivisionType.XA, "xa_cap_tien", 315),
  "W_11782" : VNWard("Xã Kiến Thiết", 11782, VietnamDivisionType.XA, "xa_kien_thiet", 315),
  "W_11785" : VNWard("Xã Đoàn Lập", 11785, VietnamDivisionType.XA, "xa_doan_lap", 315),
  "W_11788" : VNWard("Xã Bạch Đằng", 11788, VietnamDivisionType.XA, "xa_bach_dang", 315),
  "W_11791" : VNWard("Xã Quang Phục", 11791, VietnamDivisionType.XA, "xa_quang_phuc", 315),
  "W_11794" : VNWard("Xã Toàn Thắng", 11794, VietnamDivisionType.XA, "xa_toan_thang", 315),
  "W_11797" : VNWard("Xã Tiên Thắng", 11797, VietnamDivisionType.XA, "xa_tien_thang", 315),
  "W_11800" : VNWard("Xã Tiên Minh", 11800, VietnamDivisionType.XA, "xa_tien_minh", 315),
  "W_11803" : VNWard("Xã Bắc Hưng", 11803, VietnamDivisionType.XA, "xa_bac_hung", 315),
  "W_11806" : VNWard("Xã Nam Hưng", 11806, VietnamDivisionType.XA, "xa_nam_hung", 315),
  "W_11809" : VNWard("Xã Hùng Thắng", 11809, VietnamDivisionType.XA, "xa_hung_thang", 315),
  "W_11812" : VNWard("Xã Tây Hưng", 11812, VietnamDivisionType.XA, "xa_tay_hung", 315),
  "W_11815" : VNWard("Xã Đông Hưng", 11815, VietnamDivisionType.XA, "xa_dong_hung", 315),
  "W_11821" : VNWard("Xã Vinh Quang", 11821, VietnamDivisionType.XA, "xa_vinh_quang", 315),
  "W_11824" : VNWard("Thị trấn Vĩnh Bảo", 11824, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_bao", 316),
  "W_11827" : VNWard("Xã Dũng Tiến", 11827, VietnamDivisionType.XA, "xa_dung_tien", 316),
  "W_11830" : VNWard("Xã Giang Biên", 11830, VietnamDivisionType.XA, "xa_giang_bien", 316),
  "W_11833" : VNWard("Xã Thắng Thuỷ", 11833, VietnamDivisionType.XA, "xa_thang_thuy", 316),
  "W_11836" : VNWard("Xã Trung Lập", 11836, VietnamDivisionType.XA, "xa_trung_lap", 316),
  "W_11839" : VNWard("Xã Việt Tiến", 11839, VietnamDivisionType.XA, "xa_viet_tien", 316),
  "W_11842" : VNWard("Xã Vĩnh An", 11842, VietnamDivisionType.XA, "xa_vinh_an", 316),
  "W_11845" : VNWard("Xã Vĩnh Long", 11845, VietnamDivisionType.XA, "xa_vinh_long", 316),
  "W_11848" : VNWard("Xã Hiệp Hoà", 11848, VietnamDivisionType.XA, "xa_hiep_hoa", 316),
  "W_11851" : VNWard("Xã Hùng Tiến", 11851, VietnamDivisionType.XA, "xa_hung_tien", 316),
  "W_11854" : VNWard("Xã An Hoà", 11854, VietnamDivisionType.XA, "xa_an_hoa", 316),
  "W_11857" : VNWard("Xã Tân Hưng", 11857, VietnamDivisionType.XA, "xa_tan_hung", 316),
  "W_11860" : VNWard("Xã Tân Liên", 11860, VietnamDivisionType.XA, "xa_tan_lien", 316),
  "W_11863" : VNWard("Xã Nhân Hoà", 11863, VietnamDivisionType.XA, "xa_nhan_hoa", 316),
  "W_11866" : VNWard("Xã Tam Đa", 11866, VietnamDivisionType.XA, "xa_tam_da", 316),
  "W_11869" : VNWard("Xã Hưng Nhân", 11869, VietnamDivisionType.XA, "xa_hung_nhan", 316),
  "W_11872" : VNWard("Xã Vinh Quang", 11872, VietnamDivisionType.XA, "xa_vinh_quang", 316),
  "W_11875" : VNWard("Xã Đồng Minh", 11875, VietnamDivisionType.XA, "xa_dong_minh", 316),
  "W_11878" : VNWard("Xã Thanh Lương", 11878, VietnamDivisionType.XA, "xa_thanh_luong", 316),
  "W_11881" : VNWard("Xã Liên Am", 11881, VietnamDivisionType.XA, "xa_lien_am", 316),
  "W_11884" : VNWard("Xã Lý Học", 11884, VietnamDivisionType.XA, "xa_ly_hoc", 316),
  "W_11887" : VNWard("Xã Tam Cường", 11887, VietnamDivisionType.XA, "xa_tam_cuong", 316),
  "W_11890" : VNWard("Xã Hoà Bình", 11890, VietnamDivisionType.XA, "xa_hoa_binh", 316),
  "W_11893" : VNWard("Xã Tiền Phong", 11893, VietnamDivisionType.XA, "xa_tien_phong", 316),
  "W_11896" : VNWard("Xã Vĩnh Phong", 11896, VietnamDivisionType.XA, "xa_vinh_phong", 316),
  "W_11899" : VNWard("Xã Cộng Hiền", 11899, VietnamDivisionType.XA, "xa_cong_hien", 316),
  "W_11902" : VNWard("Xã Cao Minh", 11902, VietnamDivisionType.XA, "xa_cao_minh", 316),
  "W_11905" : VNWard("Xã Cổ Am", 11905, VietnamDivisionType.XA, "xa_co_am", 316),
  "W_11908" : VNWard("Xã Vĩnh Tiến", 11908, VietnamDivisionType.XA, "xa_vinh_tien", 316),
  "W_11911" : VNWard("Xã Trấn Dương", 11911, VietnamDivisionType.XA, "xa_tran_duong", 316),
  "W_11914" : VNWard("Thị trấn Cát Bà", 11914, VietnamDivisionType.THI_TRAN, "thi_tran_cat_ba", 317),
  "W_11917" : VNWard("Thị trấn Cát Hải", 11917, VietnamDivisionType.THI_TRAN, "thi_tran_cat_hai", 317),
  "W_11920" : VNWard("Xã Nghĩa Lộ", 11920, VietnamDivisionType.XA, "xa_nghia_lo", 317),
  "W_11923" : VNWard("Xã Đồng Bài", 11923, VietnamDivisionType.XA, "xa_dong_bai", 317),
  "W_11926" : VNWard("Xã Hoàng Châu", 11926, VietnamDivisionType.XA, "xa_hoang_chau", 317),
  "W_11929" : VNWard("Xã Văn Phong", 11929, VietnamDivisionType.XA, "xa_van_phong", 317),
  "W_11932" : VNWard("Xã Phù Long", 11932, VietnamDivisionType.XA, "xa_phu_long", 317),
  "W_11935" : VNWard("Xã Gia Luận", 11935, VietnamDivisionType.XA, "xa_gia_luan", 317),
  "W_11938" : VNWard("Xã Hiền Hào", 11938, VietnamDivisionType.XA, "xa_hien_hao", 317),
  "W_11941" : VNWard("Xã Trân Châu", 11941, VietnamDivisionType.XA, "xa_tran_chau", 317),
  "W_11944" : VNWard("Xã Việt Hải", 11944, VietnamDivisionType.XA, "xa_viet_hai", 317),
  "W_11947" : VNWard("Xã Xuân Đám", 11947, VietnamDivisionType.XA, "xa_xuan_dam", 317),
  "W_11950" : VNWard("Phường Lam Sơn", 11950, VietnamDivisionType.PHUONG, "phuong_lam_son", 323),
  "W_11953" : VNWard("Phường Hiến Nam", 11953, VietnamDivisionType.PHUONG, "phuong_hien_nam", 323),
  "W_11956" : VNWard("Phường An Tảo", 11956, VietnamDivisionType.PHUONG, "phuong_an_tao", 323),
  "W_11959" : VNWard("Phường Lê Lợi", 11959, VietnamDivisionType.PHUONG, "phuong_le_loi", 323),
  "W_11962" : VNWard("Phường Minh Khai", 11962, VietnamDivisionType.PHUONG, "phuong_minh_khai", 323),
  "W_11965" : VNWard("Phường Quang Trung", 11965, VietnamDivisionType.PHUONG, "phuong_quang_trung", 323),
  "W_11968" : VNWard("Phường Hồng Châu", 11968, VietnamDivisionType.PHUONG, "phuong_hong_chau", 323),
  "W_11971" : VNWard("Xã Trung Nghĩa", 11971, VietnamDivisionType.XA, "xa_trung_nghia", 323),
  "W_11974" : VNWard("Xã Liên Phương", 11974, VietnamDivisionType.XA, "xa_lien_phuong", 323),
  "W_11977" : VNWard("Xã Hồng Nam", 11977, VietnamDivisionType.XA, "xa_hong_nam", 323),
  "W_11980" : VNWard("Xã Quảng Châu", 11980, VietnamDivisionType.XA, "xa_quang_chau", 323),
  "W_11983" : VNWard("Xã Bảo Khê", 11983, VietnamDivisionType.XA, "xa_bao_khe", 323),
  "W_12331" : VNWard("Xã Phú Cường", 12331, VietnamDivisionType.XA, "xa_phu_cuong", 323),
  "W_12334" : VNWard("Xã Hùng Cường", 12334, VietnamDivisionType.XA, "xa_hung_cuong", 323),
  "W_12382" : VNWard("Xã Phương Chiểu", 12382, VietnamDivisionType.XA, "xa_phuong_chieu", 323),
  "W_12385" : VNWard("Xã Tân Hưng", 12385, VietnamDivisionType.XA, "xa_tan_hung", 323),
  "W_12388" : VNWard("Xã Hoàng Hanh", 12388, VietnamDivisionType.XA, "xa_hoang_hanh", 323),
  "W_11986" : VNWard("Thị trấn Như Quỳnh", 11986, VietnamDivisionType.THI_TRAN, "thi_tran_nhu_quynh", 325),
  "W_11989" : VNWard("Xã Lạc Đạo", 11989, VietnamDivisionType.XA, "xa_lac_dao", 325),
  "W_11992" : VNWard("Xã Chỉ Đạo", 11992, VietnamDivisionType.XA, "xa_chi_dao", 325),
  "W_11995" : VNWard("Xã Đại Đồng", 11995, VietnamDivisionType.XA, "xa_dai_dong", 325),
  "W_11998" : VNWard("Xã Việt Hưng", 11998, VietnamDivisionType.XA, "xa_viet_hung", 325),
  "W_12001" : VNWard("Xã Tân Quang", 12001, VietnamDivisionType.XA, "xa_tan_quang", 325),
  "W_12004" : VNWard("Xã Đình Dù", 12004, VietnamDivisionType.XA, "xa_dinh_du", 325),
  "W_12007" : VNWard("Xã Minh Hải", 12007, VietnamDivisionType.XA, "xa_minh_hai", 325),
  "W_12010" : VNWard("Xã Lương Tài", 12010, VietnamDivisionType.XA, "xa_luong_tai", 325),
  "W_12013" : VNWard("Xã Trưng Trắc", 12013, VietnamDivisionType.XA, "xa_trung_trac", 325),
  "W_12016" : VNWard("Xã Lạc Hồng", 12016, VietnamDivisionType.XA, "xa_lac_hong", 325),
  "W_12019" : VNWard("Thị trấn Văn Giang", 12019, VietnamDivisionType.THI_TRAN, "thi_tran_van_giang", 326),
  "W_12022" : VNWard("Xã Xuân Quan", 12022, VietnamDivisionType.XA, "xa_xuan_quan", 326),
  "W_12025" : VNWard("Xã Cửu Cao", 12025, VietnamDivisionType.XA, "xa_cuu_cao", 326),
  "W_12028" : VNWard("Xã Phụng Công", 12028, VietnamDivisionType.XA, "xa_phung_cong", 326),
  "W_12031" : VNWard("Xã Nghĩa Trụ", 12031, VietnamDivisionType.XA, "xa_nghia_tru", 326),
  "W_12034" : VNWard("Xã Long Hưng", 12034, VietnamDivisionType.XA, "xa_long_hung", 326),
  "W_12037" : VNWard("Xã Vĩnh Khúc", 12037, VietnamDivisionType.XA, "xa_vinh_khuc", 326),
  "W_12040" : VNWard("Xã Liên Nghĩa", 12040, VietnamDivisionType.XA, "xa_lien_nghia", 326),
  "W_12043" : VNWard("Xã Tân Tiến", 12043, VietnamDivisionType.XA, "xa_tan_tien", 326),
  "W_12046" : VNWard("Xã Thắng Lợi", 12046, VietnamDivisionType.XA, "xa_thang_loi", 326),
  "W_12049" : VNWard("Xã Mễ Sở", 12049, VietnamDivisionType.XA, "xa_me_so", 326),
  "W_12052" : VNWard("Thị trấn Yên Mỹ", 12052, VietnamDivisionType.THI_TRAN, "thi_tran_yen_my", 327),
  "W_12055" : VNWard("Xã Giai Phạm", 12055, VietnamDivisionType.XA, "xa_giai_pham", 327),
  "W_12058" : VNWard("Xã Nghĩa Hiệp", 12058, VietnamDivisionType.XA, "xa_nghia_hiep", 327),
  "W_12061" : VNWard("Xã Đồng Than", 12061, VietnamDivisionType.XA, "xa_dong_than", 327),
  "W_12064" : VNWard("Xã Ngọc Long", 12064, VietnamDivisionType.XA, "xa_ngoc_long", 327),
  "W_12067" : VNWard("Xã Liêu Xá", 12067, VietnamDivisionType.XA, "xa_lieu_xa", 327),
  "W_12070" : VNWard("Xã Hoàn Long", 12070, VietnamDivisionType.XA, "xa_hoan_long", 327),
  "W_12073" : VNWard("Xã Tân Lập", 12073, VietnamDivisionType.XA, "xa_tan_lap", 327),
  "W_12076" : VNWard("Xã Thanh Long", 12076, VietnamDivisionType.XA, "xa_thanh_long", 327),
  "W_12079" : VNWard("Xã Yên Phú", 12079, VietnamDivisionType.XA, "xa_yen_phu", 327),
  "W_12082" : VNWard("Xã Việt Cường", 12082, VietnamDivisionType.XA, "xa_viet_cuong", 327),
  "W_12085" : VNWard("Xã Trung Hòa", 12085, VietnamDivisionType.XA, "xa_trung_hoa", 327),
  "W_12088" : VNWard("Xã Yên Hòa", 12088, VietnamDivisionType.XA, "xa_yen_hoa", 327),
  "W_12091" : VNWard("Xã Minh Châu", 12091, VietnamDivisionType.XA, "xa_minh_chau", 327),
  "W_12094" : VNWard("Xã Trung Hưng", 12094, VietnamDivisionType.XA, "xa_trung_hung", 327),
  "W_12097" : VNWard("Xã Lý Thường Kiệt", 12097, VietnamDivisionType.XA, "xa_ly_thuong_kiet", 327),
  "W_12100" : VNWard("Xã Tân Việt", 12100, VietnamDivisionType.XA, "xa_tan_viet", 327),
  "W_12103" : VNWard("Phường Bần Yên Nhân", 12103, VietnamDivisionType.PHUONG, "phuong_ban_yen_nhan", 328),
  "W_12106" : VNWard("Phường Phan Đình Phùng", 12106, VietnamDivisionType.PHUONG, "phuong_phan_dinh_phung", 328),
  "W_12109" : VNWard("Xã Cẩm Xá", 12109, VietnamDivisionType.XA, "xa_cam_xa", 328),
  "W_12112" : VNWard("Xã Dương Quang", 12112, VietnamDivisionType.XA, "xa_duong_quang", 328),
  "W_12115" : VNWard("Xã Hòa Phong", 12115, VietnamDivisionType.XA, "xa_hoa_phong", 328),
  "W_12118" : VNWard("Phường Nhân Hòa", 12118, VietnamDivisionType.PHUONG, "phuong_nhan_hoa", 328),
  "W_12121" : VNWard("Phường Dị Sử", 12121, VietnamDivisionType.PHUONG, "phuong_di_su", 328),
  "W_12124" : VNWard("Phường Bạch Sam", 12124, VietnamDivisionType.PHUONG, "phuong_bach_sam", 328),
  "W_12127" : VNWard("Phường Minh Đức", 12127, VietnamDivisionType.PHUONG, "phuong_minh_duc", 328),
  "W_12130" : VNWard("Phường Phùng Chí Kiên", 12130, VietnamDivisionType.PHUONG, "phuong_phung_chi_kien", 328),
  "W_12133" : VNWard("Xã Xuân Dục", 12133, VietnamDivisionType.XA, "xa_xuan_duc", 328),
  "W_12136" : VNWard("Xã Ngọc Lâm", 12136, VietnamDivisionType.XA, "xa_ngoc_lam", 328),
  "W_12139" : VNWard("Xã Hưng Long", 12139, VietnamDivisionType.XA, "xa_hung_long", 328),
  "W_12142" : VNWard("Thị trấn Ân Thi", 12142, VietnamDivisionType.THI_TRAN, "thi_tran_an_thi", 329),
  "W_12145" : VNWard("Xã Phù Ủng", 12145, VietnamDivisionType.XA, "xa_phu_ung", 329),
  "W_12148" : VNWard("Xã Bắc Sơn", 12148, VietnamDivisionType.XA, "xa_bac_son", 329),
  "W_12151" : VNWard("Xã Bãi Sậy", 12151, VietnamDivisionType.XA, "xa_bai_say", 329),
  "W_12154" : VNWard("Xã Đào Dương", 12154, VietnamDivisionType.XA, "xa_dao_duong", 329),
  "W_12157" : VNWard("Xã Tân Phúc", 12157, VietnamDivisionType.XA, "xa_tan_phuc", 329),
  "W_12160" : VNWard("Xã Vân Du", 12160, VietnamDivisionType.XA, "xa_van_du", 329),
  "W_12163" : VNWard("Xã Quang Vinh", 12163, VietnamDivisionType.XA, "xa_quang_vinh", 329),
  "W_12166" : VNWard("Xã Xuân Trúc", 12166, VietnamDivisionType.XA, "xa_xuan_truc", 329),
  "W_12169" : VNWard("Xã Hoàng Hoa Thám", 12169, VietnamDivisionType.XA, "xa_hoang_hoa_tham", 329),
  "W_12172" : VNWard("Xã Quảng Lãng", 12172, VietnamDivisionType.XA, "xa_quang_lang", 329),
  "W_12175" : VNWard("Xã Văn Nhuệ", 12175, VietnamDivisionType.XA, "xa_van_nhue", 329),
  "W_12178" : VNWard("Xã Đặng Lễ", 12178, VietnamDivisionType.XA, "xa_dang_le", 329),
  "W_12181" : VNWard("Xã Cẩm Ninh", 12181, VietnamDivisionType.XA, "xa_cam_ninh", 329),
  "W_12184" : VNWard("Xã Nguyễn Trãi", 12184, VietnamDivisionType.XA, "xa_nguyen_trai", 329),
  "W_12187" : VNWard("Xã Đa Lộc", 12187, VietnamDivisionType.XA, "xa_da_loc", 329),
  "W_12190" : VNWard("Xã Hồ Tùng Mậu", 12190, VietnamDivisionType.XA, "xa_ho_tung_mau", 329),
  "W_12193" : VNWard("Xã Tiền Phong", 12193, VietnamDivisionType.XA, "xa_tien_phong", 329),
  "W_12196" : VNWard("Xã Hồng Vân", 12196, VietnamDivisionType.XA, "xa_hong_van", 329),
  "W_12199" : VNWard("Xã Hồng Quang", 12199, VietnamDivisionType.XA, "xa_hong_quang", 329),
  "W_12202" : VNWard("Xã Hạ Lễ", 12202, VietnamDivisionType.XA, "xa_ha_le", 329),
  "W_12205" : VNWard("Thị trấn Khoái Châu", 12205, VietnamDivisionType.THI_TRAN, "thi_tran_khoai_chau", 330),
  "W_12208" : VNWard("Xã Đông Tảo", 12208, VietnamDivisionType.XA, "xa_dong_tao", 330),
  "W_12211" : VNWard("Xã Bình Minh", 12211, VietnamDivisionType.XA, "xa_binh_minh", 330),
  "W_12214" : VNWard("Xã Dạ Trạch", 12214, VietnamDivisionType.XA, "xa_da_trach", 330),
  "W_12217" : VNWard("Xã Hàm Tử", 12217, VietnamDivisionType.XA, "xa_ham_tu", 330),
  "W_12220" : VNWard("Xã Ông Đình", 12220, VietnamDivisionType.XA, "xa_ong_dinh", 330),
  "W_12223" : VNWard("Xã Tân Dân", 12223, VietnamDivisionType.XA, "xa_tan_dan", 330),
  "W_12226" : VNWard("Xã Tứ Dân", 12226, VietnamDivisionType.XA, "xa_tu_dan", 330),
  "W_12229" : VNWard("Xã An Vĩ", 12229, VietnamDivisionType.XA, "xa_an_vi", 330),
  "W_12232" : VNWard("Xã Đông Kết", 12232, VietnamDivisionType.XA, "xa_dong_ket", 330),
  "W_12235" : VNWard("Xã Bình Kiều", 12235, VietnamDivisionType.XA, "xa_binh_kieu", 330),
  "W_12238" : VNWard("Xã Dân Tiến", 12238, VietnamDivisionType.XA, "xa_dan_tien", 330),
  "W_12241" : VNWard("Xã Đồng Tiến", 12241, VietnamDivisionType.XA, "xa_dong_tien", 330),
  "W_12244" : VNWard("Xã Hồng Tiến", 12244, VietnamDivisionType.XA, "xa_hong_tien", 330),
  "W_12247" : VNWard("Xã Tân Châu", 12247, VietnamDivisionType.XA, "xa_tan_chau", 330),
  "W_12250" : VNWard("Xã Liên Khê", 12250, VietnamDivisionType.XA, "xa_lien_khe", 330),
  "W_12253" : VNWard("Xã Phùng Hưng", 12253, VietnamDivisionType.XA, "xa_phung_hung", 330),
  "W_12256" : VNWard("Xã Việt Hòa", 12256, VietnamDivisionType.XA, "xa_viet_hoa", 330),
  "W_12259" : VNWard("Xã Đông Ninh", 12259, VietnamDivisionType.XA, "xa_dong_ninh", 330),
  "W_12262" : VNWard("Xã Đại Tập", 12262, VietnamDivisionType.XA, "xa_dai_tap", 330),
  "W_12265" : VNWard("Xã Chí Tân", 12265, VietnamDivisionType.XA, "xa_chi_tan", 330),
  "W_12268" : VNWard("Xã Đại Hưng", 12268, VietnamDivisionType.XA, "xa_dai_hung", 330),
  "W_12271" : VNWard("Xã Thuần Hưng", 12271, VietnamDivisionType.XA, "xa_thuan_hung", 330),
  "W_12274" : VNWard("Xã Thành Công", 12274, VietnamDivisionType.XA, "xa_thanh_cong", 330),
  "W_12277" : VNWard("Xã Nhuế Dương", 12277, VietnamDivisionType.XA, "xa_nhue_duong", 330),
  "W_12280" : VNWard("Thị trấn Lương Bằng", 12280, VietnamDivisionType.THI_TRAN, "thi_tran_luong_bang", 331),
  "W_12283" : VNWard("Xã Nghĩa Dân", 12283, VietnamDivisionType.XA, "xa_nghia_dan", 331),
  "W_12286" : VNWard("Xã Toàn Thắng", 12286, VietnamDivisionType.XA, "xa_toan_thang", 331),
  "W_12289" : VNWard("Xã Vĩnh Xá", 12289, VietnamDivisionType.XA, "xa_vinh_xa", 331),
  "W_12292" : VNWard("Xã Phạm Ngũ Lão", 12292, VietnamDivisionType.XA, "xa_pham_ngu_lao", 331),
  "W_12295" : VNWard("Xã Thọ Vinh", 12295, VietnamDivisionType.XA, "xa_tho_vinh", 331),
  "W_12298" : VNWard("Xã Đồng Thanh", 12298, VietnamDivisionType.XA, "xa_dong_thanh", 331),
  "W_12301" : VNWard("Xã Song Mai", 12301, VietnamDivisionType.XA, "xa_song_mai", 331),
  "W_12304" : VNWard("Xã Chính Nghĩa", 12304, VietnamDivisionType.XA, "xa_chinh_nghia", 331),
  "W_12307" : VNWard("Xã Nhân La", 12307, VietnamDivisionType.XA, "xa_nhan_la", 331),
  "W_12310" : VNWard("Xã Phú Thịnh", 12310, VietnamDivisionType.XA, "xa_phu_thinh", 331),
  "W_12313" : VNWard("Xã Mai Động", 12313, VietnamDivisionType.XA, "xa_mai_dong", 331),
  "W_12316" : VNWard("Xã Đức Hợp", 12316, VietnamDivisionType.XA, "xa_duc_hop", 331),
  "W_12319" : VNWard("Xã Hùng An", 12319, VietnamDivisionType.XA, "xa_hung_an", 331),
  "W_12322" : VNWard("Xã Ngọc Thanh", 12322, VietnamDivisionType.XA, "xa_ngoc_thanh", 331),
  "W_12325" : VNWard("Xã Vũ Xá", 12325, VietnamDivisionType.XA, "xa_vu_xa", 331),
  "W_12328" : VNWard("Xã Hiệp Cường", 12328, VietnamDivisionType.XA, "xa_hiep_cuong", 331),
  "W_12337" : VNWard("Thị trấn Vương", 12337, VietnamDivisionType.THI_TRAN, "thi_tran_vuong", 332),
  "W_12340" : VNWard("Xã Hưng Đạo", 12340, VietnamDivisionType.XA, "xa_hung_dao", 332),
  "W_12343" : VNWard("Xã Ngô Quyền", 12343, VietnamDivisionType.XA, "xa_ngo_quyen", 332),
  "W_12346" : VNWard("Xã Nhật Tân", 12346, VietnamDivisionType.XA, "xa_nhat_tan", 332),
  "W_12349" : VNWard("Xã Dị Chế", 12349, VietnamDivisionType.XA, "xa_di_che", 332),
  "W_12352" : VNWard("Xã Lệ Xá", 12352, VietnamDivisionType.XA, "xa_le_xa", 332),
  "W_12355" : VNWard("Xã An Viên", 12355, VietnamDivisionType.XA, "xa_an_vien", 332),
  "W_12358" : VNWard("Xã Đức Thắng", 12358, VietnamDivisionType.XA, "xa_duc_thang", 332),
  "W_12361" : VNWard("Xã Trung Dũng", 12361, VietnamDivisionType.XA, "xa_trung_dung", 332),
  "W_12364" : VNWard("Xã Hải Triều", 12364, VietnamDivisionType.XA, "xa_hai_trieu", 332),
  "W_12367" : VNWard("Xã Thủ Sỹ", 12367, VietnamDivisionType.XA, "xa_thu_sy", 332),
  "W_12370" : VNWard("Xã Thiện Phiến", 12370, VietnamDivisionType.XA, "xa_thien_phien", 332),
  "W_12373" : VNWard("Xã Thụy Lôi", 12373, VietnamDivisionType.XA, "xa_thuy_loi", 332),
  "W_12376" : VNWard("Xã Cương Chính", 12376, VietnamDivisionType.XA, "xa_cuong_chinh", 332),
  "W_12379" : VNWard("Xã Minh Phượng", 12379, VietnamDivisionType.XA, "xa_minh_phuong", 332),
  "W_12391" : VNWard("Thị trấn Trần Cao", 12391, VietnamDivisionType.THI_TRAN, "thi_tran_tran_cao", 333),
  "W_12394" : VNWard("Xã Minh Tân", 12394, VietnamDivisionType.XA, "xa_minh_tan", 333),
  "W_12397" : VNWard("Xã Phan Sào Nam", 12397, VietnamDivisionType.XA, "xa_phan_sao_nam", 333),
  "W_12400" : VNWard("Xã Quang Hưng", 12400, VietnamDivisionType.XA, "xa_quang_hung", 333),
  "W_12403" : VNWard("Xã Minh Hoàng", 12403, VietnamDivisionType.XA, "xa_minh_hoang", 333),
  "W_12406" : VNWard("Xã Đoàn Đào", 12406, VietnamDivisionType.XA, "xa_doan_dao", 333),
  "W_12409" : VNWard("Xã Tống Phan", 12409, VietnamDivisionType.XA, "xa_tong_phan", 333),
  "W_12412" : VNWard("Xã Đình Cao", 12412, VietnamDivisionType.XA, "xa_dinh_cao", 333),
  "W_12415" : VNWard("Xã Nhật Quang", 12415, VietnamDivisionType.XA, "xa_nhat_quang", 333),
  "W_12418" : VNWard("Xã Tiền Tiến", 12418, VietnamDivisionType.XA, "xa_tien_tien", 333),
  "W_12421" : VNWard("Xã Tam Đa", 12421, VietnamDivisionType.XA, "xa_tam_da", 333),
  "W_12424" : VNWard("Xã Minh Tiến", 12424, VietnamDivisionType.XA, "xa_minh_tien", 333),
  "W_12427" : VNWard("Xã Nguyên Hòa", 12427, VietnamDivisionType.XA, "xa_nguyen_hoa", 333),
  "W_12430" : VNWard("Xã Tống Trân", 12430, VietnamDivisionType.XA, "xa_tong_tran", 333),
  "W_12433" : VNWard("Phường Lê Hồng Phong", 12433, VietnamDivisionType.PHUONG, "phuong_le_hong_phong", 336),
  "W_12436" : VNWard("Phường Bồ Xuyên", 12436, VietnamDivisionType.PHUONG, "phuong_bo_xuyen", 336),
  "W_12439" : VNWard("Phường Đề Thám", 12439, VietnamDivisionType.PHUONG, "phuong_de_tham", 336),
  "W_12442" : VNWard("Phường Kỳ Bá", 12442, VietnamDivisionType.PHUONG, "phuong_ky_ba", 336),
  "W_12445" : VNWard("Phường Quang Trung", 12445, VietnamDivisionType.PHUONG, "phuong_quang_trung", 336),
  "W_12448" : VNWard("Phường Phú Khánh", 12448, VietnamDivisionType.PHUONG, "phuong_phu_khanh", 336),
  "W_12451" : VNWard("Phường Tiền Phong", 12451, VietnamDivisionType.PHUONG, "phuong_tien_phong", 336),
  "W_12452" : VNWard("Phường Trần Hưng Đạo", 12452, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 336),
  "W_12454" : VNWard("Phường Trần Lãm", 12454, VietnamDivisionType.PHUONG, "phuong_tran_lam", 336),
  "W_12457" : VNWard("Xã Đông Hòa", 12457, VietnamDivisionType.XA, "xa_dong_hoa", 336),
  "W_12460" : VNWard("Phường Hoàng Diệu", 12460, VietnamDivisionType.PHUONG, "phuong_hoang_dieu", 336),
  "W_12463" : VNWard("Xã Phú Xuân", 12463, VietnamDivisionType.XA, "xa_phu_xuan", 336),
  "W_12466" : VNWard("Xã Vũ Phúc", 12466, VietnamDivisionType.XA, "xa_vu_phuc", 336),
  "W_12469" : VNWard("Xã Vũ Chính", 12469, VietnamDivisionType.XA, "xa_vu_chinh", 336),
  "W_12817" : VNWard("Xã Đông Mỹ", 12817, VietnamDivisionType.XA, "xa_dong_my", 336),
  "W_12820" : VNWard("Xã Đông Thọ", 12820, VietnamDivisionType.XA, "xa_dong_tho", 336),
  "W_13084" : VNWard("Xã Vũ Đông", 13084, VietnamDivisionType.XA, "xa_vu_dong", 336),
  "W_13108" : VNWard("Xã Vũ Lạc", 13108, VietnamDivisionType.XA, "xa_vu_lac", 336),
  "W_13225" : VNWard("Xã Tân Bình", 13225, VietnamDivisionType.XA, "xa_tan_binh", 336),
  "W_12472" : VNWard("Thị trấn Quỳnh Côi", 12472, VietnamDivisionType.THI_TRAN, "thi_tran_quynh_coi", 338),
  "W_12475" : VNWard("Xã An Khê", 12475, VietnamDivisionType.XA, "xa_an_khe", 338),
  "W_12478" : VNWard("Xã An Đồng", 12478, VietnamDivisionType.XA, "xa_an_dong", 338),
  "W_12481" : VNWard("Xã Quỳnh Hoa", 12481, VietnamDivisionType.XA, "xa_quynh_hoa", 338),
  "W_12484" : VNWard("Xã Quỳnh Lâm", 12484, VietnamDivisionType.XA, "xa_quynh_lam", 338),
  "W_12487" : VNWard("Xã Quỳnh Thọ", 12487, VietnamDivisionType.XA, "xa_quynh_tho", 338),
  "W_12490" : VNWard("Xã An Hiệp", 12490, VietnamDivisionType.XA, "xa_an_hiep", 338),
  "W_12493" : VNWard("Xã Quỳnh Hoàng", 12493, VietnamDivisionType.XA, "xa_quynh_hoang", 338),
  "W_12496" : VNWard("Xã Quỳnh Giao", 12496, VietnamDivisionType.XA, "xa_quynh_giao", 338),
  "W_12499" : VNWard("Xã An Thái", 12499, VietnamDivisionType.XA, "xa_an_thai", 338),
  "W_12502" : VNWard("Xã An Cầu", 12502, VietnamDivisionType.XA, "xa_an_cau", 338),
  "W_12505" : VNWard("Xã Quỳnh Hồng", 12505, VietnamDivisionType.XA, "xa_quynh_hong", 338),
  "W_12508" : VNWard("Xã Quỳnh Khê", 12508, VietnamDivisionType.XA, "xa_quynh_khe", 338),
  "W_12511" : VNWard("Xã Quỳnh Minh", 12511, VietnamDivisionType.XA, "xa_quynh_minh", 338),
  "W_12514" : VNWard("Xã An Ninh", 12514, VietnamDivisionType.XA, "xa_an_ninh", 338),
  "W_12517" : VNWard("Xã Quỳnh Ngọc", 12517, VietnamDivisionType.XA, "xa_quynh_ngoc", 338),
  "W_12520" : VNWard("Xã Quỳnh Hải", 12520, VietnamDivisionType.XA, "xa_quynh_hai", 338),
  "W_12523" : VNWard("Thị trấn An Bài", 12523, VietnamDivisionType.THI_TRAN, "thi_tran_an_bai", 338),
  "W_12526" : VNWard("Xã An Ấp", 12526, VietnamDivisionType.XA, "xa_an_ap", 338),
  "W_12529" : VNWard("Xã Quỳnh Hội", 12529, VietnamDivisionType.XA, "xa_quynh_hoi", 338),
  "W_12532" : VNWard("Xã Châu Sơn", 12532, VietnamDivisionType.XA, "xa_chau_son", 338),
  "W_12535" : VNWard("Xã Quỳnh Mỹ", 12535, VietnamDivisionType.XA, "xa_quynh_my", 338),
  "W_12538" : VNWard("Xã An Quí", 12538, VietnamDivisionType.XA, "xa_an_qui", 338),
  "W_12541" : VNWard("Xã An Thanh", 12541, VietnamDivisionType.XA, "xa_an_thanh", 338),
  "W_12547" : VNWard("Xã An Vũ", 12547, VietnamDivisionType.XA, "xa_an_vu", 338),
  "W_12550" : VNWard("Xã An Lễ", 12550, VietnamDivisionType.XA, "xa_an_le", 338),
  "W_12553" : VNWard("Xã Quỳnh Hưng", 12553, VietnamDivisionType.XA, "xa_quynh_hung", 338),
  "W_12556" : VNWard("Xã Quỳnh Bảo", 12556, VietnamDivisionType.XA, "xa_quynh_bao", 338),
  "W_12559" : VNWard("Xã An Mỹ", 12559, VietnamDivisionType.XA, "xa_an_my", 338),
  "W_12562" : VNWard("Xã Quỳnh Nguyên", 12562, VietnamDivisionType.XA, "xa_quynh_nguyen", 338),
  "W_12565" : VNWard("Xã An Vinh", 12565, VietnamDivisionType.XA, "xa_an_vinh", 338),
  "W_12568" : VNWard("Xã Quỳnh Xá", 12568, VietnamDivisionType.XA, "xa_quynh_xa", 338),
  "W_12571" : VNWard("Xã An Dục", 12571, VietnamDivisionType.XA, "xa_an_duc", 338),
  "W_12574" : VNWard("Xã Đông Hải", 12574, VietnamDivisionType.XA, "xa_dong_hai", 338),
  "W_12577" : VNWard("Xã Quỳnh Trang", 12577, VietnamDivisionType.XA, "xa_quynh_trang", 338),
  "W_12580" : VNWard("Xã An Tràng", 12580, VietnamDivisionType.XA, "xa_an_trang", 338),
  "W_12583" : VNWard("Xã Đồng Tiến", 12583, VietnamDivisionType.XA, "xa_dong_tien", 338),
  "W_12586" : VNWard("Thị trấn Hưng Hà", 12586, VietnamDivisionType.THI_TRAN, "thi_tran_hung_ha", 339),
  "W_12589" : VNWard("Xã Điệp Nông", 12589, VietnamDivisionType.XA, "xa_diep_nong", 339),
  "W_12592" : VNWard("Xã Tân Lễ", 12592, VietnamDivisionType.XA, "xa_tan_le", 339),
  "W_12595" : VNWard("Xã Cộng Hòa", 12595, VietnamDivisionType.XA, "xa_cong_hoa", 339),
  "W_12598" : VNWard("Xã Dân Chủ", 12598, VietnamDivisionType.XA, "xa_dan_chu", 339),
  "W_12601" : VNWard("Xã Canh Tân", 12601, VietnamDivisionType.XA, "xa_canh_tan", 339),
  "W_12604" : VNWard("Xã Hòa Tiến", 12604, VietnamDivisionType.XA, "xa_hoa_tien", 339),
  "W_12607" : VNWard("Xã Hùng Dũng", 12607, VietnamDivisionType.XA, "xa_hung_dung", 339),
  "W_12610" : VNWard("Xã Tân Tiến", 12610, VietnamDivisionType.XA, "xa_tan_tien", 339),
  "W_12613" : VNWard("Thị trấn Hưng Nhân", 12613, VietnamDivisionType.THI_TRAN, "thi_tran_hung_nhan", 339),
  "W_12616" : VNWard("Xã Đoan Hùng", 12616, VietnamDivisionType.XA, "xa_doan_hung", 339),
  "W_12619" : VNWard("Xã Duyên Hải", 12619, VietnamDivisionType.XA, "xa_duyen_hai", 339),
  "W_12622" : VNWard("Xã Tân Hòa", 12622, VietnamDivisionType.XA, "xa_tan_hoa", 339),
  "W_12625" : VNWard("Xã Văn Cẩm", 12625, VietnamDivisionType.XA, "xa_van_cam", 339),
  "W_12628" : VNWard("Xã Bắc Sơn", 12628, VietnamDivisionType.XA, "xa_bac_son", 339),
  "W_12631" : VNWard("Xã Đông Đô", 12631, VietnamDivisionType.XA, "xa_dong_do", 339),
  "W_12634" : VNWard("Xã Phúc Khánh", 12634, VietnamDivisionType.XA, "xa_phuc_khanh", 339),
  "W_12637" : VNWard("Xã Liên Hiệp", 12637, VietnamDivisionType.XA, "xa_lien_hiep", 339),
  "W_12640" : VNWard("Xã Tây Đô", 12640, VietnamDivisionType.XA, "xa_tay_do", 339),
  "W_12643" : VNWard("Xã Thống Nhất", 12643, VietnamDivisionType.XA, "xa_thong_nhat", 339),
  "W_12646" : VNWard("Xã Tiến Đức", 12646, VietnamDivisionType.XA, "xa_tien_duc", 339),
  "W_12649" : VNWard("Xã Thái Hưng", 12649, VietnamDivisionType.XA, "xa_thai_hung", 339),
  "W_12652" : VNWard("Xã Thái Phương", 12652, VietnamDivisionType.XA, "xa_thai_phuong", 339),
  "W_12655" : VNWard("Xã Hòa Bình", 12655, VietnamDivisionType.XA, "xa_hoa_binh", 339),
  "W_12656" : VNWard("Xã Chi Lăng", 12656, VietnamDivisionType.XA, "xa_chi_lang", 339),
  "W_12658" : VNWard("Xã Minh Khai", 12658, VietnamDivisionType.XA, "xa_minh_khai", 339),
  "W_12661" : VNWard("Xã Hồng An", 12661, VietnamDivisionType.XA, "xa_hong_an", 339),
  "W_12664" : VNWard("Xã Kim Chung", 12664, VietnamDivisionType.XA, "xa_kim_chung", 339),
  "W_12667" : VNWard("Xã Hồng Lĩnh", 12667, VietnamDivisionType.XA, "xa_hong_linh", 339),
  "W_12670" : VNWard("Xã Minh Tân", 12670, VietnamDivisionType.XA, "xa_minh_tan", 339),
  "W_12673" : VNWard("Xã Văn Lang", 12673, VietnamDivisionType.XA, "xa_van_lang", 339),
  "W_12676" : VNWard("Xã Độc Lập", 12676, VietnamDivisionType.XA, "xa_doc_lap", 339),
  "W_12679" : VNWard("Xã Chí Hòa", 12679, VietnamDivisionType.XA, "xa_chi_hoa", 339),
  "W_12682" : VNWard("Xã Minh Hòa", 12682, VietnamDivisionType.XA, "xa_minh_hoa", 339),
  "W_12685" : VNWard("Xã Hồng Minh", 12685, VietnamDivisionType.XA, "xa_hong_minh", 339),
  "W_12688" : VNWard("Thị trấn Đông Hưng", 12688, VietnamDivisionType.THI_TRAN, "thi_tran_dong_hung", 340),
  "W_12691" : VNWard("Xã Đô Lương", 12691, VietnamDivisionType.XA, "xa_do_luong", 340),
  "W_12694" : VNWard("Xã Đông Phương", 12694, VietnamDivisionType.XA, "xa_dong_phuong", 340),
  "W_12697" : VNWard("Xã Liên Giang", 12697, VietnamDivisionType.XA, "xa_lien_giang", 340),
  "W_12700" : VNWard("Xã An Châu", 12700, VietnamDivisionType.XA, "xa_an_chau", 340),
  "W_12703" : VNWard("Xã Đông Sơn", 12703, VietnamDivisionType.XA, "xa_dong_son", 340),
  "W_12706" : VNWard("Xã Đông Cường", 12706, VietnamDivisionType.XA, "xa_dong_cuong", 340),
  "W_12709" : VNWard("Xã Phú Lương", 12709, VietnamDivisionType.XA, "xa_phu_luong", 340),
  "W_12712" : VNWard("Xã Mê Linh", 12712, VietnamDivisionType.XA, "xa_me_linh", 340),
  "W_12715" : VNWard("Xã Lô Giang", 12715, VietnamDivisionType.XA, "xa_lo_giang", 340),
  "W_12718" : VNWard("Xã Đông La", 12718, VietnamDivisionType.XA, "xa_dong_la", 340),
  "W_12721" : VNWard("Xã Minh Tân", 12721, VietnamDivisionType.XA, "xa_minh_tan", 340),
  "W_12724" : VNWard("Xã Đông Xá", 12724, VietnamDivisionType.XA, "xa_dong_xa", 340),
  "W_12727" : VNWard("Xã Chương Dương", 12727, VietnamDivisionType.XA, "xa_chuong_duong", 340),
  "W_12730" : VNWard("Xã Nguyên Xá", 12730, VietnamDivisionType.XA, "xa_nguyen_xa", 340),
  "W_12733" : VNWard("Xã Phong Châu", 12733, VietnamDivisionType.XA, "xa_phong_chau", 340),
  "W_12736" : VNWard("Xã Hợp Tiến", 12736, VietnamDivisionType.XA, "xa_hop_tien", 340),
  "W_12739" : VNWard("Xã Hồng Việt", 12739, VietnamDivisionType.XA, "xa_hong_viet", 340),
  "W_12745" : VNWard("Xã Hà Giang", 12745, VietnamDivisionType.XA, "xa_ha_giang", 340),
  "W_12748" : VNWard("Xã Đông Kinh", 12748, VietnamDivisionType.XA, "xa_dong_kinh", 340),
  "W_12751" : VNWard("Xã Đông Hợp", 12751, VietnamDivisionType.XA, "xa_dong_hop", 340),
  "W_12754" : VNWard("Xã Thăng Long", 12754, VietnamDivisionType.XA, "xa_thang_long", 340),
  "W_12757" : VNWard("Xã Đông Các", 12757, VietnamDivisionType.XA, "xa_dong_cac", 340),
  "W_12760" : VNWard("Xã Phú Châu", 12760, VietnamDivisionType.XA, "xa_phu_chau", 340),
  "W_12763" : VNWard("Xã Liên Hoa", 12763, VietnamDivisionType.XA, "xa_lien_hoa", 340),
  "W_12769" : VNWard("Xã Đông Tân", 12769, VietnamDivisionType.XA, "xa_dong_tan", 340),
  "W_12772" : VNWard("Xã Đông Vinh", 12772, VietnamDivisionType.XA, "xa_dong_vinh", 340),
  "W_12775" : VNWard("Xã Đông Động", 12775, VietnamDivisionType.XA, "xa_dong_dong", 340),
  "W_12778" : VNWard("Xã Hồng Bạch", 12778, VietnamDivisionType.XA, "xa_hong_bach", 340),
  "W_12784" : VNWard("Xã Trọng Quan", 12784, VietnamDivisionType.XA, "xa_trong_quan", 340),
  "W_12790" : VNWard("Xã Hồng Giang", 12790, VietnamDivisionType.XA, "xa_hong_giang", 340),
  "W_12793" : VNWard("Xã Đông Quan", 12793, VietnamDivisionType.XA, "xa_dong_quan", 340),
  "W_12796" : VNWard("Xã Đông Quang", 12796, VietnamDivisionType.XA, "xa_dong_quang", 340),
  "W_12799" : VNWard("Xã Đông Xuân", 12799, VietnamDivisionType.XA, "xa_dong_xuan", 340),
  "W_12802" : VNWard("Xã Đông Á", 12802, VietnamDivisionType.XA, "xa_dong_a", 340),
  "W_12808" : VNWard("Xã Đông Hoàng", 12808, VietnamDivisionType.XA, "xa_dong_hoang", 340),
  "W_12811" : VNWard("Xã Đông Dương", 12811, VietnamDivisionType.XA, "xa_dong_duong", 340),
  "W_12823" : VNWard("Xã Minh Phú", 12823, VietnamDivisionType.XA, "xa_minh_phu", 340),
  "W_12826" : VNWard("Thị trấn Diêm Điền", 12826, VietnamDivisionType.THI_TRAN, "thi_tran_diem_dien", 341),
  "W_12832" : VNWard("Xã Thụy Trường", 12832, VietnamDivisionType.XA, "xa_thuy_truong", 341),
  "W_12841" : VNWard("Xã Hồng Dũng", 12841, VietnamDivisionType.XA, "xa_hong_dung", 341),
  "W_12844" : VNWard("Xã Thụy Quỳnh", 12844, VietnamDivisionType.XA, "xa_thuy_quynh", 341),
  "W_12847" : VNWard("Xã An Tân", 12847, VietnamDivisionType.XA, "xa_an_tan", 341),
  "W_12850" : VNWard("Xã Thụy Ninh", 12850, VietnamDivisionType.XA, "xa_thuy_ninh", 341),
  "W_12853" : VNWard("Xã Thụy Hưng", 12853, VietnamDivisionType.XA, "xa_thuy_hung", 341),
  "W_12856" : VNWard("Xã Thụy Việt", 12856, VietnamDivisionType.XA, "xa_thuy_viet", 341),
  "W_12859" : VNWard("Xã Thụy Văn", 12859, VietnamDivisionType.XA, "xa_thuy_van", 341),
  "W_12862" : VNWard("Xã Thụy Xuân", 12862, VietnamDivisionType.XA, "xa_thuy_xuan", 341),
  "W_12865" : VNWard("Xã Dương Phúc", 12865, VietnamDivisionType.XA, "xa_duong_phuc", 341),
  "W_12868" : VNWard("Xã Thụy Trình", 12868, VietnamDivisionType.XA, "xa_thuy_trinh", 341),
  "W_12871" : VNWard("Xã Thụy Bình", 12871, VietnamDivisionType.XA, "xa_thuy_binh", 341),
  "W_12874" : VNWard("Xã Thụy Chính", 12874, VietnamDivisionType.XA, "xa_thuy_chinh", 341),
  "W_12877" : VNWard("Xã Thụy Dân", 12877, VietnamDivisionType.XA, "xa_thuy_dan", 341),
  "W_12880" : VNWard("Xã Thụy Hải", 12880, VietnamDivisionType.XA, "xa_thuy_hai", 341),
  "W_12889" : VNWard("Xã Thụy Liên", 12889, VietnamDivisionType.XA, "xa_thuy_lien", 341),
  "W_12892" : VNWard("Xã Thụy Duyên", 12892, VietnamDivisionType.XA, "xa_thuy_duyen", 341),
  "W_12898" : VNWard("Xã Thụy Thanh", 12898, VietnamDivisionType.XA, "xa_thuy_thanh", 341),
  "W_12901" : VNWard("Xã Thụy Sơn", 12901, VietnamDivisionType.XA, "xa_thuy_son", 341),
  "W_12904" : VNWard("Xã Thụy Phong", 12904, VietnamDivisionType.XA, "xa_thuy_phong", 341),
  "W_12907" : VNWard("Xã Thái Thượng", 12907, VietnamDivisionType.XA, "xa_thai_thuong", 341),
  "W_12910" : VNWard("Xã Thái Nguyên", 12910, VietnamDivisionType.XA, "xa_thai_nguyen", 341),
  "W_12916" : VNWard("Xã Dương Hồng Thủy", 12916, VietnamDivisionType.XA, "xa_duong_hong_thuy", 341),
  "W_12919" : VNWard("Xã Thái Giang", 12919, VietnamDivisionType.XA, "xa_thai_giang", 341),
  "W_12922" : VNWard("Xã Hòa An", 12922, VietnamDivisionType.XA, "xa_hoa_an", 341),
  "W_12925" : VNWard("Xã Sơn Hà", 12925, VietnamDivisionType.XA, "xa_son_ha", 341),
  "W_12934" : VNWard("Xã Thái Phúc", 12934, VietnamDivisionType.XA, "xa_thai_phuc", 341),
  "W_12937" : VNWard("Xã Thái Hưng", 12937, VietnamDivisionType.XA, "xa_thai_hung", 341),
  "W_12940" : VNWard("Xã Thái Đô", 12940, VietnamDivisionType.XA, "xa_thai_do", 341),
  "W_12943" : VNWard("Xã Thái Xuyên", 12943, VietnamDivisionType.XA, "xa_thai_xuyen", 341),
  "W_12949" : VNWard("Xã Mỹ Lộc", 12949, VietnamDivisionType.XA, "xa_my_loc", 341),
  "W_12958" : VNWard("Xã Tân Học", 12958, VietnamDivisionType.XA, "xa_tan_hoc", 341),
  "W_12961" : VNWard("Xã Thái Thịnh", 12961, VietnamDivisionType.XA, "xa_thai_thinh", 341),
  "W_12964" : VNWard("Xã Thuần Thành", 12964, VietnamDivisionType.XA, "xa_thuan_thanh", 341),
  "W_12967" : VNWard("Xã Thái Thọ", 12967, VietnamDivisionType.XA, "xa_thai_tho", 341),
  "W_12970" : VNWard("Thị trấn Tiền Hải", 12970, VietnamDivisionType.THI_TRAN, "thi_tran_tien_hai", 342),
  "W_12976" : VNWard("Xã Đông Trà", 12976, VietnamDivisionType.XA, "xa_dong_tra", 342),
  "W_12979" : VNWard("Xã Đông Long", 12979, VietnamDivisionType.XA, "xa_dong_long", 342),
  "W_12982" : VNWard("Xã Đông Quí", 12982, VietnamDivisionType.XA, "xa_dong_qui", 342),
  "W_12985" : VNWard("Xã Vũ Lăng", 12985, VietnamDivisionType.XA, "xa_vu_lang", 342),
  "W_12988" : VNWard("Xã Đông Xuyên", 12988, VietnamDivisionType.XA, "xa_dong_xuyen", 342),
  "W_12991" : VNWard("Xã Tây Lương", 12991, VietnamDivisionType.XA, "xa_tay_luong", 342),
  "W_12994" : VNWard("Xã Tây Ninh", 12994, VietnamDivisionType.XA, "xa_tay_ninh", 342),
  "W_12997" : VNWard("Xã Đông Trung", 12997, VietnamDivisionType.XA, "xa_dong_trung", 342),
  "W_13000" : VNWard("Xã Đông Hoàng", 13000, VietnamDivisionType.XA, "xa_dong_hoang", 342),
  "W_13003" : VNWard("Xã Đông Minh", 13003, VietnamDivisionType.XA, "xa_dong_minh", 342),
  "W_13009" : VNWard("Xã Đông Phong", 13009, VietnamDivisionType.XA, "xa_dong_phong", 342),
  "W_13012" : VNWard("Xã An Ninh", 13012, VietnamDivisionType.XA, "xa_an_ninh", 342),
  "W_13018" : VNWard("Xã Đông Cơ", 13018, VietnamDivisionType.XA, "xa_dong_co", 342),
  "W_13021" : VNWard("Xã Tây Giang", 13021, VietnamDivisionType.XA, "xa_tay_giang", 342),
  "W_13024" : VNWard("Xã Đông Lâm", 13024, VietnamDivisionType.XA, "xa_dong_lam", 342),
  "W_13027" : VNWard("Xã Phương Công", 13027, VietnamDivisionType.XA, "xa_phuong_cong", 342),
  "W_13030" : VNWard("Xã Tây Phong", 13030, VietnamDivisionType.XA, "xa_tay_phong", 342),
  "W_13033" : VNWard("Xã Tây Tiến", 13033, VietnamDivisionType.XA, "xa_tay_tien", 342),
  "W_13036" : VNWard("Xã Nam Cường", 13036, VietnamDivisionType.XA, "xa_nam_cuong", 342),
  "W_13039" : VNWard("Xã Vân Trường", 13039, VietnamDivisionType.XA, "xa_van_truong", 342),
  "W_13042" : VNWard("Xã Nam Thắng", 13042, VietnamDivisionType.XA, "xa_nam_thang", 342),
  "W_13045" : VNWard("Xã Nam Chính", 13045, VietnamDivisionType.XA, "xa_nam_chinh", 342),
  "W_13048" : VNWard("Xã Bắc Hải", 13048, VietnamDivisionType.XA, "xa_bac_hai", 342),
  "W_13051" : VNWard("Xã Nam Thịnh", 13051, VietnamDivisionType.XA, "xa_nam_thinh", 342),
  "W_13054" : VNWard("Xã Nam Hà", 13054, VietnamDivisionType.XA, "xa_nam_ha", 342),
  "W_13057" : VNWard("Xã Nam Thanh", 13057, VietnamDivisionType.XA, "xa_nam_thanh", 342),
  "W_13060" : VNWard("Xã Nam Trung", 13060, VietnamDivisionType.XA, "xa_nam_trung", 342),
  "W_13063" : VNWard("Xã Nam Hồng", 13063, VietnamDivisionType.XA, "xa_nam_hong", 342),
  "W_13066" : VNWard("Xã Nam Hưng", 13066, VietnamDivisionType.XA, "xa_nam_hung", 342),
  "W_13069" : VNWard("Xã Nam Hải", 13069, VietnamDivisionType.XA, "xa_nam_hai", 342),
  "W_13072" : VNWard("Xã Nam Phú", 13072, VietnamDivisionType.XA, "xa_nam_phu", 342),
  "W_13075" : VNWard("Thị trấn Kiến Xương", 13075, VietnamDivisionType.THI_TRAN, "thi_tran_kien_xuong", 343),
  "W_13078" : VNWard("Xã Trà Giang", 13078, VietnamDivisionType.XA, "xa_tra_giang", 343),
  "W_13081" : VNWard("Xã Quốc Tuấn", 13081, VietnamDivisionType.XA, "xa_quoc_tuan", 343),
  "W_13087" : VNWard("Xã An Bình", 13087, VietnamDivisionType.XA, "xa_an_binh", 343),
  "W_13090" : VNWard("Xã Tây Sơn", 13090, VietnamDivisionType.XA, "xa_tay_son", 343),
  "W_13093" : VNWard("Xã Hồng Thái", 13093, VietnamDivisionType.XA, "xa_hong_thai", 343),
  "W_13096" : VNWard("Xã Bình Nguyên", 13096, VietnamDivisionType.XA, "xa_binh_nguyen", 343),
  "W_13102" : VNWard("Xã Lê Lợi", 13102, VietnamDivisionType.XA, "xa_le_loi", 343),
  "W_13111" : VNWard("Xã Vũ Lễ", 13111, VietnamDivisionType.XA, "xa_vu_le", 343),
  "W_13114" : VNWard("Xã Thanh Tân", 13114, VietnamDivisionType.XA, "xa_thanh_tan", 343),
  "W_13117" : VNWard("Xã Thượng Hiền", 13117, VietnamDivisionType.XA, "xa_thuong_hien", 343),
  "W_13120" : VNWard("Xã Nam Cao", 13120, VietnamDivisionType.XA, "xa_nam_cao", 343),
  "W_13123" : VNWard("Xã Đình Phùng", 13123, VietnamDivisionType.XA, "xa_dinh_phung", 343),
  "W_13126" : VNWard("Xã Vũ Ninh", 13126, VietnamDivisionType.XA, "xa_vu_ninh", 343),
  "W_13129" : VNWard("Xã Vũ An", 13129, VietnamDivisionType.XA, "xa_vu_an", 343),
  "W_13132" : VNWard("Xã Quang Lịch", 13132, VietnamDivisionType.XA, "xa_quang_lich", 343),
  "W_13135" : VNWard("Xã Hòa Bình", 13135, VietnamDivisionType.XA, "xa_hoa_binh", 343),
  "W_13138" : VNWard("Xã Bình Minh", 13138, VietnamDivisionType.XA, "xa_binh_minh", 343),
  "W_13141" : VNWard("Xã Vũ Quí", 13141, VietnamDivisionType.XA, "xa_vu_qui", 343),
  "W_13144" : VNWard("Xã Quang Bình", 13144, VietnamDivisionType.XA, "xa_quang_binh", 343),
  "W_13150" : VNWard("Xã Vũ Trung", 13150, VietnamDivisionType.XA, "xa_vu_trung", 343),
  "W_13153" : VNWard("Xã Vũ Thắng", 13153, VietnamDivisionType.XA, "xa_vu_thang", 343),
  "W_13156" : VNWard("Xã Vũ Công", 13156, VietnamDivisionType.XA, "xa_vu_cong", 343),
  "W_13159" : VNWard("Xã Vũ Hòa", 13159, VietnamDivisionType.XA, "xa_vu_hoa", 343),
  "W_13162" : VNWard("Xã Quang Minh", 13162, VietnamDivisionType.XA, "xa_quang_minh", 343),
  "W_13165" : VNWard("Xã Quang Trung", 13165, VietnamDivisionType.XA, "xa_quang_trung", 343),
  "W_13171" : VNWard("Xã Minh Quang", 13171, VietnamDivisionType.XA, "xa_minh_quang", 343),
  "W_13174" : VNWard("Xã Vũ Bình", 13174, VietnamDivisionType.XA, "xa_vu_binh", 343),
  "W_13177" : VNWard("Xã Minh Tân", 13177, VietnamDivisionType.XA, "xa_minh_tan", 343),
  "W_13180" : VNWard("Xã Nam Bình", 13180, VietnamDivisionType.XA, "xa_nam_binh", 343),
  "W_13183" : VNWard("Xã Bình Thanh", 13183, VietnamDivisionType.XA, "xa_binh_thanh", 343),
  "W_13186" : VNWard("Xã Bình Định", 13186, VietnamDivisionType.XA, "xa_binh_dinh", 343),
  "W_13189" : VNWard("Xã Hồng Tiến", 13189, VietnamDivisionType.XA, "xa_hong_tien", 343),
  "W_13192" : VNWard("Thị trấn Vũ Thư", 13192, VietnamDivisionType.THI_TRAN, "thi_tran_vu_thu", 344),
  "W_13195" : VNWard("Xã Hồng Lý", 13195, VietnamDivisionType.XA, "xa_hong_ly", 344),
  "W_13198" : VNWard("Xã Đồng Thanh", 13198, VietnamDivisionType.XA, "xa_dong_thanh", 344),
  "W_13201" : VNWard("Xã Xuân Hòa", 13201, VietnamDivisionType.XA, "xa_xuan_hoa", 344),
  "W_13204" : VNWard("Xã Hiệp Hòa", 13204, VietnamDivisionType.XA, "xa_hiep_hoa", 344),
  "W_13207" : VNWard("Xã Phúc Thành", 13207, VietnamDivisionType.XA, "xa_phuc_thanh", 344),
  "W_13210" : VNWard("Xã Tân Phong", 13210, VietnamDivisionType.XA, "xa_tan_phong", 344),
  "W_13213" : VNWard("Xã Song Lãng", 13213, VietnamDivisionType.XA, "xa_song_lang", 344),
  "W_13216" : VNWard("Xã Tân Hòa", 13216, VietnamDivisionType.XA, "xa_tan_hoa", 344),
  "W_13219" : VNWard("Xã Việt Hùng", 13219, VietnamDivisionType.XA, "xa_viet_hung", 344),
  "W_13222" : VNWard("Xã Minh Lãng", 13222, VietnamDivisionType.XA, "xa_minh_lang", 344),
  "W_13228" : VNWard("Xã Minh Khai", 13228, VietnamDivisionType.XA, "xa_minh_khai", 344),
  "W_13231" : VNWard("Xã Dũng Nghĩa", 13231, VietnamDivisionType.XA, "xa_dung_nghia", 344),
  "W_13234" : VNWard("Xã Minh Quang", 13234, VietnamDivisionType.XA, "xa_minh_quang", 344),
  "W_13237" : VNWard("Xã Tam Quang", 13237, VietnamDivisionType.XA, "xa_tam_quang", 344),
  "W_13240" : VNWard("Xã Tân Lập", 13240, VietnamDivisionType.XA, "xa_tan_lap", 344),
  "W_13243" : VNWard("Xã Bách Thuận", 13243, VietnamDivisionType.XA, "xa_bach_thuan", 344),
  "W_13246" : VNWard("Xã Tự Tân", 13246, VietnamDivisionType.XA, "xa_tu_tan", 344),
  "W_13249" : VNWard("Xã Song An", 13249, VietnamDivisionType.XA, "xa_song_an", 344),
  "W_13252" : VNWard("Xã Trung An", 13252, VietnamDivisionType.XA, "xa_trung_an", 344),
  "W_13255" : VNWard("Xã Vũ Hội", 13255, VietnamDivisionType.XA, "xa_vu_hoi", 344),
  "W_13258" : VNWard("Xã Hòa Bình", 13258, VietnamDivisionType.XA, "xa_hoa_binh", 344),
  "W_13261" : VNWard("Xã Nguyên Xá", 13261, VietnamDivisionType.XA, "xa_nguyen_xa", 344),
  "W_13264" : VNWard("Xã Việt Thuận", 13264, VietnamDivisionType.XA, "xa_viet_thuan", 344),
  "W_13267" : VNWard("Xã Vũ Vinh", 13267, VietnamDivisionType.XA, "xa_vu_vinh", 344),
  "W_13270" : VNWard("Xã Vũ Đoài", 13270, VietnamDivisionType.XA, "xa_vu_doai", 344),
  "W_13273" : VNWard("Xã Vũ Tiến", 13273, VietnamDivisionType.XA, "xa_vu_tien", 344),
  "W_13276" : VNWard("Xã Vũ Vân", 13276, VietnamDivisionType.XA, "xa_vu_van", 344),
  "W_13279" : VNWard("Xã Duy Nhất", 13279, VietnamDivisionType.XA, "xa_duy_nhat", 344),
  "W_13282" : VNWard("Xã Hồng Phong", 13282, VietnamDivisionType.XA, "xa_hong_phong", 344),
  "W_13285" : VNWard("Phường Quang Trung", 13285, VietnamDivisionType.PHUONG, "phuong_quang_trung", 347),
  "W_13288" : VNWard("Phường Lương Khánh Thiện", 13288, VietnamDivisionType.PHUONG, "phuong_luong_khanh_thien", 347),
  "W_13291" : VNWard("Phường Lê Hồng Phong", 13291, VietnamDivisionType.PHUONG, "phuong_le_hong_phong", 347),
  "W_13294" : VNWard("Phường Minh Khai", 13294, VietnamDivisionType.PHUONG, "phuong_minh_khai", 347),
  "W_13297" : VNWard("Phường Hai Bà Trưng", 13297, VietnamDivisionType.PHUONG, "phuong_hai_ba_trung", 347),
  "W_13300" : VNWard("Phường Trần Hưng Đạo", 13300, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 347),
  "W_13303" : VNWard("Phường Lam Hạ", 13303, VietnamDivisionType.PHUONG, "phuong_lam_ha", 347),
  "W_13306" : VNWard("Xã Phù Vân", 13306, VietnamDivisionType.XA, "xa_phu_van", 347),
  "W_13309" : VNWard("Phường Liêm Chính", 13309, VietnamDivisionType.PHUONG, "phuong_liem_chinh", 347),
  "W_13312" : VNWard("Xã Liêm Chung", 13312, VietnamDivisionType.XA, "xa_liem_chung", 347),
  "W_13315" : VNWard("Phường Thanh Châu", 13315, VietnamDivisionType.PHUONG, "phuong_thanh_chau", 347),
  "W_13318" : VNWard("Phường Châu Sơn", 13318, VietnamDivisionType.PHUONG, "phuong_chau_son", 347),
  "W_13366" : VNWard("Xã Tiên Tân", 13366, VietnamDivisionType.XA, "xa_tien_tan", 347),
  "W_13372" : VNWard("Xã Tiên Hiệp", 13372, VietnamDivisionType.XA, "xa_tien_hiep", 347),
  "W_13381" : VNWard("Xã Tiên Hải", 13381, VietnamDivisionType.XA, "xa_tien_hai", 347),
  "W_13426" : VNWard("Xã Kim Bình", 13426, VietnamDivisionType.XA, "xa_kim_binh", 347),
  "W_13444" : VNWard("Xã Liêm Tuyền", 13444, VietnamDivisionType.XA, "xa_liem_tuyen", 347),
  "W_13447" : VNWard("Xã Liêm Tiết", 13447, VietnamDivisionType.XA, "xa_liem_tiet", 347),
  "W_13459" : VNWard("Phường Thanh Tuyền", 13459, VietnamDivisionType.PHUONG, "phuong_thanh_tuyen", 347),
  "W_13507" : VNWard("Xã Đinh Xá", 13507, VietnamDivisionType.XA, "xa_dinh_xa", 347),
  "W_13513" : VNWard("Xã Trịnh Xá", 13513, VietnamDivisionType.XA, "xa_trinh_xa", 347),
  "W_13321" : VNWard("Phường Đồng Văn", 13321, VietnamDivisionType.PHUONG, "phuong_dong_van", 349),
  "W_13324" : VNWard("Phường Hòa Mạc", 13324, VietnamDivisionType.PHUONG, "phuong_hoa_mac", 349),
  "W_13327" : VNWard("Xã Mộc Bắc", 13327, VietnamDivisionType.XA, "xa_moc_bac", 349),
  "W_13330" : VNWard("Phường Châu Giang", 13330, VietnamDivisionType.PHUONG, "phuong_chau_giang", 349),
  "W_13333" : VNWard("Phường Bạch Thượng", 13333, VietnamDivisionType.PHUONG, "phuong_bach_thuong", 349),
  "W_13336" : VNWard("Phường Duy Minh", 13336, VietnamDivisionType.PHUONG, "phuong_duy_minh", 349),
  "W_13339" : VNWard("Xã Mộc Nam", 13339, VietnamDivisionType.XA, "xa_moc_nam", 349),
  "W_13342" : VNWard("Phường Duy Hải", 13342, VietnamDivisionType.PHUONG, "phuong_duy_hai", 349),
  "W_13345" : VNWard("Xã Chuyên Ngoại", 13345, VietnamDivisionType.XA, "xa_chuyen_ngoai", 349),
  "W_13348" : VNWard("Phường Yên Bắc", 13348, VietnamDivisionType.PHUONG, "phuong_yen_bac", 349),
  "W_13351" : VNWard("Xã Trác Văn", 13351, VietnamDivisionType.XA, "xa_trac_van", 349),
  "W_13354" : VNWard("Phường Tiên Nội", 13354, VietnamDivisionType.PHUONG, "phuong_tien_noi", 349),
  "W_13357" : VNWard("Phường Hoàng Đông", 13357, VietnamDivisionType.PHUONG, "phuong_hoang_dong", 349),
  "W_13360" : VNWard("Xã Yên Nam", 13360, VietnamDivisionType.XA, "xa_yen_nam", 349),
  "W_13363" : VNWard("Xã Tiên Ngoại", 13363, VietnamDivisionType.XA, "xa_tien_ngoai", 349),
  "W_13369" : VNWard("Xã Tiên Sơn", 13369, VietnamDivisionType.XA, "xa_tien_son", 349),
  "W_13384" : VNWard("Thị trấn Quế", 13384, VietnamDivisionType.THI_TRAN, "thi_tran_que", 350),
  "W_13387" : VNWard("Xã Nguyễn Úy", 13387, VietnamDivisionType.XA, "xa_nguyen_uy", 350),
  "W_13390" : VNWard("Xã Đại Cương", 13390, VietnamDivisionType.XA, "xa_dai_cuong", 350),
  "W_13393" : VNWard("Xã Lê Hồ", 13393, VietnamDivisionType.XA, "xa_le_ho", 350),
  "W_13396" : VNWard("Xã Tượng Lĩnh", 13396, VietnamDivisionType.XA, "xa_tuong_linh", 350),
  "W_13399" : VNWard("Xã Nhật Tựu", 13399, VietnamDivisionType.XA, "xa_nhat_tuu", 350),
  "W_13402" : VNWard("Xã Nhật Tân", 13402, VietnamDivisionType.XA, "xa_nhat_tan", 350),
  "W_13405" : VNWard("Xã Đồng Hóa", 13405, VietnamDivisionType.XA, "xa_dong_hoa", 350),
  "W_13408" : VNWard("Xã Hoàng Tây", 13408, VietnamDivisionType.XA, "xa_hoang_tay", 350),
  "W_13411" : VNWard("Xã Tân Sơn", 13411, VietnamDivisionType.XA, "xa_tan_son", 350),
  "W_13414" : VNWard("Xã Thụy Lôi", 13414, VietnamDivisionType.XA, "xa_thuy_loi", 350),
  "W_13417" : VNWard("Xã Văn Xá", 13417, VietnamDivisionType.XA, "xa_van_xa", 350),
  "W_13420" : VNWard("Xã Khả Phong", 13420, VietnamDivisionType.XA, "xa_kha_phong", 350),
  "W_13423" : VNWard("Xã Ngọc Sơn", 13423, VietnamDivisionType.XA, "xa_ngoc_son", 350),
  "W_13429" : VNWard("Thị trấn Ba Sao", 13429, VietnamDivisionType.THI_TRAN, "thi_tran_ba_sao", 350),
  "W_13432" : VNWard("Xã Liên Sơn", 13432, VietnamDivisionType.XA, "xa_lien_son", 350),
  "W_13435" : VNWard("Xã Thi Sơn", 13435, VietnamDivisionType.XA, "xa_thi_son", 350),
  "W_13438" : VNWard("Xã Thanh Sơn", 13438, VietnamDivisionType.XA, "xa_thanh_son", 350),
  "W_13441" : VNWard("Thị trấn Kiện Khê", 13441, VietnamDivisionType.THI_TRAN, "thi_tran_kien_khe", 351),
  "W_13450" : VNWard("Xã Liêm Phong", 13450, VietnamDivisionType.XA, "xa_liem_phong", 351),
  "W_13453" : VNWard("Xã Thanh Hà", 13453, VietnamDivisionType.XA, "xa_thanh_ha", 351),
  "W_13456" : VNWard("Xã Liêm Cần", 13456, VietnamDivisionType.XA, "xa_liem_can", 351),
  "W_13465" : VNWard("Xã Liêm Thuận", 13465, VietnamDivisionType.XA, "xa_liem_thuan", 351),
  "W_13468" : VNWard("Xã Thanh Thủy", 13468, VietnamDivisionType.XA, "xa_thanh_thuy", 351),
  "W_13471" : VNWard("Xã Thanh Phong", 13471, VietnamDivisionType.XA, "xa_thanh_phong", 351),
  "W_13474" : VNWard("Thị trấn Tân Thanh", 13474, VietnamDivisionType.THI_TRAN, "thi_tran_tan_thanh", 351),
  "W_13477" : VNWard("Xã Thanh Tân", 13477, VietnamDivisionType.XA, "xa_thanh_tan", 351),
  "W_13480" : VNWard("Xã Liêm Túc", 13480, VietnamDivisionType.XA, "xa_liem_tuc", 351),
  "W_13483" : VNWard("Xã Liêm Sơn", 13483, VietnamDivisionType.XA, "xa_liem_son", 351),
  "W_13486" : VNWard("Xã Thanh Hương", 13486, VietnamDivisionType.XA, "xa_thanh_huong", 351),
  "W_13489" : VNWard("Xã Thanh Nghị", 13489, VietnamDivisionType.XA, "xa_thanh_nghi", 351),
  "W_13492" : VNWard("Xã Thanh Tâm", 13492, VietnamDivisionType.XA, "xa_thanh_tam", 351),
  "W_13495" : VNWard("Xã Thanh Nguyên", 13495, VietnamDivisionType.XA, "xa_thanh_nguyen", 351),
  "W_13498" : VNWard("Xã Thanh Hải", 13498, VietnamDivisionType.XA, "xa_thanh_hai", 351),
  "W_13501" : VNWard("Thị trấn Bình Mỹ", 13501, VietnamDivisionType.THI_TRAN, "thi_tran_binh_my", 352),
  "W_13504" : VNWard("Xã Bình Nghĩa", 13504, VietnamDivisionType.XA, "xa_binh_nghia", 352),
  "W_13510" : VNWard("Xã Tràng An", 13510, VietnamDivisionType.XA, "xa_trang_an", 352),
  "W_13516" : VNWard("Xã Đồng Du", 13516, VietnamDivisionType.XA, "xa_dong_du", 352),
  "W_13519" : VNWard("Xã Ngọc Lũ", 13519, VietnamDivisionType.XA, "xa_ngoc_lu", 352),
  "W_13522" : VNWard("Xã Hưng Công", 13522, VietnamDivisionType.XA, "xa_hung_cong", 352),
  "W_13525" : VNWard("Xã Đồn Xá", 13525, VietnamDivisionType.XA, "xa_don_xa", 352),
  "W_13528" : VNWard("Xã An Ninh", 13528, VietnamDivisionType.XA, "xa_an_ninh", 352),
  "W_13531" : VNWard("Xã Bồ Đề", 13531, VietnamDivisionType.XA, "xa_bo_de", 352),
  "W_13534" : VNWard("Xã Bối Cầu", 13534, VietnamDivisionType.XA, "xa_boi_cau", 352),
  "W_13540" : VNWard("Xã An Nội", 13540, VietnamDivisionType.XA, "xa_an_noi", 352),
  "W_13543" : VNWard("Xã Vũ Bản", 13543, VietnamDivisionType.XA, "xa_vu_ban", 352),
  "W_13546" : VNWard("Xã Trung Lương", 13546, VietnamDivisionType.XA, "xa_trung_luong", 352),
  "W_13552" : VNWard("Xã An Đổ", 13552, VietnamDivisionType.XA, "xa_an_do", 352),
  "W_13555" : VNWard("Xã La Sơn", 13555, VietnamDivisionType.XA, "xa_la_son", 352),
  "W_13558" : VNWard("Xã Tiêu Động", 13558, VietnamDivisionType.XA, "xa_tieu_dong", 352),
  "W_13561" : VNWard("Xã An Lão", 13561, VietnamDivisionType.XA, "xa_an_lao", 352),
  "W_13567" : VNWard("Xã Hợp Lý", 13567, VietnamDivisionType.XA, "xa_hop_ly", 353),
  "W_13570" : VNWard("Xã Nguyên Lý", 13570, VietnamDivisionType.XA, "xa_nguyen_ly", 353),
  "W_13573" : VNWard("Xã Chính Lý", 13573, VietnamDivisionType.XA, "xa_chinh_ly", 353),
  "W_13576" : VNWard("Xã Chân Lý", 13576, VietnamDivisionType.XA, "xa_chan_ly", 353),
  "W_13579" : VNWard("Xã Đạo Lý", 13579, VietnamDivisionType.XA, "xa_dao_ly", 353),
  "W_13582" : VNWard("Xã Công Lý", 13582, VietnamDivisionType.XA, "xa_cong_ly", 353),
  "W_13585" : VNWard("Xã Văn Lý", 13585, VietnamDivisionType.XA, "xa_van_ly", 353),
  "W_13588" : VNWard("Xã Bắc Lý", 13588, VietnamDivisionType.XA, "xa_bac_ly", 353),
  "W_13591" : VNWard("Xã Đức Lý", 13591, VietnamDivisionType.XA, "xa_duc_ly", 353),
  "W_13594" : VNWard("Xã Trần Hưng Đạo", 13594, VietnamDivisionType.XA, "xa_tran_hung_dao", 353),
  "W_13597" : VNWard("Thị trấn Vĩnh Trụ", 13597, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_tru", 353),
  "W_13600" : VNWard("Xã Nhân Thịnh", 13600, VietnamDivisionType.XA, "xa_nhan_thinh", 353),
  "W_13606" : VNWard("Xã Nhân Khang", 13606, VietnamDivisionType.XA, "xa_nhan_khang", 353),
  "W_13609" : VNWard("Xã Nhân Mỹ", 13609, VietnamDivisionType.XA, "xa_nhan_my", 353),
  "W_13612" : VNWard("Xã Nhân Nghĩa", 13612, VietnamDivisionType.XA, "xa_nhan_nghia", 353),
  "W_13615" : VNWard("Xã Nhân Chính", 13615, VietnamDivisionType.XA, "xa_nhan_chinh", 353),
  "W_13618" : VNWard("Xã Nhân Bình", 13618, VietnamDivisionType.XA, "xa_nhan_binh", 353),
  "W_13621" : VNWard("Xã Phú Phúc", 13621, VietnamDivisionType.XA, "xa_phu_phuc", 353),
  "W_13624" : VNWard("Xã Xuân Khê", 13624, VietnamDivisionType.XA, "xa_xuan_khe", 353),
  "W_13627" : VNWard("Xã Tiến Thắng", 13627, VietnamDivisionType.XA, "xa_tien_thang", 353),
  "W_13630" : VNWard("Xã Hòa Hậu", 13630, VietnamDivisionType.XA, "xa_hoa_hau", 353),
  "W_13633" : VNWard("Phường Hạ Long", 13633, VietnamDivisionType.PHUONG, "phuong_ha_long", 356),
  "W_13636" : VNWard("Phường Trần Tế Xương", 13636, VietnamDivisionType.PHUONG, "phuong_tran_te_xuong", 356),
  "W_13639" : VNWard("Phường Vị Hoàng", 13639, VietnamDivisionType.PHUONG, "phuong_vi_hoang", 356),
  "W_13642" : VNWard("Phường Vị Xuyên", 13642, VietnamDivisionType.PHUONG, "phuong_vi_xuyen", 356),
  "W_13645" : VNWard("Phường Quang Trung", 13645, VietnamDivisionType.PHUONG, "phuong_quang_trung", 356),
  "W_13648" : VNWard("Phường Cửa Bắc", 13648, VietnamDivisionType.PHUONG, "phuong_cua_bac", 356),
  "W_13651" : VNWard("Phường Nguyễn Du", 13651, VietnamDivisionType.PHUONG, "phuong_nguyen_du", 356),
  "W_13654" : VNWard("Phường Bà Triệu", 13654, VietnamDivisionType.PHUONG, "phuong_ba_trieu", 356),
  "W_13657" : VNWard("Phường Trường Thi", 13657, VietnamDivisionType.PHUONG, "phuong_truong_thi", 356),
  "W_13660" : VNWard("Phường Phan Đình Phùng", 13660, VietnamDivisionType.PHUONG, "phuong_phan_dinh_phung", 356),
  "W_13663" : VNWard("Phường Ngô Quyền", 13663, VietnamDivisionType.PHUONG, "phuong_ngo_quyen", 356),
  "W_13666" : VNWard("Phường Trần Hưng Đạo", 13666, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 356),
  "W_13669" : VNWard("Phường Trần Đăng Ninh", 13669, VietnamDivisionType.PHUONG, "phuong_tran_dang_ninh", 356),
  "W_13672" : VNWard("Phường Năng Tĩnh", 13672, VietnamDivisionType.PHUONG, "phuong_nang_tinh", 356),
  "W_13675" : VNWard("Phường Văn Miếu", 13675, VietnamDivisionType.PHUONG, "phuong_van_mieu", 356),
  "W_13678" : VNWard("Phường Trần Quang Khải", 13678, VietnamDivisionType.PHUONG, "phuong_tran_quang_khai", 356),
  "W_13681" : VNWard("Phường Thống Nhất", 13681, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 356),
  "W_13684" : VNWard("Phường Lộc Hạ", 13684, VietnamDivisionType.PHUONG, "phuong_loc_ha", 356),
  "W_13687" : VNWard("Phường Lộc Vượng", 13687, VietnamDivisionType.PHUONG, "phuong_loc_vuong", 356),
  "W_13690" : VNWard("Phường Cửa Nam", 13690, VietnamDivisionType.PHUONG, "phuong_cua_nam", 356),
  "W_13693" : VNWard("Phường Lộc Hòa", 13693, VietnamDivisionType.PHUONG, "phuong_loc_hoa", 356),
  "W_13696" : VNWard("Xã Nam Phong", 13696, VietnamDivisionType.XA, "xa_nam_phong", 356),
  "W_13699" : VNWard("Phường Mỹ Xá", 13699, VietnamDivisionType.PHUONG, "phuong_my_xa", 356),
  "W_13702" : VNWard("Xã Lộc An", 13702, VietnamDivisionType.XA, "xa_loc_an", 356),
  "W_13705" : VNWard("Xã Nam Vân", 13705, VietnamDivisionType.XA, "xa_nam_van", 356),
  "W_13708" : VNWard("Thị trấn Mỹ Lộc", 13708, VietnamDivisionType.THI_TRAN, "thi_tran_my_loc", 358),
  "W_13711" : VNWard("Xã Mỹ Hà", 13711, VietnamDivisionType.XA, "xa_my_ha", 358),
  "W_13714" : VNWard("Xã Mỹ Tiến", 13714, VietnamDivisionType.XA, "xa_my_tien", 358),
  "W_13717" : VNWard("Xã Mỹ Thắng", 13717, VietnamDivisionType.XA, "xa_my_thang", 358),
  "W_13720" : VNWard("Xã Mỹ Trung", 13720, VietnamDivisionType.XA, "xa_my_trung", 358),
  "W_13723" : VNWard("Xã Mỹ Tân", 13723, VietnamDivisionType.XA, "xa_my_tan", 358),
  "W_13726" : VNWard("Xã Mỹ Phúc", 13726, VietnamDivisionType.XA, "xa_my_phuc", 358),
  "W_13729" : VNWard("Xã Mỹ Hưng", 13729, VietnamDivisionType.XA, "xa_my_hung", 358),
  "W_13732" : VNWard("Xã Mỹ Thuận", 13732, VietnamDivisionType.XA, "xa_my_thuan", 358),
  "W_13735" : VNWard("Xã Mỹ Thịnh", 13735, VietnamDivisionType.XA, "xa_my_thinh", 358),
  "W_13738" : VNWard("Xã Mỹ Thành", 13738, VietnamDivisionType.XA, "xa_my_thanh", 358),
  "W_13741" : VNWard("Thị trấn Gôi", 13741, VietnamDivisionType.THI_TRAN, "thi_tran_goi", 359),
  "W_13744" : VNWard("Xã Minh Thuận", 13744, VietnamDivisionType.XA, "xa_minh_thuan", 359),
  "W_13747" : VNWard("Xã Hiển Khánh", 13747, VietnamDivisionType.XA, "xa_hien_khanh", 359),
  "W_13750" : VNWard("Xã Tân Khánh", 13750, VietnamDivisionType.XA, "xa_tan_khanh", 359),
  "W_13753" : VNWard("Xã Hợp Hưng", 13753, VietnamDivisionType.XA, "xa_hop_hung", 359),
  "W_13756" : VNWard("Xã Đại An", 13756, VietnamDivisionType.XA, "xa_dai_an", 359),
  "W_13759" : VNWard("Xã Tân Thành", 13759, VietnamDivisionType.XA, "xa_tan_thanh", 359),
  "W_13762" : VNWard("Xã Cộng Hòa", 13762, VietnamDivisionType.XA, "xa_cong_hoa", 359),
  "W_13765" : VNWard("Xã Trung Thành", 13765, VietnamDivisionType.XA, "xa_trung_thanh", 359),
  "W_13768" : VNWard("Xã Quang Trung", 13768, VietnamDivisionType.XA, "xa_quang_trung", 359),
  "W_13771" : VNWard("Xã Minh Tân", 13771, VietnamDivisionType.XA, "xa_minh_tan", 359),
  "W_13774" : VNWard("Xã Liên Bảo", 13774, VietnamDivisionType.XA, "xa_lien_bao", 359),
  "W_13777" : VNWard("Xã Thành Lợi", 13777, VietnamDivisionType.XA, "xa_thanh_loi", 359),
  "W_13780" : VNWard("Xã Kim Thái", 13780, VietnamDivisionType.XA, "xa_kim_thai", 359),
  "W_13783" : VNWard("Xã Liên Minh", 13783, VietnamDivisionType.XA, "xa_lien_minh", 359),
  "W_13786" : VNWard("Xã Đại Thắng", 13786, VietnamDivisionType.XA, "xa_dai_thang", 359),
  "W_13789" : VNWard("Xã Tam Thanh", 13789, VietnamDivisionType.XA, "xa_tam_thanh", 359),
  "W_13792" : VNWard("Xã Vĩnh Hào", 13792, VietnamDivisionType.XA, "xa_vinh_hao", 359),
  "W_13795" : VNWard("Thị trấn Lâm", 13795, VietnamDivisionType.THI_TRAN, "thi_tran_lam", 360),
  "W_13798" : VNWard("Xã Yên Trung", 13798, VietnamDivisionType.XA, "xa_yen_trung", 360),
  "W_13801" : VNWard("Xã Yên Thành", 13801, VietnamDivisionType.XA, "xa_yen_thanh", 360),
  "W_13804" : VNWard("Xã Yên Tân", 13804, VietnamDivisionType.XA, "xa_yen_tan", 360),
  "W_13807" : VNWard("Xã Yên Lợi", 13807, VietnamDivisionType.XA, "xa_yen_loi", 360),
  "W_13810" : VNWard("Xã Yên Thọ", 13810, VietnamDivisionType.XA, "xa_yen_tho", 360),
  "W_13813" : VNWard("Xã Yên Nghĩa", 13813, VietnamDivisionType.XA, "xa_yen_nghia", 360),
  "W_13816" : VNWard("Xã Yên Minh", 13816, VietnamDivisionType.XA, "xa_yen_minh", 360),
  "W_13819" : VNWard("Xã Yên Phương", 13819, VietnamDivisionType.XA, "xa_yen_phuong", 360),
  "W_13822" : VNWard("Xã Yên Chính", 13822, VietnamDivisionType.XA, "xa_yen_chinh", 360),
  "W_13825" : VNWard("Xã Yên Bình", 13825, VietnamDivisionType.XA, "xa_yen_binh", 360),
  "W_13828" : VNWard("Xã Yên Phú", 13828, VietnamDivisionType.XA, "xa_yen_phu", 360),
  "W_13831" : VNWard("Xã Yên Mỹ", 13831, VietnamDivisionType.XA, "xa_yen_my", 360),
  "W_13834" : VNWard("Xã Yên Dương", 13834, VietnamDivisionType.XA, "xa_yen_duong", 360),
  "W_13840" : VNWard("Xã Yên Hưng", 13840, VietnamDivisionType.XA, "xa_yen_hung", 360),
  "W_13843" : VNWard("Xã Yên Khánh", 13843, VietnamDivisionType.XA, "xa_yen_khanh", 360),
  "W_13846" : VNWard("Xã Yên Phong", 13846, VietnamDivisionType.XA, "xa_yen_phong", 360),
  "W_13849" : VNWard("Xã Yên Ninh", 13849, VietnamDivisionType.XA, "xa_yen_ninh", 360),
  "W_13852" : VNWard("Xã Yên Lương", 13852, VietnamDivisionType.XA, "xa_yen_luong", 360),
  "W_13855" : VNWard("Xã Yên Hồng", 13855, VietnamDivisionType.XA, "xa_yen_hong", 360),
  "W_13858" : VNWard("Xã Yên Quang", 13858, VietnamDivisionType.XA, "xa_yen_quang", 360),
  "W_13861" : VNWard("Xã Yên Tiến", 13861, VietnamDivisionType.XA, "xa_yen_tien", 360),
  "W_13864" : VNWard("Xã Yên Thắng", 13864, VietnamDivisionType.XA, "xa_yen_thang", 360),
  "W_13867" : VNWard("Xã Yên Phúc", 13867, VietnamDivisionType.XA, "xa_yen_phuc", 360),
  "W_13870" : VNWard("Xã Yên Cường", 13870, VietnamDivisionType.XA, "xa_yen_cuong", 360),
  "W_13873" : VNWard("Xã Yên Lộc", 13873, VietnamDivisionType.XA, "xa_yen_loc", 360),
  "W_13876" : VNWard("Xã Yên Bằng", 13876, VietnamDivisionType.XA, "xa_yen_bang", 360),
  "W_13879" : VNWard("Xã Yên Đồng", 13879, VietnamDivisionType.XA, "xa_yen_dong", 360),
  "W_13882" : VNWard("Xã Yên Khang", 13882, VietnamDivisionType.XA, "xa_yen_khang", 360),
  "W_13885" : VNWard("Xã Yên Nhân", 13885, VietnamDivisionType.XA, "xa_yen_nhan", 360),
  "W_13888" : VNWard("Xã Yên Trị", 13888, VietnamDivisionType.XA, "xa_yen_tri", 360),
  "W_13891" : VNWard("Thị trấn Liễu Đề", 13891, VietnamDivisionType.THI_TRAN, "thi_tran_lieu_de", 361),
  "W_13894" : VNWard("Thị trấn Rạng Đông", 13894, VietnamDivisionType.THI_TRAN, "thi_tran_rang_dong", 361),
  "W_13897" : VNWard("Xã Nghĩa Đồng", 13897, VietnamDivisionType.XA, "xa_nghia_dong", 361),
  "W_13900" : VNWard("Xã Nghĩa Thịnh", 13900, VietnamDivisionType.XA, "xa_nghia_thinh", 361),
  "W_13903" : VNWard("Xã Nghĩa Minh", 13903, VietnamDivisionType.XA, "xa_nghia_minh", 361),
  "W_13906" : VNWard("Xã Nghĩa Thái", 13906, VietnamDivisionType.XA, "xa_nghia_thai", 361),
  "W_13909" : VNWard("Xã Hoàng Nam", 13909, VietnamDivisionType.XA, "xa_hoang_nam", 361),
  "W_13912" : VNWard("Xã Nghĩa Châu", 13912, VietnamDivisionType.XA, "xa_nghia_chau", 361),
  "W_13915" : VNWard("Xã Nghĩa Trung", 13915, VietnamDivisionType.XA, "xa_nghia_trung", 361),
  "W_13918" : VNWard("Xã Nghĩa Sơn", 13918, VietnamDivisionType.XA, "xa_nghia_son", 361),
  "W_13921" : VNWard("Xã Nghĩa Lạc", 13921, VietnamDivisionType.XA, "xa_nghia_lac", 361),
  "W_13924" : VNWard("Xã Nghĩa Hồng", 13924, VietnamDivisionType.XA, "xa_nghia_hong", 361),
  "W_13927" : VNWard("Xã Nghĩa Phong", 13927, VietnamDivisionType.XA, "xa_nghia_phong", 361),
  "W_13930" : VNWard("Xã Nghĩa Phú", 13930, VietnamDivisionType.XA, "xa_nghia_phu", 361),
  "W_13933" : VNWard("Xã Nghĩa Bình", 13933, VietnamDivisionType.XA, "xa_nghia_binh", 361),
  "W_13936" : VNWard("Thị trấn Quỹ Nhất", 13936, VietnamDivisionType.THI_TRAN, "thi_tran_quy_nhat", 361),
  "W_13939" : VNWard("Xã Nghĩa Tân", 13939, VietnamDivisionType.XA, "xa_nghia_tan", 361),
  "W_13942" : VNWard("Xã Nghĩa Hùng", 13942, VietnamDivisionType.XA, "xa_nghia_hung", 361),
  "W_13945" : VNWard("Xã Nghĩa Lâm", 13945, VietnamDivisionType.XA, "xa_nghia_lam", 361),
  "W_13948" : VNWard("Xã Nghĩa Thành", 13948, VietnamDivisionType.XA, "xa_nghia_thanh", 361),
  "W_13951" : VNWard("Xã Phúc Thắng", 13951, VietnamDivisionType.XA, "xa_phuc_thang", 361),
  "W_13954" : VNWard("Xã Nghĩa Lợi", 13954, VietnamDivisionType.XA, "xa_nghia_loi", 361),
  "W_13957" : VNWard("Xã Nghĩa Hải", 13957, VietnamDivisionType.XA, "xa_nghia_hai", 361),
  "W_13963" : VNWard("Xã Nam Điền", 13963, VietnamDivisionType.XA, "xa_nam_dien", 361),
  "W_13966" : VNWard("Thị trấn Nam Giang", 13966, VietnamDivisionType.THI_TRAN, "thi_tran_nam_giang", 362),
  "W_13969" : VNWard("Xã Nam Mỹ", 13969, VietnamDivisionType.XA, "xa_nam_my", 362),
  "W_13972" : VNWard("Xã Điền Xá", 13972, VietnamDivisionType.XA, "xa_dien_xa", 362),
  "W_13975" : VNWard("Xã Nghĩa An", 13975, VietnamDivisionType.XA, "xa_nghia_an", 362),
  "W_13978" : VNWard("Xã Nam Thắng", 13978, VietnamDivisionType.XA, "xa_nam_thang", 362),
  "W_13981" : VNWard("Xã Nam Toàn", 13981, VietnamDivisionType.XA, "xa_nam_toan", 362),
  "W_13984" : VNWard("Xã Hồng Quang", 13984, VietnamDivisionType.XA, "xa_hong_quang", 362),
  "W_13987" : VNWard("Xã Tân Thịnh", 13987, VietnamDivisionType.XA, "xa_tan_thinh", 362),
  "W_13990" : VNWard("Xã Nam Cường", 13990, VietnamDivisionType.XA, "xa_nam_cuong", 362),
  "W_13993" : VNWard("Xã Nam Hồng", 13993, VietnamDivisionType.XA, "xa_nam_hong", 362),
  "W_13996" : VNWard("Xã Nam Hùng", 13996, VietnamDivisionType.XA, "xa_nam_hung", 362),
  "W_13999" : VNWard("Xã Nam Hoa", 13999, VietnamDivisionType.XA, "xa_nam_hoa", 362),
  "W_14002" : VNWard("Xã Nam Dương", 14002, VietnamDivisionType.XA, "xa_nam_duong", 362),
  "W_14005" : VNWard("Xã Nam Thanh", 14005, VietnamDivisionType.XA, "xa_nam_thanh", 362),
  "W_14008" : VNWard("Xã Nam Lợi", 14008, VietnamDivisionType.XA, "xa_nam_loi", 362),
  "W_14011" : VNWard("Xã Bình Minh", 14011, VietnamDivisionType.XA, "xa_binh_minh", 362),
  "W_14014" : VNWard("Xã Đồng Sơn", 14014, VietnamDivisionType.XA, "xa_dong_son", 362),
  "W_14017" : VNWard("Xã Nam Tiến", 14017, VietnamDivisionType.XA, "xa_nam_tien", 362),
  "W_14020" : VNWard("Xã Nam Hải", 14020, VietnamDivisionType.XA, "xa_nam_hai", 362),
  "W_14023" : VNWard("Xã Nam Thái", 14023, VietnamDivisionType.XA, "xa_nam_thai", 362),
  "W_14026" : VNWard("Thị trấn Cổ Lễ", 14026, VietnamDivisionType.THI_TRAN, "thi_tran_co_le", 363),
  "W_14029" : VNWard("Xã Phương Định", 14029, VietnamDivisionType.XA, "xa_phuong_dinh", 363),
  "W_14032" : VNWard("Xã Trực Chính", 14032, VietnamDivisionType.XA, "xa_truc_chinh", 363),
  "W_14035" : VNWard("Xã Trung Đông", 14035, VietnamDivisionType.XA, "xa_trung_dong", 363),
  "W_14038" : VNWard("Xã Liêm Hải", 14038, VietnamDivisionType.XA, "xa_liem_hai", 363),
  "W_14041" : VNWard("Xã Trực Tuấn", 14041, VietnamDivisionType.XA, "xa_truc_tuan", 363),
  "W_14044" : VNWard("Xã Việt Hùng", 14044, VietnamDivisionType.XA, "xa_viet_hung", 363),
  "W_14047" : VNWard("Xã Trực Đạo", 14047, VietnamDivisionType.XA, "xa_truc_dao", 363),
  "W_14050" : VNWard("Xã Trực Hưng", 14050, VietnamDivisionType.XA, "xa_truc_hung", 363),
  "W_14053" : VNWard("Xã Trực Nội", 14053, VietnamDivisionType.XA, "xa_truc_noi", 363),
  "W_14056" : VNWard("Thị trấn Cát Thành", 14056, VietnamDivisionType.THI_TRAN, "thi_tran_cat_thanh", 363),
  "W_14059" : VNWard("Xã Trực Thanh", 14059, VietnamDivisionType.XA, "xa_truc_thanh", 363),
  "W_14062" : VNWard("Xã Trực Khang", 14062, VietnamDivisionType.XA, "xa_truc_khang", 363),
  "W_14065" : VNWard("Xã Trực Thuận", 14065, VietnamDivisionType.XA, "xa_truc_thuan", 363),
  "W_14068" : VNWard("Xã Trực Mỹ", 14068, VietnamDivisionType.XA, "xa_truc_my", 363),
  "W_14071" : VNWard("Xã Trực Đại", 14071, VietnamDivisionType.XA, "xa_truc_dai", 363),
  "W_14074" : VNWard("Xã Trực Cường", 14074, VietnamDivisionType.XA, "xa_truc_cuong", 363),
  "W_14077" : VNWard("Thị trấn Ninh Cường", 14077, VietnamDivisionType.THI_TRAN, "thi_tran_ninh_cuong", 363),
  "W_14080" : VNWard("Xã Trực Thái", 14080, VietnamDivisionType.XA, "xa_truc_thai", 363),
  "W_14083" : VNWard("Xã Trực Hùng", 14083, VietnamDivisionType.XA, "xa_truc_hung", 363),
  "W_14086" : VNWard("Xã Trực Thắng", 14086, VietnamDivisionType.XA, "xa_truc_thang", 363),
  "W_14089" : VNWard("Thị trấn Xuân Trường", 14089, VietnamDivisionType.THI_TRAN, "thi_tran_xuan_truong", 364),
  "W_14092" : VNWard("Xã Xuân Châu", 14092, VietnamDivisionType.XA, "xa_xuan_chau", 364),
  "W_14095" : VNWard("Xã Xuân Hồng", 14095, VietnamDivisionType.XA, "xa_xuan_hong", 364),
  "W_14098" : VNWard("Xã Xuân Thành", 14098, VietnamDivisionType.XA, "xa_xuan_thanh", 364),
  "W_14101" : VNWard("Xã Xuân Thượng", 14101, VietnamDivisionType.XA, "xa_xuan_thuong", 364),
  "W_14104" : VNWard("Xã Xuân Phong", 14104, VietnamDivisionType.XA, "xa_xuan_phong", 364),
  "W_14107" : VNWard("Xã Xuân Đài", 14107, VietnamDivisionType.XA, "xa_xuan_dai", 364),
  "W_14110" : VNWard("Xã Xuân Tân", 14110, VietnamDivisionType.XA, "xa_xuan_tan", 364),
  "W_14113" : VNWard("Xã Xuân Thủy", 14113, VietnamDivisionType.XA, "xa_xuan_thuy", 364),
  "W_14116" : VNWard("Xã Xuân Ngọc", 14116, VietnamDivisionType.XA, "xa_xuan_ngoc", 364),
  "W_14119" : VNWard("Xã Xuân Bắc", 14119, VietnamDivisionType.XA, "xa_xuan_bac", 364),
  "W_14122" : VNWard("Xã Xuân Phương", 14122, VietnamDivisionType.XA, "xa_xuan_phuong", 364),
  "W_14125" : VNWard("Xã Thọ Nghiệp", 14125, VietnamDivisionType.XA, "xa_tho_nghiep", 364),
  "W_14128" : VNWard("Xã Xuân Phú", 14128, VietnamDivisionType.XA, "xa_xuan_phu", 364),
  "W_14131" : VNWard("Xã Xuân Trung", 14131, VietnamDivisionType.XA, "xa_xuan_trung", 364),
  "W_14134" : VNWard("Xã Xuân Vinh", 14134, VietnamDivisionType.XA, "xa_xuan_vinh", 364),
  "W_14137" : VNWard("Xã Xuân Kiên", 14137, VietnamDivisionType.XA, "xa_xuan_kien", 364),
  "W_14140" : VNWard("Xã Xuân Tiến", 14140, VietnamDivisionType.XA, "xa_xuan_tien", 364),
  "W_14143" : VNWard("Xã Xuân Ninh", 14143, VietnamDivisionType.XA, "xa_xuan_ninh", 364),
  "W_14146" : VNWard("Xã Xuân Hòa", 14146, VietnamDivisionType.XA, "xa_xuan_hoa", 364),
  "W_14149" : VNWard("Thị trấn Ngô Đồng", 14149, VietnamDivisionType.THI_TRAN, "thi_tran_ngo_dong", 365),
  "W_14152" : VNWard("Thị trấn Quất Lâm", 14152, VietnamDivisionType.THI_TRAN, "thi_tran_quat_lam", 365),
  "W_14155" : VNWard("Xã Giao Hương", 14155, VietnamDivisionType.XA, "xa_giao_huong", 365),
  "W_14158" : VNWard("Xã Hồng Thuận", 14158, VietnamDivisionType.XA, "xa_hong_thuan", 365),
  "W_14161" : VNWard("Xã Giao Thiện", 14161, VietnamDivisionType.XA, "xa_giao_thien", 365),
  "W_14164" : VNWard("Xã Giao Thanh", 14164, VietnamDivisionType.XA, "xa_giao_thanh", 365),
  "W_14167" : VNWard("Xã Hoành Sơn", 14167, VietnamDivisionType.XA, "xa_hoanh_son", 365),
  "W_14170" : VNWard("Xã Bình Hòa", 14170, VietnamDivisionType.XA, "xa_binh_hoa", 365),
  "W_14173" : VNWard("Xã Giao Tiến", 14173, VietnamDivisionType.XA, "xa_giao_tien", 365),
  "W_14176" : VNWard("Xã Giao Hà", 14176, VietnamDivisionType.XA, "xa_giao_ha", 365),
  "W_14179" : VNWard("Xã Giao Nhân", 14179, VietnamDivisionType.XA, "xa_giao_nhan", 365),
  "W_14182" : VNWard("Xã Giao An", 14182, VietnamDivisionType.XA, "xa_giao_an", 365),
  "W_14185" : VNWard("Xã Giao Lạc", 14185, VietnamDivisionType.XA, "xa_giao_lac", 365),
  "W_14188" : VNWard("Xã Giao Châu", 14188, VietnamDivisionType.XA, "xa_giao_chau", 365),
  "W_14191" : VNWard("Xã Giao Tân", 14191, VietnamDivisionType.XA, "xa_giao_tan", 365),
  "W_14194" : VNWard("Xã Giao Yến", 14194, VietnamDivisionType.XA, "xa_giao_yen", 365),
  "W_14197" : VNWard("Xã Giao Xuân", 14197, VietnamDivisionType.XA, "xa_giao_xuan", 365),
  "W_14200" : VNWard("Xã Giao Thịnh", 14200, VietnamDivisionType.XA, "xa_giao_thinh", 365),
  "W_14203" : VNWard("Xã Giao Hải", 14203, VietnamDivisionType.XA, "xa_giao_hai", 365),
  "W_14206" : VNWard("Xã Bạch Long", 14206, VietnamDivisionType.XA, "xa_bach_long", 365),
  "W_14209" : VNWard("Xã Giao Long", 14209, VietnamDivisionType.XA, "xa_giao_long", 365),
  "W_14212" : VNWard("Xã Giao Phong", 14212, VietnamDivisionType.XA, "xa_giao_phong", 365),
  "W_14215" : VNWard("Thị trấn Yên Định", 14215, VietnamDivisionType.THI_TRAN, "thi_tran_yen_dinh", 366),
  "W_14218" : VNWard("Thị trấn Cồn", 14218, VietnamDivisionType.THI_TRAN, "thi_tran_con", 366),
  "W_14221" : VNWard("Thị trấn Thịnh Long", 14221, VietnamDivisionType.THI_TRAN, "thi_tran_thinh_long", 366),
  "W_14224" : VNWard("Xã Hải Nam", 14224, VietnamDivisionType.XA, "xa_hai_nam", 366),
  "W_14227" : VNWard("Xã Hải Trung", 14227, VietnamDivisionType.XA, "xa_hai_trung", 366),
  "W_14230" : VNWard("Xã Hải Vân", 14230, VietnamDivisionType.XA, "xa_hai_van", 366),
  "W_14233" : VNWard("Xã Hải Minh", 14233, VietnamDivisionType.XA, "xa_hai_minh", 366),
  "W_14236" : VNWard("Xã Hải Anh", 14236, VietnamDivisionType.XA, "xa_hai_anh", 366),
  "W_14239" : VNWard("Xã Hải Hưng", 14239, VietnamDivisionType.XA, "xa_hai_hung", 366),
  "W_14242" : VNWard("Xã Hải Bắc", 14242, VietnamDivisionType.XA, "xa_hai_bac", 366),
  "W_14245" : VNWard("Xã Hải Phúc", 14245, VietnamDivisionType.XA, "xa_hai_phuc", 366),
  "W_14248" : VNWard("Xã Hải Thanh", 14248, VietnamDivisionType.XA, "xa_hai_thanh", 366),
  "W_14251" : VNWard("Xã Hải Hà", 14251, VietnamDivisionType.XA, "xa_hai_ha", 366),
  "W_14254" : VNWard("Xã Hải Long", 14254, VietnamDivisionType.XA, "xa_hai_long", 366),
  "W_14257" : VNWard("Xã Hải Phương", 14257, VietnamDivisionType.XA, "xa_hai_phuong", 366),
  "W_14260" : VNWard("Xã Hải Đường", 14260, VietnamDivisionType.XA, "xa_hai_duong", 366),
  "W_14263" : VNWard("Xã Hải Lộc", 14263, VietnamDivisionType.XA, "xa_hai_loc", 366),
  "W_14266" : VNWard("Xã Hải Quang", 14266, VietnamDivisionType.XA, "xa_hai_quang", 366),
  "W_14269" : VNWard("Xã Hải Đông", 14269, VietnamDivisionType.XA, "xa_hai_dong", 366),
  "W_14272" : VNWard("Xã Hải Sơn", 14272, VietnamDivisionType.XA, "xa_hai_son", 366),
  "W_14275" : VNWard("Xã Hải Tân", 14275, VietnamDivisionType.XA, "xa_hai_tan", 366),
  "W_14281" : VNWard("Xã Hải Phong", 14281, VietnamDivisionType.XA, "xa_hai_phong", 366),
  "W_14284" : VNWard("Xã Hải An", 14284, VietnamDivisionType.XA, "xa_hai_an", 366),
  "W_14287" : VNWard("Xã Hải Tây", 14287, VietnamDivisionType.XA, "xa_hai_tay", 366),
  "W_14290" : VNWard("Xã Hải Lý", 14290, VietnamDivisionType.XA, "xa_hai_ly", 366),
  "W_14293" : VNWard("Xã Hải Phú", 14293, VietnamDivisionType.XA, "xa_hai_phu", 366),
  "W_14296" : VNWard("Xã Hải Giang", 14296, VietnamDivisionType.XA, "xa_hai_giang", 366),
  "W_14299" : VNWard("Xã Hải Cường", 14299, VietnamDivisionType.XA, "xa_hai_cuong", 366),
  "W_14302" : VNWard("Xã Hải Ninh", 14302, VietnamDivisionType.XA, "xa_hai_ninh", 366),
  "W_14305" : VNWard("Xã Hải Chính", 14305, VietnamDivisionType.XA, "xa_hai_chinh", 366),
  "W_14308" : VNWard("Xã Hải Xuân", 14308, VietnamDivisionType.XA, "xa_hai_xuan", 366),
  "W_14311" : VNWard("Xã Hải Châu", 14311, VietnamDivisionType.XA, "xa_hai_chau", 366),
  "W_14314" : VNWard("Xã Hải Triều", 14314, VietnamDivisionType.XA, "xa_hai_trieu", 366),
  "W_14317" : VNWard("Xã Hải Hòa", 14317, VietnamDivisionType.XA, "xa_hai_hoa", 366),
  "W_14320" : VNWard("Phường Đông Thành", 14320, VietnamDivisionType.PHUONG, "phuong_dong_thanh", 369),
  "W_14323" : VNWard("Phường Tân Thành", 14323, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 369),
  "W_14326" : VNWard("Phường Thanh Bình", 14326, VietnamDivisionType.PHUONG, "phuong_thanh_binh", 369),
  "W_14329" : VNWard("Phường Vân Giang", 14329, VietnamDivisionType.PHUONG, "phuong_van_giang", 369),
  "W_14332" : VNWard("Phường Bích Đào", 14332, VietnamDivisionType.PHUONG, "phuong_bich_dao", 369),
  "W_14335" : VNWard("Phường Phúc Thành", 14335, VietnamDivisionType.PHUONG, "phuong_phuc_thanh", 369),
  "W_14338" : VNWard("Phường Nam Bình", 14338, VietnamDivisionType.PHUONG, "phuong_nam_binh", 369),
  "W_14341" : VNWard("Phường Nam Thành", 14341, VietnamDivisionType.PHUONG, "phuong_nam_thanh", 369),
  "W_14344" : VNWard("Phường Ninh Khánh", 14344, VietnamDivisionType.PHUONG, "phuong_ninh_khanh", 369),
  "W_14347" : VNWard("Xã Ninh Nhất", 14347, VietnamDivisionType.XA, "xa_ninh_nhat", 369),
  "W_14350" : VNWard("Xã Ninh Tiến", 14350, VietnamDivisionType.XA, "xa_ninh_tien", 369),
  "W_14353" : VNWard("Xã Ninh Phúc", 14353, VietnamDivisionType.XA, "xa_ninh_phuc", 369),
  "W_14356" : VNWard("Phường Ninh Sơn", 14356, VietnamDivisionType.PHUONG, "phuong_ninh_son", 369),
  "W_14359" : VNWard("Phường Ninh Phong", 14359, VietnamDivisionType.PHUONG, "phuong_ninh_phong", 369),
  "W_14362" : VNWard("Phường Bắc Sơn", 14362, VietnamDivisionType.PHUONG, "phuong_bac_son", 370),
  "W_14365" : VNWard("Phường Trung Sơn", 14365, VietnamDivisionType.PHUONG, "phuong_trung_son", 370),
  "W_14368" : VNWard("Phường Nam Sơn", 14368, VietnamDivisionType.PHUONG, "phuong_nam_son", 370),
  "W_14369" : VNWard("Phường Tây Sơn", 14369, VietnamDivisionType.PHUONG, "phuong_tay_son", 370),
  "W_14371" : VNWard("Xã Yên Sơn", 14371, VietnamDivisionType.XA, "xa_yen_son", 370),
  "W_14374" : VNWard("Phường Yên Bình", 14374, VietnamDivisionType.PHUONG, "phuong_yen_binh", 370),
  "W_14375" : VNWard("Phường Tân Bình", 14375, VietnamDivisionType.PHUONG, "phuong_tan_binh", 370),
  "W_14377" : VNWard("Xã Quang Sơn", 14377, VietnamDivisionType.XA, "xa_quang_son", 370),
  "W_14380" : VNWard("Xã Đông Sơn", 14380, VietnamDivisionType.XA, "xa_dong_son", 370),
  "W_14383" : VNWard("Thị trấn Nho Quan", 14383, VietnamDivisionType.THI_TRAN, "thi_tran_nho_quan", 372),
  "W_14386" : VNWard("Xã Xích Thổ", 14386, VietnamDivisionType.XA, "xa_xich_tho", 372),
  "W_14389" : VNWard("Xã Gia Lâm", 14389, VietnamDivisionType.XA, "xa_gia_lam", 372),
  "W_14392" : VNWard("Xã Gia Sơn", 14392, VietnamDivisionType.XA, "xa_gia_son", 372),
  "W_14395" : VNWard("Xã Thạch Bình", 14395, VietnamDivisionType.XA, "xa_thach_binh", 372),
  "W_14398" : VNWard("Xã Gia Thủy", 14398, VietnamDivisionType.XA, "xa_gia_thuy", 372),
  "W_14401" : VNWard("Xã Gia Tường", 14401, VietnamDivisionType.XA, "xa_gia_tuong", 372),
  "W_14404" : VNWard("Xã Cúc Phương", 14404, VietnamDivisionType.XA, "xa_cuc_phuong", 372),
  "W_14407" : VNWard("Xã Phú Sơn", 14407, VietnamDivisionType.XA, "xa_phu_son", 372),
  "W_14410" : VNWard("Xã Đức Long", 14410, VietnamDivisionType.XA, "xa_duc_long", 372),
  "W_14413" : VNWard("Xã Lạc Vân", 14413, VietnamDivisionType.XA, "xa_lac_van", 372),
  "W_14416" : VNWard("Xã Đồng Phong", 14416, VietnamDivisionType.XA, "xa_dong_phong", 372),
  "W_14419" : VNWard("Xã Yên Quang", 14419, VietnamDivisionType.XA, "xa_yen_quang", 372),
  "W_14422" : VNWard("Xã Lạng Phong", 14422, VietnamDivisionType.XA, "xa_lang_phong", 372),
  "W_14425" : VNWard("Xã Thượng Hòa", 14425, VietnamDivisionType.XA, "xa_thuong_hoa", 372),
  "W_14428" : VNWard("Xã Văn Phong", 14428, VietnamDivisionType.XA, "xa_van_phong", 372),
  "W_14431" : VNWard("Xã Văn Phương", 14431, VietnamDivisionType.XA, "xa_van_phuong", 372),
  "W_14434" : VNWard("Xã Thanh Lạc", 14434, VietnamDivisionType.XA, "xa_thanh_lac", 372),
  "W_14437" : VNWard("Xã Sơn Lai", 14437, VietnamDivisionType.XA, "xa_son_lai", 372),
  "W_14440" : VNWard("Xã Sơn Thành", 14440, VietnamDivisionType.XA, "xa_son_thanh", 372),
  "W_14443" : VNWard("Xã Văn Phú", 14443, VietnamDivisionType.XA, "xa_van_phu", 372),
  "W_14446" : VNWard("Xã Phú Lộc", 14446, VietnamDivisionType.XA, "xa_phu_loc", 372),
  "W_14449" : VNWard("Xã Kỳ Phú", 14449, VietnamDivisionType.XA, "xa_ky_phu", 372),
  "W_14452" : VNWard("Xã Quỳnh Lưu", 14452, VietnamDivisionType.XA, "xa_quynh_luu", 372),
  "W_14455" : VNWard("Xã Sơn Hà", 14455, VietnamDivisionType.XA, "xa_son_ha", 372),
  "W_14458" : VNWard("Xã Phú Long", 14458, VietnamDivisionType.XA, "xa_phu_long", 372),
  "W_14461" : VNWard("Xã Quảng Lạc", 14461, VietnamDivisionType.XA, "xa_quang_lac", 372),
  "W_14464" : VNWard("Thị trấn Me", 14464, VietnamDivisionType.THI_TRAN, "thi_tran_me", 373),
  "W_14467" : VNWard("Xã Gia Hòa", 14467, VietnamDivisionType.XA, "xa_gia_hoa", 373),
  "W_14470" : VNWard("Xã Gia Hưng", 14470, VietnamDivisionType.XA, "xa_gia_hung", 373),
  "W_14473" : VNWard("Xã Liên Sơn", 14473, VietnamDivisionType.XA, "xa_lien_son", 373),
  "W_14476" : VNWard("Xã Gia Thanh", 14476, VietnamDivisionType.XA, "xa_gia_thanh", 373),
  "W_14479" : VNWard("Xã Gia Vân", 14479, VietnamDivisionType.XA, "xa_gia_van", 373),
  "W_14482" : VNWard("Xã Gia Phú", 14482, VietnamDivisionType.XA, "xa_gia_phu", 373),
  "W_14485" : VNWard("Xã Gia Xuân", 14485, VietnamDivisionType.XA, "xa_gia_xuan", 373),
  "W_14488" : VNWard("Xã Gia Lập", 14488, VietnamDivisionType.XA, "xa_gia_lap", 373),
  "W_14491" : VNWard("Xã Gia Vượng", 14491, VietnamDivisionType.XA, "xa_gia_vuong", 373),
  "W_14494" : VNWard("Xã Gia Trấn", 14494, VietnamDivisionType.XA, "xa_gia_tran", 373),
  "W_14497" : VNWard("Xã Gia Thịnh", 14497, VietnamDivisionType.XA, "xa_gia_thinh", 373),
  "W_14500" : VNWard("Xã Gia Phương", 14500, VietnamDivisionType.XA, "xa_gia_phuong", 373),
  "W_14503" : VNWard("Xã Gia Tân", 14503, VietnamDivisionType.XA, "xa_gia_tan", 373),
  "W_14506" : VNWard("Xã Gia Thắng", 14506, VietnamDivisionType.XA, "xa_gia_thang", 373),
  "W_14509" : VNWard("Xã Gia Trung", 14509, VietnamDivisionType.XA, "xa_gia_trung", 373),
  "W_14512" : VNWard("Xã Gia Minh", 14512, VietnamDivisionType.XA, "xa_gia_minh", 373),
  "W_14515" : VNWard("Xã Gia Lạc", 14515, VietnamDivisionType.XA, "xa_gia_lac", 373),
  "W_14518" : VNWard("Xã Gia Tiến", 14518, VietnamDivisionType.XA, "xa_gia_tien", 373),
  "W_14521" : VNWard("Xã Gia Sinh", 14521, VietnamDivisionType.XA, "xa_gia_sinh", 373),
  "W_14524" : VNWard("Xã Gia Phong", 14524, VietnamDivisionType.XA, "xa_gia_phong", 373),
  "W_14527" : VNWard("Thị trấn Thiên Tôn", 14527, VietnamDivisionType.THI_TRAN, "thi_tran_thien_ton", 374),
  "W_14530" : VNWard("Xã Ninh Giang", 14530, VietnamDivisionType.XA, "xa_ninh_giang", 374),
  "W_14533" : VNWard("Xã Trường Yên", 14533, VietnamDivisionType.XA, "xa_truong_yen", 374),
  "W_14536" : VNWard("Xã Ninh Khang", 14536, VietnamDivisionType.XA, "xa_ninh_khang", 374),
  "W_14539" : VNWard("Xã Ninh Mỹ", 14539, VietnamDivisionType.XA, "xa_ninh_my", 374),
  "W_14542" : VNWard("Xã Ninh Hòa", 14542, VietnamDivisionType.XA, "xa_ninh_hoa", 374),
  "W_14545" : VNWard("Xã Ninh Xuân", 14545, VietnamDivisionType.XA, "xa_ninh_xuan", 374),
  "W_14548" : VNWard("Xã Ninh Hải", 14548, VietnamDivisionType.XA, "xa_ninh_hai", 374),
  "W_14551" : VNWard("Xã Ninh Thắng", 14551, VietnamDivisionType.XA, "xa_ninh_thang", 374),
  "W_14554" : VNWard("Xã Ninh Vân", 14554, VietnamDivisionType.XA, "xa_ninh_van", 374),
  "W_14557" : VNWard("Xã Ninh An", 14557, VietnamDivisionType.XA, "xa_ninh_an", 374),
  "W_14560" : VNWard("Thị trấn Yên Ninh", 14560, VietnamDivisionType.THI_TRAN, "thi_tran_yen_ninh", 375),
  "W_14563" : VNWard("Xã Khánh Tiên", 14563, VietnamDivisionType.XA, "xa_khanh_tien", 375),
  "W_14566" : VNWard("Xã Khánh Phú", 14566, VietnamDivisionType.XA, "xa_khanh_phu", 375),
  "W_14569" : VNWard("Xã Khánh Hòa", 14569, VietnamDivisionType.XA, "xa_khanh_hoa", 375),
  "W_14572" : VNWard("Xã Khánh Lợi", 14572, VietnamDivisionType.XA, "xa_khanh_loi", 375),
  "W_14575" : VNWard("Xã Khánh An", 14575, VietnamDivisionType.XA, "xa_khanh_an", 375),
  "W_14578" : VNWard("Xã Khánh Cường", 14578, VietnamDivisionType.XA, "xa_khanh_cuong", 375),
  "W_14581" : VNWard("Xã Khánh Cư", 14581, VietnamDivisionType.XA, "xa_khanh_cu", 375),
  "W_14584" : VNWard("Xã Khánh Thiện", 14584, VietnamDivisionType.XA, "xa_khanh_thien", 375),
  "W_14587" : VNWard("Xã Khánh Hải", 14587, VietnamDivisionType.XA, "xa_khanh_hai", 375),
  "W_14590" : VNWard("Xã Khánh Trung", 14590, VietnamDivisionType.XA, "xa_khanh_trung", 375),
  "W_14593" : VNWard("Xã Khánh Mậu", 14593, VietnamDivisionType.XA, "xa_khanh_mau", 375),
  "W_14596" : VNWard("Xã Khánh Vân", 14596, VietnamDivisionType.XA, "xa_khanh_van", 375),
  "W_14599" : VNWard("Xã Khánh Hội", 14599, VietnamDivisionType.XA, "xa_khanh_hoi", 375),
  "W_14602" : VNWard("Xã Khánh Công", 14602, VietnamDivisionType.XA, "xa_khanh_cong", 375),
  "W_14608" : VNWard("Xã Khánh Thành", 14608, VietnamDivisionType.XA, "xa_khanh_thanh", 375),
  "W_14611" : VNWard("Xã Khánh Nhạc", 14611, VietnamDivisionType.XA, "xa_khanh_nhac", 375),
  "W_14614" : VNWard("Xã Khánh Thủy", 14614, VietnamDivisionType.XA, "xa_khanh_thuy", 375),
  "W_14617" : VNWard("Xã Khánh Hồng", 14617, VietnamDivisionType.XA, "xa_khanh_hong", 375),
  "W_14620" : VNWard("Thị trấn Phát Diệm", 14620, VietnamDivisionType.THI_TRAN, "thi_tran_phat_diem", 376),
  "W_14623" : VNWard("Thị trấn Bình Minh", 14623, VietnamDivisionType.THI_TRAN, "thi_tran_binh_minh", 376),
  "W_14629" : VNWard("Xã Hồi Ninh", 14629, VietnamDivisionType.XA, "xa_hoi_ninh", 376),
  "W_14632" : VNWard("Xã Xuân Chính", 14632, VietnamDivisionType.XA, "xa_xuan_chinh", 376),
  "W_14635" : VNWard("Xã Kim Định", 14635, VietnamDivisionType.XA, "xa_kim_dinh", 376),
  "W_14638" : VNWard("Xã Ân Hòa", 14638, VietnamDivisionType.XA, "xa_an_hoa", 376),
  "W_14641" : VNWard("Xã Hùng Tiến", 14641, VietnamDivisionType.XA, "xa_hung_tien", 376),
  "W_14647" : VNWard("Xã Quang Thiện", 14647, VietnamDivisionType.XA, "xa_quang_thien", 376),
  "W_14650" : VNWard("Xã Như Hòa", 14650, VietnamDivisionType.XA, "xa_nhu_hoa", 376),
  "W_14653" : VNWard("Xã Chất Bình", 14653, VietnamDivisionType.XA, "xa_chat_binh", 376),
  "W_14656" : VNWard("Xã Đồng Hướng", 14656, VietnamDivisionType.XA, "xa_dong_huong", 376),
  "W_14659" : VNWard("Xã Kim Chính", 14659, VietnamDivisionType.XA, "xa_kim_chinh", 376),
  "W_14662" : VNWard("Xã Thượng Kiệm", 14662, VietnamDivisionType.XA, "xa_thuong_kiem", 376),
  "W_14665" : VNWard("Xã Lưu Phương", 14665, VietnamDivisionType.XA, "xa_luu_phuong", 376),
  "W_14668" : VNWard("Xã Tân Thành", 14668, VietnamDivisionType.XA, "xa_tan_thanh", 376),
  "W_14671" : VNWard("Xã Yên Lộc", 14671, VietnamDivisionType.XA, "xa_yen_loc", 376),
  "W_14674" : VNWard("Xã Lai Thành", 14674, VietnamDivisionType.XA, "xa_lai_thanh", 376),
  "W_14677" : VNWard("Xã Định Hóa", 14677, VietnamDivisionType.XA, "xa_dinh_hoa", 376),
  "W_14680" : VNWard("Xã Văn Hải", 14680, VietnamDivisionType.XA, "xa_van_hai", 376),
  "W_14683" : VNWard("Xã Kim Tân", 14683, VietnamDivisionType.XA, "xa_kim_tan", 376),
  "W_14686" : VNWard("Xã Kim Mỹ", 14686, VietnamDivisionType.XA, "xa_kim_my", 376),
  "W_14689" : VNWard("Xã Cồn Thoi", 14689, VietnamDivisionType.XA, "xa_con_thoi", 376),
  "W_14692" : VNWard("Xã Kim Hải", 14692, VietnamDivisionType.XA, "xa_kim_hai", 376),
  "W_14695" : VNWard("Xã Kim Trung", 14695, VietnamDivisionType.XA, "xa_kim_trung", 376),
  "W_14698" : VNWard("Xã Kim Đông", 14698, VietnamDivisionType.XA, "xa_kim_dong", 376),
  "W_14701" : VNWard("Thị trấn Yên Thịnh", 14701, VietnamDivisionType.THI_TRAN, "thi_tran_yen_thinh", 377),
  "W_14704" : VNWard("Xã Khánh Thượng", 14704, VietnamDivisionType.XA, "xa_khanh_thuong", 377),
  "W_14707" : VNWard("Xã Khánh Dương", 14707, VietnamDivisionType.XA, "xa_khanh_duong", 377),
  "W_14710" : VNWard("Xã Mai Sơn", 14710, VietnamDivisionType.XA, "xa_mai_son", 377),
  "W_14713" : VNWard("Xã Khánh Thịnh", 14713, VietnamDivisionType.XA, "xa_khanh_thinh", 377),
  "W_14719" : VNWard("Xã Yên Phong", 14719, VietnamDivisionType.XA, "xa_yen_phong", 377),
  "W_14722" : VNWard("Xã Yên Hòa", 14722, VietnamDivisionType.XA, "xa_yen_hoa", 377),
  "W_14725" : VNWard("Xã Yên Thắng", 14725, VietnamDivisionType.XA, "xa_yen_thang", 377),
  "W_14728" : VNWard("Xã Yên Từ", 14728, VietnamDivisionType.XA, "xa_yen_tu", 377),
  "W_14731" : VNWard("Xã Yên Hưng", 14731, VietnamDivisionType.XA, "xa_yen_hung", 377),
  "W_14734" : VNWard("Xã Yên Thành", 14734, VietnamDivisionType.XA, "xa_yen_thanh", 377),
  "W_14737" : VNWard("Xã Yên Nhân", 14737, VietnamDivisionType.XA, "xa_yen_nhan", 377),
  "W_14740" : VNWard("Xã Yên Mỹ", 14740, VietnamDivisionType.XA, "xa_yen_my", 377),
  "W_14743" : VNWard("Xã Yên Mạc", 14743, VietnamDivisionType.XA, "xa_yen_mac", 377),
  "W_14746" : VNWard("Xã Yên Đồng", 14746, VietnamDivisionType.XA, "xa_yen_dong", 377),
  "W_14749" : VNWard("Xã Yên Thái", 14749, VietnamDivisionType.XA, "xa_yen_thai", 377),
  "W_14752" : VNWard("Xã Yên Lâm", 14752, VietnamDivisionType.XA, "xa_yen_lam", 377),
  "W_14755" : VNWard("Phường Hàm Rồng", 14755, VietnamDivisionType.PHUONG, "phuong_ham_rong", 380),
  "W_14758" : VNWard("Phường Đông Thọ", 14758, VietnamDivisionType.PHUONG, "phuong_dong_tho", 380),
  "W_14761" : VNWard("Phường Nam Ngạn", 14761, VietnamDivisionType.PHUONG, "phuong_nam_ngan", 380),
  "W_14764" : VNWard("Phường Trường Thi", 14764, VietnamDivisionType.PHUONG, "phuong_truong_thi", 380),
  "W_14767" : VNWard("Phường Điện Biên", 14767, VietnamDivisionType.PHUONG, "phuong_dien_bien", 380),
  "W_14770" : VNWard("Phường Phú Sơn", 14770, VietnamDivisionType.PHUONG, "phuong_phu_son", 380),
  "W_14773" : VNWard("Phường Lam Sơn", 14773, VietnamDivisionType.PHUONG, "phuong_lam_son", 380),
  "W_14776" : VNWard("Phường Ba Đình", 14776, VietnamDivisionType.PHUONG, "phuong_ba_dinh", 380),
  "W_14779" : VNWard("Phường Ngọc Trạo", 14779, VietnamDivisionType.PHUONG, "phuong_ngoc_trao", 380),
  "W_14782" : VNWard("Phường Đông Vệ", 14782, VietnamDivisionType.PHUONG, "phuong_dong_ve", 380),
  "W_14785" : VNWard("Phường Đông Sơn", 14785, VietnamDivisionType.PHUONG, "phuong_dong_son", 380),
  "W_14788" : VNWard("Phường Tân Sơn", 14788, VietnamDivisionType.PHUONG, "phuong_tan_son", 380),
  "W_14791" : VNWard("Phường Đông Cương", 14791, VietnamDivisionType.PHUONG, "phuong_dong_cuong", 380),
  "W_14794" : VNWard("Phường Đông Hương", 14794, VietnamDivisionType.PHUONG, "phuong_dong_huong", 380),
  "W_14797" : VNWard("Phường Đông Hải", 14797, VietnamDivisionType.PHUONG, "phuong_dong_hai", 380),
  "W_14800" : VNWard("Phường Quảng Hưng", 14800, VietnamDivisionType.PHUONG, "phuong_quang_hung", 380),
  "W_14803" : VNWard("Phường Quảng Thắng", 14803, VietnamDivisionType.PHUONG, "phuong_quang_thang", 380),
  "W_14806" : VNWard("Phường Quảng Thành", 14806, VietnamDivisionType.PHUONG, "phuong_quang_thanh", 380),
  "W_15850" : VNWard("Xã Thiệu Vân", 15850, VietnamDivisionType.XA, "xa_thieu_van", 380),
  "W_15856" : VNWard("Phường Thiệu Khánh", 15856, VietnamDivisionType.PHUONG, "phuong_thieu_khanh", 380),
  "W_15859" : VNWard("Phường Thiệu Dương", 15859, VietnamDivisionType.PHUONG, "phuong_thieu_duong", 380),
  "W_15913" : VNWard("Phường Tào Xuyên", 15913, VietnamDivisionType.PHUONG, "phuong_tao_xuyen", 380),
  "W_15922" : VNWard("Phường Long Anh", 15922, VietnamDivisionType.PHUONG, "phuong_long_anh", 380),
  "W_15925" : VNWard("Xã Hoằng Quang", 15925, VietnamDivisionType.XA, "xa_hoang_quang", 380),
  "W_15970" : VNWard("Xã Hoằng Đại", 15970, VietnamDivisionType.XA, "xa_hoang_dai", 380),
  "W_16396" : VNWard("Phường Đông Lĩnh", 16396, VietnamDivisionType.PHUONG, "phuong_dong_linh", 380),
  "W_16429" : VNWard("Xã Đông Vinh", 16429, VietnamDivisionType.XA, "xa_dong_vinh", 380),
  "W_16432" : VNWard("Phường Đông Tân", 16432, VietnamDivisionType.PHUONG, "phuong_dong_tan", 380),
  "W_16435" : VNWard("Phường An Hưng", 16435, VietnamDivisionType.PHUONG, "phuong_an_hung", 380),
  "W_16441" : VNWard("Phường Quảng Thịnh", 16441, VietnamDivisionType.PHUONG, "phuong_quang_thinh", 380),
  "W_16459" : VNWard("Phường Quảng Đông", 16459, VietnamDivisionType.PHUONG, "phuong_quang_dong", 380),
  "W_16507" : VNWard("Phường Quảng Cát", 16507, VietnamDivisionType.PHUONG, "phuong_quang_cat", 380),
  "W_16522" : VNWard("Phường Quảng Phú", 16522, VietnamDivisionType.PHUONG, "phuong_quang_phu", 380),
  "W_16525" : VNWard("Phường Quảng Tâm", 16525, VietnamDivisionType.PHUONG, "phuong_quang_tam", 380),
  "W_14809" : VNWard("Phường Bắc Sơn", 14809, VietnamDivisionType.PHUONG, "phuong_bac_son", 381),
  "W_14812" : VNWard("Phường Ba Đình", 14812, VietnamDivisionType.PHUONG, "phuong_ba_dinh", 381),
  "W_14815" : VNWard("Phường Lam Sơn", 14815, VietnamDivisionType.PHUONG, "phuong_lam_son", 381),
  "W_14818" : VNWard("Phường Ngọc Trạo", 14818, VietnamDivisionType.PHUONG, "phuong_ngoc_trao", 381),
  "W_14821" : VNWard("Phường Đông Sơn", 14821, VietnamDivisionType.PHUONG, "phuong_dong_son", 381),
  "W_14823" : VNWard("Phường Phú Sơn", 14823, VietnamDivisionType.PHUONG, "phuong_phu_son", 381),
  "W_14824" : VNWard("Xã Quang Trung", 14824, VietnamDivisionType.XA, "xa_quang_trung", 381),
  "W_14830" : VNWard("Phường Trung Sơn", 14830, VietnamDivisionType.PHUONG, "phuong_trung_son", 382),
  "W_14833" : VNWard("Phường Bắc Sơn", 14833, VietnamDivisionType.PHUONG, "phuong_bac_son", 382),
  "W_14836" : VNWard("Phường Trường Sơn", 14836, VietnamDivisionType.PHUONG, "phuong_truong_son", 382),
  "W_14839" : VNWard("Phường Quảng Cư", 14839, VietnamDivisionType.PHUONG, "phuong_quang_cu", 382),
  "W_14842" : VNWard("Phường Quảng Tiến", 14842, VietnamDivisionType.PHUONG, "phuong_quang_tien", 382),
  "W_16513" : VNWard("Xã Quảng Minh", 16513, VietnamDivisionType.XA, "xa_quang_minh", 382),
  "W_16516" : VNWard("Xã Quảng Hùng", 16516, VietnamDivisionType.XA, "xa_quang_hung", 382),
  "W_16528" : VNWard("Phường Quảng Thọ", 16528, VietnamDivisionType.PHUONG, "phuong_quang_tho", 382),
  "W_16531" : VNWard("Phường Quảng Châu", 16531, VietnamDivisionType.PHUONG, "phuong_quang_chau", 382),
  "W_16534" : VNWard("Phường Quảng Vinh", 16534, VietnamDivisionType.PHUONG, "phuong_quang_vinh", 382),
  "W_16537" : VNWard("Xã Quảng Đại", 16537, VietnamDivisionType.XA, "xa_quang_dai", 382),
  "W_14845" : VNWard("Thị trấn Mường Lát", 14845, VietnamDivisionType.THI_TRAN, "thi_tran_muong_lat", 384),
  "W_14848" : VNWard("Xã Tam Chung", 14848, VietnamDivisionType.XA, "xa_tam_chung", 384),
  "W_14854" : VNWard("Xã Mường Lý", 14854, VietnamDivisionType.XA, "xa_muong_ly", 384),
  "W_14857" : VNWard("Xã Trung Lý", 14857, VietnamDivisionType.XA, "xa_trung_ly", 384),
  "W_14860" : VNWard("Xã Quang Chiểu", 14860, VietnamDivisionType.XA, "xa_quang_chieu", 384),
  "W_14863" : VNWard("Xã Pù Nhi", 14863, VietnamDivisionType.XA, "xa_pu_nhi", 384),
  "W_14864" : VNWard("Xã Nhi Sơn", 14864, VietnamDivisionType.XA, "xa_nhi_son", 384),
  "W_14866" : VNWard("Xã Mường Chanh", 14866, VietnamDivisionType.XA, "xa_muong_chanh", 384),
  "W_14869" : VNWard("Thị trấn Hồi Xuân", 14869, VietnamDivisionType.THI_TRAN, "thi_tran_hoi_xuan", 385),
  "W_14872" : VNWard("Xã Thành Sơn", 14872, VietnamDivisionType.XA, "xa_thanh_son", 385),
  "W_14875" : VNWard("Xã Trung Sơn", 14875, VietnamDivisionType.XA, "xa_trung_son", 385),
  "W_14878" : VNWard("Xã Phú Thanh", 14878, VietnamDivisionType.XA, "xa_phu_thanh", 385),
  "W_14881" : VNWard("Xã Trung Thành", 14881, VietnamDivisionType.XA, "xa_trung_thanh", 385),
  "W_14884" : VNWard("Xã Phú Lệ", 14884, VietnamDivisionType.XA, "xa_phu_le", 385),
  "W_14887" : VNWard("Xã Phú Sơn", 14887, VietnamDivisionType.XA, "xa_phu_son", 385),
  "W_14890" : VNWard("Xã Phú Xuân", 14890, VietnamDivisionType.XA, "xa_phu_xuan", 385),
  "W_14896" : VNWard("Xã Hiền Chung", 14896, VietnamDivisionType.XA, "xa_hien_chung", 385),
  "W_14899" : VNWard("Xã Hiền Kiệt", 14899, VietnamDivisionType.XA, "xa_hien_kiet", 385),
  "W_14902" : VNWard("Xã Nam Tiến", 14902, VietnamDivisionType.XA, "xa_nam_tien", 385),
  "W_14908" : VNWard("Xã Thiên Phủ", 14908, VietnamDivisionType.XA, "xa_thien_phu", 385),
  "W_14911" : VNWard("Xã Phú Nghiêm", 14911, VietnamDivisionType.XA, "xa_phu_nghiem", 385),
  "W_14914" : VNWard("Xã Nam Xuân", 14914, VietnamDivisionType.XA, "xa_nam_xuan", 385),
  "W_14917" : VNWard("Xã Nam Động", 14917, VietnamDivisionType.XA, "xa_nam_dong", 385),
  "W_14923" : VNWard("Thị trấn Cành Nàng", 14923, VietnamDivisionType.THI_TRAN, "thi_tran_canh_nang", 386),
  "W_14926" : VNWard("Xã Điền Thượng", 14926, VietnamDivisionType.XA, "xa_dien_thuong", 386),
  "W_14929" : VNWard("Xã Điền Hạ", 14929, VietnamDivisionType.XA, "xa_dien_ha", 386),
  "W_14932" : VNWard("Xã Điền Quang", 14932, VietnamDivisionType.XA, "xa_dien_quang", 386),
  "W_14935" : VNWard("Xã Điền Trung", 14935, VietnamDivisionType.XA, "xa_dien_trung", 386),
  "W_14938" : VNWard("Xã Thành Sơn", 14938, VietnamDivisionType.XA, "xa_thanh_son", 386),
  "W_14941" : VNWard("Xã Lương Ngoại", 14941, VietnamDivisionType.XA, "xa_luong_ngoai", 386),
  "W_14944" : VNWard("Xã Ái Thượng", 14944, VietnamDivisionType.XA, "xa_ai_thuong", 386),
  "W_14947" : VNWard("Xã Lương Nội", 14947, VietnamDivisionType.XA, "xa_luong_noi", 386),
  "W_14950" : VNWard("Xã Điền Lư", 14950, VietnamDivisionType.XA, "xa_dien_lu", 386),
  "W_14953" : VNWard("Xã Lương Trung", 14953, VietnamDivisionType.XA, "xa_luong_trung", 386),
  "W_14956" : VNWard("Xã Lũng Niêm", 14956, VietnamDivisionType.XA, "xa_lung_niem", 386),
  "W_14959" : VNWard("Xã Lũng Cao", 14959, VietnamDivisionType.XA, "xa_lung_cao", 386),
  "W_14962" : VNWard("Xã Hạ Trung", 14962, VietnamDivisionType.XA, "xa_ha_trung", 386),
  "W_14965" : VNWard("Xã Cổ Lũng", 14965, VietnamDivisionType.XA, "xa_co_lung", 386),
  "W_14968" : VNWard("Xã Thành Lâm", 14968, VietnamDivisionType.XA, "xa_thanh_lam", 386),
  "W_14971" : VNWard("Xã Ban Công", 14971, VietnamDivisionType.XA, "xa_ban_cong", 386),
  "W_14974" : VNWard("Xã Kỳ Tân", 14974, VietnamDivisionType.XA, "xa_ky_tan", 386),
  "W_14977" : VNWard("Xã Văn Nho", 14977, VietnamDivisionType.XA, "xa_van_nho", 386),
  "W_14980" : VNWard("Xã Thiết Ống", 14980, VietnamDivisionType.XA, "xa_thiet_ong", 386),
  "W_14986" : VNWard("Xã Thiết Kế", 14986, VietnamDivisionType.XA, "xa_thiet_ke", 386),
  "W_14995" : VNWard("Xã Trung Xuân", 14995, VietnamDivisionType.XA, "xa_trung_xuan", 387),
  "W_14998" : VNWard("Xã Trung Thượng", 14998, VietnamDivisionType.XA, "xa_trung_thuong", 387),
  "W_14999" : VNWard("Xã Trung Tiến", 14999, VietnamDivisionType.XA, "xa_trung_tien", 387),
  "W_15001" : VNWard("Xã Trung Hạ", 15001, VietnamDivisionType.XA, "xa_trung_ha", 387),
  "W_15004" : VNWard("Xã Sơn Hà", 15004, VietnamDivisionType.XA, "xa_son_ha", 387),
  "W_15007" : VNWard("Xã Tam Thanh", 15007, VietnamDivisionType.XA, "xa_tam_thanh", 387),
  "W_15010" : VNWard("Xã Sơn Thủy", 15010, VietnamDivisionType.XA, "xa_son_thuy", 387),
  "W_15013" : VNWard("Xã Na Mèo", 15013, VietnamDivisionType.XA, "xa_na_meo", 387),
  "W_15016" : VNWard("Thị trấn Sơn Lư", 15016, VietnamDivisionType.THI_TRAN, "thi_tran_son_lu", 387),
  "W_15019" : VNWard("Xã Tam Lư", 15019, VietnamDivisionType.XA, "xa_tam_lu", 387),
  "W_15022" : VNWard("Xã Sơn Điện", 15022, VietnamDivisionType.XA, "xa_son_dien", 387),
  "W_15025" : VNWard("Xã Mường Mìn", 15025, VietnamDivisionType.XA, "xa_muong_min", 387),
  "W_15031" : VNWard("Xã Yên Khương", 15031, VietnamDivisionType.XA, "xa_yen_khuong", 388),
  "W_15034" : VNWard("Xã Yên Thắng", 15034, VietnamDivisionType.XA, "xa_yen_thang", 388),
  "W_15037" : VNWard("Xã Trí Nang", 15037, VietnamDivisionType.XA, "xa_tri_nang", 388),
  "W_15040" : VNWard("Xã Giao An", 15040, VietnamDivisionType.XA, "xa_giao_an", 388),
  "W_15043" : VNWard("Xã Giao Thiện", 15043, VietnamDivisionType.XA, "xa_giao_thien", 388),
  "W_15046" : VNWard("Xã Tân Phúc", 15046, VietnamDivisionType.XA, "xa_tan_phuc", 388),
  "W_15049" : VNWard("Xã Tam Văn", 15049, VietnamDivisionType.XA, "xa_tam_van", 388),
  "W_15052" : VNWard("Xã Lâm Phú", 15052, VietnamDivisionType.XA, "xa_lam_phu", 388),
  "W_15055" : VNWard("Thị trấn Lang Chánh", 15055, VietnamDivisionType.THI_TRAN, "thi_tran_lang_chanh", 388),
  "W_15058" : VNWard("Xã Đồng Lương", 15058, VietnamDivisionType.XA, "xa_dong_luong", 388),
  "W_15061" : VNWard("Thị trấn Ngọc Lặc", 15061, VietnamDivisionType.THI_TRAN, "thi_tran_ngoc_lac", 389),
  "W_15064" : VNWard("Xã Lam Sơn", 15064, VietnamDivisionType.XA, "xa_lam_son", 389),
  "W_15067" : VNWard("Xã Mỹ Tân", 15067, VietnamDivisionType.XA, "xa_my_tan", 389),
  "W_15070" : VNWard("Xã Thúy Sơn", 15070, VietnamDivisionType.XA, "xa_thuy_son", 389),
  "W_15073" : VNWard("Xã Thạch Lập", 15073, VietnamDivisionType.XA, "xa_thach_lap", 389),
  "W_15076" : VNWard("Xã Vân Âm", 15076, VietnamDivisionType.XA, "xa_van_am", 389),
  "W_15079" : VNWard("Xã Cao Ngọc", 15079, VietnamDivisionType.XA, "xa_cao_ngoc", 389),
  "W_15085" : VNWard("Xã Quang Trung", 15085, VietnamDivisionType.XA, "xa_quang_trung", 389),
  "W_15088" : VNWard("Xã Đồng Thịnh", 15088, VietnamDivisionType.XA, "xa_dong_thinh", 389),
  "W_15091" : VNWard("Xã Ngọc Liên", 15091, VietnamDivisionType.XA, "xa_ngoc_lien", 389),
  "W_15094" : VNWard("Xã Ngọc Sơn", 15094, VietnamDivisionType.XA, "xa_ngoc_son", 389),
  "W_15097" : VNWard("Xã Lộc Thịnh", 15097, VietnamDivisionType.XA, "xa_loc_thinh", 389),
  "W_15100" : VNWard("Xã Cao Thịnh", 15100, VietnamDivisionType.XA, "xa_cao_thinh", 389),
  "W_15103" : VNWard("Xã Ngọc Trung", 15103, VietnamDivisionType.XA, "xa_ngoc_trung", 389),
  "W_15106" : VNWard("Xã Phùng Giáo", 15106, VietnamDivisionType.XA, "xa_phung_giao", 389),
  "W_15109" : VNWard("Xã Phùng Minh", 15109, VietnamDivisionType.XA, "xa_phung_minh", 389),
  "W_15112" : VNWard("Xã Phúc Thịnh", 15112, VietnamDivisionType.XA, "xa_phuc_thinh", 389),
  "W_15115" : VNWard("Xã Nguyệt Ấn", 15115, VietnamDivisionType.XA, "xa_nguyet_an", 389),
  "W_15118" : VNWard("Xã Kiên Thọ", 15118, VietnamDivisionType.XA, "xa_kien_tho", 389),
  "W_15121" : VNWard("Xã Minh Tiến", 15121, VietnamDivisionType.XA, "xa_minh_tien", 389),
  "W_15124" : VNWard("Xã Minh Sơn", 15124, VietnamDivisionType.XA, "xa_minh_son", 389),
  "W_15127" : VNWard("Thị trấn Phong Sơn", 15127, VietnamDivisionType.THI_TRAN, "thi_tran_phong_son", 390),
  "W_15133" : VNWard("Xã Cẩm Thành", 15133, VietnamDivisionType.XA, "xa_cam_thanh", 390),
  "W_15136" : VNWard("Xã Cẩm Quý", 15136, VietnamDivisionType.XA, "xa_cam_quy", 390),
  "W_15139" : VNWard("Xã Cẩm Lương", 15139, VietnamDivisionType.XA, "xa_cam_luong", 390),
  "W_15142" : VNWard("Xã Cẩm Thạch", 15142, VietnamDivisionType.XA, "xa_cam_thach", 390),
  "W_15145" : VNWard("Xã Cẩm Liên", 15145, VietnamDivisionType.XA, "xa_cam_lien", 390),
  "W_15148" : VNWard("Xã Cẩm Giang", 15148, VietnamDivisionType.XA, "xa_cam_giang", 390),
  "W_15151" : VNWard("Xã Cẩm Bình", 15151, VietnamDivisionType.XA, "xa_cam_binh", 390),
  "W_15154" : VNWard("Xã Cẩm Tú", 15154, VietnamDivisionType.XA, "xa_cam_tu", 390),
  "W_15160" : VNWard("Xã Cẩm Châu", 15160, VietnamDivisionType.XA, "xa_cam_chau", 390),
  "W_15163" : VNWard("Xã Cẩm Tâm", 15163, VietnamDivisionType.XA, "xa_cam_tam", 390),
  "W_15169" : VNWard("Xã Cẩm Ngọc", 15169, VietnamDivisionType.XA, "xa_cam_ngoc", 390),
  "W_15172" : VNWard("Xã Cẩm Long", 15172, VietnamDivisionType.XA, "xa_cam_long", 390),
  "W_15175" : VNWard("Xã Cẩm Yên", 15175, VietnamDivisionType.XA, "xa_cam_yen", 390),
  "W_15178" : VNWard("Xã Cẩm Tân", 15178, VietnamDivisionType.XA, "xa_cam_tan", 390),
  "W_15181" : VNWard("Xã Cẩm Phú", 15181, VietnamDivisionType.XA, "xa_cam_phu", 390),
  "W_15184" : VNWard("Xã Cẩm Vân", 15184, VietnamDivisionType.XA, "xa_cam_van", 390),
  "W_15187" : VNWard("Thị trấn Kim Tân", 15187, VietnamDivisionType.THI_TRAN, "thi_tran_kim_tan", 391),
  "W_15190" : VNWard("Thị trấn Vân Du", 15190, VietnamDivisionType.THI_TRAN, "thi_tran_van_du", 391),
  "W_15196" : VNWard("Xã Thạch Lâm", 15196, VietnamDivisionType.XA, "xa_thach_lam", 391),
  "W_15199" : VNWard("Xã Thạch Quảng", 15199, VietnamDivisionType.XA, "xa_thach_quang", 391),
  "W_15202" : VNWard("Xã Thạch Tượng", 15202, VietnamDivisionType.XA, "xa_thach_tuong", 391),
  "W_15205" : VNWard("Xã Thạch Cẩm", 15205, VietnamDivisionType.XA, "xa_thach_cam", 391),
  "W_15208" : VNWard("Xã Thạch Sơn", 15208, VietnamDivisionType.XA, "xa_thach_son", 391),
  "W_15211" : VNWard("Xã Thạch Bình", 15211, VietnamDivisionType.XA, "xa_thach_binh", 391),
  "W_15214" : VNWard("Xã Thạch Định", 15214, VietnamDivisionType.XA, "xa_thach_dinh", 391),
  "W_15217" : VNWard("Xã Thạch Đồng", 15217, VietnamDivisionType.XA, "xa_thach_dong", 391),
  "W_15220" : VNWard("Xã Thạch Long", 15220, VietnamDivisionType.XA, "xa_thach_long", 391),
  "W_15223" : VNWard("Xã Thành Mỹ", 15223, VietnamDivisionType.XA, "xa_thanh_my", 391),
  "W_15226" : VNWard("Xã Thành Yên", 15226, VietnamDivisionType.XA, "xa_thanh_yen", 391),
  "W_15229" : VNWard("Xã Thành Vinh", 15229, VietnamDivisionType.XA, "xa_thanh_vinh", 391),
  "W_15232" : VNWard("Xã Thành Minh", 15232, VietnamDivisionType.XA, "xa_thanh_minh", 391),
  "W_15235" : VNWard("Xã Thành Công", 15235, VietnamDivisionType.XA, "xa_thanh_cong", 391),
  "W_15238" : VNWard("Xã Thành Tân", 15238, VietnamDivisionType.XA, "xa_thanh_tan", 391),
  "W_15241" : VNWard("Xã Thành Trực", 15241, VietnamDivisionType.XA, "xa_thanh_truc", 391),
  "W_15247" : VNWard("Xã Thành Tâm", 15247, VietnamDivisionType.XA, "xa_thanh_tam", 391),
  "W_15250" : VNWard("Xã Thành An", 15250, VietnamDivisionType.XA, "xa_thanh_an", 391),
  "W_15253" : VNWard("Xã Thành Thọ", 15253, VietnamDivisionType.XA, "xa_thanh_tho", 391),
  "W_15256" : VNWard("Xã Thành Tiến", 15256, VietnamDivisionType.XA, "xa_thanh_tien", 391),
  "W_15259" : VNWard("Xã Thành Long", 15259, VietnamDivisionType.XA, "xa_thanh_long", 391),
  "W_15265" : VNWard("Xã Thành Hưng", 15265, VietnamDivisionType.XA, "xa_thanh_hung", 391),
  "W_15268" : VNWard("Xã Ngọc Trạo", 15268, VietnamDivisionType.XA, "xa_ngoc_trao", 391),
  "W_15271" : VNWard("Thị trấn Hà Trung", 15271, VietnamDivisionType.THI_TRAN, "thi_tran_ha_trung", 392),
  "W_15274" : VNWard("Xã Hà Long", 15274, VietnamDivisionType.XA, "xa_ha_long", 392),
  "W_15277" : VNWard("Xã Hà Vinh", 15277, VietnamDivisionType.XA, "xa_ha_vinh", 392),
  "W_15280" : VNWard("Xã Hà Bắc", 15280, VietnamDivisionType.XA, "xa_ha_bac", 392),
  "W_15283" : VNWard("Xã Hoạt Giang", 15283, VietnamDivisionType.XA, "xa_hoat_giang", 392),
  "W_15286" : VNWard("Xã Yên Dương", 15286, VietnamDivisionType.XA, "xa_yen_duong", 392),
  "W_15292" : VNWard("Xã Hà Giang", 15292, VietnamDivisionType.XA, "xa_ha_giang", 392),
  "W_15298" : VNWard("Xã Lĩnh Toại", 15298, VietnamDivisionType.XA, "xa_linh_toai", 392),
  "W_15304" : VNWard("Xã Hà Ngọc", 15304, VietnamDivisionType.XA, "xa_ha_ngoc", 392),
  "W_15307" : VNWard("Xã Yến Sơn", 15307, VietnamDivisionType.XA, "xa_yen_son", 392),
  "W_15313" : VNWard("Xã Hà Sơn", 15313, VietnamDivisionType.XA, "xa_ha_son", 392),
  "W_15316" : VNWard("Xã Hà Lĩnh", 15316, VietnamDivisionType.XA, "xa_ha_linh", 392),
  "W_15319" : VNWard("Xã Hà Đông", 15319, VietnamDivisionType.XA, "xa_ha_dong", 392),
  "W_15322" : VNWard("Xã Hà Tân", 15322, VietnamDivisionType.XA, "xa_ha_tan", 392),
  "W_15325" : VNWard("Xã Hà Tiến", 15325, VietnamDivisionType.XA, "xa_ha_tien", 392),
  "W_15328" : VNWard("Xã Hà Bình", 15328, VietnamDivisionType.XA, "xa_ha_binh", 392),
  "W_15331" : VNWard("Xã Hà Lai", 15331, VietnamDivisionType.XA, "xa_ha_lai", 392),
  "W_15334" : VNWard("Xã Hà Châu", 15334, VietnamDivisionType.XA, "xa_ha_chau", 392),
  "W_15340" : VNWard("Xã Hà Thái", 15340, VietnamDivisionType.XA, "xa_ha_thai", 392),
  "W_15343" : VNWard("Xã Hà Hải", 15343, VietnamDivisionType.XA, "xa_ha_hai", 392),
  "W_15349" : VNWard("Thị trấn Vĩnh Lộc", 15349, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_loc", 393),
  "W_15352" : VNWard("Xã Vĩnh Quang", 15352, VietnamDivisionType.XA, "xa_vinh_quang", 393),
  "W_15355" : VNWard("Xã Vĩnh Yên", 15355, VietnamDivisionType.XA, "xa_vinh_yen", 393),
  "W_15358" : VNWard("Xã Vĩnh Tiến", 15358, VietnamDivisionType.XA, "xa_vinh_tien", 393),
  "W_15361" : VNWard("Xã Vĩnh Long", 15361, VietnamDivisionType.XA, "xa_vinh_long", 393),
  "W_15364" : VNWard("Xã Vĩnh Phúc", 15364, VietnamDivisionType.XA, "xa_vinh_phuc", 393),
  "W_15367" : VNWard("Xã Vĩnh Hưng", 15367, VietnamDivisionType.XA, "xa_vinh_hung", 393),
  "W_15376" : VNWard("Xã Vĩnh Hòa", 15376, VietnamDivisionType.XA, "xa_vinh_hoa", 393),
  "W_15379" : VNWard("Xã Vĩnh Hùng", 15379, VietnamDivisionType.XA, "xa_vinh_hung", 393),
  "W_15382" : VNWard("Xã Minh Tân", 15382, VietnamDivisionType.XA, "xa_minh_tan", 393),
  "W_15385" : VNWard("Xã Ninh Khang", 15385, VietnamDivisionType.XA, "xa_ninh_khang", 393),
  "W_15388" : VNWard("Xã Vĩnh Thịnh", 15388, VietnamDivisionType.XA, "xa_vinh_thinh", 393),
  "W_15391" : VNWard("Xã Vĩnh An", 15391, VietnamDivisionType.XA, "xa_vinh_an", 393),
  "W_15397" : VNWard("Thị trấn Thống Nhất", 15397, VietnamDivisionType.THI_TRAN, "thi_tran_thong_nhat", 394),
  "W_15403" : VNWard("Xã Yên Lâm", 15403, VietnamDivisionType.XA, "xa_yen_lam", 394),
  "W_15406" : VNWard("Xã Yên Tâm", 15406, VietnamDivisionType.XA, "xa_yen_tam", 394),
  "W_15409" : VNWard("Xã Yên Phú", 15409, VietnamDivisionType.XA, "xa_yen_phu", 394),
  "W_15412" : VNWard("Xã Quí Lộc", 15412, VietnamDivisionType.XA, "xa_qui_loc", 394),
  "W_15415" : VNWard("Xã Yên Thọ", 15415, VietnamDivisionType.XA, "xa_yen_tho", 394),
  "W_15418" : VNWard("Xã Yên Trung", 15418, VietnamDivisionType.XA, "xa_yen_trung", 394),
  "W_15421" : VNWard("Xã Yên Trường", 15421, VietnamDivisionType.XA, "xa_yen_truong", 394),
  "W_15427" : VNWard("Xã Yên Phong", 15427, VietnamDivisionType.XA, "xa_yen_phong", 394),
  "W_15430" : VNWard("Xã Yên Thái", 15430, VietnamDivisionType.XA, "xa_yen_thai", 394),
  "W_15433" : VNWard("Xã Yên Hùng", 15433, VietnamDivisionType.XA, "xa_yen_hung", 394),
  "W_15436" : VNWard("Xã Yên Thịnh", 15436, VietnamDivisionType.XA, "xa_yen_thinh", 394),
  "W_15439" : VNWard("Xã Yên Ninh", 15439, VietnamDivisionType.XA, "xa_yen_ninh", 394),
  "W_15442" : VNWard("Xã Yên Lạc", 15442, VietnamDivisionType.XA, "xa_yen_lac", 394),
  "W_15445" : VNWard("Xã Định Tăng", 15445, VietnamDivisionType.XA, "xa_dinh_tang", 394),
  "W_15448" : VNWard("Xã Định Hòa", 15448, VietnamDivisionType.XA, "xa_dinh_hoa", 394),
  "W_15451" : VNWard("Xã Định Thành", 15451, VietnamDivisionType.XA, "xa_dinh_thanh", 394),
  "W_15454" : VNWard("Xã Định Công", 15454, VietnamDivisionType.XA, "xa_dinh_cong", 394),
  "W_15457" : VNWard("Xã Định Tân", 15457, VietnamDivisionType.XA, "xa_dinh_tan", 394),
  "W_15460" : VNWard("Xã Định Tiến", 15460, VietnamDivisionType.XA, "xa_dinh_tien", 394),
  "W_15463" : VNWard("Xã Định Long", 15463, VietnamDivisionType.XA, "xa_dinh_long", 394),
  "W_15466" : VNWard("Xã Định Liên", 15466, VietnamDivisionType.XA, "xa_dinh_lien", 394),
  "W_15469" : VNWard("Thị trấn Quán Lào", 15469, VietnamDivisionType.THI_TRAN, "thi_tran_quan_lao", 394),
  "W_15472" : VNWard("Xã Định Hưng", 15472, VietnamDivisionType.XA, "xa_dinh_hung", 394),
  "W_15475" : VNWard("Xã Định Hải", 15475, VietnamDivisionType.XA, "xa_dinh_hai", 394),
  "W_15478" : VNWard("Xã Định Bình", 15478, VietnamDivisionType.XA, "xa_dinh_binh", 394),
  "W_15493" : VNWard("Xã Xuân Hồng", 15493, VietnamDivisionType.XA, "xa_xuan_hong", 395),
  "W_15499" : VNWard("Thị trấn Thọ Xuân", 15499, VietnamDivisionType.THI_TRAN, "thi_tran_tho_xuan", 395),
  "W_15502" : VNWard("Xã Bắc Lương", 15502, VietnamDivisionType.XA, "xa_bac_luong", 395),
  "W_15505" : VNWard("Xã Nam Giang", 15505, VietnamDivisionType.XA, "xa_nam_giang", 395),
  "W_15508" : VNWard("Xã Xuân Phong", 15508, VietnamDivisionType.XA, "xa_xuan_phong", 395),
  "W_15511" : VNWard("Xã Thọ Lộc", 15511, VietnamDivisionType.XA, "xa_tho_loc", 395),
  "W_15514" : VNWard("Xã Xuân Trường", 15514, VietnamDivisionType.XA, "xa_xuan_truong", 395),
  "W_15517" : VNWard("Xã Xuân Hòa", 15517, VietnamDivisionType.XA, "xa_xuan_hoa", 395),
  "W_15520" : VNWard("Xã Thọ Hải", 15520, VietnamDivisionType.XA, "xa_tho_hai", 395),
  "W_15523" : VNWard("Xã Tây Hồ", 15523, VietnamDivisionType.XA, "xa_tay_ho", 395),
  "W_15526" : VNWard("Xã Xuân Giang", 15526, VietnamDivisionType.XA, "xa_xuan_giang", 395),
  "W_15532" : VNWard("Xã Xuân Sinh", 15532, VietnamDivisionType.XA, "xa_xuan_sinh", 395),
  "W_15535" : VNWard("Xã Xuân Hưng", 15535, VietnamDivisionType.XA, "xa_xuan_hung", 395),
  "W_15538" : VNWard("Xã Thọ Diên", 15538, VietnamDivisionType.XA, "xa_tho_dien", 395),
  "W_15541" : VNWard("Xã Thọ Lâm", 15541, VietnamDivisionType.XA, "xa_tho_lam", 395),
  "W_15544" : VNWard("Xã Thọ Xương", 15544, VietnamDivisionType.XA, "xa_tho_xuong", 395),
  "W_15547" : VNWard("Xã Xuân Bái", 15547, VietnamDivisionType.XA, "xa_xuan_bai", 395),
  "W_15550" : VNWard("Xã Xuân Phú", 15550, VietnamDivisionType.XA, "xa_xuan_phu", 395),
  "W_15553" : VNWard("Thị trấn Sao Vàng", 15553, VietnamDivisionType.THI_TRAN, "thi_tran_sao_vang", 395),
  "W_15556" : VNWard("Thị trấn Lam Sơn", 15556, VietnamDivisionType.THI_TRAN, "thi_tran_lam_son", 395),
  "W_15559" : VNWard("Xã Xuân Thiên", 15559, VietnamDivisionType.XA, "xa_xuan_thien", 395),
  "W_15565" : VNWard("Xã Thuận Minh", 15565, VietnamDivisionType.XA, "xa_thuan_minh", 395),
  "W_15568" : VNWard("Xã Thọ Lập", 15568, VietnamDivisionType.XA, "xa_tho_lap", 395),
  "W_15571" : VNWard("Xã Quảng Phú", 15571, VietnamDivisionType.XA, "xa_quang_phu", 395),
  "W_15574" : VNWard("Xã Xuân Tín", 15574, VietnamDivisionType.XA, "xa_xuan_tin", 395),
  "W_15577" : VNWard("Xã Phú Xuân", 15577, VietnamDivisionType.XA, "xa_phu_xuan", 395),
  "W_15583" : VNWard("Xã Xuân Lai", 15583, VietnamDivisionType.XA, "xa_xuan_lai", 395),
  "W_15586" : VNWard("Xã Xuân Lập", 15586, VietnamDivisionType.XA, "xa_xuan_lap", 395),
  "W_15592" : VNWard("Xã Xuân Minh", 15592, VietnamDivisionType.XA, "xa_xuan_minh", 395),
  "W_15598" : VNWard("Xã Trường Xuân", 15598, VietnamDivisionType.XA, "xa_truong_xuan", 395),
  "W_15607" : VNWard("Xã Bát Mọt", 15607, VietnamDivisionType.XA, "xa_bat_mot", 396),
  "W_15610" : VNWard("Xã Yên Nhân", 15610, VietnamDivisionType.XA, "xa_yen_nhan", 396),
  "W_15619" : VNWard("Xã Xuân Lẹ", 15619, VietnamDivisionType.XA, "xa_xuan_le", 396),
  "W_15622" : VNWard("Xã Vạn Xuân", 15622, VietnamDivisionType.XA, "xa_van_xuan", 396),
  "W_15628" : VNWard("Xã Lương Sơn", 15628, VietnamDivisionType.XA, "xa_luong_son", 396),
  "W_15631" : VNWard("Xã Xuân Cao", 15631, VietnamDivisionType.XA, "xa_xuan_cao", 396),
  "W_15634" : VNWard("Xã Luận Thành", 15634, VietnamDivisionType.XA, "xa_luan_thanh", 396),
  "W_15637" : VNWard("Xã Luận Khê", 15637, VietnamDivisionType.XA, "xa_luan_khe", 396),
  "W_15640" : VNWard("Xã Xuân Thắng", 15640, VietnamDivisionType.XA, "xa_xuan_thang", 396),
  "W_15643" : VNWard("Xã Xuân Lộc", 15643, VietnamDivisionType.XA, "xa_xuan_loc", 396),
  "W_15646" : VNWard("Thị trấn Thường Xuân", 15646, VietnamDivisionType.THI_TRAN, "thi_tran_thuong_xuan", 396),
  "W_15649" : VNWard("Xã Xuân Dương", 15649, VietnamDivisionType.XA, "xa_xuan_duong", 396),
  "W_15652" : VNWard("Xã Thọ Thanh", 15652, VietnamDivisionType.XA, "xa_tho_thanh", 396),
  "W_15655" : VNWard("Xã Ngọc Phụng", 15655, VietnamDivisionType.XA, "xa_ngoc_phung", 396),
  "W_15658" : VNWard("Xã Xuân Chinh", 15658, VietnamDivisionType.XA, "xa_xuan_chinh", 396),
  "W_15661" : VNWard("Xã Tân Thành", 15661, VietnamDivisionType.XA, "xa_tan_thanh", 396),
  "W_15664" : VNWard("Thị trấn Triệu Sơn", 15664, VietnamDivisionType.THI_TRAN, "thi_tran_trieu_son", 397),
  "W_15667" : VNWard("Xã Thọ Sơn", 15667, VietnamDivisionType.XA, "xa_tho_son", 397),
  "W_15670" : VNWard("Xã Thọ Bình", 15670, VietnamDivisionType.XA, "xa_tho_binh", 397),
  "W_15673" : VNWard("Xã Thọ Tiến", 15673, VietnamDivisionType.XA, "xa_tho_tien", 397),
  "W_15676" : VNWard("Xã Hợp Lý", 15676, VietnamDivisionType.XA, "xa_hop_ly", 397),
  "W_15679" : VNWard("Xã Hợp Tiến", 15679, VietnamDivisionType.XA, "xa_hop_tien", 397),
  "W_15682" : VNWard("Xã Hợp Thành", 15682, VietnamDivisionType.XA, "xa_hop_thanh", 397),
  "W_15685" : VNWard("Xã Triệu Thành", 15685, VietnamDivisionType.XA, "xa_trieu_thanh", 397),
  "W_15688" : VNWard("Xã Hợp Thắng", 15688, VietnamDivisionType.XA, "xa_hop_thang", 397),
  "W_15691" : VNWard("Xã Minh Sơn", 15691, VietnamDivisionType.XA, "xa_minh_son", 397),
  "W_15700" : VNWard("Xã Dân Lực", 15700, VietnamDivisionType.XA, "xa_dan_luc", 397),
  "W_15703" : VNWard("Xã Dân Lý", 15703, VietnamDivisionType.XA, "xa_dan_ly", 397),
  "W_15706" : VNWard("Xã Dân Quyền", 15706, VietnamDivisionType.XA, "xa_dan_quyen", 397),
  "W_15709" : VNWard("Xã An Nông", 15709, VietnamDivisionType.XA, "xa_an_nong", 397),
  "W_15712" : VNWard("Xã Văn Sơn", 15712, VietnamDivisionType.XA, "xa_van_son", 397),
  "W_15715" : VNWard("Xã Thái Hòa", 15715, VietnamDivisionType.XA, "xa_thai_hoa", 397),
  "W_15718" : VNWard("Thị trấn Nưa", 15718, VietnamDivisionType.THI_TRAN, "thi_tran_nua", 397),
  "W_15721" : VNWard("Xã Đồng Lợi", 15721, VietnamDivisionType.XA, "xa_dong_loi", 397),
  "W_15724" : VNWard("Xã Đồng Tiến", 15724, VietnamDivisionType.XA, "xa_dong_tien", 397),
  "W_15727" : VNWard("Xã Đồng Thắng", 15727, VietnamDivisionType.XA, "xa_dong_thang", 397),
  "W_15730" : VNWard("Xã Tiến Nông", 15730, VietnamDivisionType.XA, "xa_tien_nong", 397),
  "W_15733" : VNWard("Xã Khuyến Nông", 15733, VietnamDivisionType.XA, "xa_khuyen_nong", 397),
  "W_15736" : VNWard("Xã Xuân Thịnh", 15736, VietnamDivisionType.XA, "xa_xuan_thinh", 397),
  "W_15739" : VNWard("Xã Xuân Lộc", 15739, VietnamDivisionType.XA, "xa_xuan_loc", 397),
  "W_15742" : VNWard("Xã Thọ Dân", 15742, VietnamDivisionType.XA, "xa_tho_dan", 397),
  "W_15745" : VNWard("Xã Xuân Thọ", 15745, VietnamDivisionType.XA, "xa_xuan_tho", 397),
  "W_15748" : VNWard("Xã Thọ Tân", 15748, VietnamDivisionType.XA, "xa_tho_tan", 397),
  "W_15751" : VNWard("Xã Thọ Ngọc", 15751, VietnamDivisionType.XA, "xa_tho_ngoc", 397),
  "W_15754" : VNWard("Xã Thọ Cường", 15754, VietnamDivisionType.XA, "xa_tho_cuong", 397),
  "W_15757" : VNWard("Xã Thọ Phú", 15757, VietnamDivisionType.XA, "xa_tho_phu", 397),
  "W_15760" : VNWard("Xã Thọ Vực", 15760, VietnamDivisionType.XA, "xa_tho_vuc", 397),
  "W_15763" : VNWard("Xã Thọ Thế", 15763, VietnamDivisionType.XA, "xa_tho_the", 397),
  "W_15766" : VNWard("Xã Nông Trường", 15766, VietnamDivisionType.XA, "xa_nong_truong", 397),
  "W_15769" : VNWard("Xã Bình Sơn", 15769, VietnamDivisionType.XA, "xa_binh_son", 397),
  "W_15772" : VNWard("Thị trấn Thiệu Hóa", 15772, VietnamDivisionType.THI_TRAN, "thi_tran_thieu_hoa", 398),
  "W_15775" : VNWard("Xã Thiệu Ngọc", 15775, VietnamDivisionType.XA, "xa_thieu_ngoc", 398),
  "W_15778" : VNWard("Xã Thiệu Vũ", 15778, VietnamDivisionType.XA, "xa_thieu_vu", 398),
  "W_15781" : VNWard("Xã Thiệu Phúc", 15781, VietnamDivisionType.XA, "xa_thieu_phuc", 398),
  "W_15784" : VNWard("Xã Thiệu Tiến", 15784, VietnamDivisionType.XA, "xa_thieu_tien", 398),
  "W_15787" : VNWard("Xã Thiệu Công", 15787, VietnamDivisionType.XA, "xa_thieu_cong", 398),
  "W_15790" : VNWard("Xã Thiệu Phú", 15790, VietnamDivisionType.XA, "xa_thieu_phu", 398),
  "W_15793" : VNWard("Xã Thiệu Long", 15793, VietnamDivisionType.XA, "xa_thieu_long", 398),
  "W_15796" : VNWard("Xã Thiệu Giang", 15796, VietnamDivisionType.XA, "xa_thieu_giang", 398),
  "W_15799" : VNWard("Xã Thiệu Duy", 15799, VietnamDivisionType.XA, "xa_thieu_duy", 398),
  "W_15802" : VNWard("Xã Thiệu Nguyên", 15802, VietnamDivisionType.XA, "xa_thieu_nguyen", 398),
  "W_15805" : VNWard("Xã Thiệu Hợp", 15805, VietnamDivisionType.XA, "xa_thieu_hop", 398),
  "W_15808" : VNWard("Xã Thiệu Thịnh", 15808, VietnamDivisionType.XA, "xa_thieu_thinh", 398),
  "W_15811" : VNWard("Xã Thiệu Quang", 15811, VietnamDivisionType.XA, "xa_thieu_quang", 398),
  "W_15814" : VNWard("Xã Thiệu Thành", 15814, VietnamDivisionType.XA, "xa_thieu_thanh", 398),
  "W_15817" : VNWard("Xã Thiệu Toán", 15817, VietnamDivisionType.XA, "xa_thieu_toan", 398),
  "W_15820" : VNWard("Xã Thiệu Chính", 15820, VietnamDivisionType.XA, "xa_thieu_chinh", 398),
  "W_15823" : VNWard("Xã Thiệu Hòa", 15823, VietnamDivisionType.XA, "xa_thieu_hoa", 398),
  "W_15829" : VNWard("Xã Minh Tâm", 15829, VietnamDivisionType.XA, "xa_minh_tam", 398),
  "W_15832" : VNWard("Xã Thiệu Viên", 15832, VietnamDivisionType.XA, "xa_thieu_vien", 398),
  "W_15835" : VNWard("Xã Thiệu Lý", 15835, VietnamDivisionType.XA, "xa_thieu_ly", 398),
  "W_15838" : VNWard("Xã Thiệu Vận", 15838, VietnamDivisionType.XA, "xa_thieu_van", 398),
  "W_15841" : VNWard("Xã Thiệu Trung", 15841, VietnamDivisionType.XA, "xa_thieu_trung", 398),
  "W_15847" : VNWard("Xã Tân Châu", 15847, VietnamDivisionType.XA, "xa_tan_chau", 398),
  "W_15853" : VNWard("Xã Thiệu Giao", 15853, VietnamDivisionType.XA, "xa_thieu_giao", 398),
  "W_15865" : VNWard("Thị trấn Bút Sơn", 15865, VietnamDivisionType.THI_TRAN, "thi_tran_but_son", 399),
  "W_15871" : VNWard("Xã Hoằng Giang", 15871, VietnamDivisionType.XA, "xa_hoang_giang", 399),
  "W_15877" : VNWard("Xã Hoằng Xuân", 15877, VietnamDivisionType.XA, "xa_hoang_xuan", 399),
  "W_15880" : VNWard("Xã Hoằng Phượng", 15880, VietnamDivisionType.XA, "xa_hoang_phuong", 399),
  "W_15883" : VNWard("Xã Hoằng Phú", 15883, VietnamDivisionType.XA, "xa_hoang_phu", 399),
  "W_15886" : VNWard("Xã Hoằng Quỳ", 15886, VietnamDivisionType.XA, "xa_hoang_quy", 399),
  "W_15889" : VNWard("Xã Hoằng Kim", 15889, VietnamDivisionType.XA, "xa_hoang_kim", 399),
  "W_15892" : VNWard("Xã Hoằng Trung", 15892, VietnamDivisionType.XA, "xa_hoang_trung", 399),
  "W_15895" : VNWard("Xã Hoằng Trinh", 15895, VietnamDivisionType.XA, "xa_hoang_trinh", 399),
  "W_15901" : VNWard("Xã Hoằng Sơn", 15901, VietnamDivisionType.XA, "xa_hoang_son", 399),
  "W_15907" : VNWard("Xã Hoằng Cát", 15907, VietnamDivisionType.XA, "xa_hoang_cat", 399),
  "W_15910" : VNWard("Xã Hoằng Xuyên", 15910, VietnamDivisionType.XA, "xa_hoang_xuyen", 399),
  "W_15916" : VNWard("Xã Hoằng Quý", 15916, VietnamDivisionType.XA, "xa_hoang_quy", 399),
  "W_15919" : VNWard("Xã Hoằng Hợp", 15919, VietnamDivisionType.XA, "xa_hoang_hop", 399),
  "W_15928" : VNWard("Xã Hoằng Đức", 15928, VietnamDivisionType.XA, "xa_hoang_duc", 399),
  "W_15937" : VNWard("Xã Hoằng Hà", 15937, VietnamDivisionType.XA, "xa_hoang_ha", 399),
  "W_15940" : VNWard("Xã Hoằng Đạt", 15940, VietnamDivisionType.XA, "xa_hoang_dat", 399),
  "W_15946" : VNWard("Xã Hoằng Đạo", 15946, VietnamDivisionType.XA, "xa_hoang_dao", 399),
  "W_15949" : VNWard("Xã Hoằng Thắng", 15949, VietnamDivisionType.XA, "xa_hoang_thang", 399),
  "W_15952" : VNWard("Xã Hoằng Đồng", 15952, VietnamDivisionType.XA, "xa_hoang_dong", 399),
  "W_15955" : VNWard("Xã Hoằng Thái", 15955, VietnamDivisionType.XA, "xa_hoang_thai", 399),
  "W_15958" : VNWard("Xã Hoằng Thịnh", 15958, VietnamDivisionType.XA, "xa_hoang_thinh", 399),
  "W_15961" : VNWard("Xã Hoằng Thành", 15961, VietnamDivisionType.XA, "xa_hoang_thanh", 399),
  "W_15964" : VNWard("Xã Hoằng Lộc", 15964, VietnamDivisionType.XA, "xa_hoang_loc", 399),
  "W_15967" : VNWard("Xã Hoằng Trạch", 15967, VietnamDivisionType.XA, "xa_hoang_trach", 399),
  "W_15973" : VNWard("Xã Hoằng Phong", 15973, VietnamDivisionType.XA, "xa_hoang_phong", 399),
  "W_15976" : VNWard("Xã Hoằng Lưu", 15976, VietnamDivisionType.XA, "xa_hoang_luu", 399),
  "W_15979" : VNWard("Xã Hoằng Châu", 15979, VietnamDivisionType.XA, "xa_hoang_chau", 399),
  "W_15982" : VNWard("Xã Hoằng Tân", 15982, VietnamDivisionType.XA, "xa_hoang_tan", 399),
  "W_15985" : VNWard("Xã Hoằng Yến", 15985, VietnamDivisionType.XA, "xa_hoang_yen", 399),
  "W_15988" : VNWard("Xã Hoằng Tiến", 15988, VietnamDivisionType.XA, "xa_hoang_tien", 399),
  "W_15991" : VNWard("Xã Hoằng Hải", 15991, VietnamDivisionType.XA, "xa_hoang_hai", 399),
  "W_15994" : VNWard("Xã Hoằng Ngọc", 15994, VietnamDivisionType.XA, "xa_hoang_ngoc", 399),
  "W_15997" : VNWard("Xã Hoằng Đông", 15997, VietnamDivisionType.XA, "xa_hoang_dong", 399),
  "W_16000" : VNWard("Xã Hoằng Thanh", 16000, VietnamDivisionType.XA, "xa_hoang_thanh", 399),
  "W_16003" : VNWard("Xã Hoằng Phụ", 16003, VietnamDivisionType.XA, "xa_hoang_phu", 399),
  "W_16006" : VNWard("Xã Hoằng Trường", 16006, VietnamDivisionType.XA, "xa_hoang_truong", 399),
  "W_16012" : VNWard("Thị trấn Hậu Lộc", 16012, VietnamDivisionType.THI_TRAN, "thi_tran_hau_loc", 400),
  "W_16015" : VNWard("Xã Đồng Lộc", 16015, VietnamDivisionType.XA, "xa_dong_loc", 400),
  "W_16018" : VNWard("Xã Đại Lộc", 16018, VietnamDivisionType.XA, "xa_dai_loc", 400),
  "W_16021" : VNWard("Xã Triệu Lộc", 16021, VietnamDivisionType.XA, "xa_trieu_loc", 400),
  "W_16027" : VNWard("Xã Tiến Lộc", 16027, VietnamDivisionType.XA, "xa_tien_loc", 400),
  "W_16030" : VNWard("Xã Lộc Sơn", 16030, VietnamDivisionType.XA, "xa_loc_son", 400),
  "W_16033" : VNWard("Xã Cầu Lộc", 16033, VietnamDivisionType.XA, "xa_cau_loc", 400),
  "W_16036" : VNWard("Xã Thành Lộc", 16036, VietnamDivisionType.XA, "xa_thanh_loc", 400),
  "W_16039" : VNWard("Xã Tuy Lộc", 16039, VietnamDivisionType.XA, "xa_tuy_loc", 400),
  "W_16042" : VNWard("Xã Phong Lộc", 16042, VietnamDivisionType.XA, "xa_phong_loc", 400),
  "W_16045" : VNWard("Xã Mỹ Lộc", 16045, VietnamDivisionType.XA, "xa_my_loc", 400),
  "W_16048" : VNWard("Xã Thuần Lộc", 16048, VietnamDivisionType.XA, "xa_thuan_loc", 400),
  "W_16057" : VNWard("Xã Xuân Lộc", 16057, VietnamDivisionType.XA, "xa_xuan_loc", 400),
  "W_16063" : VNWard("Xã Hoa Lộc", 16063, VietnamDivisionType.XA, "xa_hoa_loc", 400),
  "W_16066" : VNWard("Xã Liên Lộc", 16066, VietnamDivisionType.XA, "xa_lien_loc", 400),
  "W_16069" : VNWard("Xã Quang Lộc", 16069, VietnamDivisionType.XA, "xa_quang_loc", 400),
  "W_16072" : VNWard("Xã Phú Lộc", 16072, VietnamDivisionType.XA, "xa_phu_loc", 400),
  "W_16075" : VNWard("Xã Hòa Lộc", 16075, VietnamDivisionType.XA, "xa_hoa_loc", 400),
  "W_16078" : VNWard("Xã Minh Lộc", 16078, VietnamDivisionType.XA, "xa_minh_loc", 400),
  "W_16081" : VNWard("Xã Hưng Lộc", 16081, VietnamDivisionType.XA, "xa_hung_loc", 400),
  "W_16084" : VNWard("Xã Hải Lộc", 16084, VietnamDivisionType.XA, "xa_hai_loc", 400),
  "W_16087" : VNWard("Xã Đa Lộc", 16087, VietnamDivisionType.XA, "xa_da_loc", 400),
  "W_16090" : VNWard("Xã Ngư Lộc", 16090, VietnamDivisionType.XA, "xa_ngu_loc", 400),
  "W_16093" : VNWard("Thị trấn Nga Sơn", 16093, VietnamDivisionType.THI_TRAN, "thi_tran_nga_son", 401),
  "W_16096" : VNWard("Xã Ba Đình", 16096, VietnamDivisionType.XA, "xa_ba_dinh", 401),
  "W_16099" : VNWard("Xã Nga Vịnh", 16099, VietnamDivisionType.XA, "xa_nga_vinh", 401),
  "W_16102" : VNWard("Xã Nga Văn", 16102, VietnamDivisionType.XA, "xa_nga_van", 401),
  "W_16105" : VNWard("Xã Nga Thiện", 16105, VietnamDivisionType.XA, "xa_nga_thien", 401),
  "W_16108" : VNWard("Xã Nga Tiến", 16108, VietnamDivisionType.XA, "xa_nga_tien", 401),
  "W_16114" : VNWard("Xã Nga Phượng", 16114, VietnamDivisionType.XA, "xa_nga_phuong", 401),
  "W_16117" : VNWard("Xã Nga Trung", 16117, VietnamDivisionType.XA, "xa_nga_trung", 401),
  "W_16120" : VNWard("Xã Nga Bạch", 16120, VietnamDivisionType.XA, "xa_nga_bach", 401),
  "W_16123" : VNWard("Xã Nga Thanh", 16123, VietnamDivisionType.XA, "xa_nga_thanh", 401),
  "W_16132" : VNWard("Xã Nga Yên", 16132, VietnamDivisionType.XA, "xa_nga_yen", 401),
  "W_16135" : VNWard("Xã Nga Giáp", 16135, VietnamDivisionType.XA, "xa_nga_giap", 401),
  "W_16138" : VNWard("Xã Nga Hải", 16138, VietnamDivisionType.XA, "xa_nga_hai", 401),
  "W_16141" : VNWard("Xã Nga Thành", 16141, VietnamDivisionType.XA, "xa_nga_thanh", 401),
  "W_16144" : VNWard("Xã Nga An", 16144, VietnamDivisionType.XA, "xa_nga_an", 401),
  "W_16147" : VNWard("Xã Nga Phú", 16147, VietnamDivisionType.XA, "xa_nga_phu", 401),
  "W_16150" : VNWard("Xã Nga Điền", 16150, VietnamDivisionType.XA, "xa_nga_dien", 401),
  "W_16153" : VNWard("Xã Nga Tân", 16153, VietnamDivisionType.XA, "xa_nga_tan", 401),
  "W_16156" : VNWard("Xã Nga Thủy", 16156, VietnamDivisionType.XA, "xa_nga_thuy", 401),
  "W_16159" : VNWard("Xã Nga Liên", 16159, VietnamDivisionType.XA, "xa_nga_lien", 401),
  "W_16162" : VNWard("Xã Nga Thái", 16162, VietnamDivisionType.XA, "xa_nga_thai", 401),
  "W_16165" : VNWard("Xã Nga Thạch", 16165, VietnamDivisionType.XA, "xa_nga_thach", 401),
  "W_16168" : VNWard("Xã Nga Thắng", 16168, VietnamDivisionType.XA, "xa_nga_thang", 401),
  "W_16171" : VNWard("Xã Nga Trường", 16171, VietnamDivisionType.XA, "xa_nga_truong", 401),
  "W_16174" : VNWard("Thị trấn Yên Cát", 16174, VietnamDivisionType.THI_TRAN, "thi_tran_yen_cat", 402),
  "W_16177" : VNWard("Xã Bãi Trành", 16177, VietnamDivisionType.XA, "xa_bai_tranh", 402),
  "W_16180" : VNWard("Xã Xuân Hòa", 16180, VietnamDivisionType.XA, "xa_xuan_hoa", 402),
  "W_16183" : VNWard("Xã Xuân Bình", 16183, VietnamDivisionType.XA, "xa_xuan_binh", 402),
  "W_16186" : VNWard("Xã Hóa Quỳ", 16186, VietnamDivisionType.XA, "xa_hoa_quy", 402),
  "W_16195" : VNWard("Xã Cát Vân", 16195, VietnamDivisionType.XA, "xa_cat_van", 402),
  "W_16198" : VNWard("Xã Cát Tân", 16198, VietnamDivisionType.XA, "xa_cat_tan", 402),
  "W_16201" : VNWard("Xã Tân Bình", 16201, VietnamDivisionType.XA, "xa_tan_binh", 402),
  "W_16204" : VNWard("Xã Bình Lương", 16204, VietnamDivisionType.XA, "xa_binh_luong", 402),
  "W_16207" : VNWard("Xã Thanh Quân", 16207, VietnamDivisionType.XA, "xa_thanh_quan", 402),
  "W_16210" : VNWard("Xã Thanh Xuân", 16210, VietnamDivisionType.XA, "xa_thanh_xuan", 402),
  "W_16213" : VNWard("Xã Thanh Hòa", 16213, VietnamDivisionType.XA, "xa_thanh_hoa", 402),
  "W_16216" : VNWard("Xã Thanh Phong", 16216, VietnamDivisionType.XA, "xa_thanh_phong", 402),
  "W_16219" : VNWard("Xã Thanh Lâm", 16219, VietnamDivisionType.XA, "xa_thanh_lam", 402),
  "W_16222" : VNWard("Xã Thanh Sơn", 16222, VietnamDivisionType.XA, "xa_thanh_son", 402),
  "W_16225" : VNWard("Xã Thượng Ninh", 16225, VietnamDivisionType.XA, "xa_thuong_ninh", 402),
  "W_16228" : VNWard("Thị trấn Bến Sung", 16228, VietnamDivisionType.THI_TRAN, "thi_tran_ben_sung", 403),
  "W_16231" : VNWard("Xã Cán Khê", 16231, VietnamDivisionType.XA, "xa_can_khe", 403),
  "W_16234" : VNWard("Xã Xuân Du", 16234, VietnamDivisionType.XA, "xa_xuan_du", 403),
  "W_16240" : VNWard("Xã Phượng Nghi", 16240, VietnamDivisionType.XA, "xa_phuong_nghi", 403),
  "W_16243" : VNWard("Xã Mậu Lâm", 16243, VietnamDivisionType.XA, "xa_mau_lam", 403),
  "W_16246" : VNWard("Xã Xuân Khang", 16246, VietnamDivisionType.XA, "xa_xuan_khang", 403),
  "W_16249" : VNWard("Xã Phú Nhuận", 16249, VietnamDivisionType.XA, "xa_phu_nhuan", 403),
  "W_16252" : VNWard("Xã Hải Long", 16252, VietnamDivisionType.XA, "xa_hai_long", 403),
  "W_16258" : VNWard("Xã Xuân Thái", 16258, VietnamDivisionType.XA, "xa_xuan_thai", 403),
  "W_16261" : VNWard("Xã Xuân Phúc", 16261, VietnamDivisionType.XA, "xa_xuan_phuc", 403),
  "W_16264" : VNWard("Xã Yên Thọ", 16264, VietnamDivisionType.XA, "xa_yen_tho", 403),
  "W_16267" : VNWard("Xã Yên Lạc", 16267, VietnamDivisionType.XA, "xa_yen_lac", 403),
  "W_16273" : VNWard("Xã Thanh Tân", 16273, VietnamDivisionType.XA, "xa_thanh_tan", 403),
  "W_16276" : VNWard("Xã Thanh Kỳ", 16276, VietnamDivisionType.XA, "xa_thanh_ky", 403),
  "W_16279" : VNWard("Thị trấn Nông Cống", 16279, VietnamDivisionType.THI_TRAN, "thi_tran_nong_cong", 404),
  "W_16282" : VNWard("Xã Tân Phúc", 16282, VietnamDivisionType.XA, "xa_tan_phuc", 404),
  "W_16285" : VNWard("Xã Tân Thọ", 16285, VietnamDivisionType.XA, "xa_tan_tho", 404),
  "W_16288" : VNWard("Xã Hoàng Sơn", 16288, VietnamDivisionType.XA, "xa_hoang_son", 404),
  "W_16291" : VNWard("Xã Tân Khang", 16291, VietnamDivisionType.XA, "xa_tan_khang", 404),
  "W_16294" : VNWard("Xã Hoàng Giang", 16294, VietnamDivisionType.XA, "xa_hoang_giang", 404),
  "W_16297" : VNWard("Xã Trung Chính", 16297, VietnamDivisionType.XA, "xa_trung_chinh", 404),
  "W_16303" : VNWard("Xã Trung Thành", 16303, VietnamDivisionType.XA, "xa_trung_thanh", 404),
  "W_16309" : VNWard("Xã Tế Thắng", 16309, VietnamDivisionType.XA, "xa_te_thang", 404),
  "W_16315" : VNWard("Xã Tế Lợi", 16315, VietnamDivisionType.XA, "xa_te_loi", 404),
  "W_16318" : VNWard("Xã Tế Nông", 16318, VietnamDivisionType.XA, "xa_te_nong", 404),
  "W_16321" : VNWard("Xã Minh Nghĩa", 16321, VietnamDivisionType.XA, "xa_minh_nghia", 404),
  "W_16324" : VNWard("Xã Minh Khôi", 16324, VietnamDivisionType.XA, "xa_minh_khoi", 404),
  "W_16327" : VNWard("Xã Vạn Hòa", 16327, VietnamDivisionType.XA, "xa_van_hoa", 404),
  "W_16330" : VNWard("Xã Trường Trung", 16330, VietnamDivisionType.XA, "xa_truong_trung", 404),
  "W_16333" : VNWard("Xã Vạn Thắng", 16333, VietnamDivisionType.XA, "xa_van_thang", 404),
  "W_16336" : VNWard("Xã Trường Giang", 16336, VietnamDivisionType.XA, "xa_truong_giang", 404),
  "W_16339" : VNWard("Xã Vạn Thiện", 16339, VietnamDivisionType.XA, "xa_van_thien", 404),
  "W_16342" : VNWard("Xã Thăng Long", 16342, VietnamDivisionType.XA, "xa_thang_long", 404),
  "W_16345" : VNWard("Xã Trường Minh", 16345, VietnamDivisionType.XA, "xa_truong_minh", 404),
  "W_16348" : VNWard("Xã Trường Sơn", 16348, VietnamDivisionType.XA, "xa_truong_son", 404),
  "W_16351" : VNWard("Xã Thăng Bình", 16351, VietnamDivisionType.XA, "xa_thang_binh", 404),
  "W_16354" : VNWard("Xã Công Liêm", 16354, VietnamDivisionType.XA, "xa_cong_liem", 404),
  "W_16357" : VNWard("Xã Tượng Văn", 16357, VietnamDivisionType.XA, "xa_tuong_van", 404),
  "W_16360" : VNWard("Xã Thăng Thọ", 16360, VietnamDivisionType.XA, "xa_thang_tho", 404),
  "W_16363" : VNWard("Xã Tượng Lĩnh", 16363, VietnamDivisionType.XA, "xa_tuong_linh", 404),
  "W_16366" : VNWard("Xã Tượng Sơn", 16366, VietnamDivisionType.XA, "xa_tuong_son", 404),
  "W_16369" : VNWard("Xã Công Chính", 16369, VietnamDivisionType.XA, "xa_cong_chinh", 404),
  "W_16375" : VNWard("Xã Yên Mỹ", 16375, VietnamDivisionType.XA, "xa_yen_my", 404),
  "W_16378" : VNWard("Thị trấn Rừng Thông", 16378, VietnamDivisionType.THI_TRAN, "thi_tran_rung_thong", 405),
  "W_16381" : VNWard("Xã Đông Hoàng", 16381, VietnamDivisionType.XA, "xa_dong_hoang", 405),
  "W_16384" : VNWard("Xã Đông Ninh", 16384, VietnamDivisionType.XA, "xa_dong_ninh", 405),
  "W_16390" : VNWard("Xã Đông Hòa", 16390, VietnamDivisionType.XA, "xa_dong_hoa", 405),
  "W_16393" : VNWard("Xã Đông Yên", 16393, VietnamDivisionType.XA, "xa_dong_yen", 405),
  "W_16399" : VNWard("Xã Đông Minh", 16399, VietnamDivisionType.XA, "xa_dong_minh", 405),
  "W_16402" : VNWard("Xã Đông Thanh", 16402, VietnamDivisionType.XA, "xa_dong_thanh", 405),
  "W_16405" : VNWard("Xã Đông Tiến", 16405, VietnamDivisionType.XA, "xa_dong_tien", 405),
  "W_16408" : VNWard("Xã Đông Khê", 16408, VietnamDivisionType.XA, "xa_dong_khe", 405),
  "W_16414" : VNWard("Xã Đông Thịnh", 16414, VietnamDivisionType.XA, "xa_dong_thinh", 405),
  "W_16417" : VNWard("Xã Đông Văn", 16417, VietnamDivisionType.XA, "xa_dong_van", 405),
  "W_16420" : VNWard("Xã Đông Phú", 16420, VietnamDivisionType.XA, "xa_dong_phu", 405),
  "W_16423" : VNWard("Xã Đông Nam", 16423, VietnamDivisionType.XA, "xa_dong_nam", 405),
  "W_16426" : VNWard("Xã Đông Quang", 16426, VietnamDivisionType.XA, "xa_dong_quang", 405),
  "W_16438" : VNWard("Thị trấn Tân Phong", 16438, VietnamDivisionType.THI_TRAN, "thi_tran_tan_phong", 406),
  "W_16447" : VNWard("Xã Quảng Trạch", 16447, VietnamDivisionType.XA, "xa_quang_trach", 406),
  "W_16453" : VNWard("Xã Quảng Đức", 16453, VietnamDivisionType.XA, "xa_quang_duc", 406),
  "W_16456" : VNWard("Xã Quảng Định", 16456, VietnamDivisionType.XA, "xa_quang_dinh", 406),
  "W_16462" : VNWard("Xã Quảng Nhân", 16462, VietnamDivisionType.XA, "xa_quang_nhan", 406),
  "W_16465" : VNWard("Xã Quảng Ninh", 16465, VietnamDivisionType.XA, "xa_quang_ninh", 406),
  "W_16468" : VNWard("Xã Quảng Bình", 16468, VietnamDivisionType.XA, "xa_quang_binh", 406),
  "W_16471" : VNWard("Xã Quảng Hợp", 16471, VietnamDivisionType.XA, "xa_quang_hop", 406),
  "W_16474" : VNWard("Xã Quảng Văn", 16474, VietnamDivisionType.XA, "xa_quang_van", 406),
  "W_16477" : VNWard("Xã Quảng Long", 16477, VietnamDivisionType.XA, "xa_quang_long", 406),
  "W_16480" : VNWard("Xã Quảng Yên", 16480, VietnamDivisionType.XA, "xa_quang_yen", 406),
  "W_16483" : VNWard("Xã Quảng Hòa", 16483, VietnamDivisionType.XA, "xa_quang_hoa", 406),
  "W_16489" : VNWard("Xã Quảng Khê", 16489, VietnamDivisionType.XA, "xa_quang_khe", 406),
  "W_16492" : VNWard("Xã Quảng Trung", 16492, VietnamDivisionType.XA, "xa_quang_trung", 406),
  "W_16495" : VNWard("Xã Quảng Chính", 16495, VietnamDivisionType.XA, "xa_quang_chinh", 406),
  "W_16498" : VNWard("Xã Quảng Ngọc", 16498, VietnamDivisionType.XA, "xa_quang_ngoc", 406),
  "W_16501" : VNWard("Xã Quảng Trường", 16501, VietnamDivisionType.XA, "xa_quang_truong", 406),
  "W_16510" : VNWard("Xã Quảng Phúc", 16510, VietnamDivisionType.XA, "xa_quang_phuc", 406),
  "W_16519" : VNWard("Xã Quảng Giao", 16519, VietnamDivisionType.XA, "xa_quang_giao", 406),
  "W_16540" : VNWard("Xã Quảng Hải", 16540, VietnamDivisionType.XA, "xa_quang_hai", 406),
  "W_16543" : VNWard("Xã Quảng Lưu", 16543, VietnamDivisionType.XA, "xa_quang_luu", 406),
  "W_16546" : VNWard("Xã Quảng Lộc", 16546, VietnamDivisionType.XA, "xa_quang_loc", 406),
  "W_16549" : VNWard("Xã Tiên Trang", 16549, VietnamDivisionType.XA, "xa_tien_trang", 406),
  "W_16552" : VNWard("Xã Quảng Nham", 16552, VietnamDivisionType.XA, "xa_quang_nham", 406),
  "W_16555" : VNWard("Xã Quảng Thạch", 16555, VietnamDivisionType.XA, "xa_quang_thach", 406),
  "W_16558" : VNWard("Xã Quảng Thái", 16558, VietnamDivisionType.XA, "xa_quang_thai", 406),
  "W_16561" : VNWard("Phường Hải Hòa", 16561, VietnamDivisionType.PHUONG, "phuong_hai_hoa", 407),
  "W_16564" : VNWard("Phường Hải Châu", 16564, VietnamDivisionType.PHUONG, "phuong_hai_chau", 407),
  "W_16567" : VNWard("Xã Thanh Thủy", 16567, VietnamDivisionType.XA, "xa_thanh_thuy", 407),
  "W_16570" : VNWard("Xã Thanh Sơn", 16570, VietnamDivisionType.XA, "xa_thanh_son", 407),
  "W_16576" : VNWard("Phường Hải Ninh", 16576, VietnamDivisionType.PHUONG, "phuong_hai_ninh", 407),
  "W_16579" : VNWard("Xã Anh Sơn", 16579, VietnamDivisionType.XA, "xa_anh_son", 407),
  "W_16582" : VNWard("Xã Ngọc Lĩnh", 16582, VietnamDivisionType.XA, "xa_ngoc_linh", 407),
  "W_16585" : VNWard("Phường Hải An", 16585, VietnamDivisionType.PHUONG, "phuong_hai_an", 407),
  "W_16591" : VNWard("Xã Các Sơn", 16591, VietnamDivisionType.XA, "xa_cac_son", 407),
  "W_16594" : VNWard("Phường Tân Dân", 16594, VietnamDivisionType.PHUONG, "phuong_tan_dan", 407),
  "W_16597" : VNWard("Phường Hải Lĩnh", 16597, VietnamDivisionType.PHUONG, "phuong_hai_linh", 407),
  "W_16600" : VNWard("Xã Định Hải", 16600, VietnamDivisionType.XA, "xa_dinh_hai", 407),
  "W_16603" : VNWard("Xã Phú Sơn", 16603, VietnamDivisionType.XA, "xa_phu_son", 407),
  "W_16606" : VNWard("Phường Ninh Hải", 16606, VietnamDivisionType.PHUONG, "phuong_ninh_hai", 407),
  "W_16609" : VNWard("Phường Nguyên Bình", 16609, VietnamDivisionType.PHUONG, "phuong_nguyen_binh", 407),
  "W_16612" : VNWard("Xã Hải Nhân", 16612, VietnamDivisionType.XA, "xa_hai_nhan", 407),
  "W_16618" : VNWard("Phường Bình Minh", 16618, VietnamDivisionType.PHUONG, "phuong_binh_minh", 407),
  "W_16621" : VNWard("Phường Hải Thanh", 16621, VietnamDivisionType.PHUONG, "phuong_hai_thanh", 407),
  "W_16624" : VNWard("Xã Phú Lâm", 16624, VietnamDivisionType.XA, "xa_phu_lam", 407),
  "W_16627" : VNWard("Phường Xuân Lâm", 16627, VietnamDivisionType.PHUONG, "phuong_xuan_lam", 407),
  "W_16630" : VNWard("Phường Trúc Lâm", 16630, VietnamDivisionType.PHUONG, "phuong_truc_lam", 407),
  "W_16633" : VNWard("Phường Hải Bình", 16633, VietnamDivisionType.PHUONG, "phuong_hai_binh", 407),
  "W_16636" : VNWard("Xã Tân Trường", 16636, VietnamDivisionType.XA, "xa_tan_truong", 407),
  "W_16639" : VNWard("Xã Tùng Lâm", 16639, VietnamDivisionType.XA, "xa_tung_lam", 407),
  "W_16642" : VNWard("Phường Tĩnh Hải", 16642, VietnamDivisionType.PHUONG, "phuong_tinh_hai", 407),
  "W_16645" : VNWard("Phường Mai Lâm", 16645, VietnamDivisionType.PHUONG, "phuong_mai_lam", 407),
  "W_16648" : VNWard("Xã Trường Lâm", 16648, VietnamDivisionType.XA, "xa_truong_lam", 407),
  "W_16651" : VNWard("Xã Hải Yến", 16651, VietnamDivisionType.XA, "xa_hai_yen", 407),
  "W_16654" : VNWard("Phường Hải Thượng", 16654, VietnamDivisionType.PHUONG, "phuong_hai_thuong", 407),
  "W_16657" : VNWard("Xã Nghi Sơn", 16657, VietnamDivisionType.XA, "xa_nghi_son", 407),
  "W_16660" : VNWard("Xã Hải Hà", 16660, VietnamDivisionType.XA, "xa_hai_ha", 407),
  "W_16663" : VNWard("Phường Đông Vĩnh", 16663, VietnamDivisionType.PHUONG, "phuong_dong_vinh", 412),
  "W_16666" : VNWard("Phường Hà Huy Tập", 16666, VietnamDivisionType.PHUONG, "phuong_ha_huy_tap", 412),
  "W_16669" : VNWard("Phường Lê Lợi", 16669, VietnamDivisionType.PHUONG, "phuong_le_loi", 412),
  "W_16670" : VNWard("Phường Quán Bàu", 16670, VietnamDivisionType.PHUONG, "phuong_quan_bau", 412),
  "W_16672" : VNWard("Phường Hưng Bình", 16672, VietnamDivisionType.PHUONG, "phuong_hung_binh", 412),
  "W_16673" : VNWard("Phường Hưng Phúc", 16673, VietnamDivisionType.PHUONG, "phuong_hung_phuc", 412),
  "W_16675" : VNWard("Phường Hưng Dũng", 16675, VietnamDivisionType.PHUONG, "phuong_hung_dung", 412),
  "W_16678" : VNWard("Phường Cửa Nam", 16678, VietnamDivisionType.PHUONG, "phuong_cua_nam", 412),
  "W_16681" : VNWard("Phường Quang Trung", 16681, VietnamDivisionType.PHUONG, "phuong_quang_trung", 412),
  "W_16684" : VNWard("Phường Đội Cung", 16684, VietnamDivisionType.PHUONG, "phuong_doi_cung", 412),
  "W_16687" : VNWard("Phường Lê Mao", 16687, VietnamDivisionType.PHUONG, "phuong_le_mao", 412),
  "W_16690" : VNWard("Phường Trường Thi", 16690, VietnamDivisionType.PHUONG, "phuong_truong_thi", 412),
  "W_16693" : VNWard("Phường Bến Thủy", 16693, VietnamDivisionType.PHUONG, "phuong_ben_thuy", 412),
  "W_16696" : VNWard("Phường Hồng Sơn", 16696, VietnamDivisionType.PHUONG, "phuong_hong_son", 412),
  "W_16699" : VNWard("Phường Trung Đô", 16699, VietnamDivisionType.PHUONG, "phuong_trung_do", 412),
  "W_16702" : VNWard("Xã Nghi Phú", 16702, VietnamDivisionType.XA, "xa_nghi_phu", 412),
  "W_16705" : VNWard("Xã Hưng Đông", 16705, VietnamDivisionType.XA, "xa_hung_dong", 412),
  "W_16708" : VNWard("Xã Hưng Lộc", 16708, VietnamDivisionType.XA, "xa_hung_loc", 412),
  "W_16711" : VNWard("Xã Hưng Hòa", 16711, VietnamDivisionType.XA, "xa_hung_hoa", 412),
  "W_16714" : VNWard("Phường Vinh Tân", 16714, VietnamDivisionType.PHUONG, "phuong_vinh_tan", 412),
  "W_17908" : VNWard("Xã Nghi Liên", 17908, VietnamDivisionType.XA, "xa_nghi_lien", 412),
  "W_17914" : VNWard("Xã Nghi Ân", 17914, VietnamDivisionType.XA, "xa_nghi_an", 412),
  "W_17920" : VNWard("Xã Nghi Kim", 17920, VietnamDivisionType.XA, "xa_nghi_kim", 412),
  "W_17923" : VNWard("Xã Nghi Đức", 17923, VietnamDivisionType.XA, "xa_nghi_duc", 412),
  "W_18013" : VNWard("Xã Hưng Chính", 18013, VietnamDivisionType.XA, "xa_hung_chinh", 412),
  "W_16717" : VNWard("Phường Nghi Thuỷ", 16717, VietnamDivisionType.PHUONG, "phuong_nghi_thuy", 413),
  "W_16720" : VNWard("Phường Nghi Tân", 16720, VietnamDivisionType.PHUONG, "phuong_nghi_tan", 413),
  "W_16723" : VNWard("Phường Thu Thuỷ", 16723, VietnamDivisionType.PHUONG, "phuong_thu_thuy", 413),
  "W_16726" : VNWard("Phường Nghi Hòa", 16726, VietnamDivisionType.PHUONG, "phuong_nghi_hoa", 413),
  "W_16729" : VNWard("Phường Nghi Hải", 16729, VietnamDivisionType.PHUONG, "phuong_nghi_hai", 413),
  "W_16732" : VNWard("Phường Nghi Hương", 16732, VietnamDivisionType.PHUONG, "phuong_nghi_huong", 413),
  "W_16735" : VNWard("Phường Nghi Thu", 16735, VietnamDivisionType.PHUONG, "phuong_nghi_thu", 413),
  "W_16939" : VNWard("Phường Hoà Hiếu", 16939, VietnamDivisionType.PHUONG, "phuong_hoa_hieu", 414),
  "W_16993" : VNWard("Phường Quang Phong", 16993, VietnamDivisionType.PHUONG, "phuong_quang_phong", 414),
  "W_16994" : VNWard("Phường Quang Tiến", 16994, VietnamDivisionType.PHUONG, "phuong_quang_tien", 414),
  "W_17003" : VNWard("Phường Long Sơn", 17003, VietnamDivisionType.PHUONG, "phuong_long_son", 414),
  "W_17005" : VNWard("Xã Nghĩa Tiến", 17005, VietnamDivisionType.XA, "xa_nghia_tien", 414),
  "W_17008" : VNWard("Xã Nghĩa Mỹ", 17008, VietnamDivisionType.XA, "xa_nghia_my", 414),
  "W_17011" : VNWard("Xã Tây Hiếu", 17011, VietnamDivisionType.XA, "xa_tay_hieu", 414),
  "W_17014" : VNWard("Xã Nghĩa Thuận", 17014, VietnamDivisionType.XA, "xa_nghia_thuan", 414),
  "W_17017" : VNWard("Xã Đông Hiếu", 17017, VietnamDivisionType.XA, "xa_dong_hieu", 414),
  "W_16738" : VNWard("Thị trấn Kim Sơn", 16738, VietnamDivisionType.THI_TRAN, "thi_tran_kim_son", 415),
  "W_16741" : VNWard("Xã Thông Thụ", 16741, VietnamDivisionType.XA, "xa_thong_thu", 415),
  "W_16744" : VNWard("Xã Đồng Văn", 16744, VietnamDivisionType.XA, "xa_dong_van", 415),
  "W_16747" : VNWard("Xã Hạnh Dịch", 16747, VietnamDivisionType.XA, "xa_hanh_dich", 415),
  "W_16750" : VNWard("Xã Tiền Phong", 16750, VietnamDivisionType.XA, "xa_tien_phong", 415),
  "W_16753" : VNWard("Xã Nậm Giải", 16753, VietnamDivisionType.XA, "xa_nam_giai", 415),
  "W_16756" : VNWard("Xã Tri Lễ", 16756, VietnamDivisionType.XA, "xa_tri_le", 415),
  "W_16759" : VNWard("Xã Châu Kim", 16759, VietnamDivisionType.XA, "xa_chau_kim", 415),
  "W_16763" : VNWard("Xã Mường Nọc", 16763, VietnamDivisionType.XA, "xa_muong_noc", 415),
  "W_16765" : VNWard("Xã Châu Thôn", 16765, VietnamDivisionType.XA, "xa_chau_thon", 415),
  "W_16768" : VNWard("Xã Nậm Nhoóng", 16768, VietnamDivisionType.XA, "xa_nam_nhoong", 415),
  "W_16771" : VNWard("Xã Quang Phong", 16771, VietnamDivisionType.XA, "xa_quang_phong", 415),
  "W_16774" : VNWard("Xã Căm Muộn", 16774, VietnamDivisionType.XA, "xa_cam_muon", 415),
  "W_16777" : VNWard("Thị trấn Tân Lạc", 16777, VietnamDivisionType.THI_TRAN, "thi_tran_tan_lac", 416),
  "W_16780" : VNWard("Xã Châu Bính", 16780, VietnamDivisionType.XA, "xa_chau_binh", 416),
  "W_16783" : VNWard("Xã Châu Thuận", 16783, VietnamDivisionType.XA, "xa_chau_thuan", 416),
  "W_16786" : VNWard("Xã Châu Hội", 16786, VietnamDivisionType.XA, "xa_chau_hoi", 416),
  "W_16789" : VNWard("Xã Châu Nga", 16789, VietnamDivisionType.XA, "xa_chau_nga", 416),
  "W_16792" : VNWard("Xã Châu Tiến", 16792, VietnamDivisionType.XA, "xa_chau_tien", 416),
  "W_16795" : VNWard("Xã Châu Hạnh", 16795, VietnamDivisionType.XA, "xa_chau_hanh", 416),
  "W_16798" : VNWard("Xã Châu Thắng", 16798, VietnamDivisionType.XA, "xa_chau_thang", 416),
  "W_16801" : VNWard("Xã Châu Phong", 16801, VietnamDivisionType.XA, "xa_chau_phong", 416),
  "W_16804" : VNWard("Xã Châu Bình", 16804, VietnamDivisionType.XA, "xa_chau_binh", 416),
  "W_16807" : VNWard("Xã Châu Hoàn", 16807, VietnamDivisionType.XA, "xa_chau_hoan", 416),
  "W_16810" : VNWard("Xã Diên Lãm", 16810, VietnamDivisionType.XA, "xa_dien_lam", 416),
  "W_16813" : VNWard("Thị trấn Mường Xén", 16813, VietnamDivisionType.THI_TRAN, "thi_tran_muong_xen", 417),
  "W_16816" : VNWard("Xã Mỹ Lý", 16816, VietnamDivisionType.XA, "xa_my_ly", 417),
  "W_16819" : VNWard("Xã Bắc Lý", 16819, VietnamDivisionType.XA, "xa_bac_ly", 417),
  "W_16822" : VNWard("Xã Keng Đu", 16822, VietnamDivisionType.XA, "xa_keng_du", 417),
  "W_16825" : VNWard("Xã Đoọc Mạy", 16825, VietnamDivisionType.XA, "xa_dooc_may", 417),
  "W_16828" : VNWard("Xã Huồi Tụ", 16828, VietnamDivisionType.XA, "xa_huoi_tu", 417),
  "W_16831" : VNWard("Xã Mường Lống", 16831, VietnamDivisionType.XA, "xa_muong_long", 417),
  "W_16834" : VNWard("Xã Na Loi", 16834, VietnamDivisionType.XA, "xa_na_loi", 417),
  "W_16837" : VNWard("Xã Nậm Cắn", 16837, VietnamDivisionType.XA, "xa_nam_can", 417),
  "W_16840" : VNWard("Xã Bảo Nam", 16840, VietnamDivisionType.XA, "xa_bao_nam", 417),
  "W_16843" : VNWard("Xã Phà Đánh", 16843, VietnamDivisionType.XA, "xa_pha_danh", 417),
  "W_16846" : VNWard("Xã Bảo Thắng", 16846, VietnamDivisionType.XA, "xa_bao_thang", 417),
  "W_16849" : VNWard("Xã Hữu Lập", 16849, VietnamDivisionType.XA, "xa_huu_lap", 417),
  "W_16852" : VNWard("Xã Tà Cạ", 16852, VietnamDivisionType.XA, "xa_ta_ca", 417),
  "W_16855" : VNWard("Xã Chiêu Lưu", 16855, VietnamDivisionType.XA, "xa_chieu_luu", 417),
  "W_16858" : VNWard("Xã Mường Típ", 16858, VietnamDivisionType.XA, "xa_muong_tip", 417),
  "W_16861" : VNWard("Xã Hữu Kiệm", 16861, VietnamDivisionType.XA, "xa_huu_kiem", 417),
  "W_16864" : VNWard("Xã Tây Sơn", 16864, VietnamDivisionType.XA, "xa_tay_son", 417),
  "W_16867" : VNWard("Xã Mường Ải", 16867, VietnamDivisionType.XA, "xa_muong_ai", 417),
  "W_16870" : VNWard("Xã Na Ngoi", 16870, VietnamDivisionType.XA, "xa_na_ngoi", 417),
  "W_16873" : VNWard("Xã Nậm Càn", 16873, VietnamDivisionType.XA, "xa_nam_can", 417),
  "W_16876" : VNWard("Thị trấn Thạch Giám", 16876, VietnamDivisionType.THI_TRAN, "thi_tran_thach_giam", 418),
  "W_16879" : VNWard("Xã Mai Sơn", 16879, VietnamDivisionType.XA, "xa_mai_son", 418),
  "W_16882" : VNWard("Xã Nhôn Mai", 16882, VietnamDivisionType.XA, "xa_nhon_mai", 418),
  "W_16885" : VNWard("Xã Hữu Khuông", 16885, VietnamDivisionType.XA, "xa_huu_khuong", 418),
  "W_16900" : VNWard("Xã Yên Tĩnh", 16900, VietnamDivisionType.XA, "xa_yen_tinh", 418),
  "W_16903" : VNWard("Xã Nga My", 16903, VietnamDivisionType.XA, "xa_nga_my", 418),
  "W_16904" : VNWard("Xã Xiêng My", 16904, VietnamDivisionType.XA, "xa_xieng_my", 418),
  "W_16906" : VNWard("Xã Lưỡng Minh", 16906, VietnamDivisionType.XA, "xa_luong_minh", 418),
  "W_16909" : VNWard("Xã Yên Hòa", 16909, VietnamDivisionType.XA, "xa_yen_hoa", 418),
  "W_16912" : VNWard("Xã Yên Na", 16912, VietnamDivisionType.XA, "xa_yen_na", 418),
  "W_16915" : VNWard("Xã Lưu Kiền", 16915, VietnamDivisionType.XA, "xa_luu_kien", 418),
  "W_16921" : VNWard("Xã Xá Lượng", 16921, VietnamDivisionType.XA, "xa_xa_luong", 418),
  "W_16924" : VNWard("Xã Tam Thái", 16924, VietnamDivisionType.XA, "xa_tam_thai", 418),
  "W_16927" : VNWard("Xã Tam Đình", 16927, VietnamDivisionType.XA, "xa_tam_dinh", 418),
  "W_16930" : VNWard("Xã Yên Thắng", 16930, VietnamDivisionType.XA, "xa_yen_thang", 418),
  "W_16933" : VNWard("Xã Tam Quang", 16933, VietnamDivisionType.XA, "xa_tam_quang", 418),
  "W_16936" : VNWard("Xã Tam Hợp", 16936, VietnamDivisionType.XA, "xa_tam_hop", 418),
  "W_16941" : VNWard("Thị trấn Nghĩa Đàn", 16941, VietnamDivisionType.THI_TRAN, "thi_tran_nghia_dan", 419),
  "W_16942" : VNWard("Xã Nghĩa Mai", 16942, VietnamDivisionType.XA, "xa_nghia_mai", 419),
  "W_16945" : VNWard("Xã Nghĩa Yên", 16945, VietnamDivisionType.XA, "xa_nghia_yen", 419),
  "W_16948" : VNWard("Xã Nghĩa Lạc", 16948, VietnamDivisionType.XA, "xa_nghia_lac", 419),
  "W_16951" : VNWard("Xã Nghĩa Lâm", 16951, VietnamDivisionType.XA, "xa_nghia_lam", 419),
  "W_16954" : VNWard("Xã Nghĩa Sơn", 16954, VietnamDivisionType.XA, "xa_nghia_son", 419),
  "W_16957" : VNWard("Xã Nghĩa Lợi", 16957, VietnamDivisionType.XA, "xa_nghia_loi", 419),
  "W_16960" : VNWard("Xã Nghĩa Bình", 16960, VietnamDivisionType.XA, "xa_nghia_binh", 419),
  "W_16963" : VNWard("Xã Nghĩa Thọ", 16963, VietnamDivisionType.XA, "xa_nghia_tho", 419),
  "W_16966" : VNWard("Xã Nghĩa Minh", 16966, VietnamDivisionType.XA, "xa_nghia_minh", 419),
  "W_16969" : VNWard("Xã Nghĩa Phú", 16969, VietnamDivisionType.XA, "xa_nghia_phu", 419),
  "W_16972" : VNWard("Xã Nghĩa Hưng", 16972, VietnamDivisionType.XA, "xa_nghia_hung", 419),
  "W_16975" : VNWard("Xã Nghĩa Hồng", 16975, VietnamDivisionType.XA, "xa_nghia_hong", 419),
  "W_16978" : VNWard("Xã Nghĩa Thịnh", 16978, VietnamDivisionType.XA, "xa_nghia_thinh", 419),
  "W_16981" : VNWard("Xã Nghĩa Trung", 16981, VietnamDivisionType.XA, "xa_nghia_trung", 419),
  "W_16984" : VNWard("Xã Nghĩa Hội", 16984, VietnamDivisionType.XA, "xa_nghia_hoi", 419),
  "W_16987" : VNWard("Xã Nghĩa Thành", 16987, VietnamDivisionType.XA, "xa_nghia_thanh", 419),
  "W_16996" : VNWard("Xã Nghĩa Hiếu", 16996, VietnamDivisionType.XA, "xa_nghia_hieu", 419),
  "W_17020" : VNWard("Xã Nghĩa Đức", 17020, VietnamDivisionType.XA, "xa_nghia_duc", 419),
  "W_17023" : VNWard("Xã Nghĩa An", 17023, VietnamDivisionType.XA, "xa_nghia_an", 419),
  "W_17026" : VNWard("Xã Nghĩa Long", 17026, VietnamDivisionType.XA, "xa_nghia_long", 419),
  "W_17029" : VNWard("Xã Nghĩa Lộc", 17029, VietnamDivisionType.XA, "xa_nghia_loc", 419),
  "W_17032" : VNWard("Xã Nghĩa Khánh", 17032, VietnamDivisionType.XA, "xa_nghia_khanh", 419),
  "W_17035" : VNWard("Thị trấn Quỳ Hợp", 17035, VietnamDivisionType.THI_TRAN, "thi_tran_quy_hop", 420),
  "W_17038" : VNWard("Xã Yên Hợp", 17038, VietnamDivisionType.XA, "xa_yen_hop", 420),
  "W_17041" : VNWard("Xã Châu Tiến", 17041, VietnamDivisionType.XA, "xa_chau_tien", 420),
  "W_17044" : VNWard("Xã Châu Hồng", 17044, VietnamDivisionType.XA, "xa_chau_hong", 420),
  "W_17047" : VNWard("Xã Đồng Hợp", 17047, VietnamDivisionType.XA, "xa_dong_hop", 420),
  "W_17050" : VNWard("Xã Châu Thành", 17050, VietnamDivisionType.XA, "xa_chau_thanh", 420),
  "W_17053" : VNWard("Xã Liên Hợp", 17053, VietnamDivisionType.XA, "xa_lien_hop", 420),
  "W_17056" : VNWard("Xã Châu Lộc", 17056, VietnamDivisionType.XA, "xa_chau_loc", 420),
  "W_17059" : VNWard("Xã Tam Hợp", 17059, VietnamDivisionType.XA, "xa_tam_hop", 420),
  "W_17062" : VNWard("Xã Châu Cường", 17062, VietnamDivisionType.XA, "xa_chau_cuong", 420),
  "W_17065" : VNWard("Xã Châu Quang", 17065, VietnamDivisionType.XA, "xa_chau_quang", 420),
  "W_17068" : VNWard("Xã Thọ Hợp", 17068, VietnamDivisionType.XA, "xa_tho_hop", 420),
  "W_17071" : VNWard("Xã Minh Hợp", 17071, VietnamDivisionType.XA, "xa_minh_hop", 420),
  "W_17074" : VNWard("Xã Nghĩa Xuân", 17074, VietnamDivisionType.XA, "xa_nghia_xuan", 420),
  "W_17077" : VNWard("Xã Châu Thái", 17077, VietnamDivisionType.XA, "xa_chau_thai", 420),
  "W_17080" : VNWard("Xã Châu Đình", 17080, VietnamDivisionType.XA, "xa_chau_dinh", 420),
  "W_17083" : VNWard("Xã Văn Lợi", 17083, VietnamDivisionType.XA, "xa_van_loi", 420),
  "W_17086" : VNWard("Xã Nam Sơn", 17086, VietnamDivisionType.XA, "xa_nam_son", 420),
  "W_17089" : VNWard("Xã Châu Lý", 17089, VietnamDivisionType.XA, "xa_chau_ly", 420),
  "W_17092" : VNWard("Xã Hạ Sơn", 17092, VietnamDivisionType.XA, "xa_ha_son", 420),
  "W_17095" : VNWard("Xã Bắc Sơn", 17095, VietnamDivisionType.XA, "xa_bac_son", 420),
  "W_17098" : VNWard("Thị trấn Cầu Giát", 17098, VietnamDivisionType.THI_TRAN, "thi_tran_cau_giat", 421),
  "W_17101" : VNWard("Xã Quỳnh Thắng", 17101, VietnamDivisionType.XA, "xa_quynh_thang", 421),
  "W_17119" : VNWard("Xã Quỳnh Tân", 17119, VietnamDivisionType.XA, "xa_quynh_tan", 421),
  "W_17122" : VNWard("Xã Quỳnh Châu", 17122, VietnamDivisionType.XA, "xa_quynh_chau", 421),
  "W_17140" : VNWard("Xã Tân Sơn", 17140, VietnamDivisionType.XA, "xa_tan_son", 421),
  "W_17143" : VNWard("Xã Quỳnh Văn", 17143, VietnamDivisionType.XA, "xa_quynh_van", 421),
  "W_17146" : VNWard("Xã Ngọc Sơn", 17146, VietnamDivisionType.XA, "xa_ngoc_son", 421),
  "W_17149" : VNWard("Xã Quỳnh Tam", 17149, VietnamDivisionType.XA, "xa_quynh_tam", 421),
  "W_17152" : VNWard("Xã Quỳnh Hoa", 17152, VietnamDivisionType.XA, "xa_quynh_hoa", 421),
  "W_17155" : VNWard("Xã Quỳnh Thạch", 17155, VietnamDivisionType.XA, "xa_quynh_thach", 421),
  "W_17158" : VNWard("Xã Quỳnh Bảng", 17158, VietnamDivisionType.XA, "xa_quynh_bang", 421),
  "W_17161" : VNWard("Xã Quỳnh Mỹ", 17161, VietnamDivisionType.XA, "xa_quynh_my", 421),
  "W_17164" : VNWard("Xã Quỳnh Thanh", 17164, VietnamDivisionType.XA, "xa_quynh_thanh", 421),
  "W_17167" : VNWard("Xã Quỳnh Hậu", 17167, VietnamDivisionType.XA, "xa_quynh_hau", 421),
  "W_17170" : VNWard("Xã Quỳnh Lâm", 17170, VietnamDivisionType.XA, "xa_quynh_lam", 421),
  "W_17173" : VNWard("Xã Quỳnh Đôi", 17173, VietnamDivisionType.XA, "xa_quynh_doi", 421),
  "W_17176" : VNWard("Xã Quỳnh Lương", 17176, VietnamDivisionType.XA, "xa_quynh_luong", 421),
  "W_17179" : VNWard("Xã Quỳnh Hồng", 17179, VietnamDivisionType.XA, "xa_quynh_hong", 421),
  "W_17182" : VNWard("Xã Quỳnh Yên", 17182, VietnamDivisionType.XA, "xa_quynh_yen", 421),
  "W_17185" : VNWard("Xã Quỳnh Bá", 17185, VietnamDivisionType.XA, "xa_quynh_ba", 421),
  "W_17188" : VNWard("Xã Quỳnh Minh", 17188, VietnamDivisionType.XA, "xa_quynh_minh", 421),
  "W_17191" : VNWard("Xã Quỳnh Diễn", 17191, VietnamDivisionType.XA, "xa_quynh_dien", 421),
  "W_17194" : VNWard("Xã Quỳnh Hưng", 17194, VietnamDivisionType.XA, "xa_quynh_hung", 421),
  "W_17197" : VNWard("Xã Quỳnh Giang", 17197, VietnamDivisionType.XA, "xa_quynh_giang", 421),
  "W_17200" : VNWard("Xã Quỳnh Ngọc", 17200, VietnamDivisionType.XA, "xa_quynh_ngoc", 421),
  "W_17203" : VNWard("Xã Quỳnh Nghĩa", 17203, VietnamDivisionType.XA, "xa_quynh_nghia", 421),
  "W_17206" : VNWard("Xã An Hòa", 17206, VietnamDivisionType.XA, "xa_an_hoa", 421),
  "W_17209" : VNWard("Xã Tiến Thủy", 17209, VietnamDivisionType.XA, "xa_tien_thuy", 421),
  "W_17212" : VNWard("Xã Sơn Hải", 17212, VietnamDivisionType.XA, "xa_son_hai", 421),
  "W_17215" : VNWard("Xã Quỳnh Thọ", 17215, VietnamDivisionType.XA, "xa_quynh_tho", 421),
  "W_17218" : VNWard("Xã Quỳnh Thuận", 17218, VietnamDivisionType.XA, "xa_quynh_thuan", 421),
  "W_17221" : VNWard("Xã Quỳnh Long", 17221, VietnamDivisionType.XA, "xa_quynh_long", 421),
  "W_17224" : VNWard("Xã Tân Thắng", 17224, VietnamDivisionType.XA, "xa_tan_thang", 421),
  "W_17227" : VNWard("Thị trấn Con Cuông", 17227, VietnamDivisionType.THI_TRAN, "thi_tran_con_cuong", 422),
  "W_17230" : VNWard("Xã Bình Chuẩn", 17230, VietnamDivisionType.XA, "xa_binh_chuan", 422),
  "W_17233" : VNWard("Xã Lạng Khê", 17233, VietnamDivisionType.XA, "xa_lang_khe", 422),
  "W_17236" : VNWard("Xã Cam Lâm", 17236, VietnamDivisionType.XA, "xa_cam_lam", 422),
  "W_17239" : VNWard("Xã Thạch Ngàn", 17239, VietnamDivisionType.XA, "xa_thach_ngan", 422),
  "W_17242" : VNWard("Xã Đôn Phục", 17242, VietnamDivisionType.XA, "xa_don_phuc", 422),
  "W_17245" : VNWard("Xã Mậu Đức", 17245, VietnamDivisionType.XA, "xa_mau_duc", 422),
  "W_17248" : VNWard("Xã Châu Khê", 17248, VietnamDivisionType.XA, "xa_chau_khe", 422),
  "W_17251" : VNWard("Xã Chi Khê", 17251, VietnamDivisionType.XA, "xa_chi_khe", 422),
  "W_17254" : VNWard("Xã Bồng Khê", 17254, VietnamDivisionType.XA, "xa_bong_khe", 422),
  "W_17257" : VNWard("Xã Yên Khê", 17257, VietnamDivisionType.XA, "xa_yen_khe", 422),
  "W_17260" : VNWard("Xã Lục Dạ", 17260, VietnamDivisionType.XA, "xa_luc_da", 422),
  "W_17263" : VNWard("Xã Môn Sơn", 17263, VietnamDivisionType.XA, "xa_mon_son", 422),
  "W_17266" : VNWard("Thị trấn Tân Kỳ", 17266, VietnamDivisionType.THI_TRAN, "thi_tran_tan_ky", 423),
  "W_17269" : VNWard("Xã Tân Hợp", 17269, VietnamDivisionType.XA, "xa_tan_hop", 423),
  "W_17272" : VNWard("Xã Tân Phú", 17272, VietnamDivisionType.XA, "xa_tan_phu", 423),
  "W_17275" : VNWard("Xã Tân Xuân", 17275, VietnamDivisionType.XA, "xa_tan_xuan", 423),
  "W_17278" : VNWard("Xã Giai Xuân", 17278, VietnamDivisionType.XA, "xa_giai_xuan", 423),
  "W_17281" : VNWard("Xã Nghĩa Bình", 17281, VietnamDivisionType.XA, "xa_nghia_binh", 423),
  "W_17284" : VNWard("Xã Nghĩa Đồng", 17284, VietnamDivisionType.XA, "xa_nghia_dong", 423),
  "W_17287" : VNWard("Xã Đồng Văn", 17287, VietnamDivisionType.XA, "xa_dong_van", 423),
  "W_17290" : VNWard("Xã Nghĩa Thái", 17290, VietnamDivisionType.XA, "xa_nghia_thai", 423),
  "W_17293" : VNWard("Xã Nghĩa Hợp", 17293, VietnamDivisionType.XA, "xa_nghia_hop", 423),
  "W_17296" : VNWard("Xã Nghĩa Hoàn", 17296, VietnamDivisionType.XA, "xa_nghia_hoan", 423),
  "W_17299" : VNWard("Xã Nghĩa Phúc", 17299, VietnamDivisionType.XA, "xa_nghia_phuc", 423),
  "W_17302" : VNWard("Xã Tiên Kỳ", 17302, VietnamDivisionType.XA, "xa_tien_ky", 423),
  "W_17305" : VNWard("Xã Tân An", 17305, VietnamDivisionType.XA, "xa_tan_an", 423),
  "W_17308" : VNWard("Xã Nghĩa Dũng", 17308, VietnamDivisionType.XA, "xa_nghia_dung", 423),
  "W_17311" : VNWard("Xã Tân Long", 17311, VietnamDivisionType.XA, "xa_tan_long", 423),
  "W_17314" : VNWard("Xã Kỳ Sơn", 17314, VietnamDivisionType.XA, "xa_ky_son", 423),
  "W_17317" : VNWard("Xã Hương Sơn", 17317, VietnamDivisionType.XA, "xa_huong_son", 423),
  "W_17320" : VNWard("Xã Kỳ Tân", 17320, VietnamDivisionType.XA, "xa_ky_tan", 423),
  "W_17323" : VNWard("Xã Phú Sơn", 17323, VietnamDivisionType.XA, "xa_phu_son", 423),
  "W_17325" : VNWard("Xã Tân Hương", 17325, VietnamDivisionType.XA, "xa_tan_huong", 423),
  "W_17326" : VNWard("Xã Nghĩa Hành", 17326, VietnamDivisionType.XA, "xa_nghia_hanh", 423),
  "W_17329" : VNWard("Thị trấn Anh Sơn", 17329, VietnamDivisionType.THI_TRAN, "thi_tran_anh_son", 424),
  "W_17332" : VNWard("Xã Thọ Sơn", 17332, VietnamDivisionType.XA, "xa_tho_son", 424),
  "W_17335" : VNWard("Xã Thành Sơn", 17335, VietnamDivisionType.XA, "xa_thanh_son", 424),
  "W_17338" : VNWard("Xã Bình Sơn", 17338, VietnamDivisionType.XA, "xa_binh_son", 424),
  "W_17341" : VNWard("Xã Tam Sơn", 17341, VietnamDivisionType.XA, "xa_tam_son", 424),
  "W_17344" : VNWard("Xã Đỉnh Sơn", 17344, VietnamDivisionType.XA, "xa_dinh_son", 424),
  "W_17347" : VNWard("Xã Hùng Sơn", 17347, VietnamDivisionType.XA, "xa_hung_son", 424),
  "W_17350" : VNWard("Xã Cẩm Sơn", 17350, VietnamDivisionType.XA, "xa_cam_son", 424),
  "W_17353" : VNWard("Xã Đức Sơn", 17353, VietnamDivisionType.XA, "xa_duc_son", 424),
  "W_17356" : VNWard("Xã Tường Sơn", 17356, VietnamDivisionType.XA, "xa_tuong_son", 424),
  "W_17357" : VNWard("Xã Hoa Sơn", 17357, VietnamDivisionType.XA, "xa_hoa_son", 424),
  "W_17359" : VNWard("Xã Tào Sơn", 17359, VietnamDivisionType.XA, "xa_tao_son", 424),
  "W_17362" : VNWard("Xã Vĩnh Sơn", 17362, VietnamDivisionType.XA, "xa_vinh_son", 424),
  "W_17365" : VNWard("Xã Lạng Sơn", 17365, VietnamDivisionType.XA, "xa_lang_son", 424),
  "W_17368" : VNWard("Xã Hội Sơn", 17368, VietnamDivisionType.XA, "xa_hoi_son", 424),
  "W_17371" : VNWard("Xã Thạch Sơn", 17371, VietnamDivisionType.XA, "xa_thach_son", 424),
  "W_17374" : VNWard("Xã Phúc Sơn", 17374, VietnamDivisionType.XA, "xa_phuc_son", 424),
  "W_17377" : VNWard("Xã Long Sơn", 17377, VietnamDivisionType.XA, "xa_long_son", 424),
  "W_17380" : VNWard("Xã Khai Sơn", 17380, VietnamDivisionType.XA, "xa_khai_son", 424),
  "W_17383" : VNWard("Xã Lĩnh Sơn", 17383, VietnamDivisionType.XA, "xa_linh_son", 424),
  "W_17386" : VNWard("Xã Cao Sơn", 17386, VietnamDivisionType.XA, "xa_cao_son", 424),
  "W_17389" : VNWard("Thị trấn Diễn Châu", 17389, VietnamDivisionType.THI_TRAN, "thi_tran_dien_chau", 425),
  "W_17392" : VNWard("Xã Diễn Lâm", 17392, VietnamDivisionType.XA, "xa_dien_lam", 425),
  "W_17395" : VNWard("Xã Diễn Đoài", 17395, VietnamDivisionType.XA, "xa_dien_doai", 425),
  "W_17398" : VNWard("Xã Diễn Trường", 17398, VietnamDivisionType.XA, "xa_dien_truong", 425),
  "W_17401" : VNWard("Xã Diễn Yên", 17401, VietnamDivisionType.XA, "xa_dien_yen", 425),
  "W_17404" : VNWard("Xã Diễn Hoàng", 17404, VietnamDivisionType.XA, "xa_dien_hoang", 425),
  "W_17407" : VNWard("Xã Diễn Hùng", 17407, VietnamDivisionType.XA, "xa_dien_hung", 425),
  "W_17410" : VNWard("Xã Diễn Mỹ", 17410, VietnamDivisionType.XA, "xa_dien_my", 425),
  "W_17413" : VNWard("Xã Diễn Hồng", 17413, VietnamDivisionType.XA, "xa_dien_hong", 425),
  "W_17416" : VNWard("Xã Diễn Phong", 17416, VietnamDivisionType.XA, "xa_dien_phong", 425),
  "W_17419" : VNWard("Xã Diễn Hải", 17419, VietnamDivisionType.XA, "xa_dien_hai", 425),
  "W_17422" : VNWard("Xã Diễn Tháp", 17422, VietnamDivisionType.XA, "xa_dien_thap", 425),
  "W_17425" : VNWard("Xã Diễn Liên", 17425, VietnamDivisionType.XA, "xa_dien_lien", 425),
  "W_17428" : VNWard("Xã Diễn Vạn", 17428, VietnamDivisionType.XA, "xa_dien_van", 425),
  "W_17431" : VNWard("Xã Diễn Kim", 17431, VietnamDivisionType.XA, "xa_dien_kim", 425),
  "W_17434" : VNWard("Xã Diễn Kỷ", 17434, VietnamDivisionType.XA, "xa_dien_ky", 425),
  "W_17437" : VNWard("Xã Diễn Xuân", 17437, VietnamDivisionType.XA, "xa_dien_xuan", 425),
  "W_17440" : VNWard("Xã Diễn Thái", 17440, VietnamDivisionType.XA, "xa_dien_thai", 425),
  "W_17443" : VNWard("Xã Diễn Đồng", 17443, VietnamDivisionType.XA, "xa_dien_dong", 425),
  "W_17446" : VNWard("Xã Diễn Bích", 17446, VietnamDivisionType.XA, "xa_dien_bich", 425),
  "W_17449" : VNWard("Xã Diễn Hạnh", 17449, VietnamDivisionType.XA, "xa_dien_hanh", 425),
  "W_17452" : VNWard("Xã Diễn Ngọc", 17452, VietnamDivisionType.XA, "xa_dien_ngoc", 425),
  "W_17455" : VNWard("Xã Diễn Quảng", 17455, VietnamDivisionType.XA, "xa_dien_quang", 425),
  "W_17458" : VNWard("Xã Diễn Nguyên", 17458, VietnamDivisionType.XA, "xa_dien_nguyen", 425),
  "W_17461" : VNWard("Xã Diễn Hoa", 17461, VietnamDivisionType.XA, "xa_dien_hoa", 425),
  "W_17464" : VNWard("Xã Diễn Thành", 17464, VietnamDivisionType.XA, "xa_dien_thanh", 425),
  "W_17467" : VNWard("Xã Diễn Phúc", 17467, VietnamDivisionType.XA, "xa_dien_phuc", 425),
  "W_17476" : VNWard("Xã Diễn Cát", 17476, VietnamDivisionType.XA, "xa_dien_cat", 425),
  "W_17479" : VNWard("Xã Diễn Thịnh", 17479, VietnamDivisionType.XA, "xa_dien_thinh", 425),
  "W_17482" : VNWard("Xã Diễn Tân", 17482, VietnamDivisionType.XA, "xa_dien_tan", 425),
  "W_17485" : VNWard("Xã Minh Châu", 17485, VietnamDivisionType.XA, "xa_minh_chau", 425),
  "W_17488" : VNWard("Xã Diễn Thọ", 17488, VietnamDivisionType.XA, "xa_dien_tho", 425),
  "W_17491" : VNWard("Xã Diễn Lợi", 17491, VietnamDivisionType.XA, "xa_dien_loi", 425),
  "W_17494" : VNWard("Xã Diễn Lộc", 17494, VietnamDivisionType.XA, "xa_dien_loc", 425),
  "W_17497" : VNWard("Xã Diễn Trung", 17497, VietnamDivisionType.XA, "xa_dien_trung", 425),
  "W_17500" : VNWard("Xã Diễn An", 17500, VietnamDivisionType.XA, "xa_dien_an", 425),
  "W_17503" : VNWard("Xã Diễn Phú", 17503, VietnamDivisionType.XA, "xa_dien_phu", 425),
  "W_17506" : VNWard("Thị trấn Yên Thành", 17506, VietnamDivisionType.THI_TRAN, "thi_tran_yen_thanh", 426),
  "W_17509" : VNWard("Xã Mã Thành", 17509, VietnamDivisionType.XA, "xa_ma_thanh", 426),
  "W_17510" : VNWard("Xã Tiến Thành", 17510, VietnamDivisionType.XA, "xa_tien_thanh", 426),
  "W_17512" : VNWard("Xã Lăng Thành", 17512, VietnamDivisionType.XA, "xa_lang_thanh", 426),
  "W_17515" : VNWard("Xã Tân Thành", 17515, VietnamDivisionType.XA, "xa_tan_thanh", 426),
  "W_17518" : VNWard("Xã Đức Thành", 17518, VietnamDivisionType.XA, "xa_duc_thanh", 426),
  "W_17521" : VNWard("Xã Kim Thành", 17521, VietnamDivisionType.XA, "xa_kim_thanh", 426),
  "W_17524" : VNWard("Xã Hậu Thành", 17524, VietnamDivisionType.XA, "xa_hau_thanh", 426),
  "W_17525" : VNWard("Xã Hùng Thành", 17525, VietnamDivisionType.XA, "xa_hung_thanh", 426),
  "W_17527" : VNWard("Xã Đô Thành", 17527, VietnamDivisionType.XA, "xa_do_thanh", 426),
  "W_17530" : VNWard("Xã Thọ Thành", 17530, VietnamDivisionType.XA, "xa_tho_thanh", 426),
  "W_17533" : VNWard("Xã Quang Thành", 17533, VietnamDivisionType.XA, "xa_quang_thanh", 426),
  "W_17536" : VNWard("Xã Tây Thành", 17536, VietnamDivisionType.XA, "xa_tay_thanh", 426),
  "W_17539" : VNWard("Xã Phúc Thành", 17539, VietnamDivisionType.XA, "xa_phuc_thanh", 426),
  "W_17542" : VNWard("Xã Hồng Thành", 17542, VietnamDivisionType.XA, "xa_hong_thanh", 426),
  "W_17545" : VNWard("Xã Đồng Thành", 17545, VietnamDivisionType.XA, "xa_dong_thanh", 426),
  "W_17548" : VNWard("Xã Phú Thành", 17548, VietnamDivisionType.XA, "xa_phu_thanh", 426),
  "W_17551" : VNWard("Xã Hoa Thành", 17551, VietnamDivisionType.XA, "xa_hoa_thanh", 426),
  "W_17554" : VNWard("Xã Tăng Thành", 17554, VietnamDivisionType.XA, "xa_tang_thanh", 426),
  "W_17557" : VNWard("Xã Văn Thành", 17557, VietnamDivisionType.XA, "xa_van_thanh", 426),
  "W_17560" : VNWard("Xã Thịnh Thành", 17560, VietnamDivisionType.XA, "xa_thinh_thanh", 426),
  "W_17563" : VNWard("Xã Hợp Thành", 17563, VietnamDivisionType.XA, "xa_hop_thanh", 426),
  "W_17566" : VNWard("Xã Xuân Thành", 17566, VietnamDivisionType.XA, "xa_xuan_thanh", 426),
  "W_17569" : VNWard("Xã Bắc Thành", 17569, VietnamDivisionType.XA, "xa_bac_thanh", 426),
  "W_17572" : VNWard("Xã Nhân Thành", 17572, VietnamDivisionType.XA, "xa_nhan_thanh", 426),
  "W_17575" : VNWard("Xã Trung Thành", 17575, VietnamDivisionType.XA, "xa_trung_thanh", 426),
  "W_17578" : VNWard("Xã Long Thành", 17578, VietnamDivisionType.XA, "xa_long_thanh", 426),
  "W_17581" : VNWard("Xã Minh Thành", 17581, VietnamDivisionType.XA, "xa_minh_thanh", 426),
  "W_17584" : VNWard("Xã Nam Thành", 17584, VietnamDivisionType.XA, "xa_nam_thanh", 426),
  "W_17587" : VNWard("Xã Vĩnh Thành", 17587, VietnamDivisionType.XA, "xa_vinh_thanh", 426),
  "W_17590" : VNWard("Xã Lý Thành", 17590, VietnamDivisionType.XA, "xa_ly_thanh", 426),
  "W_17593" : VNWard("Xã Khánh Thành", 17593, VietnamDivisionType.XA, "xa_khanh_thanh", 426),
  "W_17596" : VNWard("Xã Viên Thành", 17596, VietnamDivisionType.XA, "xa_vien_thanh", 426),
  "W_17599" : VNWard("Xã Đại Thành", 17599, VietnamDivisionType.XA, "xa_dai_thanh", 426),
  "W_17602" : VNWard("Xã Liên Thành", 17602, VietnamDivisionType.XA, "xa_lien_thanh", 426),
  "W_17605" : VNWard("Xã Bảo Thành", 17605, VietnamDivisionType.XA, "xa_bao_thanh", 426),
  "W_17608" : VNWard("Xã Mỹ Thành", 17608, VietnamDivisionType.XA, "xa_my_thanh", 426),
  "W_17611" : VNWard("Xã Công Thành", 17611, VietnamDivisionType.XA, "xa_cong_thanh", 426),
  "W_17614" : VNWard("Xã Sơn Thành", 17614, VietnamDivisionType.XA, "xa_son_thanh", 426),
  "W_17617" : VNWard("Thị trấn Đô Lương", 17617, VietnamDivisionType.THI_TRAN, "thi_tran_do_luong", 427),
  "W_17619" : VNWard("Xã Giang Sơn Đông", 17619, VietnamDivisionType.XA, "xa_giang_son_dong", 427),
  "W_17620" : VNWard("Xã Giang Sơn Tây", 17620, VietnamDivisionType.XA, "xa_giang_son_tay", 427),
  "W_17623" : VNWard("Xã Lam Sơn", 17623, VietnamDivisionType.XA, "xa_lam_son", 427),
  "W_17626" : VNWard("Xã Bồi Sơn", 17626, VietnamDivisionType.XA, "xa_boi_son", 427),
  "W_17629" : VNWard("Xã Hồng Sơn", 17629, VietnamDivisionType.XA, "xa_hong_son", 427),
  "W_17632" : VNWard("Xã Bài Sơn", 17632, VietnamDivisionType.XA, "xa_bai_son", 427),
  "W_17635" : VNWard("Xã Ngọc Sơn", 17635, VietnamDivisionType.XA, "xa_ngoc_son", 427),
  "W_17638" : VNWard("Xã Bắc Sơn", 17638, VietnamDivisionType.XA, "xa_bac_son", 427),
  "W_17641" : VNWard("Xã Tràng Sơn", 17641, VietnamDivisionType.XA, "xa_trang_son", 427),
  "W_17644" : VNWard("Xã Thượng Sơn", 17644, VietnamDivisionType.XA, "xa_thuong_son", 427),
  "W_17647" : VNWard("Xã Hòa Sơn", 17647, VietnamDivisionType.XA, "xa_hoa_son", 427),
  "W_17650" : VNWard("Xã Đặng Sơn", 17650, VietnamDivisionType.XA, "xa_dang_son", 427),
  "W_17653" : VNWard("Xã Đông Sơn", 17653, VietnamDivisionType.XA, "xa_dong_son", 427),
  "W_17656" : VNWard("Xã Nam Sơn", 17656, VietnamDivisionType.XA, "xa_nam_son", 427),
  "W_17659" : VNWard("Xã Lưu Sơn", 17659, VietnamDivisionType.XA, "xa_luu_son", 427),
  "W_17662" : VNWard("Xã Yên Sơn", 17662, VietnamDivisionType.XA, "xa_yen_son", 427),
  "W_17665" : VNWard("Xã Văn Sơn", 17665, VietnamDivisionType.XA, "xa_van_son", 427),
  "W_17668" : VNWard("Xã Đà Sơn", 17668, VietnamDivisionType.XA, "xa_da_son", 427),
  "W_17671" : VNWard("Xã Lạc Sơn", 17671, VietnamDivisionType.XA, "xa_lac_son", 427),
  "W_17674" : VNWard("Xã Tân Sơn", 17674, VietnamDivisionType.XA, "xa_tan_son", 427),
  "W_17677" : VNWard("Xã Thái Sơn", 17677, VietnamDivisionType.XA, "xa_thai_son", 427),
  "W_17680" : VNWard("Xã Quang Sơn", 17680, VietnamDivisionType.XA, "xa_quang_son", 427),
  "W_17683" : VNWard("Xã Thịnh Sơn", 17683, VietnamDivisionType.XA, "xa_thinh_son", 427),
  "W_17686" : VNWard("Xã Trung Sơn", 17686, VietnamDivisionType.XA, "xa_trung_son", 427),
  "W_17689" : VNWard("Xã Xuân Sơn", 17689, VietnamDivisionType.XA, "xa_xuan_son", 427),
  "W_17692" : VNWard("Xã Minh Sơn", 17692, VietnamDivisionType.XA, "xa_minh_son", 427),
  "W_17695" : VNWard("Xã Thuận Sơn", 17695, VietnamDivisionType.XA, "xa_thuan_son", 427),
  "W_17698" : VNWard("Xã Nhân Sơn", 17698, VietnamDivisionType.XA, "xa_nhan_son", 427),
  "W_17701" : VNWard("Xã Hiến Sơn", 17701, VietnamDivisionType.XA, "xa_hien_son", 427),
  "W_17704" : VNWard("Xã Mỹ Sơn", 17704, VietnamDivisionType.XA, "xa_my_son", 427),
  "W_17707" : VNWard("Xã Trù Sơn", 17707, VietnamDivisionType.XA, "xa_tru_son", 427),
  "W_17710" : VNWard("Xã Đại Sơn", 17710, VietnamDivisionType.XA, "xa_dai_son", 427),
  "W_17713" : VNWard("Thị trấn Thanh Chương", 17713, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_chuong", 428),
  "W_17716" : VNWard("Xã Cát Văn", 17716, VietnamDivisionType.XA, "xa_cat_van", 428),
  "W_17719" : VNWard("Xã Thanh Nho", 17719, VietnamDivisionType.XA, "xa_thanh_nho", 428),
  "W_17722" : VNWard("Xã Hạnh Lâm", 17722, VietnamDivisionType.XA, "xa_hanh_lam", 428),
  "W_17723" : VNWard("Xã Thanh Sơn", 17723, VietnamDivisionType.XA, "xa_thanh_son", 428),
  "W_17725" : VNWard("Xã Thanh Hòa", 17725, VietnamDivisionType.XA, "xa_thanh_hoa", 428),
  "W_17728" : VNWard("Xã Phong Thịnh", 17728, VietnamDivisionType.XA, "xa_phong_thinh", 428),
  "W_17731" : VNWard("Xã Thanh Phong", 17731, VietnamDivisionType.XA, "xa_thanh_phong", 428),
  "W_17734" : VNWard("Xã Thanh Mỹ", 17734, VietnamDivisionType.XA, "xa_thanh_my", 428),
  "W_17737" : VNWard("Xã Thanh Tiên", 17737, VietnamDivisionType.XA, "xa_thanh_tien", 428),
  "W_17743" : VNWard("Xã Thanh Liên", 17743, VietnamDivisionType.XA, "xa_thanh_lien", 428),
  "W_17749" : VNWard("Xã Đại Đồng", 17749, VietnamDivisionType.XA, "xa_dai_dong", 428),
  "W_17752" : VNWard("Xã Thanh Đồng", 17752, VietnamDivisionType.XA, "xa_thanh_dong", 428),
  "W_17755" : VNWard("Xã Thanh Ngọc", 17755, VietnamDivisionType.XA, "xa_thanh_ngoc", 428),
  "W_17758" : VNWard("Xã Thanh Hương", 17758, VietnamDivisionType.XA, "xa_thanh_huong", 428),
  "W_17759" : VNWard("Xã Ngọc Lâm", 17759, VietnamDivisionType.XA, "xa_ngoc_lam", 428),
  "W_17761" : VNWard("Xã Thanh Lĩnh", 17761, VietnamDivisionType.XA, "xa_thanh_linh", 428),
  "W_17764" : VNWard("Xã Đồng Văn", 17764, VietnamDivisionType.XA, "xa_dong_van", 428),
  "W_17767" : VNWard("Xã Ngọc Sơn", 17767, VietnamDivisionType.XA, "xa_ngoc_son", 428),
  "W_17770" : VNWard("Xã Thanh Thịnh", 17770, VietnamDivisionType.XA, "xa_thanh_thinh", 428),
  "W_17773" : VNWard("Xã Thanh An", 17773, VietnamDivisionType.XA, "xa_thanh_an", 428),
  "W_17776" : VNWard("Xã Thanh Chi", 17776, VietnamDivisionType.XA, "xa_thanh_chi", 428),
  "W_17779" : VNWard("Xã Xuân Tường", 17779, VietnamDivisionType.XA, "xa_xuan_tuong", 428),
  "W_17782" : VNWard("Xã Thanh Dương", 17782, VietnamDivisionType.XA, "xa_thanh_duong", 428),
  "W_17785" : VNWard("Xã Thanh Lương", 17785, VietnamDivisionType.XA, "xa_thanh_luong", 428),
  "W_17788" : VNWard("Xã Thanh Khê", 17788, VietnamDivisionType.XA, "xa_thanh_khe", 428),
  "W_17791" : VNWard("Xã Võ Liệt", 17791, VietnamDivisionType.XA, "xa_vo_liet", 428),
  "W_17794" : VNWard("Xã Thanh Long", 17794, VietnamDivisionType.XA, "xa_thanh_long", 428),
  "W_17797" : VNWard("Xã Thanh Thủy", 17797, VietnamDivisionType.XA, "xa_thanh_thuy", 428),
  "W_17800" : VNWard("Xã Thanh Khai", 17800, VietnamDivisionType.XA, "xa_thanh_khai", 428),
  "W_17803" : VNWard("Xã Thanh Yên", 17803, VietnamDivisionType.XA, "xa_thanh_yen", 428),
  "W_17806" : VNWard("Xã Thanh Hà", 17806, VietnamDivisionType.XA, "xa_thanh_ha", 428),
  "W_17809" : VNWard("Xã Thanh Giang", 17809, VietnamDivisionType.XA, "xa_thanh_giang", 428),
  "W_17812" : VNWard("Xã Thanh Tùng", 17812, VietnamDivisionType.XA, "xa_thanh_tung", 428),
  "W_17815" : VNWard("Xã Thanh Lâm", 17815, VietnamDivisionType.XA, "xa_thanh_lam", 428),
  "W_17818" : VNWard("Xã Thanh Mai", 17818, VietnamDivisionType.XA, "xa_thanh_mai", 428),
  "W_17821" : VNWard("Xã Thanh Xuân", 17821, VietnamDivisionType.XA, "xa_thanh_xuan", 428),
  "W_17824" : VNWard("Xã Thanh Đức", 17824, VietnamDivisionType.XA, "xa_thanh_duc", 428),
  "W_17827" : VNWard("Thị trấn Quán Hành", 17827, VietnamDivisionType.THI_TRAN, "thi_tran_quan_hanh", 429),
  "W_17830" : VNWard("Xã Nghi Văn", 17830, VietnamDivisionType.XA, "xa_nghi_van", 429),
  "W_17833" : VNWard("Xã Nghi Yên", 17833, VietnamDivisionType.XA, "xa_nghi_yen", 429),
  "W_17836" : VNWard("Xã Nghi Tiến", 17836, VietnamDivisionType.XA, "xa_nghi_tien", 429),
  "W_17839" : VNWard("Xã Nghi Hưng", 17839, VietnamDivisionType.XA, "xa_nghi_hung", 429),
  "W_17842" : VNWard("Xã Nghi Đồng", 17842, VietnamDivisionType.XA, "xa_nghi_dong", 429),
  "W_17845" : VNWard("Xã Nghi Thiết", 17845, VietnamDivisionType.XA, "xa_nghi_thiet", 429),
  "W_17848" : VNWard("Xã Nghi Lâm", 17848, VietnamDivisionType.XA, "xa_nghi_lam", 429),
  "W_17851" : VNWard("Xã Nghi Quang", 17851, VietnamDivisionType.XA, "xa_nghi_quang", 429),
  "W_17854" : VNWard("Xã Nghi Kiều", 17854, VietnamDivisionType.XA, "xa_nghi_kieu", 429),
  "W_17857" : VNWard("Xã Nghi Mỹ", 17857, VietnamDivisionType.XA, "xa_nghi_my", 429),
  "W_17860" : VNWard("Xã Nghi Phương", 17860, VietnamDivisionType.XA, "xa_nghi_phuong", 429),
  "W_17863" : VNWard("Xã Nghi Thuận", 17863, VietnamDivisionType.XA, "xa_nghi_thuan", 429),
  "W_17866" : VNWard("Xã Nghi Long", 17866, VietnamDivisionType.XA, "xa_nghi_long", 429),
  "W_17869" : VNWard("Xã Nghi Xá", 17869, VietnamDivisionType.XA, "xa_nghi_xa", 429),
  "W_17875" : VNWard("Xã Nghi Hoa", 17875, VietnamDivisionType.XA, "xa_nghi_hoa", 429),
  "W_17878" : VNWard("Xã Khánh Hợp", 17878, VietnamDivisionType.XA, "xa_khanh_hop", 429),
  "W_17881" : VNWard("Xã Nghi Thịnh", 17881, VietnamDivisionType.XA, "xa_nghi_thinh", 429),
  "W_17884" : VNWard("Xã Nghi Công Bắc", 17884, VietnamDivisionType.XA, "xa_nghi_cong_bac", 429),
  "W_17887" : VNWard("Xã Nghi Công Nam", 17887, VietnamDivisionType.XA, "xa_nghi_cong_nam", 429),
  "W_17890" : VNWard("Xã Nghi Thạch", 17890, VietnamDivisionType.XA, "xa_nghi_thach", 429),
  "W_17893" : VNWard("Xã Nghi Trung", 17893, VietnamDivisionType.XA, "xa_nghi_trung", 429),
  "W_17896" : VNWard("Xã Nghi Trường", 17896, VietnamDivisionType.XA, "xa_nghi_truong", 429),
  "W_17899" : VNWard("Xã Nghi Diên", 17899, VietnamDivisionType.XA, "xa_nghi_dien", 429),
  "W_17902" : VNWard("Xã Nghi Phong", 17902, VietnamDivisionType.XA, "xa_nghi_phong", 429),
  "W_17905" : VNWard("Xã Nghi Xuân", 17905, VietnamDivisionType.XA, "xa_nghi_xuan", 429),
  "W_17911" : VNWard("Xã Nghi Vạn", 17911, VietnamDivisionType.XA, "xa_nghi_van", 429),
  "W_17917" : VNWard("Xã Phúc Thọ", 17917, VietnamDivisionType.XA, "xa_phuc_tho", 429),
  "W_17926" : VNWard("Xã Nghi Thái", 17926, VietnamDivisionType.XA, "xa_nghi_thai", 429),
  "W_17932" : VNWard("Xã Nam Hưng", 17932, VietnamDivisionType.XA, "xa_nam_hung", 430),
  "W_17935" : VNWard("Xã Nam Nghĩa", 17935, VietnamDivisionType.XA, "xa_nam_nghia", 430),
  "W_17938" : VNWard("Xã Nam Thanh", 17938, VietnamDivisionType.XA, "xa_nam_thanh", 430),
  "W_17941" : VNWard("Xã Nam Anh", 17941, VietnamDivisionType.XA, "xa_nam_anh", 430),
  "W_17944" : VNWard("Xã Nam Xuân", 17944, VietnamDivisionType.XA, "xa_nam_xuan", 430),
  "W_17947" : VNWard("Xã Nam Thái", 17947, VietnamDivisionType.XA, "xa_nam_thai", 430),
  "W_17950" : VNWard("Thị trấn Nam Đàn", 17950, VietnamDivisionType.THI_TRAN, "thi_tran_nam_dan", 430),
  "W_17953" : VNWard("Xã Nam Lĩnh", 17953, VietnamDivisionType.XA, "xa_nam_linh", 430),
  "W_17956" : VNWard("Xã Nam Giang", 17956, VietnamDivisionType.XA, "xa_nam_giang", 430),
  "W_17959" : VNWard("Xã Xuân Hòa", 17959, VietnamDivisionType.XA, "xa_xuan_hoa", 430),
  "W_17962" : VNWard("Xã Hùng Tiến", 17962, VietnamDivisionType.XA, "xa_hung_tien", 430),
  "W_17968" : VNWard("Xã Thượng Tân Lộc", 17968, VietnamDivisionType.XA, "xa_thuong_tan_loc", 430),
  "W_17971" : VNWard("Xã Kim Liên", 17971, VietnamDivisionType.XA, "xa_kim_lien", 430),
  "W_17977" : VNWard("Xã Hồng Long", 17977, VietnamDivisionType.XA, "xa_hong_long", 430),
  "W_17980" : VNWard("Xã Xuân Lâm", 17980, VietnamDivisionType.XA, "xa_xuan_lam", 430),
  "W_17983" : VNWard("Xã Nam Cát", 17983, VietnamDivisionType.XA, "xa_nam_cat", 430),
  "W_17986" : VNWard("Xã Khánh Sơn", 17986, VietnamDivisionType.XA, "xa_khanh_son", 430),
  "W_17989" : VNWard("Xã Trung Phúc Cường", 17989, VietnamDivisionType.XA, "xa_trung_phuc_cuong", 430),
  "W_17998" : VNWard("Xã Nam Kim", 17998, VietnamDivisionType.XA, "xa_nam_kim", 430),
  "W_18001" : VNWard("Thị trấn Hưng Nguyên", 18001, VietnamDivisionType.THI_TRAN, "thi_tran_hung_nguyen", 431),
  "W_18004" : VNWard("Xã Hưng Trung", 18004, VietnamDivisionType.XA, "xa_hung_trung", 431),
  "W_18007" : VNWard("Xã Hưng Yên", 18007, VietnamDivisionType.XA, "xa_hung_yen", 431),
  "W_18008" : VNWard("Xã Hưng Yên Bắc", 18008, VietnamDivisionType.XA, "xa_hung_yen_bac", 431),
  "W_18010" : VNWard("Xã Hưng Tây", 18010, VietnamDivisionType.XA, "xa_hung_tay", 431),
  "W_18016" : VNWard("Xã Hưng Đạo", 18016, VietnamDivisionType.XA, "xa_hung_dao", 431),
  "W_18019" : VNWard("Xã Hưng Mỹ", 18019, VietnamDivisionType.XA, "xa_hung_my", 431),
  "W_18022" : VNWard("Xã Hưng Thịnh", 18022, VietnamDivisionType.XA, "xa_hung_thinh", 431),
  "W_18025" : VNWard("Xã Hưng Lĩnh", 18025, VietnamDivisionType.XA, "xa_hung_linh", 431),
  "W_18028" : VNWard("Xã Hưng Thông", 18028, VietnamDivisionType.XA, "xa_hung_thong", 431),
  "W_18031" : VNWard("Xã Hưng Tân", 18031, VietnamDivisionType.XA, "xa_hung_tan", 431),
  "W_18034" : VNWard("Xã Hưng Lợi", 18034, VietnamDivisionType.XA, "xa_hung_loi", 431),
  "W_18037" : VNWard("Xã Hưng Nghĩa", 18037, VietnamDivisionType.XA, "xa_hung_nghia", 431),
  "W_18040" : VNWard("Xã Hưng Phúc", 18040, VietnamDivisionType.XA, "xa_hung_phuc", 431),
  "W_18043" : VNWard("Xã Long Xá", 18043, VietnamDivisionType.XA, "xa_long_xa", 431),
  "W_18052" : VNWard("Xã Châu Nhân", 18052, VietnamDivisionType.XA, "xa_chau_nhan", 431),
  "W_18055" : VNWard("Xã Xuân Lam", 18055, VietnamDivisionType.XA, "xa_xuan_lam", 431),
  "W_18064" : VNWard("Xã Hưng Thành", 18064, VietnamDivisionType.XA, "xa_hung_thanh", 431),
  "W_17104" : VNWard("Xã Quỳnh Vinh", 17104, VietnamDivisionType.XA, "xa_quynh_vinh", 432),
  "W_17107" : VNWard("Xã Quỳnh Lộc", 17107, VietnamDivisionType.XA, "xa_quynh_loc", 432),
  "W_17110" : VNWard("Phường Quỳnh Thiện", 17110, VietnamDivisionType.PHUONG, "phuong_quynh_thien", 432),
  "W_17113" : VNWard("Xã Quỳnh Lập", 17113, VietnamDivisionType.XA, "xa_quynh_lap", 432),
  "W_17116" : VNWard("Xã Quỳnh Trang", 17116, VietnamDivisionType.XA, "xa_quynh_trang", 432),
  "W_17125" : VNWard("Phường Mai Hùng", 17125, VietnamDivisionType.PHUONG, "phuong_mai_hung", 432),
  "W_17128" : VNWard("Phường Quỳnh Dị", 17128, VietnamDivisionType.PHUONG, "phuong_quynh_di", 432),
  "W_17131" : VNWard("Phường Quỳnh Xuân", 17131, VietnamDivisionType.PHUONG, "phuong_quynh_xuan", 432),
  "W_17134" : VNWard("Phường Quỳnh Phương", 17134, VietnamDivisionType.PHUONG, "phuong_quynh_phuong", 432),
  "W_17137" : VNWard("Xã Quỳnh Liên", 17137, VietnamDivisionType.XA, "xa_quynh_lien", 432),
  "W_18070" : VNWard("Phường Trần Phú", 18070, VietnamDivisionType.PHUONG, "phuong_tran_phu", 436),
  "W_18073" : VNWard("Phường Nam Hà", 18073, VietnamDivisionType.PHUONG, "phuong_nam_ha", 436),
  "W_18076" : VNWard("Phường Bắc Hà", 18076, VietnamDivisionType.PHUONG, "phuong_bac_ha", 436),
  "W_18077" : VNWard("Phường Nguyễn Du", 18077, VietnamDivisionType.PHUONG, "phuong_nguyen_du", 436),
  "W_18079" : VNWard("Phường Tân Giang", 18079, VietnamDivisionType.PHUONG, "phuong_tan_giang", 436),
  "W_18082" : VNWard("Phường Đại Nài", 18082, VietnamDivisionType.PHUONG, "phuong_dai_nai", 436),
  "W_18085" : VNWard("Phường Hà Huy Tập", 18085, VietnamDivisionType.PHUONG, "phuong_ha_huy_tap", 436),
  "W_18088" : VNWard("Xã Thạch Trung", 18088, VietnamDivisionType.XA, "xa_thach_trung", 436),
  "W_18091" : VNWard("Phường Thạch Quý", 18091, VietnamDivisionType.PHUONG, "phuong_thach_quy", 436),
  "W_18094" : VNWard("Phường Thạch Linh", 18094, VietnamDivisionType.PHUONG, "phuong_thach_linh", 436),
  "W_18097" : VNWard("Phường Văn Yên", 18097, VietnamDivisionType.PHUONG, "phuong_van_yen", 436),
  "W_18100" : VNWard("Xã Thạch Hạ", 18100, VietnamDivisionType.XA, "xa_thach_ha", 436),
  "W_18103" : VNWard("Xã Đồng Môn", 18103, VietnamDivisionType.XA, "xa_dong_mon", 436),
  "W_18109" : VNWard("Xã Thạch Hưng", 18109, VietnamDivisionType.XA, "xa_thach_hung", 436),
  "W_18112" : VNWard("Xã Thạch Bình", 18112, VietnamDivisionType.XA, "xa_thach_binh", 436),
  "W_18115" : VNWard("Phường Bắc Hồng", 18115, VietnamDivisionType.PHUONG, "phuong_bac_hong", 437),
  "W_18118" : VNWard("Phường Nam Hồng", 18118, VietnamDivisionType.PHUONG, "phuong_nam_hong", 437),
  "W_18121" : VNWard("Phường Trung Lương", 18121, VietnamDivisionType.PHUONG, "phuong_trung_luong", 437),
  "W_18124" : VNWard("Phường Đức Thuận", 18124, VietnamDivisionType.PHUONG, "phuong_duc_thuan", 437),
  "W_18127" : VNWard("Phường Đậu Liêu", 18127, VietnamDivisionType.PHUONG, "phuong_dau_lieu", 437),
  "W_18130" : VNWard("Xã Thuận Lộc", 18130, VietnamDivisionType.XA, "xa_thuan_loc", 437),
  "W_18133" : VNWard("Thị trấn Phố Châu", 18133, VietnamDivisionType.THI_TRAN, "thi_tran_pho_chau", 439),
  "W_18136" : VNWard("Thị trấn Tây Sơn", 18136, VietnamDivisionType.THI_TRAN, "thi_tran_tay_son", 439),
  "W_18139" : VNWard("Xã Sơn Hồng", 18139, VietnamDivisionType.XA, "xa_son_hong", 439),
  "W_18142" : VNWard("Xã Sơn Tiến", 18142, VietnamDivisionType.XA, "xa_son_tien", 439),
  "W_18145" : VNWard("Xã Sơn Lâm", 18145, VietnamDivisionType.XA, "xa_son_lam", 439),
  "W_18148" : VNWard("Xã Sơn Lễ", 18148, VietnamDivisionType.XA, "xa_son_le", 439),
  "W_18157" : VNWard("Xã Sơn Giang", 18157, VietnamDivisionType.XA, "xa_son_giang", 439),
  "W_18160" : VNWard("Xã Sơn Lĩnh", 18160, VietnamDivisionType.XA, "xa_son_linh", 439),
  "W_18163" : VNWard("Xã An Hòa Thịnh", 18163, VietnamDivisionType.XA, "xa_an_hoa_thinh", 439),
  "W_18172" : VNWard("Xã Sơn Tây", 18172, VietnamDivisionType.XA, "xa_son_tay", 439),
  "W_18175" : VNWard("Xã Sơn Ninh", 18175, VietnamDivisionType.XA, "xa_son_ninh", 439),
  "W_18178" : VNWard("Xã Sơn Châu", 18178, VietnamDivisionType.XA, "xa_son_chau", 439),
  "W_18181" : VNWard("Xã Tân Mỹ Hà", 18181, VietnamDivisionType.XA, "xa_tan_my_ha", 439),
  "W_18184" : VNWard("Xã Quang Diệm", 18184, VietnamDivisionType.XA, "xa_quang_diem", 439),
  "W_18187" : VNWard("Xã Sơn Trung", 18187, VietnamDivisionType.XA, "xa_son_trung", 439),
  "W_18190" : VNWard("Xã Sơn Bằng", 18190, VietnamDivisionType.XA, "xa_son_bang", 439),
  "W_18193" : VNWard("Xã Sơn Bình", 18193, VietnamDivisionType.XA, "xa_son_binh", 439),
  "W_18196" : VNWard("Xã Sơn Kim 1", 18196, VietnamDivisionType.XA, "xa_son_kim_1", 439),
  "W_18199" : VNWard("Xã Sơn Kim 2", 18199, VietnamDivisionType.XA, "xa_son_kim_2", 439),
  "W_18202" : VNWard("Xã Sơn Trà", 18202, VietnamDivisionType.XA, "xa_son_tra", 439),
  "W_18205" : VNWard("Xã Sơn Long", 18205, VietnamDivisionType.XA, "xa_son_long", 439),
  "W_18211" : VNWard("Xã Kim Hoa", 18211, VietnamDivisionType.XA, "xa_kim_hoa", 439),
  "W_18214" : VNWard("Xã Sơn Hàm", 18214, VietnamDivisionType.XA, "xa_son_ham", 439),
  "W_18217" : VNWard("Xã Sơn Phú", 18217, VietnamDivisionType.XA, "xa_son_phu", 439),
  "W_18223" : VNWard("Xã Sơn Trường", 18223, VietnamDivisionType.XA, "xa_son_truong", 439),
  "W_18229" : VNWard("Thị trấn Đức Thọ", 18229, VietnamDivisionType.THI_TRAN, "thi_tran_duc_tho", 440),
  "W_18235" : VNWard("Xã Quang Vĩnh", 18235, VietnamDivisionType.XA, "xa_quang_vinh", 440),
  "W_18241" : VNWard("Xã Tùng Châu", 18241, VietnamDivisionType.XA, "xa_tung_chau", 440),
  "W_18244" : VNWard("Xã Trường Sơn", 18244, VietnamDivisionType.XA, "xa_truong_son", 440),
  "W_18247" : VNWard("Xã Liên Minh", 18247, VietnamDivisionType.XA, "xa_lien_minh", 440),
  "W_18253" : VNWard("Xã Yên Hồ", 18253, VietnamDivisionType.XA, "xa_yen_ho", 440),
  "W_18259" : VNWard("Xã Tùng Ảnh", 18259, VietnamDivisionType.XA, "xa_tung_anh", 440),
  "W_18262" : VNWard("Xã Bùi La Nhân", 18262, VietnamDivisionType.XA, "xa_bui_la_nhan", 440),
  "W_18274" : VNWard("Xã Thanh Bình Thịnh", 18274, VietnamDivisionType.XA, "xa_thanh_binh_thinh", 440),
  "W_18277" : VNWard("Xã Lâm Trung Thủy", 18277, VietnamDivisionType.XA, "xa_lam_trung_thuy", 440),
  "W_18280" : VNWard("Xã Hòa Lạc", 18280, VietnamDivisionType.XA, "xa_hoa_lac", 440),
  "W_18283" : VNWard("Xã Tân Dân", 18283, VietnamDivisionType.XA, "xa_tan_dan", 440),
  "W_18298" : VNWard("Xã An Dũng", 18298, VietnamDivisionType.XA, "xa_an_dung", 440),
  "W_18304" : VNWard("Xã Đức Đồng", 18304, VietnamDivisionType.XA, "xa_duc_dong", 440),
  "W_18307" : VNWard("Xã Đức Lạng", 18307, VietnamDivisionType.XA, "xa_duc_lang", 440),
  "W_18310" : VNWard("Xã Tân Hương", 18310, VietnamDivisionType.XA, "xa_tan_huong", 440),
  "W_18313" : VNWard("Thị trấn Vũ Quang", 18313, VietnamDivisionType.THI_TRAN, "thi_tran_vu_quang", 441),
  "W_18316" : VNWard("Xã Ân Phú", 18316, VietnamDivisionType.XA, "xa_an_phu", 441),
  "W_18319" : VNWard("Xã Đức Giang", 18319, VietnamDivisionType.XA, "xa_duc_giang", 441),
  "W_18322" : VNWard("Xã Đức Lĩnh", 18322, VietnamDivisionType.XA, "xa_duc_linh", 441),
  "W_18325" : VNWard("Xã Thọ Điền", 18325, VietnamDivisionType.XA, "xa_tho_dien", 441),
  "W_18328" : VNWard("Xã Đức Hương", 18328, VietnamDivisionType.XA, "xa_duc_huong", 441),
  "W_18331" : VNWard("Xã Đức Bồng", 18331, VietnamDivisionType.XA, "xa_duc_bong", 441),
  "W_18334" : VNWard("Xã Đức Liên", 18334, VietnamDivisionType.XA, "xa_duc_lien", 441),
  "W_18340" : VNWard("Xã Hương Minh", 18340, VietnamDivisionType.XA, "xa_huong_minh", 441),
  "W_18343" : VNWard("Xã Quang Thọ", 18343, VietnamDivisionType.XA, "xa_quang_tho", 441),
  "W_18352" : VNWard("Thị trấn Xuân An", 18352, VietnamDivisionType.THI_TRAN, "thi_tran_xuan_an", 442),
  "W_18355" : VNWard("Xã Xuân Hội", 18355, VietnamDivisionType.XA, "xa_xuan_hoi", 442),
  "W_18358" : VNWard("Xã Đan Trường", 18358, VietnamDivisionType.XA, "xa_dan_truong", 442),
  "W_18364" : VNWard("Xã Xuân Phổ", 18364, VietnamDivisionType.XA, "xa_xuan_pho", 442),
  "W_18367" : VNWard("Xã Xuân Hải", 18367, VietnamDivisionType.XA, "xa_xuan_hai", 442),
  "W_18370" : VNWard("Xã Xuân Giang", 18370, VietnamDivisionType.XA, "xa_xuan_giang", 442),
  "W_18373" : VNWard("Thị trấn Tiên Điền", 18373, VietnamDivisionType.THI_TRAN, "thi_tran_tien_dien", 442),
  "W_18376" : VNWard("Xã Xuân Yên", 18376, VietnamDivisionType.XA, "xa_xuan_yen", 442),
  "W_18379" : VNWard("Xã Xuân Mỹ", 18379, VietnamDivisionType.XA, "xa_xuan_my", 442),
  "W_18382" : VNWard("Xã Xuân Thành", 18382, VietnamDivisionType.XA, "xa_xuan_thanh", 442),
  "W_18385" : VNWard("Xã Xuân Viên", 18385, VietnamDivisionType.XA, "xa_xuan_vien", 442),
  "W_18388" : VNWard("Xã Xuân Hồng", 18388, VietnamDivisionType.XA, "xa_xuan_hong", 442),
  "W_18391" : VNWard("Xã Cỗ Đạm", 18391, VietnamDivisionType.XA, "xa_co_dam", 442),
  "W_18394" : VNWard("Xã Xuân Liên", 18394, VietnamDivisionType.XA, "xa_xuan_lien", 442),
  "W_18397" : VNWard("Xã Xuân Lĩnh", 18397, VietnamDivisionType.XA, "xa_xuan_linh", 442),
  "W_18400" : VNWard("Xã Xuân Lam", 18400, VietnamDivisionType.XA, "xa_xuan_lam", 442),
  "W_18403" : VNWard("Xã Cương Gián", 18403, VietnamDivisionType.XA, "xa_cuong_gian", 442),
  "W_18406" : VNWard("Thị trấn Nghèn", 18406, VietnamDivisionType.THI_TRAN, "thi_tran_nghen", 443),
  "W_18415" : VNWard("Xã Thiên Lộc", 18415, VietnamDivisionType.XA, "xa_thien_loc", 443),
  "W_18418" : VNWard("Xã Thuần Thiện", 18418, VietnamDivisionType.XA, "xa_thuan_thien", 443),
  "W_18427" : VNWard("Xã Vượng Lộc", 18427, VietnamDivisionType.XA, "xa_vuong_loc", 443),
  "W_18433" : VNWard("Xã Thanh Lộc", 18433, VietnamDivisionType.XA, "xa_thanh_loc", 443),
  "W_18436" : VNWard("Xã Kim Song Trường", 18436, VietnamDivisionType.XA, "xa_kim_song_truong", 443),
  "W_18439" : VNWard("Xã Thường Nga", 18439, VietnamDivisionType.XA, "xa_thuong_nga", 443),
  "W_18445" : VNWard("Xã Tùng Lộc", 18445, VietnamDivisionType.XA, "xa_tung_loc", 443),
  "W_18454" : VNWard("Xã Phú Lộc", 18454, VietnamDivisionType.XA, "xa_phu_loc", 443),
  "W_18463" : VNWard("Xã Gia Hanh", 18463, VietnamDivisionType.XA, "xa_gia_hanh", 443),
  "W_18466" : VNWard("Xã Khánh Vĩnh Yên", 18466, VietnamDivisionType.XA, "xa_khanh_vinh_yen", 443),
  "W_18472" : VNWard("Xã Trung Lộc", 18472, VietnamDivisionType.XA, "xa_trung_loc", 443),
  "W_18475" : VNWard("Xã Xuân Lộc", 18475, VietnamDivisionType.XA, "xa_xuan_loc", 443),
  "W_18478" : VNWard("Xã Thượng Lộc", 18478, VietnamDivisionType.XA, "xa_thuong_loc", 443),
  "W_18481" : VNWard("Xã Quang Lộc", 18481, VietnamDivisionType.XA, "xa_quang_loc", 443),
  "W_18484" : VNWard("Thị trấn Đồng Lộc", 18484, VietnamDivisionType.THI_TRAN, "thi_tran_dong_loc", 443),
  "W_18487" : VNWard("Xã Mỹ Lộc", 18487, VietnamDivisionType.XA, "xa_my_loc", 443),
  "W_18490" : VNWard("Xã Sơn Lộc", 18490, VietnamDivisionType.XA, "xa_son_loc", 443),
  "W_18496" : VNWard("Thị trấn Hương Khê", 18496, VietnamDivisionType.THI_TRAN, "thi_tran_huong_khe", 444),
  "W_18499" : VNWard("Xã Điền Mỹ", 18499, VietnamDivisionType.XA, "xa_dien_my", 444),
  "W_18502" : VNWard("Xã Hà Linh", 18502, VietnamDivisionType.XA, "xa_ha_linh", 444),
  "W_18505" : VNWard("Xã Hương Thủy", 18505, VietnamDivisionType.XA, "xa_huong_thuy", 444),
  "W_18508" : VNWard("Xã Hòa Hải", 18508, VietnamDivisionType.XA, "xa_hoa_hai", 444),
  "W_18514" : VNWard("Xã Phúc Đồng", 18514, VietnamDivisionType.XA, "xa_phuc_dong", 444),
  "W_18517" : VNWard("Xã Hương Giang", 18517, VietnamDivisionType.XA, "xa_huong_giang", 444),
  "W_18520" : VNWard("Xã Lộc Yên", 18520, VietnamDivisionType.XA, "xa_loc_yen", 444),
  "W_18523" : VNWard("Xã Hương Bình", 18523, VietnamDivisionType.XA, "xa_huong_binh", 444),
  "W_18526" : VNWard("Xã Hương Long", 18526, VietnamDivisionType.XA, "xa_huong_long", 444),
  "W_18529" : VNWard("Xã Phú Gia", 18529, VietnamDivisionType.XA, "xa_phu_gia", 444),
  "W_18532" : VNWard("Xã Gia Phố", 18532, VietnamDivisionType.XA, "xa_gia_pho", 444),
  "W_18535" : VNWard("Xã Phú Phong", 18535, VietnamDivisionType.XA, "xa_phu_phong", 444),
  "W_18538" : VNWard("Xã Hương Đô", 18538, VietnamDivisionType.XA, "xa_huong_do", 444),
  "W_18541" : VNWard("Xã Hương Vĩnh", 18541, VietnamDivisionType.XA, "xa_huong_vinh", 444),
  "W_18544" : VNWard("Xã Hương Xuân", 18544, VietnamDivisionType.XA, "xa_huong_xuan", 444),
  "W_18547" : VNWard("Xã Phúc Trạch", 18547, VietnamDivisionType.XA, "xa_phuc_trach", 444),
  "W_18550" : VNWard("Xã Hương Trà", 18550, VietnamDivisionType.XA, "xa_huong_tra", 444),
  "W_18553" : VNWard("Xã Hương Trạch", 18553, VietnamDivisionType.XA, "xa_huong_trach", 444),
  "W_18556" : VNWard("Xã Hương Lâm", 18556, VietnamDivisionType.XA, "xa_huong_lam", 444),
  "W_18559" : VNWard("Xã Hương Liên", 18559, VietnamDivisionType.XA, "xa_huong_lien", 444),
  "W_18562" : VNWard("Thị trấn Thạch Hà", 18562, VietnamDivisionType.THI_TRAN, "thi_tran_thach_ha", 445),
  "W_18565" : VNWard("Xã Ngọc Sơn", 18565, VietnamDivisionType.XA, "xa_ngoc_son", 445),
  "W_18571" : VNWard("Xã Thạch Hải", 18571, VietnamDivisionType.XA, "xa_thach_hai", 445),
  "W_18586" : VNWard("Xã Thạch Kênh", 18586, VietnamDivisionType.XA, "xa_thach_kenh", 445),
  "W_18589" : VNWard("Xã Thạch Sơn", 18589, VietnamDivisionType.XA, "xa_thach_son", 445),
  "W_18592" : VNWard("Xã Thạch Liên", 18592, VietnamDivisionType.XA, "xa_thach_lien", 445),
  "W_18595" : VNWard("Xã Đỉnh Bàn", 18595, VietnamDivisionType.XA, "xa_dinh_ban", 445),
  "W_18601" : VNWard("Xã Việt Tiến", 18601, VietnamDivisionType.XA, "xa_viet_tien", 445),
  "W_18604" : VNWard("Xã Thạch Khê", 18604, VietnamDivisionType.XA, "xa_thach_khe", 445),
  "W_18607" : VNWard("Xã Thạch Long", 18607, VietnamDivisionType.XA, "xa_thach_long", 445),
  "W_18619" : VNWard("Xã Thạch Trị", 18619, VietnamDivisionType.XA, "xa_thach_tri", 445),
  "W_18622" : VNWard("Xã Thạch Lạc", 18622, VietnamDivisionType.XA, "xa_thach_lac", 445),
  "W_18625" : VNWard("Xã Thạch Ngọc", 18625, VietnamDivisionType.XA, "xa_thach_ngoc", 445),
  "W_18628" : VNWard("Xã Tượng Sơn", 18628, VietnamDivisionType.XA, "xa_tuong_son", 445),
  "W_18631" : VNWard("Xã Thạch Văn", 18631, VietnamDivisionType.XA, "xa_thach_van", 445),
  "W_18634" : VNWard("Xã Lưu Vĩnh Sơn", 18634, VietnamDivisionType.XA, "xa_luu_vinh_son", 445),
  "W_18637" : VNWard("Xã Thạch Thắng", 18637, VietnamDivisionType.XA, "xa_thach_thang", 445),
  "W_18643" : VNWard("Xã Thạch Đài", 18643, VietnamDivisionType.XA, "xa_thach_dai", 445),
  "W_18649" : VNWard("Xã Thạch Hội", 18649, VietnamDivisionType.XA, "xa_thach_hoi", 445),
  "W_18652" : VNWard("Xã Tân Lâm Hương", 18652, VietnamDivisionType.XA, "xa_tan_lam_huong", 445),
  "W_18658" : VNWard("Xã Thạch Xuân", 18658, VietnamDivisionType.XA, "xa_thach_xuan", 445),
  "W_18667" : VNWard("Xã Nam Điền", 18667, VietnamDivisionType.XA, "xa_nam_dien", 445),
  "W_18673" : VNWard("Thị trấn Cẩm Xuyên", 18673, VietnamDivisionType.THI_TRAN, "thi_tran_cam_xuyen", 446),
  "W_18676" : VNWard("Thị trấn Thiên Cầm", 18676, VietnamDivisionType.THI_TRAN, "thi_tran_thien_cam", 446),
  "W_18679" : VNWard("Xã Yên Hòa", 18679, VietnamDivisionType.XA, "xa_yen_hoa", 446),
  "W_18682" : VNWard("Xã Cẩm Dương", 18682, VietnamDivisionType.XA, "xa_cam_duong", 446),
  "W_18685" : VNWard("Xã Cẩm Bình", 18685, VietnamDivisionType.XA, "xa_cam_binh", 446),
  "W_18691" : VNWard("Xã Cẩm Vĩnh", 18691, VietnamDivisionType.XA, "xa_cam_vinh", 446),
  "W_18694" : VNWard("Xã Cẩm Thành", 18694, VietnamDivisionType.XA, "xa_cam_thanh", 446),
  "W_18697" : VNWard("Xã Cẩm Quang", 18697, VietnamDivisionType.XA, "xa_cam_quang", 446),
  "W_18706" : VNWard("Xã Cẩm Thạch", 18706, VietnamDivisionType.XA, "xa_cam_thach", 446),
  "W_18709" : VNWard("Xã Cẩm Nhượng", 18709, VietnamDivisionType.XA, "xa_cam_nhuong", 446),
  "W_18712" : VNWard("Xã Nam Phúc Thăng", 18712, VietnamDivisionType.XA, "xa_nam_phuc_thang", 446),
  "W_18715" : VNWard("Xã Cẩm Duệ", 18715, VietnamDivisionType.XA, "xa_cam_due", 446),
  "W_18721" : VNWard("Xã Cẩm Lĩnh", 18721, VietnamDivisionType.XA, "xa_cam_linh", 446),
  "W_18724" : VNWard("Xã Cẩm Quan", 18724, VietnamDivisionType.XA, "xa_cam_quan", 446),
  "W_18727" : VNWard("Xã Cẩm Hà", 18727, VietnamDivisionType.XA, "xa_cam_ha", 446),
  "W_18730" : VNWard("Xã Cẩm Lộc", 18730, VietnamDivisionType.XA, "xa_cam_loc", 446),
  "W_18733" : VNWard("Xã Cẩm Hưng", 18733, VietnamDivisionType.XA, "xa_cam_hung", 446),
  "W_18736" : VNWard("Xã Cẩm Thịnh", 18736, VietnamDivisionType.XA, "xa_cam_thinh", 446),
  "W_18739" : VNWard("Xã Cẩm Mỹ", 18739, VietnamDivisionType.XA, "xa_cam_my", 446),
  "W_18742" : VNWard("Xã Cẩm Trung", 18742, VietnamDivisionType.XA, "xa_cam_trung", 446),
  "W_18745" : VNWard("Xã Cẩm Sơn", 18745, VietnamDivisionType.XA, "xa_cam_son", 446),
  "W_18748" : VNWard("Xã Cẩm Lạc", 18748, VietnamDivisionType.XA, "xa_cam_lac", 446),
  "W_18751" : VNWard("Xã Cẩm Minh", 18751, VietnamDivisionType.XA, "xa_cam_minh", 446),
  "W_18757" : VNWard("Xã Kỳ Xuân", 18757, VietnamDivisionType.XA, "xa_ky_xuan", 447),
  "W_18760" : VNWard("Xã Kỳ Bắc", 18760, VietnamDivisionType.XA, "xa_ky_bac", 447),
  "W_18763" : VNWard("Xã Kỳ Phú", 18763, VietnamDivisionType.XA, "xa_ky_phu", 447),
  "W_18766" : VNWard("Xã Kỳ Phong", 18766, VietnamDivisionType.XA, "xa_ky_phong", 447),
  "W_18769" : VNWard("Xã Kỳ Tiến", 18769, VietnamDivisionType.XA, "xa_ky_tien", 447),
  "W_18772" : VNWard("Xã Kỳ Giang", 18772, VietnamDivisionType.XA, "xa_ky_giang", 447),
  "W_18775" : VNWard("Xã Kỳ Đồng", 18775, VietnamDivisionType.XA, "xa_ky_dong", 447),
  "W_18778" : VNWard("Xã Kỳ Khang", 18778, VietnamDivisionType.XA, "xa_ky_khang", 447),
  "W_18784" : VNWard("Xã Kỳ Văn", 18784, VietnamDivisionType.XA, "xa_ky_van", 447),
  "W_18787" : VNWard("Xã Kỳ Trung", 18787, VietnamDivisionType.XA, "xa_ky_trung", 447),
  "W_18790" : VNWard("Xã Kỳ Thọ", 18790, VietnamDivisionType.XA, "xa_ky_tho", 447),
  "W_18793" : VNWard("Xã Kỳ Tây", 18793, VietnamDivisionType.XA, "xa_ky_tay", 447),
  "W_18799" : VNWard("Xã Kỳ Thượng", 18799, VietnamDivisionType.XA, "xa_ky_thuong", 447),
  "W_18802" : VNWard("Xã Kỳ Hải", 18802, VietnamDivisionType.XA, "xa_ky_hai", 447),
  "W_18805" : VNWard("Xã Kỳ Thư", 18805, VietnamDivisionType.XA, "xa_ky_thu", 447),
  "W_18811" : VNWard("Xã Kỳ Châu", 18811, VietnamDivisionType.XA, "xa_ky_chau", 447),
  "W_18814" : VNWard("Xã Kỳ Tân", 18814, VietnamDivisionType.XA, "xa_ky_tan", 447),
  "W_18838" : VNWard("Xã Lâm Hợp", 18838, VietnamDivisionType.XA, "xa_lam_hop", 447),
  "W_18844" : VNWard("Xã Kỳ Sơn", 18844, VietnamDivisionType.XA, "xa_ky_son", 447),
  "W_18850" : VNWard("Xã Kỳ Lạc", 18850, VietnamDivisionType.XA, "xa_ky_lac", 447),
  "W_18409" : VNWard("Xã Tân Lộc", 18409, VietnamDivisionType.XA, "xa_tan_loc", 448),
  "W_18412" : VNWard("Xã Hồng Lộc", 18412, VietnamDivisionType.XA, "xa_hong_loc", 448),
  "W_18421" : VNWard("Xã Thịnh Lộc", 18421, VietnamDivisionType.XA, "xa_thinh_loc", 448),
  "W_18430" : VNWard("Xã Bình An", 18430, VietnamDivisionType.XA, "xa_binh_an", 448),
  "W_18457" : VNWard("Xã Ích Hậu", 18457, VietnamDivisionType.XA, "xa_ich_hau", 448),
  "W_18493" : VNWard("Xã Phù Lưu", 18493, VietnamDivisionType.XA, "xa_phu_luu", 448),
  "W_18568" : VNWard("Thị trấn Lộc Hà", 18568, VietnamDivisionType.THI_TRAN, "thi_tran_loc_ha", 448),
  "W_18577" : VNWard("Xã Thạch Mỹ", 18577, VietnamDivisionType.XA, "xa_thach_my", 448),
  "W_18580" : VNWard("Xã Thạch Kim", 18580, VietnamDivisionType.XA, "xa_thach_kim", 448),
  "W_18583" : VNWard("Xã Thạch Châu", 18583, VietnamDivisionType.XA, "xa_thach_chau", 448),
  "W_18598" : VNWard("Xã Hộ Độ", 18598, VietnamDivisionType.XA, "xa_ho_do", 448),
  "W_18670" : VNWard("Xã Mai Phụ", 18670, VietnamDivisionType.XA, "xa_mai_phu", 448),
  "W_18754" : VNWard("Phường Hưng Trí", 18754, VietnamDivisionType.PHUONG, "phuong_hung_tri", 449),
  "W_18781" : VNWard("Xã Kỳ Ninh", 18781, VietnamDivisionType.XA, "xa_ky_ninh", 449),
  "W_18796" : VNWard("Xã Kỳ Lợi", 18796, VietnamDivisionType.XA, "xa_ky_loi", 449),
  "W_18808" : VNWard("Xã Kỳ Hà", 18808, VietnamDivisionType.XA, "xa_ky_ha", 449),
  "W_18820" : VNWard("Phường Kỳ Trinh", 18820, VietnamDivisionType.PHUONG, "phuong_ky_trinh", 449),
  "W_18823" : VNWard("Phường Kỳ Thịnh", 18823, VietnamDivisionType.PHUONG, "phuong_ky_thinh", 449),
  "W_18829" : VNWard("Xã Kỳ Hoa", 18829, VietnamDivisionType.XA, "xa_ky_hoa", 449),
  "W_18832" : VNWard("Phường Kỳ Phương", 18832, VietnamDivisionType.PHUONG, "phuong_ky_phuong", 449),
  "W_18835" : VNWard("Phường Kỳ Long", 18835, VietnamDivisionType.PHUONG, "phuong_ky_long", 449),
  "W_18841" : VNWard("Phường Kỳ Liên", 18841, VietnamDivisionType.PHUONG, "phuong_ky_lien", 449),
  "W_18847" : VNWard("Xã Kỳ Nam", 18847, VietnamDivisionType.XA, "xa_ky_nam", 449),
  "W_18853" : VNWard("Phường Hải Thành", 18853, VietnamDivisionType.PHUONG, "phuong_hai_thanh", 450),
  "W_18856" : VNWard("Phường Đồng Phú", 18856, VietnamDivisionType.PHUONG, "phuong_dong_phu", 450),
  "W_18859" : VNWard("Phường Bắc Lý", 18859, VietnamDivisionType.PHUONG, "phuong_bac_ly", 450),
  "W_18865" : VNWard("Phường Nam Lý", 18865, VietnamDivisionType.PHUONG, "phuong_nam_ly", 450),
  "W_18868" : VNWard("Phường Đồng Hải", 18868, VietnamDivisionType.PHUONG, "phuong_dong_hai", 450),
  "W_18871" : VNWard("Phường Đồng Sơn", 18871, VietnamDivisionType.PHUONG, "phuong_dong_son", 450),
  "W_18874" : VNWard("Phường Phú Hải", 18874, VietnamDivisionType.PHUONG, "phuong_phu_hai", 450),
  "W_18877" : VNWard("Phường Bắc Nghĩa", 18877, VietnamDivisionType.PHUONG, "phuong_bac_nghia", 450),
  "W_18880" : VNWard("Phường Đức Ninh Đông", 18880, VietnamDivisionType.PHUONG, "phuong_duc_ninh_dong", 450),
  "W_18883" : VNWard("Xã Quang Phú", 18883, VietnamDivisionType.XA, "xa_quang_phu", 450),
  "W_18886" : VNWard("Xã Lộc Ninh", 18886, VietnamDivisionType.XA, "xa_loc_ninh", 450),
  "W_18889" : VNWard("Xã Bảo Ninh", 18889, VietnamDivisionType.XA, "xa_bao_ninh", 450),
  "W_18892" : VNWard("Xã Nghĩa Ninh", 18892, VietnamDivisionType.XA, "xa_nghia_ninh", 450),
  "W_18895" : VNWard("Xã Thuận Đức", 18895, VietnamDivisionType.XA, "xa_thuan_duc", 450),
  "W_18898" : VNWard("Xã Đức Ninh", 18898, VietnamDivisionType.XA, "xa_duc_ninh", 450),
  "W_18901" : VNWard("Thị trấn Quy Đạt", 18901, VietnamDivisionType.THI_TRAN, "thi_tran_quy_dat", 452),
  "W_18904" : VNWard("Xã Dân Hóa", 18904, VietnamDivisionType.XA, "xa_dan_hoa", 452),
  "W_18907" : VNWard("Xã Trọng Hóa", 18907, VietnamDivisionType.XA, "xa_trong_hoa", 452),
  "W_18910" : VNWard("Xã Hóa Phúc", 18910, VietnamDivisionType.XA, "xa_hoa_phuc", 452),
  "W_18913" : VNWard("Xã Hồng Hóa", 18913, VietnamDivisionType.XA, "xa_hong_hoa", 452),
  "W_18916" : VNWard("Xã Hóa Thanh", 18916, VietnamDivisionType.XA, "xa_hoa_thanh", 452),
  "W_18919" : VNWard("Xã Hóa Tiến", 18919, VietnamDivisionType.XA, "xa_hoa_tien", 452),
  "W_18922" : VNWard("Xã Hóa Hợp", 18922, VietnamDivisionType.XA, "xa_hoa_hop", 452),
  "W_18925" : VNWard("Xã Xuân Hóa", 18925, VietnamDivisionType.XA, "xa_xuan_hoa", 452),
  "W_18928" : VNWard("Xã Yên Hóa", 18928, VietnamDivisionType.XA, "xa_yen_hoa", 452),
  "W_18931" : VNWard("Xã Minh Hóa", 18931, VietnamDivisionType.XA, "xa_minh_hoa", 452),
  "W_18934" : VNWard("Xã Tân Hóa", 18934, VietnamDivisionType.XA, "xa_tan_hoa", 452),
  "W_18937" : VNWard("Xã Hóa Sơn", 18937, VietnamDivisionType.XA, "xa_hoa_son", 452),
  "W_18943" : VNWard("Xã Trung Hóa", 18943, VietnamDivisionType.XA, "xa_trung_hoa", 452),
  "W_18946" : VNWard("Xã Thượng Hóa", 18946, VietnamDivisionType.XA, "xa_thuong_hoa", 452),
  "W_18949" : VNWard("Thị trấn Đồng Lê", 18949, VietnamDivisionType.THI_TRAN, "thi_tran_dong_le", 453),
  "W_18952" : VNWard("Xã Hương Hóa", 18952, VietnamDivisionType.XA, "xa_huong_hoa", 453),
  "W_18955" : VNWard("Xã Kim Hóa", 18955, VietnamDivisionType.XA, "xa_kim_hoa", 453),
  "W_18958" : VNWard("Xã Thanh Hóa", 18958, VietnamDivisionType.XA, "xa_thanh_hoa", 453),
  "W_18961" : VNWard("Xã Thanh Thạch", 18961, VietnamDivisionType.XA, "xa_thanh_thach", 453),
  "W_18964" : VNWard("Xã Thuận Hóa", 18964, VietnamDivisionType.XA, "xa_thuan_hoa", 453),
  "W_18967" : VNWard("Xã Lâm Hóa", 18967, VietnamDivisionType.XA, "xa_lam_hoa", 453),
  "W_18970" : VNWard("Xã Lê Hóa", 18970, VietnamDivisionType.XA, "xa_le_hoa", 453),
  "W_18973" : VNWard("Xã Sơn Hóa", 18973, VietnamDivisionType.XA, "xa_son_hoa", 453),
  "W_18976" : VNWard("Xã Đồng Hóa", 18976, VietnamDivisionType.XA, "xa_dong_hoa", 453),
  "W_18979" : VNWard("Xã Ngư Hóa", 18979, VietnamDivisionType.XA, "xa_ngu_hoa", 453),
  "W_18985" : VNWard("Xã Thạch Hóa", 18985, VietnamDivisionType.XA, "xa_thach_hoa", 453),
  "W_18988" : VNWard("Xã Đức Hóa", 18988, VietnamDivisionType.XA, "xa_duc_hoa", 453),
  "W_18991" : VNWard("Xã Phong Hóa", 18991, VietnamDivisionType.XA, "xa_phong_hoa", 453),
  "W_18994" : VNWard("Xã Mai Hóa", 18994, VietnamDivisionType.XA, "xa_mai_hoa", 453),
  "W_18997" : VNWard("Xã Tiến Hóa", 18997, VietnamDivisionType.XA, "xa_tien_hoa", 453),
  "W_19000" : VNWard("Xã Châu Hóa", 19000, VietnamDivisionType.XA, "xa_chau_hoa", 453),
  "W_19003" : VNWard("Xã Cao Quảng", 19003, VietnamDivisionType.XA, "xa_cao_quang", 453),
  "W_19006" : VNWard("Xã Văn Hóa", 19006, VietnamDivisionType.XA, "xa_van_hoa", 453),
  "W_19012" : VNWard("Xã Quảng Hợp", 19012, VietnamDivisionType.XA, "xa_quang_hop", 454),
  "W_19015" : VNWard("Xã Quảng Kim", 19015, VietnamDivisionType.XA, "xa_quang_kim", 454),
  "W_19018" : VNWard("Xã Quảng Đông", 19018, VietnamDivisionType.XA, "xa_quang_dong", 454),
  "W_19021" : VNWard("Xã Quảng Phú", 19021, VietnamDivisionType.XA, "xa_quang_phu", 454),
  "W_19024" : VNWard("Xã Quảng Châu", 19024, VietnamDivisionType.XA, "xa_quang_chau", 454),
  "W_19027" : VNWard("Xã Quảng Thạch", 19027, VietnamDivisionType.XA, "xa_quang_thach", 454),
  "W_19030" : VNWard("Xã Quảng Lưu", 19030, VietnamDivisionType.XA, "xa_quang_luu", 454),
  "W_19033" : VNWard("Xã Quảng Tùng", 19033, VietnamDivisionType.XA, "xa_quang_tung", 454),
  "W_19036" : VNWard("Xã Cảnh Dương", 19036, VietnamDivisionType.XA, "xa_canh_duong", 454),
  "W_19039" : VNWard("Xã Quảng Tiến", 19039, VietnamDivisionType.XA, "xa_quang_tien", 454),
  "W_19042" : VNWard("Xã Quảng Hưng", 19042, VietnamDivisionType.XA, "xa_quang_hung", 454),
  "W_19045" : VNWard("Xã Quảng Xuân", 19045, VietnamDivisionType.XA, "xa_quang_xuan", 454),
  "W_19048" : VNWard("Xã Cảnh Hóa", 19048, VietnamDivisionType.XA, "xa_canh_hoa", 454),
  "W_19051" : VNWard("Xã Liên Trường", 19051, VietnamDivisionType.XA, "xa_lien_truong", 454),
  "W_19057" : VNWard("Xã Quảng Phương", 19057, VietnamDivisionType.XA, "xa_quang_phuong", 454),
  "W_19063" : VNWard("Xã Phù Hóa", 19063, VietnamDivisionType.XA, "xa_phu_hoa", 454),
  "W_19072" : VNWard("Xã Quảng Thanh", 19072, VietnamDivisionType.XA, "xa_quang_thanh", 454),
  "W_19111" : VNWard("Thị trấn Hoàn Lão", 19111, VietnamDivisionType.THI_TRAN, "thi_tran_hoan_lao", 455),
  "W_19114" : VNWard("Thị trấn NT Việt Trung", 19114, VietnamDivisionType.THI_TRAN, "thi_tran_nt_viet_trung", 455),
  "W_19117" : VNWard("Xã Xuân Trạch", 19117, VietnamDivisionType.XA, "xa_xuan_trach", 455),
  "W_19120" : VNWard("Xã Mỹ Trạch", 19120, VietnamDivisionType.XA, "xa_my_trach", 455),
  "W_19123" : VNWard("Xã Hạ Trạch", 19123, VietnamDivisionType.XA, "xa_ha_trach", 455),
  "W_19126" : VNWard("Xã Bắc Trạch", 19126, VietnamDivisionType.XA, "xa_bac_trach", 455),
  "W_19129" : VNWard("Xã Lâm Trạch", 19129, VietnamDivisionType.XA, "xa_lam_trach", 455),
  "W_19132" : VNWard("Xã Thanh Trạch", 19132, VietnamDivisionType.XA, "xa_thanh_trach", 455),
  "W_19135" : VNWard("Xã Liên Trạch", 19135, VietnamDivisionType.XA, "xa_lien_trach", 455),
  "W_19138" : VNWard("Xã Phúc Trạch", 19138, VietnamDivisionType.XA, "xa_phuc_trach", 455),
  "W_19141" : VNWard("Xã Cự Nẫm", 19141, VietnamDivisionType.XA, "xa_cu_nam", 455),
  "W_19144" : VNWard("Xã Hải Phú", 19144, VietnamDivisionType.XA, "xa_hai_phu", 455),
  "W_19147" : VNWard("Xã Thượng Trạch", 19147, VietnamDivisionType.XA, "xa_thuong_trach", 455),
  "W_19150" : VNWard("Xã Sơn Lộc", 19150, VietnamDivisionType.XA, "xa_son_loc", 455),
  "W_19156" : VNWard("Xã Hưng Trạch", 19156, VietnamDivisionType.XA, "xa_hung_trach", 455),
  "W_19159" : VNWard("Xã Đồng Trạch", 19159, VietnamDivisionType.XA, "xa_dong_trach", 455),
  "W_19162" : VNWard("Xã Đức Trạch", 19162, VietnamDivisionType.XA, "xa_duc_trach", 455),
  "W_19165" : VNWard("Thị trấn Phong Nha", 19165, VietnamDivisionType.THI_TRAN, "thi_tran_phong_nha", 455),
  "W_19168" : VNWard("Xã Vạn Trạch", 19168, VietnamDivisionType.XA, "xa_van_trach", 455),
  "W_19174" : VNWard("Xã Phú Định", 19174, VietnamDivisionType.XA, "xa_phu_dinh", 455),
  "W_19177" : VNWard("Xã Trung Trạch", 19177, VietnamDivisionType.XA, "xa_trung_trach", 455),
  "W_19180" : VNWard("Xã Tây Trạch", 19180, VietnamDivisionType.XA, "xa_tay_trach", 455),
  "W_19183" : VNWard("Xã Hòa Trạch", 19183, VietnamDivisionType.XA, "xa_hoa_trach", 455),
  "W_19186" : VNWard("Xã Đại Trạch", 19186, VietnamDivisionType.XA, "xa_dai_trach", 455),
  "W_19189" : VNWard("Xã Nhân Trạch", 19189, VietnamDivisionType.XA, "xa_nhan_trach", 455),
  "W_19192" : VNWard("Xã Tân Trạch", 19192, VietnamDivisionType.XA, "xa_tan_trach", 455),
  "W_19195" : VNWard("Xã Nam Trạch", 19195, VietnamDivisionType.XA, "xa_nam_trach", 455),
  "W_19198" : VNWard("Xã Lý Trạch", 19198, VietnamDivisionType.XA, "xa_ly_trach", 455),
  "W_19201" : VNWard("Thị trấn Quán Hàu", 19201, VietnamDivisionType.THI_TRAN, "thi_tran_quan_hau", 456),
  "W_19204" : VNWard("Xã Trường Sơn", 19204, VietnamDivisionType.XA, "xa_truong_son", 456),
  "W_19207" : VNWard("Xã Lương Ninh", 19207, VietnamDivisionType.XA, "xa_luong_ninh", 456),
  "W_19210" : VNWard("Xã Vĩnh Ninh", 19210, VietnamDivisionType.XA, "xa_vinh_ninh", 456),
  "W_19213" : VNWard("Xã Võ Ninh", 19213, VietnamDivisionType.XA, "xa_vo_ninh", 456),
  "W_19216" : VNWard("Xã Hải Ninh", 19216, VietnamDivisionType.XA, "xa_hai_ninh", 456),
  "W_19219" : VNWard("Xã Hàm Ninh", 19219, VietnamDivisionType.XA, "xa_ham_ninh", 456),
  "W_19222" : VNWard("Xã Duy Ninh", 19222, VietnamDivisionType.XA, "xa_duy_ninh", 456),
  "W_19225" : VNWard("Xã Gia Ninh", 19225, VietnamDivisionType.XA, "xa_gia_ninh", 456),
  "W_19228" : VNWard("Xã Trường Xuân", 19228, VietnamDivisionType.XA, "xa_truong_xuan", 456),
  "W_19231" : VNWard("Xã Hiền Ninh", 19231, VietnamDivisionType.XA, "xa_hien_ninh", 456),
  "W_19234" : VNWard("Xã Tân Ninh", 19234, VietnamDivisionType.XA, "xa_tan_ninh", 456),
  "W_19237" : VNWard("Xã Xuân Ninh", 19237, VietnamDivisionType.XA, "xa_xuan_ninh", 456),
  "W_19240" : VNWard("Xã An Ninh", 19240, VietnamDivisionType.XA, "xa_an_ninh", 456),
  "W_19243" : VNWard("Xã Vạn Ninh", 19243, VietnamDivisionType.XA, "xa_van_ninh", 456),
  "W_19246" : VNWard("Thị trấn NT Lệ Ninh", 19246, VietnamDivisionType.THI_TRAN, "thi_tran_nt_le_ninh", 457),
  "W_19249" : VNWard("Thị trấn Kiến Giang", 19249, VietnamDivisionType.THI_TRAN, "thi_tran_kien_giang", 457),
  "W_19252" : VNWard("Xã Hồng Thủy", 19252, VietnamDivisionType.XA, "xa_hong_thuy", 457),
  "W_19255" : VNWard("Xã Ngư Thủy Bắc", 19255, VietnamDivisionType.XA, "xa_ngu_thuy_bac", 457),
  "W_19258" : VNWard("Xã Hoa Thủy", 19258, VietnamDivisionType.XA, "xa_hoa_thuy", 457),
  "W_19261" : VNWard("Xã Thanh Thủy", 19261, VietnamDivisionType.XA, "xa_thanh_thuy", 457),
  "W_19264" : VNWard("Xã An Thủy", 19264, VietnamDivisionType.XA, "xa_an_thuy", 457),
  "W_19267" : VNWard("Xã Phong Thủy", 19267, VietnamDivisionType.XA, "xa_phong_thuy", 457),
  "W_19270" : VNWard("Xã Cam Thủy", 19270, VietnamDivisionType.XA, "xa_cam_thuy", 457),
  "W_19273" : VNWard("Xã Ngân Thủy", 19273, VietnamDivisionType.XA, "xa_ngan_thuy", 457),
  "W_19276" : VNWard("Xã Sơn Thủy", 19276, VietnamDivisionType.XA, "xa_son_thuy", 457),
  "W_19279" : VNWard("Xã Lộc Thủy", 19279, VietnamDivisionType.XA, "xa_loc_thuy", 457),
  "W_19285" : VNWard("Xã Liên Thủy", 19285, VietnamDivisionType.XA, "xa_lien_thuy", 457),
  "W_19288" : VNWard("Xã Hưng Thủy", 19288, VietnamDivisionType.XA, "xa_hung_thuy", 457),
  "W_19291" : VNWard("Xã Dương Thủy", 19291, VietnamDivisionType.XA, "xa_duong_thuy", 457),
  "W_19294" : VNWard("Xã Tân Thủy", 19294, VietnamDivisionType.XA, "xa_tan_thuy", 457),
  "W_19297" : VNWard("Xã Phú Thủy", 19297, VietnamDivisionType.XA, "xa_phu_thuy", 457),
  "W_19300" : VNWard("Xã Xuân Thủy", 19300, VietnamDivisionType.XA, "xa_xuan_thuy", 457),
  "W_19303" : VNWard("Xã Mỹ Thủy", 19303, VietnamDivisionType.XA, "xa_my_thuy", 457),
  "W_19306" : VNWard("Xã Ngư Thủy", 19306, VietnamDivisionType.XA, "xa_ngu_thuy", 457),
  "W_19309" : VNWard("Xã Mai Thủy", 19309, VietnamDivisionType.XA, "xa_mai_thuy", 457),
  "W_19312" : VNWard("Xã Sen Thủy", 19312, VietnamDivisionType.XA, "xa_sen_thuy", 457),
  "W_19315" : VNWard("Xã Thái Thủy", 19315, VietnamDivisionType.XA, "xa_thai_thuy", 457),
  "W_19318" : VNWard("Xã Kim Thủy", 19318, VietnamDivisionType.XA, "xa_kim_thuy", 457),
  "W_19321" : VNWard("Xã Trường Thủy", 19321, VietnamDivisionType.XA, "xa_truong_thuy", 457),
  "W_19327" : VNWard("Xã Lâm Thủy", 19327, VietnamDivisionType.XA, "xa_lam_thuy", 457),
  "W_19009" : VNWard("Phường Ba Đồn", 19009, VietnamDivisionType.PHUONG, "phuong_ba_don", 458),
  "W_19060" : VNWard("Phường Quảng Long", 19060, VietnamDivisionType.PHUONG, "phuong_quang_long", 458),
  "W_19066" : VNWard("Phường Quảng Thọ", 19066, VietnamDivisionType.PHUONG, "phuong_quang_tho", 458),
  "W_19069" : VNWard("Xã Quảng Tiên", 19069, VietnamDivisionType.XA, "xa_quang_tien", 458),
  "W_19075" : VNWard("Xã Quảng Trung", 19075, VietnamDivisionType.XA, "xa_quang_trung", 458),
  "W_19078" : VNWard("Phường Quảng Phong", 19078, VietnamDivisionType.PHUONG, "phuong_quang_phong", 458),
  "W_19081" : VNWard("Phường Quảng Thuận", 19081, VietnamDivisionType.PHUONG, "phuong_quang_thuan", 458),
  "W_19084" : VNWard("Xã Quảng Tân", 19084, VietnamDivisionType.XA, "xa_quang_tan", 458),
  "W_19087" : VNWard("Xã Quảng Hải", 19087, VietnamDivisionType.XA, "xa_quang_hai", 458),
  "W_19090" : VNWard("Xã Quảng Sơn", 19090, VietnamDivisionType.XA, "xa_quang_son", 458),
  "W_19093" : VNWard("Xã Quảng Lộc", 19093, VietnamDivisionType.XA, "xa_quang_loc", 458),
  "W_19096" : VNWard("Xã Quảng Thủy", 19096, VietnamDivisionType.XA, "xa_quang_thuy", 458),
  "W_19099" : VNWard("Xã Quảng Văn", 19099, VietnamDivisionType.XA, "xa_quang_van", 458),
  "W_19102" : VNWard("Phường Quảng Phúc", 19102, VietnamDivisionType.PHUONG, "phuong_quang_phuc", 458),
  "W_19105" : VNWard("Xã Quảng Hòa", 19105, VietnamDivisionType.XA, "xa_quang_hoa", 458),
  "W_19108" : VNWard("Xã Quảng Minh", 19108, VietnamDivisionType.XA, "xa_quang_minh", 458),
  "W_19330" : VNWard("Phường Đông Giang", 19330, VietnamDivisionType.PHUONG, "phuong_dong_giang", 461),
  "W_19333" : VNWard("Phường 1", 19333, VietnamDivisionType.PHUONG, "phuong_1", 461),
  "W_19336" : VNWard("Phường Đông Lễ", 19336, VietnamDivisionType.PHUONG, "phuong_dong_le", 461),
  "W_19339" : VNWard("Phường Đông Thanh", 19339, VietnamDivisionType.PHUONG, "phuong_dong_thanh", 461),
  "W_19342" : VNWard("Phường 2", 19342, VietnamDivisionType.PHUONG, "phuong_2", 461),
  "W_19345" : VNWard("Phường 4", 19345, VietnamDivisionType.PHUONG, "phuong_4", 461),
  "W_19348" : VNWard("Phường 5", 19348, VietnamDivisionType.PHUONG, "phuong_5", 461),
  "W_19351" : VNWard("Phường Đông Lương", 19351, VietnamDivisionType.PHUONG, "phuong_dong_luong", 461),
  "W_19354" : VNWard("Phường 3", 19354, VietnamDivisionType.PHUONG, "phuong_3", 461),
  "W_19357" : VNWard("Phường 1", 19357, VietnamDivisionType.PHUONG, "phuong_1", 462),
  "W_19358" : VNWard("Phường An Đôn", 19358, VietnamDivisionType.PHUONG, "phuong_an_don", 462),
  "W_19360" : VNWard("Phường 2", 19360, VietnamDivisionType.PHUONG, "phuong_2", 462),
  "W_19361" : VNWard("Phường 3", 19361, VietnamDivisionType.PHUONG, "phuong_3", 462),
  "W_19705" : VNWard("Xã Hải Lệ", 19705, VietnamDivisionType.XA, "xa_hai_le", 462),
  "W_19363" : VNWard("Thị trấn Hồ Xá", 19363, VietnamDivisionType.THI_TRAN, "thi_tran_ho_xa", 464),
  "W_19366" : VNWard("Thị trấn Bến Quan", 19366, VietnamDivisionType.THI_TRAN, "thi_tran_ben_quan", 464),
  "W_19369" : VNWard("Xã Vĩnh Thái", 19369, VietnamDivisionType.XA, "xa_vinh_thai", 464),
  "W_19372" : VNWard("Xã Vĩnh Tú", 19372, VietnamDivisionType.XA, "xa_vinh_tu", 464),
  "W_19375" : VNWard("Xã Vĩnh Chấp", 19375, VietnamDivisionType.XA, "xa_vinh_chap", 464),
  "W_19378" : VNWard("Xã Trung Nam", 19378, VietnamDivisionType.XA, "xa_trung_nam", 464),
  "W_19384" : VNWard("Xã Kim Thạch", 19384, VietnamDivisionType.XA, "xa_kim_thach", 464),
  "W_19387" : VNWard("Xã Vĩnh Long", 19387, VietnamDivisionType.XA, "xa_vinh_long", 464),
  "W_19393" : VNWard("Xã Vĩnh Khê", 19393, VietnamDivisionType.XA, "xa_vinh_khe", 464),
  "W_19396" : VNWard("Xã Vĩnh Hòa", 19396, VietnamDivisionType.XA, "xa_vinh_hoa", 464),
  "W_19402" : VNWard("Xã Vĩnh Thủy", 19402, VietnamDivisionType.XA, "xa_vinh_thuy", 464),
  "W_19405" : VNWard("Xã Vĩnh Lâm", 19405, VietnamDivisionType.XA, "xa_vinh_lam", 464),
  "W_19408" : VNWard("Xã Hiền Thành", 19408, VietnamDivisionType.XA, "xa_hien_thanh", 464),
  "W_19414" : VNWard("Thị trấn Cửa Tùng", 19414, VietnamDivisionType.THI_TRAN, "thi_tran_cua_tung", 464),
  "W_19417" : VNWard("Xã Vĩnh Hà", 19417, VietnamDivisionType.XA, "xa_vinh_ha", 464),
  "W_19420" : VNWard("Xã Vĩnh Sơn", 19420, VietnamDivisionType.XA, "xa_vinh_son", 464),
  "W_19423" : VNWard("Xã Vĩnh Giang", 19423, VietnamDivisionType.XA, "xa_vinh_giang", 464),
  "W_19426" : VNWard("Xã Vĩnh Ô", 19426, VietnamDivisionType.XA, "xa_vinh_o", 464),
  "W_19429" : VNWard("Thị trấn Khe Sanh", 19429, VietnamDivisionType.THI_TRAN, "thi_tran_khe_sanh", 465),
  "W_19432" : VNWard("Thị trấn Lao Bảo", 19432, VietnamDivisionType.THI_TRAN, "thi_tran_lao_bao", 465),
  "W_19435" : VNWard("Xã Hướng Lập", 19435, VietnamDivisionType.XA, "xa_huong_lap", 465),
  "W_19438" : VNWard("Xã Hướng Việt", 19438, VietnamDivisionType.XA, "xa_huong_viet", 465),
  "W_19441" : VNWard("Xã Hướng Phùng", 19441, VietnamDivisionType.XA, "xa_huong_phung", 465),
  "W_19444" : VNWard("Xã Hướng Sơn", 19444, VietnamDivisionType.XA, "xa_huong_son", 465),
  "W_19447" : VNWard("Xã Hướng Linh", 19447, VietnamDivisionType.XA, "xa_huong_linh", 465),
  "W_19450" : VNWard("Xã Tân Hợp", 19450, VietnamDivisionType.XA, "xa_tan_hop", 465),
  "W_19453" : VNWard("Xã Hướng Tân", 19453, VietnamDivisionType.XA, "xa_huong_tan", 465),
  "W_19456" : VNWard("Xã Tân Thành", 19456, VietnamDivisionType.XA, "xa_tan_thanh", 465),
  "W_19459" : VNWard("Xã Tân Long", 19459, VietnamDivisionType.XA, "xa_tan_long", 465),
  "W_19462" : VNWard("Xã Tân Lập", 19462, VietnamDivisionType.XA, "xa_tan_lap", 465),
  "W_19465" : VNWard("Xã Tân Liên", 19465, VietnamDivisionType.XA, "xa_tan_lien", 465),
  "W_19468" : VNWard("Xã Húc", 19468, VietnamDivisionType.XA, "xa_huc", 465),
  "W_19471" : VNWard("Xã Thuận", 19471, VietnamDivisionType.XA, "xa_thuan", 465),
  "W_19474" : VNWard("Xã Hướng Lộc", 19474, VietnamDivisionType.XA, "xa_huong_loc", 465),
  "W_19477" : VNWard("Xã Ba Tầng", 19477, VietnamDivisionType.XA, "xa_ba_tang", 465),
  "W_19480" : VNWard("Xã Thanh", 19480, VietnamDivisionType.XA, "xa_thanh", 465),
  "W_19483" : VNWard("Xã A Dơi", 19483, VietnamDivisionType.XA, "xa_a_doi", 465),
  "W_19489" : VNWard("Xã Lìa", 19489, VietnamDivisionType.XA, "xa_lia", 465),
  "W_19492" : VNWard("Xã Xy", 19492, VietnamDivisionType.XA, "xa_xy", 465),
  "W_19495" : VNWard("Thị trấn Gio Linh", 19495, VietnamDivisionType.THI_TRAN, "thi_tran_gio_linh", 466),
  "W_19496" : VNWard("Thị trấn Cửa Việt", 19496, VietnamDivisionType.THI_TRAN, "thi_tran_cua_viet", 466),
  "W_19498" : VNWard("Xã Trung Giang", 19498, VietnamDivisionType.XA, "xa_trung_giang", 466),
  "W_19501" : VNWard("Xã Trung Hải", 19501, VietnamDivisionType.XA, "xa_trung_hai", 466),
  "W_19504" : VNWard("Xã Trung Sơn", 19504, VietnamDivisionType.XA, "xa_trung_son", 466),
  "W_19507" : VNWard("Xã Phong Bình", 19507, VietnamDivisionType.XA, "xa_phong_binh", 466),
  "W_19510" : VNWard("Xã Gio Mỹ", 19510, VietnamDivisionType.XA, "xa_gio_my", 466),
  "W_19519" : VNWard("Xã Gio Hải", 19519, VietnamDivisionType.XA, "xa_gio_hai", 466),
  "W_19522" : VNWard("Xã Gio An", 19522, VietnamDivisionType.XA, "xa_gio_an", 466),
  "W_19525" : VNWard("Xã Gio Châu", 19525, VietnamDivisionType.XA, "xa_gio_chau", 466),
  "W_19531" : VNWard("Xã Gio Việt", 19531, VietnamDivisionType.XA, "xa_gio_viet", 466),
  "W_19534" : VNWard("Xã Linh Trường", 19534, VietnamDivisionType.XA, "xa_linh_truong", 466),
  "W_19537" : VNWard("Xã Gio Sơn", 19537, VietnamDivisionType.XA, "xa_gio_son", 466),
  "W_19543" : VNWard("Xã Gio Mai", 19543, VietnamDivisionType.XA, "xa_gio_mai", 466),
  "W_19546" : VNWard("Xã Hải Thái", 19546, VietnamDivisionType.XA, "xa_hai_thai", 466),
  "W_19549" : VNWard("Xã Linh Hải", 19549, VietnamDivisionType.XA, "xa_linh_hai", 466),
  "W_19552" : VNWard("Xã Gio Quang", 19552, VietnamDivisionType.XA, "xa_gio_quang", 466),
  "W_19555" : VNWard("Thị trấn Krông Klang", 19555, VietnamDivisionType.THI_TRAN, "thi_tran_krong_klang", 467),
  "W_19558" : VNWard("Xã Mò Ó", 19558, VietnamDivisionType.XA, "xa_mo_o", 467),
  "W_19561" : VNWard("Xã Hướng Hiệp", 19561, VietnamDivisionType.XA, "xa_huong_hiep", 467),
  "W_19564" : VNWard("Xã Đa Krông", 19564, VietnamDivisionType.XA, "xa_da_krong", 467),
  "W_19567" : VNWard("Xã Triệu Nguyên", 19567, VietnamDivisionType.XA, "xa_trieu_nguyen", 467),
  "W_19570" : VNWard("Xã Ba Lòng", 19570, VietnamDivisionType.XA, "xa_ba_long", 467),
  "W_19576" : VNWard("Xã Ba Nang", 19576, VietnamDivisionType.XA, "xa_ba_nang", 467),
  "W_19579" : VNWard("Xã Tà Long", 19579, VietnamDivisionType.XA, "xa_ta_long", 467),
  "W_19582" : VNWard("Xã Húc Nghì", 19582, VietnamDivisionType.XA, "xa_huc_nghi", 467),
  "W_19585" : VNWard("Xã A Vao", 19585, VietnamDivisionType.XA, "xa_a_vao", 467),
  "W_19588" : VNWard("Xã Tà Rụt", 19588, VietnamDivisionType.XA, "xa_ta_rut", 467),
  "W_19591" : VNWard("Xã A Bung", 19591, VietnamDivisionType.XA, "xa_a_bung", 467),
  "W_19594" : VNWard("Xã A Ngo", 19594, VietnamDivisionType.XA, "xa_a_ngo", 467),
  "W_19597" : VNWard("Thị trấn Cam Lộ", 19597, VietnamDivisionType.THI_TRAN, "thi_tran_cam_lo", 468),
  "W_19600" : VNWard("Xã Cam Tuyền", 19600, VietnamDivisionType.XA, "xa_cam_tuyen", 468),
  "W_19603" : VNWard("Xã Thanh An", 19603, VietnamDivisionType.XA, "xa_thanh_an", 468),
  "W_19606" : VNWard("Xã Cam Thủy", 19606, VietnamDivisionType.XA, "xa_cam_thuy", 468),
  "W_19612" : VNWard("Xã Cam Thành", 19612, VietnamDivisionType.XA, "xa_cam_thanh", 468),
  "W_19615" : VNWard("Xã Cam Hiếu", 19615, VietnamDivisionType.XA, "xa_cam_hieu", 468),
  "W_19618" : VNWard("Xã Cam Chính", 19618, VietnamDivisionType.XA, "xa_cam_chinh", 468),
  "W_19621" : VNWard("Xã Cam Nghĩa", 19621, VietnamDivisionType.XA, "xa_cam_nghia", 468),
  "W_19624" : VNWard("Thị trấn Ái Tử", 19624, VietnamDivisionType.THI_TRAN, "thi_tran_ai_tu", 469),
  "W_19627" : VNWard("Xã Triệu An", 19627, VietnamDivisionType.XA, "xa_trieu_an", 469),
  "W_19630" : VNWard("Xã Triệu Vân", 19630, VietnamDivisionType.XA, "xa_trieu_van", 469),
  "W_19633" : VNWard("Xã Triệu Phước", 19633, VietnamDivisionType.XA, "xa_trieu_phuoc", 469),
  "W_19636" : VNWard("Xã Triệu Độ", 19636, VietnamDivisionType.XA, "xa_trieu_do", 469),
  "W_19639" : VNWard("Xã Triệu Trạch", 19639, VietnamDivisionType.XA, "xa_trieu_trach", 469),
  "W_19642" : VNWard("Xã Triệu Thuận", 19642, VietnamDivisionType.XA, "xa_trieu_thuan", 469),
  "W_19645" : VNWard("Xã Triệu Đại", 19645, VietnamDivisionType.XA, "xa_trieu_dai", 469),
  "W_19648" : VNWard("Xã Triệu Hòa", 19648, VietnamDivisionType.XA, "xa_trieu_hoa", 469),
  "W_19651" : VNWard("Xã Triệu Lăng", 19651, VietnamDivisionType.XA, "xa_trieu_lang", 469),
  "W_19654" : VNWard("Xã Triệu Sơn", 19654, VietnamDivisionType.XA, "xa_trieu_son", 469),
  "W_19657" : VNWard("Xã Triệu Long", 19657, VietnamDivisionType.XA, "xa_trieu_long", 469),
  "W_19660" : VNWard("Xã Triệu Tài", 19660, VietnamDivisionType.XA, "xa_trieu_tai", 469),
  "W_19666" : VNWard("Xã Triệu Trung", 19666, VietnamDivisionType.XA, "xa_trieu_trung", 469),
  "W_19669" : VNWard("Xã Triệu Ái", 19669, VietnamDivisionType.XA, "xa_trieu_ai", 469),
  "W_19672" : VNWard("Xã Triệu Thượng", 19672, VietnamDivisionType.XA, "xa_trieu_thuong", 469),
  "W_19675" : VNWard("Xã Triệu Giang", 19675, VietnamDivisionType.XA, "xa_trieu_giang", 469),
  "W_19678" : VNWard("Xã Triệu Thành", 19678, VietnamDivisionType.XA, "xa_trieu_thanh", 469),
  "W_19681" : VNWard("Thị trấn Diên Sanh", 19681, VietnamDivisionType.THI_TRAN, "thi_tran_dien_sanh", 470),
  "W_19684" : VNWard("Xã Hải An", 19684, VietnamDivisionType.XA, "xa_hai_an", 470),
  "W_19687" : VNWard("Xã Hải Ba", 19687, VietnamDivisionType.XA, "xa_hai_ba", 470),
  "W_19693" : VNWard("Xã Hải Quy", 19693, VietnamDivisionType.XA, "xa_hai_quy", 470),
  "W_19696" : VNWard("Xã Hải Quế", 19696, VietnamDivisionType.XA, "xa_hai_que", 470),
  "W_19699" : VNWard("Xã Hải Hưng", 19699, VietnamDivisionType.XA, "xa_hai_hung", 470),
  "W_19702" : VNWard("Xã Hải Phú", 19702, VietnamDivisionType.XA, "xa_hai_phu", 470),
  "W_19708" : VNWard("Xã Hải Thượng", 19708, VietnamDivisionType.XA, "xa_hai_thuong", 470),
  "W_19711" : VNWard("Xã Hải Dương", 19711, VietnamDivisionType.XA, "xa_hai_duong", 470),
  "W_19714" : VNWard("Xã Hải Định", 19714, VietnamDivisionType.XA, "xa_hai_dinh", 470),
  "W_19717" : VNWard("Xã Hải Lâm", 19717, VietnamDivisionType.XA, "xa_hai_lam", 470),
  "W_19726" : VNWard("Xã Hải Phong", 19726, VietnamDivisionType.XA, "xa_hai_phong", 470),
  "W_19729" : VNWard("Xã Hải Trường", 19729, VietnamDivisionType.XA, "xa_hai_truong", 470),
  "W_19735" : VNWard("Xã Hải Sơn", 19735, VietnamDivisionType.XA, "xa_hai_son", 470),
  "W_19738" : VNWard("Xã Hải Chánh", 19738, VietnamDivisionType.XA, "xa_hai_chanh", 470),
  "W_19741" : VNWard("Xã Hải Khê", 19741, VietnamDivisionType.XA, "xa_hai_khe", 470),
  "W_19744" : VNWard("Phường Phú Thuận", 19744, VietnamDivisionType.PHUONG, "phuong_phu_thuan", 474),
  "W_19747" : VNWard("Phường Phú Bình", 19747, VietnamDivisionType.PHUONG, "phuong_phu_binh", 474),
  "W_19750" : VNWard("Phường Tây Lộc", 19750, VietnamDivisionType.PHUONG, "phuong_tay_loc", 474),
  "W_19753" : VNWard("Phường Thuận Lộc", 19753, VietnamDivisionType.PHUONG, "phuong_thuan_loc", 474),
  "W_19756" : VNWard("Phường Phú Hiệp", 19756, VietnamDivisionType.PHUONG, "phuong_phu_hiep", 474),
  "W_19759" : VNWard("Phường Phú Hậu", 19759, VietnamDivisionType.PHUONG, "phuong_phu_hau", 474),
  "W_19762" : VNWard("Phường Thuận Hòa", 19762, VietnamDivisionType.PHUONG, "phuong_thuan_hoa", 474),
  "W_19765" : VNWard("Phường Thuận Thành", 19765, VietnamDivisionType.PHUONG, "phuong_thuan_thanh", 474),
  "W_19768" : VNWard("Phường Phú Hòa", 19768, VietnamDivisionType.PHUONG, "phuong_phu_hoa", 474),
  "W_19771" : VNWard("Phường Phú Cát", 19771, VietnamDivisionType.PHUONG, "phuong_phu_cat", 474),
  "W_19774" : VNWard("Phường Kim Long", 19774, VietnamDivisionType.PHUONG, "phuong_kim_long", 474),
  "W_19777" : VNWard("Phường Vỹ Dạ", 19777, VietnamDivisionType.PHUONG, "phuong_vy_da", 474),
  "W_19780" : VNWard("Phường Phường Đúc", 19780, VietnamDivisionType.PHUONG, "phuong_phuong_duc", 474),
  "W_19783" : VNWard("Phường Vĩnh Ninh", 19783, VietnamDivisionType.PHUONG, "phuong_vinh_ninh", 474),
  "W_19786" : VNWard("Phường Phú Hội", 19786, VietnamDivisionType.PHUONG, "phuong_phu_hoi", 474),
  "W_19789" : VNWard("Phường Phú Nhuận", 19789, VietnamDivisionType.PHUONG, "phuong_phu_nhuan", 474),
  "W_19792" : VNWard("Phường Xuân Phú", 19792, VietnamDivisionType.PHUONG, "phuong_xuan_phu", 474),
  "W_19795" : VNWard("Phường Trường An", 19795, VietnamDivisionType.PHUONG, "phuong_truong_an", 474),
  "W_19798" : VNWard("Phường Phước Vĩnh", 19798, VietnamDivisionType.PHUONG, "phuong_phuoc_vinh", 474),
  "W_19801" : VNWard("Phường An Cựu", 19801, VietnamDivisionType.PHUONG, "phuong_an_cuu", 474),
  "W_19803" : VNWard("Phường An Hòa", 19803, VietnamDivisionType.PHUONG, "phuong_an_hoa", 474),
  "W_19804" : VNWard("Phường Hương Sơ", 19804, VietnamDivisionType.PHUONG, "phuong_huong_so", 474),
  "W_19807" : VNWard("Phường Thuỷ Biều", 19807, VietnamDivisionType.PHUONG, "phuong_thuy_bieu", 474),
  "W_19810" : VNWard("Phường Hương Long", 19810, VietnamDivisionType.PHUONG, "phuong_huong_long", 474),
  "W_19813" : VNWard("Phường Thuỷ Xuân", 19813, VietnamDivisionType.PHUONG, "phuong_thuy_xuan", 474),
  "W_19815" : VNWard("Phường An Đông", 19815, VietnamDivisionType.PHUONG, "phuong_an_dong", 474),
  "W_19816" : VNWard("Phường An Tây", 19816, VietnamDivisionType.PHUONG, "phuong_an_tay", 474),
  "W_19819" : VNWard("Thị trấn Phong Điền", 19819, VietnamDivisionType.THI_TRAN, "thi_tran_phong_dien", 476),
  "W_19822" : VNWard("Xã Điền Hương", 19822, VietnamDivisionType.XA, "xa_dien_huong", 476),
  "W_19825" : VNWard("Xã Điền Môn", 19825, VietnamDivisionType.XA, "xa_dien_mon", 476),
  "W_19828" : VNWard("Xã Điền Lộc", 19828, VietnamDivisionType.XA, "xa_dien_loc", 476),
  "W_19831" : VNWard("Xã Phong Bình", 19831, VietnamDivisionType.XA, "xa_phong_binh", 476),
  "W_19834" : VNWard("Xã Điền Hòa", 19834, VietnamDivisionType.XA, "xa_dien_hoa", 476),
  "W_19837" : VNWard("Xã Phong Chương", 19837, VietnamDivisionType.XA, "xa_phong_chuong", 476),
  "W_19840" : VNWard("Xã Phong Hải", 19840, VietnamDivisionType.XA, "xa_phong_hai", 476),
  "W_19843" : VNWard("Xã Điền Hải", 19843, VietnamDivisionType.XA, "xa_dien_hai", 476),
  "W_19846" : VNWard("Xã Phong Hòa", 19846, VietnamDivisionType.XA, "xa_phong_hoa", 476),
  "W_19849" : VNWard("Xã Phong Thu", 19849, VietnamDivisionType.XA, "xa_phong_thu", 476),
  "W_19852" : VNWard("Xã Phong Hiền", 19852, VietnamDivisionType.XA, "xa_phong_hien", 476),
  "W_19855" : VNWard("Xã Phong Mỹ", 19855, VietnamDivisionType.XA, "xa_phong_my", 476),
  "W_19858" : VNWard("Xã Phong An", 19858, VietnamDivisionType.XA, "xa_phong_an", 476),
  "W_19861" : VNWard("Xã Phong Xuân", 19861, VietnamDivisionType.XA, "xa_phong_xuan", 476),
  "W_19864" : VNWard("Xã Phong Sơn", 19864, VietnamDivisionType.XA, "xa_phong_son", 476),
  "W_19867" : VNWard("Thị trấn Sịa", 19867, VietnamDivisionType.THI_TRAN, "thi_tran_sia", 477),
  "W_19870" : VNWard("Xã Quảng Thái", 19870, VietnamDivisionType.XA, "xa_quang_thai", 477),
  "W_19873" : VNWard("Xã Quảng Ngạn", 19873, VietnamDivisionType.XA, "xa_quang_ngan", 477),
  "W_19876" : VNWard("Xã Quảng Lợi", 19876, VietnamDivisionType.XA, "xa_quang_loi", 477),
  "W_19879" : VNWard("Xã Quảng Công", 19879, VietnamDivisionType.XA, "xa_quang_cong", 477),
  "W_19882" : VNWard("Xã Quảng Phước", 19882, VietnamDivisionType.XA, "xa_quang_phuoc", 477),
  "W_19885" : VNWard("Xã Quảng Vinh", 19885, VietnamDivisionType.XA, "xa_quang_vinh", 477),
  "W_19888" : VNWard("Xã Quảng An", 19888, VietnamDivisionType.XA, "xa_quang_an", 477),
  "W_19891" : VNWard("Xã Quảng Thành", 19891, VietnamDivisionType.XA, "xa_quang_thanh", 477),
  "W_19894" : VNWard("Xã Quảng Thọ", 19894, VietnamDivisionType.XA, "xa_quang_tho", 477),
  "W_19897" : VNWard("Xã Quảng Phú", 19897, VietnamDivisionType.XA, "xa_quang_phu", 477),
  "W_19900" : VNWard("Thị trấn Thuận An", 19900, VietnamDivisionType.THI_TRAN, "thi_tran_thuan_an", 478),
  "W_19903" : VNWard("Xã Phú Thuận", 19903, VietnamDivisionType.XA, "xa_phu_thuan", 478),
  "W_19906" : VNWard("Xã Phú Dương", 19906, VietnamDivisionType.XA, "xa_phu_duong", 478),
  "W_19909" : VNWard("Xã Phú Mậu", 19909, VietnamDivisionType.XA, "xa_phu_mau", 478),
  "W_19912" : VNWard("Xã Phú An", 19912, VietnamDivisionType.XA, "xa_phu_an", 478),
  "W_19915" : VNWard("Xã Phú Hải", 19915, VietnamDivisionType.XA, "xa_phu_hai", 478),
  "W_19918" : VNWard("Xã Phú Xuân", 19918, VietnamDivisionType.XA, "xa_phu_xuan", 478),
  "W_19921" : VNWard("Xã Phú Diên", 19921, VietnamDivisionType.XA, "xa_phu_dien", 478),
  "W_19924" : VNWard("Xã Phú Thanh", 19924, VietnamDivisionType.XA, "xa_phu_thanh", 478),
  "W_19927" : VNWard("Xã Phú Mỹ", 19927, VietnamDivisionType.XA, "xa_phu_my", 478),
  "W_19930" : VNWard("Xã Phú Thượng", 19930, VietnamDivisionType.XA, "xa_phu_thuong", 478),
  "W_19933" : VNWard("Xã Phú Hồ", 19933, VietnamDivisionType.XA, "xa_phu_ho", 478),
  "W_19936" : VNWard("Xã Vinh Xuân", 19936, VietnamDivisionType.XA, "xa_vinh_xuan", 478),
  "W_19939" : VNWard("Xã Phú Lương", 19939, VietnamDivisionType.XA, "xa_phu_luong", 478),
  "W_19942" : VNWard("Thị trấn Phú Đa", 19942, VietnamDivisionType.THI_TRAN, "thi_tran_phu_da", 478),
  "W_19945" : VNWard("Xã Vinh Thanh", 19945, VietnamDivisionType.XA, "xa_vinh_thanh", 478),
  "W_19948" : VNWard("Xã Vinh An", 19948, VietnamDivisionType.XA, "xa_vinh_an", 478),
  "W_19954" : VNWard("Xã Phú Gia", 19954, VietnamDivisionType.XA, "xa_phu_gia", 478),
  "W_19957" : VNWard("Xã Vinh Hà", 19957, VietnamDivisionType.XA, "xa_vinh_ha", 478),
  "W_19960" : VNWard("Phường Phú Bài", 19960, VietnamDivisionType.PHUONG, "phuong_phu_bai", 479),
  "W_19963" : VNWard("Xã Thủy Vân", 19963, VietnamDivisionType.XA, "xa_thuy_van", 479),
  "W_19966" : VNWard("Xã Thủy Thanh", 19966, VietnamDivisionType.XA, "xa_thuy_thanh", 479),
  "W_19969" : VNWard("Phường Thủy Dương", 19969, VietnamDivisionType.PHUONG, "phuong_thuy_duong", 479),
  "W_19972" : VNWard("Phường Thủy Phương", 19972, VietnamDivisionType.PHUONG, "phuong_thuy_phuong", 479),
  "W_19975" : VNWard("Phường Thủy Châu", 19975, VietnamDivisionType.PHUONG, "phuong_thuy_chau", 479),
  "W_19978" : VNWard("Phường Thủy Lương", 19978, VietnamDivisionType.PHUONG, "phuong_thuy_luong", 479),
  "W_19981" : VNWard("Xã Thủy Bằng", 19981, VietnamDivisionType.XA, "xa_thuy_bang", 479),
  "W_19984" : VNWard("Xã Thủy Tân", 19984, VietnamDivisionType.XA, "xa_thuy_tan", 479),
  "W_19987" : VNWard("Xã Thủy Phù", 19987, VietnamDivisionType.XA, "xa_thuy_phu", 479),
  "W_19990" : VNWard("Xã Phú Sơn", 19990, VietnamDivisionType.XA, "xa_phu_son", 479),
  "W_19993" : VNWard("Xã Dương Hòa", 19993, VietnamDivisionType.XA, "xa_duong_hoa", 479),
  "W_19996" : VNWard("Phường Tứ Hạ", 19996, VietnamDivisionType.PHUONG, "phuong_tu_ha", 480),
  "W_19999" : VNWard("Xã Hải Dương", 19999, VietnamDivisionType.XA, "xa_hai_duong", 480),
  "W_20002" : VNWard("Xã Hương Phong", 20002, VietnamDivisionType.XA, "xa_huong_phong", 480),
  "W_20005" : VNWard("Xã Hương Toàn", 20005, VietnamDivisionType.XA, "xa_huong_toan", 480),
  "W_20008" : VNWard("Phường Hương Vân", 20008, VietnamDivisionType.PHUONG, "phuong_huong_van", 480),
  "W_20011" : VNWard("Phường Hương Văn", 20011, VietnamDivisionType.PHUONG, "phuong_huong_van", 480),
  "W_20014" : VNWard("Xã Hương Vinh", 20014, VietnamDivisionType.XA, "xa_huong_vinh", 480),
  "W_20017" : VNWard("Phường Hương Xuân", 20017, VietnamDivisionType.PHUONG, "phuong_huong_xuan", 480),
  "W_20020" : VNWard("Phường Hương Chữ", 20020, VietnamDivisionType.PHUONG, "phuong_huong_chu", 480),
  "W_20023" : VNWard("Phường Hương An", 20023, VietnamDivisionType.PHUONG, "phuong_huong_an", 480),
  "W_20026" : VNWard("Xã Hương Bình", 20026, VietnamDivisionType.XA, "xa_huong_binh", 480),
  "W_20029" : VNWard("Phường Hương Hồ", 20029, VietnamDivisionType.PHUONG, "phuong_huong_ho", 480),
  "W_20032" : VNWard("Xã Hương Thọ", 20032, VietnamDivisionType.XA, "xa_huong_tho", 480),
  "W_20035" : VNWard("Xã Bình Tiến", 20035, VietnamDivisionType.XA, "xa_binh_tien", 480),
  "W_20041" : VNWard("Xã Bình Thành", 20041, VietnamDivisionType.XA, "xa_binh_thanh", 480),
  "W_20044" : VNWard("Thị trấn A Lưới", 20044, VietnamDivisionType.THI_TRAN, "thi_tran_a_luoi", 481),
  "W_20047" : VNWard("Xã Hồng Vân", 20047, VietnamDivisionType.XA, "xa_hong_van", 481),
  "W_20050" : VNWard("Xã Hồng Hạ", 20050, VietnamDivisionType.XA, "xa_hong_ha", 481),
  "W_20053" : VNWard("Xã Hồng Kim", 20053, VietnamDivisionType.XA, "xa_hong_kim", 481),
  "W_20056" : VNWard("Xã Trung Sơn", 20056, VietnamDivisionType.XA, "xa_trung_son", 481),
  "W_20059" : VNWard("Xã Hương Nguyên", 20059, VietnamDivisionType.XA, "xa_huong_nguyen", 481),
  "W_20065" : VNWard("Xã Hồng Bắc", 20065, VietnamDivisionType.XA, "xa_hong_bac", 481),
  "W_20068" : VNWard("Xã A Ngo", 20068, VietnamDivisionType.XA, "xa_a_ngo", 481),
  "W_20071" : VNWard("Xã Sơn Thủy", 20071, VietnamDivisionType.XA, "xa_son_thuy", 481),
  "W_20074" : VNWard("Xã Phú Vinh", 20074, VietnamDivisionType.XA, "xa_phu_vinh", 481),
  "W_20080" : VNWard("Xã Hương Phong", 20080, VietnamDivisionType.XA, "xa_huong_phong", 481),
  "W_20083" : VNWard("Xã Quảng Nhâm", 20083, VietnamDivisionType.XA, "xa_quang_nham", 481),
  "W_20086" : VNWard("Xã Hồng Thượng", 20086, VietnamDivisionType.XA, "xa_hong_thuong", 481),
  "W_20089" : VNWard("Xã Hồng Thái", 20089, VietnamDivisionType.XA, "xa_hong_thai", 481),
  "W_20095" : VNWard("Xã A Roàng", 20095, VietnamDivisionType.XA, "xa_a_roang", 481),
  "W_20098" : VNWard("Xã Đông Sơn", 20098, VietnamDivisionType.XA, "xa_dong_son", 481),
  "W_20101" : VNWard("Xã Lâm Đớt", 20101, VietnamDivisionType.XA, "xa_lam_dot", 481),
  "W_20104" : VNWard("Xã Hồng Thủy", 20104, VietnamDivisionType.XA, "xa_hong_thuy", 481),
  "W_20107" : VNWard("Thị trấn Phú Lộc", 20107, VietnamDivisionType.THI_TRAN, "thi_tran_phu_loc", 482),
  "W_20110" : VNWard("Thị trấn Lăng Cô", 20110, VietnamDivisionType.THI_TRAN, "thi_tran_lang_co", 482),
  "W_20113" : VNWard("Xã Vinh Mỹ", 20113, VietnamDivisionType.XA, "xa_vinh_my", 482),
  "W_20116" : VNWard("Xã Vinh Hưng", 20116, VietnamDivisionType.XA, "xa_vinh_hung", 482),
  "W_20122" : VNWard("Xã Giang Hải", 20122, VietnamDivisionType.XA, "xa_giang_hai", 482),
  "W_20125" : VNWard("Xã Vinh Hiền", 20125, VietnamDivisionType.XA, "xa_vinh_hien", 482),
  "W_20128" : VNWard("Xã Lộc Bổn", 20128, VietnamDivisionType.XA, "xa_loc_bon", 482),
  "W_20131" : VNWard("Xã Lộc Sơn", 20131, VietnamDivisionType.XA, "xa_loc_son", 482),
  "W_20134" : VNWard("Xã Lộc Bình", 20134, VietnamDivisionType.XA, "xa_loc_binh", 482),
  "W_20137" : VNWard("Xã Lộc Vĩnh", 20137, VietnamDivisionType.XA, "xa_loc_vinh", 482),
  "W_20140" : VNWard("Xã Lộc An", 20140, VietnamDivisionType.XA, "xa_loc_an", 482),
  "W_20143" : VNWard("Xã Lộc Điền", 20143, VietnamDivisionType.XA, "xa_loc_dien", 482),
  "W_20146" : VNWard("Xã Lộc Thủy", 20146, VietnamDivisionType.XA, "xa_loc_thuy", 482),
  "W_20149" : VNWard("Xã Lộc Trì", 20149, VietnamDivisionType.XA, "xa_loc_tri", 482),
  "W_20152" : VNWard("Xã Lộc Tiến", 20152, VietnamDivisionType.XA, "xa_loc_tien", 482),
  "W_20155" : VNWard("Xã Lộc Hòa", 20155, VietnamDivisionType.XA, "xa_loc_hoa", 482),
  "W_20158" : VNWard("Xã Xuân Lộc", 20158, VietnamDivisionType.XA, "xa_xuan_loc", 482),
  "W_20161" : VNWard("Thị trấn Khe Tre", 20161, VietnamDivisionType.THI_TRAN, "thi_tran_khe_tre", 483),
  "W_20164" : VNWard("Xã Hương Phú", 20164, VietnamDivisionType.XA, "xa_huong_phu", 483),
  "W_20167" : VNWard("Xã Hương Sơn", 20167, VietnamDivisionType.XA, "xa_huong_son", 483),
  "W_20170" : VNWard("Xã Hương Lộc", 20170, VietnamDivisionType.XA, "xa_huong_loc", 483),
  "W_20173" : VNWard("Xã Thượng Quảng", 20173, VietnamDivisionType.XA, "xa_thuong_quang", 483),
  "W_20179" : VNWard("Xã Hương Xuân", 20179, VietnamDivisionType.XA, "xa_huong_xuan", 483),
  "W_20182" : VNWard("Xã Hương Hữu", 20182, VietnamDivisionType.XA, "xa_huong_huu", 483),
  "W_20185" : VNWard("Xã Thượng Lộ", 20185, VietnamDivisionType.XA, "xa_thuong_lo", 483),
  "W_20188" : VNWard("Xã Thượng Long", 20188, VietnamDivisionType.XA, "xa_thuong_long", 483),
  "W_20191" : VNWard("Xã Thượng Nhật", 20191, VietnamDivisionType.XA, "xa_thuong_nhat", 483),
  "W_20194" : VNWard("Phường Hòa Hiệp Bắc", 20194, VietnamDivisionType.PHUONG, "phuong_hoa_hiep_bac", 490),
  "W_20195" : VNWard("Phường Hòa Hiệp Nam", 20195, VietnamDivisionType.PHUONG, "phuong_hoa_hiep_nam", 490),
  "W_20197" : VNWard("Phường Hòa Khánh Bắc", 20197, VietnamDivisionType.PHUONG, "phuong_hoa_khanh_bac", 490),
  "W_20198" : VNWard("Phường Hòa Khánh Nam", 20198, VietnamDivisionType.PHUONG, "phuong_hoa_khanh_nam", 490),
  "W_20200" : VNWard("Phường Hòa Minh", 20200, VietnamDivisionType.PHUONG, "phuong_hoa_minh", 490),
  "W_20203" : VNWard("Phường Tam Thuận", 20203, VietnamDivisionType.PHUONG, "phuong_tam_thuan", 491),
  "W_20206" : VNWard("Phường Thanh Khê Tây", 20206, VietnamDivisionType.PHUONG, "phuong_thanh_khe_tay", 491),
  "W_20207" : VNWard("Phường Thanh Khê Đông", 20207, VietnamDivisionType.PHUONG, "phuong_thanh_khe_dong", 491),
  "W_20209" : VNWard("Phường Xuân Hà", 20209, VietnamDivisionType.PHUONG, "phuong_xuan_ha", 491),
  "W_20212" : VNWard("Phường Tân Chính", 20212, VietnamDivisionType.PHUONG, "phuong_tan_chinh", 491),
  "W_20215" : VNWard("Phường Chính Gián", 20215, VietnamDivisionType.PHUONG, "phuong_chinh_gian", 491),
  "W_20218" : VNWard("Phường Vĩnh Trung", 20218, VietnamDivisionType.PHUONG, "phuong_vinh_trung", 491),
  "W_20221" : VNWard("Phường Thạc Gián", 20221, VietnamDivisionType.PHUONG, "phuong_thac_gian", 491),
  "W_20224" : VNWard("Phường An Khê", 20224, VietnamDivisionType.PHUONG, "phuong_an_khe", 491),
  "W_20225" : VNWard("Phường Hòa Khê", 20225, VietnamDivisionType.PHUONG, "phuong_hoa_khe", 491),
  "W_20227" : VNWard("Phường Thanh Bình", 20227, VietnamDivisionType.PHUONG, "phuong_thanh_binh", 492),
  "W_20230" : VNWard("Phường Thuận Phước", 20230, VietnamDivisionType.PHUONG, "phuong_thuan_phuoc", 492),
  "W_20233" : VNWard("Phường Thạch Thang", 20233, VietnamDivisionType.PHUONG, "phuong_thach_thang", 492),
  "W_20236" : VNWard("Phường Hải Châu I", 20236, VietnamDivisionType.PHUONG, "phuong_hai_chau_i", 492),
  "W_20239" : VNWard("Phường Hải Châu II", 20239, VietnamDivisionType.PHUONG, "phuong_hai_chau_ii", 492),
  "W_20242" : VNWard("Phường Phước Ninh", 20242, VietnamDivisionType.PHUONG, "phuong_phuoc_ninh", 492),
  "W_20245" : VNWard("Phường Hòa Thuận Tây", 20245, VietnamDivisionType.PHUONG, "phuong_hoa_thuan_tay", 492),
  "W_20246" : VNWard("Phường Hòa Thuận Đông", 20246, VietnamDivisionType.PHUONG, "phuong_hoa_thuan_dong", 492),
  "W_20248" : VNWard("Phường Nam Dương", 20248, VietnamDivisionType.PHUONG, "phuong_nam_duong", 492),
  "W_20251" : VNWard("Phường Bình Hiên", 20251, VietnamDivisionType.PHUONG, "phuong_binh_hien", 492),
  "W_20254" : VNWard("Phường Bình Thuận", 20254, VietnamDivisionType.PHUONG, "phuong_binh_thuan", 492),
  "W_20257" : VNWard("Phường Hòa Cường Bắc", 20257, VietnamDivisionType.PHUONG, "phuong_hoa_cuong_bac", 492),
  "W_20258" : VNWard("Phường Hòa Cường Nam", 20258, VietnamDivisionType.PHUONG, "phuong_hoa_cuong_nam", 492),
  "W_20263" : VNWard("Phường Thọ Quang", 20263, VietnamDivisionType.PHUONG, "phuong_tho_quang", 493),
  "W_20266" : VNWard("Phường Nại Hiên Đông", 20266, VietnamDivisionType.PHUONG, "phuong_nai_hien_dong", 493),
  "W_20269" : VNWard("Phường Mân Thái", 20269, VietnamDivisionType.PHUONG, "phuong_man_thai", 493),
  "W_20272" : VNWard("Phường An Hải Bắc", 20272, VietnamDivisionType.PHUONG, "phuong_an_hai_bac", 493),
  "W_20275" : VNWard("Phường Phước Mỹ", 20275, VietnamDivisionType.PHUONG, "phuong_phuoc_my", 493),
  "W_20278" : VNWard("Phường An Hải Tây", 20278, VietnamDivisionType.PHUONG, "phuong_an_hai_tay", 493),
  "W_20281" : VNWard("Phường An Hải Đông", 20281, VietnamDivisionType.PHUONG, "phuong_an_hai_dong", 493),
  "W_20284" : VNWard("Phường Mỹ An", 20284, VietnamDivisionType.PHUONG, "phuong_my_an", 494),
  "W_20285" : VNWard("Phường Khuê Mỹ", 20285, VietnamDivisionType.PHUONG, "phuong_khue_my", 494),
  "W_20287" : VNWard("Phường Hoà Quý", 20287, VietnamDivisionType.PHUONG, "phuong_hoa_quy", 494),
  "W_20290" : VNWard("Phường Hoà Hải", 20290, VietnamDivisionType.PHUONG, "phuong_hoa_hai", 494),
  "W_20260" : VNWard("Phường Khuê Trung", 20260, VietnamDivisionType.PHUONG, "phuong_khue_trung", 495),
  "W_20305" : VNWard("Phường Hòa Phát", 20305, VietnamDivisionType.PHUONG, "phuong_hoa_phat", 495),
  "W_20306" : VNWard("Phường Hòa An", 20306, VietnamDivisionType.PHUONG, "phuong_hoa_an", 495),
  "W_20311" : VNWard("Phường Hòa Thọ Tây", 20311, VietnamDivisionType.PHUONG, "phuong_hoa_tho_tay", 495),
  "W_20312" : VNWard("Phường Hòa Thọ Đông", 20312, VietnamDivisionType.PHUONG, "phuong_hoa_tho_dong", 495),
  "W_20314" : VNWard("Phường Hòa Xuân", 20314, VietnamDivisionType.PHUONG, "phuong_hoa_xuan", 495),
  "W_20293" : VNWard("Xã Hòa Bắc", 20293, VietnamDivisionType.XA, "xa_hoa_bac", 497),
  "W_20296" : VNWard("Xã Hòa Liên", 20296, VietnamDivisionType.XA, "xa_hoa_lien", 497),
  "W_20299" : VNWard("Xã Hòa Ninh", 20299, VietnamDivisionType.XA, "xa_hoa_ninh", 497),
  "W_20302" : VNWard("Xã Hòa Sơn", 20302, VietnamDivisionType.XA, "xa_hoa_son", 497),
  "W_20308" : VNWard("Xã Hòa Nhơn", 20308, VietnamDivisionType.XA, "xa_hoa_nhon", 497),
  "W_20317" : VNWard("Xã Hòa Phú", 20317, VietnamDivisionType.XA, "xa_hoa_phu", 497),
  "W_20320" : VNWard("Xã Hòa Phong", 20320, VietnamDivisionType.XA, "xa_hoa_phong", 497),
  "W_20323" : VNWard("Xã Hòa Châu", 20323, VietnamDivisionType.XA, "xa_hoa_chau", 497),
  "W_20326" : VNWard("Xã Hòa Tiến", 20326, VietnamDivisionType.XA, "xa_hoa_tien", 497),
  "W_20329" : VNWard("Xã Hòa Phước", 20329, VietnamDivisionType.XA, "xa_hoa_phuoc", 497),
  "W_20332" : VNWard("Xã Hòa Khương", 20332, VietnamDivisionType.XA, "xa_hoa_khuong", 497),
  "W_20335" : VNWard("Phường Tân Thạnh", 20335, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 502),
  "W_20338" : VNWard("Phường Phước Hòa", 20338, VietnamDivisionType.PHUONG, "phuong_phuoc_hoa", 502),
  "W_20341" : VNWard("Phường An Mỹ", 20341, VietnamDivisionType.PHUONG, "phuong_an_my", 502),
  "W_20344" : VNWard("Phường Hòa Hương", 20344, VietnamDivisionType.PHUONG, "phuong_hoa_huong", 502),
  "W_20347" : VNWard("Phường An Xuân", 20347, VietnamDivisionType.PHUONG, "phuong_an_xuan", 502),
  "W_20350" : VNWard("Phường An Sơn", 20350, VietnamDivisionType.PHUONG, "phuong_an_son", 502),
  "W_20353" : VNWard("Phường Trường Xuân", 20353, VietnamDivisionType.PHUONG, "phuong_truong_xuan", 502),
  "W_20356" : VNWard("Phường An Phú", 20356, VietnamDivisionType.PHUONG, "phuong_an_phu", 502),
  "W_20359" : VNWard("Xã Tam Thanh", 20359, VietnamDivisionType.XA, "xa_tam_thanh", 502),
  "W_20362" : VNWard("Xã Tam Thăng", 20362, VietnamDivisionType.XA, "xa_tam_thang", 502),
  "W_20371" : VNWard("Xã Tam Phú", 20371, VietnamDivisionType.XA, "xa_tam_phu", 502),
  "W_20375" : VNWard("Phường Hoà Thuận", 20375, VietnamDivisionType.PHUONG, "phuong_hoa_thuan", 502),
  "W_20389" : VNWard("Xã Tam Ngọc", 20389, VietnamDivisionType.XA, "xa_tam_ngoc", 502),
  "W_20398" : VNWard("Phường Minh An", 20398, VietnamDivisionType.PHUONG, "phuong_minh_an", 503),
  "W_20401" : VNWard("Phường Tân An", 20401, VietnamDivisionType.PHUONG, "phuong_tan_an", 503),
  "W_20404" : VNWard("Phường Cẩm Phô", 20404, VietnamDivisionType.PHUONG, "phuong_cam_pho", 503),
  "W_20407" : VNWard("Phường Thanh Hà", 20407, VietnamDivisionType.PHUONG, "phuong_thanh_ha", 503),
  "W_20410" : VNWard("Phường Sơn Phong", 20410, VietnamDivisionType.PHUONG, "phuong_son_phong", 503),
  "W_20413" : VNWard("Phường Cẩm Châu", 20413, VietnamDivisionType.PHUONG, "phuong_cam_chau", 503),
  "W_20416" : VNWard("Phường Cửa Đại", 20416, VietnamDivisionType.PHUONG, "phuong_cua_dai", 503),
  "W_20419" : VNWard("Phường Cẩm An", 20419, VietnamDivisionType.PHUONG, "phuong_cam_an", 503),
  "W_20422" : VNWard("Xã Cẩm Hà", 20422, VietnamDivisionType.XA, "xa_cam_ha", 503),
  "W_20425" : VNWard("Xã Cẩm Kim", 20425, VietnamDivisionType.XA, "xa_cam_kim", 503),
  "W_20428" : VNWard("Phường Cẩm Nam", 20428, VietnamDivisionType.PHUONG, "phuong_cam_nam", 503),
  "W_20431" : VNWard("Xã Cẩm Thanh", 20431, VietnamDivisionType.XA, "xa_cam_thanh", 503),
  "W_20434" : VNWard("Xã Tân Hiệp", 20434, VietnamDivisionType.XA, "xa_tan_hiep", 503),
  "W_20437" : VNWard("Xã Ch'ơm", 20437, VietnamDivisionType.XA, "xa_chom", 504),
  "W_20440" : VNWard("Xã Ga Ri", 20440, VietnamDivisionType.XA, "xa_ga_ri", 504),
  "W_20443" : VNWard("Xã A Xan", 20443, VietnamDivisionType.XA, "xa_a_xan", 504),
  "W_20446" : VNWard("Xã Tr'Hy", 20446, VietnamDivisionType.XA, "xa_trhy", 504),
  "W_20449" : VNWard("Xã Lăng", 20449, VietnamDivisionType.XA, "xa_lang", 504),
  "W_20452" : VNWard("Xã A Nông", 20452, VietnamDivisionType.XA, "xa_a_nong", 504),
  "W_20455" : VNWard("Xã A Tiêng", 20455, VietnamDivisionType.XA, "xa_a_tieng", 504),
  "W_20458" : VNWard("Xã Bha Lê", 20458, VietnamDivisionType.XA, "xa_bha_le", 504),
  "W_20461" : VNWard("Xã A Vương", 20461, VietnamDivisionType.XA, "xa_a_vuong", 504),
  "W_20464" : VNWard("Xã Dang", 20464, VietnamDivisionType.XA, "xa_dang", 504),
  "W_20467" : VNWard("Thị trấn P Rao", 20467, VietnamDivisionType.THI_TRAN, "thi_tran_p_rao", 505),
  "W_20470" : VNWard("Xã Tà Lu", 20470, VietnamDivisionType.XA, "xa_ta_lu", 505),
  "W_20473" : VNWard("Xã Sông Kôn", 20473, VietnamDivisionType.XA, "xa_song_kon", 505),
  "W_20476" : VNWard("Xã Jơ Ngây", 20476, VietnamDivisionType.XA, "xa_jo_ngay", 505),
  "W_20479" : VNWard("Xã A Ting", 20479, VietnamDivisionType.XA, "xa_a_ting", 505),
  "W_20482" : VNWard("Xã Tư", 20482, VietnamDivisionType.XA, "xa_tu", 505),
  "W_20485" : VNWard("Xã Ba", 20485, VietnamDivisionType.XA, "xa_ba", 505),
  "W_20488" : VNWard("Xã A Rooi", 20488, VietnamDivisionType.XA, "xa_a_rooi", 505),
  "W_20491" : VNWard("Xã Za Hung", 20491, VietnamDivisionType.XA, "xa_za_hung", 505),
  "W_20494" : VNWard("Xã Mà Cooi", 20494, VietnamDivisionType.XA, "xa_ma_cooi", 505),
  "W_20497" : VNWard("Xã Ka Dăng", 20497, VietnamDivisionType.XA, "xa_ka_dang", 505),
  "W_20500" : VNWard("Thị trấn Ái Nghĩa", 20500, VietnamDivisionType.THI_TRAN, "thi_tran_ai_nghia", 506),
  "W_20503" : VNWard("Xã Đại Sơn", 20503, VietnamDivisionType.XA, "xa_dai_son", 506),
  "W_20506" : VNWard("Xã Đại Lãnh", 20506, VietnamDivisionType.XA, "xa_dai_lanh", 506),
  "W_20509" : VNWard("Xã Đại Hưng", 20509, VietnamDivisionType.XA, "xa_dai_hung", 506),
  "W_20512" : VNWard("Xã Đại Hồng", 20512, VietnamDivisionType.XA, "xa_dai_hong", 506),
  "W_20515" : VNWard("Xã Đại Đồng", 20515, VietnamDivisionType.XA, "xa_dai_dong", 506),
  "W_20518" : VNWard("Xã Đại Quang", 20518, VietnamDivisionType.XA, "xa_dai_quang", 506),
  "W_20521" : VNWard("Xã Đại Nghĩa", 20521, VietnamDivisionType.XA, "xa_dai_nghia", 506),
  "W_20524" : VNWard("Xã Đại Hiệp", 20524, VietnamDivisionType.XA, "xa_dai_hiep", 506),
  "W_20527" : VNWard("Xã Đại Thạnh", 20527, VietnamDivisionType.XA, "xa_dai_thanh", 506),
  "W_20530" : VNWard("Xã Đại Chánh", 20530, VietnamDivisionType.XA, "xa_dai_chanh", 506),
  "W_20533" : VNWard("Xã Đại Tân", 20533, VietnamDivisionType.XA, "xa_dai_tan", 506),
  "W_20536" : VNWard("Xã Đại Phong", 20536, VietnamDivisionType.XA, "xa_dai_phong", 506),
  "W_20539" : VNWard("Xã Đại Minh", 20539, VietnamDivisionType.XA, "xa_dai_minh", 506),
  "W_20542" : VNWard("Xã Đại Thắng", 20542, VietnamDivisionType.XA, "xa_dai_thang", 506),
  "W_20545" : VNWard("Xã Đại Cường", 20545, VietnamDivisionType.XA, "xa_dai_cuong", 506),
  "W_20547" : VNWard("Xã Đại An", 20547, VietnamDivisionType.XA, "xa_dai_an", 506),
  "W_20548" : VNWard("Xã Đại Hòa", 20548, VietnamDivisionType.XA, "xa_dai_hoa", 506),
  "W_20551" : VNWard("Phường Vĩnh Điện", 20551, VietnamDivisionType.PHUONG, "phuong_vinh_dien", 507),
  "W_20554" : VNWard("Xã Điện Tiến", 20554, VietnamDivisionType.XA, "xa_dien_tien", 507),
  "W_20557" : VNWard("Xã Điện Hòa", 20557, VietnamDivisionType.XA, "xa_dien_hoa", 507),
  "W_20560" : VNWard("Xã Điện Thắng Bắc", 20560, VietnamDivisionType.XA, "xa_dien_thang_bac", 507),
  "W_20561" : VNWard("Xã Điện Thắng Trung", 20561, VietnamDivisionType.XA, "xa_dien_thang_trung", 507),
  "W_20562" : VNWard("Xã Điện Thắng Nam", 20562, VietnamDivisionType.XA, "xa_dien_thang_nam", 507),
  "W_20563" : VNWard("Phường Điện Ngọc", 20563, VietnamDivisionType.PHUONG, "phuong_dien_ngoc", 507),
  "W_20566" : VNWard("Xã Điện Hồng", 20566, VietnamDivisionType.XA, "xa_dien_hong", 507),
  "W_20569" : VNWard("Xã Điện Thọ", 20569, VietnamDivisionType.XA, "xa_dien_tho", 507),
  "W_20572" : VNWard("Xã Điện Phước", 20572, VietnamDivisionType.XA, "xa_dien_phuoc", 507),
  "W_20575" : VNWard("Phường Điện An", 20575, VietnamDivisionType.PHUONG, "phuong_dien_an", 507),
  "W_20578" : VNWard("Phường Điện Nam Bắc", 20578, VietnamDivisionType.PHUONG, "phuong_dien_nam_bac", 507),
  "W_20579" : VNWard("Phường Điện Nam Trung", 20579, VietnamDivisionType.PHUONG, "phuong_dien_nam_trung", 507),
  "W_20580" : VNWard("Phường Điện Nam Đông", 20580, VietnamDivisionType.PHUONG, "phuong_dien_nam_dong", 507),
  "W_20581" : VNWard("Phường Điện Dương", 20581, VietnamDivisionType.PHUONG, "phuong_dien_duong", 507),
  "W_20584" : VNWard("Xã Điện Quang", 20584, VietnamDivisionType.XA, "xa_dien_quang", 507),
  "W_20587" : VNWard("Xã Điện Trung", 20587, VietnamDivisionType.XA, "xa_dien_trung", 507),
  "W_20590" : VNWard("Xã Điện Phong", 20590, VietnamDivisionType.XA, "xa_dien_phong", 507),
  "W_20593" : VNWard("Xã Điện Minh", 20593, VietnamDivisionType.XA, "xa_dien_minh", 507),
  "W_20596" : VNWard("Xã Điện Phương", 20596, VietnamDivisionType.XA, "xa_dien_phuong", 507),
  "W_20599" : VNWard("Thị trấn Nam Phước", 20599, VietnamDivisionType.THI_TRAN, "thi_tran_nam_phuoc", 508),
  "W_20602" : VNWard("Xã Duy Thu", 20602, VietnamDivisionType.XA, "xa_duy_thu", 508),
  "W_20605" : VNWard("Xã Duy Phú", 20605, VietnamDivisionType.XA, "xa_duy_phu", 508),
  "W_20608" : VNWard("Xã Duy Tân", 20608, VietnamDivisionType.XA, "xa_duy_tan", 508),
  "W_20611" : VNWard("Xã Duy Hòa", 20611, VietnamDivisionType.XA, "xa_duy_hoa", 508),
  "W_20614" : VNWard("Xã Duy Châu", 20614, VietnamDivisionType.XA, "xa_duy_chau", 508),
  "W_20617" : VNWard("Xã Duy Trinh", 20617, VietnamDivisionType.XA, "xa_duy_trinh", 508),
  "W_20620" : VNWard("Xã Duy Sơn", 20620, VietnamDivisionType.XA, "xa_duy_son", 508),
  "W_20623" : VNWard("Xã Duy Trung", 20623, VietnamDivisionType.XA, "xa_duy_trung", 508),
  "W_20626" : VNWard("Xã Duy Phước", 20626, VietnamDivisionType.XA, "xa_duy_phuoc", 508),
  "W_20629" : VNWard("Xã Duy Thành", 20629, VietnamDivisionType.XA, "xa_duy_thanh", 508),
  "W_20632" : VNWard("Xã Duy Vinh", 20632, VietnamDivisionType.XA, "xa_duy_vinh", 508),
  "W_20635" : VNWard("Xã Duy Nghĩa", 20635, VietnamDivisionType.XA, "xa_duy_nghia", 508),
  "W_20638" : VNWard("Xã Duy Hải", 20638, VietnamDivisionType.XA, "xa_duy_hai", 508),
  "W_20641" : VNWard("Thị trấn Đông Phú", 20641, VietnamDivisionType.THI_TRAN, "thi_tran_dong_phu", 509),
  "W_20644" : VNWard("Xã Quế Xuân 1", 20644, VietnamDivisionType.XA, "xa_que_xuan_1", 509),
  "W_20647" : VNWard("Xã Quế Xuân 2", 20647, VietnamDivisionType.XA, "xa_que_xuan_2", 509),
  "W_20650" : VNWard("Xã Quế Phú", 20650, VietnamDivisionType.XA, "xa_que_phu", 509),
  "W_20651" : VNWard("Thị trấn Hương An", 20651, VietnamDivisionType.THI_TRAN, "thi_tran_huong_an", 509),
  "W_20659" : VNWard("Xã Quế Hiệp", 20659, VietnamDivisionType.XA, "xa_que_hiep", 509),
  "W_20662" : VNWard("Xã Quế Thuận", 20662, VietnamDivisionType.XA, "xa_que_thuan", 509),
  "W_20665" : VNWard("Xã Quế Mỹ", 20665, VietnamDivisionType.XA, "xa_que_my", 509),
  "W_20677" : VNWard("Xã Quế Long", 20677, VietnamDivisionType.XA, "xa_que_long", 509),
  "W_20680" : VNWard("Xã Quế Châu", 20680, VietnamDivisionType.XA, "xa_que_chau", 509),
  "W_20683" : VNWard("Xã Quế Phong", 20683, VietnamDivisionType.XA, "xa_que_phong", 509),
  "W_20686" : VNWard("Xã Quế An", 20686, VietnamDivisionType.XA, "xa_que_an", 509),
  "W_20689" : VNWard("Xã Quế Minh", 20689, VietnamDivisionType.XA, "xa_que_minh", 509),
  "W_20695" : VNWard("Thị trấn Thạnh Mỹ", 20695, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_my", 510),
  "W_20698" : VNWard("Xã Laêê", 20698, VietnamDivisionType.XA, "xa_laee", 510),
  "W_20699" : VNWard("Xã Chơ Chun", 20699, VietnamDivisionType.XA, "xa_cho_chun", 510),
  "W_20701" : VNWard("Xã Zuôich", 20701, VietnamDivisionType.XA, "xa_zuoich", 510),
  "W_20702" : VNWard("Xã Tà Pơơ", 20702, VietnamDivisionType.XA, "xa_ta_poo", 510),
  "W_20704" : VNWard("Xã La Dêê", 20704, VietnamDivisionType.XA, "xa_la_dee", 510),
  "W_20705" : VNWard("Xã Đắc Tôi", 20705, VietnamDivisionType.XA, "xa_dac_toi", 510),
  "W_20707" : VNWard("Xã Chà Vàl", 20707, VietnamDivisionType.XA, "xa_cha_val", 510),
  "W_20710" : VNWard("Xã Tà Bhinh", 20710, VietnamDivisionType.XA, "xa_ta_bhinh", 510),
  "W_20713" : VNWard("Xã Cà Dy", 20713, VietnamDivisionType.XA, "xa_ca_dy", 510),
  "W_20716" : VNWard("Xã Đắc Pre", 20716, VietnamDivisionType.XA, "xa_dac_pre", 510),
  "W_20719" : VNWard("Xã Đắc Pring", 20719, VietnamDivisionType.XA, "xa_dac_pring", 510),
  "W_20722" : VNWard("Thị trấn Khâm Đức", 20722, VietnamDivisionType.THI_TRAN, "thi_tran_kham_duc", 511),
  "W_20725" : VNWard("Xã Phước Xuân", 20725, VietnamDivisionType.XA, "xa_phuoc_xuan", 511),
  "W_20728" : VNWard("Xã Phước Hiệp", 20728, VietnamDivisionType.XA, "xa_phuoc_hiep", 511),
  "W_20729" : VNWard("Xã Phước Hoà", 20729, VietnamDivisionType.XA, "xa_phuoc_hoa", 511),
  "W_20731" : VNWard("Xã Phước Đức", 20731, VietnamDivisionType.XA, "xa_phuoc_duc", 511),
  "W_20734" : VNWard("Xã Phước Năng", 20734, VietnamDivisionType.XA, "xa_phuoc_nang", 511),
  "W_20737" : VNWard("Xã Phước Mỹ", 20737, VietnamDivisionType.XA, "xa_phuoc_my", 511),
  "W_20740" : VNWard("Xã Phước Chánh", 20740, VietnamDivisionType.XA, "xa_phuoc_chanh", 511),
  "W_20743" : VNWard("Xã Phước Công", 20743, VietnamDivisionType.XA, "xa_phuoc_cong", 511),
  "W_20746" : VNWard("Xã Phước Kim", 20746, VietnamDivisionType.XA, "xa_phuoc_kim", 511),
  "W_20749" : VNWard("Xã Phước Lộc", 20749, VietnamDivisionType.XA, "xa_phuoc_loc", 511),
  "W_20752" : VNWard("Xã Phước Thành", 20752, VietnamDivisionType.XA, "xa_phuoc_thanh", 511),
  "W_20758" : VNWard("Xã Hiệp Hòa", 20758, VietnamDivisionType.XA, "xa_hiep_hoa", 512),
  "W_20761" : VNWard("Xã Hiệp Thuận", 20761, VietnamDivisionType.XA, "xa_hiep_thuan", 512),
  "W_20764" : VNWard("Xã Quế Thọ", 20764, VietnamDivisionType.XA, "xa_que_tho", 512),
  "W_20767" : VNWard("Xã Bình Lâm", 20767, VietnamDivisionType.XA, "xa_binh_lam", 512),
  "W_20770" : VNWard("Xã Sông Trà", 20770, VietnamDivisionType.XA, "xa_song_tra", 512),
  "W_20773" : VNWard("Xã Phước Trà", 20773, VietnamDivisionType.XA, "xa_phuoc_tra", 512),
  "W_20776" : VNWard("Xã Phước Gia", 20776, VietnamDivisionType.XA, "xa_phuoc_gia", 512),
  "W_20779" : VNWard("Thị trấn Tân Bình", 20779, VietnamDivisionType.THI_TRAN, "thi_tran_tan_binh", 512),
  "W_20782" : VNWard("Xã Quế Lưu", 20782, VietnamDivisionType.XA, "xa_que_luu", 512),
  "W_20785" : VNWard("Xã Thăng Phước", 20785, VietnamDivisionType.XA, "xa_thang_phuoc", 512),
  "W_20788" : VNWard("Xã Bình Sơn", 20788, VietnamDivisionType.XA, "xa_binh_son", 512),
  "W_20791" : VNWard("Thị trấn Hà Lam", 20791, VietnamDivisionType.THI_TRAN, "thi_tran_ha_lam", 513),
  "W_20794" : VNWard("Xã Bình Dương", 20794, VietnamDivisionType.XA, "xa_binh_duong", 513),
  "W_20797" : VNWard("Xã Bình Giang", 20797, VietnamDivisionType.XA, "xa_binh_giang", 513),
  "W_20800" : VNWard("Xã Bình Nguyên", 20800, VietnamDivisionType.XA, "xa_binh_nguyen", 513),
  "W_20803" : VNWard("Xã Bình Phục", 20803, VietnamDivisionType.XA, "xa_binh_phuc", 513),
  "W_20806" : VNWard("Xã Bình Triều", 20806, VietnamDivisionType.XA, "xa_binh_trieu", 513),
  "W_20809" : VNWard("Xã Bình Đào", 20809, VietnamDivisionType.XA, "xa_binh_dao", 513),
  "W_20812" : VNWard("Xã Bình Minh", 20812, VietnamDivisionType.XA, "xa_binh_minh", 513),
  "W_20815" : VNWard("Xã Bình Lãnh", 20815, VietnamDivisionType.XA, "xa_binh_lanh", 513),
  "W_20818" : VNWard("Xã Bình Trị", 20818, VietnamDivisionType.XA, "xa_binh_tri", 513),
  "W_20821" : VNWard("Xã Bình Định Bắc", 20821, VietnamDivisionType.XA, "xa_binh_dinh_bac", 513),
  "W_20822" : VNWard("Xã Bình Định Nam", 20822, VietnamDivisionType.XA, "xa_binh_dinh_nam", 513),
  "W_20824" : VNWard("Xã Bình Quý", 20824, VietnamDivisionType.XA, "xa_binh_quy", 513),
  "W_20827" : VNWard("Xã Bình Phú", 20827, VietnamDivisionType.XA, "xa_binh_phu", 513),
  "W_20830" : VNWard("Xã Bình Chánh", 20830, VietnamDivisionType.XA, "xa_binh_chanh", 513),
  "W_20833" : VNWard("Xã Bình Tú", 20833, VietnamDivisionType.XA, "xa_binh_tu", 513),
  "W_20836" : VNWard("Xã Bình Sa", 20836, VietnamDivisionType.XA, "xa_binh_sa", 513),
  "W_20839" : VNWard("Xã Bình Hải", 20839, VietnamDivisionType.XA, "xa_binh_hai", 513),
  "W_20842" : VNWard("Xã Bình Quế", 20842, VietnamDivisionType.XA, "xa_binh_que", 513),
  "W_20845" : VNWard("Xã Bình An", 20845, VietnamDivisionType.XA, "xa_binh_an", 513),
  "W_20848" : VNWard("Xã Bình Trung", 20848, VietnamDivisionType.XA, "xa_binh_trung", 513),
  "W_20851" : VNWard("Xã Bình Nam", 20851, VietnamDivisionType.XA, "xa_binh_nam", 513),
  "W_20854" : VNWard("Thị trấn Tiên Kỳ", 20854, VietnamDivisionType.THI_TRAN, "thi_tran_tien_ky", 514),
  "W_20857" : VNWard("Xã Tiên Sơn", 20857, VietnamDivisionType.XA, "xa_tien_son", 514),
  "W_20860" : VNWard("Xã Tiên Hà", 20860, VietnamDivisionType.XA, "xa_tien_ha", 514),
  "W_20863" : VNWard("Xã Tiên Cẩm", 20863, VietnamDivisionType.XA, "xa_tien_cam", 514),
  "W_20866" : VNWard("Xã Tiên Châu", 20866, VietnamDivisionType.XA, "xa_tien_chau", 514),
  "W_20869" : VNWard("Xã Tiên Lãnh", 20869, VietnamDivisionType.XA, "xa_tien_lanh", 514),
  "W_20872" : VNWard("Xã Tiên Ngọc", 20872, VietnamDivisionType.XA, "xa_tien_ngoc", 514),
  "W_20875" : VNWard("Xã Tiên Hiệp", 20875, VietnamDivisionType.XA, "xa_tien_hiep", 514),
  "W_20878" : VNWard("Xã Tiên Cảnh", 20878, VietnamDivisionType.XA, "xa_tien_canh", 514),
  "W_20881" : VNWard("Xã Tiên Mỹ", 20881, VietnamDivisionType.XA, "xa_tien_my", 514),
  "W_20884" : VNWard("Xã Tiên Phong", 20884, VietnamDivisionType.XA, "xa_tien_phong", 514),
  "W_20887" : VNWard("Xã Tiên Thọ", 20887, VietnamDivisionType.XA, "xa_tien_tho", 514),
  "W_20890" : VNWard("Xã Tiên An", 20890, VietnamDivisionType.XA, "xa_tien_an", 514),
  "W_20893" : VNWard("Xã Tiên Lộc", 20893, VietnamDivisionType.XA, "xa_tien_loc", 514),
  "W_20896" : VNWard("Xã Tiên Lập", 20896, VietnamDivisionType.XA, "xa_tien_lap", 514),
  "W_20899" : VNWard("Thị trấn Trà My", 20899, VietnamDivisionType.THI_TRAN, "thi_tran_tra_my", 515),
  "W_20900" : VNWard("Xã Trà Sơn", 20900, VietnamDivisionType.XA, "xa_tra_son", 515),
  "W_20902" : VNWard("Xã Trà Kót", 20902, VietnamDivisionType.XA, "xa_tra_kot", 515),
  "W_20905" : VNWard("Xã Trà Nú", 20905, VietnamDivisionType.XA, "xa_tra_nu", 515),
  "W_20908" : VNWard("Xã Trà Đông", 20908, VietnamDivisionType.XA, "xa_tra_dong", 515),
  "W_20911" : VNWard("Xã Trà Dương", 20911, VietnamDivisionType.XA, "xa_tra_duong", 515),
  "W_20914" : VNWard("Xã Trà Giang", 20914, VietnamDivisionType.XA, "xa_tra_giang", 515),
  "W_20917" : VNWard("Xã Trà Bui", 20917, VietnamDivisionType.XA, "xa_tra_bui", 515),
  "W_20920" : VNWard("Xã Trà Đốc", 20920, VietnamDivisionType.XA, "xa_tra_doc", 515),
  "W_20923" : VNWard("Xã Trà Tân", 20923, VietnamDivisionType.XA, "xa_tra_tan", 515),
  "W_20926" : VNWard("Xã Trà Giác", 20926, VietnamDivisionType.XA, "xa_tra_giac", 515),
  "W_20929" : VNWard("Xã Trà Giáp", 20929, VietnamDivisionType.XA, "xa_tra_giap", 515),
  "W_20932" : VNWard("Xã Trà Ka", 20932, VietnamDivisionType.XA, "xa_tra_ka", 515),
  "W_20935" : VNWard("Xã Trà Leng", 20935, VietnamDivisionType.XA, "xa_tra_leng", 516),
  "W_20938" : VNWard("Xã Trà Dơn", 20938, VietnamDivisionType.XA, "xa_tra_don", 516),
  "W_20941" : VNWard("Xã Trà Tập", 20941, VietnamDivisionType.XA, "xa_tra_tap", 516),
  "W_20944" : VNWard("Xã Trà Mai", 20944, VietnamDivisionType.XA, "xa_tra_mai", 516),
  "W_20947" : VNWard("Xã Trà Cang", 20947, VietnamDivisionType.XA, "xa_tra_cang", 516),
  "W_20950" : VNWard("Xã Trà Linh", 20950, VietnamDivisionType.XA, "xa_tra_linh", 516),
  "W_20953" : VNWard("Xã Trà Nam", 20953, VietnamDivisionType.XA, "xa_tra_nam", 516),
  "W_20956" : VNWard("Xã Trà Don", 20956, VietnamDivisionType.XA, "xa_tra_don", 516),
  "W_20959" : VNWard("Xã Trà Vân", 20959, VietnamDivisionType.XA, "xa_tra_van", 516),
  "W_20962" : VNWard("Xã Trà Vinh", 20962, VietnamDivisionType.XA, "xa_tra_vinh", 516),
  "W_20965" : VNWard("Thị trấn Núi Thành", 20965, VietnamDivisionType.THI_TRAN, "thi_tran_nui_thanh", 517),
  "W_20968" : VNWard("Xã Tam Xuân I", 20968, VietnamDivisionType.XA, "xa_tam_xuan_i", 517),
  "W_20971" : VNWard("Xã Tam Xuân II", 20971, VietnamDivisionType.XA, "xa_tam_xuan_ii", 517),
  "W_20974" : VNWard("Xã Tam Tiến", 20974, VietnamDivisionType.XA, "xa_tam_tien", 517),
  "W_20977" : VNWard("Xã Tam Sơn", 20977, VietnamDivisionType.XA, "xa_tam_son", 517),
  "W_20980" : VNWard("Xã Tam Thạnh", 20980, VietnamDivisionType.XA, "xa_tam_thanh", 517),
  "W_20983" : VNWard("Xã Tam Anh Bắc", 20983, VietnamDivisionType.XA, "xa_tam_anh_bac", 517),
  "W_20984" : VNWard("Xã Tam Anh Nam", 20984, VietnamDivisionType.XA, "xa_tam_anh_nam", 517),
  "W_20986" : VNWard("Xã Tam Hòa", 20986, VietnamDivisionType.XA, "xa_tam_hoa", 517),
  "W_20989" : VNWard("Xã Tam Hiệp", 20989, VietnamDivisionType.XA, "xa_tam_hiep", 517),
  "W_20992" : VNWard("Xã Tam Hải", 20992, VietnamDivisionType.XA, "xa_tam_hai", 517),
  "W_20995" : VNWard("Xã Tam Giang", 20995, VietnamDivisionType.XA, "xa_tam_giang", 517),
  "W_20998" : VNWard("Xã Tam Quang", 20998, VietnamDivisionType.XA, "xa_tam_quang", 517),
  "W_21001" : VNWard("Xã Tam Nghĩa", 21001, VietnamDivisionType.XA, "xa_tam_nghia", 517),
  "W_21004" : VNWard("Xã Tam Mỹ Tây", 21004, VietnamDivisionType.XA, "xa_tam_my_tay", 517),
  "W_21005" : VNWard("Xã Tam Mỹ Đông", 21005, VietnamDivisionType.XA, "xa_tam_my_dong", 517),
  "W_21007" : VNWard("Xã Tam Trà", 21007, VietnamDivisionType.XA, "xa_tam_tra", 517),
  "W_20364" : VNWard("Thị trấn Phú Thịnh", 20364, VietnamDivisionType.THI_TRAN, "thi_tran_phu_thinh", 518),
  "W_20365" : VNWard("Xã Tam Thành", 20365, VietnamDivisionType.XA, "xa_tam_thanh", 518),
  "W_20368" : VNWard("Xã Tam An", 20368, VietnamDivisionType.XA, "xa_tam_an", 518),
  "W_20374" : VNWard("Xã Tam Đàn", 20374, VietnamDivisionType.XA, "xa_tam_dan", 518),
  "W_20377" : VNWard("Xã Tam Lộc", 20377, VietnamDivisionType.XA, "xa_tam_loc", 518),
  "W_20380" : VNWard("Xã Tam Phước", 20380, VietnamDivisionType.XA, "xa_tam_phuoc", 518),
  "W_20383" : VNWard("Xã Tam Vinh", 20383, VietnamDivisionType.XA, "xa_tam_vinh", 518),
  "W_20386" : VNWard("Xã Tam Thái", 20386, VietnamDivisionType.XA, "xa_tam_thai", 518),
  "W_20387" : VNWard("Xã Tam Đại", 20387, VietnamDivisionType.XA, "xa_tam_dai", 518),
  "W_20392" : VNWard("Xã Tam Dân", 20392, VietnamDivisionType.XA, "xa_tam_dan", 518),
  "W_20395" : VNWard("Xã Tam Lãnh", 20395, VietnamDivisionType.XA, "xa_tam_lanh", 518),
  "W_20656" : VNWard("Xã Quế Trung", 20656, VietnamDivisionType.XA, "xa_que_trung", 519),
  "W_20668" : VNWard("Xã Ninh Phước", 20668, VietnamDivisionType.XA, "xa_ninh_phuoc", 519),
  "W_20669" : VNWard("Xã Phước Ninh", 20669, VietnamDivisionType.XA, "xa_phuoc_ninh", 519),
  "W_20671" : VNWard("Xã Quế Lộc", 20671, VietnamDivisionType.XA, "xa_que_loc", 519),
  "W_20672" : VNWard("Xã Sơn Viên", 20672, VietnamDivisionType.XA, "xa_son_vien", 519),
  "W_20692" : VNWard("Xã Quế Lâm", 20692, VietnamDivisionType.XA, "xa_que_lam", 519),
  "W_21010" : VNWard("Phường Lê Hồng Phong", 21010, VietnamDivisionType.PHUONG, "phuong_le_hong_phong", 522),
  "W_21013" : VNWard("Phường Trần Phú", 21013, VietnamDivisionType.PHUONG, "phuong_tran_phu", 522),
  "W_21016" : VNWard("Phường Quảng Phú", 21016, VietnamDivisionType.PHUONG, "phuong_quang_phu", 522),
  "W_21019" : VNWard("Phường Nghĩa Chánh", 21019, VietnamDivisionType.PHUONG, "phuong_nghia_chanh", 522),
  "W_21022" : VNWard("Phường Trần Hưng Đạo", 21022, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 522),
  "W_21025" : VNWard("Phường Nguyễn Nghiêm", 21025, VietnamDivisionType.PHUONG, "phuong_nguyen_nghiem", 522),
  "W_21028" : VNWard("Phường Nghĩa Lộ", 21028, VietnamDivisionType.PHUONG, "phuong_nghia_lo", 522),
  "W_21031" : VNWard("Phường Chánh Lộ", 21031, VietnamDivisionType.PHUONG, "phuong_chanh_lo", 522),
  "W_21034" : VNWard("Xã Nghĩa Dũng", 21034, VietnamDivisionType.XA, "xa_nghia_dung", 522),
  "W_21037" : VNWard("Xã Nghĩa Dõng", 21037, VietnamDivisionType.XA, "xa_nghia_dong", 522),
  "W_21172" : VNWard("Phường Trương Quang Trọng", 21172, VietnamDivisionType.PHUONG, "phuong_truong_quang_trong", 522),
  "W_21187" : VNWard("Xã Tịnh Hòa", 21187, VietnamDivisionType.XA, "xa_tinh_hoa", 522),
  "W_21190" : VNWard("Xã Tịnh Kỳ", 21190, VietnamDivisionType.XA, "xa_tinh_ky", 522),
  "W_21199" : VNWard("Xã Tịnh Thiện", 21199, VietnamDivisionType.XA, "xa_tinh_thien", 522),
  "W_21202" : VNWard("Xã Tịnh Ấn Đông", 21202, VietnamDivisionType.XA, "xa_tinh_an_dong", 522),
  "W_21208" : VNWard("Xã Tịnh Châu", 21208, VietnamDivisionType.XA, "xa_tinh_chau", 522),
  "W_21211" : VNWard("Xã Tịnh Khê", 21211, VietnamDivisionType.XA, "xa_tinh_khe", 522),
  "W_21214" : VNWard("Xã Tịnh Long", 21214, VietnamDivisionType.XA, "xa_tinh_long", 522),
  "W_21223" : VNWard("Xã Tịnh Ấn Tây", 21223, VietnamDivisionType.XA, "xa_tinh_an_tay", 522),
  "W_21232" : VNWard("Xã Tịnh An", 21232, VietnamDivisionType.XA, "xa_tinh_an", 522),
  "W_21253" : VNWard("Xã Nghĩa Phú", 21253, VietnamDivisionType.XA, "xa_nghia_phu", 522),
  "W_21256" : VNWard("Xã Nghĩa Hà", 21256, VietnamDivisionType.XA, "xa_nghia_ha", 522),
  "W_21262" : VNWard("Xã Nghĩa An", 21262, VietnamDivisionType.XA, "xa_nghia_an", 522),
  "W_21040" : VNWard("Thị trấn Châu Ổ", 21040, VietnamDivisionType.THI_TRAN, "thi_tran_chau_o", 524),
  "W_21043" : VNWard("Xã Bình Thuận", 21043, VietnamDivisionType.XA, "xa_binh_thuan", 524),
  "W_21046" : VNWard("Xã Bình Thạnh", 21046, VietnamDivisionType.XA, "xa_binh_thanh", 524),
  "W_21049" : VNWard("Xã Bình Đông", 21049, VietnamDivisionType.XA, "xa_binh_dong", 524),
  "W_21052" : VNWard("Xã Bình Chánh", 21052, VietnamDivisionType.XA, "xa_binh_chanh", 524),
  "W_21055" : VNWard("Xã Bình Nguyên", 21055, VietnamDivisionType.XA, "xa_binh_nguyen", 524),
  "W_21058" : VNWard("Xã Bình Khương", 21058, VietnamDivisionType.XA, "xa_binh_khuong", 524),
  "W_21061" : VNWard("Xã Bình Trị", 21061, VietnamDivisionType.XA, "xa_binh_tri", 524),
  "W_21064" : VNWard("Xã Bình An", 21064, VietnamDivisionType.XA, "xa_binh_an", 524),
  "W_21067" : VNWard("Xã Bình Hải", 21067, VietnamDivisionType.XA, "xa_binh_hai", 524),
  "W_21070" : VNWard("Xã Bình Dương", 21070, VietnamDivisionType.XA, "xa_binh_duong", 524),
  "W_21073" : VNWard("Xã Bình Phước", 21073, VietnamDivisionType.XA, "xa_binh_phuoc", 524),
  "W_21079" : VNWard("Xã Bình Hòa", 21079, VietnamDivisionType.XA, "xa_binh_hoa", 524),
  "W_21082" : VNWard("Xã Bình Trung", 21082, VietnamDivisionType.XA, "xa_binh_trung", 524),
  "W_21085" : VNWard("Xã Bình Minh", 21085, VietnamDivisionType.XA, "xa_binh_minh", 524),
  "W_21088" : VNWard("Xã Bình Long", 21088, VietnamDivisionType.XA, "xa_binh_long", 524),
  "W_21091" : VNWard("Xã Bình Thanh", 21091, VietnamDivisionType.XA, "xa_binh_thanh", 524),
  "W_21100" : VNWard("Xã Bình Chương", 21100, VietnamDivisionType.XA, "xa_binh_chuong", 524),
  "W_21103" : VNWard("Xã Bình Hiệp", 21103, VietnamDivisionType.XA, "xa_binh_hiep", 524),
  "W_21106" : VNWard("Xã Bình Mỹ", 21106, VietnamDivisionType.XA, "xa_binh_my", 524),
  "W_21109" : VNWard("Xã Bình Tân Phú", 21109, VietnamDivisionType.XA, "xa_binh_tan_phu", 524),
  "W_21112" : VNWard("Xã Bình Châu", 21112, VietnamDivisionType.XA, "xa_binh_chau", 524),
  "W_21115" : VNWard("Thị trấn Trà Xuân", 21115, VietnamDivisionType.THI_TRAN, "thi_tran_tra_xuan", 525),
  "W_21118" : VNWard("Xã Trà Giang", 21118, VietnamDivisionType.XA, "xa_tra_giang", 525),
  "W_21121" : VNWard("Xã Trà Thủy", 21121, VietnamDivisionType.XA, "xa_tra_thuy", 525),
  "W_21124" : VNWard("Xã Trà Hiệp", 21124, VietnamDivisionType.XA, "xa_tra_hiep", 525),
  "W_21127" : VNWard("Xã Trà Bình", 21127, VietnamDivisionType.XA, "xa_tra_binh", 525),
  "W_21130" : VNWard("Xã Trà Phú", 21130, VietnamDivisionType.XA, "xa_tra_phu", 525),
  "W_21133" : VNWard("Xã Trà Lâm", 21133, VietnamDivisionType.XA, "xa_tra_lam", 525),
  "W_21136" : VNWard("Xã Trà Tân", 21136, VietnamDivisionType.XA, "xa_tra_tan", 525),
  "W_21139" : VNWard("Xã Trà Sơn", 21139, VietnamDivisionType.XA, "xa_tra_son", 525),
  "W_21142" : VNWard("Xã Trà Bùi", 21142, VietnamDivisionType.XA, "xa_tra_bui", 525),
  "W_21145" : VNWard("Xã Trà Thanh", 21145, VietnamDivisionType.XA, "xa_tra_thanh", 525),
  "W_21148" : VNWard("Xã Sơn Trà", 21148, VietnamDivisionType.XA, "xa_son_tra", 525),
  "W_21154" : VNWard("Xã Trà Phong", 21154, VietnamDivisionType.XA, "xa_tra_phong", 525),
  "W_21157" : VNWard("Xã Hương Trà", 21157, VietnamDivisionType.XA, "xa_huong_tra", 525),
  "W_21163" : VNWard("Xã Trà Xinh", 21163, VietnamDivisionType.XA, "xa_tra_xinh", 525),
  "W_21166" : VNWard("Xã Trà Tây", 21166, VietnamDivisionType.XA, "xa_tra_tay", 525),
  "W_21175" : VNWard("Xã Tịnh Thọ", 21175, VietnamDivisionType.XA, "xa_tinh_tho", 527),
  "W_21178" : VNWard("Xã Tịnh Trà", 21178, VietnamDivisionType.XA, "xa_tinh_tra", 527),
  "W_21181" : VNWard("Xã Tịnh Phong", 21181, VietnamDivisionType.XA, "xa_tinh_phong", 527),
  "W_21184" : VNWard("Xã Tịnh Hiệp", 21184, VietnamDivisionType.XA, "xa_tinh_hiep", 527),
  "W_21193" : VNWard("Xã Tịnh Bình", 21193, VietnamDivisionType.XA, "xa_tinh_binh", 527),
  "W_21196" : VNWard("Xã Tịnh Đông", 21196, VietnamDivisionType.XA, "xa_tinh_dong", 527),
  "W_21205" : VNWard("Xã Tịnh Bắc", 21205, VietnamDivisionType.XA, "xa_tinh_bac", 527),
  "W_21217" : VNWard("Xã Tịnh Sơn", 21217, VietnamDivisionType.XA, "xa_tinh_son", 527),
  "W_21220" : VNWard("Xã Tịnh Hà", 21220, VietnamDivisionType.XA, "xa_tinh_ha", 527),
  "W_21226" : VNWard("Xã Tịnh Giang", 21226, VietnamDivisionType.XA, "xa_tinh_giang", 527),
  "W_21229" : VNWard("Xã Tịnh Minh", 21229, VietnamDivisionType.XA, "xa_tinh_minh", 527),
  "W_21235" : VNWard("Thị trấn La Hà", 21235, VietnamDivisionType.THI_TRAN, "thi_tran_la_ha", 528),
  "W_21238" : VNWard("Thị trấn Sông Vệ", 21238, VietnamDivisionType.THI_TRAN, "thi_tran_song_ve", 528),
  "W_21241" : VNWard("Xã Nghĩa Lâm", 21241, VietnamDivisionType.XA, "xa_nghia_lam", 528),
  "W_21244" : VNWard("Xã Nghĩa Thắng", 21244, VietnamDivisionType.XA, "xa_nghia_thang", 528),
  "W_21247" : VNWard("Xã Nghĩa Thuận", 21247, VietnamDivisionType.XA, "xa_nghia_thuan", 528),
  "W_21250" : VNWard("Xã Nghĩa Kỳ", 21250, VietnamDivisionType.XA, "xa_nghia_ky", 528),
  "W_21259" : VNWard("Xã Nghĩa Sơn", 21259, VietnamDivisionType.XA, "xa_nghia_son", 528),
  "W_21268" : VNWard("Xã Nghĩa Hòa", 21268, VietnamDivisionType.XA, "xa_nghia_hoa", 528),
  "W_21271" : VNWard("Xã Nghĩa Điền", 21271, VietnamDivisionType.XA, "xa_nghia_dien", 528),
  "W_21274" : VNWard("Xã Nghĩa Thương", 21274, VietnamDivisionType.XA, "xa_nghia_thuong", 528),
  "W_21277" : VNWard("Xã Nghĩa Trung", 21277, VietnamDivisionType.XA, "xa_nghia_trung", 528),
  "W_21280" : VNWard("Xã Nghĩa Hiệp", 21280, VietnamDivisionType.XA, "xa_nghia_hiep", 528),
  "W_21283" : VNWard("Xã Nghĩa Phương", 21283, VietnamDivisionType.XA, "xa_nghia_phuong", 528),
  "W_21286" : VNWard("Xã Nghĩa Mỹ", 21286, VietnamDivisionType.XA, "xa_nghia_my", 528),
  "W_21289" : VNWard("Thị trấn Di Lăng", 21289, VietnamDivisionType.THI_TRAN, "thi_tran_di_lang", 529),
  "W_21292" : VNWard("Xã Sơn Hạ", 21292, VietnamDivisionType.XA, "xa_son_ha", 529),
  "W_21295" : VNWard("Xã Sơn Thành", 21295, VietnamDivisionType.XA, "xa_son_thanh", 529),
  "W_21298" : VNWard("Xã Sơn Nham", 21298, VietnamDivisionType.XA, "xa_son_nham", 529),
  "W_21301" : VNWard("Xã Sơn Bao", 21301, VietnamDivisionType.XA, "xa_son_bao", 529),
  "W_21304" : VNWard("Xã Sơn Linh", 21304, VietnamDivisionType.XA, "xa_son_linh", 529),
  "W_21307" : VNWard("Xã Sơn Giang", 21307, VietnamDivisionType.XA, "xa_son_giang", 529),
  "W_21310" : VNWard("Xã Sơn Trung", 21310, VietnamDivisionType.XA, "xa_son_trung", 529),
  "W_21313" : VNWard("Xã Sơn Thượng", 21313, VietnamDivisionType.XA, "xa_son_thuong", 529),
  "W_21316" : VNWard("Xã Sơn Cao", 21316, VietnamDivisionType.XA, "xa_son_cao", 529),
  "W_21319" : VNWard("Xã Sơn Hải", 21319, VietnamDivisionType.XA, "xa_son_hai", 529),
  "W_21322" : VNWard("Xã Sơn Thủy", 21322, VietnamDivisionType.XA, "xa_son_thuy", 529),
  "W_21325" : VNWard("Xã Sơn Kỳ", 21325, VietnamDivisionType.XA, "xa_son_ky", 529),
  "W_21328" : VNWard("Xã Sơn Ba", 21328, VietnamDivisionType.XA, "xa_son_ba", 529),
  "W_21331" : VNWard("Xã Sơn Bua", 21331, VietnamDivisionType.XA, "xa_son_bua", 530),
  "W_21334" : VNWard("Xã Sơn Mùa", 21334, VietnamDivisionType.XA, "xa_son_mua", 530),
  "W_21335" : VNWard("Xã Sơn Liên", 21335, VietnamDivisionType.XA, "xa_son_lien", 530),
  "W_21337" : VNWard("Xã Sơn Tân", 21337, VietnamDivisionType.XA, "xa_son_tan", 530),
  "W_21338" : VNWard("Xã Sơn Màu", 21338, VietnamDivisionType.XA, "xa_son_mau", 530),
  "W_21340" : VNWard("Xã Sơn Dung", 21340, VietnamDivisionType.XA, "xa_son_dung", 530),
  "W_21341" : VNWard("Xã Sơn Long", 21341, VietnamDivisionType.XA, "xa_son_long", 530),
  "W_21343" : VNWard("Xã Sơn Tinh", 21343, VietnamDivisionType.XA, "xa_son_tinh", 530),
  "W_21346" : VNWard("Xã Sơn Lập", 21346, VietnamDivisionType.XA, "xa_son_lap", 530),
  "W_21349" : VNWard("Xã Long Sơn", 21349, VietnamDivisionType.XA, "xa_long_son", 531),
  "W_21352" : VNWard("Xã Long Mai", 21352, VietnamDivisionType.XA, "xa_long_mai", 531),
  "W_21355" : VNWard("Xã Thanh An", 21355, VietnamDivisionType.XA, "xa_thanh_an", 531),
  "W_21358" : VNWard("Xã Long Môn", 21358, VietnamDivisionType.XA, "xa_long_mon", 531),
  "W_21361" : VNWard("Xã Long Hiệp", 21361, VietnamDivisionType.XA, "xa_long_hiep", 531),
  "W_21364" : VNWard("Thị trấn Chợ Chùa", 21364, VietnamDivisionType.THI_TRAN, "thi_tran_cho_chua", 532),
  "W_21367" : VNWard("Xã Hành Thuận", 21367, VietnamDivisionType.XA, "xa_hanh_thuan", 532),
  "W_21370" : VNWard("Xã Hành Dũng", 21370, VietnamDivisionType.XA, "xa_hanh_dung", 532),
  "W_21373" : VNWard("Xã Hành Trung", 21373, VietnamDivisionType.XA, "xa_hanh_trung", 532),
  "W_21376" : VNWard("Xã Hành Nhân", 21376, VietnamDivisionType.XA, "xa_hanh_nhan", 532),
  "W_21379" : VNWard("Xã Hành Đức", 21379, VietnamDivisionType.XA, "xa_hanh_duc", 532),
  "W_21382" : VNWard("Xã Hành Minh", 21382, VietnamDivisionType.XA, "xa_hanh_minh", 532),
  "W_21385" : VNWard("Xã Hành Phước", 21385, VietnamDivisionType.XA, "xa_hanh_phuoc", 532),
  "W_21388" : VNWard("Xã Hành Thiện", 21388, VietnamDivisionType.XA, "xa_hanh_thien", 532),
  "W_21391" : VNWard("Xã Hành Thịnh", 21391, VietnamDivisionType.XA, "xa_hanh_thinh", 532),
  "W_21394" : VNWard("Xã Hành Tín Tây", 21394, VietnamDivisionType.XA, "xa_hanh_tin_tay", 532),
  "W_21397" : VNWard("Xã Hành Tín Đông", 21397, VietnamDivisionType.XA, "xa_hanh_tin_dong", 532),
  "W_21400" : VNWard("Thị trấn Mộ Đức", 21400, VietnamDivisionType.THI_TRAN, "thi_tran_mo_duc", 533),
  "W_21403" : VNWard("Xã Đức Lợi", 21403, VietnamDivisionType.XA, "xa_duc_loi", 533),
  "W_21406" : VNWard("Xã Đức Thắng", 21406, VietnamDivisionType.XA, "xa_duc_thang", 533),
  "W_21409" : VNWard("Xã Đức Nhuận", 21409, VietnamDivisionType.XA, "xa_duc_nhuan", 533),
  "W_21412" : VNWard("Xã Đức Chánh", 21412, VietnamDivisionType.XA, "xa_duc_chanh", 533),
  "W_21415" : VNWard("Xã Đức Hiệp", 21415, VietnamDivisionType.XA, "xa_duc_hiep", 533),
  "W_21418" : VNWard("Xã Đức Minh", 21418, VietnamDivisionType.XA, "xa_duc_minh", 533),
  "W_21421" : VNWard("Xã Đức Thạnh", 21421, VietnamDivisionType.XA, "xa_duc_thanh", 533),
  "W_21424" : VNWard("Xã Đức Hòa", 21424, VietnamDivisionType.XA, "xa_duc_hoa", 533),
  "W_21427" : VNWard("Xã Đức Tân", 21427, VietnamDivisionType.XA, "xa_duc_tan", 533),
  "W_21430" : VNWard("Xã Đức Phú", 21430, VietnamDivisionType.XA, "xa_duc_phu", 533),
  "W_21433" : VNWard("Xã Đức Phong", 21433, VietnamDivisionType.XA, "xa_duc_phong", 533),
  "W_21436" : VNWard("Xã Đức Lân", 21436, VietnamDivisionType.XA, "xa_duc_lan", 533),
  "W_21439" : VNWard("Phường Nguyễn Nghiêm", 21439, VietnamDivisionType.PHUONG, "phuong_nguyen_nghiem", 534),
  "W_21442" : VNWard("Xã Phổ An", 21442, VietnamDivisionType.XA, "xa_pho_an", 534),
  "W_21445" : VNWard("Xã Phổ Phong", 21445, VietnamDivisionType.XA, "xa_pho_phong", 534),
  "W_21448" : VNWard("Xã Phổ Thuận", 21448, VietnamDivisionType.XA, "xa_pho_thuan", 534),
  "W_21451" : VNWard("Phường Phổ Văn", 21451, VietnamDivisionType.PHUONG, "phuong_pho_van", 534),
  "W_21454" : VNWard("Phường Phổ Quang", 21454, VietnamDivisionType.PHUONG, "phuong_pho_quang", 534),
  "W_21457" : VNWard("Xã Phổ Nhơn", 21457, VietnamDivisionType.XA, "xa_pho_nhon", 534),
  "W_21460" : VNWard("Phường Phổ Ninh", 21460, VietnamDivisionType.PHUONG, "phuong_pho_ninh", 534),
  "W_21463" : VNWard("Phường Phổ Minh", 21463, VietnamDivisionType.PHUONG, "phuong_pho_minh", 534),
  "W_21466" : VNWard("Phường Phổ Vinh", 21466, VietnamDivisionType.PHUONG, "phuong_pho_vinh", 534),
  "W_21469" : VNWard("Phường Phổ Hòa", 21469, VietnamDivisionType.PHUONG, "phuong_pho_hoa", 534),
  "W_21472" : VNWard("Xã Phổ Cường", 21472, VietnamDivisionType.XA, "xa_pho_cuong", 534),
  "W_21475" : VNWard("Xã Phổ Khánh", 21475, VietnamDivisionType.XA, "xa_pho_khanh", 534),
  "W_21478" : VNWard("Phường Phổ Thạnh", 21478, VietnamDivisionType.PHUONG, "phuong_pho_thanh", 534),
  "W_21481" : VNWard("Xã Phổ Châu", 21481, VietnamDivisionType.XA, "xa_pho_chau", 534),
  "W_21484" : VNWard("Thị trấn Ba Tơ", 21484, VietnamDivisionType.THI_TRAN, "thi_tran_ba_to", 535),
  "W_21487" : VNWard("Xã Ba Điền", 21487, VietnamDivisionType.XA, "xa_ba_dien", 535),
  "W_21490" : VNWard("Xã Ba Vinh", 21490, VietnamDivisionType.XA, "xa_ba_vinh", 535),
  "W_21493" : VNWard("Xã Ba Thành", 21493, VietnamDivisionType.XA, "xa_ba_thanh", 535),
  "W_21496" : VNWard("Xã Ba Động", 21496, VietnamDivisionType.XA, "xa_ba_dong", 535),
  "W_21499" : VNWard("Xã Ba Dinh", 21499, VietnamDivisionType.XA, "xa_ba_dinh", 535),
  "W_21500" : VNWard("Xã Ba Giang", 21500, VietnamDivisionType.XA, "xa_ba_giang", 535),
  "W_21502" : VNWard("Xã Ba Liên", 21502, VietnamDivisionType.XA, "xa_ba_lien", 535),
  "W_21505" : VNWard("Xã Ba Ngạc", 21505, VietnamDivisionType.XA, "xa_ba_ngac", 535),
  "W_21508" : VNWard("Xã Ba Khâm", 21508, VietnamDivisionType.XA, "xa_ba_kham", 535),
  "W_21511" : VNWard("Xã Ba Cung", 21511, VietnamDivisionType.XA, "xa_ba_cung", 535),
  "W_21517" : VNWard("Xã Ba Tiêu", 21517, VietnamDivisionType.XA, "xa_ba_tieu", 535),
  "W_21520" : VNWard("Xã Ba Trang", 21520, VietnamDivisionType.XA, "xa_ba_trang", 535),
  "W_21523" : VNWard("Xã Ba Tô", 21523, VietnamDivisionType.XA, "xa_ba_to", 535),
  "W_21526" : VNWard("Xã Ba Bích", 21526, VietnamDivisionType.XA, "xa_ba_bich", 535),
  "W_21529" : VNWard("Xã Ba Vì", 21529, VietnamDivisionType.XA, "xa_ba_vi", 535),
  "W_21532" : VNWard("Xã Ba Lế", 21532, VietnamDivisionType.XA, "xa_ba_le", 535),
  "W_21535" : VNWard("Xã Ba Nam", 21535, VietnamDivisionType.XA, "xa_ba_nam", 535),
  "W_21538" : VNWard("Xã Ba Xa", 21538, VietnamDivisionType.XA, "xa_ba_xa", 535),
  "W_21550" : VNWard("Phường Nhơn Bình", 21550, VietnamDivisionType.PHUONG, "phuong_nhon_binh", 540),
  "W_21553" : VNWard("Phường Nhơn Phú", 21553, VietnamDivisionType.PHUONG, "phuong_nhon_phu", 540),
  "W_21556" : VNWard("Phường Đống Đa", 21556, VietnamDivisionType.PHUONG, "phuong_dong_da", 540),
  "W_21559" : VNWard("Phường Trần Quang Diệu", 21559, VietnamDivisionType.PHUONG, "phuong_tran_quang_dieu", 540),
  "W_21562" : VNWard("Phường Hải Cảng", 21562, VietnamDivisionType.PHUONG, "phuong_hai_cang", 540),
  "W_21565" : VNWard("Phường Quang Trung", 21565, VietnamDivisionType.PHUONG, "phuong_quang_trung", 540),
  "W_21568" : VNWard("Phường Thị Nại", 21568, VietnamDivisionType.PHUONG, "phuong_thi_nai", 540),
  "W_21571" : VNWard("Phường Lê Hồng Phong", 21571, VietnamDivisionType.PHUONG, "phuong_le_hong_phong", 540),
  "W_21574" : VNWard("Phường Trần Hưng Đạo", 21574, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 540),
  "W_21577" : VNWard("Phường Ngô Mây", 21577, VietnamDivisionType.PHUONG, "phuong_ngo_may", 540),
  "W_21580" : VNWard("Phường Lý Thường Kiệt", 21580, VietnamDivisionType.PHUONG, "phuong_ly_thuong_kiet", 540),
  "W_21583" : VNWard("Phường Lê Lợi", 21583, VietnamDivisionType.PHUONG, "phuong_le_loi", 540),
  "W_21586" : VNWard("Phường Trần Phú", 21586, VietnamDivisionType.PHUONG, "phuong_tran_phu", 540),
  "W_21589" : VNWard("Phường Bùi Thị Xuân", 21589, VietnamDivisionType.PHUONG, "phuong_bui_thi_xuan", 540),
  "W_21592" : VNWard("Phường Nguyễn Văn Cừ", 21592, VietnamDivisionType.PHUONG, "phuong_nguyen_van_cu", 540),
  "W_21595" : VNWard("Phường Ghềnh Ráng", 21595, VietnamDivisionType.PHUONG, "phuong_ghenh_rang", 540),
  "W_21598" : VNWard("Xã Nhơn Lý", 21598, VietnamDivisionType.XA, "xa_nhon_ly", 540),
  "W_21601" : VNWard("Xã Nhơn Hội", 21601, VietnamDivisionType.XA, "xa_nhon_hoi", 540),
  "W_21604" : VNWard("Xã Nhơn Hải", 21604, VietnamDivisionType.XA, "xa_nhon_hai", 540),
  "W_21607" : VNWard("Xã Nhơn Châu", 21607, VietnamDivisionType.XA, "xa_nhon_chau", 540),
  "W_21991" : VNWard("Xã Phước Mỹ", 21991, VietnamDivisionType.XA, "xa_phuoc_my", 540),
  "W_21609" : VNWard("Thị trấn An Lão", 21609, VietnamDivisionType.THI_TRAN, "thi_tran_an_lao", 542),
  "W_21610" : VNWard("Xã An Hưng", 21610, VietnamDivisionType.XA, "xa_an_hung", 542),
  "W_21613" : VNWard("Xã An Trung", 21613, VietnamDivisionType.XA, "xa_an_trung", 542),
  "W_21616" : VNWard("Xã An Dũng", 21616, VietnamDivisionType.XA, "xa_an_dung", 542),
  "W_21619" : VNWard("Xã An Vinh", 21619, VietnamDivisionType.XA, "xa_an_vinh", 542),
  "W_21622" : VNWard("Xã An Toàn", 21622, VietnamDivisionType.XA, "xa_an_toan", 542),
  "W_21625" : VNWard("Xã An Tân", 21625, VietnamDivisionType.XA, "xa_an_tan", 542),
  "W_21628" : VNWard("Xã An Hòa", 21628, VietnamDivisionType.XA, "xa_an_hoa", 542),
  "W_21631" : VNWard("Xã An Quang", 21631, VietnamDivisionType.XA, "xa_an_quang", 542),
  "W_21634" : VNWard("Xã An Nghĩa", 21634, VietnamDivisionType.XA, "xa_an_nghia", 542),
  "W_21637" : VNWard("Phường Tam Quan", 21637, VietnamDivisionType.PHUONG, "phuong_tam_quan", 543),
  "W_21640" : VNWard("Phường Bồng Sơn", 21640, VietnamDivisionType.PHUONG, "phuong_bong_son", 543),
  "W_21643" : VNWard("Xã Hoài Sơn", 21643, VietnamDivisionType.XA, "xa_hoai_son", 543),
  "W_21646" : VNWard("Xã Hoài Châu Bắc", 21646, VietnamDivisionType.XA, "xa_hoai_chau_bac", 543),
  "W_21649" : VNWard("Xã Hoài Châu", 21649, VietnamDivisionType.XA, "xa_hoai_chau", 543),
  "W_21652" : VNWard("Xã Hoài Phú", 21652, VietnamDivisionType.XA, "xa_hoai_phu", 543),
  "W_21655" : VNWard("Phường Tam Quan Bắc", 21655, VietnamDivisionType.PHUONG, "phuong_tam_quan_bac", 543),
  "W_21658" : VNWard("Phường Tam Quan Nam", 21658, VietnamDivisionType.PHUONG, "phuong_tam_quan_nam", 543),
  "W_21661" : VNWard("Phường Hoài Hảo", 21661, VietnamDivisionType.PHUONG, "phuong_hoai_hao", 543),
  "W_21664" : VNWard("Phường Hoài Thanh Tây", 21664, VietnamDivisionType.PHUONG, "phuong_hoai_thanh_tay", 543),
  "W_21667" : VNWard("Phường Hoài Thanh", 21667, VietnamDivisionType.PHUONG, "phuong_hoai_thanh", 543),
  "W_21670" : VNWard("Phường Hoài Hương", 21670, VietnamDivisionType.PHUONG, "phuong_hoai_huong", 543),
  "W_21673" : VNWard("Phường Hoài Tân", 21673, VietnamDivisionType.PHUONG, "phuong_hoai_tan", 543),
  "W_21676" : VNWard("Xã Hoài Hải", 21676, VietnamDivisionType.XA, "xa_hoai_hai", 543),
  "W_21679" : VNWard("Phường Hoài Xuân", 21679, VietnamDivisionType.PHUONG, "phuong_hoai_xuan", 543),
  "W_21682" : VNWard("Xã Hoài Mỹ", 21682, VietnamDivisionType.XA, "xa_hoai_my", 543),
  "W_21685" : VNWard("Phường Hoài Đức", 21685, VietnamDivisionType.PHUONG, "phuong_hoai_duc", 543),
  "W_21688" : VNWard("Thị trấn Tăng Bạt Hổ", 21688, VietnamDivisionType.THI_TRAN, "thi_tran_tang_bat_ho", 544),
  "W_21690" : VNWard("Xã Ân Hảo Tây", 21690, VietnamDivisionType.XA, "xa_an_hao_tay", 544),
  "W_21691" : VNWard("Xã Ân Hảo Đông", 21691, VietnamDivisionType.XA, "xa_an_hao_dong", 544),
  "W_21694" : VNWard("Xã Ân Sơn", 21694, VietnamDivisionType.XA, "xa_an_son", 544),
  "W_21697" : VNWard("Xã Ân Mỹ", 21697, VietnamDivisionType.XA, "xa_an_my", 544),
  "W_21700" : VNWard("Xã Đak Mang", 21700, VietnamDivisionType.XA, "xa_dak_mang", 544),
  "W_21703" : VNWard("Xã Ân Tín", 21703, VietnamDivisionType.XA, "xa_an_tin", 544),
  "W_21706" : VNWard("Xã Ân Thạnh", 21706, VietnamDivisionType.XA, "xa_an_thanh", 544),
  "W_21709" : VNWard("Xã Ân Phong", 21709, VietnamDivisionType.XA, "xa_an_phong", 544),
  "W_21712" : VNWard("Xã Ân Đức", 21712, VietnamDivisionType.XA, "xa_an_duc", 544),
  "W_21715" : VNWard("Xã Ân Hữu", 21715, VietnamDivisionType.XA, "xa_an_huu", 544),
  "W_21718" : VNWard("Xã Bok Tới", 21718, VietnamDivisionType.XA, "xa_bok_toi", 544),
  "W_21721" : VNWard("Xã Ân Tường Tây", 21721, VietnamDivisionType.XA, "xa_an_tuong_tay", 544),
  "W_21724" : VNWard("Xã Ân Tường Đông", 21724, VietnamDivisionType.XA, "xa_an_tuong_dong", 544),
  "W_21727" : VNWard("Xã Ân Nghĩa", 21727, VietnamDivisionType.XA, "xa_an_nghia", 544),
  "W_21730" : VNWard("Thị trấn Phù Mỹ", 21730, VietnamDivisionType.THI_TRAN, "thi_tran_phu_my", 545),
  "W_21733" : VNWard("Thị trấn Bình Dương", 21733, VietnamDivisionType.THI_TRAN, "thi_tran_binh_duong", 545),
  "W_21736" : VNWard("Xã Mỹ Đức", 21736, VietnamDivisionType.XA, "xa_my_duc", 545),
  "W_21739" : VNWard("Xã Mỹ Châu", 21739, VietnamDivisionType.XA, "xa_my_chau", 545),
  "W_21742" : VNWard("Xã Mỹ Thắng", 21742, VietnamDivisionType.XA, "xa_my_thang", 545),
  "W_21745" : VNWard("Xã Mỹ Lộc", 21745, VietnamDivisionType.XA, "xa_my_loc", 545),
  "W_21748" : VNWard("Xã Mỹ Lợi", 21748, VietnamDivisionType.XA, "xa_my_loi", 545),
  "W_21751" : VNWard("Xã Mỹ An", 21751, VietnamDivisionType.XA, "xa_my_an", 545),
  "W_21754" : VNWard("Xã Mỹ Phong", 21754, VietnamDivisionType.XA, "xa_my_phong", 545),
  "W_21757" : VNWard("Xã Mỹ Trinh", 21757, VietnamDivisionType.XA, "xa_my_trinh", 545),
  "W_21760" : VNWard("Xã Mỹ Thọ", 21760, VietnamDivisionType.XA, "xa_my_tho", 545),
  "W_21763" : VNWard("Xã Mỹ Hòa", 21763, VietnamDivisionType.XA, "xa_my_hoa", 545),
  "W_21766" : VNWard("Xã Mỹ Thành", 21766, VietnamDivisionType.XA, "xa_my_thanh", 545),
  "W_21769" : VNWard("Xã Mỹ Chánh", 21769, VietnamDivisionType.XA, "xa_my_chanh", 545),
  "W_21772" : VNWard("Xã Mỹ Quang", 21772, VietnamDivisionType.XA, "xa_my_quang", 545),
  "W_21775" : VNWard("Xã Mỹ Hiệp", 21775, VietnamDivisionType.XA, "xa_my_hiep", 545),
  "W_21778" : VNWard("Xã Mỹ Tài", 21778, VietnamDivisionType.XA, "xa_my_tai", 545),
  "W_21781" : VNWard("Xã Mỹ Cát", 21781, VietnamDivisionType.XA, "xa_my_cat", 545),
  "W_21784" : VNWard("Xã Mỹ Chánh Tây", 21784, VietnamDivisionType.XA, "xa_my_chanh_tay", 545),
  "W_21786" : VNWard("Thị trấn Vĩnh Thạnh", 21786, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_thanh", 546),
  "W_21787" : VNWard("Xã Vĩnh Sơn", 21787, VietnamDivisionType.XA, "xa_vinh_son", 546),
  "W_21790" : VNWard("Xã Vĩnh Kim", 21790, VietnamDivisionType.XA, "xa_vinh_kim", 546),
  "W_21796" : VNWard("Xã Vĩnh Hiệp", 21796, VietnamDivisionType.XA, "xa_vinh_hiep", 546),
  "W_21799" : VNWard("Xã Vĩnh Hảo", 21799, VietnamDivisionType.XA, "xa_vinh_hao", 546),
  "W_21801" : VNWard("Xã Vĩnh Hòa", 21801, VietnamDivisionType.XA, "xa_vinh_hoa", 546),
  "W_21802" : VNWard("Xã Vĩnh Thịnh", 21802, VietnamDivisionType.XA, "xa_vinh_thinh", 546),
  "W_21804" : VNWard("Xã Vĩnh Thuận", 21804, VietnamDivisionType.XA, "xa_vinh_thuan", 546),
  "W_21805" : VNWard("Xã Vĩnh Quang", 21805, VietnamDivisionType.XA, "xa_vinh_quang", 546),
  "W_21808" : VNWard("Thị trấn Phú Phong", 21808, VietnamDivisionType.THI_TRAN, "thi_tran_phu_phong", 547),
  "W_21811" : VNWard("Xã Bình Tân", 21811, VietnamDivisionType.XA, "xa_binh_tan", 547),
  "W_21814" : VNWard("Xã Tây Thuận", 21814, VietnamDivisionType.XA, "xa_tay_thuan", 547),
  "W_21817" : VNWard("Xã Bình Thuận", 21817, VietnamDivisionType.XA, "xa_binh_thuan", 547),
  "W_21820" : VNWard("Xã Tây Giang", 21820, VietnamDivisionType.XA, "xa_tay_giang", 547),
  "W_21823" : VNWard("Xã Bình Thành", 21823, VietnamDivisionType.XA, "xa_binh_thanh", 547),
  "W_21826" : VNWard("Xã Tây An", 21826, VietnamDivisionType.XA, "xa_tay_an", 547),
  "W_21829" : VNWard("Xã Bình Hòa", 21829, VietnamDivisionType.XA, "xa_binh_hoa", 547),
  "W_21832" : VNWard("Xã Tây Bình", 21832, VietnamDivisionType.XA, "xa_tay_binh", 547),
  "W_21835" : VNWard("Xã Bình Tường", 21835, VietnamDivisionType.XA, "xa_binh_tuong", 547),
  "W_21838" : VNWard("Xã Tây Vinh", 21838, VietnamDivisionType.XA, "xa_tay_vinh", 547),
  "W_21841" : VNWard("Xã Vĩnh An", 21841, VietnamDivisionType.XA, "xa_vinh_an", 547),
  "W_21844" : VNWard("Xã Tây Xuân", 21844, VietnamDivisionType.XA, "xa_tay_xuan", 547),
  "W_21847" : VNWard("Xã Bình Nghi", 21847, VietnamDivisionType.XA, "xa_binh_nghi", 547),
  "W_21850" : VNWard("Xã Tây Phú", 21850, VietnamDivisionType.XA, "xa_tay_phu", 547),
  "W_21853" : VNWard("Thị trấn Ngô Mây", 21853, VietnamDivisionType.THI_TRAN, "thi_tran_ngo_may", 548),
  "W_21856" : VNWard("Xã Cát Sơn", 21856, VietnamDivisionType.XA, "xa_cat_son", 548),
  "W_21859" : VNWard("Xã Cát Minh", 21859, VietnamDivisionType.XA, "xa_cat_minh", 548),
  "W_21862" : VNWard("Xã Cát Khánh", 21862, VietnamDivisionType.XA, "xa_cat_khanh", 548),
  "W_21865" : VNWard("Xã Cát Tài", 21865, VietnamDivisionType.XA, "xa_cat_tai", 548),
  "W_21868" : VNWard("Xã Cát Lâm", 21868, VietnamDivisionType.XA, "xa_cat_lam", 548),
  "W_21871" : VNWard("Xã Cát Hanh", 21871, VietnamDivisionType.XA, "xa_cat_hanh", 548),
  "W_21874" : VNWard("Xã Cát Thành", 21874, VietnamDivisionType.XA, "xa_cat_thanh", 548),
  "W_21877" : VNWard("Xã Cát Trinh", 21877, VietnamDivisionType.XA, "xa_cat_trinh", 548),
  "W_21880" : VNWard("Xã Cát Hải", 21880, VietnamDivisionType.XA, "xa_cat_hai", 548),
  "W_21883" : VNWard("Xã Cát Hiệp", 21883, VietnamDivisionType.XA, "xa_cat_hiep", 548),
  "W_21886" : VNWard("Xã Cát Nhơn", 21886, VietnamDivisionType.XA, "xa_cat_nhon", 548),
  "W_21889" : VNWard("Xã Cát Hưng", 21889, VietnamDivisionType.XA, "xa_cat_hung", 548),
  "W_21892" : VNWard("Xã Cát Tường", 21892, VietnamDivisionType.XA, "xa_cat_tuong", 548),
  "W_21895" : VNWard("Xã Cát Tân", 21895, VietnamDivisionType.XA, "xa_cat_tan", 548),
  "W_21898" : VNWard("Thị trấn Cát Tiến", 21898, VietnamDivisionType.THI_TRAN, "thi_tran_cat_tien", 548),
  "W_21901" : VNWard("Xã Cát Thắng", 21901, VietnamDivisionType.XA, "xa_cat_thang", 548),
  "W_21904" : VNWard("Xã Cát Chánh", 21904, VietnamDivisionType.XA, "xa_cat_chanh", 548),
  "W_21907" : VNWard("Phường Bình Định", 21907, VietnamDivisionType.PHUONG, "phuong_binh_dinh", 549),
  "W_21910" : VNWard("Phường Đập Đá", 21910, VietnamDivisionType.PHUONG, "phuong_dap_da", 549),
  "W_21913" : VNWard("Xã Nhơn Mỹ", 21913, VietnamDivisionType.XA, "xa_nhon_my", 549),
  "W_21916" : VNWard("Phường Nhơn Thành", 21916, VietnamDivisionType.PHUONG, "phuong_nhon_thanh", 549),
  "W_21919" : VNWard("Xã Nhơn Hạnh", 21919, VietnamDivisionType.XA, "xa_nhon_hanh", 549),
  "W_21922" : VNWard("Xã Nhơn Hậu", 21922, VietnamDivisionType.XA, "xa_nhon_hau", 549),
  "W_21925" : VNWard("Xã Nhơn Phong", 21925, VietnamDivisionType.XA, "xa_nhon_phong", 549),
  "W_21928" : VNWard("Xã Nhơn An", 21928, VietnamDivisionType.XA, "xa_nhon_an", 549),
  "W_21931" : VNWard("Xã Nhơn Phúc", 21931, VietnamDivisionType.XA, "xa_nhon_phuc", 549),
  "W_21934" : VNWard("Phường Nhơn Hưng", 21934, VietnamDivisionType.PHUONG, "phuong_nhon_hung", 549),
  "W_21937" : VNWard("Xã Nhơn Khánh", 21937, VietnamDivisionType.XA, "xa_nhon_khanh", 549),
  "W_21940" : VNWard("Xã Nhơn Lộc", 21940, VietnamDivisionType.XA, "xa_nhon_loc", 549),
  "W_21943" : VNWard("Phường Nhơn Hoà", 21943, VietnamDivisionType.PHUONG, "phuong_nhon_hoa", 549),
  "W_21946" : VNWard("Xã Nhơn Tân", 21946, VietnamDivisionType.XA, "xa_nhon_tan", 549),
  "W_21949" : VNWard("Xã Nhơn Thọ", 21949, VietnamDivisionType.XA, "xa_nhon_tho", 549),
  "W_21952" : VNWard("Thị trấn Tuy Phước", 21952, VietnamDivisionType.THI_TRAN, "thi_tran_tuy_phuoc", 550),
  "W_21955" : VNWard("Thị trấn Diêu Trì", 21955, VietnamDivisionType.THI_TRAN, "thi_tran_dieu_tri", 550),
  "W_21958" : VNWard("Xã Phước Thắng", 21958, VietnamDivisionType.XA, "xa_phuoc_thang", 550),
  "W_21961" : VNWard("Xã Phước Hưng", 21961, VietnamDivisionType.XA, "xa_phuoc_hung", 550),
  "W_21964" : VNWard("Xã Phước Quang", 21964, VietnamDivisionType.XA, "xa_phuoc_quang", 550),
  "W_21967" : VNWard("Xã Phước Hòa", 21967, VietnamDivisionType.XA, "xa_phuoc_hoa", 550),
  "W_21970" : VNWard("Xã Phước Sơn", 21970, VietnamDivisionType.XA, "xa_phuoc_son", 550),
  "W_21973" : VNWard("Xã Phước Hiệp", 21973, VietnamDivisionType.XA, "xa_phuoc_hiep", 550),
  "W_21976" : VNWard("Xã Phước Lộc", 21976, VietnamDivisionType.XA, "xa_phuoc_loc", 550),
  "W_21979" : VNWard("Xã Phước Nghĩa", 21979, VietnamDivisionType.XA, "xa_phuoc_nghia", 550),
  "W_21982" : VNWard("Xã Phước Thuận", 21982, VietnamDivisionType.XA, "xa_phuoc_thuan", 550),
  "W_21985" : VNWard("Xã Phước An", 21985, VietnamDivisionType.XA, "xa_phuoc_an", 550),
  "W_21988" : VNWard("Xã Phước Thành", 21988, VietnamDivisionType.XA, "xa_phuoc_thanh", 550),
  "W_21994" : VNWard("Thị trấn Vân Canh", 21994, VietnamDivisionType.THI_TRAN, "thi_tran_van_canh", 551),
  "W_21997" : VNWard("Xã Canh Liên", 21997, VietnamDivisionType.XA, "xa_canh_lien", 551),
  "W_22000" : VNWard("Xã Canh Hiệp", 22000, VietnamDivisionType.XA, "xa_canh_hiep", 551),
  "W_22003" : VNWard("Xã Canh Vinh", 22003, VietnamDivisionType.XA, "xa_canh_vinh", 551),
  "W_22006" : VNWard("Xã Canh Hiển", 22006, VietnamDivisionType.XA, "xa_canh_hien", 551),
  "W_22009" : VNWard("Xã Canh Thuận", 22009, VietnamDivisionType.XA, "xa_canh_thuan", 551),
  "W_22012" : VNWard("Xã Canh Hòa", 22012, VietnamDivisionType.XA, "xa_canh_hoa", 551),
  "W_22015" : VNWard("Phường 1", 22015, VietnamDivisionType.PHUONG, "phuong_1", 555),
  "W_22018" : VNWard("Phường 8", 22018, VietnamDivisionType.PHUONG, "phuong_8", 555),
  "W_22021" : VNWard("Phường 2", 22021, VietnamDivisionType.PHUONG, "phuong_2", 555),
  "W_22024" : VNWard("Phường 9", 22024, VietnamDivisionType.PHUONG, "phuong_9", 555),
  "W_22027" : VNWard("Phường 3", 22027, VietnamDivisionType.PHUONG, "phuong_3", 555),
  "W_22030" : VNWard("Phường 4", 22030, VietnamDivisionType.PHUONG, "phuong_4", 555),
  "W_22033" : VNWard("Phường 5", 22033, VietnamDivisionType.PHUONG, "phuong_5", 555),
  "W_22036" : VNWard("Phường 7", 22036, VietnamDivisionType.PHUONG, "phuong_7", 555),
  "W_22039" : VNWard("Phường 6", 22039, VietnamDivisionType.PHUONG, "phuong_6", 555),
  "W_22040" : VNWard("Phường Phú Thạnh", 22040, VietnamDivisionType.PHUONG, "phuong_phu_thanh", 555),
  "W_22041" : VNWard("Phường Phú Đông", 22041, VietnamDivisionType.PHUONG, "phuong_phu_dong", 555),
  "W_22042" : VNWard("Xã Hòa Kiến", 22042, VietnamDivisionType.XA, "xa_hoa_kien", 555),
  "W_22045" : VNWard("Xã Bình Kiến", 22045, VietnamDivisionType.XA, "xa_binh_kien", 555),
  "W_22048" : VNWard("Xã Bình Ngọc", 22048, VietnamDivisionType.XA, "xa_binh_ngoc", 555),
  "W_22162" : VNWard("Xã An Phú", 22162, VietnamDivisionType.XA, "xa_an_phu", 555),
  "W_22240" : VNWard("Phường Phú Lâm", 22240, VietnamDivisionType.PHUONG, "phuong_phu_lam", 555),
  "W_22051" : VNWard("Phường Xuân Phú", 22051, VietnamDivisionType.PHUONG, "phuong_xuan_phu", 557),
  "W_22052" : VNWard("Xã Xuân Lâm", 22052, VietnamDivisionType.XA, "xa_xuan_lam", 557),
  "W_22053" : VNWard("Phường Xuân Thành", 22053, VietnamDivisionType.PHUONG, "phuong_xuan_thanh", 557),
  "W_22054" : VNWard("Xã Xuân Hải", 22054, VietnamDivisionType.XA, "xa_xuan_hai", 557),
  "W_22057" : VNWard("Xã Xuân Lộc", 22057, VietnamDivisionType.XA, "xa_xuan_loc", 557),
  "W_22060" : VNWard("Xã Xuân Bình", 22060, VietnamDivisionType.XA, "xa_xuan_binh", 557),
  "W_22066" : VNWard("Xã Xuân Cảnh", 22066, VietnamDivisionType.XA, "xa_xuan_canh", 557),
  "W_22069" : VNWard("Xã Xuân Thịnh", 22069, VietnamDivisionType.XA, "xa_xuan_thinh", 557),
  "W_22072" : VNWard("Xã Xuân Phương", 22072, VietnamDivisionType.XA, "xa_xuan_phuong", 557),
  "W_22073" : VNWard("Phường Xuân Yên", 22073, VietnamDivisionType.PHUONG, "phuong_xuan_yen", 557),
  "W_22075" : VNWard("Xã Xuân Thọ 1", 22075, VietnamDivisionType.XA, "xa_xuan_tho_1", 557),
  "W_22076" : VNWard("Phường Xuân Đài", 22076, VietnamDivisionType.PHUONG, "phuong_xuan_dai", 557),
  "W_22078" : VNWard("Xã Xuân Thọ 2", 22078, VietnamDivisionType.XA, "xa_xuan_tho_2", 557),
  "W_22081" : VNWard("Thị trấn La Hai", 22081, VietnamDivisionType.THI_TRAN, "thi_tran_la_hai", 558),
  "W_22084" : VNWard("Xã Đa Lộc", 22084, VietnamDivisionType.XA, "xa_da_loc", 558),
  "W_22087" : VNWard("Xã Phú Mỡ", 22087, VietnamDivisionType.XA, "xa_phu_mo", 558),
  "W_22090" : VNWard("Xã Xuân Lãnh", 22090, VietnamDivisionType.XA, "xa_xuan_lanh", 558),
  "W_22093" : VNWard("Xã Xuân Long", 22093, VietnamDivisionType.XA, "xa_xuan_long", 558),
  "W_22096" : VNWard("Xã Xuân Quang 1", 22096, VietnamDivisionType.XA, "xa_xuan_quang_1", 558),
  "W_22099" : VNWard("Xã Xuân Sơn Bắc", 22099, VietnamDivisionType.XA, "xa_xuan_son_bac", 558),
  "W_22102" : VNWard("Xã Xuân Quang 2", 22102, VietnamDivisionType.XA, "xa_xuan_quang_2", 558),
  "W_22105" : VNWard("Xã Xuân Sơn Nam", 22105, VietnamDivisionType.XA, "xa_xuan_son_nam", 558),
  "W_22108" : VNWard("Xã Xuân Quang 3", 22108, VietnamDivisionType.XA, "xa_xuan_quang_3", 558),
  "W_22111" : VNWard("Xã Xuân Phước", 22111, VietnamDivisionType.XA, "xa_xuan_phuoc", 558),
  "W_22114" : VNWard("Thị trấn Chí Thạnh", 22114, VietnamDivisionType.THI_TRAN, "thi_tran_chi_thanh", 559),
  "W_22117" : VNWard("Xã An Dân", 22117, VietnamDivisionType.XA, "xa_an_dan", 559),
  "W_22120" : VNWard("Xã An Ninh Tây", 22120, VietnamDivisionType.XA, "xa_an_ninh_tay", 559),
  "W_22123" : VNWard("Xã An Ninh Đông", 22123, VietnamDivisionType.XA, "xa_an_ninh_dong", 559),
  "W_22126" : VNWard("Xã An Thạch", 22126, VietnamDivisionType.XA, "xa_an_thach", 559),
  "W_22129" : VNWard("Xã An Định", 22129, VietnamDivisionType.XA, "xa_an_dinh", 559),
  "W_22132" : VNWard("Xã An Nghiệp", 22132, VietnamDivisionType.XA, "xa_an_nghiep", 559),
  "W_22138" : VNWard("Xã An Cư", 22138, VietnamDivisionType.XA, "xa_an_cu", 559),
  "W_22141" : VNWard("Xã An Xuân", 22141, VietnamDivisionType.XA, "xa_an_xuan", 559),
  "W_22144" : VNWard("Xã An Lĩnh", 22144, VietnamDivisionType.XA, "xa_an_linh", 559),
  "W_22147" : VNWard("Xã An Hòa Hải", 22147, VietnamDivisionType.XA, "xa_an_hoa_hai", 559),
  "W_22150" : VNWard("Xã An Hiệp", 22150, VietnamDivisionType.XA, "xa_an_hiep", 559),
  "W_22153" : VNWard("Xã An Mỹ", 22153, VietnamDivisionType.XA, "xa_an_my", 559),
  "W_22156" : VNWard("Xã An Chấn", 22156, VietnamDivisionType.XA, "xa_an_chan", 559),
  "W_22159" : VNWard("Xã An Thọ", 22159, VietnamDivisionType.XA, "xa_an_tho", 559),
  "W_22165" : VNWard("Thị trấn Củng Sơn", 22165, VietnamDivisionType.THI_TRAN, "thi_tran_cung_son", 560),
  "W_22168" : VNWard("Xã Phước Tân", 22168, VietnamDivisionType.XA, "xa_phuoc_tan", 560),
  "W_22171" : VNWard("Xã Sơn Hội", 22171, VietnamDivisionType.XA, "xa_son_hoi", 560),
  "W_22174" : VNWard("Xã Sơn Định", 22174, VietnamDivisionType.XA, "xa_son_dinh", 560),
  "W_22177" : VNWard("Xã Sơn Long", 22177, VietnamDivisionType.XA, "xa_son_long", 560),
  "W_22180" : VNWard("Xã Cà Lúi", 22180, VietnamDivisionType.XA, "xa_ca_lui", 560),
  "W_22183" : VNWard("Xã Sơn Phước", 22183, VietnamDivisionType.XA, "xa_son_phuoc", 560),
  "W_22186" : VNWard("Xã Sơn Xuân", 22186, VietnamDivisionType.XA, "xa_son_xuan", 560),
  "W_22189" : VNWard("Xã Sơn Nguyên", 22189, VietnamDivisionType.XA, "xa_son_nguyen", 560),
  "W_22192" : VNWard("Xã Eachà Rang", 22192, VietnamDivisionType.XA, "xa_eacha_rang", 560),
  "W_22195" : VNWard("Xã Krông Pa", 22195, VietnamDivisionType.XA, "xa_krong_pa", 560),
  "W_22198" : VNWard("Xã Suối Bạc", 22198, VietnamDivisionType.XA, "xa_suoi_bac", 560),
  "W_22201" : VNWard("Xã Sơn Hà", 22201, VietnamDivisionType.XA, "xa_son_ha", 560),
  "W_22204" : VNWard("Xã Suối Trai", 22204, VietnamDivisionType.XA, "xa_suoi_trai", 560),
  "W_22207" : VNWard("Thị trấn Hai Riêng", 22207, VietnamDivisionType.THI_TRAN, "thi_tran_hai_rieng", 561),
  "W_22210" : VNWard("Xã Ea Lâm", 22210, VietnamDivisionType.XA, "xa_ea_lam", 561),
  "W_22213" : VNWard("Xã Đức Bình Tây", 22213, VietnamDivisionType.XA, "xa_duc_binh_tay", 561),
  "W_22216" : VNWard("Xã Ea Bá", 22216, VietnamDivisionType.XA, "xa_ea_ba", 561),
  "W_22219" : VNWard("Xã Sơn Giang", 22219, VietnamDivisionType.XA, "xa_son_giang", 561),
  "W_22222" : VNWard("Xã Đức Bình Đông", 22222, VietnamDivisionType.XA, "xa_duc_binh_dong", 561),
  "W_22225" : VNWard("Xã EaBar", 22225, VietnamDivisionType.XA, "xa_eabar", 561),
  "W_22228" : VNWard("Xã EaBia", 22228, VietnamDivisionType.XA, "xa_eabia", 561),
  "W_22231" : VNWard("Xã EaTrol", 22231, VietnamDivisionType.XA, "xa_eatrol", 561),
  "W_22234" : VNWard("Xã Sông Hinh", 22234, VietnamDivisionType.XA, "xa_song_hinh", 561),
  "W_22237" : VNWard("Xã Ealy", 22237, VietnamDivisionType.XA, "xa_ealy", 561),
  "W_22249" : VNWard("Xã Sơn Thành Tây", 22249, VietnamDivisionType.XA, "xa_son_thanh_tay", 562),
  "W_22250" : VNWard("Xã Sơn Thành Đông", 22250, VietnamDivisionType.XA, "xa_son_thanh_dong", 562),
  "W_22252" : VNWard("Xã Hòa Bình 1", 22252, VietnamDivisionType.XA, "xa_hoa_binh_1", 562),
  "W_22255" : VNWard("Thị trấn Phú Thứ", 22255, VietnamDivisionType.THI_TRAN, "thi_tran_phu_thu", 562),
  "W_22264" : VNWard("Xã Hòa Phong", 22264, VietnamDivisionType.XA, "xa_hoa_phong", 562),
  "W_22270" : VNWard("Xã Hòa Phú", 22270, VietnamDivisionType.XA, "xa_hoa_phu", 562),
  "W_22273" : VNWard("Xã Hòa Tân Tây", 22273, VietnamDivisionType.XA, "xa_hoa_tan_tay", 562),
  "W_22276" : VNWard("Xã Hòa Đồng", 22276, VietnamDivisionType.XA, "xa_hoa_dong", 562),
  "W_22285" : VNWard("Xã Hòa Mỹ Đông", 22285, VietnamDivisionType.XA, "xa_hoa_my_dong", 562),
  "W_22288" : VNWard("Xã Hòa Mỹ Tây", 22288, VietnamDivisionType.XA, "xa_hoa_my_tay", 562),
  "W_22294" : VNWard("Xã Hòa Thịnh", 22294, VietnamDivisionType.XA, "xa_hoa_thinh", 562),
  "W_22303" : VNWard("Xã Hòa Quang Bắc", 22303, VietnamDivisionType.XA, "xa_hoa_quang_bac", 563),
  "W_22306" : VNWard("Xã Hòa Quang Nam", 22306, VietnamDivisionType.XA, "xa_hoa_quang_nam", 563),
  "W_22309" : VNWard("Xã Hòa Hội", 22309, VietnamDivisionType.XA, "xa_hoa_hoi", 563),
  "W_22312" : VNWard("Xã Hòa Trị", 22312, VietnamDivisionType.XA, "xa_hoa_tri", 563),
  "W_22315" : VNWard("Xã Hòa An", 22315, VietnamDivisionType.XA, "xa_hoa_an", 563),
  "W_22318" : VNWard("Xã Hòa Định Đông", 22318, VietnamDivisionType.XA, "xa_hoa_dinh_dong", 563),
  "W_22319" : VNWard("Thị trấn Phú Hoà", 22319, VietnamDivisionType.THI_TRAN, "thi_tran_phu_hoa", 563),
  "W_22321" : VNWard("Xã Hòa Định Tây", 22321, VietnamDivisionType.XA, "xa_hoa_dinh_tay", 563),
  "W_22324" : VNWard("Xã Hòa Thắng", 22324, VietnamDivisionType.XA, "xa_hoa_thang", 563),
  "W_22243" : VNWard("Xã Hòa Thành", 22243, VietnamDivisionType.XA, "xa_hoa_thanh", 564),
  "W_22246" : VNWard("Phường Hòa Hiệp Bắc", 22246, VietnamDivisionType.PHUONG, "phuong_hoa_hiep_bac", 564),
  "W_22258" : VNWard("Phường Hoà Vinh", 22258, VietnamDivisionType.PHUONG, "phuong_hoa_vinh", 564),
  "W_22261" : VNWard("Phường Hoà Hiệp Trung", 22261, VietnamDivisionType.PHUONG, "phuong_hoa_hiep_trung", 564),
  "W_22267" : VNWard("Xã Hòa Tân Đông", 22267, VietnamDivisionType.XA, "xa_hoa_tan_dong", 564),
  "W_22279" : VNWard("Phường Hòa Xuân Tây", 22279, VietnamDivisionType.PHUONG, "phuong_hoa_xuan_tay", 564),
  "W_22282" : VNWard("Phường Hòa Hiệp Nam", 22282, VietnamDivisionType.PHUONG, "phuong_hoa_hiep_nam", 564),
  "W_22291" : VNWard("Xã Hòa Xuân Đông", 22291, VietnamDivisionType.XA, "xa_hoa_xuan_dong", 564),
  "W_22297" : VNWard("Xã Hòa Tâm", 22297, VietnamDivisionType.XA, "xa_hoa_tam", 564),
  "W_22300" : VNWard("Xã Hòa Xuân Nam", 22300, VietnamDivisionType.XA, "xa_hoa_xuan_nam", 564),
  "W_22327" : VNWard("Phường Vĩnh Hòa", 22327, VietnamDivisionType.PHUONG, "phuong_vinh_hoa", 568),
  "W_22330" : VNWard("Phường Vĩnh Hải", 22330, VietnamDivisionType.PHUONG, "phuong_vinh_hai", 568),
  "W_22333" : VNWard("Phường Vĩnh Phước", 22333, VietnamDivisionType.PHUONG, "phuong_vinh_phuoc", 568),
  "W_22336" : VNWard("Phường Ngọc Hiệp", 22336, VietnamDivisionType.PHUONG, "phuong_ngoc_hiep", 568),
  "W_22339" : VNWard("Phường Vĩnh Thọ", 22339, VietnamDivisionType.PHUONG, "phuong_vinh_tho", 568),
  "W_22342" : VNWard("Phường Xương Huân", 22342, VietnamDivisionType.PHUONG, "phuong_xuong_huan", 568),
  "W_22345" : VNWard("Phường Vạn Thắng", 22345, VietnamDivisionType.PHUONG, "phuong_van_thang", 568),
  "W_22348" : VNWard("Phường Vạn Thạnh", 22348, VietnamDivisionType.PHUONG, "phuong_van_thanh", 568),
  "W_22351" : VNWard("Phường Phương Sài", 22351, VietnamDivisionType.PHUONG, "phuong_phuong_sai", 568),
  "W_22354" : VNWard("Phường Phương Sơn", 22354, VietnamDivisionType.PHUONG, "phuong_phuong_son", 568),
  "W_22357" : VNWard("Phường Phước Hải", 22357, VietnamDivisionType.PHUONG, "phuong_phuoc_hai", 568),
  "W_22360" : VNWard("Phường Phước Tân", 22360, VietnamDivisionType.PHUONG, "phuong_phuoc_tan", 568),
  "W_22363" : VNWard("Phường Lộc Thọ", 22363, VietnamDivisionType.PHUONG, "phuong_loc_tho", 568),
  "W_22366" : VNWard("Phường Phước Tiến", 22366, VietnamDivisionType.PHUONG, "phuong_phuoc_tien", 568),
  "W_22369" : VNWard("Phường Tân Lập", 22369, VietnamDivisionType.PHUONG, "phuong_tan_lap", 568),
  "W_22372" : VNWard("Phường Phước Hòa", 22372, VietnamDivisionType.PHUONG, "phuong_phuoc_hoa", 568),
  "W_22375" : VNWard("Phường Vĩnh Nguyên", 22375, VietnamDivisionType.PHUONG, "phuong_vinh_nguyen", 568),
  "W_22378" : VNWard("Phường Phước Long", 22378, VietnamDivisionType.PHUONG, "phuong_phuoc_long", 568),
  "W_22381" : VNWard("Phường Vĩnh Trường", 22381, VietnamDivisionType.PHUONG, "phuong_vinh_truong", 568),
  "W_22384" : VNWard("Xã Vĩnh Lương", 22384, VietnamDivisionType.XA, "xa_vinh_luong", 568),
  "W_22387" : VNWard("Xã Vĩnh Phương", 22387, VietnamDivisionType.XA, "xa_vinh_phuong", 568),
  "W_22390" : VNWard("Xã Vĩnh Ngọc", 22390, VietnamDivisionType.XA, "xa_vinh_ngoc", 568),
  "W_22393" : VNWard("Xã Vĩnh Thạnh", 22393, VietnamDivisionType.XA, "xa_vinh_thanh", 568),
  "W_22396" : VNWard("Xã Vĩnh Trung", 22396, VietnamDivisionType.XA, "xa_vinh_trung", 568),
  "W_22399" : VNWard("Xã Vĩnh Hiệp", 22399, VietnamDivisionType.XA, "xa_vinh_hiep", 568),
  "W_22402" : VNWard("Xã Vĩnh Thái", 22402, VietnamDivisionType.XA, "xa_vinh_thai", 568),
  "W_22405" : VNWard("Xã Phước Đồng", 22405, VietnamDivisionType.XA, "xa_phuoc_dong", 568),
  "W_22408" : VNWard("Phường Cam Nghĩa", 22408, VietnamDivisionType.PHUONG, "phuong_cam_nghia", 569),
  "W_22411" : VNWard("Phường Cam Phúc Bắc", 22411, VietnamDivisionType.PHUONG, "phuong_cam_phuc_bac", 569),
  "W_22414" : VNWard("Phường Cam Phúc Nam", 22414, VietnamDivisionType.PHUONG, "phuong_cam_phuc_nam", 569),
  "W_22417" : VNWard("Phường Cam Lộc", 22417, VietnamDivisionType.PHUONG, "phuong_cam_loc", 569),
  "W_22420" : VNWard("Phường Cam Phú", 22420, VietnamDivisionType.PHUONG, "phuong_cam_phu", 569),
  "W_22423" : VNWard("Phường Ba Ngòi", 22423, VietnamDivisionType.PHUONG, "phuong_ba_ngoi", 569),
  "W_22426" : VNWard("Phường Cam Thuận", 22426, VietnamDivisionType.PHUONG, "phuong_cam_thuan", 569),
  "W_22429" : VNWard("Phường Cam Lợi", 22429, VietnamDivisionType.PHUONG, "phuong_cam_loi", 569),
  "W_22432" : VNWard("Phường Cam Linh", 22432, VietnamDivisionType.PHUONG, "phuong_cam_linh", 569),
  "W_22468" : VNWard("Xã Cam Thành Nam", 22468, VietnamDivisionType.XA, "xa_cam_thanh_nam", 569),
  "W_22474" : VNWard("Xã Cam Phước Đông", 22474, VietnamDivisionType.XA, "xa_cam_phuoc_dong", 569),
  "W_22477" : VNWard("Xã Cam Thịnh Tây", 22477, VietnamDivisionType.XA, "xa_cam_thinh_tay", 569),
  "W_22480" : VNWard("Xã Cam Thịnh Đông", 22480, VietnamDivisionType.XA, "xa_cam_thinh_dong", 569),
  "W_22483" : VNWard("Xã Cam Lập", 22483, VietnamDivisionType.XA, "xa_cam_lap", 569),
  "W_22486" : VNWard("Xã Cam Bình", 22486, VietnamDivisionType.XA, "xa_cam_binh", 569),
  "W_22435" : VNWard("Xã Cam Tân", 22435, VietnamDivisionType.XA, "xa_cam_tan", 570),
  "W_22438" : VNWard("Xã Cam Hòa", 22438, VietnamDivisionType.XA, "xa_cam_hoa", 570),
  "W_22441" : VNWard("Xã Cam Hải Đông", 22441, VietnamDivisionType.XA, "xa_cam_hai_dong", 570),
  "W_22444" : VNWard("Xã Cam Hải Tây", 22444, VietnamDivisionType.XA, "xa_cam_hai_tay", 570),
  "W_22447" : VNWard("Xã Sơn Tân", 22447, VietnamDivisionType.XA, "xa_son_tan", 570),
  "W_22450" : VNWard("Xã Cam Hiệp Bắc", 22450, VietnamDivisionType.XA, "xa_cam_hiep_bac", 570),
  "W_22453" : VNWard("Thị trấn Cam Đức", 22453, VietnamDivisionType.THI_TRAN, "thi_tran_cam_duc", 570),
  "W_22456" : VNWard("Xã Cam Hiệp Nam", 22456, VietnamDivisionType.XA, "xa_cam_hiep_nam", 570),
  "W_22459" : VNWard("Xã Cam Phước Tây", 22459, VietnamDivisionType.XA, "xa_cam_phuoc_tay", 570),
  "W_22462" : VNWard("Xã Cam Thành Bắc", 22462, VietnamDivisionType.XA, "xa_cam_thanh_bac", 570),
  "W_22465" : VNWard("Xã Cam An Bắc", 22465, VietnamDivisionType.XA, "xa_cam_an_bac", 570),
  "W_22471" : VNWard("Xã Cam An Nam", 22471, VietnamDivisionType.XA, "xa_cam_an_nam", 570),
  "W_22708" : VNWard("Xã Suối Cát", 22708, VietnamDivisionType.XA, "xa_suoi_cat", 570),
  "W_22711" : VNWard("Xã Suối Tân", 22711, VietnamDivisionType.XA, "xa_suoi_tan", 570),
  "W_22489" : VNWard("Thị trấn Vạn Giã", 22489, VietnamDivisionType.THI_TRAN, "thi_tran_van_gia", 571),
  "W_22492" : VNWard("Xã Đại Lãnh", 22492, VietnamDivisionType.XA, "xa_dai_lanh", 571),
  "W_22495" : VNWard("Xã Vạn Phước", 22495, VietnamDivisionType.XA, "xa_van_phuoc", 571),
  "W_22498" : VNWard("Xã Vạn Long", 22498, VietnamDivisionType.XA, "xa_van_long", 571),
  "W_22501" : VNWard("Xã Vạn Bình", 22501, VietnamDivisionType.XA, "xa_van_binh", 571),
  "W_22504" : VNWard("Xã Vạn Thọ", 22504, VietnamDivisionType.XA, "xa_van_tho", 571),
  "W_22507" : VNWard("Xã Vạn Khánh", 22507, VietnamDivisionType.XA, "xa_van_khanh", 571),
  "W_22510" : VNWard("Xã Vạn Phú", 22510, VietnamDivisionType.XA, "xa_van_phu", 571),
  "W_22513" : VNWard("Xã Vạn Lương", 22513, VietnamDivisionType.XA, "xa_van_luong", 571),
  "W_22516" : VNWard("Xã Vạn Thắng", 22516, VietnamDivisionType.XA, "xa_van_thang", 571),
  "W_22519" : VNWard("Xã Vạn Thạnh", 22519, VietnamDivisionType.XA, "xa_van_thanh", 571),
  "W_22522" : VNWard("Xã Xuân Sơn", 22522, VietnamDivisionType.XA, "xa_xuan_son", 571),
  "W_22525" : VNWard("Xã Vạn Hưng", 22525, VietnamDivisionType.XA, "xa_van_hung", 571),
  "W_22528" : VNWard("Phường Ninh Hiệp", 22528, VietnamDivisionType.PHUONG, "phuong_ninh_hiep", 572),
  "W_22531" : VNWard("Xã Ninh Sơn", 22531, VietnamDivisionType.XA, "xa_ninh_son", 572),
  "W_22534" : VNWard("Xã Ninh Tây", 22534, VietnamDivisionType.XA, "xa_ninh_tay", 572),
  "W_22537" : VNWard("Xã Ninh Thượng", 22537, VietnamDivisionType.XA, "xa_ninh_thuong", 572),
  "W_22540" : VNWard("Xã Ninh An", 22540, VietnamDivisionType.XA, "xa_ninh_an", 572),
  "W_22543" : VNWard("Phường Ninh Hải", 22543, VietnamDivisionType.PHUONG, "phuong_ninh_hai", 572),
  "W_22546" : VNWard("Xã Ninh Thọ", 22546, VietnamDivisionType.XA, "xa_ninh_tho", 572),
  "W_22549" : VNWard("Xã Ninh Trung", 22549, VietnamDivisionType.XA, "xa_ninh_trung", 572),
  "W_22552" : VNWard("Xã Ninh Sim", 22552, VietnamDivisionType.XA, "xa_ninh_sim", 572),
  "W_22555" : VNWard("Xã Ninh Xuân", 22555, VietnamDivisionType.XA, "xa_ninh_xuan", 572),
  "W_22558" : VNWard("Xã Ninh Thân", 22558, VietnamDivisionType.XA, "xa_ninh_than", 572),
  "W_22561" : VNWard("Phường Ninh Diêm", 22561, VietnamDivisionType.PHUONG, "phuong_ninh_diem", 572),
  "W_22564" : VNWard("Xã Ninh Đông", 22564, VietnamDivisionType.XA, "xa_ninh_dong", 572),
  "W_22567" : VNWard("Phường Ninh Thủy", 22567, VietnamDivisionType.PHUONG, "phuong_ninh_thuy", 572),
  "W_22570" : VNWard("Phường Ninh Đa", 22570, VietnamDivisionType.PHUONG, "phuong_ninh_da", 572),
  "W_22573" : VNWard("Xã Ninh Phụng", 22573, VietnamDivisionType.XA, "xa_ninh_phung", 572),
  "W_22576" : VNWard("Xã Ninh Bình", 22576, VietnamDivisionType.XA, "xa_ninh_binh", 572),
  "W_22579" : VNWard("Xã Ninh Phước", 22579, VietnamDivisionType.XA, "xa_ninh_phuoc", 572),
  "W_22582" : VNWard("Xã Ninh Phú", 22582, VietnamDivisionType.XA, "xa_ninh_phu", 572),
  "W_22585" : VNWard("Xã Ninh Tân", 22585, VietnamDivisionType.XA, "xa_ninh_tan", 572),
  "W_22588" : VNWard("Xã Ninh Quang", 22588, VietnamDivisionType.XA, "xa_ninh_quang", 572),
  "W_22591" : VNWard("Phường Ninh Giang", 22591, VietnamDivisionType.PHUONG, "phuong_ninh_giang", 572),
  "W_22594" : VNWard("Phường Ninh Hà", 22594, VietnamDivisionType.PHUONG, "phuong_ninh_ha", 572),
  "W_22597" : VNWard("Xã Ninh Hưng", 22597, VietnamDivisionType.XA, "xa_ninh_hung", 572),
  "W_22600" : VNWard("Xã Ninh Lộc", 22600, VietnamDivisionType.XA, "xa_ninh_loc", 572),
  "W_22603" : VNWard("Xã Ninh Ích", 22603, VietnamDivisionType.XA, "xa_ninh_ich", 572),
  "W_22606" : VNWard("Xã Ninh Vân", 22606, VietnamDivisionType.XA, "xa_ninh_van", 572),
  "W_22609" : VNWard("Thị trấn Khánh Vĩnh", 22609, VietnamDivisionType.THI_TRAN, "thi_tran_khanh_vinh", 573),
  "W_22612" : VNWard("Xã Khánh Hiệp", 22612, VietnamDivisionType.XA, "xa_khanh_hiep", 573),
  "W_22615" : VNWard("Xã Khánh Bình", 22615, VietnamDivisionType.XA, "xa_khanh_binh", 573),
  "W_22618" : VNWard("Xã Khánh Trung", 22618, VietnamDivisionType.XA, "xa_khanh_trung", 573),
  "W_22621" : VNWard("Xã Khánh Đông", 22621, VietnamDivisionType.XA, "xa_khanh_dong", 573),
  "W_22624" : VNWard("Xã Khánh Thượng", 22624, VietnamDivisionType.XA, "xa_khanh_thuong", 573),
  "W_22627" : VNWard("Xã Khánh Nam", 22627, VietnamDivisionType.XA, "xa_khanh_nam", 573),
  "W_22630" : VNWard("Xã Sông Cầu", 22630, VietnamDivisionType.XA, "xa_song_cau", 573),
  "W_22633" : VNWard("Xã Giang Ly", 22633, VietnamDivisionType.XA, "xa_giang_ly", 573),
  "W_22636" : VNWard("Xã Cầu Bà", 22636, VietnamDivisionType.XA, "xa_cau_ba", 573),
  "W_22639" : VNWard("Xã Liên Sang", 22639, VietnamDivisionType.XA, "xa_lien_sang", 573),
  "W_22642" : VNWard("Xã Khánh Thành", 22642, VietnamDivisionType.XA, "xa_khanh_thanh", 573),
  "W_22645" : VNWard("Xã Khánh Phú", 22645, VietnamDivisionType.XA, "xa_khanh_phu", 573),
  "W_22648" : VNWard("Xã Sơn Thái", 22648, VietnamDivisionType.XA, "xa_son_thai", 573),
  "W_22651" : VNWard("Thị trấn Diên Khánh", 22651, VietnamDivisionType.THI_TRAN, "thi_tran_dien_khanh", 574),
  "W_22654" : VNWard("Xã Diên Lâm", 22654, VietnamDivisionType.XA, "xa_dien_lam", 574),
  "W_22657" : VNWard("Xã Diên Điền", 22657, VietnamDivisionType.XA, "xa_dien_dien", 574),
  "W_22660" : VNWard("Xã Diên Xuân", 22660, VietnamDivisionType.XA, "xa_dien_xuan", 574),
  "W_22663" : VNWard("Xã Diên Sơn", 22663, VietnamDivisionType.XA, "xa_dien_son", 574),
  "W_22666" : VNWard("Xã Diên Đồng", 22666, VietnamDivisionType.XA, "xa_dien_dong", 574),
  "W_22669" : VNWard("Xã Diên Phú", 22669, VietnamDivisionType.XA, "xa_dien_phu", 574),
  "W_22672" : VNWard("Xã Diên Thọ", 22672, VietnamDivisionType.XA, "xa_dien_tho", 574),
  "W_22675" : VNWard("Xã Diên Phước", 22675, VietnamDivisionType.XA, "xa_dien_phuoc", 574),
  "W_22678" : VNWard("Xã Diên Lạc", 22678, VietnamDivisionType.XA, "xa_dien_lac", 574),
  "W_22681" : VNWard("Xã Diên Tân", 22681, VietnamDivisionType.XA, "xa_dien_tan", 574),
  "W_22684" : VNWard("Xã Diên Hòa", 22684, VietnamDivisionType.XA, "xa_dien_hoa", 574),
  "W_22687" : VNWard("Xã Diên Thạnh", 22687, VietnamDivisionType.XA, "xa_dien_thanh", 574),
  "W_22690" : VNWard("Xã Diên Toàn", 22690, VietnamDivisionType.XA, "xa_dien_toan", 574),
  "W_22693" : VNWard("Xã Diên An", 22693, VietnamDivisionType.XA, "xa_dien_an", 574),
  "W_22696" : VNWard("Xã Bình Lộc", 22696, VietnamDivisionType.XA, "xa_binh_loc", 574),
  "W_22702" : VNWard("Xã Suối Hiệp", 22702, VietnamDivisionType.XA, "xa_suoi_hiep", 574),
  "W_22705" : VNWard("Xã Suối Tiên", 22705, VietnamDivisionType.XA, "xa_suoi_tien", 574),
  "W_22714" : VNWard("Thị trấn Tô Hạp", 22714, VietnamDivisionType.THI_TRAN, "thi_tran_to_hap", 575),
  "W_22717" : VNWard("Xã Thành Sơn", 22717, VietnamDivisionType.XA, "xa_thanh_son", 575),
  "W_22720" : VNWard("Xã Sơn Lâm", 22720, VietnamDivisionType.XA, "xa_son_lam", 575),
  "W_22723" : VNWard("Xã Sơn Hiệp", 22723, VietnamDivisionType.XA, "xa_son_hiep", 575),
  "W_22726" : VNWard("Xã Sơn Bình", 22726, VietnamDivisionType.XA, "xa_son_binh", 575),
  "W_22729" : VNWard("Xã Sơn Trung", 22729, VietnamDivisionType.XA, "xa_son_trung", 575),
  "W_22732" : VNWard("Xã Ba Cụm Bắc", 22732, VietnamDivisionType.XA, "xa_ba_cum_bac", 575),
  "W_22735" : VNWard("Xã Ba Cụm Nam", 22735, VietnamDivisionType.XA, "xa_ba_cum_nam", 575),
  "W_22736" : VNWard("Thị trấn Trường Sa", 22736, VietnamDivisionType.THI_TRAN, "thi_tran_truong_sa", 576),
  "W_22737" : VNWard("Xã Song Tử Tây", 22737, VietnamDivisionType.XA, "xa_song_tu_tay", 576),
  "W_22739" : VNWard("Xã Sinh Tồn", 22739, VietnamDivisionType.XA, "xa_sinh_ton", 576),
  "W_22738" : VNWard("Phường Đô Vinh", 22738, VietnamDivisionType.PHUONG, "phuong_do_vinh", 582),
  "W_22741" : VNWard("Phường Phước Mỹ", 22741, VietnamDivisionType.PHUONG, "phuong_phuoc_my", 582),
  "W_22744" : VNWard("Phường Bảo An", 22744, VietnamDivisionType.PHUONG, "phuong_bao_an", 582),
  "W_22747" : VNWard("Phường Phủ Hà", 22747, VietnamDivisionType.PHUONG, "phuong_phu_ha", 582),
  "W_22750" : VNWard("Phường Thanh Sơn", 22750, VietnamDivisionType.PHUONG, "phuong_thanh_son", 582),
  "W_22753" : VNWard("Phường Mỹ Hương", 22753, VietnamDivisionType.PHUONG, "phuong_my_huong", 582),
  "W_22756" : VNWard("Phường Tấn Tài", 22756, VietnamDivisionType.PHUONG, "phuong_tan_tai", 582),
  "W_22759" : VNWard("Phường Kinh Dinh", 22759, VietnamDivisionType.PHUONG, "phuong_kinh_dinh", 582),
  "W_22762" : VNWard("Phường Đạo Long", 22762, VietnamDivisionType.PHUONG, "phuong_dao_long", 582),
  "W_22765" : VNWard("Phường Đài Sơn", 22765, VietnamDivisionType.PHUONG, "phuong_dai_son", 582),
  "W_22768" : VNWard("Phường Đông Hải", 22768, VietnamDivisionType.PHUONG, "phuong_dong_hai", 582),
  "W_22771" : VNWard("Phường Mỹ Đông", 22771, VietnamDivisionType.PHUONG, "phuong_my_dong", 582),
  "W_22774" : VNWard("Xã Thành Hải", 22774, VietnamDivisionType.XA, "xa_thanh_hai", 582),
  "W_22777" : VNWard("Phường Văn Hải", 22777, VietnamDivisionType.PHUONG, "phuong_van_hai", 582),
  "W_22779" : VNWard("Phường Mỹ Bình", 22779, VietnamDivisionType.PHUONG, "phuong_my_binh", 582),
  "W_22780" : VNWard("Phường Mỹ Hải", 22780, VietnamDivisionType.PHUONG, "phuong_my_hai", 582),
  "W_22783" : VNWard("Xã Phước Bình", 22783, VietnamDivisionType.XA, "xa_phuoc_binh", 584),
  "W_22786" : VNWard("Xã Phước Hòa", 22786, VietnamDivisionType.XA, "xa_phuoc_hoa", 584),
  "W_22789" : VNWard("Xã Phước Tân", 22789, VietnamDivisionType.XA, "xa_phuoc_tan", 584),
  "W_22792" : VNWard("Xã Phước Tiến", 22792, VietnamDivisionType.XA, "xa_phuoc_tien", 584),
  "W_22795" : VNWard("Xã Phước Thắng", 22795, VietnamDivisionType.XA, "xa_phuoc_thang", 584),
  "W_22798" : VNWard("Xã Phước Thành", 22798, VietnamDivisionType.XA, "xa_phuoc_thanh", 584),
  "W_22801" : VNWard("Xã Phước Đại", 22801, VietnamDivisionType.XA, "xa_phuoc_dai", 584),
  "W_22804" : VNWard("Xã Phước Chính", 22804, VietnamDivisionType.XA, "xa_phuoc_chinh", 584),
  "W_22807" : VNWard("Xã Phước Trung", 22807, VietnamDivisionType.XA, "xa_phuoc_trung", 584),
  "W_22810" : VNWard("Thị trấn Tân Sơn", 22810, VietnamDivisionType.THI_TRAN, "thi_tran_tan_son", 585),
  "W_22813" : VNWard("Xã Lâm Sơn", 22813, VietnamDivisionType.XA, "xa_lam_son", 585),
  "W_22816" : VNWard("Xã Lương Sơn", 22816, VietnamDivisionType.XA, "xa_luong_son", 585),
  "W_22819" : VNWard("Xã Quảng Sơn", 22819, VietnamDivisionType.XA, "xa_quang_son", 585),
  "W_22822" : VNWard("Xã Mỹ Sơn", 22822, VietnamDivisionType.XA, "xa_my_son", 585),
  "W_22825" : VNWard("Xã Hòa Sơn", 22825, VietnamDivisionType.XA, "xa_hoa_son", 585),
  "W_22828" : VNWard("Xã Ma Nới", 22828, VietnamDivisionType.XA, "xa_ma_noi", 585),
  "W_22831" : VNWard("Xã Nhơn Sơn", 22831, VietnamDivisionType.XA, "xa_nhon_son", 585),
  "W_22834" : VNWard("Thị trấn Khánh Hải", 22834, VietnamDivisionType.THI_TRAN, "thi_tran_khanh_hai", 586),
  "W_22846" : VNWard("Xã Vĩnh Hải", 22846, VietnamDivisionType.XA, "xa_vinh_hai", 586),
  "W_22852" : VNWard("Xã Phương Hải", 22852, VietnamDivisionType.XA, "xa_phuong_hai", 586),
  "W_22855" : VNWard("Xã Tân Hải", 22855, VietnamDivisionType.XA, "xa_tan_hai", 586),
  "W_22858" : VNWard("Xã Xuân Hải", 22858, VietnamDivisionType.XA, "xa_xuan_hai", 586),
  "W_22861" : VNWard("Xã Hộ Hải", 22861, VietnamDivisionType.XA, "xa_ho_hai", 586),
  "W_22864" : VNWard("Xã Tri Hải", 22864, VietnamDivisionType.XA, "xa_tri_hai", 586),
  "W_22867" : VNWard("Xã Nhơn Hải", 22867, VietnamDivisionType.XA, "xa_nhon_hai", 586),
  "W_22868" : VNWard("Xã Thanh Hải", 22868, VietnamDivisionType.XA, "xa_thanh_hai", 586),
  "W_22870" : VNWard("Thị trấn Phước Dân", 22870, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_dan", 587),
  "W_22873" : VNWard("Xã Phước Sơn", 22873, VietnamDivisionType.XA, "xa_phuoc_son", 587),
  "W_22876" : VNWard("Xã Phước Thái", 22876, VietnamDivisionType.XA, "xa_phuoc_thai", 587),
  "W_22879" : VNWard("Xã Phước Hậu", 22879, VietnamDivisionType.XA, "xa_phuoc_hau", 587),
  "W_22882" : VNWard("Xã Phước Thuận", 22882, VietnamDivisionType.XA, "xa_phuoc_thuan", 587),
  "W_22888" : VNWard("Xã An Hải", 22888, VietnamDivisionType.XA, "xa_an_hai", 587),
  "W_22891" : VNWard("Xã Phước Hữu", 22891, VietnamDivisionType.XA, "xa_phuoc_huu", 587),
  "W_22894" : VNWard("Xã Phước Hải", 22894, VietnamDivisionType.XA, "xa_phuoc_hai", 587),
  "W_22912" : VNWard("Xã Phước Vinh", 22912, VietnamDivisionType.XA, "xa_phuoc_vinh", 587),
  "W_22837" : VNWard("Xã Phước Chiến", 22837, VietnamDivisionType.XA, "xa_phuoc_chien", 588),
  "W_22840" : VNWard("Xã Công Hải", 22840, VietnamDivisionType.XA, "xa_cong_hai", 588),
  "W_22843" : VNWard("Xã Phước Kháng", 22843, VietnamDivisionType.XA, "xa_phuoc_khang", 588),
  "W_22849" : VNWard("Xã Lợi Hải", 22849, VietnamDivisionType.XA, "xa_loi_hai", 588),
  "W_22853" : VNWard("Xã Bắc Sơn", 22853, VietnamDivisionType.XA, "xa_bac_son", 588),
  "W_22856" : VNWard("Xã Bắc Phong", 22856, VietnamDivisionType.XA, "xa_bac_phong", 588),
  "W_22885" : VNWard("Xã Phước Hà", 22885, VietnamDivisionType.XA, "xa_phuoc_ha", 589),
  "W_22897" : VNWard("Xã Phước Nam", 22897, VietnamDivisionType.XA, "xa_phuoc_nam", 589),
  "W_22898" : VNWard("Xã Phước Ninh", 22898, VietnamDivisionType.XA, "xa_phuoc_ninh", 589),
  "W_22900" : VNWard("Xã Nhị Hà", 22900, VietnamDivisionType.XA, "xa_nhi_ha", 589),
  "W_22903" : VNWard("Xã Phước Dinh", 22903, VietnamDivisionType.XA, "xa_phuoc_dinh", 589),
  "W_22906" : VNWard("Xã Phước Minh", 22906, VietnamDivisionType.XA, "xa_phuoc_minh", 589),
  "W_22909" : VNWard("Xã Phước Diêm", 22909, VietnamDivisionType.XA, "xa_phuoc_diem", 589),
  "W_22910" : VNWard("Xã Cà Ná", 22910, VietnamDivisionType.XA, "xa_ca_na", 589),
  "W_22915" : VNWard("Phường Mũi Né", 22915, VietnamDivisionType.PHUONG, "phuong_mui_ne", 593),
  "W_22918" : VNWard("Phường Hàm Tiến", 22918, VietnamDivisionType.PHUONG, "phuong_ham_tien", 593),
  "W_22921" : VNWard("Phường Phú Hài", 22921, VietnamDivisionType.PHUONG, "phuong_phu_hai", 593),
  "W_22924" : VNWard("Phường Phú Thủy", 22924, VietnamDivisionType.PHUONG, "phuong_phu_thuy", 593),
  "W_22927" : VNWard("Phường Phú Tài", 22927, VietnamDivisionType.PHUONG, "phuong_phu_tai", 593),
  "W_22930" : VNWard("Phường Phú Trinh", 22930, VietnamDivisionType.PHUONG, "phuong_phu_trinh", 593),
  "W_22933" : VNWard("Phường Xuân An", 22933, VietnamDivisionType.PHUONG, "phuong_xuan_an", 593),
  "W_22936" : VNWard("Phường Thanh Hải", 22936, VietnamDivisionType.PHUONG, "phuong_thanh_hai", 593),
  "W_22939" : VNWard("Phường Bình Hưng", 22939, VietnamDivisionType.PHUONG, "phuong_binh_hung", 593),
  "W_22942" : VNWard("Phường Đức Nghĩa", 22942, VietnamDivisionType.PHUONG, "phuong_duc_nghia", 593),
  "W_22945" : VNWard("Phường Lạc Đạo", 22945, VietnamDivisionType.PHUONG, "phuong_lac_dao", 593),
  "W_22948" : VNWard("Phường Đức Thắng", 22948, VietnamDivisionType.PHUONG, "phuong_duc_thang", 593),
  "W_22951" : VNWard("Phường Hưng Long", 22951, VietnamDivisionType.PHUONG, "phuong_hung_long", 593),
  "W_22954" : VNWard("Phường Đức Long", 22954, VietnamDivisionType.PHUONG, "phuong_duc_long", 593),
  "W_22957" : VNWard("Xã Thiện Nghiệp", 22957, VietnamDivisionType.XA, "xa_thien_nghiep", 593),
  "W_22960" : VNWard("Xã Phong Nẫm", 22960, VietnamDivisionType.XA, "xa_phong_nam", 593),
  "W_22963" : VNWard("Xã Tiến Lợi", 22963, VietnamDivisionType.XA, "xa_tien_loi", 593),
  "W_22966" : VNWard("Xã Tiến Thành", 22966, VietnamDivisionType.XA, "xa_tien_thanh", 593),
  "W_23231" : VNWard("Phường Phước Hội", 23231, VietnamDivisionType.PHUONG, "phuong_phuoc_hoi", 594),
  "W_23232" : VNWard("Phường Phước Lộc", 23232, VietnamDivisionType.PHUONG, "phuong_phuoc_loc", 594),
  "W_23234" : VNWard("Phường Tân Thiện", 23234, VietnamDivisionType.PHUONG, "phuong_tan_thien", 594),
  "W_23235" : VNWard("Phường Tân An", 23235, VietnamDivisionType.PHUONG, "phuong_tan_an", 594),
  "W_23237" : VNWard("Phường Bình Tân", 23237, VietnamDivisionType.PHUONG, "phuong_binh_tan", 594),
  "W_23245" : VNWard("Xã Tân Hải", 23245, VietnamDivisionType.XA, "xa_tan_hai", 594),
  "W_23246" : VNWard("Xã Tân Tiến", 23246, VietnamDivisionType.XA, "xa_tan_tien", 594),
  "W_23248" : VNWard("Xã Tân Bình", 23248, VietnamDivisionType.XA, "xa_tan_binh", 594),
  "W_23268" : VNWard("Xã Tân Phước", 23268, VietnamDivisionType.XA, "xa_tan_phuoc", 594),
  "W_22969" : VNWard("Thị trấn Liên Hương", 22969, VietnamDivisionType.THI_TRAN, "thi_tran_lien_huong", 595),
  "W_22972" : VNWard("Thị trấn Phan Rí Cửa", 22972, VietnamDivisionType.THI_TRAN, "thi_tran_phan_ri_cua", 595),
  "W_22975" : VNWard("Xã Phan Dũng", 22975, VietnamDivisionType.XA, "xa_phan_dung", 595),
  "W_22978" : VNWard("Xã Phong Phú", 22978, VietnamDivisionType.XA, "xa_phong_phu", 595),
  "W_22981" : VNWard("Xã Vĩnh Hảo", 22981, VietnamDivisionType.XA, "xa_vinh_hao", 595),
  "W_22984" : VNWard("Xã Vĩnh Tân", 22984, VietnamDivisionType.XA, "xa_vinh_tan", 595),
  "W_22987" : VNWard("Xã Phú Lạc", 22987, VietnamDivisionType.XA, "xa_phu_lac", 595),
  "W_22990" : VNWard("Xã Phước Thể", 22990, VietnamDivisionType.XA, "xa_phuoc_the", 595),
  "W_22993" : VNWard("Xã Hòa Minh", 22993, VietnamDivisionType.XA, "xa_hoa_minh", 595),
  "W_22996" : VNWard("Xã Chí Công", 22996, VietnamDivisionType.XA, "xa_chi_cong", 595),
  "W_22999" : VNWard("Xã Bình Thạnh", 22999, VietnamDivisionType.XA, "xa_binh_thanh", 595),
  "W_23005" : VNWard("Thị trấn Chợ Lầu", 23005, VietnamDivisionType.THI_TRAN, "thi_tran_cho_lau", 596),
  "W_23008" : VNWard("Xã Phan Sơn", 23008, VietnamDivisionType.XA, "xa_phan_son", 596),
  "W_23011" : VNWard("Xã Phan Lâm", 23011, VietnamDivisionType.XA, "xa_phan_lam", 596),
  "W_23014" : VNWard("Xã Bình An", 23014, VietnamDivisionType.XA, "xa_binh_an", 596),
  "W_23017" : VNWard("Xã Phan Điền", 23017, VietnamDivisionType.XA, "xa_phan_dien", 596),
  "W_23020" : VNWard("Xã Hải Ninh", 23020, VietnamDivisionType.XA, "xa_hai_ninh", 596),
  "W_23023" : VNWard("Xã Sông Lũy", 23023, VietnamDivisionType.XA, "xa_song_luy", 596),
  "W_23026" : VNWard("Xã Phan Tiến", 23026, VietnamDivisionType.XA, "xa_phan_tien", 596),
  "W_23029" : VNWard("Xã Sông Bình", 23029, VietnamDivisionType.XA, "xa_song_binh", 596),
  "W_23032" : VNWard("Thị trấn Lương Sơn", 23032, VietnamDivisionType.THI_TRAN, "thi_tran_luong_son", 596),
  "W_23035" : VNWard("Xã Phan Hòa", 23035, VietnamDivisionType.XA, "xa_phan_hoa", 596),
  "W_23038" : VNWard("Xã Phan Thanh", 23038, VietnamDivisionType.XA, "xa_phan_thanh", 596),
  "W_23041" : VNWard("Xã Hồng Thái", 23041, VietnamDivisionType.XA, "xa_hong_thai", 596),
  "W_23044" : VNWard("Xã Phan Hiệp", 23044, VietnamDivisionType.XA, "xa_phan_hiep", 596),
  "W_23047" : VNWard("Xã Bình Tân", 23047, VietnamDivisionType.XA, "xa_binh_tan", 596),
  "W_23050" : VNWard("Xã Phan Rí Thành", 23050, VietnamDivisionType.XA, "xa_phan_ri_thanh", 596),
  "W_23053" : VNWard("Xã Hòa Thắng", 23053, VietnamDivisionType.XA, "xa_hoa_thang", 596),
  "W_23056" : VNWard("Xã Hồng Phong", 23056, VietnamDivisionType.XA, "xa_hong_phong", 596),
  "W_23059" : VNWard("Thị trấn Ma Lâm", 23059, VietnamDivisionType.THI_TRAN, "thi_tran_ma_lam", 597),
  "W_23062" : VNWard("Thị trấn Phú Long", 23062, VietnamDivisionType.THI_TRAN, "thi_tran_phu_long", 597),
  "W_23065" : VNWard("Xã La Dạ", 23065, VietnamDivisionType.XA, "xa_la_da", 597),
  "W_23068" : VNWard("Xã Đông Tiến", 23068, VietnamDivisionType.XA, "xa_dong_tien", 597),
  "W_23071" : VNWard("Xã Thuận Hòa", 23071, VietnamDivisionType.XA, "xa_thuan_hoa", 597),
  "W_23074" : VNWard("Xã Đông Giang", 23074, VietnamDivisionType.XA, "xa_dong_giang", 597),
  "W_23077" : VNWard("Xã Hàm Phú", 23077, VietnamDivisionType.XA, "xa_ham_phu", 597),
  "W_23080" : VNWard("Xã Hồng Liêm", 23080, VietnamDivisionType.XA, "xa_hong_liem", 597),
  "W_23083" : VNWard("Xã Thuận Minh", 23083, VietnamDivisionType.XA, "xa_thuan_minh", 597),
  "W_23086" : VNWard("Xã Hồng Sơn", 23086, VietnamDivisionType.XA, "xa_hong_son", 597),
  "W_23089" : VNWard("Xã Hàm Trí", 23089, VietnamDivisionType.XA, "xa_ham_tri", 597),
  "W_23092" : VNWard("Xã Hàm Đức", 23092, VietnamDivisionType.XA, "xa_ham_duc", 597),
  "W_23095" : VNWard("Xã Hàm Liêm", 23095, VietnamDivisionType.XA, "xa_ham_liem", 597),
  "W_23098" : VNWard("Xã Hàm Chính", 23098, VietnamDivisionType.XA, "xa_ham_chinh", 597),
  "W_23101" : VNWard("Xã Hàm Hiệp", 23101, VietnamDivisionType.XA, "xa_ham_hiep", 597),
  "W_23104" : VNWard("Xã Hàm Thắng", 23104, VietnamDivisionType.XA, "xa_ham_thang", 597),
  "W_23107" : VNWard("Xã Đa Mi", 23107, VietnamDivisionType.XA, "xa_da_mi", 597),
  "W_23110" : VNWard("Thị trấn Thuận Nam", 23110, VietnamDivisionType.THI_TRAN, "thi_tran_thuan_nam", 598),
  "W_23113" : VNWard("Xã Mỹ Thạnh", 23113, VietnamDivisionType.XA, "xa_my_thanh", 598),
  "W_23116" : VNWard("Xã Hàm Cần", 23116, VietnamDivisionType.XA, "xa_ham_can", 598),
  "W_23119" : VNWard("Xã Mương Mán", 23119, VietnamDivisionType.XA, "xa_muong_man", 598),
  "W_23122" : VNWard("Xã Hàm Thạnh", 23122, VietnamDivisionType.XA, "xa_ham_thanh", 598),
  "W_23125" : VNWard("Xã Hàm Kiệm", 23125, VietnamDivisionType.XA, "xa_ham_kiem", 598),
  "W_23128" : VNWard("Xã Hàm Cường", 23128, VietnamDivisionType.XA, "xa_ham_cuong", 598),
  "W_23131" : VNWard("Xã Hàm Mỹ", 23131, VietnamDivisionType.XA, "xa_ham_my", 598),
  "W_23134" : VNWard("Xã Tân Lập", 23134, VietnamDivisionType.XA, "xa_tan_lap", 598),
  "W_23137" : VNWard("Xã Hàm Minh", 23137, VietnamDivisionType.XA, "xa_ham_minh", 598),
  "W_23140" : VNWard("Xã Thuận Quí", 23140, VietnamDivisionType.XA, "xa_thuan_qui", 598),
  "W_23143" : VNWard("Xã Tân Thuận", 23143, VietnamDivisionType.XA, "xa_tan_thuan", 598),
  "W_23146" : VNWard("Xã Tân Thành", 23146, VietnamDivisionType.XA, "xa_tan_thanh", 598),
  "W_23149" : VNWard("Thị trấn Lạc Tánh", 23149, VietnamDivisionType.THI_TRAN, "thi_tran_lac_tanh", 599),
  "W_23152" : VNWard("Xã Bắc Ruộng", 23152, VietnamDivisionType.XA, "xa_bac_ruong", 599),
  "W_23158" : VNWard("Xã Nghị Đức", 23158, VietnamDivisionType.XA, "xa_nghi_duc", 599),
  "W_23161" : VNWard("Xã La Ngâu", 23161, VietnamDivisionType.XA, "xa_la_ngau", 599),
  "W_23164" : VNWard("Xã Huy Khiêm", 23164, VietnamDivisionType.XA, "xa_huy_khiem", 599),
  "W_23167" : VNWard("Xã Măng Tố", 23167, VietnamDivisionType.XA, "xa_mang_to", 599),
  "W_23170" : VNWard("Xã Đức Phú", 23170, VietnamDivisionType.XA, "xa_duc_phu", 599),
  "W_23173" : VNWard("Xã Đồng Kho", 23173, VietnamDivisionType.XA, "xa_dong_kho", 599),
  "W_23176" : VNWard("Xã Gia An", 23176, VietnamDivisionType.XA, "xa_gia_an", 599),
  "W_23179" : VNWard("Xã Đức Bình", 23179, VietnamDivisionType.XA, "xa_duc_binh", 599),
  "W_23182" : VNWard("Xã Gia Huynh", 23182, VietnamDivisionType.XA, "xa_gia_huynh", 599),
  "W_23185" : VNWard("Xã Đức Thuận", 23185, VietnamDivisionType.XA, "xa_duc_thuan", 599),
  "W_23188" : VNWard("Xã Suối Kiết", 23188, VietnamDivisionType.XA, "xa_suoi_kiet", 599),
  "W_23191" : VNWard("Thị trấn Võ Xu", 23191, VietnamDivisionType.THI_TRAN, "thi_tran_vo_xu", 600),
  "W_23194" : VNWard("Thị trấn Đức Tài", 23194, VietnamDivisionType.THI_TRAN, "thi_tran_duc_tai", 600),
  "W_23197" : VNWard("Xã Đa Kai", 23197, VietnamDivisionType.XA, "xa_da_kai", 600),
  "W_23200" : VNWard("Xã Sùng Nhơn", 23200, VietnamDivisionType.XA, "xa_sung_nhon", 600),
  "W_23203" : VNWard("Xã Mê Pu", 23203, VietnamDivisionType.XA, "xa_me_pu", 600),
  "W_23206" : VNWard("Xã Nam Chính", 23206, VietnamDivisionType.XA, "xa_nam_chinh", 600),
  "W_23212" : VNWard("Xã Đức Hạnh", 23212, VietnamDivisionType.XA, "xa_duc_hanh", 600),
  "W_23215" : VNWard("Xã Đức Tín", 23215, VietnamDivisionType.XA, "xa_duc_tin", 600),
  "W_23218" : VNWard("Xã Vũ Hoà", 23218, VietnamDivisionType.XA, "xa_vu_hoa", 600),
  "W_23221" : VNWard("Xã Tân Hà", 23221, VietnamDivisionType.XA, "xa_tan_ha", 600),
  "W_23224" : VNWard("Xã Đông Hà", 23224, VietnamDivisionType.XA, "xa_dong_ha", 600),
  "W_23227" : VNWard("Xã Trà Tân", 23227, VietnamDivisionType.XA, "xa_tra_tan", 600),
  "W_23230" : VNWard("Thị trấn Tân Minh", 23230, VietnamDivisionType.THI_TRAN, "thi_tran_tan_minh", 601),
  "W_23236" : VNWard("Thị trấn Tân Nghĩa", 23236, VietnamDivisionType.THI_TRAN, "thi_tran_tan_nghia", 601),
  "W_23239" : VNWard("Xã Sông Phan", 23239, VietnamDivisionType.XA, "xa_song_phan", 601),
  "W_23242" : VNWard("Xã Tân Phúc", 23242, VietnamDivisionType.XA, "xa_tan_phuc", 601),
  "W_23251" : VNWard("Xã Tân Đức", 23251, VietnamDivisionType.XA, "xa_tan_duc", 601),
  "W_23254" : VNWard("Xã Tân Thắng", 23254, VietnamDivisionType.XA, "xa_tan_thang", 601),
  "W_23255" : VNWard("Xã Thắng Hải", 23255, VietnamDivisionType.XA, "xa_thang_hai", 601),
  "W_23257" : VNWard("Xã Tân Hà", 23257, VietnamDivisionType.XA, "xa_tan_ha", 601),
  "W_23260" : VNWard("Xã Tân Xuân", 23260, VietnamDivisionType.XA, "xa_tan_xuan", 601),
  "W_23266" : VNWard("Xã Sơn Mỹ", 23266, VietnamDivisionType.XA, "xa_son_my", 601),
  "W_23272" : VNWard("Xã Ngũ Phụng", 23272, VietnamDivisionType.XA, "xa_ngu_phung", 602),
  "W_23275" : VNWard("Xã Long Hải", 23275, VietnamDivisionType.XA, "xa_long_hai", 602),
  "W_23278" : VNWard("Xã Tam Thanh", 23278, VietnamDivisionType.XA, "xa_tam_thanh", 602),
  "W_23281" : VNWard("Phường Quang Trung", 23281, VietnamDivisionType.PHUONG, "phuong_quang_trung", 608),
  "W_23284" : VNWard("Phường Duy Tân", 23284, VietnamDivisionType.PHUONG, "phuong_duy_tan", 608),
  "W_23287" : VNWard("Phường Quyết Thắng", 23287, VietnamDivisionType.PHUONG, "phuong_quyet_thang", 608),
  "W_23290" : VNWard("Phường Trường Chinh", 23290, VietnamDivisionType.PHUONG, "phuong_truong_chinh", 608),
  "W_23293" : VNWard("Phường Thắng Lợi", 23293, VietnamDivisionType.PHUONG, "phuong_thang_loi", 608),
  "W_23296" : VNWard("Phường Ngô Mây", 23296, VietnamDivisionType.PHUONG, "phuong_ngo_may", 608),
  "W_23299" : VNWard("Phường Thống Nhất", 23299, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 608),
  "W_23302" : VNWard("Phường Lê Lợi", 23302, VietnamDivisionType.PHUONG, "phuong_le_loi", 608),
  "W_23305" : VNWard("Phường Nguyễn Trãi", 23305, VietnamDivisionType.PHUONG, "phuong_nguyen_trai", 608),
  "W_23308" : VNWard("Phường Trần Hưng Đạo", 23308, VietnamDivisionType.PHUONG, "phuong_tran_hung_dao", 608),
  "W_23311" : VNWard("Xã Đắk Cấm", 23311, VietnamDivisionType.XA, "xa_dak_cam", 608),
  "W_23314" : VNWard("Xã Kroong", 23314, VietnamDivisionType.XA, "xa_kroong", 608),
  "W_23317" : VNWard("Xã Ngọk Bay", 23317, VietnamDivisionType.XA, "xa_ngok_bay", 608),
  "W_23320" : VNWard("Xã Vinh Quang", 23320, VietnamDivisionType.XA, "xa_vinh_quang", 608),
  "W_23323" : VNWard("Xã Đắk Blà", 23323, VietnamDivisionType.XA, "xa_dak_bla", 608),
  "W_23326" : VNWard("Xã Ia Chim", 23326, VietnamDivisionType.XA, "xa_ia_chim", 608),
  "W_23327" : VNWard("Xã Đăk Năng", 23327, VietnamDivisionType.XA, "xa_dak_nang", 608),
  "W_23329" : VNWard("Xã Đoàn Kết", 23329, VietnamDivisionType.XA, "xa_doan_ket", 608),
  "W_23332" : VNWard("Xã Chư Hreng", 23332, VietnamDivisionType.XA, "xa_chu_hreng", 608),
  "W_23335" : VNWard("Xã Đắk Rơ Wa", 23335, VietnamDivisionType.XA, "xa_dak_ro_wa", 608),
  "W_23338" : VNWard("Xã Hòa Bình", 23338, VietnamDivisionType.XA, "xa_hoa_binh", 608),
  "W_23341" : VNWard("Thị trấn Đắk Glei", 23341, VietnamDivisionType.THI_TRAN, "thi_tran_dak_glei", 610),
  "W_23344" : VNWard("Xã Đắk Blô", 23344, VietnamDivisionType.XA, "xa_dak_blo", 610),
  "W_23347" : VNWard("Xã Đắk Man", 23347, VietnamDivisionType.XA, "xa_dak_man", 610),
  "W_23350" : VNWard("Xã Đắk Nhoong", 23350, VietnamDivisionType.XA, "xa_dak_nhoong", 610),
  "W_23353" : VNWard("Xã Đắk Pék", 23353, VietnamDivisionType.XA, "xa_dak_pek", 610),
  "W_23356" : VNWard("Xã Đắk Choong", 23356, VietnamDivisionType.XA, "xa_dak_choong", 610),
  "W_23359" : VNWard("Xã Xốp", 23359, VietnamDivisionType.XA, "xa_xop", 610),
  "W_23362" : VNWard("Xã Mường Hoong", 23362, VietnamDivisionType.XA, "xa_muong_hoong", 610),
  "W_23365" : VNWard("Xã Ngọc Linh", 23365, VietnamDivisionType.XA, "xa_ngoc_linh", 610),
  "W_23368" : VNWard("Xã Đắk Long", 23368, VietnamDivisionType.XA, "xa_dak_long", 610),
  "W_23371" : VNWard("Xã Đắk KRoong", 23371, VietnamDivisionType.XA, "xa_dak_kroong", 610),
  "W_23374" : VNWard("Xã Đắk Môn", 23374, VietnamDivisionType.XA, "xa_dak_mon", 610),
  "W_23377" : VNWard("Thị trấn Plei Kần", 23377, VietnamDivisionType.THI_TRAN, "thi_tran_plei_kan", 611),
  "W_23380" : VNWard("Xã Đắk Ang", 23380, VietnamDivisionType.XA, "xa_dak_ang", 611),
  "W_23383" : VNWard("Xã Đắk Dục", 23383, VietnamDivisionType.XA, "xa_dak_duc", 611),
  "W_23386" : VNWard("Xã Đắk Nông", 23386, VietnamDivisionType.XA, "xa_dak_nong", 611),
  "W_23389" : VNWard("Xã Đắk Xú", 23389, VietnamDivisionType.XA, "xa_dak_xu", 611),
  "W_23392" : VNWard("Xã Đắk Kan", 23392, VietnamDivisionType.XA, "xa_dak_kan", 611),
  "W_23395" : VNWard("Xã Bờ Y", 23395, VietnamDivisionType.XA, "xa_bo_y", 611),
  "W_23398" : VNWard("Xã Sa Loong", 23398, VietnamDivisionType.XA, "xa_sa_loong", 611),
  "W_23401" : VNWard("Thị trấn Đắk Tô", 23401, VietnamDivisionType.THI_TRAN, "thi_tran_dak_to", 612),
  "W_23427" : VNWard("Xã Đắk Rơ Nga", 23427, VietnamDivisionType.XA, "xa_dak_ro_nga", 612),
  "W_23428" : VNWard("Xã Ngọk Tụ", 23428, VietnamDivisionType.XA, "xa_ngok_tu", 612),
  "W_23430" : VNWard("Xã Đắk Trăm", 23430, VietnamDivisionType.XA, "xa_dak_tram", 612),
  "W_23431" : VNWard("Xã Văn Lem", 23431, VietnamDivisionType.XA, "xa_van_lem", 612),
  "W_23434" : VNWard("Xã Kon Đào", 23434, VietnamDivisionType.XA, "xa_kon_dao", 612),
  "W_23437" : VNWard("Xã Tân Cảnh", 23437, VietnamDivisionType.XA, "xa_tan_canh", 612),
  "W_23440" : VNWard("Xã Diên Bình", 23440, VietnamDivisionType.XA, "xa_dien_binh", 612),
  "W_23443" : VNWard("Xã Pô Kô", 23443, VietnamDivisionType.XA, "xa_po_ko", 612),
  "W_23452" : VNWard("Xã Đắk Nên", 23452, VietnamDivisionType.XA, "xa_dak_nen", 613),
  "W_23455" : VNWard("Xã Đắk Ring", 23455, VietnamDivisionType.XA, "xa_dak_ring", 613),
  "W_23458" : VNWard("Xã Măng Buk", 23458, VietnamDivisionType.XA, "xa_mang_buk", 613),
  "W_23461" : VNWard("Xã Đắk Tăng", 23461, VietnamDivisionType.XA, "xa_dak_tang", 613),
  "W_23464" : VNWard("Xã Ngok Tem", 23464, VietnamDivisionType.XA, "xa_ngok_tem", 613),
  "W_23467" : VNWard("Xã Pờ Ê", 23467, VietnamDivisionType.XA, "xa_po_e", 613),
  "W_23470" : VNWard("Xã Măng Cành", 23470, VietnamDivisionType.XA, "xa_mang_canh", 613),
  "W_23473" : VNWard("Thị trấn Măng Đen", 23473, VietnamDivisionType.THI_TRAN, "thi_tran_mang_den", 613),
  "W_23476" : VNWard("Xã Hiếu", 23476, VietnamDivisionType.XA, "xa_hieu", 613),
  "W_23479" : VNWard("Thị trấn Đắk Rve", 23479, VietnamDivisionType.THI_TRAN, "thi_tran_dak_rve", 614),
  "W_23482" : VNWard("Xã Đắk Kôi", 23482, VietnamDivisionType.XA, "xa_dak_koi", 614),
  "W_23485" : VNWard("Xã Đắk Tơ Lung", 23485, VietnamDivisionType.XA, "xa_dak_to_lung", 614),
  "W_23488" : VNWard("Xã Đắk Ruồng", 23488, VietnamDivisionType.XA, "xa_dak_ruong", 614),
  "W_23491" : VNWard("Xã Đắk Pne", 23491, VietnamDivisionType.XA, "xa_dak_pne", 614),
  "W_23494" : VNWard("Xã Đắk Tờ Re", 23494, VietnamDivisionType.XA, "xa_dak_to_re", 614),
  "W_23497" : VNWard("Xã Tân Lập", 23497, VietnamDivisionType.XA, "xa_tan_lap", 614),
  "W_23500" : VNWard("Thị trấn Đắk Hà", 23500, VietnamDivisionType.THI_TRAN, "thi_tran_dak_ha", 615),
  "W_23503" : VNWard("Xã Đắk PXi", 23503, VietnamDivisionType.XA, "xa_dak_pxi", 615),
  "W_23504" : VNWard("Xã Đăk Long", 23504, VietnamDivisionType.XA, "xa_dak_long", 615),
  "W_23506" : VNWard("Xã Đắk HRing", 23506, VietnamDivisionType.XA, "xa_dak_hring", 615),
  "W_23509" : VNWard("Xã Đắk Ui", 23509, VietnamDivisionType.XA, "xa_dak_ui", 615),
  "W_23510" : VNWard("Xã Đăk Ngọk", 23510, VietnamDivisionType.XA, "xa_dak_ngok", 615),
  "W_23512" : VNWard("Xã Đắk Mar", 23512, VietnamDivisionType.XA, "xa_dak_mar", 615),
  "W_23515" : VNWard("Xã Ngok Wang", 23515, VietnamDivisionType.XA, "xa_ngok_wang", 615),
  "W_23518" : VNWard("Xã Ngok Réo", 23518, VietnamDivisionType.XA, "xa_ngok_reo", 615),
  "W_23521" : VNWard("Xã Hà Mòn", 23521, VietnamDivisionType.XA, "xa_ha_mon", 615),
  "W_23524" : VNWard("Xã Đắk La", 23524, VietnamDivisionType.XA, "xa_dak_la", 615),
  "W_23527" : VNWard("Thị trấn Sa Thầy", 23527, VietnamDivisionType.THI_TRAN, "thi_tran_sa_thay", 616),
  "W_23530" : VNWard("Xã Rơ Kơi", 23530, VietnamDivisionType.XA, "xa_ro_koi", 616),
  "W_23533" : VNWard("Xã Sa Nhơn", 23533, VietnamDivisionType.XA, "xa_sa_nhon", 616),
  "W_23534" : VNWard("Xã Hơ Moong", 23534, VietnamDivisionType.XA, "xa_ho_moong", 616),
  "W_23536" : VNWard("Xã Mô Rai", 23536, VietnamDivisionType.XA, "xa_mo_rai", 616),
  "W_23539" : VNWard("Xã Sa Sơn", 23539, VietnamDivisionType.XA, "xa_sa_son", 616),
  "W_23542" : VNWard("Xã Sa Nghĩa", 23542, VietnamDivisionType.XA, "xa_sa_nghia", 616),
  "W_23545" : VNWard("Xã Sa Bình", 23545, VietnamDivisionType.XA, "xa_sa_binh", 616),
  "W_23548" : VNWard("Xã Ya Xiêr", 23548, VietnamDivisionType.XA, "xa_ya_xier", 616),
  "W_23551" : VNWard("Xã Ya Tăng", 23551, VietnamDivisionType.XA, "xa_ya_tang", 616),
  "W_23554" : VNWard("Xã Ya ly", 23554, VietnamDivisionType.XA, "xa_ya_ly", 616),
  "W_23404" : VNWard("Xã Ngọc Lây", 23404, VietnamDivisionType.XA, "xa_ngoc_lay", 617),
  "W_23407" : VNWard("Xã Đắk Na", 23407, VietnamDivisionType.XA, "xa_dak_na", 617),
  "W_23410" : VNWard("Xã Măng Ri", 23410, VietnamDivisionType.XA, "xa_mang_ri", 617),
  "W_23413" : VNWard("Xã Ngọc Yêu", 23413, VietnamDivisionType.XA, "xa_ngoc_yeu", 617),
  "W_23416" : VNWard("Xã Đắk Sao", 23416, VietnamDivisionType.XA, "xa_dak_sao", 617),
  "W_23417" : VNWard("Xã Đắk Rơ Ông", 23417, VietnamDivisionType.XA, "xa_dak_ro_ong", 617),
  "W_23419" : VNWard("Xã Đắk Tờ Kan", 23419, VietnamDivisionType.XA, "xa_dak_to_kan", 617),
  "W_23422" : VNWard("Xã Tu Mơ Rông", 23422, VietnamDivisionType.XA, "xa_tu_mo_rong", 617),
  "W_23425" : VNWard("Xã Đắk Hà", 23425, VietnamDivisionType.XA, "xa_dak_ha", 617),
  "W_23446" : VNWard("Xã Tê Xăng", 23446, VietnamDivisionType.XA, "xa_te_xang", 617),
  "W_23449" : VNWard("Xã Văn Xuôi", 23449, VietnamDivisionType.XA, "xa_van_xuoi", 617),
  "W_23535" : VNWard("Xã Ia Đal", 23535, VietnamDivisionType.XA, "xa_ia_dal", 618),
  "W_23537" : VNWard("Xã Ia Dom", 23537, VietnamDivisionType.XA, "xa_ia_dom", 618),
  "W_23538" : VNWard("Xã Ia Tơi", 23538, VietnamDivisionType.XA, "xa_ia_toi", 618),
  "W_23557" : VNWard("Phường Yên Đỗ", 23557, VietnamDivisionType.PHUONG, "phuong_yen_do", 622),
  "W_23560" : VNWard("Phường Diên Hồng", 23560, VietnamDivisionType.PHUONG, "phuong_dien_hong", 622),
  "W_23563" : VNWard("Phường Ia Kring", 23563, VietnamDivisionType.PHUONG, "phuong_ia_kring", 622),
  "W_23566" : VNWard("Phường Hội Thương", 23566, VietnamDivisionType.PHUONG, "phuong_hoi_thuong", 622),
  "W_23569" : VNWard("Phường Hội Phú", 23569, VietnamDivisionType.PHUONG, "phuong_hoi_phu", 622),
  "W_23570" : VNWard("Phường Phù Đổng", 23570, VietnamDivisionType.PHUONG, "phuong_phu_dong", 622),
  "W_23572" : VNWard("Phường Hoa Lư", 23572, VietnamDivisionType.PHUONG, "phuong_hoa_lu", 622),
  "W_23575" : VNWard("Phường Tây Sơn", 23575, VietnamDivisionType.PHUONG, "phuong_tay_son", 622),
  "W_23578" : VNWard("Phường Thống Nhất", 23578, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 622),
  "W_23579" : VNWard("Phường Đống Đa", 23579, VietnamDivisionType.PHUONG, "phuong_dong_da", 622),
  "W_23581" : VNWard("Phường Trà Bá", 23581, VietnamDivisionType.PHUONG, "phuong_tra_ba", 622),
  "W_23582" : VNWard("Phường Thắng Lợi", 23582, VietnamDivisionType.PHUONG, "phuong_thang_loi", 622),
  "W_23584" : VNWard("Phường Yên Thế", 23584, VietnamDivisionType.PHUONG, "phuong_yen_the", 622),
  "W_23586" : VNWard("Phường Chi Lăng", 23586, VietnamDivisionType.PHUONG, "phuong_chi_lang", 622),
  "W_23590" : VNWard("Xã Biển Hồ", 23590, VietnamDivisionType.XA, "xa_bien_ho", 622),
  "W_23593" : VNWard("Xã Tân Sơn", 23593, VietnamDivisionType.XA, "xa_tan_son", 622),
  "W_23596" : VNWard("Xã Trà Đa", 23596, VietnamDivisionType.XA, "xa_tra_da", 622),
  "W_23599" : VNWard("Xã Chư Á", 23599, VietnamDivisionType.XA, "xa_chu_a", 622),
  "W_23602" : VNWard("Xã An Phú", 23602, VietnamDivisionType.XA, "xa_an_phu", 622),
  "W_23605" : VNWard("Xã Diên Phú", 23605, VietnamDivisionType.XA, "xa_dien_phu", 622),
  "W_23608" : VNWard("Xã Ia Kênh", 23608, VietnamDivisionType.XA, "xa_ia_kenh", 622),
  "W_23611" : VNWard("Xã Gào", 23611, VietnamDivisionType.XA, "xa_gao", 622),
  "W_23614" : VNWard("Phường An Bình", 23614, VietnamDivisionType.PHUONG, "phuong_an_binh", 623),
  "W_23617" : VNWard("Phường Tây Sơn", 23617, VietnamDivisionType.PHUONG, "phuong_tay_son", 623),
  "W_23620" : VNWard("Phường An Phú", 23620, VietnamDivisionType.PHUONG, "phuong_an_phu", 623),
  "W_23623" : VNWard("Phường An Tân", 23623, VietnamDivisionType.PHUONG, "phuong_an_tan", 623),
  "W_23626" : VNWard("Xã Tú An", 23626, VietnamDivisionType.XA, "xa_tu_an", 623),
  "W_23627" : VNWard("Xã Xuân An", 23627, VietnamDivisionType.XA, "xa_xuan_an", 623),
  "W_23629" : VNWard("Xã Cửu An", 23629, VietnamDivisionType.XA, "xa_cuu_an", 623),
  "W_23630" : VNWard("Phường An Phước", 23630, VietnamDivisionType.PHUONG, "phuong_an_phuoc", 623),
  "W_23632" : VNWard("Xã Song An", 23632, VietnamDivisionType.XA, "xa_song_an", 623),
  "W_23633" : VNWard("Phường Ngô Mây", 23633, VietnamDivisionType.PHUONG, "phuong_ngo_may", 623),
  "W_23635" : VNWard("Xã Thành An", 23635, VietnamDivisionType.XA, "xa_thanh_an", 623),
  "W_24041" : VNWard("Phường Cheo Reo", 24041, VietnamDivisionType.PHUONG, "phuong_cheo_reo", 624),
  "W_24042" : VNWard("Phường Hòa Bình", 24042, VietnamDivisionType.PHUONG, "phuong_hoa_binh", 624),
  "W_24044" : VNWard("Phường Đoàn Kết", 24044, VietnamDivisionType.PHUONG, "phuong_doan_ket", 624),
  "W_24045" : VNWard("Phường Sông Bờ", 24045, VietnamDivisionType.PHUONG, "phuong_song_bo", 624),
  "W_24064" : VNWard("Xã Ia RBol", 24064, VietnamDivisionType.XA, "xa_ia_rbol", 624),
  "W_24065" : VNWard("Xã Chư Băh", 24065, VietnamDivisionType.XA, "xa_chu_bah", 624),
  "W_24070" : VNWard("Xã Ia RTô", 24070, VietnamDivisionType.XA, "xa_ia_rto", 624),
  "W_24073" : VNWard("Xã Ia Sao", 24073, VietnamDivisionType.XA, "xa_ia_sao", 624),
  "W_23638" : VNWard("Thị trấn KBang", 23638, VietnamDivisionType.THI_TRAN, "thi_tran_kbang", 625),
  "W_23641" : VNWard("Xã Kon Pne", 23641, VietnamDivisionType.XA, "xa_kon_pne", 625),
  "W_23644" : VNWard("Xã Đăk Roong", 23644, VietnamDivisionType.XA, "xa_dak_roong", 625),
  "W_23647" : VNWard("Xã Sơn Lang", 23647, VietnamDivisionType.XA, "xa_son_lang", 625),
  "W_23650" : VNWard("Xã KRong", 23650, VietnamDivisionType.XA, "xa_krong", 625),
  "W_23653" : VNWard("Xã Sơ Pai", 23653, VietnamDivisionType.XA, "xa_so_pai", 625),
  "W_23656" : VNWard("Xã Lơ Ku", 23656, VietnamDivisionType.XA, "xa_lo_ku", 625),
  "W_23659" : VNWard("Xã Đông", 23659, VietnamDivisionType.XA, "xa_dong", 625),
  "W_23660" : VNWard("Xã Đak SMar", 23660, VietnamDivisionType.XA, "xa_dak_smar", 625),
  "W_23662" : VNWard("Xã Nghĩa An", 23662, VietnamDivisionType.XA, "xa_nghia_an", 625),
  "W_23665" : VNWard("Xã Tơ Tung", 23665, VietnamDivisionType.XA, "xa_to_tung", 625),
  "W_23668" : VNWard("Xã Kông Lơng Khơng", 23668, VietnamDivisionType.XA, "xa_kong_long_khong", 625),
  "W_23671" : VNWard("Xã Kông Pla", 23671, VietnamDivisionType.XA, "xa_kong_pla", 625),
  "W_23674" : VNWard("Xã Đăk HLơ", 23674, VietnamDivisionType.XA, "xa_dak_hlo", 625),
  "W_23677" : VNWard("Thị trấn Đăk Đoa", 23677, VietnamDivisionType.THI_TRAN, "thi_tran_dak_doa", 626),
  "W_23680" : VNWard("Xã Hà Đông", 23680, VietnamDivisionType.XA, "xa_ha_dong", 626),
  "W_23683" : VNWard("Xã Đăk Sơmei", 23683, VietnamDivisionType.XA, "xa_dak_somei", 626),
  "W_23684" : VNWard("Xã Đăk Krong", 23684, VietnamDivisionType.XA, "xa_dak_krong", 626),
  "W_23686" : VNWard("Xã Hải Yang", 23686, VietnamDivisionType.XA, "xa_hai_yang", 626),
  "W_23689" : VNWard("Xã Kon Gang", 23689, VietnamDivisionType.XA, "xa_kon_gang", 626),
  "W_23692" : VNWard("Xã Hà Bầu", 23692, VietnamDivisionType.XA, "xa_ha_bau", 626),
  "W_23695" : VNWard("Xã Nam Yang", 23695, VietnamDivisionType.XA, "xa_nam_yang", 626),
  "W_23698" : VNWard("Xã K' Dang", 23698, VietnamDivisionType.XA, "xa_k_dang", 626),
  "W_23701" : VNWard("Xã H' Neng", 23701, VietnamDivisionType.XA, "xa_h_neng", 626),
  "W_23704" : VNWard("Xã Tân Bình", 23704, VietnamDivisionType.XA, "xa_tan_binh", 626),
  "W_23707" : VNWard("Xã Glar", 23707, VietnamDivisionType.XA, "xa_glar", 626),
  "W_23710" : VNWard("Xã A Dơk", 23710, VietnamDivisionType.XA, "xa_a_dok", 626),
  "W_23713" : VNWard("Xã Trang", 23713, VietnamDivisionType.XA, "xa_trang", 626),
  "W_23714" : VNWard("Xã HNol", 23714, VietnamDivisionType.XA, "xa_hnol", 626),
  "W_23716" : VNWard("Xã Ia Pết", 23716, VietnamDivisionType.XA, "xa_ia_pet", 626),
  "W_23719" : VNWard("Xã Ia Băng", 23719, VietnamDivisionType.XA, "xa_ia_bang", 626),
  "W_23722" : VNWard("Thị trấn Phú Hòa", 23722, VietnamDivisionType.THI_TRAN, "thi_tran_phu_hoa", 627),
  "W_23725" : VNWard("Xã Hà Tây", 23725, VietnamDivisionType.XA, "xa_ha_tay", 627),
  "W_23728" : VNWard("Xã Ia Khươl", 23728, VietnamDivisionType.XA, "xa_ia_khuol", 627),
  "W_23731" : VNWard("Xã Ia Phí", 23731, VietnamDivisionType.XA, "xa_ia_phi", 627),
  "W_23734" : VNWard("Thị trấn Ia Ly", 23734, VietnamDivisionType.THI_TRAN, "thi_tran_ia_ly", 627),
  "W_23737" : VNWard("Xã Ia Mơ Nông", 23737, VietnamDivisionType.XA, "xa_ia_mo_nong", 627),
  "W_23738" : VNWard("Xã Ia Kreng", 23738, VietnamDivisionType.XA, "xa_ia_kreng", 627),
  "W_23740" : VNWard("Xã Đăk Tơ Ver", 23740, VietnamDivisionType.XA, "xa_dak_to_ver", 627),
  "W_23743" : VNWard("Xã Hòa Phú", 23743, VietnamDivisionType.XA, "xa_hoa_phu", 627),
  "W_23746" : VNWard("Xã Chư Đăng Ya", 23746, VietnamDivisionType.XA, "xa_chu_dang_ya", 627),
  "W_23749" : VNWard("Xã Ia Ka", 23749, VietnamDivisionType.XA, "xa_ia_ka", 627),
  "W_23752" : VNWard("Xã Ia Nhin", 23752, VietnamDivisionType.XA, "xa_ia_nhin", 627),
  "W_23755" : VNWard("Xã Nghĩa Hòa", 23755, VietnamDivisionType.XA, "xa_nghia_hoa", 627),
  "W_23761" : VNWard("Xã Nghĩa Hưng", 23761, VietnamDivisionType.XA, "xa_nghia_hung", 627),
  "W_23764" : VNWard("Thị trấn Ia Kha", 23764, VietnamDivisionType.THI_TRAN, "thi_tran_ia_kha", 628),
  "W_23767" : VNWard("Xã Ia Sao", 23767, VietnamDivisionType.XA, "xa_ia_sao", 628),
  "W_23768" : VNWard("Xã Ia Yok", 23768, VietnamDivisionType.XA, "xa_ia_yok", 628),
  "W_23770" : VNWard("Xã Ia Hrung", 23770, VietnamDivisionType.XA, "xa_ia_hrung", 628),
  "W_23771" : VNWard("Xã Ia Bă", 23771, VietnamDivisionType.XA, "xa_ia_ba", 628),
  "W_23773" : VNWard("Xã Ia Khai", 23773, VietnamDivisionType.XA, "xa_ia_khai", 628),
  "W_23776" : VNWard("Xã Ia KRai", 23776, VietnamDivisionType.XA, "xa_ia_krai", 628),
  "W_23778" : VNWard("Xã Ia Grăng", 23778, VietnamDivisionType.XA, "xa_ia_grang", 628),
  "W_23779" : VNWard("Xã Ia Tô", 23779, VietnamDivisionType.XA, "xa_ia_to", 628),
  "W_23782" : VNWard("Xã Ia O", 23782, VietnamDivisionType.XA, "xa_ia_o", 628),
  "W_23785" : VNWard("Xã Ia Dêr", 23785, VietnamDivisionType.XA, "xa_ia_der", 628),
  "W_23788" : VNWard("Xã Ia Chia", 23788, VietnamDivisionType.XA, "xa_ia_chia", 628),
  "W_23791" : VNWard("Xã Ia Pếch", 23791, VietnamDivisionType.XA, "xa_ia_pech", 628),
  "W_23794" : VNWard("Thị trấn Kon Dơng", 23794, VietnamDivisionType.THI_TRAN, "thi_tran_kon_dong", 629),
  "W_23797" : VNWard("Xã Ayun", 23797, VietnamDivisionType.XA, "xa_ayun", 629),
  "W_23798" : VNWard("Xã Đak Jơ Ta", 23798, VietnamDivisionType.XA, "xa_dak_jo_ta", 629),
  "W_23799" : VNWard("Xã Đak Ta Ley", 23799, VietnamDivisionType.XA, "xa_dak_ta_ley", 629),
  "W_23800" : VNWard("Xã Hra", 23800, VietnamDivisionType.XA, "xa_hra", 629),
  "W_23803" : VNWard("Xã Đăk Yă", 23803, VietnamDivisionType.XA, "xa_dak_ya", 629),
  "W_23806" : VNWard("Xã Đăk Djrăng", 23806, VietnamDivisionType.XA, "xa_dak_djrang", 629),
  "W_23809" : VNWard("Xã Lơ Pang", 23809, VietnamDivisionType.XA, "xa_lo_pang", 629),
  "W_23812" : VNWard("Xã Kon Thụp", 23812, VietnamDivisionType.XA, "xa_kon_thup", 629),
  "W_23815" : VNWard("Xã Đê Ar", 23815, VietnamDivisionType.XA, "xa_de_ar", 629),
  "W_23818" : VNWard("Xã Kon Chiêng", 23818, VietnamDivisionType.XA, "xa_kon_chieng", 629),
  "W_23821" : VNWard("Xã Đăk Trôi", 23821, VietnamDivisionType.XA, "xa_dak_troi", 629),
  "W_23824" : VNWard("Thị trấn Kông Chro", 23824, VietnamDivisionType.THI_TRAN, "thi_tran_kong_chro", 630),
  "W_23827" : VNWard("Xã Chư Krêy", 23827, VietnamDivisionType.XA, "xa_chu_krey", 630),
  "W_23830" : VNWard("Xã An Trung", 23830, VietnamDivisionType.XA, "xa_an_trung", 630),
  "W_23833" : VNWard("Xã Kông Yang", 23833, VietnamDivisionType.XA, "xa_kong_yang", 630),
  "W_23836" : VNWard("Xã Đăk Tơ Pang", 23836, VietnamDivisionType.XA, "xa_dak_to_pang", 630),
  "W_23839" : VNWard("Xã SRó", 23839, VietnamDivisionType.XA, "xa_sro", 630),
  "W_23840" : VNWard("Xã Đắk Kơ Ning", 23840, VietnamDivisionType.XA, "xa_dak_ko_ning", 630),
  "W_23842" : VNWard("Xã Đăk Song", 23842, VietnamDivisionType.XA, "xa_dak_song", 630),
  "W_23843" : VNWard("Xã Đăk Pling", 23843, VietnamDivisionType.XA, "xa_dak_pling", 630),
  "W_23845" : VNWard("Xã Yang Trung", 23845, VietnamDivisionType.XA, "xa_yang_trung", 630),
  "W_23846" : VNWard("Xã Đăk Pơ Pho", 23846, VietnamDivisionType.XA, "xa_dak_po_pho", 630),
  "W_23848" : VNWard("Xã Ya Ma", 23848, VietnamDivisionType.XA, "xa_ya_ma", 630),
  "W_23851" : VNWard("Xã Chơ Long", 23851, VietnamDivisionType.XA, "xa_cho_long", 630),
  "W_23854" : VNWard("Xã Yang Nam", 23854, VietnamDivisionType.XA, "xa_yang_nam", 630),
  "W_23857" : VNWard("Thị trấn Chư Ty", 23857, VietnamDivisionType.THI_TRAN, "thi_tran_chu_ty", 631),
  "W_23860" : VNWard("Xã Ia Dơk", 23860, VietnamDivisionType.XA, "xa_ia_dok", 631),
  "W_23863" : VNWard("Xã Ia Krêl", 23863, VietnamDivisionType.XA, "xa_ia_krel", 631),
  "W_23866" : VNWard("Xã Ia Din", 23866, VietnamDivisionType.XA, "xa_ia_din", 631),
  "W_23869" : VNWard("Xã Ia Kla", 23869, VietnamDivisionType.XA, "xa_ia_kla", 631),
  "W_23872" : VNWard("Xã Ia Dom", 23872, VietnamDivisionType.XA, "xa_ia_dom", 631),
  "W_23875" : VNWard("Xã Ia Lang", 23875, VietnamDivisionType.XA, "xa_ia_lang", 631),
  "W_23878" : VNWard("Xã Ia Kriêng", 23878, VietnamDivisionType.XA, "xa_ia_krieng", 631),
  "W_23881" : VNWard("Xã Ia Pnôn", 23881, VietnamDivisionType.XA, "xa_ia_pnon", 631),
  "W_23884" : VNWard("Xã Ia Nan", 23884, VietnamDivisionType.XA, "xa_ia_nan", 631),
  "W_23887" : VNWard("Thị trấn Chư Prông", 23887, VietnamDivisionType.THI_TRAN, "thi_tran_chu_prong", 632),
  "W_23888" : VNWard("Xã Ia Kly", 23888, VietnamDivisionType.XA, "xa_ia_kly", 632),
  "W_23890" : VNWard("Xã Bình Giáo", 23890, VietnamDivisionType.XA, "xa_binh_giao", 632),
  "W_23893" : VNWard("Xã Ia Drăng", 23893, VietnamDivisionType.XA, "xa_ia_drang", 632),
  "W_23896" : VNWard("Xã Thăng Hưng", 23896, VietnamDivisionType.XA, "xa_thang_hung", 632),
  "W_23899" : VNWard("Xã Bàu Cạn", 23899, VietnamDivisionType.XA, "xa_bau_can", 632),
  "W_23902" : VNWard("Xã Ia Phìn", 23902, VietnamDivisionType.XA, "xa_ia_phin", 632),
  "W_23905" : VNWard("Xã Ia Băng", 23905, VietnamDivisionType.XA, "xa_ia_bang", 632),
  "W_23908" : VNWard("Xã Ia Tôr", 23908, VietnamDivisionType.XA, "xa_ia_tor", 632),
  "W_23911" : VNWard("Xã Ia Boòng", 23911, VietnamDivisionType.XA, "xa_ia_boong", 632),
  "W_23914" : VNWard("Xã Ia O", 23914, VietnamDivisionType.XA, "xa_ia_o", 632),
  "W_23917" : VNWard("Xã Ia Púch", 23917, VietnamDivisionType.XA, "xa_ia_puch", 632),
  "W_23920" : VNWard("Xã Ia Me", 23920, VietnamDivisionType.XA, "xa_ia_me", 632),
  "W_23923" : VNWard("Xã Ia Vê", 23923, VietnamDivisionType.XA, "xa_ia_ve", 632),
  "W_23924" : VNWard("Xã Ia Bang", 23924, VietnamDivisionType.XA, "xa_ia_bang", 632),
  "W_23926" : VNWard("Xã Ia Pia", 23926, VietnamDivisionType.XA, "xa_ia_pia", 632),
  "W_23929" : VNWard("Xã Ia Ga", 23929, VietnamDivisionType.XA, "xa_ia_ga", 632),
  "W_23932" : VNWard("Xã Ia Lâu", 23932, VietnamDivisionType.XA, "xa_ia_lau", 632),
  "W_23935" : VNWard("Xã Ia Piơr", 23935, VietnamDivisionType.XA, "xa_ia_pior", 632),
  "W_23938" : VNWard("Xã Ia Mơ", 23938, VietnamDivisionType.XA, "xa_ia_mo", 632),
  "W_23941" : VNWard("Thị trấn Chư Sê", 23941, VietnamDivisionType.THI_TRAN, "thi_tran_chu_se", 633),
  "W_23944" : VNWard("Xã Ia Tiêm", 23944, VietnamDivisionType.XA, "xa_ia_tiem", 633),
  "W_23945" : VNWard("Xã Chư Pơng", 23945, VietnamDivisionType.XA, "xa_chu_pong", 633),
  "W_23946" : VNWard("Xã Bar Măih", 23946, VietnamDivisionType.XA, "xa_bar_maih", 633),
  "W_23947" : VNWard("Xã Bờ Ngoong", 23947, VietnamDivisionType.XA, "xa_bo_ngoong", 633),
  "W_23950" : VNWard("Xã Ia Glai", 23950, VietnamDivisionType.XA, "xa_ia_glai", 633),
  "W_23953" : VNWard("Xã AL Bá", 23953, VietnamDivisionType.XA, "xa_al_ba", 633),
  "W_23954" : VNWard("Xã Kông HTok", 23954, VietnamDivisionType.XA, "xa_kong_htok", 633),
  "W_23956" : VNWard("Xã AYun", 23956, VietnamDivisionType.XA, "xa_ayun", 633),
  "W_23959" : VNWard("Xã Ia HLốp", 23959, VietnamDivisionType.XA, "xa_ia_hlop", 633),
  "W_23962" : VNWard("Xã Ia Blang", 23962, VietnamDivisionType.XA, "xa_ia_blang", 633),
  "W_23965" : VNWard("Xã Dun", 23965, VietnamDivisionType.XA, "xa_dun", 633),
  "W_23966" : VNWard("Xã Ia Pal", 23966, VietnamDivisionType.XA, "xa_ia_pal", 633),
  "W_23968" : VNWard("Xã H Bông", 23968, VietnamDivisionType.XA, "xa_h_bong", 633),
  "W_23977" : VNWard("Xã Ia Ko", 23977, VietnamDivisionType.XA, "xa_ia_ko", 633),
  "W_23989" : VNWard("Xã Hà Tam", 23989, VietnamDivisionType.XA, "xa_ha_tam", 634),
  "W_23992" : VNWard("Xã An Thành", 23992, VietnamDivisionType.XA, "xa_an_thanh", 634),
  "W_23995" : VNWard("Thị trấn Đak Pơ", 23995, VietnamDivisionType.THI_TRAN, "thi_tran_dak_po", 634),
  "W_23998" : VNWard("Xã Yang Bắc", 23998, VietnamDivisionType.XA, "xa_yang_bac", 634),
  "W_24001" : VNWard("Xã Cư An", 24001, VietnamDivisionType.XA, "xa_cu_an", 634),
  "W_24004" : VNWard("Xã Tân An", 24004, VietnamDivisionType.XA, "xa_tan_an", 634),
  "W_24007" : VNWard("Xã Phú An", 24007, VietnamDivisionType.XA, "xa_phu_an", 634),
  "W_24010" : VNWard("Xã Ya Hội", 24010, VietnamDivisionType.XA, "xa_ya_hoi", 634),
  "W_24013" : VNWard("Xã Pờ Tó", 24013, VietnamDivisionType.XA, "xa_po_to", 635),
  "W_24016" : VNWard("Xã Chư Răng", 24016, VietnamDivisionType.XA, "xa_chu_rang", 635),
  "W_24019" : VNWard("Xã Ia KDăm", 24019, VietnamDivisionType.XA, "xa_ia_kdam", 635),
  "W_24022" : VNWard("Xã Kim Tân", 24022, VietnamDivisionType.XA, "xa_kim_tan", 635),
  "W_24025" : VNWard("Xã Chư Mố", 24025, VietnamDivisionType.XA, "xa_chu_mo", 635),
  "W_24028" : VNWard("Xã Ia Tul", 24028, VietnamDivisionType.XA, "xa_ia_tul", 635),
  "W_24031" : VNWard("Xã Ia Ma Rơn", 24031, VietnamDivisionType.XA, "xa_ia_ma_ron", 635),
  "W_24034" : VNWard("Xã Ia Broăi", 24034, VietnamDivisionType.XA, "xa_ia_broai", 635),
  "W_24037" : VNWard("Xã Ia Trok", 24037, VietnamDivisionType.XA, "xa_ia_trok", 635),
  "W_24076" : VNWard("Thị trấn Phú Túc", 24076, VietnamDivisionType.THI_TRAN, "thi_tran_phu_tuc", 637),
  "W_24079" : VNWard("Xã Ia RSai", 24079, VietnamDivisionType.XA, "xa_ia_rsai", 637),
  "W_24082" : VNWard("Xã Ia RSươm", 24082, VietnamDivisionType.XA, "xa_ia_rsuom", 637),
  "W_24085" : VNWard("Xã Chư Gu", 24085, VietnamDivisionType.XA, "xa_chu_gu", 637),
  "W_24088" : VNWard("Xã Đất Bằng", 24088, VietnamDivisionType.XA, "xa_dat_bang", 637),
  "W_24091" : VNWard("Xã Ia Mláh", 24091, VietnamDivisionType.XA, "xa_ia_mlah", 637),
  "W_24094" : VNWard("Xã Chư Drăng", 24094, VietnamDivisionType.XA, "xa_chu_drang", 637),
  "W_24097" : VNWard("Xã Phú Cần", 24097, VietnamDivisionType.XA, "xa_phu_can", 637),
  "W_24100" : VNWard("Xã Ia HDreh", 24100, VietnamDivisionType.XA, "xa_ia_hdreh", 637),
  "W_24103" : VNWard("Xã Ia RMok", 24103, VietnamDivisionType.XA, "xa_ia_rmok", 637),
  "W_24106" : VNWard("Xã Chư Ngọc", 24106, VietnamDivisionType.XA, "xa_chu_ngoc", 637),
  "W_24109" : VNWard("Xã Uar", 24109, VietnamDivisionType.XA, "xa_uar", 637),
  "W_24112" : VNWard("Xã Chư Rcăm", 24112, VietnamDivisionType.XA, "xa_chu_rcam", 637),
  "W_24115" : VNWard("Xã Krông Năng", 24115, VietnamDivisionType.XA, "xa_krong_nang", 637),
  "W_24043" : VNWard("Thị trấn Phú Thiện", 24043, VietnamDivisionType.THI_TRAN, "thi_tran_phu_thien", 638),
  "W_24046" : VNWard("Xã Chư A Thai", 24046, VietnamDivisionType.XA, "xa_chu_a_thai", 638),
  "W_24048" : VNWard("Xã Ayun Hạ", 24048, VietnamDivisionType.XA, "xa_ayun_ha", 638),
  "W_24049" : VNWard("Xã Ia Ake", 24049, VietnamDivisionType.XA, "xa_ia_ake", 638),
  "W_24052" : VNWard("Xã Ia Sol", 24052, VietnamDivisionType.XA, "xa_ia_sol", 638),
  "W_24055" : VNWard("Xã Ia Piar", 24055, VietnamDivisionType.XA, "xa_ia_piar", 638),
  "W_24058" : VNWard("Xã Ia Peng", 24058, VietnamDivisionType.XA, "xa_ia_peng", 638),
  "W_24060" : VNWard("Xã Chrôh Pơnan", 24060, VietnamDivisionType.XA, "xa_chroh_ponan", 638),
  "W_24061" : VNWard("Xã Ia Hiao", 24061, VietnamDivisionType.XA, "xa_ia_hiao", 638),
  "W_24067" : VNWard("Xã Ia Yeng", 24067, VietnamDivisionType.XA, "xa_ia_yeng", 638),
  "W_23942" : VNWard("Thị trấn Nhơn Hoà", 23942, VietnamDivisionType.THI_TRAN, "thi_tran_nhon_hoa", 639),
  "W_23971" : VNWard("Xã Ia Hrú", 23971, VietnamDivisionType.XA, "xa_ia_hru", 639),
  "W_23972" : VNWard("Xã Ia Rong", 23972, VietnamDivisionType.XA, "xa_ia_rong", 639),
  "W_23974" : VNWard("Xã Ia Dreng", 23974, VietnamDivisionType.XA, "xa_ia_dreng", 639),
  "W_23978" : VNWard("Xã Ia Hla", 23978, VietnamDivisionType.XA, "xa_ia_hla", 639),
  "W_23980" : VNWard("Xã Chư Don", 23980, VietnamDivisionType.XA, "xa_chu_don", 639),
  "W_23983" : VNWard("Xã Ia Phang", 23983, VietnamDivisionType.XA, "xa_ia_phang", 639),
  "W_23986" : VNWard("Xã Ia Le", 23986, VietnamDivisionType.XA, "xa_ia_le", 639),
  "W_23987" : VNWard("Xã Ia BLứ", 23987, VietnamDivisionType.XA, "xa_ia_blu", 639),
  "W_24118" : VNWard("Phường Tân Lập", 24118, VietnamDivisionType.PHUONG, "phuong_tan_lap", 643),
  "W_24121" : VNWard("Phường Tân Hòa", 24121, VietnamDivisionType.PHUONG, "phuong_tan_hoa", 643),
  "W_24124" : VNWard("Phường Tân An", 24124, VietnamDivisionType.PHUONG, "phuong_tan_an", 643),
  "W_24127" : VNWard("Phường Thống Nhất", 24127, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 643),
  "W_24130" : VNWard("Phường Thành Nhất", 24130, VietnamDivisionType.PHUONG, "phuong_thanh_nhat", 643),
  "W_24133" : VNWard("Phường Thắng Lợi", 24133, VietnamDivisionType.PHUONG, "phuong_thang_loi", 643),
  "W_24136" : VNWard("Phường Tân Lợi", 24136, VietnamDivisionType.PHUONG, "phuong_tan_loi", 643),
  "W_24139" : VNWard("Phường Thành Công", 24139, VietnamDivisionType.PHUONG, "phuong_thanh_cong", 643),
  "W_24142" : VNWard("Phường Tân Thành", 24142, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 643),
  "W_24145" : VNWard("Phường Tân Tiến", 24145, VietnamDivisionType.PHUONG, "phuong_tan_tien", 643),
  "W_24148" : VNWard("Phường Tự An", 24148, VietnamDivisionType.PHUONG, "phuong_tu_an", 643),
  "W_24151" : VNWard("Phường Ea Tam", 24151, VietnamDivisionType.PHUONG, "phuong_ea_tam", 643),
  "W_24154" : VNWard("Phường Khánh Xuân", 24154, VietnamDivisionType.PHUONG, "phuong_khanh_xuan", 643),
  "W_24157" : VNWard("Xã Hòa Thuận", 24157, VietnamDivisionType.XA, "xa_hoa_thuan", 643),
  "W_24160" : VNWard("Xã Cư ÊBur", 24160, VietnamDivisionType.XA, "xa_cu_ebur", 643),
  "W_24163" : VNWard("Xã Ea Tu", 24163, VietnamDivisionType.XA, "xa_ea_tu", 643),
  "W_24166" : VNWard("Xã Hòa Thắng", 24166, VietnamDivisionType.XA, "xa_hoa_thang", 643),
  "W_24169" : VNWard("Xã Ea Kao", 24169, VietnamDivisionType.XA, "xa_ea_kao", 643),
  "W_24172" : VNWard("Xã Hòa Phú", 24172, VietnamDivisionType.XA, "xa_hoa_phu", 643),
  "W_24175" : VNWard("Xã Hòa Khánh", 24175, VietnamDivisionType.XA, "xa_hoa_khanh", 643),
  "W_24178" : VNWard("Xã Hòa Xuân", 24178, VietnamDivisionType.XA, "xa_hoa_xuan", 643),
  "W_24305" : VNWard("Phường An Lạc", 24305, VietnamDivisionType.PHUONG, "phuong_an_lac", 644),
  "W_24308" : VNWard("Phường An Bình", 24308, VietnamDivisionType.PHUONG, "phuong_an_binh", 644),
  "W_24311" : VNWard("Phường Thiện An", 24311, VietnamDivisionType.PHUONG, "phuong_thien_an", 644),
  "W_24318" : VNWard("Phường Đạt Hiếu", 24318, VietnamDivisionType.PHUONG, "phuong_dat_hieu", 644),
  "W_24322" : VNWard("Phường Đoàn Kết", 24322, VietnamDivisionType.PHUONG, "phuong_doan_ket", 644),
  "W_24325" : VNWard("Xã Ea Blang", 24325, VietnamDivisionType.XA, "xa_ea_blang", 644),
  "W_24328" : VNWard("Xã Ea Drông", 24328, VietnamDivisionType.XA, "xa_ea_drong", 644),
  "W_24331" : VNWard("Phường Thống Nhất", 24331, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 644),
  "W_24332" : VNWard("Phường Bình Tân", 24332, VietnamDivisionType.PHUONG, "phuong_binh_tan", 644),
  "W_24334" : VNWard("Xã Ea Siên", 24334, VietnamDivisionType.XA, "xa_ea_sien", 644),
  "W_24337" : VNWard("Xã Bình Thuận", 24337, VietnamDivisionType.XA, "xa_binh_thuan", 644),
  "W_24340" : VNWard("Xã Cư Bao", 24340, VietnamDivisionType.XA, "xa_cu_bao", 644),
  "W_24181" : VNWard("Thị trấn Ea Drăng", 24181, VietnamDivisionType.THI_TRAN, "thi_tran_ea_drang", 645),
  "W_24184" : VNWard("Xã Ea H'leo", 24184, VietnamDivisionType.XA, "xa_ea_hleo", 645),
  "W_24187" : VNWard("Xã Ea Sol", 24187, VietnamDivisionType.XA, "xa_ea_sol", 645),
  "W_24190" : VNWard("Xã Ea Ral", 24190, VietnamDivisionType.XA, "xa_ea_ral", 645),
  "W_24193" : VNWard("Xã Ea Wy", 24193, VietnamDivisionType.XA, "xa_ea_wy", 645),
  "W_24194" : VNWard("Xã Cư A Mung", 24194, VietnamDivisionType.XA, "xa_cu_a_mung", 645),
  "W_24196" : VNWard("Xã Cư Mốt", 24196, VietnamDivisionType.XA, "xa_cu_mot", 645),
  "W_24199" : VNWard("Xã Ea Hiao", 24199, VietnamDivisionType.XA, "xa_ea_hiao", 645),
  "W_24202" : VNWard("Xã Ea Khal", 24202, VietnamDivisionType.XA, "xa_ea_khal", 645),
  "W_24205" : VNWard("Xã Dliê Yang", 24205, VietnamDivisionType.XA, "xa_dlie_yang", 645),
  "W_24207" : VNWard("Xã Ea Tir", 24207, VietnamDivisionType.XA, "xa_ea_tir", 645),
  "W_24208" : VNWard("Xã Ea Nam", 24208, VietnamDivisionType.XA, "xa_ea_nam", 645),
  "W_24211" : VNWard("Thị trấn Ea Súp", 24211, VietnamDivisionType.THI_TRAN, "thi_tran_ea_sup", 646),
  "W_24214" : VNWard("Xã Ia Lốp", 24214, VietnamDivisionType.XA, "xa_ia_lop", 646),
  "W_24215" : VNWard("Xã Ia JLơi", 24215, VietnamDivisionType.XA, "xa_ia_jloi", 646),
  "W_24217" : VNWard("Xã Ea Rốk", 24217, VietnamDivisionType.XA, "xa_ea_rok", 646),
  "W_24220" : VNWard("Xã Ya Tờ Mốt", 24220, VietnamDivisionType.XA, "xa_ya_to_mot", 646),
  "W_24221" : VNWard("Xã Ia RVê", 24221, VietnamDivisionType.XA, "xa_ia_rve", 646),
  "W_24223" : VNWard("Xã Ea Lê", 24223, VietnamDivisionType.XA, "xa_ea_le", 646),
  "W_24226" : VNWard("Xã Cư KBang", 24226, VietnamDivisionType.XA, "xa_cu_kbang", 646),
  "W_24229" : VNWard("Xã Ea Bung", 24229, VietnamDivisionType.XA, "xa_ea_bung", 646),
  "W_24232" : VNWard("Xã Cư M'Lan", 24232, VietnamDivisionType.XA, "xa_cu_mlan", 646),
  "W_24235" : VNWard("Xã Krông Na", 24235, VietnamDivisionType.XA, "xa_krong_na", 647),
  "W_24238" : VNWard("Xã Ea Huar", 24238, VietnamDivisionType.XA, "xa_ea_huar", 647),
  "W_24241" : VNWard("Xã Ea Wer", 24241, VietnamDivisionType.XA, "xa_ea_wer", 647),
  "W_24244" : VNWard("Xã Tân Hoà", 24244, VietnamDivisionType.XA, "xa_tan_hoa", 647),
  "W_24247" : VNWard("Xã Cuôr KNia", 24247, VietnamDivisionType.XA, "xa_cuor_knia", 647),
  "W_24250" : VNWard("Xã Ea Bar", 24250, VietnamDivisionType.XA, "xa_ea_bar", 647),
  "W_24253" : VNWard("Xã Ea Nuôl", 24253, VietnamDivisionType.XA, "xa_ea_nuol", 647),
  "W_24256" : VNWard("Thị trấn Ea Pốk", 24256, VietnamDivisionType.THI_TRAN, "thi_tran_ea_pok", 648),
  "W_24259" : VNWard("Thị trấn Quảng Phú", 24259, VietnamDivisionType.THI_TRAN, "thi_tran_quang_phu", 648),
  "W_24262" : VNWard("Xã Quảng Tiến", 24262, VietnamDivisionType.XA, "xa_quang_tien", 648),
  "W_24264" : VNWard("Xã Ea Kuêh", 24264, VietnamDivisionType.XA, "xa_ea_kueh", 648),
  "W_24265" : VNWard("Xã Ea Kiết", 24265, VietnamDivisionType.XA, "xa_ea_kiet", 648),
  "W_24268" : VNWard("Xã Ea Tar", 24268, VietnamDivisionType.XA, "xa_ea_tar", 648),
  "W_24271" : VNWard("Xã Cư Dliê M'nông", 24271, VietnamDivisionType.XA, "xa_cu_dlie_mnong", 648),
  "W_24274" : VNWard("Xã Ea H'đinh", 24274, VietnamDivisionType.XA, "xa_ea_hdinh", 648),
  "W_24277" : VNWard("Xã Ea Tul", 24277, VietnamDivisionType.XA, "xa_ea_tul", 648),
  "W_24280" : VNWard("Xã Ea KPam", 24280, VietnamDivisionType.XA, "xa_ea_kpam", 648),
  "W_24283" : VNWard("Xã Ea M'DRóh", 24283, VietnamDivisionType.XA, "xa_ea_mdroh", 648),
  "W_24286" : VNWard("Xã Quảng Hiệp", 24286, VietnamDivisionType.XA, "xa_quang_hiep", 648),
  "W_24289" : VNWard("Xã Cư M'gar", 24289, VietnamDivisionType.XA, "xa_cu_mgar", 648),
  "W_24292" : VNWard("Xã Ea D'Rơng", 24292, VietnamDivisionType.XA, "xa_ea_drong", 648),
  "W_24295" : VNWard("Xã Ea M'nang", 24295, VietnamDivisionType.XA, "xa_ea_mnang", 648),
  "W_24298" : VNWard("Xã Cư Suê", 24298, VietnamDivisionType.XA, "xa_cu_sue", 648),
  "W_24301" : VNWard("Xã Cuor Đăng", 24301, VietnamDivisionType.XA, "xa_cuor_dang", 648),
  "W_24307" : VNWard("Xã Cư Né", 24307, VietnamDivisionType.XA, "xa_cu_ne", 649),
  "W_24310" : VNWard("Xã Chư KBô", 24310, VietnamDivisionType.XA, "xa_chu_kbo", 649),
  "W_24313" : VNWard("Xã Cư Pơng", 24313, VietnamDivisionType.XA, "xa_cu_pong", 649),
  "W_24314" : VNWard("Xã Ea Sin", 24314, VietnamDivisionType.XA, "xa_ea_sin", 649),
  "W_24316" : VNWard("Xã Pơng Drang", 24316, VietnamDivisionType.XA, "xa_pong_drang", 649),
  "W_24317" : VNWard("Xã Tân Lập", 24317, VietnamDivisionType.XA, "xa_tan_lap", 649),
  "W_24319" : VNWard("Xã Ea Ngai", 24319, VietnamDivisionType.XA, "xa_ea_ngai", 649),
  "W_24343" : VNWard("Thị trấn Krông Năng", 24343, VietnamDivisionType.THI_TRAN, "thi_tran_krong_nang", 650),
  "W_24346" : VNWard("Xã ĐLiê Ya", 24346, VietnamDivisionType.XA, "xa_dlie_ya", 650),
  "W_24349" : VNWard("Xã Ea Tóh", 24349, VietnamDivisionType.XA, "xa_ea_toh", 650),
  "W_24352" : VNWard("Xã Ea Tam", 24352, VietnamDivisionType.XA, "xa_ea_tam", 650),
  "W_24355" : VNWard("Xã Phú Lộc", 24355, VietnamDivisionType.XA, "xa_phu_loc", 650),
  "W_24358" : VNWard("Xã Tam Giang", 24358, VietnamDivisionType.XA, "xa_tam_giang", 650),
  "W_24359" : VNWard("Xã Ea Puk", 24359, VietnamDivisionType.XA, "xa_ea_puk", 650),
  "W_24360" : VNWard("Xã Ea Dăh", 24360, VietnamDivisionType.XA, "xa_ea_dah", 650),
  "W_24361" : VNWard("Xã Ea Hồ", 24361, VietnamDivisionType.XA, "xa_ea_ho", 650),
  "W_24364" : VNWard("Xã Phú Xuân", 24364, VietnamDivisionType.XA, "xa_phu_xuan", 650),
  "W_24367" : VNWard("Xã Cư Klông", 24367, VietnamDivisionType.XA, "xa_cu_klong", 650),
  "W_24370" : VNWard("Xã Ea Tân", 24370, VietnamDivisionType.XA, "xa_ea_tan", 650),
  "W_24373" : VNWard("Thị trấn Ea Kar", 24373, VietnamDivisionType.THI_TRAN, "thi_tran_ea_kar", 651),
  "W_24376" : VNWard("Thị trấn Ea Knốp", 24376, VietnamDivisionType.THI_TRAN, "thi_tran_ea_knop", 651),
  "W_24379" : VNWard("Xã Ea Sô", 24379, VietnamDivisionType.XA, "xa_ea_so", 651),
  "W_24380" : VNWard("Xã Ea Sar", 24380, VietnamDivisionType.XA, "xa_ea_sar", 651),
  "W_24382" : VNWard("Xã Xuân Phú", 24382, VietnamDivisionType.XA, "xa_xuan_phu", 651),
  "W_24385" : VNWard("Xã Cư Huê", 24385, VietnamDivisionType.XA, "xa_cu_hue", 651),
  "W_24388" : VNWard("Xã Ea Tih", 24388, VietnamDivisionType.XA, "xa_ea_tih", 651),
  "W_24391" : VNWard("Xã Ea Đar", 24391, VietnamDivisionType.XA, "xa_ea_dar", 651),
  "W_24394" : VNWard("Xã Ea Kmút", 24394, VietnamDivisionType.XA, "xa_ea_kmut", 651),
  "W_24397" : VNWard("Xã Cư Ni", 24397, VietnamDivisionType.XA, "xa_cu_ni", 651),
  "W_24400" : VNWard("Xã Ea Păl", 24400, VietnamDivisionType.XA, "xa_ea_pal", 651),
  "W_24401" : VNWard("Xã Cư Prông", 24401, VietnamDivisionType.XA, "xa_cu_prong", 651),
  "W_24403" : VNWard("Xã Ea Ô", 24403, VietnamDivisionType.XA, "xa_ea_o", 651),
  "W_24404" : VNWard("Xã Cư ELang", 24404, VietnamDivisionType.XA, "xa_cu_elang", 651),
  "W_24406" : VNWard("Xã Cư Bông", 24406, VietnamDivisionType.XA, "xa_cu_bong", 651),
  "W_24409" : VNWard("Xã Cư Jang", 24409, VietnamDivisionType.XA, "xa_cu_jang", 651),
  "W_24412" : VNWard("Thị trấn M'Đrắk", 24412, VietnamDivisionType.THI_TRAN, "thi_tran_mdrak", 652),
  "W_24415" : VNWard("Xã Cư Prao", 24415, VietnamDivisionType.XA, "xa_cu_prao", 652),
  "W_24418" : VNWard("Xã Ea Pil", 24418, VietnamDivisionType.XA, "xa_ea_pil", 652),
  "W_24421" : VNWard("Xã Ea Lai", 24421, VietnamDivisionType.XA, "xa_ea_lai", 652),
  "W_24424" : VNWard("Xã Ea H'MLay", 24424, VietnamDivisionType.XA, "xa_ea_hmlay", 652),
  "W_24427" : VNWard("Xã Krông Jing", 24427, VietnamDivisionType.XA, "xa_krong_jing", 652),
  "W_24430" : VNWard("Xã Ea M' Doal", 24430, VietnamDivisionType.XA, "xa_ea_m_doal", 652),
  "W_24433" : VNWard("Xã Ea Riêng", 24433, VietnamDivisionType.XA, "xa_ea_rieng", 652),
  "W_24436" : VNWard("Xã Cư M'ta", 24436, VietnamDivisionType.XA, "xa_cu_mta", 652),
  "W_24439" : VNWard("Xã Cư K Róa", 24439, VietnamDivisionType.XA, "xa_cu_k_roa", 652),
  "W_24442" : VNWard("Xã Krông Á", 24442, VietnamDivisionType.XA, "xa_krong_a", 652),
  "W_24444" : VNWard("Xã Cư San", 24444, VietnamDivisionType.XA, "xa_cu_san", 652),
  "W_24445" : VNWard("Xã Ea Trang", 24445, VietnamDivisionType.XA, "xa_ea_trang", 652),
  "W_24448" : VNWard("Thị trấn Krông Kmar", 24448, VietnamDivisionType.THI_TRAN, "thi_tran_krong_kmar", 653),
  "W_24451" : VNWard("Xã Dang Kang", 24451, VietnamDivisionType.XA, "xa_dang_kang", 653),
  "W_24454" : VNWard("Xã Cư KTy", 24454, VietnamDivisionType.XA, "xa_cu_kty", 653),
  "W_24457" : VNWard("Xã Hòa Thành", 24457, VietnamDivisionType.XA, "xa_hoa_thanh", 653),
  "W_24460" : VNWard("Xã Hòa Tân", 24460, VietnamDivisionType.XA, "xa_hoa_tan", 653),
  "W_24463" : VNWard("Xã Hòa Phong", 24463, VietnamDivisionType.XA, "xa_hoa_phong", 653),
  "W_24466" : VNWard("Xã Hòa Lễ", 24466, VietnamDivisionType.XA, "xa_hoa_le", 653),
  "W_24469" : VNWard("Xã Yang Reh", 24469, VietnamDivisionType.XA, "xa_yang_reh", 653),
  "W_24472" : VNWard("Xã Ea Trul", 24472, VietnamDivisionType.XA, "xa_ea_trul", 653),
  "W_24475" : VNWard("Xã Khuê Ngọc Điền", 24475, VietnamDivisionType.XA, "xa_khue_ngoc_dien", 653),
  "W_24478" : VNWard("Xã Cư Pui", 24478, VietnamDivisionType.XA, "xa_cu_pui", 653),
  "W_24481" : VNWard("Xã Hòa Sơn", 24481, VietnamDivisionType.XA, "xa_hoa_son", 653),
  "W_24484" : VNWard("Xã Cư Drăm", 24484, VietnamDivisionType.XA, "xa_cu_dram", 653),
  "W_24487" : VNWard("Xã Yang Mao", 24487, VietnamDivisionType.XA, "xa_yang_mao", 653),
  "W_24490" : VNWard("Thị trấn Phước An", 24490, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_an", 654),
  "W_24493" : VNWard("Xã KRông Búk", 24493, VietnamDivisionType.XA, "xa_krong_buk", 654),
  "W_24496" : VNWard("Xã Ea Kly", 24496, VietnamDivisionType.XA, "xa_ea_kly", 654),
  "W_24499" : VNWard("Xã Ea Kênh", 24499, VietnamDivisionType.XA, "xa_ea_kenh", 654),
  "W_24502" : VNWard("Xã Ea Phê", 24502, VietnamDivisionType.XA, "xa_ea_phe", 654),
  "W_24505" : VNWard("Xã Ea KNuec", 24505, VietnamDivisionType.XA, "xa_ea_knuec", 654),
  "W_24508" : VNWard("Xã Ea Yông", 24508, VietnamDivisionType.XA, "xa_ea_yong", 654),
  "W_24511" : VNWard("Xã Hòa An", 24511, VietnamDivisionType.XA, "xa_hoa_an", 654),
  "W_24514" : VNWard("Xã Ea Kuăng", 24514, VietnamDivisionType.XA, "xa_ea_kuang", 654),
  "W_24517" : VNWard("Xã Hòa Đông", 24517, VietnamDivisionType.XA, "xa_hoa_dong", 654),
  "W_24520" : VNWard("Xã Ea Hiu", 24520, VietnamDivisionType.XA, "xa_ea_hiu", 654),
  "W_24523" : VNWard("Xã Hòa Tiến", 24523, VietnamDivisionType.XA, "xa_hoa_tien", 654),
  "W_24526" : VNWard("Xã Tân Tiến", 24526, VietnamDivisionType.XA, "xa_tan_tien", 654),
  "W_24529" : VNWard("Xã Vụ Bổn", 24529, VietnamDivisionType.XA, "xa_vu_bon", 654),
  "W_24532" : VNWard("Xã Ea Uy", 24532, VietnamDivisionType.XA, "xa_ea_uy", 654),
  "W_24535" : VNWard("Xã Ea Yiêng", 24535, VietnamDivisionType.XA, "xa_ea_yieng", 654),
  "W_24538" : VNWard("Thị trấn Buôn Trấp", 24538, VietnamDivisionType.THI_TRAN, "thi_tran_buon_trap", 655),
  "W_24556" : VNWard("Xã Dray Sáp", 24556, VietnamDivisionType.XA, "xa_dray_sap", 655),
  "W_24559" : VNWard("Xã Ea Na", 24559, VietnamDivisionType.XA, "xa_ea_na", 655),
  "W_24565" : VNWard("Xã Ea Bông", 24565, VietnamDivisionType.XA, "xa_ea_bong", 655),
  "W_24568" : VNWard("Xã Băng A Drênh", 24568, VietnamDivisionType.XA, "xa_bang_a_drenh", 655),
  "W_24571" : VNWard("Xã Dur KMăl", 24571, VietnamDivisionType.XA, "xa_dur_kmal", 655),
  "W_24574" : VNWard("Xã Bình Hòa", 24574, VietnamDivisionType.XA, "xa_binh_hoa", 655),
  "W_24577" : VNWard("Xã Quảng Điền", 24577, VietnamDivisionType.XA, "xa_quang_dien", 655),
  "W_24580" : VNWard("Thị trấn Liên Sơn", 24580, VietnamDivisionType.THI_TRAN, "thi_tran_lien_son", 656),
  "W_24583" : VNWard("Xã Yang Tao", 24583, VietnamDivisionType.XA, "xa_yang_tao", 656),
  "W_24586" : VNWard("Xã Bông Krang", 24586, VietnamDivisionType.XA, "xa_bong_krang", 656),
  "W_24589" : VNWard("Xã Đắk Liêng", 24589, VietnamDivisionType.XA, "xa_dak_lieng", 656),
  "W_24592" : VNWard("Xã Buôn Triết", 24592, VietnamDivisionType.XA, "xa_buon_triet", 656),
  "W_24595" : VNWard("Xã Buôn Tría", 24595, VietnamDivisionType.XA, "xa_buon_tria", 656),
  "W_24598" : VNWard("Xã Đắk Phơi", 24598, VietnamDivisionType.XA, "xa_dak_phoi", 656),
  "W_24601" : VNWard("Xã Đắk Nuê", 24601, VietnamDivisionType.XA, "xa_dak_nue", 656),
  "W_24604" : VNWard("Xã Krông Nô", 24604, VietnamDivisionType.XA, "xa_krong_no", 656),
  "W_24607" : VNWard("Xã Nam Ka", 24607, VietnamDivisionType.XA, "xa_nam_ka", 656),
  "W_24610" : VNWard("Xã Ea R'Bin", 24610, VietnamDivisionType.XA, "xa_ea_rbin", 656),
  "W_24540" : VNWard("Xã Ea Ning", 24540, VietnamDivisionType.XA, "xa_ea_ning", 657),
  "W_24541" : VNWard("Xã Cư Ê Wi", 24541, VietnamDivisionType.XA, "xa_cu_e_wi", 657),
  "W_24544" : VNWard("Xã Ea Ktur", 24544, VietnamDivisionType.XA, "xa_ea_ktur", 657),
  "W_24547" : VNWard("Xã Ea Tiêu", 24547, VietnamDivisionType.XA, "xa_ea_tieu", 657),
  "W_24550" : VNWard("Xã Ea BHốk", 24550, VietnamDivisionType.XA, "xa_ea_bhok", 657),
  "W_24553" : VNWard("Xã Ea Hu", 24553, VietnamDivisionType.XA, "xa_ea_hu", 657),
  "W_24561" : VNWard("Xã Dray Bhăng", 24561, VietnamDivisionType.XA, "xa_dray_bhang", 657),
  "W_24562" : VNWard("Xã Hòa Hiệp", 24562, VietnamDivisionType.XA, "xa_hoa_hiep", 657),
  "W_24611" : VNWard("Phường Nghĩa Đức", 24611, VietnamDivisionType.PHUONG, "phuong_nghia_duc", 660),
  "W_24612" : VNWard("Phường Nghĩa Thành", 24612, VietnamDivisionType.PHUONG, "phuong_nghia_thanh", 660),
  "W_24614" : VNWard("Phường Nghĩa Phú", 24614, VietnamDivisionType.PHUONG, "phuong_nghia_phu", 660),
  "W_24615" : VNWard("Phường Nghĩa Tân", 24615, VietnamDivisionType.PHUONG, "phuong_nghia_tan", 660),
  "W_24617" : VNWard("Phường Nghĩa Trung", 24617, VietnamDivisionType.PHUONG, "phuong_nghia_trung", 660),
  "W_24618" : VNWard("Xã Đăk R'Moan", 24618, VietnamDivisionType.XA, "xa_dak_rmoan", 660),
  "W_24619" : VNWard("Phường Quảng Thành", 24619, VietnamDivisionType.PHUONG, "phuong_quang_thanh", 660),
  "W_24628" : VNWard("Xã Đắk Nia", 24628, VietnamDivisionType.XA, "xa_dak_nia", 660),
  "W_24616" : VNWard("Xã Quảng Sơn", 24616, VietnamDivisionType.XA, "xa_quang_son", 661),
  "W_24620" : VNWard("Xã Quảng Hoà", 24620, VietnamDivisionType.XA, "xa_quang_hoa", 661),
  "W_24622" : VNWard("Xã Đắk Ha", 24622, VietnamDivisionType.XA, "xa_dak_ha", 661),
  "W_24625" : VNWard("Xã Đắk R'Măng", 24625, VietnamDivisionType.XA, "xa_dak_rmang", 661),
  "W_24631" : VNWard("Xã Quảng Khê", 24631, VietnamDivisionType.XA, "xa_quang_khe", 661),
  "W_24634" : VNWard("Xã Đắk Plao", 24634, VietnamDivisionType.XA, "xa_dak_plao", 661),
  "W_24637" : VNWard("Xã Đắk Som", 24637, VietnamDivisionType.XA, "xa_dak_som", 661),
  "W_24640" : VNWard("Thị trấn Ea T'Ling", 24640, VietnamDivisionType.THI_TRAN, "thi_tran_ea_tling", 662),
  "W_24643" : VNWard("Xã Đắk Wil", 24643, VietnamDivisionType.XA, "xa_dak_wil", 662),
  "W_24646" : VNWard("Xã Ea Pô", 24646, VietnamDivisionType.XA, "xa_ea_po", 662),
  "W_24649" : VNWard("Xã Nam Dong", 24649, VietnamDivisionType.XA, "xa_nam_dong", 662),
  "W_24652" : VNWard("Xã Đắk DRông", 24652, VietnamDivisionType.XA, "xa_dak_drong", 662),
  "W_24655" : VNWard("Xã Tâm Thắng", 24655, VietnamDivisionType.XA, "xa_tam_thang", 662),
  "W_24658" : VNWard("Xã Cư Knia", 24658, VietnamDivisionType.XA, "xa_cu_knia", 662),
  "W_24661" : VNWard("Xã Trúc Sơn", 24661, VietnamDivisionType.XA, "xa_truc_son", 662),
  "W_24664" : VNWard("Thị trấn Đắk Mil", 24664, VietnamDivisionType.THI_TRAN, "thi_tran_dak_mil", 663),
  "W_24667" : VNWard("Xã Đắk Lao", 24667, VietnamDivisionType.XA, "xa_dak_lao", 663),
  "W_24670" : VNWard("Xã Đắk R'La", 24670, VietnamDivisionType.XA, "xa_dak_rla", 663),
  "W_24673" : VNWard("Xã Đắk Gằn", 24673, VietnamDivisionType.XA, "xa_dak_gan", 663),
  "W_24676" : VNWard("Xã Đức Mạnh", 24676, VietnamDivisionType.XA, "xa_duc_manh", 663),
  "W_24677" : VNWard("Xã Đắk N'Drót", 24677, VietnamDivisionType.XA, "xa_dak_ndrot", 663),
  "W_24678" : VNWard("Xã Long Sơn", 24678, VietnamDivisionType.XA, "xa_long_son", 663),
  "W_24679" : VNWard("Xã Đắk Sắk", 24679, VietnamDivisionType.XA, "xa_dak_sak", 663),
  "W_24682" : VNWard("Xã Thuận An", 24682, VietnamDivisionType.XA, "xa_thuan_an", 663),
  "W_24685" : VNWard("Xã Đức Minh", 24685, VietnamDivisionType.XA, "xa_duc_minh", 663),
  "W_24688" : VNWard("Thị trấn Đắk Mâm", 24688, VietnamDivisionType.THI_TRAN, "thi_tran_dak_mam", 664),
  "W_24691" : VNWard("Xã Đắk Sôr", 24691, VietnamDivisionType.XA, "xa_dak_sor", 664),
  "W_24692" : VNWard("Xã Nam Xuân", 24692, VietnamDivisionType.XA, "xa_nam_xuan", 664),
  "W_24694" : VNWard("Xã Buôn Choah", 24694, VietnamDivisionType.XA, "xa_buon_choah", 664),
  "W_24697" : VNWard("Xã Nam Đà", 24697, VietnamDivisionType.XA, "xa_nam_da", 664),
  "W_24699" : VNWard("Xã Tân Thành", 24699, VietnamDivisionType.XA, "xa_tan_thanh", 664),
  "W_24700" : VNWard("Xã Đắk Drô", 24700, VietnamDivisionType.XA, "xa_dak_dro", 664),
  "W_24703" : VNWard("Xã Nâm Nung", 24703, VietnamDivisionType.XA, "xa_nam_nung", 664),
  "W_24706" : VNWard("Xã Đức Xuyên", 24706, VietnamDivisionType.XA, "xa_duc_xuyen", 664),
  "W_24709" : VNWard("Xã Đắk Nang", 24709, VietnamDivisionType.XA, "xa_dak_nang", 664),
  "W_24712" : VNWard("Xã Quảng Phú", 24712, VietnamDivisionType.XA, "xa_quang_phu", 664),
  "W_24715" : VNWard("Xã Nâm N'Đir", 24715, VietnamDivisionType.XA, "xa_nam_ndir", 664),
  "W_24717" : VNWard("Thị trấn Đức An", 24717, VietnamDivisionType.THI_TRAN, "thi_tran_duc_an", 665),
  "W_24718" : VNWard("Xã Đắk Môl", 24718, VietnamDivisionType.XA, "xa_dak_mol", 665),
  "W_24719" : VNWard("Xã Đắk Hòa", 24719, VietnamDivisionType.XA, "xa_dak_hoa", 665),
  "W_24721" : VNWard("Xã Nam Bình", 24721, VietnamDivisionType.XA, "xa_nam_binh", 665),
  "W_24722" : VNWard("Xã Thuận Hà", 24722, VietnamDivisionType.XA, "xa_thuan_ha", 665),
  "W_24724" : VNWard("Xã Thuận Hạnh", 24724, VietnamDivisionType.XA, "xa_thuan_hanh", 665),
  "W_24727" : VNWard("Xã Đắk N'Dung", 24727, VietnamDivisionType.XA, "xa_dak_ndung", 665),
  "W_24728" : VNWard("Xã Nâm N'Jang", 24728, VietnamDivisionType.XA, "xa_nam_njang", 665),
  "W_24730" : VNWard("Xã Trường Xuân", 24730, VietnamDivisionType.XA, "xa_truong_xuan", 665),
  "W_24733" : VNWard("Thị trấn Kiến Đức", 24733, VietnamDivisionType.THI_TRAN, "thi_tran_kien_duc", 666),
  "W_24745" : VNWard("Xã Quảng Tín", 24745, VietnamDivisionType.XA, "xa_quang_tin", 666),
  "W_24750" : VNWard("Xã Đắk Wer", 24750, VietnamDivisionType.XA, "xa_dak_wer", 666),
  "W_24751" : VNWard("Xã Nhân Cơ", 24751, VietnamDivisionType.XA, "xa_nhan_co", 666),
  "W_24754" : VNWard("Xã Kiến Thành", 24754, VietnamDivisionType.XA, "xa_kien_thanh", 666),
  "W_24756" : VNWard("Xã Nghĩa Thắng", 24756, VietnamDivisionType.XA, "xa_nghia_thang", 666),
  "W_24757" : VNWard("Xã Đạo Nghĩa", 24757, VietnamDivisionType.XA, "xa_dao_nghia", 666),
  "W_24760" : VNWard("Xã Đắk Sin", 24760, VietnamDivisionType.XA, "xa_dak_sin", 666),
  "W_24761" : VNWard("Xã Hưng Bình", 24761, VietnamDivisionType.XA, "xa_hung_binh", 666),
  "W_24763" : VNWard("Xã Đắk Ru", 24763, VietnamDivisionType.XA, "xa_dak_ru", 666),
  "W_24766" : VNWard("Xã Nhân Đạo", 24766, VietnamDivisionType.XA, "xa_nhan_dao", 666),
  "W_24736" : VNWard("Xã Quảng Trực", 24736, VietnamDivisionType.XA, "xa_quang_truc", 667),
  "W_24739" : VNWard("Xã Đắk Búk So", 24739, VietnamDivisionType.XA, "xa_dak_buk_so", 667),
  "W_24740" : VNWard("Xã Quảng Tâm", 24740, VietnamDivisionType.XA, "xa_quang_tam", 667),
  "W_24742" : VNWard("Xã Đắk R'Tíh", 24742, VietnamDivisionType.XA, "xa_dak_rtih", 667),
  "W_24746" : VNWard("Xã Đắk Ngo", 24746, VietnamDivisionType.XA, "xa_dak_ngo", 667),
  "W_24748" : VNWard("Xã Quảng Tân", 24748, VietnamDivisionType.XA, "xa_quang_tan", 667),
  "W_24769" : VNWard("Phường 7", 24769, VietnamDivisionType.PHUONG, "phuong_7", 672),
  "W_24772" : VNWard("Phường 8", 24772, VietnamDivisionType.PHUONG, "phuong_8", 672),
  "W_24775" : VNWard("Phường 12", 24775, VietnamDivisionType.PHUONG, "phuong_12", 672),
  "W_24778" : VNWard("Phường 9", 24778, VietnamDivisionType.PHUONG, "phuong_9", 672),
  "W_24781" : VNWard("Phường 2", 24781, VietnamDivisionType.PHUONG, "phuong_2", 672),
  "W_24784" : VNWard("Phường 1", 24784, VietnamDivisionType.PHUONG, "phuong_1", 672),
  "W_24787" : VNWard("Phường 6", 24787, VietnamDivisionType.PHUONG, "phuong_6", 672),
  "W_24790" : VNWard("Phường 5", 24790, VietnamDivisionType.PHUONG, "phuong_5", 672),
  "W_24793" : VNWard("Phường 4", 24793, VietnamDivisionType.PHUONG, "phuong_4", 672),
  "W_24796" : VNWard("Phường 10", 24796, VietnamDivisionType.PHUONG, "phuong_10", 672),
  "W_24799" : VNWard("Phường 11", 24799, VietnamDivisionType.PHUONG, "phuong_11", 672),
  "W_24802" : VNWard("Phường 3", 24802, VietnamDivisionType.PHUONG, "phuong_3", 672),
  "W_24805" : VNWard("Xã Xuân Thọ", 24805, VietnamDivisionType.XA, "xa_xuan_tho", 672),
  "W_24808" : VNWard("Xã Tà Nung", 24808, VietnamDivisionType.XA, "xa_ta_nung", 672),
  "W_24810" : VNWard("Xã Trạm Hành", 24810, VietnamDivisionType.XA, "xa_tram_hanh", 672),
  "W_24811" : VNWard("Xã Xuân Trường", 24811, VietnamDivisionType.XA, "xa_xuan_truong", 672),
  "W_24814" : VNWard("Phường Lộc Phát", 24814, VietnamDivisionType.PHUONG, "phuong_loc_phat", 673),
  "W_24817" : VNWard("Phường Lộc Tiến", 24817, VietnamDivisionType.PHUONG, "phuong_loc_tien", 673),
  "W_24820" : VNWard("Phường 2", 24820, VietnamDivisionType.PHUONG, "phuong_2", 673),
  "W_24823" : VNWard("Phường 1", 24823, VietnamDivisionType.PHUONG, "phuong_1", 673),
  "W_24826" : VNWard("Phường B'lao", 24826, VietnamDivisionType.PHUONG, "phuong_blao", 673),
  "W_24829" : VNWard("Phường Lộc Sơn", 24829, VietnamDivisionType.PHUONG, "phuong_loc_son", 673),
  "W_24832" : VNWard("Xã Đạm Bri", 24832, VietnamDivisionType.XA, "xa_dam_bri", 673),
  "W_24835" : VNWard("Xã Lộc Thanh", 24835, VietnamDivisionType.XA, "xa_loc_thanh", 673),
  "W_24838" : VNWard("Xã Lộc Nga", 24838, VietnamDivisionType.XA, "xa_loc_nga", 673),
  "W_24841" : VNWard("Xã Lộc Châu", 24841, VietnamDivisionType.XA, "xa_loc_chau", 673),
  "W_24844" : VNWard("Xã Đại Lào", 24844, VietnamDivisionType.XA, "xa_dai_lao", 673),
  "W_24853" : VNWard("Xã Đạ Tông", 24853, VietnamDivisionType.XA, "xa_da_tong", 674),
  "W_24856" : VNWard("Xã Đạ Long", 24856, VietnamDivisionType.XA, "xa_da_long", 674),
  "W_24859" : VNWard("Xã Đạ M' Rong", 24859, VietnamDivisionType.XA, "xa_da_m_rong", 674),
  "W_24874" : VNWard("Xã Liêng Srônh", 24874, VietnamDivisionType.XA, "xa_lieng_sronh", 674),
  "W_24875" : VNWard("Xã Đạ Rsal", 24875, VietnamDivisionType.XA, "xa_da_rsal", 674),
  "W_24877" : VNWard("Xã Rô Men", 24877, VietnamDivisionType.XA, "xa_ro_men", 674),
  "W_24886" : VNWard("Xã Phi Liêng", 24886, VietnamDivisionType.XA, "xa_phi_lieng", 674),
  "W_24889" : VNWard("Xã Đạ K' Nàng", 24889, VietnamDivisionType.XA, "xa_da_k_nang", 674),
  "W_24846" : VNWard("Thị trấn Lạc Dương", 24846, VietnamDivisionType.THI_TRAN, "thi_tran_lac_duong", 675),
  "W_24847" : VNWard("Xã Đạ Chais", 24847, VietnamDivisionType.XA, "xa_da_chais", 675),
  "W_24848" : VNWard("Xã Đạ Nhim", 24848, VietnamDivisionType.XA, "xa_da_nhim", 675),
  "W_24850" : VNWard("Xã Đưng KNớ", 24850, VietnamDivisionType.XA, "xa_dung_kno", 675),
  "W_24862" : VNWard("Xã Lát", 24862, VietnamDivisionType.XA, "xa_lat", 675),
  "W_24865" : VNWard("Xã Đạ Sar", 24865, VietnamDivisionType.XA, "xa_da_sar", 675),
  "W_24868" : VNWard("Thị trấn Nam Ban", 24868, VietnamDivisionType.THI_TRAN, "thi_tran_nam_ban", 676),
  "W_24871" : VNWard("Thị trấn Đinh Văn", 24871, VietnamDivisionType.THI_TRAN, "thi_tran_dinh_van", 676),
  "W_24880" : VNWard("Xã Phú Sơn", 24880, VietnamDivisionType.XA, "xa_phu_son", 676),
  "W_24883" : VNWard("Xã Phi Tô", 24883, VietnamDivisionType.XA, "xa_phi_to", 676),
  "W_24892" : VNWard("Xã Mê Linh", 24892, VietnamDivisionType.XA, "xa_me_linh", 676),
  "W_24895" : VNWard("Xã Đạ Đờn", 24895, VietnamDivisionType.XA, "xa_da_don", 676),
  "W_24898" : VNWard("Xã Phúc Thọ", 24898, VietnamDivisionType.XA, "xa_phuc_tho", 676),
  "W_24901" : VNWard("Xã Đông Thanh", 24901, VietnamDivisionType.XA, "xa_dong_thanh", 676),
  "W_24904" : VNWard("Xã Gia Lâm", 24904, VietnamDivisionType.XA, "xa_gia_lam", 676),
  "W_24907" : VNWard("Xã Tân Thanh", 24907, VietnamDivisionType.XA, "xa_tan_thanh", 676),
  "W_24910" : VNWard("Xã Tân Văn", 24910, VietnamDivisionType.XA, "xa_tan_van", 676),
  "W_24913" : VNWard("Xã Hoài Đức", 24913, VietnamDivisionType.XA, "xa_hoai_duc", 676),
  "W_24916" : VNWard("Xã Tân Hà", 24916, VietnamDivisionType.XA, "xa_tan_ha", 676),
  "W_24919" : VNWard("Xã Liên Hà", 24919, VietnamDivisionType.XA, "xa_lien_ha", 676),
  "W_24922" : VNWard("Xã Đan Phượng", 24922, VietnamDivisionType.XA, "xa_dan_phuong", 676),
  "W_24925" : VNWard("Xã Nam Hà", 24925, VietnamDivisionType.XA, "xa_nam_ha", 676),
  "W_24928" : VNWard("Thị trấn D'Ran", 24928, VietnamDivisionType.THI_TRAN, "thi_tran_dran", 677),
  "W_24931" : VNWard("Thị trấn Thạnh Mỹ", 24931, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_my", 677),
  "W_24934" : VNWard("Xã Lạc Xuân", 24934, VietnamDivisionType.XA, "xa_lac_xuan", 677),
  "W_24937" : VNWard("Xã Đạ Ròn", 24937, VietnamDivisionType.XA, "xa_da_ron", 677),
  "W_24940" : VNWard("Xã Lạc Lâm", 24940, VietnamDivisionType.XA, "xa_lac_lam", 677),
  "W_24943" : VNWard("Xã Ka Đô", 24943, VietnamDivisionType.XA, "xa_ka_do", 677),
  "W_24946" : VNWard("Xã Quảng Lập", 24946, VietnamDivisionType.XA, "xa_quang_lap", 677),
  "W_24949" : VNWard("Xã Ka Đơn", 24949, VietnamDivisionType.XA, "xa_ka_don", 677),
  "W_24952" : VNWard("Xã Tu Tra", 24952, VietnamDivisionType.XA, "xa_tu_tra", 677),
  "W_24955" : VNWard("Xã Pró", 24955, VietnamDivisionType.XA, "xa_pro", 677),
  "W_24958" : VNWard("Thị trấn Liên Nghĩa", 24958, VietnamDivisionType.THI_TRAN, "thi_tran_lien_nghia", 678),
  "W_24961" : VNWard("Xã Hiệp An", 24961, VietnamDivisionType.XA, "xa_hiep_an", 678),
  "W_24964" : VNWard("Xã Liên Hiệp", 24964, VietnamDivisionType.XA, "xa_lien_hiep", 678),
  "W_24967" : VNWard("Xã Hiệp Thạnh", 24967, VietnamDivisionType.XA, "xa_hiep_thanh", 678),
  "W_24970" : VNWard("Xã Bình Thạnh", 24970, VietnamDivisionType.XA, "xa_binh_thanh", 678),
  "W_24973" : VNWard("Xã N'Thol Hạ", 24973, VietnamDivisionType.XA, "xa_nthol_ha", 678),
  "W_24976" : VNWard("Xã Tân Hội", 24976, VietnamDivisionType.XA, "xa_tan_hoi", 678),
  "W_24979" : VNWard("Xã Tân Thành", 24979, VietnamDivisionType.XA, "xa_tan_thanh", 678),
  "W_24982" : VNWard("Xã Phú Hội", 24982, VietnamDivisionType.XA, "xa_phu_hoi", 678),
  "W_24985" : VNWard("Xã Ninh Gia", 24985, VietnamDivisionType.XA, "xa_ninh_gia", 678),
  "W_24988" : VNWard("Xã Tà Năng", 24988, VietnamDivisionType.XA, "xa_ta_nang", 678),
  "W_24989" : VNWard("Xã Đa Quyn", 24989, VietnamDivisionType.XA, "xa_da_quyn", 678),
  "W_24991" : VNWard("Xã Tà Hine", 24991, VietnamDivisionType.XA, "xa_ta_hine", 678),
  "W_24994" : VNWard("Xã Đà Loan", 24994, VietnamDivisionType.XA, "xa_da_loan", 678),
  "W_24997" : VNWard("Xã Ninh Loan", 24997, VietnamDivisionType.XA, "xa_ninh_loan", 678),
  "W_25000" : VNWard("Thị trấn Di Linh", 25000, VietnamDivisionType.THI_TRAN, "thi_tran_di_linh", 679),
  "W_25003" : VNWard("Xã Đinh Trang Thượng", 25003, VietnamDivisionType.XA, "xa_dinh_trang_thuong", 679),
  "W_25006" : VNWard("Xã Tân Thượng", 25006, VietnamDivisionType.XA, "xa_tan_thuong", 679),
  "W_25007" : VNWard("Xã Tân Lâm", 25007, VietnamDivisionType.XA, "xa_tan_lam", 679),
  "W_25009" : VNWard("Xã Tân Châu", 25009, VietnamDivisionType.XA, "xa_tan_chau", 679),
  "W_25012" : VNWard("Xã Tân Nghĩa", 25012, VietnamDivisionType.XA, "xa_tan_nghia", 679),
  "W_25015" : VNWard("Xã Gia Hiệp", 25015, VietnamDivisionType.XA, "xa_gia_hiep", 679),
  "W_25018" : VNWard("Xã Đinh Lạc", 25018, VietnamDivisionType.XA, "xa_dinh_lac", 679),
  "W_25021" : VNWard("Xã Tam Bố", 25021, VietnamDivisionType.XA, "xa_tam_bo", 679),
  "W_25024" : VNWard("Xã Đinh Trang Hòa", 25024, VietnamDivisionType.XA, "xa_dinh_trang_hoa", 679),
  "W_25027" : VNWard("Xã Liên Đầm", 25027, VietnamDivisionType.XA, "xa_lien_dam", 679),
  "W_25030" : VNWard("Xã Gung Ré", 25030, VietnamDivisionType.XA, "xa_gung_re", 679),
  "W_25033" : VNWard("Xã Bảo Thuận", 25033, VietnamDivisionType.XA, "xa_bao_thuan", 679),
  "W_25036" : VNWard("Xã Hòa Ninh", 25036, VietnamDivisionType.XA, "xa_hoa_ninh", 679),
  "W_25039" : VNWard("Xã Hòa Trung", 25039, VietnamDivisionType.XA, "xa_hoa_trung", 679),
  "W_25042" : VNWard("Xã Hòa Nam", 25042, VietnamDivisionType.XA, "xa_hoa_nam", 679),
  "W_25045" : VNWard("Xã Hòa Bắc", 25045, VietnamDivisionType.XA, "xa_hoa_bac", 679),
  "W_25048" : VNWard("Xã Sơn Điền", 25048, VietnamDivisionType.XA, "xa_son_dien", 679),
  "W_25051" : VNWard("Xã Gia Bắc", 25051, VietnamDivisionType.XA, "xa_gia_bac", 679),
  "W_25054" : VNWard("Thị trấn Lộc Thắng", 25054, VietnamDivisionType.THI_TRAN, "thi_tran_loc_thang", 680),
  "W_25057" : VNWard("Xã Lộc Bảo", 25057, VietnamDivisionType.XA, "xa_loc_bao", 680),
  "W_25060" : VNWard("Xã Lộc Lâm", 25060, VietnamDivisionType.XA, "xa_loc_lam", 680),
  "W_25063" : VNWard("Xã Lộc Phú", 25063, VietnamDivisionType.XA, "xa_loc_phu", 680),
  "W_25066" : VNWard("Xã Lộc Bắc", 25066, VietnamDivisionType.XA, "xa_loc_bac", 680),
  "W_25069" : VNWard("Xã B' Lá", 25069, VietnamDivisionType.XA, "xa_b_la", 680),
  "W_25072" : VNWard("Xã Lộc Ngãi", 25072, VietnamDivisionType.XA, "xa_loc_ngai", 680),
  "W_25075" : VNWard("Xã Lộc Quảng", 25075, VietnamDivisionType.XA, "xa_loc_quang", 680),
  "W_25078" : VNWard("Xã Lộc Tân", 25078, VietnamDivisionType.XA, "xa_loc_tan", 680),
  "W_25081" : VNWard("Xã Lộc Đức", 25081, VietnamDivisionType.XA, "xa_loc_duc", 680),
  "W_25084" : VNWard("Xã Lộc An", 25084, VietnamDivisionType.XA, "xa_loc_an", 680),
  "W_25087" : VNWard("Xã Tân Lạc", 25087, VietnamDivisionType.XA, "xa_tan_lac", 680),
  "W_25090" : VNWard("Xã Lộc Thành", 25090, VietnamDivisionType.XA, "xa_loc_thanh", 680),
  "W_25093" : VNWard("Xã Lộc Nam", 25093, VietnamDivisionType.XA, "xa_loc_nam", 680),
  "W_25096" : VNWard("Thị trấn Đạ M'ri", 25096, VietnamDivisionType.THI_TRAN, "thi_tran_da_mri", 681),
  "W_25099" : VNWard("Thị trấn Ma Đa Guôi", 25099, VietnamDivisionType.THI_TRAN, "thi_tran_ma_da_guoi", 681),
  "W_25105" : VNWard("Xã Hà Lâm", 25105, VietnamDivisionType.XA, "xa_ha_lam", 681),
  "W_25108" : VNWard("Xã Đạ Tồn", 25108, VietnamDivisionType.XA, "xa_da_ton", 681),
  "W_25111" : VNWard("Xã Đạ Oai", 25111, VietnamDivisionType.XA, "xa_da_oai", 681),
  "W_25114" : VNWard("Xã Đạ Ploa", 25114, VietnamDivisionType.XA, "xa_da_ploa", 681),
  "W_25117" : VNWard("Xã Ma Đa Guôi", 25117, VietnamDivisionType.XA, "xa_ma_da_guoi", 681),
  "W_25120" : VNWard("Xã Đoàn Kết", 25120, VietnamDivisionType.XA, "xa_doan_ket", 681),
  "W_25123" : VNWard("Xã Phước Lộc", 25123, VietnamDivisionType.XA, "xa_phuoc_loc", 681),
  "W_25126" : VNWard("Thị trấn Đạ Tẻh", 25126, VietnamDivisionType.THI_TRAN, "thi_tran_da_teh", 682),
  "W_25129" : VNWard("Xã An Nhơn", 25129, VietnamDivisionType.XA, "xa_an_nhon", 682),
  "W_25132" : VNWard("Xã Quốc Oai", 25132, VietnamDivisionType.XA, "xa_quoc_oai", 682),
  "W_25135" : VNWard("Xã Mỹ Đức", 25135, VietnamDivisionType.XA, "xa_my_duc", 682),
  "W_25138" : VNWard("Xã Quảng Trị", 25138, VietnamDivisionType.XA, "xa_quang_tri", 682),
  "W_25141" : VNWard("Xã Đạ Lây", 25141, VietnamDivisionType.XA, "xa_da_lay", 682),
  "W_25147" : VNWard("Xã Triệu Hải", 25147, VietnamDivisionType.XA, "xa_trieu_hai", 682),
  "W_25153" : VNWard("Xã Đạ Kho", 25153, VietnamDivisionType.XA, "xa_da_kho", 682),
  "W_25156" : VNWard("Xã Đạ Pal", 25156, VietnamDivisionType.XA, "xa_da_pal", 682),
  "W_25159" : VNWard("Thị trấn Cát Tiên", 25159, VietnamDivisionType.THI_TRAN, "thi_tran_cat_tien", 683),
  "W_25162" : VNWard("Xã Tiên Hoàng", 25162, VietnamDivisionType.XA, "xa_tien_hoang", 683),
  "W_25165" : VNWard("Xã Phước Cát 2", 25165, VietnamDivisionType.XA, "xa_phuoc_cat_2", 683),
  "W_25168" : VNWard("Xã Gia Viễn", 25168, VietnamDivisionType.XA, "xa_gia_vien", 683),
  "W_25171" : VNWard("Xã Nam Ninh", 25171, VietnamDivisionType.XA, "xa_nam_ninh", 683),
  "W_25180" : VNWard("Thị trấn Phước Cát", 25180, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_cat", 683),
  "W_25183" : VNWard("Xã Đức Phổ", 25183, VietnamDivisionType.XA, "xa_duc_pho", 683),
  "W_25189" : VNWard("Xã Quảng Ngãi", 25189, VietnamDivisionType.XA, "xa_quang_ngai", 683),
  "W_25192" : VNWard("Xã Đồng Nai Thượng", 25192, VietnamDivisionType.XA, "xa_dong_nai_thuong", 683),
  "W_25216" : VNWard("Phường Thác Mơ", 25216, VietnamDivisionType.PHUONG, "phuong_thac_mo", 688),
  "W_25217" : VNWard("Phường Long Thủy", 25217, VietnamDivisionType.PHUONG, "phuong_long_thuy", 688),
  "W_25219" : VNWard("Phường Phước Bình", 25219, VietnamDivisionType.PHUONG, "phuong_phuoc_binh", 688),
  "W_25220" : VNWard("Phường Long Phước", 25220, VietnamDivisionType.PHUONG, "phuong_long_phuoc", 688),
  "W_25237" : VNWard("Phường Sơn Giang", 25237, VietnamDivisionType.PHUONG, "phuong_son_giang", 688),
  "W_25245" : VNWard("Xã Long Giang", 25245, VietnamDivisionType.XA, "xa_long_giang", 688),
  "W_25249" : VNWard("Xã Phước Tín", 25249, VietnamDivisionType.XA, "xa_phuoc_tin", 688),
  "W_25195" : VNWard("Phường Tân Phú", 25195, VietnamDivisionType.PHUONG, "phuong_tan_phu", 689),
  "W_25198" : VNWard("Phường Tân Đồng", 25198, VietnamDivisionType.PHUONG, "phuong_tan_dong", 689),
  "W_25201" : VNWard("Phường Tân Bình", 25201, VietnamDivisionType.PHUONG, "phuong_tan_binh", 689),
  "W_25204" : VNWard("Phường Tân Xuân", 25204, VietnamDivisionType.PHUONG, "phuong_tan_xuan", 689),
  "W_25205" : VNWard("Phường Tân Thiện", 25205, VietnamDivisionType.PHUONG, "phuong_tan_thien", 689),
  "W_25207" : VNWard("Xã Tân Thành", 25207, VietnamDivisionType.XA, "xa_tan_thanh", 689),
  "W_25210" : VNWard("Phường Tiến Thành", 25210, VietnamDivisionType.PHUONG, "phuong_tien_thanh", 689),
  "W_25213" : VNWard("Xã Tiến Hưng", 25213, VietnamDivisionType.XA, "xa_tien_hung", 689),
  "W_25320" : VNWard("Phường Hưng Chiến", 25320, VietnamDivisionType.PHUONG, "phuong_hung_chien", 690),
  "W_25324" : VNWard("Phường An Lộc", 25324, VietnamDivisionType.PHUONG, "phuong_an_loc", 690),
  "W_25325" : VNWard("Phường Phú Thịnh", 25325, VietnamDivisionType.PHUONG, "phuong_phu_thinh", 690),
  "W_25326" : VNWard("Phường Phú Đức", 25326, VietnamDivisionType.PHUONG, "phuong_phu_duc", 690),
  "W_25333" : VNWard("Xã Thanh Lương", 25333, VietnamDivisionType.XA, "xa_thanh_luong", 690),
  "W_25336" : VNWard("Xã Thanh Phú", 25336, VietnamDivisionType.XA, "xa_thanh_phu", 690),
  "W_25222" : VNWard("Xã Bù Gia Mập", 25222, VietnamDivisionType.XA, "xa_bu_gia_map", 691),
  "W_25225" : VNWard("Xã Đak Ơ", 25225, VietnamDivisionType.XA, "xa_dak_o", 691),
  "W_25228" : VNWard("Xã Đức Hạnh", 25228, VietnamDivisionType.XA, "xa_duc_hanh", 691),
  "W_25229" : VNWard("Xã Phú Văn", 25229, VietnamDivisionType.XA, "xa_phu_van", 691),
  "W_25231" : VNWard("Xã Đa Kia", 25231, VietnamDivisionType.XA, "xa_da_kia", 691),
  "W_25232" : VNWard("Xã Phước Minh", 25232, VietnamDivisionType.XA, "xa_phuoc_minh", 691),
  "W_25234" : VNWard("Xã Bình Thắng", 25234, VietnamDivisionType.XA, "xa_binh_thang", 691),
  "W_25267" : VNWard("Xã Phú Nghĩa", 25267, VietnamDivisionType.XA, "xa_phu_nghia", 691),
  "W_25270" : VNWard("Thị trấn Lộc Ninh", 25270, VietnamDivisionType.THI_TRAN, "thi_tran_loc_ninh", 692),
  "W_25273" : VNWard("Xã Lộc Hòa", 25273, VietnamDivisionType.XA, "xa_loc_hoa", 692),
  "W_25276" : VNWard("Xã Lộc An", 25276, VietnamDivisionType.XA, "xa_loc_an", 692),
  "W_25279" : VNWard("Xã Lộc Tấn", 25279, VietnamDivisionType.XA, "xa_loc_tan", 692),
  "W_25280" : VNWard("Xã Lộc Thạnh", 25280, VietnamDivisionType.XA, "xa_loc_thanh", 692),
  "W_25282" : VNWard("Xã Lộc Hiệp", 25282, VietnamDivisionType.XA, "xa_loc_hiep", 692),
  "W_25285" : VNWard("Xã Lộc Thiện", 25285, VietnamDivisionType.XA, "xa_loc_thien", 692),
  "W_25288" : VNWard("Xã Lộc Thuận", 25288, VietnamDivisionType.XA, "xa_loc_thuan", 692),
  "W_25291" : VNWard("Xã Lộc Quang", 25291, VietnamDivisionType.XA, "xa_loc_quang", 692),
  "W_25292" : VNWard("Xã Lộc Phú", 25292, VietnamDivisionType.XA, "xa_loc_phu", 692),
  "W_25294" : VNWard("Xã Lộc Thành", 25294, VietnamDivisionType.XA, "xa_loc_thanh", 692),
  "W_25297" : VNWard("Xã Lộc Thái", 25297, VietnamDivisionType.XA, "xa_loc_thai", 692),
  "W_25300" : VNWard("Xã Lộc Điền", 25300, VietnamDivisionType.XA, "xa_loc_dien", 692),
  "W_25303" : VNWard("Xã Lộc Hưng", 25303, VietnamDivisionType.XA, "xa_loc_hung", 692),
  "W_25305" : VNWard("Xã Lộc Thịnh", 25305, VietnamDivisionType.XA, "xa_loc_thinh", 692),
  "W_25306" : VNWard("Xã Lộc Khánh", 25306, VietnamDivisionType.XA, "xa_loc_khanh", 692),
  "W_25308" : VNWard("Thị trấn Thanh Bình", 25308, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_binh", 693),
  "W_25309" : VNWard("Xã Hưng Phước", 25309, VietnamDivisionType.XA, "xa_hung_phuoc", 693),
  "W_25310" : VNWard("Xã Phước Thiện", 25310, VietnamDivisionType.XA, "xa_phuoc_thien", 693),
  "W_25312" : VNWard("Xã Thiện Hưng", 25312, VietnamDivisionType.XA, "xa_thien_hung", 693),
  "W_25315" : VNWard("Xã Thanh Hòa", 25315, VietnamDivisionType.XA, "xa_thanh_hoa", 693),
  "W_25318" : VNWard("Xã Tân Thành", 25318, VietnamDivisionType.XA, "xa_tan_thanh", 693),
  "W_25321" : VNWard("Xã Tân Tiến", 25321, VietnamDivisionType.XA, "xa_tan_tien", 693),
  "W_25327" : VNWard("Xã Thanh An", 25327, VietnamDivisionType.XA, "xa_thanh_an", 694),
  "W_25330" : VNWard("Xã An Khương", 25330, VietnamDivisionType.XA, "xa_an_khuong", 694),
  "W_25339" : VNWard("Xã An Phú", 25339, VietnamDivisionType.XA, "xa_an_phu", 694),
  "W_25342" : VNWard("Xã Tân Lợi", 25342, VietnamDivisionType.XA, "xa_tan_loi", 694),
  "W_25345" : VNWard("Xã Tân Hưng", 25345, VietnamDivisionType.XA, "xa_tan_hung", 694),
  "W_25348" : VNWard("Xã Minh Đức", 25348, VietnamDivisionType.XA, "xa_minh_duc", 694),
  "W_25349" : VNWard("Xã Minh Tâm", 25349, VietnamDivisionType.XA, "xa_minh_tam", 694),
  "W_25351" : VNWard("Xã Phước An", 25351, VietnamDivisionType.XA, "xa_phuoc_an", 694),
  "W_25354" : VNWard("Xã Thanh Bình", 25354, VietnamDivisionType.XA, "xa_thanh_binh", 694),
  "W_25357" : VNWard("Thị trấn Tân Khai", 25357, VietnamDivisionType.THI_TRAN, "thi_tran_tan_khai", 694),
  "W_25360" : VNWard("Xã Đồng Nơ", 25360, VietnamDivisionType.XA, "xa_dong_no", 694),
  "W_25361" : VNWard("Xã Tân Hiệp", 25361, VietnamDivisionType.XA, "xa_tan_hiep", 694),
  "W_25438" : VNWard("Xã Tân Quan", 25438, VietnamDivisionType.XA, "xa_tan_quan", 694),
  "W_25363" : VNWard("Thị trấn Tân Phú", 25363, VietnamDivisionType.THI_TRAN, "thi_tran_tan_phu", 695),
  "W_25366" : VNWard("Xã Thuận Lợi", 25366, VietnamDivisionType.XA, "xa_thuan_loi", 695),
  "W_25369" : VNWard("Xã Đồng Tâm", 25369, VietnamDivisionType.XA, "xa_dong_tam", 695),
  "W_25372" : VNWard("Xã Tân Phước", 25372, VietnamDivisionType.XA, "xa_tan_phuoc", 695),
  "W_25375" : VNWard("Xã Tân Hưng", 25375, VietnamDivisionType.XA, "xa_tan_hung", 695),
  "W_25378" : VNWard("Xã Tân Lợi", 25378, VietnamDivisionType.XA, "xa_tan_loi", 695),
  "W_25381" : VNWard("Xã Tân Lập", 25381, VietnamDivisionType.XA, "xa_tan_lap", 695),
  "W_25384" : VNWard("Xã Tân Hòa", 25384, VietnamDivisionType.XA, "xa_tan_hoa", 695),
  "W_25387" : VNWard("Xã Thuận Phú", 25387, VietnamDivisionType.XA, "xa_thuan_phu", 695),
  "W_25390" : VNWard("Xã Đồng Tiến", 25390, VietnamDivisionType.XA, "xa_dong_tien", 695),
  "W_25393" : VNWard("Xã Tân Tiến", 25393, VietnamDivisionType.XA, "xa_tan_tien", 695),
  "W_25396" : VNWard("Thị trấn Đức Phong", 25396, VietnamDivisionType.THI_TRAN, "thi_tran_duc_phong", 696),
  "W_25398" : VNWard("Xã Đường 10", 25398, VietnamDivisionType.XA, "xa_duong_10", 696),
  "W_25399" : VNWard("Xã Đak Nhau", 25399, VietnamDivisionType.XA, "xa_dak_nhau", 696),
  "W_25400" : VNWard("Xã Phú Sơn", 25400, VietnamDivisionType.XA, "xa_phu_son", 696),
  "W_25402" : VNWard("Xã Thọ Sơn", 25402, VietnamDivisionType.XA, "xa_tho_son", 696),
  "W_25404" : VNWard("Xã Bình Minh", 25404, VietnamDivisionType.XA, "xa_binh_minh", 696),
  "W_25405" : VNWard("Xã Bom Bo", 25405, VietnamDivisionType.XA, "xa_bom_bo", 696),
  "W_25408" : VNWard("Xã Minh Hưng", 25408, VietnamDivisionType.XA, "xa_minh_hung", 696),
  "W_25411" : VNWard("Xã Đoàn Kết", 25411, VietnamDivisionType.XA, "xa_doan_ket", 696),
  "W_25414" : VNWard("Xã Đồng Nai", 25414, VietnamDivisionType.XA, "xa_dong_nai", 696),
  "W_25417" : VNWard("Xã Đức Liễu", 25417, VietnamDivisionType.XA, "xa_duc_lieu", 696),
  "W_25420" : VNWard("Xã Thống Nhất", 25420, VietnamDivisionType.XA, "xa_thong_nhat", 696),
  "W_25423" : VNWard("Xã Nghĩa Trung", 25423, VietnamDivisionType.XA, "xa_nghia_trung", 696),
  "W_25424" : VNWard("Xã Nghĩa Bình", 25424, VietnamDivisionType.XA, "xa_nghia_binh", 696),
  "W_25426" : VNWard("Xã Đăng Hà", 25426, VietnamDivisionType.XA, "xa_dang_ha", 696),
  "W_25429" : VNWard("Xã Phước Sơn", 25429, VietnamDivisionType.XA, "xa_phuoc_son", 696),
  "W_25432" : VNWard("Thị trấn Chơn Thành", 25432, VietnamDivisionType.THI_TRAN, "thi_tran_chon_thanh", 697),
  "W_25433" : VNWard("Xã Thành Tâm", 25433, VietnamDivisionType.XA, "xa_thanh_tam", 697),
  "W_25435" : VNWard("Xã Minh Lập", 25435, VietnamDivisionType.XA, "xa_minh_lap", 697),
  "W_25439" : VNWard("Xã Quang Minh", 25439, VietnamDivisionType.XA, "xa_quang_minh", 697),
  "W_25441" : VNWard("Xã Minh Hưng", 25441, VietnamDivisionType.XA, "xa_minh_hung", 697),
  "W_25444" : VNWard("Xã Minh Long", 25444, VietnamDivisionType.XA, "xa_minh_long", 697),
  "W_25447" : VNWard("Xã Minh Thành", 25447, VietnamDivisionType.XA, "xa_minh_thanh", 697),
  "W_25450" : VNWard("Xã Nha Bích", 25450, VietnamDivisionType.XA, "xa_nha_bich", 697),
  "W_25453" : VNWard("Xã Minh Thắng", 25453, VietnamDivisionType.XA, "xa_minh_thang", 697),
  "W_25240" : VNWard("Xã Long Bình", 25240, VietnamDivisionType.XA, "xa_long_binh", 698),
  "W_25243" : VNWard("Xã Bình Tân", 25243, VietnamDivisionType.XA, "xa_binh_tan", 698),
  "W_25244" : VNWard("Xã Bình Sơn", 25244, VietnamDivisionType.XA, "xa_binh_son", 698),
  "W_25246" : VNWard("Xã Long Hưng", 25246, VietnamDivisionType.XA, "xa_long_hung", 698),
  "W_25250" : VNWard("Xã Phước Tân", 25250, VietnamDivisionType.XA, "xa_phuoc_tan", 698),
  "W_25252" : VNWard("Xã Bù Nho", 25252, VietnamDivisionType.XA, "xa_bu_nho", 698),
  "W_25255" : VNWard("Xã Long Hà", 25255, VietnamDivisionType.XA, "xa_long_ha", 698),
  "W_25258" : VNWard("Xã Long Tân", 25258, VietnamDivisionType.XA, "xa_long_tan", 698),
  "W_25261" : VNWard("Xã Phú Trung", 25261, VietnamDivisionType.XA, "xa_phu_trung", 698),
  "W_25264" : VNWard("Xã Phú Riềng", 25264, VietnamDivisionType.XA, "xa_phu_rieng", 698),
  "W_25456" : VNWard("Phường 1", 25456, VietnamDivisionType.PHUONG, "phuong_1", 703),
  "W_25459" : VNWard("Phường 3", 25459, VietnamDivisionType.PHUONG, "phuong_3", 703),
  "W_25462" : VNWard("Phường 4", 25462, VietnamDivisionType.PHUONG, "phuong_4", 703),
  "W_25465" : VNWard("Phường Hiệp Ninh", 25465, VietnamDivisionType.PHUONG, "phuong_hiep_ninh", 703),
  "W_25468" : VNWard("Phường 2", 25468, VietnamDivisionType.PHUONG, "phuong_2", 703),
  "W_25471" : VNWard("Xã Thạnh Tân", 25471, VietnamDivisionType.XA, "xa_thanh_tan", 703),
  "W_25474" : VNWard("Xã Tân Bình", 25474, VietnamDivisionType.XA, "xa_tan_binh", 703),
  "W_25477" : VNWard("Xã Bình Minh", 25477, VietnamDivisionType.XA, "xa_binh_minh", 703),
  "W_25480" : VNWard("Phường Ninh Sơn", 25480, VietnamDivisionType.PHUONG, "phuong_ninh_son", 703),
  "W_25483" : VNWard("Phường Ninh Thạnh", 25483, VietnamDivisionType.PHUONG, "phuong_ninh_thanh", 703),
  "W_25486" : VNWard("Thị trấn Tân Biên", 25486, VietnamDivisionType.THI_TRAN, "thi_tran_tan_bien", 705),
  "W_25489" : VNWard("Xã Tân Lập", 25489, VietnamDivisionType.XA, "xa_tan_lap", 705),
  "W_25492" : VNWard("Xã Thạnh Bắc", 25492, VietnamDivisionType.XA, "xa_thanh_bac", 705),
  "W_25495" : VNWard("Xã Tân Bình", 25495, VietnamDivisionType.XA, "xa_tan_binh", 705),
  "W_25498" : VNWard("Xã Thạnh Bình", 25498, VietnamDivisionType.XA, "xa_thanh_binh", 705),
  "W_25501" : VNWard("Xã Thạnh Tây", 25501, VietnamDivisionType.XA, "xa_thanh_tay", 705),
  "W_25504" : VNWard("Xã Hòa Hiệp", 25504, VietnamDivisionType.XA, "xa_hoa_hiep", 705),
  "W_25507" : VNWard("Xã Tân Phong", 25507, VietnamDivisionType.XA, "xa_tan_phong", 705),
  "W_25510" : VNWard("Xã Mỏ Công", 25510, VietnamDivisionType.XA, "xa_mo_cong", 705),
  "W_25513" : VNWard("Xã Trà Vong", 25513, VietnamDivisionType.XA, "xa_tra_vong", 705),
  "W_25516" : VNWard("Thị trấn Tân Châu", 25516, VietnamDivisionType.THI_TRAN, "thi_tran_tan_chau", 706),
  "W_25519" : VNWard("Xã Tân Hà", 25519, VietnamDivisionType.XA, "xa_tan_ha", 706),
  "W_25522" : VNWard("Xã Tân Đông", 25522, VietnamDivisionType.XA, "xa_tan_dong", 706),
  "W_25525" : VNWard("Xã Tân Hội", 25525, VietnamDivisionType.XA, "xa_tan_hoi", 706),
  "W_25528" : VNWard("Xã Tân Hòa", 25528, VietnamDivisionType.XA, "xa_tan_hoa", 706),
  "W_25531" : VNWard("Xã Suối Ngô", 25531, VietnamDivisionType.XA, "xa_suoi_ngo", 706),
  "W_25534" : VNWard("Xã Suối Dây", 25534, VietnamDivisionType.XA, "xa_suoi_day", 706),
  "W_25537" : VNWard("Xã Tân Hiệp", 25537, VietnamDivisionType.XA, "xa_tan_hiep", 706),
  "W_25540" : VNWard("Xã Thạnh Đông", 25540, VietnamDivisionType.XA, "xa_thanh_dong", 706),
  "W_25543" : VNWard("Xã Tân Thành", 25543, VietnamDivisionType.XA, "xa_tan_thanh", 706),
  "W_25546" : VNWard("Xã Tân Phú", 25546, VietnamDivisionType.XA, "xa_tan_phu", 706),
  "W_25549" : VNWard("Xã Tân Hưng", 25549, VietnamDivisionType.XA, "xa_tan_hung", 706),
  "W_25552" : VNWard("Thị trấn Dương Minh Châu", 25552, VietnamDivisionType.THI_TRAN, "thi_tran_duong_minh_chau", 707),
  "W_25555" : VNWard("Xã Suối Đá", 25555, VietnamDivisionType.XA, "xa_suoi_da", 707),
  "W_25558" : VNWard("Xã Phan", 25558, VietnamDivisionType.XA, "xa_phan", 707),
  "W_25561" : VNWard("Xã Phước Ninh", 25561, VietnamDivisionType.XA, "xa_phuoc_ninh", 707),
  "W_25564" : VNWard("Xã Phước Minh", 25564, VietnamDivisionType.XA, "xa_phuoc_minh", 707),
  "W_25567" : VNWard("Xã Bàu Năng", 25567, VietnamDivisionType.XA, "xa_bau_nang", 707),
  "W_25570" : VNWard("Xã Chà Là", 25570, VietnamDivisionType.XA, "xa_cha_la", 707),
  "W_25573" : VNWard("Xã Cầu Khởi", 25573, VietnamDivisionType.XA, "xa_cau_khoi", 707),
  "W_25576" : VNWard("Xã Bến Củi", 25576, VietnamDivisionType.XA, "xa_ben_cui", 707),
  "W_25579" : VNWard("Xã Lộc Ninh", 25579, VietnamDivisionType.XA, "xa_loc_ninh", 707),
  "W_25582" : VNWard("Xã Truông Mít", 25582, VietnamDivisionType.XA, "xa_truong_mit", 707),
  "W_25585" : VNWard("Thị trấn Châu Thành", 25585, VietnamDivisionType.THI_TRAN, "thi_tran_chau_thanh", 708),
  "W_25588" : VNWard("Xã Hảo Đước", 25588, VietnamDivisionType.XA, "xa_hao_duoc", 708),
  "W_25591" : VNWard("Xã Phước Vinh", 25591, VietnamDivisionType.XA, "xa_phuoc_vinh", 708),
  "W_25594" : VNWard("Xã Đồng Khởi", 25594, VietnamDivisionType.XA, "xa_dong_khoi", 708),
  "W_25597" : VNWard("Xã Thái Bình", 25597, VietnamDivisionType.XA, "xa_thai_binh", 708),
  "W_25600" : VNWard("Xã An Cơ", 25600, VietnamDivisionType.XA, "xa_an_co", 708),
  "W_25603" : VNWard("Xã Biên Giới", 25603, VietnamDivisionType.XA, "xa_bien_gioi", 708),
  "W_25606" : VNWard("Xã Hòa Thạnh", 25606, VietnamDivisionType.XA, "xa_hoa_thanh", 708),
  "W_25609" : VNWard("Xã Trí Bình", 25609, VietnamDivisionType.XA, "xa_tri_binh", 708),
  "W_25612" : VNWard("Xã Hòa Hội", 25612, VietnamDivisionType.XA, "xa_hoa_hoi", 708),
  "W_25615" : VNWard("Xã An Bình", 25615, VietnamDivisionType.XA, "xa_an_binh", 708),
  "W_25618" : VNWard("Xã Thanh Điền", 25618, VietnamDivisionType.XA, "xa_thanh_dien", 708),
  "W_25621" : VNWard("Xã Thành Long", 25621, VietnamDivisionType.XA, "xa_thanh_long", 708),
  "W_25624" : VNWard("Xã Ninh Điền", 25624, VietnamDivisionType.XA, "xa_ninh_dien", 708),
  "W_25627" : VNWard("Xã Long Vĩnh", 25627, VietnamDivisionType.XA, "xa_long_vinh", 708),
  "W_25630" : VNWard("Phường Long Hoa", 25630, VietnamDivisionType.PHUONG, "phuong_long_hoa", 709),
  "W_25633" : VNWard("Phường Hiệp Tân", 25633, VietnamDivisionType.PHUONG, "phuong_hiep_tan", 709),
  "W_25636" : VNWard("Phường Long Thành Bắc", 25636, VietnamDivisionType.PHUONG, "phuong_long_thanh_bac", 709),
  "W_25639" : VNWard("Xã Trường Hòa", 25639, VietnamDivisionType.XA, "xa_truong_hoa", 709),
  "W_25642" : VNWard("Xã Trường Đông", 25642, VietnamDivisionType.XA, "xa_truong_dong", 709),
  "W_25645" : VNWard("Phường Long Thành Trung", 25645, VietnamDivisionType.PHUONG, "phuong_long_thanh_trung", 709),
  "W_25648" : VNWard("Xã Trường Tây", 25648, VietnamDivisionType.XA, "xa_truong_tay", 709),
  "W_25651" : VNWard("Xã Long Thành Nam", 25651, VietnamDivisionType.XA, "xa_long_thanh_nam", 709),
  "W_25654" : VNWard("Thị trấn Gò Dầu", 25654, VietnamDivisionType.THI_TRAN, "thi_tran_go_dau", 710),
  "W_25657" : VNWard("Xã Thạnh Đức", 25657, VietnamDivisionType.XA, "xa_thanh_duc", 710),
  "W_25660" : VNWard("Xã Cẩm Giang", 25660, VietnamDivisionType.XA, "xa_cam_giang", 710),
  "W_25663" : VNWard("Xã Hiệp Thạnh", 25663, VietnamDivisionType.XA, "xa_hiep_thanh", 710),
  "W_25666" : VNWard("Xã Bàu Đồn", 25666, VietnamDivisionType.XA, "xa_bau_don", 710),
  "W_25669" : VNWard("Xã Phước Thạnh", 25669, VietnamDivisionType.XA, "xa_phuoc_thanh", 710),
  "W_25672" : VNWard("Xã Phước Đông", 25672, VietnamDivisionType.XA, "xa_phuoc_dong", 710),
  "W_25675" : VNWard("Xã Phước Trạch", 25675, VietnamDivisionType.XA, "xa_phuoc_trach", 710),
  "W_25678" : VNWard("Xã Thanh Phước", 25678, VietnamDivisionType.XA, "xa_thanh_phuoc", 710),
  "W_25681" : VNWard("Thị trấn Bến Cầu", 25681, VietnamDivisionType.THI_TRAN, "thi_tran_ben_cau", 711),
  "W_25684" : VNWard("Xã Long Chữ", 25684, VietnamDivisionType.XA, "xa_long_chu", 711),
  "W_25687" : VNWard("Xã Long Phước", 25687, VietnamDivisionType.XA, "xa_long_phuoc", 711),
  "W_25690" : VNWard("Xã Long Giang", 25690, VietnamDivisionType.XA, "xa_long_giang", 711),
  "W_25693" : VNWard("Xã Tiên Thuận", 25693, VietnamDivisionType.XA, "xa_tien_thuan", 711),
  "W_25696" : VNWard("Xã Long Khánh", 25696, VietnamDivisionType.XA, "xa_long_khanh", 711),
  "W_25699" : VNWard("Xã Lợi Thuận", 25699, VietnamDivisionType.XA, "xa_loi_thuan", 711),
  "W_25702" : VNWard("Xã Long Thuận", 25702, VietnamDivisionType.XA, "xa_long_thuan", 711),
  "W_25705" : VNWard("Xã An Thạnh", 25705, VietnamDivisionType.XA, "xa_an_thanh", 711),
  "W_25708" : VNWard("Phường Trảng Bàng", 25708, VietnamDivisionType.PHUONG, "phuong_trang_bang", 712),
  "W_25711" : VNWard("Xã Đôn Thuận", 25711, VietnamDivisionType.XA, "xa_don_thuan", 712),
  "W_25714" : VNWard("Xã Hưng Thuận", 25714, VietnamDivisionType.XA, "xa_hung_thuan", 712),
  "W_25717" : VNWard("Phường Lộc Hưng", 25717, VietnamDivisionType.PHUONG, "phuong_loc_hung", 712),
  "W_25720" : VNWard("Phường Gia Lộc", 25720, VietnamDivisionType.PHUONG, "phuong_gia_loc", 712),
  "W_25723" : VNWard("Phường Gia Bình", 25723, VietnamDivisionType.PHUONG, "phuong_gia_binh", 712),
  "W_25729" : VNWard("Xã Phước Bình", 25729, VietnamDivisionType.XA, "xa_phuoc_binh", 712),
  "W_25732" : VNWard("Phường An Tịnh", 25732, VietnamDivisionType.PHUONG, "phuong_an_tinh", 712),
  "W_25735" : VNWard("Phường An Hòa", 25735, VietnamDivisionType.PHUONG, "phuong_an_hoa", 712),
  "W_25738" : VNWard("Xã Phước Chỉ", 25738, VietnamDivisionType.XA, "xa_phuoc_chi", 712),
  "W_25741" : VNWard("Phường Hiệp Thành", 25741, VietnamDivisionType.PHUONG, "phuong_hiep_thanh", 718),
  "W_25744" : VNWard("Phường Phú Lợi", 25744, VietnamDivisionType.PHUONG, "phuong_phu_loi", 718),
  "W_25747" : VNWard("Phường Phú Cường", 25747, VietnamDivisionType.PHUONG, "phuong_phu_cuong", 718),
  "W_25750" : VNWard("Phường Phú Hòa", 25750, VietnamDivisionType.PHUONG, "phuong_phu_hoa", 718),
  "W_25753" : VNWard("Phường Phú Thọ", 25753, VietnamDivisionType.PHUONG, "phuong_phu_tho", 718),
  "W_25756" : VNWard("Phường Chánh Nghĩa", 25756, VietnamDivisionType.PHUONG, "phuong_chanh_nghia", 718),
  "W_25759" : VNWard("Phường Định Hoà", 25759, VietnamDivisionType.PHUONG, "phuong_dinh_hoa", 718),
  "W_25760" : VNWard("Phường Hoà Phú", 25760, VietnamDivisionType.PHUONG, "phuong_hoa_phu", 718),
  "W_25762" : VNWard("Phường Phú Mỹ", 25762, VietnamDivisionType.PHUONG, "phuong_phu_my", 718),
  "W_25763" : VNWard("Phường Phú Tân", 25763, VietnamDivisionType.PHUONG, "phuong_phu_tan", 718),
  "W_25765" : VNWard("Phường Tân An", 25765, VietnamDivisionType.PHUONG, "phuong_tan_an", 718),
  "W_25768" : VNWard("Phường Hiệp An", 25768, VietnamDivisionType.PHUONG, "phuong_hiep_an", 718),
  "W_25771" : VNWard("Phường Tương Bình Hiệp", 25771, VietnamDivisionType.PHUONG, "phuong_tuong_binh_hiep", 718),
  "W_25774" : VNWard("Phường Chánh Mỹ", 25774, VietnamDivisionType.PHUONG, "phuong_chanh_my", 718),
  "W_25816" : VNWard("Xã Trừ Văn Thố", 25816, VietnamDivisionType.XA, "xa_tru_van_tho", 719),
  "W_25819" : VNWard("Xã Cây Trường II", 25819, VietnamDivisionType.XA, "xa_cay_truong_ii", 719),
  "W_25822" : VNWard("Thị trấn Lai Uyên", 25822, VietnamDivisionType.THI_TRAN, "thi_tran_lai_uyen", 719),
  "W_25825" : VNWard("Xã Tân Hưng", 25825, VietnamDivisionType.XA, "xa_tan_hung", 719),
  "W_25828" : VNWard("Xã Long Nguyên", 25828, VietnamDivisionType.XA, "xa_long_nguyen", 719),
  "W_25831" : VNWard("Xã Hưng Hòa", 25831, VietnamDivisionType.XA, "xa_hung_hoa", 719),
  "W_25834" : VNWard("Xã Lai Hưng", 25834, VietnamDivisionType.XA, "xa_lai_hung", 719),
  "W_25777" : VNWard("Thị trấn Dầu Tiếng", 25777, VietnamDivisionType.THI_TRAN, "thi_tran_dau_tieng", 720),
  "W_25780" : VNWard("Xã Minh Hoà", 25780, VietnamDivisionType.XA, "xa_minh_hoa", 720),
  "W_25783" : VNWard("Xã Minh Thạnh", 25783, VietnamDivisionType.XA, "xa_minh_thanh", 720),
  "W_25786" : VNWard("Xã Minh Tân", 25786, VietnamDivisionType.XA, "xa_minh_tan", 720),
  "W_25789" : VNWard("Xã Định An", 25789, VietnamDivisionType.XA, "xa_dinh_an", 720),
  "W_25792" : VNWard("Xã Long Hoà", 25792, VietnamDivisionType.XA, "xa_long_hoa", 720),
  "W_25795" : VNWard("Xã Định Thành", 25795, VietnamDivisionType.XA, "xa_dinh_thanh", 720),
  "W_25798" : VNWard("Xã Định Hiệp", 25798, VietnamDivisionType.XA, "xa_dinh_hiep", 720),
  "W_25801" : VNWard("Xã An Lập", 25801, VietnamDivisionType.XA, "xa_an_lap", 720),
  "W_25804" : VNWard("Xã Long Tân", 25804, VietnamDivisionType.XA, "xa_long_tan", 720),
  "W_25807" : VNWard("Xã Thanh An", 25807, VietnamDivisionType.XA, "xa_thanh_an", 720),
  "W_25810" : VNWard("Xã Thanh Tuyền", 25810, VietnamDivisionType.XA, "xa_thanh_tuyen", 720),
  "W_25813" : VNWard("Phường Mỹ Phước", 25813, VietnamDivisionType.PHUONG, "phuong_my_phuoc", 721),
  "W_25837" : VNWard("Phường Chánh Phú Hòa", 25837, VietnamDivisionType.PHUONG, "phuong_chanh_phu_hoa", 721),
  "W_25840" : VNWard("Xã An Điền", 25840, VietnamDivisionType.XA, "xa_an_dien", 721),
  "W_25843" : VNWard("Xã An Tây", 25843, VietnamDivisionType.XA, "xa_an_tay", 721),
  "W_25846" : VNWard("Phường Thới Hòa", 25846, VietnamDivisionType.PHUONG, "phuong_thoi_hoa", 721),
  "W_25849" : VNWard("Phường Hòa Lợi", 25849, VietnamDivisionType.PHUONG, "phuong_hoa_loi", 721),
  "W_25852" : VNWard("Phường Tân Định", 25852, VietnamDivisionType.PHUONG, "phuong_tan_dinh", 721),
  "W_25855" : VNWard("Xã Phú An", 25855, VietnamDivisionType.XA, "xa_phu_an", 721),
  "W_25858" : VNWard("Thị trấn Phước Vĩnh", 25858, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_vinh", 722),
  "W_25861" : VNWard("Xã An Linh", 25861, VietnamDivisionType.XA, "xa_an_linh", 722),
  "W_25864" : VNWard("Xã Phước Sang", 25864, VietnamDivisionType.XA, "xa_phuoc_sang", 722),
  "W_25865" : VNWard("Xã An Thái", 25865, VietnamDivisionType.XA, "xa_an_thai", 722),
  "W_25867" : VNWard("Xã An Long", 25867, VietnamDivisionType.XA, "xa_an_long", 722),
  "W_25870" : VNWard("Xã An Bình", 25870, VietnamDivisionType.XA, "xa_an_binh", 722),
  "W_25873" : VNWard("Xã Tân Hiệp", 25873, VietnamDivisionType.XA, "xa_tan_hiep", 722),
  "W_25876" : VNWard("Xã Tam Lập", 25876, VietnamDivisionType.XA, "xa_tam_lap", 722),
  "W_25879" : VNWard("Xã Tân Long", 25879, VietnamDivisionType.XA, "xa_tan_long", 722),
  "W_25882" : VNWard("Xã Vĩnh Hoà", 25882, VietnamDivisionType.XA, "xa_vinh_hoa", 722),
  "W_25885" : VNWard("Xã Phước Hoà", 25885, VietnamDivisionType.XA, "xa_phuoc_hoa", 722),
  "W_25888" : VNWard("Phường Uyên Hưng", 25888, VietnamDivisionType.PHUONG, "phuong_uyen_hung", 723),
  "W_25891" : VNWard("Phường Tân Phước Khánh", 25891, VietnamDivisionType.PHUONG, "phuong_tan_phuoc_khanh", 723),
  "W_25912" : VNWard("Phường Vĩnh Tân", 25912, VietnamDivisionType.PHUONG, "phuong_vinh_tan", 723),
  "W_25915" : VNWard("Phường Hội Nghĩa", 25915, VietnamDivisionType.PHUONG, "phuong_hoi_nghia", 723),
  "W_25920" : VNWard("Phường Tân Hiệp", 25920, VietnamDivisionType.PHUONG, "phuong_tan_hiep", 723),
  "W_25921" : VNWard("Phường Khánh Bình", 25921, VietnamDivisionType.PHUONG, "phuong_khanh_binh", 723),
  "W_25924" : VNWard("Phường Phú Chánh", 25924, VietnamDivisionType.PHUONG, "phuong_phu_chanh", 723),
  "W_25930" : VNWard("Xã Bạch Đằng", 25930, VietnamDivisionType.XA, "xa_bach_dang", 723),
  "W_25933" : VNWard("Phường Tân Vĩnh Hiệp", 25933, VietnamDivisionType.PHUONG, "phuong_tan_vinh_hiep", 723),
  "W_25936" : VNWard("Phường Thạnh Phước", 25936, VietnamDivisionType.PHUONG, "phuong_thanh_phuoc", 723),
  "W_25937" : VNWard("Xã Thạnh Hội", 25937, VietnamDivisionType.XA, "xa_thanh_hoi", 723),
  "W_25939" : VNWard("Phường Thái Hòa", 25939, VietnamDivisionType.PHUONG, "phuong_thai_hoa", 723),
  "W_25942" : VNWard("Phường Dĩ An", 25942, VietnamDivisionType.PHUONG, "phuong_di_an", 724),
  "W_25945" : VNWard("Phường Tân Bình", 25945, VietnamDivisionType.PHUONG, "phuong_tan_binh", 724),
  "W_25948" : VNWard("Phường Tân Đông Hiệp", 25948, VietnamDivisionType.PHUONG, "phuong_tan_dong_hiep", 724),
  "W_25951" : VNWard("Phường Bình An", 25951, VietnamDivisionType.PHUONG, "phuong_binh_an", 724),
  "W_25954" : VNWard("Phường Bình Thắng", 25954, VietnamDivisionType.PHUONG, "phuong_binh_thang", 724),
  "W_25957" : VNWard("Phường Đông Hòa", 25957, VietnamDivisionType.PHUONG, "phuong_dong_hoa", 724),
  "W_25960" : VNWard("Phường An Bình", 25960, VietnamDivisionType.PHUONG, "phuong_an_binh", 724),
  "W_25963" : VNWard("Phường An Thạnh", 25963, VietnamDivisionType.PHUONG, "phuong_an_thanh", 725),
  "W_25966" : VNWard("Phường Lái Thiêu", 25966, VietnamDivisionType.PHUONG, "phuong_lai_thieu", 725),
  "W_25969" : VNWard("Phường Bình Chuẩn", 25969, VietnamDivisionType.PHUONG, "phuong_binh_chuan", 725),
  "W_25972" : VNWard("Phường Thuận Giao", 25972, VietnamDivisionType.PHUONG, "phuong_thuan_giao", 725),
  "W_25975" : VNWard("Phường An Phú", 25975, VietnamDivisionType.PHUONG, "phuong_an_phu", 725),
  "W_25978" : VNWard("Phường Hưng Định", 25978, VietnamDivisionType.PHUONG, "phuong_hung_dinh", 725),
  "W_25981" : VNWard("Xã An Sơn", 25981, VietnamDivisionType.XA, "xa_an_son", 725),
  "W_25984" : VNWard("Phường Bình Nhâm", 25984, VietnamDivisionType.PHUONG, "phuong_binh_nham", 725),
  "W_25987" : VNWard("Phường Bình Hòa", 25987, VietnamDivisionType.PHUONG, "phuong_binh_hoa", 725),
  "W_25990" : VNWard("Phường Vĩnh Phú", 25990, VietnamDivisionType.PHUONG, "phuong_vinh_phu", 725),
  "W_25894" : VNWard("Xã Tân Định", 25894, VietnamDivisionType.XA, "xa_tan_dinh", 726),
  "W_25897" : VNWard("Xã Bình Mỹ", 25897, VietnamDivisionType.XA, "xa_binh_my", 726),
  "W_25900" : VNWard("Thị trấn Tân Bình", 25900, VietnamDivisionType.THI_TRAN, "thi_tran_tan_binh", 726),
  "W_25903" : VNWard("Xã Tân Lập", 25903, VietnamDivisionType.XA, "xa_tan_lap", 726),
  "W_25906" : VNWard("Thị trấn Tân Thành", 25906, VietnamDivisionType.THI_TRAN, "thi_tran_tan_thanh", 726),
  "W_25907" : VNWard("Xã Đất Cuốc", 25907, VietnamDivisionType.XA, "xa_dat_cuoc", 726),
  "W_25908" : VNWard("Xã Hiếu Liêm", 25908, VietnamDivisionType.XA, "xa_hieu_liem", 726),
  "W_25909" : VNWard("Xã Lạc An", 25909, VietnamDivisionType.XA, "xa_lac_an", 726),
  "W_25918" : VNWard("Xã Tân Mỹ", 25918, VietnamDivisionType.XA, "xa_tan_my", 726),
  "W_25927" : VNWard("Xã Thường Tân", 25927, VietnamDivisionType.XA, "xa_thuong_tan", 726),
  "W_25993" : VNWard("Phường Trảng Dài", 25993, VietnamDivisionType.PHUONG, "phuong_trang_dai", 731),
  "W_25996" : VNWard("Phường Tân Phong", 25996, VietnamDivisionType.PHUONG, "phuong_tan_phong", 731),
  "W_25999" : VNWard("Phường Tân Biên", 25999, VietnamDivisionType.PHUONG, "phuong_tan_bien", 731),
  "W_26002" : VNWard("Phường Hố Nai", 26002, VietnamDivisionType.PHUONG, "phuong_ho_nai", 731),
  "W_26005" : VNWard("Phường Tân Hòa", 26005, VietnamDivisionType.PHUONG, "phuong_tan_hoa", 731),
  "W_26008" : VNWard("Phường Tân Hiệp", 26008, VietnamDivisionType.PHUONG, "phuong_tan_hiep", 731),
  "W_26011" : VNWard("Phường Bửu Long", 26011, VietnamDivisionType.PHUONG, "phuong_buu_long", 731),
  "W_26014" : VNWard("Phường Tân Tiến", 26014, VietnamDivisionType.PHUONG, "phuong_tan_tien", 731),
  "W_26017" : VNWard("Phường Tam Hiệp", 26017, VietnamDivisionType.PHUONG, "phuong_tam_hiep", 731),
  "W_26020" : VNWard("Phường Long Bình", 26020, VietnamDivisionType.PHUONG, "phuong_long_binh", 731),
  "W_26023" : VNWard("Phường Quang Vinh", 26023, VietnamDivisionType.PHUONG, "phuong_quang_vinh", 731),
  "W_26026" : VNWard("Phường Tân Mai", 26026, VietnamDivisionType.PHUONG, "phuong_tan_mai", 731),
  "W_26029" : VNWard("Phường Thống Nhất", 26029, VietnamDivisionType.PHUONG, "phuong_thong_nhat", 731),
  "W_26032" : VNWard("Phường Trung Dũng", 26032, VietnamDivisionType.PHUONG, "phuong_trung_dung", 731),
  "W_26035" : VNWard("Phường Tam Hòa", 26035, VietnamDivisionType.PHUONG, "phuong_tam_hoa", 731),
  "W_26038" : VNWard("Phường Hòa Bình", 26038, VietnamDivisionType.PHUONG, "phuong_hoa_binh", 731),
  "W_26041" : VNWard("Phường Quyết Thắng", 26041, VietnamDivisionType.PHUONG, "phuong_quyet_thang", 731),
  "W_26044" : VNWard("Phường Thanh Bình", 26044, VietnamDivisionType.PHUONG, "phuong_thanh_binh", 731),
  "W_26047" : VNWard("Phường Bình Đa", 26047, VietnamDivisionType.PHUONG, "phuong_binh_da", 731),
  "W_26050" : VNWard("Phường An Bình", 26050, VietnamDivisionType.PHUONG, "phuong_an_binh", 731),
  "W_26053" : VNWard("Phường Bửu Hòa", 26053, VietnamDivisionType.PHUONG, "phuong_buu_hoa", 731),
  "W_26056" : VNWard("Phường Long Bình Tân", 26056, VietnamDivisionType.PHUONG, "phuong_long_binh_tan", 731),
  "W_26059" : VNWard("Phường Tân Vạn", 26059, VietnamDivisionType.PHUONG, "phuong_tan_van", 731),
  "W_26062" : VNWard("Phường Tân Hạnh", 26062, VietnamDivisionType.PHUONG, "phuong_tan_hanh", 731),
  "W_26065" : VNWard("Phường Hiệp Hòa", 26065, VietnamDivisionType.PHUONG, "phuong_hiep_hoa", 731),
  "W_26068" : VNWard("Phường Hóa An", 26068, VietnamDivisionType.PHUONG, "phuong_hoa_an", 731),
  "W_26371" : VNWard("Phường An Hòa", 26371, VietnamDivisionType.PHUONG, "phuong_an_hoa", 731),
  "W_26374" : VNWard("Phường Tam Phước", 26374, VietnamDivisionType.PHUONG, "phuong_tam_phuoc", 731),
  "W_26377" : VNWard("Phường Phước Tân", 26377, VietnamDivisionType.PHUONG, "phuong_phuoc_tan", 731),
  "W_26380" : VNWard("Xã Long Hưng", 26380, VietnamDivisionType.XA, "xa_long_hung", 731),
  "W_26071" : VNWard("Phường Xuân Trung", 26071, VietnamDivisionType.PHUONG, "phuong_xuan_trung", 732),
  "W_26074" : VNWard("Phường Xuân Thanh", 26074, VietnamDivisionType.PHUONG, "phuong_xuan_thanh", 732),
  "W_26077" : VNWard("Phường Xuân Bình", 26077, VietnamDivisionType.PHUONG, "phuong_xuan_binh", 732),
  "W_26080" : VNWard("Phường Xuân An", 26080, VietnamDivisionType.PHUONG, "phuong_xuan_an", 732),
  "W_26083" : VNWard("Phường Xuân Hoà", 26083, VietnamDivisionType.PHUONG, "phuong_xuan_hoa", 732),
  "W_26086" : VNWard("Phường Phú Bình", 26086, VietnamDivisionType.PHUONG, "phuong_phu_binh", 732),
  "W_26089" : VNWard("Xã Bình Lộc", 26089, VietnamDivisionType.XA, "xa_binh_loc", 732),
  "W_26092" : VNWard("Xã Bảo Quang", 26092, VietnamDivisionType.XA, "xa_bao_quang", 732),
  "W_26095" : VNWard("Phường Suối Tre", 26095, VietnamDivisionType.PHUONG, "phuong_suoi_tre", 732),
  "W_26098" : VNWard("Phường Bảo Vinh", 26098, VietnamDivisionType.PHUONG, "phuong_bao_vinh", 732),
  "W_26101" : VNWard("Phường Xuân Lập", 26101, VietnamDivisionType.PHUONG, "phuong_xuan_lap", 732),
  "W_26104" : VNWard("Phường Bàu Sen", 26104, VietnamDivisionType.PHUONG, "phuong_bau_sen", 732),
  "W_26107" : VNWard("Xã Bàu Trâm", 26107, VietnamDivisionType.XA, "xa_bau_tram", 732),
  "W_26110" : VNWard("Phường Xuân Tân", 26110, VietnamDivisionType.PHUONG, "phuong_xuan_tan", 732),
  "W_26113" : VNWard("Xã Hàng Gòn", 26113, VietnamDivisionType.XA, "xa_hang_gon", 732),
  "W_26116" : VNWard("Thị trấn Tân Phú", 26116, VietnamDivisionType.THI_TRAN, "thi_tran_tan_phu", 734),
  "W_26119" : VNWard("Xã Dak Lua", 26119, VietnamDivisionType.XA, "xa_dak_lua", 734),
  "W_26122" : VNWard("Xã Nam Cát Tiên", 26122, VietnamDivisionType.XA, "xa_nam_cat_tien", 734),
  "W_26125" : VNWard("Xã Phú An", 26125, VietnamDivisionType.XA, "xa_phu_an", 734),
  "W_26128" : VNWard("Xã Núi Tượng", 26128, VietnamDivisionType.XA, "xa_nui_tuong", 734),
  "W_26131" : VNWard("Xã Tà Lài", 26131, VietnamDivisionType.XA, "xa_ta_lai", 734),
  "W_26134" : VNWard("Xã Phú Lập", 26134, VietnamDivisionType.XA, "xa_phu_lap", 734),
  "W_26137" : VNWard("Xã Phú Sơn", 26137, VietnamDivisionType.XA, "xa_phu_son", 734),
  "W_26140" : VNWard("Xã Phú Thịnh", 26140, VietnamDivisionType.XA, "xa_phu_thinh", 734),
  "W_26143" : VNWard("Xã Thanh Sơn", 26143, VietnamDivisionType.XA, "xa_thanh_son", 734),
  "W_26146" : VNWard("Xã Phú Trung", 26146, VietnamDivisionType.XA, "xa_phu_trung", 734),
  "W_26149" : VNWard("Xã Phú Xuân", 26149, VietnamDivisionType.XA, "xa_phu_xuan", 734),
  "W_26152" : VNWard("Xã Phú Lộc", 26152, VietnamDivisionType.XA, "xa_phu_loc", 734),
  "W_26155" : VNWard("Xã Phú Lâm", 26155, VietnamDivisionType.XA, "xa_phu_lam", 734),
  "W_26158" : VNWard("Xã Phú Bình", 26158, VietnamDivisionType.XA, "xa_phu_binh", 734),
  "W_26161" : VNWard("Xã Phú Thanh", 26161, VietnamDivisionType.XA, "xa_phu_thanh", 734),
  "W_26164" : VNWard("Xã Trà Cổ", 26164, VietnamDivisionType.XA, "xa_tra_co", 734),
  "W_26167" : VNWard("Xã Phú Điền", 26167, VietnamDivisionType.XA, "xa_phu_dien", 734),
  "W_26170" : VNWard("Thị trấn Vĩnh An", 26170, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_an", 735),
  "W_26173" : VNWard("Xã Phú Lý", 26173, VietnamDivisionType.XA, "xa_phu_ly", 735),
  "W_26176" : VNWard("Xã Trị An", 26176, VietnamDivisionType.XA, "xa_tri_an", 735),
  "W_26179" : VNWard("Xã Tân An", 26179, VietnamDivisionType.XA, "xa_tan_an", 735),
  "W_26182" : VNWard("Xã Vĩnh Tân", 26182, VietnamDivisionType.XA, "xa_vinh_tan", 735),
  "W_26185" : VNWard("Xã Bình Lợi", 26185, VietnamDivisionType.XA, "xa_binh_loi", 735),
  "W_26188" : VNWard("Xã Thạnh Phú", 26188, VietnamDivisionType.XA, "xa_thanh_phu", 735),
  "W_26191" : VNWard("Xã Thiện Tân", 26191, VietnamDivisionType.XA, "xa_thien_tan", 735),
  "W_26194" : VNWard("Xã Tân Bình", 26194, VietnamDivisionType.XA, "xa_tan_binh", 735),
  "W_26197" : VNWard("Xã Bình Hòa", 26197, VietnamDivisionType.XA, "xa_binh_hoa", 735),
  "W_26200" : VNWard("Xã Mã Đà", 26200, VietnamDivisionType.XA, "xa_ma_da", 735),
  "W_26203" : VNWard("Xã Hiếu Liêm", 26203, VietnamDivisionType.XA, "xa_hieu_liem", 735),
  "W_26206" : VNWard("Thị trấn Định Quán", 26206, VietnamDivisionType.THI_TRAN, "thi_tran_dinh_quan", 736),
  "W_26209" : VNWard("Xã Thanh Sơn", 26209, VietnamDivisionType.XA, "xa_thanh_son", 736),
  "W_26212" : VNWard("Xã Phú Tân", 26212, VietnamDivisionType.XA, "xa_phu_tan", 736),
  "W_26215" : VNWard("Xã Phú Vinh", 26215, VietnamDivisionType.XA, "xa_phu_vinh", 736),
  "W_26218" : VNWard("Xã Phú Lợi", 26218, VietnamDivisionType.XA, "xa_phu_loi", 736),
  "W_26221" : VNWard("Xã Phú Hòa", 26221, VietnamDivisionType.XA, "xa_phu_hoa", 736),
  "W_26224" : VNWard("Xã Ngọc Định", 26224, VietnamDivisionType.XA, "xa_ngoc_dinh", 736),
  "W_26227" : VNWard("Xã La Ngà", 26227, VietnamDivisionType.XA, "xa_la_nga", 736),
  "W_26230" : VNWard("Xã Gia Canh", 26230, VietnamDivisionType.XA, "xa_gia_canh", 736),
  "W_26233" : VNWard("Xã Phú Ngọc", 26233, VietnamDivisionType.XA, "xa_phu_ngoc", 736),
  "W_26236" : VNWard("Xã Phú Cường", 26236, VietnamDivisionType.XA, "xa_phu_cuong", 736),
  "W_26239" : VNWard("Xã Túc Trưng", 26239, VietnamDivisionType.XA, "xa_tuc_trung", 736),
  "W_26242" : VNWard("Xã Phú Túc", 26242, VietnamDivisionType.XA, "xa_phu_tuc", 736),
  "W_26245" : VNWard("Xã Suối Nho", 26245, VietnamDivisionType.XA, "xa_suoi_nho", 736),
  "W_26248" : VNWard("Thị trấn Trảng Bom", 26248, VietnamDivisionType.THI_TRAN, "thi_tran_trang_bom", 737),
  "W_26251" : VNWard("Xã Thanh Bình", 26251, VietnamDivisionType.XA, "xa_thanh_binh", 737),
  "W_26254" : VNWard("Xã Cây Gáo", 26254, VietnamDivisionType.XA, "xa_cay_gao", 737),
  "W_26257" : VNWard("Xã Bàu Hàm", 26257, VietnamDivisionType.XA, "xa_bau_ham", 737),
  "W_26260" : VNWard("Xã Sông Thao", 26260, VietnamDivisionType.XA, "xa_song_thao", 737),
  "W_26263" : VNWard("Xã Sông Trầu", 26263, VietnamDivisionType.XA, "xa_song_trau", 737),
  "W_26266" : VNWard("Xã Đông Hoà", 26266, VietnamDivisionType.XA, "xa_dong_hoa", 737),
  "W_26269" : VNWard("Xã Bắc Sơn", 26269, VietnamDivisionType.XA, "xa_bac_son", 737),
  "W_26272" : VNWard("Xã Hố Nai 3", 26272, VietnamDivisionType.XA, "xa_ho_nai_3", 737),
  "W_26275" : VNWard("Xã Tây Hoà", 26275, VietnamDivisionType.XA, "xa_tay_hoa", 737),
  "W_26278" : VNWard("Xã Bình Minh", 26278, VietnamDivisionType.XA, "xa_binh_minh", 737),
  "W_26281" : VNWard("Xã Trung Hoà", 26281, VietnamDivisionType.XA, "xa_trung_hoa", 737),
  "W_26284" : VNWard("Xã Đồi 61", 26284, VietnamDivisionType.XA, "xa_doi_61", 737),
  "W_26287" : VNWard("Xã Hưng Thịnh", 26287, VietnamDivisionType.XA, "xa_hung_thinh", 737),
  "W_26290" : VNWard("Xã Quảng Tiến", 26290, VietnamDivisionType.XA, "xa_quang_tien", 737),
  "W_26293" : VNWard("Xã Giang Điền", 26293, VietnamDivisionType.XA, "xa_giang_dien", 737),
  "W_26296" : VNWard("Xã An Viễn", 26296, VietnamDivisionType.XA, "xa_an_vien", 737),
  "W_26299" : VNWard("Xã Gia Tân 1", 26299, VietnamDivisionType.XA, "xa_gia_tan_1", 738),
  "W_26302" : VNWard("Xã Gia Tân 2", 26302, VietnamDivisionType.XA, "xa_gia_tan_2", 738),
  "W_26305" : VNWard("Xã Gia Tân 3", 26305, VietnamDivisionType.XA, "xa_gia_tan_3", 738),
  "W_26308" : VNWard("Xã Gia Kiệm", 26308, VietnamDivisionType.XA, "xa_gia_kiem", 738),
  "W_26311" : VNWard("Xã Quang Trung", 26311, VietnamDivisionType.XA, "xa_quang_trung", 738),
  "W_26314" : VNWard("Xã Bàu Hàm 2", 26314, VietnamDivisionType.XA, "xa_bau_ham_2", 738),
  "W_26317" : VNWard("Xã Hưng Lộc", 26317, VietnamDivisionType.XA, "xa_hung_loc", 738),
  "W_26320" : VNWard("Xã Lộ 25", 26320, VietnamDivisionType.XA, "xa_lo_25", 738),
  "W_26323" : VNWard("Xã Xuân Thiện", 26323, VietnamDivisionType.XA, "xa_xuan_thien", 738),
  "W_26326" : VNWard("Thị trấn Dầu Giây", 26326, VietnamDivisionType.THI_TRAN, "thi_tran_dau_giay", 738),
  "W_26329" : VNWard("Xã Sông Nhạn", 26329, VietnamDivisionType.XA, "xa_song_nhan", 739),
  "W_26332" : VNWard("Xã Xuân Quế", 26332, VietnamDivisionType.XA, "xa_xuan_que", 739),
  "W_26335" : VNWard("Xã Nhân Nghĩa", 26335, VietnamDivisionType.XA, "xa_nhan_nghia", 739),
  "W_26338" : VNWard("Xã Xuân Đường", 26338, VietnamDivisionType.XA, "xa_xuan_duong", 739),
  "W_26341" : VNWard("Xã Long Giao", 26341, VietnamDivisionType.XA, "xa_long_giao", 739),
  "W_26344" : VNWard("Xã Xuân Mỹ", 26344, VietnamDivisionType.XA, "xa_xuan_my", 739),
  "W_26347" : VNWard("Xã Thừa Đức", 26347, VietnamDivisionType.XA, "xa_thua_duc", 739),
  "W_26350" : VNWard("Xã Bảo Bình", 26350, VietnamDivisionType.XA, "xa_bao_binh", 739),
  "W_26353" : VNWard("Xã Xuân Bảo", 26353, VietnamDivisionType.XA, "xa_xuan_bao", 739),
  "W_26356" : VNWard("Xã Xuân Tây", 26356, VietnamDivisionType.XA, "xa_xuan_tay", 739),
  "W_26359" : VNWard("Xã Xuân Đông", 26359, VietnamDivisionType.XA, "xa_xuan_dong", 739),
  "W_26362" : VNWard("Xã Sông Ray", 26362, VietnamDivisionType.XA, "xa_song_ray", 739),
  "W_26365" : VNWard("Xã Lâm San", 26365, VietnamDivisionType.XA, "xa_lam_san", 739),
  "W_26368" : VNWard("Thị trấn Long Thành", 26368, VietnamDivisionType.THI_TRAN, "thi_tran_long_thanh", 740),
  "W_26383" : VNWard("Xã An Phước", 26383, VietnamDivisionType.XA, "xa_an_phuoc", 740),
  "W_26386" : VNWard("Xã Bình An", 26386, VietnamDivisionType.XA, "xa_binh_an", 740),
  "W_26389" : VNWard("Xã Long Đức", 26389, VietnamDivisionType.XA, "xa_long_duc", 740),
  "W_26392" : VNWard("Xã Lộc An", 26392, VietnamDivisionType.XA, "xa_loc_an", 740),
  "W_26395" : VNWard("Xã Bình Sơn", 26395, VietnamDivisionType.XA, "xa_binh_son", 740),
  "W_26398" : VNWard("Xã Tam An", 26398, VietnamDivisionType.XA, "xa_tam_an", 740),
  "W_26401" : VNWard("Xã Cẩm Đường", 26401, VietnamDivisionType.XA, "xa_cam_duong", 740),
  "W_26404" : VNWard("Xã Long An", 26404, VietnamDivisionType.XA, "xa_long_an", 740),
  "W_26410" : VNWard("Xã Bàu Cạn", 26410, VietnamDivisionType.XA, "xa_bau_can", 740),
  "W_26413" : VNWard("Xã Long Phước", 26413, VietnamDivisionType.XA, "xa_long_phuoc", 740),
  "W_26416" : VNWard("Xã Phước Bình", 26416, VietnamDivisionType.XA, "xa_phuoc_binh", 740),
  "W_26419" : VNWard("Xã Tân Hiệp", 26419, VietnamDivisionType.XA, "xa_tan_hiep", 740),
  "W_26422" : VNWard("Xã Phước Thái", 26422, VietnamDivisionType.XA, "xa_phuoc_thai", 740),
  "W_26425" : VNWard("Thị trấn Gia Ray", 26425, VietnamDivisionType.THI_TRAN, "thi_tran_gia_ray", 741),
  "W_26428" : VNWard("Xã Xuân Bắc", 26428, VietnamDivisionType.XA, "xa_xuan_bac", 741),
  "W_26431" : VNWard("Xã Suối Cao", 26431, VietnamDivisionType.XA, "xa_suoi_cao", 741),
  "W_26434" : VNWard("Xã Xuân Thành", 26434, VietnamDivisionType.XA, "xa_xuan_thanh", 741),
  "W_26437" : VNWard("Xã Xuân Thọ", 26437, VietnamDivisionType.XA, "xa_xuan_tho", 741),
  "W_26440" : VNWard("Xã Xuân Trường", 26440, VietnamDivisionType.XA, "xa_xuan_truong", 741),
  "W_26443" : VNWard("Xã Xuân Hòa", 26443, VietnamDivisionType.XA, "xa_xuan_hoa", 741),
  "W_26446" : VNWard("Xã Xuân Hưng", 26446, VietnamDivisionType.XA, "xa_xuan_hung", 741),
  "W_26449" : VNWard("Xã Xuân Tâm", 26449, VietnamDivisionType.XA, "xa_xuan_tam", 741),
  "W_26452" : VNWard("Xã Suối Cát", 26452, VietnamDivisionType.XA, "xa_suoi_cat", 741),
  "W_26455" : VNWard("Xã Xuân Hiệp", 26455, VietnamDivisionType.XA, "xa_xuan_hiep", 741),
  "W_26458" : VNWard("Xã Xuân Phú", 26458, VietnamDivisionType.XA, "xa_xuan_phu", 741),
  "W_26461" : VNWard("Xã Xuân Định", 26461, VietnamDivisionType.XA, "xa_xuan_dinh", 741),
  "W_26464" : VNWard("Xã Bảo Hoà", 26464, VietnamDivisionType.XA, "xa_bao_hoa", 741),
  "W_26467" : VNWard("Xã Lang Minh", 26467, VietnamDivisionType.XA, "xa_lang_minh", 741),
  "W_26470" : VNWard("Xã Phước Thiền", 26470, VietnamDivisionType.XA, "xa_phuoc_thien", 742),
  "W_26473" : VNWard("Xã Long Tân", 26473, VietnamDivisionType.XA, "xa_long_tan", 742),
  "W_26476" : VNWard("Xã Đại Phước", 26476, VietnamDivisionType.XA, "xa_dai_phuoc", 742),
  "W_26479" : VNWard("Thị trấn Hiệp Phước", 26479, VietnamDivisionType.THI_TRAN, "thi_tran_hiep_phuoc", 742),
  "W_26482" : VNWard("Xã Phú Hữu", 26482, VietnamDivisionType.XA, "xa_phu_huu", 742),
  "W_26485" : VNWard("Xã Phú Hội", 26485, VietnamDivisionType.XA, "xa_phu_hoi", 742),
  "W_26488" : VNWard("Xã Phú Thạnh", 26488, VietnamDivisionType.XA, "xa_phu_thanh", 742),
  "W_26491" : VNWard("Xã Phú Đông", 26491, VietnamDivisionType.XA, "xa_phu_dong", 742),
  "W_26494" : VNWard("Xã Long Thọ", 26494, VietnamDivisionType.XA, "xa_long_tho", 742),
  "W_26497" : VNWard("Xã Vĩnh Thanh", 26497, VietnamDivisionType.XA, "xa_vinh_thanh", 742),
  "W_26500" : VNWard("Xã Phước Khánh", 26500, VietnamDivisionType.XA, "xa_phuoc_khanh", 742),
  "W_26503" : VNWard("Xã Phước An", 26503, VietnamDivisionType.XA, "xa_phuoc_an", 742),
  "W_26506" : VNWard("Phường 1", 26506, VietnamDivisionType.PHUONG, "phuong_1", 747),
  "W_26508" : VNWard("Phường Thắng Tam", 26508, VietnamDivisionType.PHUONG, "phuong_thang_tam", 747),
  "W_26509" : VNWard("Phường 2", 26509, VietnamDivisionType.PHUONG, "phuong_2", 747),
  "W_26512" : VNWard("Phường 3", 26512, VietnamDivisionType.PHUONG, "phuong_3", 747),
  "W_26515" : VNWard("Phường 4", 26515, VietnamDivisionType.PHUONG, "phuong_4", 747),
  "W_26518" : VNWard("Phường 5", 26518, VietnamDivisionType.PHUONG, "phuong_5", 747),
  "W_26521" : VNWard("Phường Thắng Nhì", 26521, VietnamDivisionType.PHUONG, "phuong_thang_nhi", 747),
  "W_26524" : VNWard("Phường 7", 26524, VietnamDivisionType.PHUONG, "phuong_7", 747),
  "W_26526" : VNWard("Phường Nguyễn An Ninh", 26526, VietnamDivisionType.PHUONG, "phuong_nguyen_an_ninh", 747),
  "W_26527" : VNWard("Phường 8", 26527, VietnamDivisionType.PHUONG, "phuong_8", 747),
  "W_26530" : VNWard("Phường 9", 26530, VietnamDivisionType.PHUONG, "phuong_9", 747),
  "W_26533" : VNWard("Phường Thắng Nhất", 26533, VietnamDivisionType.PHUONG, "phuong_thang_nhat", 747),
  "W_26535" : VNWard("Phường Rạch Dừa", 26535, VietnamDivisionType.PHUONG, "phuong_rach_dua", 747),
  "W_26536" : VNWard("Phường 10", 26536, VietnamDivisionType.PHUONG, "phuong_10", 747),
  "W_26539" : VNWard("Phường 11", 26539, VietnamDivisionType.PHUONG, "phuong_11", 747),
  "W_26542" : VNWard("Phường 12", 26542, VietnamDivisionType.PHUONG, "phuong_12", 747),
  "W_26545" : VNWard("Xã Long Sơn", 26545, VietnamDivisionType.XA, "xa_long_son", 747),
  "W_26548" : VNWard("Phường Phước Hưng", 26548, VietnamDivisionType.PHUONG, "phuong_phuoc_hung", 748),
  "W_26551" : VNWard("Phường Phước Hiệp", 26551, VietnamDivisionType.PHUONG, "phuong_phuoc_hiep", 748),
  "W_26554" : VNWard("Phường Phước Nguyên", 26554, VietnamDivisionType.PHUONG, "phuong_phuoc_nguyen", 748),
  "W_26557" : VNWard("Phường Long Toàn", 26557, VietnamDivisionType.PHUONG, "phuong_long_toan", 748),
  "W_26558" : VNWard("Phường Long Tâm", 26558, VietnamDivisionType.PHUONG, "phuong_long_tam", 748),
  "W_26560" : VNWard("Phường Phước Trung", 26560, VietnamDivisionType.PHUONG, "phuong_phuoc_trung", 748),
  "W_26563" : VNWard("Phường Long Hương", 26563, VietnamDivisionType.PHUONG, "phuong_long_huong", 748),
  "W_26566" : VNWard("Phường Kim Dinh", 26566, VietnamDivisionType.PHUONG, "phuong_kim_dinh", 748),
  "W_26567" : VNWard("Xã Tân Hưng", 26567, VietnamDivisionType.XA, "xa_tan_hung", 748),
  "W_26569" : VNWard("Xã Long Phước", 26569, VietnamDivisionType.XA, "xa_long_phuoc", 748),
  "W_26572" : VNWard("Xã Hoà Long", 26572, VietnamDivisionType.XA, "xa_hoa_long", 748),
  "W_26574" : VNWard("Xã Bàu Chinh", 26574, VietnamDivisionType.XA, "xa_bau_chinh", 750),
  "W_26575" : VNWard("Thị trấn Ngãi Giao", 26575, VietnamDivisionType.THI_TRAN, "thi_tran_ngai_giao", 750),
  "W_26578" : VNWard("Xã Bình Ba", 26578, VietnamDivisionType.XA, "xa_binh_ba", 750),
  "W_26581" : VNWard("Xã Suối Nghệ", 26581, VietnamDivisionType.XA, "xa_suoi_nghe", 750),
  "W_26584" : VNWard("Xã Xuân Sơn", 26584, VietnamDivisionType.XA, "xa_xuan_son", 750),
  "W_26587" : VNWard("Xã Sơn Bình", 26587, VietnamDivisionType.XA, "xa_son_binh", 750),
  "W_26590" : VNWard("Xã Bình Giã", 26590, VietnamDivisionType.XA, "xa_binh_gia", 750),
  "W_26593" : VNWard("Xã Bình Trung", 26593, VietnamDivisionType.XA, "xa_binh_trung", 750),
  "W_26596" : VNWard("Xã Xà Bang", 26596, VietnamDivisionType.XA, "xa_xa_bang", 750),
  "W_26599" : VNWard("Xã Cù Bị", 26599, VietnamDivisionType.XA, "xa_cu_bi", 750),
  "W_26602" : VNWard("Xã Láng Lớn", 26602, VietnamDivisionType.XA, "xa_lang_lon", 750),
  "W_26605" : VNWard("Xã Quảng Thành", 26605, VietnamDivisionType.XA, "xa_quang_thanh", 750),
  "W_26608" : VNWard("Xã Kim Long", 26608, VietnamDivisionType.XA, "xa_kim_long", 750),
  "W_26611" : VNWard("Xã Suối Rao", 26611, VietnamDivisionType.XA, "xa_suoi_rao", 750),
  "W_26614" : VNWard("Xã Đá Bạc", 26614, VietnamDivisionType.XA, "xa_da_bac", 750),
  "W_26617" : VNWard("Xã Nghĩa Thành", 26617, VietnamDivisionType.XA, "xa_nghia_thanh", 750),
  "W_26620" : VNWard("Thị trấn Phước Bửu", 26620, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_buu", 751),
  "W_26623" : VNWard("Xã Phước Thuận", 26623, VietnamDivisionType.XA, "xa_phuoc_thuan", 751),
  "W_26626" : VNWard("Xã Phước Tân", 26626, VietnamDivisionType.XA, "xa_phuoc_tan", 751),
  "W_26629" : VNWard("Xã Xuyên Mộc", 26629, VietnamDivisionType.XA, "xa_xuyen_moc", 751),
  "W_26632" : VNWard("Xã Bông Trang", 26632, VietnamDivisionType.XA, "xa_bong_trang", 751),
  "W_26635" : VNWard("Xã Tân Lâm", 26635, VietnamDivisionType.XA, "xa_tan_lam", 751),
  "W_26638" : VNWard("Xã Bàu Lâm", 26638, VietnamDivisionType.XA, "xa_bau_lam", 751),
  "W_26641" : VNWard("Xã Hòa Bình", 26641, VietnamDivisionType.XA, "xa_hoa_binh", 751),
  "W_26644" : VNWard("Xã Hòa Hưng", 26644, VietnamDivisionType.XA, "xa_hoa_hung", 751),
  "W_26647" : VNWard("Xã Hòa Hiệp", 26647, VietnamDivisionType.XA, "xa_hoa_hiep", 751),
  "W_26650" : VNWard("Xã Hòa Hội", 26650, VietnamDivisionType.XA, "xa_hoa_hoi", 751),
  "W_26653" : VNWard("Xã Bưng Riềng", 26653, VietnamDivisionType.XA, "xa_bung_rieng", 751),
  "W_26656" : VNWard("Xã Bình Châu", 26656, VietnamDivisionType.XA, "xa_binh_chau", 751),
  "W_26659" : VNWard("Thị trấn Long Điền", 26659, VietnamDivisionType.THI_TRAN, "thi_tran_long_dien", 752),
  "W_26662" : VNWard("Thị trấn Long Hải", 26662, VietnamDivisionType.THI_TRAN, "thi_tran_long_hai", 752),
  "W_26665" : VNWard("Xã An Ngãi", 26665, VietnamDivisionType.XA, "xa_an_ngai", 752),
  "W_26668" : VNWard("Xã Tam Phước", 26668, VietnamDivisionType.XA, "xa_tam_phuoc", 752),
  "W_26671" : VNWard("Xã An Nhứt", 26671, VietnamDivisionType.XA, "xa_an_nhut", 752),
  "W_26674" : VNWard("Xã Phước Tỉnh", 26674, VietnamDivisionType.XA, "xa_phuoc_tinh", 752),
  "W_26677" : VNWard("Xã Phước Hưng", 26677, VietnamDivisionType.XA, "xa_phuoc_hung", 752),
  "W_26680" : VNWard("Thị trấn Đất Đỏ", 26680, VietnamDivisionType.THI_TRAN, "thi_tran_dat_do", 753),
  "W_26683" : VNWard("Xã Phước Long Thọ", 26683, VietnamDivisionType.XA, "xa_phuoc_long_tho", 753),
  "W_26686" : VNWard("Xã Phước Hội", 26686, VietnamDivisionType.XA, "xa_phuoc_hoi", 753),
  "W_26689" : VNWard("Xã Long Mỹ", 26689, VietnamDivisionType.XA, "xa_long_my", 753),
  "W_26692" : VNWard("Thị trấn Phước Hải", 26692, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_hai", 753),
  "W_26695" : VNWard("Xã Long Tân", 26695, VietnamDivisionType.XA, "xa_long_tan", 753),
  "W_26698" : VNWard("Xã Láng Dài", 26698, VietnamDivisionType.XA, "xa_lang_dai", 753),
  "W_26701" : VNWard("Xã Lộc An", 26701, VietnamDivisionType.XA, "xa_loc_an", 753),
  "W_26704" : VNWard("Phường Phú Mỹ", 26704, VietnamDivisionType.PHUONG, "phuong_phu_my", 754),
  "W_26707" : VNWard("Xã Tân Hoà", 26707, VietnamDivisionType.XA, "xa_tan_hoa", 754),
  "W_26710" : VNWard("Xã Tân Hải", 26710, VietnamDivisionType.XA, "xa_tan_hai", 754),
  "W_26713" : VNWard("Phường Phước Hoà", 26713, VietnamDivisionType.PHUONG, "phuong_phuoc_hoa", 754),
  "W_26716" : VNWard("Phường Tân Phước", 26716, VietnamDivisionType.PHUONG, "phuong_tan_phuoc", 754),
  "W_26719" : VNWard("Phường Mỹ Xuân", 26719, VietnamDivisionType.PHUONG, "phuong_my_xuan", 754),
  "W_26722" : VNWard("Xã Sông Xoài", 26722, VietnamDivisionType.XA, "xa_song_xoai", 754),
  "W_26725" : VNWard("Phường Hắc Dịch", 26725, VietnamDivisionType.PHUONG, "phuong_hac_dich", 754),
  "W_26728" : VNWard("Xã Châu Pha", 26728, VietnamDivisionType.XA, "xa_chau_pha", 754),
  "W_26731" : VNWard("Xã Tóc Tiên", 26731, VietnamDivisionType.XA, "xa_toc_tien", 754),
  "W_26734" : VNWard("Phường Tân Định", 26734, VietnamDivisionType.PHUONG, "phuong_tan_dinh", 760),
  "W_26737" : VNWard("Phường Đa Kao", 26737, VietnamDivisionType.PHUONG, "phuong_da_kao", 760),
  "W_26740" : VNWard("Phường Bến Nghé", 26740, VietnamDivisionType.PHUONG, "phuong_ben_nghe", 760),
  "W_26743" : VNWard("Phường Bến Thành", 26743, VietnamDivisionType.PHUONG, "phuong_ben_thanh", 760),
  "W_26746" : VNWard("Phường Nguyễn Thái Bình", 26746, VietnamDivisionType.PHUONG, "phuong_nguyen_thai_binh", 760),
  "W_26749" : VNWard("Phường Phạm Ngũ Lão", 26749, VietnamDivisionType.PHUONG, "phuong_pham_ngu_lao", 760),
  "W_26752" : VNWard("Phường Cầu Ông Lãnh", 26752, VietnamDivisionType.PHUONG, "phuong_cau_ong_lanh", 760),
  "W_26755" : VNWard("Phường Cô Giang", 26755, VietnamDivisionType.PHUONG, "phuong_co_giang", 760),
  "W_26758" : VNWard("Phường Nguyễn Cư Trinh", 26758, VietnamDivisionType.PHUONG, "phuong_nguyen_cu_trinh", 760),
  "W_26761" : VNWard("Phường Cầu Kho", 26761, VietnamDivisionType.PHUONG, "phuong_cau_kho", 760),
  "W_26764" : VNWard("Phường Thạnh Xuân", 26764, VietnamDivisionType.PHUONG, "phuong_thanh_xuan", 761),
  "W_26767" : VNWard("Phường Thạnh Lộc", 26767, VietnamDivisionType.PHUONG, "phuong_thanh_loc", 761),
  "W_26770" : VNWard("Phường Hiệp Thành", 26770, VietnamDivisionType.PHUONG, "phuong_hiep_thanh", 761),
  "W_26773" : VNWard("Phường Thới An", 26773, VietnamDivisionType.PHUONG, "phuong_thoi_an", 761),
  "W_26776" : VNWard("Phường Tân Chánh Hiệp", 26776, VietnamDivisionType.PHUONG, "phuong_tan_chanh_hiep", 761),
  "W_26779" : VNWard("Phường An Phú Đông", 26779, VietnamDivisionType.PHUONG, "phuong_an_phu_dong", 761),
  "W_26782" : VNWard("Phường Tân Thới Hiệp", 26782, VietnamDivisionType.PHUONG, "phuong_tan_thoi_hiep", 761),
  "W_26785" : VNWard("Phường Trung Mỹ Tây", 26785, VietnamDivisionType.PHUONG, "phuong_trung_my_tay", 761),
  "W_26787" : VNWard("Phường Tân Hưng Thuận", 26787, VietnamDivisionType.PHUONG, "phuong_tan_hung_thuan", 761),
  "W_26788" : VNWard("Phường Đông Hưng Thuận", 26788, VietnamDivisionType.PHUONG, "phuong_dong_hung_thuan", 761),
  "W_26791" : VNWard("Phường Tân Thới Nhất", 26791, VietnamDivisionType.PHUONG, "phuong_tan_thoi_nhat", 761),
  "W_26869" : VNWard("Phường 15", 26869, VietnamDivisionType.PHUONG, "phuong_15", 764),
  "W_26872" : VNWard("Phường 13", 26872, VietnamDivisionType.PHUONG, "phuong_13", 764),
  "W_26875" : VNWard("Phường 17", 26875, VietnamDivisionType.PHUONG, "phuong_17", 764),
  "W_26876" : VNWard("Phường 6", 26876, VietnamDivisionType.PHUONG, "phuong_6", 764),
  "W_26878" : VNWard("Phường 16", 26878, VietnamDivisionType.PHUONG, "phuong_16", 764),
  "W_26881" : VNWard("Phường 12", 26881, VietnamDivisionType.PHUONG, "phuong_12", 764),
  "W_26882" : VNWard("Phường 14", 26882, VietnamDivisionType.PHUONG, "phuong_14", 764),
  "W_26884" : VNWard("Phường 10", 26884, VietnamDivisionType.PHUONG, "phuong_10", 764),
  "W_26887" : VNWard("Phường 05", 26887, VietnamDivisionType.PHUONG, "phuong_05", 764),
  "W_26890" : VNWard("Phường 07", 26890, VietnamDivisionType.PHUONG, "phuong_07", 764),
  "W_26893" : VNWard("Phường 04", 26893, VietnamDivisionType.PHUONG, "phuong_04", 764),
  "W_26896" : VNWard("Phường 01", 26896, VietnamDivisionType.PHUONG, "phuong_01", 764),
  "W_26897" : VNWard("Phường 9", 26897, VietnamDivisionType.PHUONG, "phuong_9", 764),
  "W_26898" : VNWard("Phường 8", 26898, VietnamDivisionType.PHUONG, "phuong_8", 764),
  "W_26899" : VNWard("Phường 11", 26899, VietnamDivisionType.PHUONG, "phuong_11", 764),
  "W_26902" : VNWard("Phường 03", 26902, VietnamDivisionType.PHUONG, "phuong_03", 764),
  "W_26905" : VNWard("Phường 13", 26905, VietnamDivisionType.PHUONG, "phuong_13", 765),
  "W_26908" : VNWard("Phường 11", 26908, VietnamDivisionType.PHUONG, "phuong_11", 765),
  "W_26911" : VNWard("Phường 27", 26911, VietnamDivisionType.PHUONG, "phuong_27", 765),
  "W_26914" : VNWard("Phường 26", 26914, VietnamDivisionType.PHUONG, "phuong_26", 765),
  "W_26917" : VNWard("Phường 12", 26917, VietnamDivisionType.PHUONG, "phuong_12", 765),
  "W_26920" : VNWard("Phường 25", 26920, VietnamDivisionType.PHUONG, "phuong_25", 765),
  "W_26923" : VNWard("Phường 05", 26923, VietnamDivisionType.PHUONG, "phuong_05", 765),
  "W_26926" : VNWard("Phường 07", 26926, VietnamDivisionType.PHUONG, "phuong_07", 765),
  "W_26929" : VNWard("Phường 24", 26929, VietnamDivisionType.PHUONG, "phuong_24", 765),
  "W_26932" : VNWard("Phường 06", 26932, VietnamDivisionType.PHUONG, "phuong_06", 765),
  "W_26935" : VNWard("Phường 14", 26935, VietnamDivisionType.PHUONG, "phuong_14", 765),
  "W_26938" : VNWard("Phường 15", 26938, VietnamDivisionType.PHUONG, "phuong_15", 765),
  "W_26941" : VNWard("Phường 02", 26941, VietnamDivisionType.PHUONG, "phuong_02", 765),
  "W_26944" : VNWard("Phường 01", 26944, VietnamDivisionType.PHUONG, "phuong_01", 765),
  "W_26947" : VNWard("Phường 03", 26947, VietnamDivisionType.PHUONG, "phuong_03", 765),
  "W_26950" : VNWard("Phường 17", 26950, VietnamDivisionType.PHUONG, "phuong_17", 765),
  "W_26953" : VNWard("Phường 21", 26953, VietnamDivisionType.PHUONG, "phuong_21", 765),
  "W_26956" : VNWard("Phường 22", 26956, VietnamDivisionType.PHUONG, "phuong_22", 765),
  "W_26959" : VNWard("Phường 19", 26959, VietnamDivisionType.PHUONG, "phuong_19", 765),
  "W_26962" : VNWard("Phường 28", 26962, VietnamDivisionType.PHUONG, "phuong_28", 765),
  "W_26965" : VNWard("Phường 02", 26965, VietnamDivisionType.PHUONG, "phuong_02", 766),
  "W_26968" : VNWard("Phường 04", 26968, VietnamDivisionType.PHUONG, "phuong_04", 766),
  "W_26971" : VNWard("Phường 12", 26971, VietnamDivisionType.PHUONG, "phuong_12", 766),
  "W_26974" : VNWard("Phường 13", 26974, VietnamDivisionType.PHUONG, "phuong_13", 766),
  "W_26977" : VNWard("Phường 01", 26977, VietnamDivisionType.PHUONG, "phuong_01", 766),
  "W_26980" : VNWard("Phường 03", 26980, VietnamDivisionType.PHUONG, "phuong_03", 766),
  "W_26983" : VNWard("Phường 11", 26983, VietnamDivisionType.PHUONG, "phuong_11", 766),
  "W_26986" : VNWard("Phường 07", 26986, VietnamDivisionType.PHUONG, "phuong_07", 766),
  "W_26989" : VNWard("Phường 05", 26989, VietnamDivisionType.PHUONG, "phuong_05", 766),
  "W_26992" : VNWard("Phường 10", 26992, VietnamDivisionType.PHUONG, "phuong_10", 766),
  "W_26995" : VNWard("Phường 06", 26995, VietnamDivisionType.PHUONG, "phuong_06", 766),
  "W_26998" : VNWard("Phường 08", 26998, VietnamDivisionType.PHUONG, "phuong_08", 766),
  "W_27001" : VNWard("Phường 09", 27001, VietnamDivisionType.PHUONG, "phuong_09", 766),
  "W_27004" : VNWard("Phường 14", 27004, VietnamDivisionType.PHUONG, "phuong_14", 766),
  "W_27007" : VNWard("Phường 15", 27007, VietnamDivisionType.PHUONG, "phuong_15", 766),
  "W_27010" : VNWard("Phường Tân Sơn Nhì", 27010, VietnamDivisionType.PHUONG, "phuong_tan_son_nhi", 767),
  "W_27013" : VNWard("Phường Tây Thạnh", 27013, VietnamDivisionType.PHUONG, "phuong_tay_thanh", 767),
  "W_27016" : VNWard("Phường Sơn Kỳ", 27016, VietnamDivisionType.PHUONG, "phuong_son_ky", 767),
  "W_27019" : VNWard("Phường Tân Quý", 27019, VietnamDivisionType.PHUONG, "phuong_tan_quy", 767),
  "W_27022" : VNWard("Phường Tân Thành", 27022, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 767),
  "W_27025" : VNWard("Phường Phú Thọ Hòa", 27025, VietnamDivisionType.PHUONG, "phuong_phu_tho_hoa", 767),
  "W_27028" : VNWard("Phường Phú Thạnh", 27028, VietnamDivisionType.PHUONG, "phuong_phu_thanh", 767),
  "W_27031" : VNWard("Phường Phú Trung", 27031, VietnamDivisionType.PHUONG, "phuong_phu_trung", 767),
  "W_27034" : VNWard("Phường Hòa Thạnh", 27034, VietnamDivisionType.PHUONG, "phuong_hoa_thanh", 767),
  "W_27037" : VNWard("Phường Hiệp Tân", 27037, VietnamDivisionType.PHUONG, "phuong_hiep_tan", 767),
  "W_27040" : VNWard("Phường Tân Thới Hòa", 27040, VietnamDivisionType.PHUONG, "phuong_tan_thoi_hoa", 767),
  "W_27043" : VNWard("Phường 04", 27043, VietnamDivisionType.PHUONG, "phuong_04", 768),
  "W_27046" : VNWard("Phường 05", 27046, VietnamDivisionType.PHUONG, "phuong_05", 768),
  "W_27049" : VNWard("Phường 09", 27049, VietnamDivisionType.PHUONG, "phuong_09", 768),
  "W_27052" : VNWard("Phường 07", 27052, VietnamDivisionType.PHUONG, "phuong_07", 768),
  "W_27055" : VNWard("Phường 03", 27055, VietnamDivisionType.PHUONG, "phuong_03", 768),
  "W_27058" : VNWard("Phường 01", 27058, VietnamDivisionType.PHUONG, "phuong_01", 768),
  "W_27061" : VNWard("Phường 02", 27061, VietnamDivisionType.PHUONG, "phuong_02", 768),
  "W_27064" : VNWard("Phường 08", 27064, VietnamDivisionType.PHUONG, "phuong_08", 768),
  "W_27067" : VNWard("Phường 15", 27067, VietnamDivisionType.PHUONG, "phuong_15", 768),
  "W_27070" : VNWard("Phường 10", 27070, VietnamDivisionType.PHUONG, "phuong_10", 768),
  "W_27073" : VNWard("Phường 11", 27073, VietnamDivisionType.PHUONG, "phuong_11", 768),
  "W_27076" : VNWard("Phường 17", 27076, VietnamDivisionType.PHUONG, "phuong_17", 768),
  "W_27085" : VNWard("Phường 13", 27085, VietnamDivisionType.PHUONG, "phuong_13", 768),
  "W_26794" : VNWard("Phường Linh Xuân", 26794, VietnamDivisionType.PHUONG, "phuong_linh_xuan", 769),
  "W_26797" : VNWard("Phường Bình Chiểu", 26797, VietnamDivisionType.PHUONG, "phuong_binh_chieu", 769),
  "W_26800" : VNWard("Phường Linh Trung", 26800, VietnamDivisionType.PHUONG, "phuong_linh_trung", 769),
  "W_26803" : VNWard("Phường Tam Bình", 26803, VietnamDivisionType.PHUONG, "phuong_tam_binh", 769),
  "W_26806" : VNWard("Phường Tam Phú", 26806, VietnamDivisionType.PHUONG, "phuong_tam_phu", 769),
  "W_26809" : VNWard("Phường Hiệp Bình Phước", 26809, VietnamDivisionType.PHUONG, "phuong_hiep_binh_phuoc", 769),
  "W_26812" : VNWard("Phường Hiệp Bình Chánh", 26812, VietnamDivisionType.PHUONG, "phuong_hiep_binh_chanh", 769),
  "W_26815" : VNWard("Phường Linh Chiểu", 26815, VietnamDivisionType.PHUONG, "phuong_linh_chieu", 769),
  "W_26818" : VNWard("Phường Linh Tây", 26818, VietnamDivisionType.PHUONG, "phuong_linh_tay", 769),
  "W_26821" : VNWard("Phường Linh Đông", 26821, VietnamDivisionType.PHUONG, "phuong_linh_dong", 769),
  "W_26824" : VNWard("Phường Bình Thọ", 26824, VietnamDivisionType.PHUONG, "phuong_binh_tho", 769),
  "W_26827" : VNWard("Phường Trường Thọ", 26827, VietnamDivisionType.PHUONG, "phuong_truong_tho", 769),
  "W_26830" : VNWard("Phường Long Bình", 26830, VietnamDivisionType.PHUONG, "phuong_long_binh", 769),
  "W_26833" : VNWard("Phường Long Thạnh Mỹ", 26833, VietnamDivisionType.PHUONG, "phuong_long_thanh_my", 769),
  "W_26836" : VNWard("Phường Tân Phú", 26836, VietnamDivisionType.PHUONG, "phuong_tan_phu", 769),
  "W_26839" : VNWard("Phường Hiệp Phú", 26839, VietnamDivisionType.PHUONG, "phuong_hiep_phu", 769),
  "W_26842" : VNWard("Phường Tăng Nhơn Phú A", 26842, VietnamDivisionType.PHUONG, "phuong_tang_nhon_phu_a", 769),
  "W_26845" : VNWard("Phường Tăng Nhơn Phú B", 26845, VietnamDivisionType.PHUONG, "phuong_tang_nhon_phu_b", 769),
  "W_26848" : VNWard("Phường Phước Long B", 26848, VietnamDivisionType.PHUONG, "phuong_phuoc_long_b", 769),
  "W_26851" : VNWard("Phường Phước Long A", 26851, VietnamDivisionType.PHUONG, "phuong_phuoc_long_a", 769),
  "W_26854" : VNWard("Phường Trường Thạnh", 26854, VietnamDivisionType.PHUONG, "phuong_truong_thanh", 769),
  "W_26857" : VNWard("Phường Long Phước", 26857, VietnamDivisionType.PHUONG, "phuong_long_phuoc", 769),
  "W_26860" : VNWard("Phường Long Trường", 26860, VietnamDivisionType.PHUONG, "phuong_long_truong", 769),
  "W_26863" : VNWard("Phường Phước Bình", 26863, VietnamDivisionType.PHUONG, "phuong_phuoc_binh", 769),
  "W_26866" : VNWard("Phường Phú Hữu", 26866, VietnamDivisionType.PHUONG, "phuong_phu_huu", 769),
  "W_27088" : VNWard("Phường Thảo Điền", 27088, VietnamDivisionType.PHUONG, "phuong_thao_dien", 769),
  "W_27091" : VNWard("Phường An Phú", 27091, VietnamDivisionType.PHUONG, "phuong_an_phu", 769),
  "W_27094" : VNWard("Phường An Khánh", 27094, VietnamDivisionType.PHUONG, "phuong_an_khanh", 769),
  "W_27097" : VNWard("Phường Bình Trưng Đông", 27097, VietnamDivisionType.PHUONG, "phuong_binh_trung_dong", 769),
  "W_27100" : VNWard("Phường Bình Trưng Tây", 27100, VietnamDivisionType.PHUONG, "phuong_binh_trung_tay", 769),
  "W_27109" : VNWard("Phường Cát Lái", 27109, VietnamDivisionType.PHUONG, "phuong_cat_lai", 769),
  "W_27112" : VNWard("Phường Thạnh Mỹ Lợi", 27112, VietnamDivisionType.PHUONG, "phuong_thanh_my_loi", 769),
  "W_27115" : VNWard("Phường An Lợi Đông", 27115, VietnamDivisionType.PHUONG, "phuong_an_loi_dong", 769),
  "W_27118" : VNWard("Phường Thủ Thiêm", 27118, VietnamDivisionType.PHUONG, "phuong_thu_thiem", 769),
  "W_27127" : VNWard("Phường 14", 27127, VietnamDivisionType.PHUONG, "phuong_14", 770),
  "W_27130" : VNWard("Phường 12", 27130, VietnamDivisionType.PHUONG, "phuong_12", 770),
  "W_27133" : VNWard("Phường 11", 27133, VietnamDivisionType.PHUONG, "phuong_11", 770),
  "W_27136" : VNWard("Phường 13", 27136, VietnamDivisionType.PHUONG, "phuong_13", 770),
  "W_27139" : VNWard("Phường Võ Thị Sáu", 27139, VietnamDivisionType.PHUONG, "phuong_vo_thi_sau", 770),
  "W_27142" : VNWard("Phường 09", 27142, VietnamDivisionType.PHUONG, "phuong_09", 770),
  "W_27145" : VNWard("Phường 10", 27145, VietnamDivisionType.PHUONG, "phuong_10", 770),
  "W_27148" : VNWard("Phường 04", 27148, VietnamDivisionType.PHUONG, "phuong_04", 770),
  "W_27151" : VNWard("Phường 05", 27151, VietnamDivisionType.PHUONG, "phuong_05", 770),
  "W_27154" : VNWard("Phường 03", 27154, VietnamDivisionType.PHUONG, "phuong_03", 770),
  "W_27157" : VNWard("Phường 02", 27157, VietnamDivisionType.PHUONG, "phuong_02", 770),
  "W_27160" : VNWard("Phường 01", 27160, VietnamDivisionType.PHUONG, "phuong_01", 770),
  "W_27163" : VNWard("Phường 15", 27163, VietnamDivisionType.PHUONG, "phuong_15", 771),
  "W_27166" : VNWard("Phường 13", 27166, VietnamDivisionType.PHUONG, "phuong_13", 771),
  "W_27169" : VNWard("Phường 14", 27169, VietnamDivisionType.PHUONG, "phuong_14", 771),
  "W_27172" : VNWard("Phường 12", 27172, VietnamDivisionType.PHUONG, "phuong_12", 771),
  "W_27175" : VNWard("Phường 11", 27175, VietnamDivisionType.PHUONG, "phuong_11", 771),
  "W_27178" : VNWard("Phường 10", 27178, VietnamDivisionType.PHUONG, "phuong_10", 771),
  "W_27181" : VNWard("Phường 09", 27181, VietnamDivisionType.PHUONG, "phuong_09", 771),
  "W_27184" : VNWard("Phường 01", 27184, VietnamDivisionType.PHUONG, "phuong_01", 771),
  "W_27187" : VNWard("Phường 08", 27187, VietnamDivisionType.PHUONG, "phuong_08", 771),
  "W_27190" : VNWard("Phường 02", 27190, VietnamDivisionType.PHUONG, "phuong_02", 771),
  "W_27193" : VNWard("Phường 04", 27193, VietnamDivisionType.PHUONG, "phuong_04", 771),
  "W_27196" : VNWard("Phường 07", 27196, VietnamDivisionType.PHUONG, "phuong_07", 771),
  "W_27199" : VNWard("Phường 05", 27199, VietnamDivisionType.PHUONG, "phuong_05", 771),
  "W_27202" : VNWard("Phường 06", 27202, VietnamDivisionType.PHUONG, "phuong_06", 771),
  "W_27208" : VNWard("Phường 15", 27208, VietnamDivisionType.PHUONG, "phuong_15", 772),
  "W_27211" : VNWard("Phường 05", 27211, VietnamDivisionType.PHUONG, "phuong_05", 772),
  "W_27214" : VNWard("Phường 14", 27214, VietnamDivisionType.PHUONG, "phuong_14", 772),
  "W_27217" : VNWard("Phường 11", 27217, VietnamDivisionType.PHUONG, "phuong_11", 772),
  "W_27220" : VNWard("Phường 03", 27220, VietnamDivisionType.PHUONG, "phuong_03", 772),
  "W_27223" : VNWard("Phường 10", 27223, VietnamDivisionType.PHUONG, "phuong_10", 772),
  "W_27226" : VNWard("Phường 13", 27226, VietnamDivisionType.PHUONG, "phuong_13", 772),
  "W_27229" : VNWard("Phường 08", 27229, VietnamDivisionType.PHUONG, "phuong_08", 772),
  "W_27232" : VNWard("Phường 09", 27232, VietnamDivisionType.PHUONG, "phuong_09", 772),
  "W_27235" : VNWard("Phường 12", 27235, VietnamDivisionType.PHUONG, "phuong_12", 772),
  "W_27238" : VNWard("Phường 07", 27238, VietnamDivisionType.PHUONG, "phuong_07", 772),
  "W_27241" : VNWard("Phường 06", 27241, VietnamDivisionType.PHUONG, "phuong_06", 772),
  "W_27244" : VNWard("Phường 04", 27244, VietnamDivisionType.PHUONG, "phuong_04", 772),
  "W_27247" : VNWard("Phường 01", 27247, VietnamDivisionType.PHUONG, "phuong_01", 772),
  "W_27250" : VNWard("Phường 02", 27250, VietnamDivisionType.PHUONG, "phuong_02", 772),
  "W_27253" : VNWard("Phường 16", 27253, VietnamDivisionType.PHUONG, "phuong_16", 772),
  "W_27259" : VNWard("Phường 13", 27259, VietnamDivisionType.PHUONG, "phuong_13", 773),
  "W_27262" : VNWard("Phường 09", 27262, VietnamDivisionType.PHUONG, "phuong_09", 773),
  "W_27265" : VNWard("Phường 06", 27265, VietnamDivisionType.PHUONG, "phuong_06", 773),
  "W_27268" : VNWard("Phường 08", 27268, VietnamDivisionType.PHUONG, "phuong_08", 773),
  "W_27271" : VNWard("Phường 10", 27271, VietnamDivisionType.PHUONG, "phuong_10", 773),
  "W_27277" : VNWard("Phường 18", 27277, VietnamDivisionType.PHUONG, "phuong_18", 773),
  "W_27280" : VNWard("Phường 14", 27280, VietnamDivisionType.PHUONG, "phuong_14", 773),
  "W_27283" : VNWard("Phường 04", 27283, VietnamDivisionType.PHUONG, "phuong_04", 773),
  "W_27286" : VNWard("Phường 03", 27286, VietnamDivisionType.PHUONG, "phuong_03", 773),
  "W_27289" : VNWard("Phường 16", 27289, VietnamDivisionType.PHUONG, "phuong_16", 773),
  "W_27292" : VNWard("Phường 02", 27292, VietnamDivisionType.PHUONG, "phuong_02", 773),
  "W_27295" : VNWard("Phường 15", 27295, VietnamDivisionType.PHUONG, "phuong_15", 773),
  "W_27298" : VNWard("Phường 01", 27298, VietnamDivisionType.PHUONG, "phuong_01", 773),
  "W_27301" : VNWard("Phường 04", 27301, VietnamDivisionType.PHUONG, "phuong_04", 774),
  "W_27304" : VNWard("Phường 09", 27304, VietnamDivisionType.PHUONG, "phuong_09", 774),
  "W_27307" : VNWard("Phường 03", 27307, VietnamDivisionType.PHUONG, "phuong_03", 774),
  "W_27310" : VNWard("Phường 12", 27310, VietnamDivisionType.PHUONG, "phuong_12", 774),
  "W_27313" : VNWard("Phường 02", 27313, VietnamDivisionType.PHUONG, "phuong_02", 774),
  "W_27316" : VNWard("Phường 08", 27316, VietnamDivisionType.PHUONG, "phuong_08", 774),
  "W_27322" : VNWard("Phường 07", 27322, VietnamDivisionType.PHUONG, "phuong_07", 774),
  "W_27325" : VNWard("Phường 01", 27325, VietnamDivisionType.PHUONG, "phuong_01", 774),
  "W_27328" : VNWard("Phường 11", 27328, VietnamDivisionType.PHUONG, "phuong_11", 774),
  "W_27331" : VNWard("Phường 14", 27331, VietnamDivisionType.PHUONG, "phuong_14", 774),
  "W_27334" : VNWard("Phường 05", 27334, VietnamDivisionType.PHUONG, "phuong_05", 774),
  "W_27337" : VNWard("Phường 06", 27337, VietnamDivisionType.PHUONG, "phuong_06", 774),
  "W_27340" : VNWard("Phường 10", 27340, VietnamDivisionType.PHUONG, "phuong_10", 774),
  "W_27343" : VNWard("Phường 13", 27343, VietnamDivisionType.PHUONG, "phuong_13", 774),
  "W_27346" : VNWard("Phường 14", 27346, VietnamDivisionType.PHUONG, "phuong_14", 775),
  "W_27349" : VNWard("Phường 13", 27349, VietnamDivisionType.PHUONG, "phuong_13", 775),
  "W_27352" : VNWard("Phường 09", 27352, VietnamDivisionType.PHUONG, "phuong_09", 775),
  "W_27355" : VNWard("Phường 06", 27355, VietnamDivisionType.PHUONG, "phuong_06", 775),
  "W_27358" : VNWard("Phường 12", 27358, VietnamDivisionType.PHUONG, "phuong_12", 775),
  "W_27361" : VNWard("Phường 05", 27361, VietnamDivisionType.PHUONG, "phuong_05", 775),
  "W_27364" : VNWard("Phường 11", 27364, VietnamDivisionType.PHUONG, "phuong_11", 775),
  "W_27367" : VNWard("Phường 02", 27367, VietnamDivisionType.PHUONG, "phuong_02", 775),
  "W_27370" : VNWard("Phường 01", 27370, VietnamDivisionType.PHUONG, "phuong_01", 775),
  "W_27373" : VNWard("Phường 04", 27373, VietnamDivisionType.PHUONG, "phuong_04", 775),
  "W_27376" : VNWard("Phường 08", 27376, VietnamDivisionType.PHUONG, "phuong_08", 775),
  "W_27379" : VNWard("Phường 03", 27379, VietnamDivisionType.PHUONG, "phuong_03", 775),
  "W_27382" : VNWard("Phường 07", 27382, VietnamDivisionType.PHUONG, "phuong_07", 775),
  "W_27385" : VNWard("Phường 10", 27385, VietnamDivisionType.PHUONG, "phuong_10", 775),
  "W_27388" : VNWard("Phường 08", 27388, VietnamDivisionType.PHUONG, "phuong_08", 776),
  "W_27391" : VNWard("Phường 02", 27391, VietnamDivisionType.PHUONG, "phuong_02", 776),
  "W_27394" : VNWard("Phường 01", 27394, VietnamDivisionType.PHUONG, "phuong_01", 776),
  "W_27397" : VNWard("Phường 03", 27397, VietnamDivisionType.PHUONG, "phuong_03", 776),
  "W_27400" : VNWard("Phường 11", 27400, VietnamDivisionType.PHUONG, "phuong_11", 776),
  "W_27403" : VNWard("Phường 09", 27403, VietnamDivisionType.PHUONG, "phuong_09", 776),
  "W_27406" : VNWard("Phường 10", 27406, VietnamDivisionType.PHUONG, "phuong_10", 776),
  "W_27409" : VNWard("Phường 04", 27409, VietnamDivisionType.PHUONG, "phuong_04", 776),
  "W_27412" : VNWard("Phường 13", 27412, VietnamDivisionType.PHUONG, "phuong_13", 776),
  "W_27415" : VNWard("Phường 12", 27415, VietnamDivisionType.PHUONG, "phuong_12", 776),
  "W_27418" : VNWard("Phường 05", 27418, VietnamDivisionType.PHUONG, "phuong_05", 776),
  "W_27421" : VNWard("Phường 14", 27421, VietnamDivisionType.PHUONG, "phuong_14", 776),
  "W_27424" : VNWard("Phường 06", 27424, VietnamDivisionType.PHUONG, "phuong_06", 776),
  "W_27427" : VNWard("Phường 15", 27427, VietnamDivisionType.PHUONG, "phuong_15", 776),
  "W_27430" : VNWard("Phường 16", 27430, VietnamDivisionType.PHUONG, "phuong_16", 776),
  "W_27433" : VNWard("Phường 07", 27433, VietnamDivisionType.PHUONG, "phuong_07", 776),
  "W_27436" : VNWard("Phường Bình Hưng Hòa", 27436, VietnamDivisionType.PHUONG, "phuong_binh_hung_hoa", 777),
  "W_27439" : VNWard("Phường Bình Hưng Hoà A", 27439, VietnamDivisionType.PHUONG, "phuong_binh_hung_hoa_a", 777),
  "W_27442" : VNWard("Phường Bình Hưng Hoà B", 27442, VietnamDivisionType.PHUONG, "phuong_binh_hung_hoa_b", 777),
  "W_27445" : VNWard("Phường Bình Trị Đông", 27445, VietnamDivisionType.PHUONG, "phuong_binh_tri_dong", 777),
  "W_27448" : VNWard("Phường Bình Trị Đông A", 27448, VietnamDivisionType.PHUONG, "phuong_binh_tri_dong_a", 777),
  "W_27451" : VNWard("Phường Bình Trị Đông B", 27451, VietnamDivisionType.PHUONG, "phuong_binh_tri_dong_b", 777),
  "W_27454" : VNWard("Phường Tân Tạo", 27454, VietnamDivisionType.PHUONG, "phuong_tan_tao", 777),
  "W_27457" : VNWard("Phường Tân Tạo A", 27457, VietnamDivisionType.PHUONG, "phuong_tan_tao_a", 777),
  "W_27460" : VNWard("Phường An Lạc", 27460, VietnamDivisionType.PHUONG, "phuong_an_lac", 777),
  "W_27463" : VNWard("Phường An Lạc A", 27463, VietnamDivisionType.PHUONG, "phuong_an_lac_a", 777),
  "W_27466" : VNWard("Phường Tân Thuận Đông", 27466, VietnamDivisionType.PHUONG, "phuong_tan_thuan_dong", 778),
  "W_27469" : VNWard("Phường Tân Thuận Tây", 27469, VietnamDivisionType.PHUONG, "phuong_tan_thuan_tay", 778),
  "W_27472" : VNWard("Phường Tân Kiểng", 27472, VietnamDivisionType.PHUONG, "phuong_tan_kieng", 778),
  "W_27475" : VNWard("Phường Tân Hưng", 27475, VietnamDivisionType.PHUONG, "phuong_tan_hung", 778),
  "W_27478" : VNWard("Phường Bình Thuận", 27478, VietnamDivisionType.PHUONG, "phuong_binh_thuan", 778),
  "W_27481" : VNWard("Phường Tân Quy", 27481, VietnamDivisionType.PHUONG, "phuong_tan_quy", 778),
  "W_27484" : VNWard("Phường Phú Thuận", 27484, VietnamDivisionType.PHUONG, "phuong_phu_thuan", 778),
  "W_27487" : VNWard("Phường Tân Phú", 27487, VietnamDivisionType.PHUONG, "phuong_tan_phu", 778),
  "W_27490" : VNWard("Phường Tân Phong", 27490, VietnamDivisionType.PHUONG, "phuong_tan_phong", 778),
  "W_27493" : VNWard("Phường Phú Mỹ", 27493, VietnamDivisionType.PHUONG, "phuong_phu_my", 778),
  "W_27496" : VNWard("Thị trấn Củ Chi", 27496, VietnamDivisionType.THI_TRAN, "thi_tran_cu_chi", 783),
  "W_27499" : VNWard("Xã Phú Mỹ Hưng", 27499, VietnamDivisionType.XA, "xa_phu_my_hung", 783),
  "W_27502" : VNWard("Xã An Phú", 27502, VietnamDivisionType.XA, "xa_an_phu", 783),
  "W_27505" : VNWard("Xã Trung Lập Thượng", 27505, VietnamDivisionType.XA, "xa_trung_lap_thuong", 783),
  "W_27508" : VNWard("Xã An Nhơn Tây", 27508, VietnamDivisionType.XA, "xa_an_nhon_tay", 783),
  "W_27511" : VNWard("Xã Nhuận Đức", 27511, VietnamDivisionType.XA, "xa_nhuan_duc", 783),
  "W_27514" : VNWard("Xã Phạm Văn Cội", 27514, VietnamDivisionType.XA, "xa_pham_van_coi", 783),
  "W_27517" : VNWard("Xã Phú Hòa Đông", 27517, VietnamDivisionType.XA, "xa_phu_hoa_dong", 783),
  "W_27520" : VNWard("Xã Trung Lập Hạ", 27520, VietnamDivisionType.XA, "xa_trung_lap_ha", 783),
  "W_27523" : VNWard("Xã Trung An", 27523, VietnamDivisionType.XA, "xa_trung_an", 783),
  "W_27526" : VNWard("Xã Phước Thạnh", 27526, VietnamDivisionType.XA, "xa_phuoc_thanh", 783),
  "W_27529" : VNWard("Xã Phước Hiệp", 27529, VietnamDivisionType.XA, "xa_phuoc_hiep", 783),
  "W_27532" : VNWard("Xã Tân An Hội", 27532, VietnamDivisionType.XA, "xa_tan_an_hoi", 783),
  "W_27535" : VNWard("Xã Phước Vĩnh An", 27535, VietnamDivisionType.XA, "xa_phuoc_vinh_an", 783),
  "W_27538" : VNWard("Xã Thái Mỹ", 27538, VietnamDivisionType.XA, "xa_thai_my", 783),
  "W_27541" : VNWard("Xã Tân Thạnh Tây", 27541, VietnamDivisionType.XA, "xa_tan_thanh_tay", 783),
  "W_27544" : VNWard("Xã Hòa Phú", 27544, VietnamDivisionType.XA, "xa_hoa_phu", 783),
  "W_27547" : VNWard("Xã Tân Thạnh Đông", 27547, VietnamDivisionType.XA, "xa_tan_thanh_dong", 783),
  "W_27550" : VNWard("Xã Bình Mỹ", 27550, VietnamDivisionType.XA, "xa_binh_my", 783),
  "W_27553" : VNWard("Xã Tân Phú Trung", 27553, VietnamDivisionType.XA, "xa_tan_phu_trung", 783),
  "W_27556" : VNWard("Xã Tân Thông Hội", 27556, VietnamDivisionType.XA, "xa_tan_thong_hoi", 783),
  "W_27559" : VNWard("Thị trấn Hóc Môn", 27559, VietnamDivisionType.THI_TRAN, "thi_tran_hoc_mon", 784),
  "W_27562" : VNWard("Xã Tân Hiệp", 27562, VietnamDivisionType.XA, "xa_tan_hiep", 784),
  "W_27565" : VNWard("Xã Nhị Bình", 27565, VietnamDivisionType.XA, "xa_nhi_binh", 784),
  "W_27568" : VNWard("Xã Đông Thạnh", 27568, VietnamDivisionType.XA, "xa_dong_thanh", 784),
  "W_27571" : VNWard("Xã Tân Thới Nhì", 27571, VietnamDivisionType.XA, "xa_tan_thoi_nhi", 784),
  "W_27574" : VNWard("Xã Thới Tam Thôn", 27574, VietnamDivisionType.XA, "xa_thoi_tam_thon", 784),
  "W_27577" : VNWard("Xã Xuân Thới Sơn", 27577, VietnamDivisionType.XA, "xa_xuan_thoi_son", 784),
  "W_27580" : VNWard("Xã Tân Xuân", 27580, VietnamDivisionType.XA, "xa_tan_xuan", 784),
  "W_27583" : VNWard("Xã Xuân Thới Đông", 27583, VietnamDivisionType.XA, "xa_xuan_thoi_dong", 784),
  "W_27586" : VNWard("Xã Trung Chánh", 27586, VietnamDivisionType.XA, "xa_trung_chanh", 784),
  "W_27589" : VNWard("Xã Xuân Thới Thượng", 27589, VietnamDivisionType.XA, "xa_xuan_thoi_thuong", 784),
  "W_27592" : VNWard("Xã Bà Điểm", 27592, VietnamDivisionType.XA, "xa_ba_diem", 784),
  "W_27595" : VNWard("Thị trấn Tân Túc", 27595, VietnamDivisionType.THI_TRAN, "thi_tran_tan_tuc", 785),
  "W_27598" : VNWard("Xã Phạm Văn Hai", 27598, VietnamDivisionType.XA, "xa_pham_van_hai", 785),
  "W_27601" : VNWard("Xã Vĩnh Lộc A", 27601, VietnamDivisionType.XA, "xa_vinh_loc_a", 785),
  "W_27604" : VNWard("Xã Vĩnh Lộc B", 27604, VietnamDivisionType.XA, "xa_vinh_loc_b", 785),
  "W_27607" : VNWard("Xã Bình Lợi", 27607, VietnamDivisionType.XA, "xa_binh_loi", 785),
  "W_27610" : VNWard("Xã Lê Minh Xuân", 27610, VietnamDivisionType.XA, "xa_le_minh_xuan", 785),
  "W_27613" : VNWard("Xã Tân Nhựt", 27613, VietnamDivisionType.XA, "xa_tan_nhut", 785),
  "W_27616" : VNWard("Xã Tân Kiên", 27616, VietnamDivisionType.XA, "xa_tan_kien", 785),
  "W_27619" : VNWard("Xã Bình Hưng", 27619, VietnamDivisionType.XA, "xa_binh_hung", 785),
  "W_27622" : VNWard("Xã Phong Phú", 27622, VietnamDivisionType.XA, "xa_phong_phu", 785),
  "W_27625" : VNWard("Xã An Phú Tây", 27625, VietnamDivisionType.XA, "xa_an_phu_tay", 785),
  "W_27628" : VNWard("Xã Hưng Long", 27628, VietnamDivisionType.XA, "xa_hung_long", 785),
  "W_27631" : VNWard("Xã Đa Phước", 27631, VietnamDivisionType.XA, "xa_da_phuoc", 785),
  "W_27634" : VNWard("Xã Tân Quý Tây", 27634, VietnamDivisionType.XA, "xa_tan_quy_tay", 785),
  "W_27637" : VNWard("Xã Bình Chánh", 27637, VietnamDivisionType.XA, "xa_binh_chanh", 785),
  "W_27640" : VNWard("Xã Quy Đức", 27640, VietnamDivisionType.XA, "xa_quy_duc", 785),
  "W_27643" : VNWard("Thị trấn Nhà Bè", 27643, VietnamDivisionType.THI_TRAN, "thi_tran_nha_be", 786),
  "W_27646" : VNWard("Xã Phước Kiển", 27646, VietnamDivisionType.XA, "xa_phuoc_kien", 786),
  "W_27649" : VNWard("Xã Phước Lộc", 27649, VietnamDivisionType.XA, "xa_phuoc_loc", 786),
  "W_27652" : VNWard("Xã Nhơn Đức", 27652, VietnamDivisionType.XA, "xa_nhon_duc", 786),
  "W_27655" : VNWard("Xã Phú Xuân", 27655, VietnamDivisionType.XA, "xa_phu_xuan", 786),
  "W_27658" : VNWard("Xã Long Thới", 27658, VietnamDivisionType.XA, "xa_long_thoi", 786),
  "W_27661" : VNWard("Xã Hiệp Phước", 27661, VietnamDivisionType.XA, "xa_hiep_phuoc", 786),
  "W_27664" : VNWard("Thị trấn Cần Thạnh", 27664, VietnamDivisionType.THI_TRAN, "thi_tran_can_thanh", 787),
  "W_27667" : VNWard("Xã Bình Khánh", 27667, VietnamDivisionType.XA, "xa_binh_khanh", 787),
  "W_27670" : VNWard("Xã Tam Thôn Hiệp", 27670, VietnamDivisionType.XA, "xa_tam_thon_hiep", 787),
  "W_27673" : VNWard("Xã An Thới Đông", 27673, VietnamDivisionType.XA, "xa_an_thoi_dong", 787),
  "W_27676" : VNWard("Xã Thạnh An", 27676, VietnamDivisionType.XA, "xa_thanh_an", 787),
  "W_27679" : VNWard("Xã Long Hòa", 27679, VietnamDivisionType.XA, "xa_long_hoa", 787),
  "W_27682" : VNWard("Xã Lý Nhơn", 27682, VietnamDivisionType.XA, "xa_ly_nhon", 787),
  "W_27685" : VNWard("Phường 5", 27685, VietnamDivisionType.PHUONG, "phuong_5", 794),
  "W_27688" : VNWard("Phường 2", 27688, VietnamDivisionType.PHUONG, "phuong_2", 794),
  "W_27691" : VNWard("Phường 4", 27691, VietnamDivisionType.PHUONG, "phuong_4", 794),
  "W_27692" : VNWard("Phường Tân Khánh", 27692, VietnamDivisionType.PHUONG, "phuong_tan_khanh", 794),
  "W_27694" : VNWard("Phường 1", 27694, VietnamDivisionType.PHUONG, "phuong_1", 794),
  "W_27697" : VNWard("Phường 3", 27697, VietnamDivisionType.PHUONG, "phuong_3", 794),
  "W_27698" : VNWard("Phường 7", 27698, VietnamDivisionType.PHUONG, "phuong_7", 794),
  "W_27700" : VNWard("Phường 6", 27700, VietnamDivisionType.PHUONG, "phuong_6", 794),
  "W_27703" : VNWard("Xã Hướng Thọ Phú", 27703, VietnamDivisionType.XA, "xa_huong_tho_phu", 794),
  "W_27706" : VNWard("Xã Nhơn Thạnh Trung", 27706, VietnamDivisionType.XA, "xa_nhon_thanh_trung", 794),
  "W_27709" : VNWard("Xã Lợi Bình Nhơn", 27709, VietnamDivisionType.XA, "xa_loi_binh_nhon", 794),
  "W_27712" : VNWard("Xã Bình Tâm", 27712, VietnamDivisionType.XA, "xa_binh_tam", 794),
  "W_27715" : VNWard("Phường Khánh Hậu", 27715, VietnamDivisionType.PHUONG, "phuong_khanh_hau", 794),
  "W_27718" : VNWard("Xã An Vĩnh Ngãi", 27718, VietnamDivisionType.XA, "xa_an_vinh_ngai", 794),
  "W_27787" : VNWard("Phường 1", 27787, VietnamDivisionType.PHUONG, "phuong_1", 795),
  "W_27788" : VNWard("Phường 2", 27788, VietnamDivisionType.PHUONG, "phuong_2", 795),
  "W_27790" : VNWard("Xã Thạnh Trị", 27790, VietnamDivisionType.XA, "xa_thanh_tri", 795),
  "W_27793" : VNWard("Xã Bình Hiệp", 27793, VietnamDivisionType.XA, "xa_binh_hiep", 795),
  "W_27799" : VNWard("Xã Bình Tân", 27799, VietnamDivisionType.XA, "xa_binh_tan", 795),
  "W_27805" : VNWard("Xã Tuyên Thạnh", 27805, VietnamDivisionType.XA, "xa_tuyen_thanh", 795),
  "W_27806" : VNWard("Phường 3", 27806, VietnamDivisionType.PHUONG, "phuong_3", 795),
  "W_27817" : VNWard("Xã Thạnh Hưng", 27817, VietnamDivisionType.XA, "xa_thanh_hung", 795),
  "W_27721" : VNWard("Thị trấn Tân Hưng", 27721, VietnamDivisionType.THI_TRAN, "thi_tran_tan_hung", 796),
  "W_27724" : VNWard("Xã Hưng Hà", 27724, VietnamDivisionType.XA, "xa_hung_ha", 796),
  "W_27727" : VNWard("Xã Hưng Điền B", 27727, VietnamDivisionType.XA, "xa_hung_dien_b", 796),
  "W_27730" : VNWard("Xã Hưng Điền", 27730, VietnamDivisionType.XA, "xa_hung_dien", 796),
  "W_27733" : VNWard("Xã Thạnh Hưng", 27733, VietnamDivisionType.XA, "xa_thanh_hung", 796),
  "W_27736" : VNWard("Xã Hưng Thạnh", 27736, VietnamDivisionType.XA, "xa_hung_thanh", 796),
  "W_27739" : VNWard("Xã Vĩnh Thạnh", 27739, VietnamDivisionType.XA, "xa_vinh_thanh", 796),
  "W_27742" : VNWard("Xã Vĩnh Châu B", 27742, VietnamDivisionType.XA, "xa_vinh_chau_b", 796),
  "W_27745" : VNWard("Xã Vĩnh Lợi", 27745, VietnamDivisionType.XA, "xa_vinh_loi", 796),
  "W_27748" : VNWard("Xã Vĩnh Đại", 27748, VietnamDivisionType.XA, "xa_vinh_dai", 796),
  "W_27751" : VNWard("Xã Vĩnh Châu A", 27751, VietnamDivisionType.XA, "xa_vinh_chau_a", 796),
  "W_27754" : VNWard("Xã Vĩnh Bửu", 27754, VietnamDivisionType.XA, "xa_vinh_buu", 796),
  "W_27757" : VNWard("Thị trấn Vĩnh Hưng", 27757, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_hung", 797),
  "W_27760" : VNWard("Xã Hưng Điền A", 27760, VietnamDivisionType.XA, "xa_hung_dien_a", 797),
  "W_27763" : VNWard("Xã Khánh Hưng", 27763, VietnamDivisionType.XA, "xa_khanh_hung", 797),
  "W_27766" : VNWard("Xã Thái Trị", 27766, VietnamDivisionType.XA, "xa_thai_tri", 797),
  "W_27769" : VNWard("Xã Vĩnh Trị", 27769, VietnamDivisionType.XA, "xa_vinh_tri", 797),
  "W_27772" : VNWard("Xã Thái Bình Trung", 27772, VietnamDivisionType.XA, "xa_thai_binh_trung", 797),
  "W_27775" : VNWard("Xã Vĩnh Bình", 27775, VietnamDivisionType.XA, "xa_vinh_binh", 797),
  "W_27778" : VNWard("Xã Vĩnh Thuận", 27778, VietnamDivisionType.XA, "xa_vinh_thuan", 797),
  "W_27781" : VNWard("Xã Tuyên Bình", 27781, VietnamDivisionType.XA, "xa_tuyen_binh", 797),
  "W_27784" : VNWard("Xã Tuyên Bình Tây", 27784, VietnamDivisionType.XA, "xa_tuyen_binh_tay", 797),
  "W_27796" : VNWard("Xã Bình Hòa Tây", 27796, VietnamDivisionType.XA, "xa_binh_hoa_tay", 798),
  "W_27802" : VNWard("Xã Bình Thạnh", 27802, VietnamDivisionType.XA, "xa_binh_thanh", 798),
  "W_27808" : VNWard("Xã Bình Hòa Trung", 27808, VietnamDivisionType.XA, "xa_binh_hoa_trung", 798),
  "W_27811" : VNWard("Xã Bình Hòa Đông", 27811, VietnamDivisionType.XA, "xa_binh_hoa_dong", 798),
  "W_27814" : VNWard("Thị trấn Bình Phong Thạnh", 27814, VietnamDivisionType.THI_TRAN, "thi_tran_binh_phong_thanh", 798),
  "W_27820" : VNWard("Xã Tân Lập", 27820, VietnamDivisionType.XA, "xa_tan_lap", 798),
  "W_27823" : VNWard("Xã Tân Thành", 27823, VietnamDivisionType.XA, "xa_tan_thanh", 798),
  "W_27826" : VNWard("Thị trấn Tân Thạnh", 27826, VietnamDivisionType.THI_TRAN, "thi_tran_tan_thanh", 799),
  "W_27829" : VNWard("Xã Bắc Hòa", 27829, VietnamDivisionType.XA, "xa_bac_hoa", 799),
  "W_27832" : VNWard("Xã Hậu Thạnh Tây", 27832, VietnamDivisionType.XA, "xa_hau_thanh_tay", 799),
  "W_27835" : VNWard("Xã Nhơn Hòa Lập", 27835, VietnamDivisionType.XA, "xa_nhon_hoa_lap", 799),
  "W_27838" : VNWard("Xã Tân Lập", 27838, VietnamDivisionType.XA, "xa_tan_lap", 799),
  "W_27841" : VNWard("Xã Hậu Thạnh Đông", 27841, VietnamDivisionType.XA, "xa_hau_thanh_dong", 799),
  "W_27844" : VNWard("Xã Nhơn Hoà", 27844, VietnamDivisionType.XA, "xa_nhon_hoa", 799),
  "W_27847" : VNWard("Xã Kiến Bình", 27847, VietnamDivisionType.XA, "xa_kien_binh", 799),
  "W_27850" : VNWard("Xã Tân Thành", 27850, VietnamDivisionType.XA, "xa_tan_thanh", 799),
  "W_27853" : VNWard("Xã Tân Bình", 27853, VietnamDivisionType.XA, "xa_tan_binh", 799),
  "W_27856" : VNWard("Xã Tân Ninh", 27856, VietnamDivisionType.XA, "xa_tan_ninh", 799),
  "W_27859" : VNWard("Xã Nhơn Ninh", 27859, VietnamDivisionType.XA, "xa_nhon_ninh", 799),
  "W_27862" : VNWard("Xã Tân Hòa", 27862, VietnamDivisionType.XA, "xa_tan_hoa", 799),
  "W_27865" : VNWard("Thị trấn Thạnh Hóa", 27865, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_hoa", 800),
  "W_27868" : VNWard("Xã Tân Hiệp", 27868, VietnamDivisionType.XA, "xa_tan_hiep", 800),
  "W_27871" : VNWard("Xã Thuận Bình", 27871, VietnamDivisionType.XA, "xa_thuan_binh", 800),
  "W_27874" : VNWard("Xã Thạnh Phước", 27874, VietnamDivisionType.XA, "xa_thanh_phuoc", 800),
  "W_27877" : VNWard("Xã Thạnh Phú", 27877, VietnamDivisionType.XA, "xa_thanh_phu", 800),
  "W_27880" : VNWard("Xã Thuận Nghĩa Hòa", 27880, VietnamDivisionType.XA, "xa_thuan_nghia_hoa", 800),
  "W_27883" : VNWard("Xã Thủy Đông", 27883, VietnamDivisionType.XA, "xa_thuy_dong", 800),
  "W_27886" : VNWard("Xã Thủy Tây", 27886, VietnamDivisionType.XA, "xa_thuy_tay", 800),
  "W_27889" : VNWard("Xã Tân Tây", 27889, VietnamDivisionType.XA, "xa_tan_tay", 800),
  "W_27892" : VNWard("Xã Tân Đông", 27892, VietnamDivisionType.XA, "xa_tan_dong", 800),
  "W_27895" : VNWard("Xã Thạnh An", 27895, VietnamDivisionType.XA, "xa_thanh_an", 800),
  "W_27898" : VNWard("Thị trấn Đông Thành", 27898, VietnamDivisionType.THI_TRAN, "thi_tran_dong_thanh", 801),
  "W_27901" : VNWard("Xã Mỹ Quý Đông", 27901, VietnamDivisionType.XA, "xa_my_quy_dong", 801),
  "W_27904" : VNWard("Xã Mỹ Thạnh Bắc", 27904, VietnamDivisionType.XA, "xa_my_thanh_bac", 801),
  "W_27907" : VNWard("Xã Mỹ Quý Tây", 27907, VietnamDivisionType.XA, "xa_my_quy_tay", 801),
  "W_27910" : VNWard("Xã Mỹ Thạnh Tây", 27910, VietnamDivisionType.XA, "xa_my_thanh_tay", 801),
  "W_27913" : VNWard("Xã Mỹ Thạnh Đông", 27913, VietnamDivisionType.XA, "xa_my_thanh_dong", 801),
  "W_27916" : VNWard("Xã Bình Thành", 27916, VietnamDivisionType.XA, "xa_binh_thanh", 801),
  "W_27919" : VNWard("Xã Bình Hòa Bắc", 27919, VietnamDivisionType.XA, "xa_binh_hoa_bac", 801),
  "W_27922" : VNWard("Xã Bình Hòa Hưng", 27922, VietnamDivisionType.XA, "xa_binh_hoa_hung", 801),
  "W_27925" : VNWard("Xã Bình Hòa Nam", 27925, VietnamDivisionType.XA, "xa_binh_hoa_nam", 801),
  "W_27928" : VNWard("Xã Mỹ Bình", 27928, VietnamDivisionType.XA, "xa_my_binh", 801),
  "W_27931" : VNWard("Thị trấn Hậu Nghĩa", 27931, VietnamDivisionType.THI_TRAN, "thi_tran_hau_nghia", 802),
  "W_27934" : VNWard("Thị trấn Hiệp Hòa", 27934, VietnamDivisionType.THI_TRAN, "thi_tran_hiep_hoa", 802),
  "W_27937" : VNWard("Thị trấn Đức Hòa", 27937, VietnamDivisionType.THI_TRAN, "thi_tran_duc_hoa", 802),
  "W_27940" : VNWard("Xã Lộc Giang", 27940, VietnamDivisionType.XA, "xa_loc_giang", 802),
  "W_27943" : VNWard("Xã An Ninh Đông", 27943, VietnamDivisionType.XA, "xa_an_ninh_dong", 802),
  "W_27946" : VNWard("Xã An Ninh Tây", 27946, VietnamDivisionType.XA, "xa_an_ninh_tay", 802),
  "W_27949" : VNWard("Xã Tân Mỹ", 27949, VietnamDivisionType.XA, "xa_tan_my", 802),
  "W_27952" : VNWard("Xã Hiệp Hòa", 27952, VietnamDivisionType.XA, "xa_hiep_hoa", 802),
  "W_27955" : VNWard("Xã Đức Lập Thượng", 27955, VietnamDivisionType.XA, "xa_duc_lap_thuong", 802),
  "W_27958" : VNWard("Xã Đức Lập Hạ", 27958, VietnamDivisionType.XA, "xa_duc_lap_ha", 802),
  "W_27961" : VNWard("Xã Tân Phú", 27961, VietnamDivisionType.XA, "xa_tan_phu", 802),
  "W_27964" : VNWard("Xã Mỹ Hạnh Bắc", 27964, VietnamDivisionType.XA, "xa_my_hanh_bac", 802),
  "W_27967" : VNWard("Xã Đức Hòa Thượng", 27967, VietnamDivisionType.XA, "xa_duc_hoa_thuong", 802),
  "W_27970" : VNWard("Xã Hòa Khánh Tây", 27970, VietnamDivisionType.XA, "xa_hoa_khanh_tay", 802),
  "W_27973" : VNWard("Xã Hòa Khánh Đông", 27973, VietnamDivisionType.XA, "xa_hoa_khanh_dong", 802),
  "W_27976" : VNWard("Xã Mỹ Hạnh Nam", 27976, VietnamDivisionType.XA, "xa_my_hanh_nam", 802),
  "W_27979" : VNWard("Xã Hòa Khánh Nam", 27979, VietnamDivisionType.XA, "xa_hoa_khanh_nam", 802),
  "W_27982" : VNWard("Xã Đức Hòa Đông", 27982, VietnamDivisionType.XA, "xa_duc_hoa_dong", 802),
  "W_27985" : VNWard("Xã Đức Hòa Hạ", 27985, VietnamDivisionType.XA, "xa_duc_hoa_ha", 802),
  "W_27988" : VNWard("Xã Hựu Thạnh", 27988, VietnamDivisionType.XA, "xa_huu_thanh", 802),
  "W_27991" : VNWard("Thị trấn Bến Lức", 27991, VietnamDivisionType.THI_TRAN, "thi_tran_ben_luc", 803),
  "W_27994" : VNWard("Xã Thạnh Lợi", 27994, VietnamDivisionType.XA, "xa_thanh_loi", 803),
  "W_27997" : VNWard("Xã Lương Bình", 27997, VietnamDivisionType.XA, "xa_luong_binh", 803),
  "W_28000" : VNWard("Xã Thạnh Hòa", 28000, VietnamDivisionType.XA, "xa_thanh_hoa", 803),
  "W_28003" : VNWard("Xã Lương Hòa", 28003, VietnamDivisionType.XA, "xa_luong_hoa", 803),
  "W_28006" : VNWard("Xã Tân Hòa", 28006, VietnamDivisionType.XA, "xa_tan_hoa", 803),
  "W_28009" : VNWard("Xã Tân Bửu", 28009, VietnamDivisionType.XA, "xa_tan_buu", 803),
  "W_28012" : VNWard("Xã An Thạnh", 28012, VietnamDivisionType.XA, "xa_an_thanh", 803),
  "W_28015" : VNWard("Xã Bình Đức", 28015, VietnamDivisionType.XA, "xa_binh_duc", 803),
  "W_28018" : VNWard("Xã Mỹ Yên", 28018, VietnamDivisionType.XA, "xa_my_yen", 803),
  "W_28021" : VNWard("Xã Thanh Phú", 28021, VietnamDivisionType.XA, "xa_thanh_phu", 803),
  "W_28024" : VNWard("Xã Long Hiệp", 28024, VietnamDivisionType.XA, "xa_long_hiep", 803),
  "W_28027" : VNWard("Xã Thạnh Đức", 28027, VietnamDivisionType.XA, "xa_thanh_duc", 803),
  "W_28030" : VNWard("Xã Phước Lợi", 28030, VietnamDivisionType.XA, "xa_phuoc_loi", 803),
  "W_28033" : VNWard("Xã Nhựt Chánh", 28033, VietnamDivisionType.XA, "xa_nhut_chanh", 803),
  "W_28036" : VNWard("Thị trấn Thủ Thừa", 28036, VietnamDivisionType.THI_TRAN, "thi_tran_thu_thua", 804),
  "W_28039" : VNWard("Xã Long Thạnh", 28039, VietnamDivisionType.XA, "xa_long_thanh", 804),
  "W_28042" : VNWard("Xã Tân Thành", 28042, VietnamDivisionType.XA, "xa_tan_thanh", 804),
  "W_28045" : VNWard("Xã Long Thuận", 28045, VietnamDivisionType.XA, "xa_long_thuan", 804),
  "W_28048" : VNWard("Xã Mỹ Lạc", 28048, VietnamDivisionType.XA, "xa_my_lac", 804),
  "W_28051" : VNWard("Xã Mỹ Thạnh", 28051, VietnamDivisionType.XA, "xa_my_thanh", 804),
  "W_28054" : VNWard("Xã Bình An", 28054, VietnamDivisionType.XA, "xa_binh_an", 804),
  "W_28057" : VNWard("Xã Nhị Thành", 28057, VietnamDivisionType.XA, "xa_nhi_thanh", 804),
  "W_28060" : VNWard("Xã Mỹ An", 28060, VietnamDivisionType.XA, "xa_my_an", 804),
  "W_28063" : VNWard("Xã Bình Thạnh", 28063, VietnamDivisionType.XA, "xa_binh_thanh", 804),
  "W_28066" : VNWard("Xã Mỹ Phú", 28066, VietnamDivisionType.XA, "xa_my_phu", 804),
  "W_28072" : VNWard("Xã Tân Long", 28072, VietnamDivisionType.XA, "xa_tan_long", 804),
  "W_28075" : VNWard("Thị trấn Tân Trụ", 28075, VietnamDivisionType.THI_TRAN, "thi_tran_tan_tru", 805),
  "W_28078" : VNWard("Xã Tân Bình", 28078, VietnamDivisionType.XA, "xa_tan_binh", 805),
  "W_28084" : VNWard("Xã Quê Mỹ Thạnh", 28084, VietnamDivisionType.XA, "xa_que_my_thanh", 805),
  "W_28087" : VNWard("Xã Lạc Tấn", 28087, VietnamDivisionType.XA, "xa_lac_tan", 805),
  "W_28090" : VNWard("Xã Bình Trinh Đông", 28090, VietnamDivisionType.XA, "xa_binh_trinh_dong", 805),
  "W_28093" : VNWard("Xã Tân Phước Tây", 28093, VietnamDivisionType.XA, "xa_tan_phuoc_tay", 805),
  "W_28096" : VNWard("Xã Bình Lãng", 28096, VietnamDivisionType.XA, "xa_binh_lang", 805),
  "W_28099" : VNWard("Xã Bình Tịnh", 28099, VietnamDivisionType.XA, "xa_binh_tinh", 805),
  "W_28102" : VNWard("Xã Đức Tân", 28102, VietnamDivisionType.XA, "xa_duc_tan", 805),
  "W_28105" : VNWard("Xã Nhựt Ninh", 28105, VietnamDivisionType.XA, "xa_nhut_ninh", 805),
  "W_28108" : VNWard("Thị trấn Cần Đước", 28108, VietnamDivisionType.THI_TRAN, "thi_tran_can_duoc", 806),
  "W_28111" : VNWard("Xã Long Trạch", 28111, VietnamDivisionType.XA, "xa_long_trach", 806),
  "W_28114" : VNWard("Xã Long Khê", 28114, VietnamDivisionType.XA, "xa_long_khe", 806),
  "W_28117" : VNWard("Xã Long Định", 28117, VietnamDivisionType.XA, "xa_long_dinh", 806),
  "W_28120" : VNWard("Xã Phước Vân", 28120, VietnamDivisionType.XA, "xa_phuoc_van", 806),
  "W_28123" : VNWard("Xã Long Hòa", 28123, VietnamDivisionType.XA, "xa_long_hoa", 806),
  "W_28126" : VNWard("Xã Long Cang", 28126, VietnamDivisionType.XA, "xa_long_cang", 806),
  "W_28129" : VNWard("Xã Long Sơn", 28129, VietnamDivisionType.XA, "xa_long_son", 806),
  "W_28132" : VNWard("Xã Tân Trạch", 28132, VietnamDivisionType.XA, "xa_tan_trach", 806),
  "W_28135" : VNWard("Xã Mỹ Lệ", 28135, VietnamDivisionType.XA, "xa_my_le", 806),
  "W_28138" : VNWard("Xã Tân Lân", 28138, VietnamDivisionType.XA, "xa_tan_lan", 806),
  "W_28141" : VNWard("Xã Phước Tuy", 28141, VietnamDivisionType.XA, "xa_phuoc_tuy", 806),
  "W_28144" : VNWard("Xã Long Hựu Đông", 28144, VietnamDivisionType.XA, "xa_long_huu_dong", 806),
  "W_28147" : VNWard("Xã Tân Ân", 28147, VietnamDivisionType.XA, "xa_tan_an", 806),
  "W_28150" : VNWard("Xã Phước Đông", 28150, VietnamDivisionType.XA, "xa_phuoc_dong", 806),
  "W_28153" : VNWard("Xã Long Hựu Tây", 28153, VietnamDivisionType.XA, "xa_long_huu_tay", 806),
  "W_28156" : VNWard("Xã Tân Chánh", 28156, VietnamDivisionType.XA, "xa_tan_chanh", 806),
  "W_28159" : VNWard("Thị trấn Cần Giuộc", 28159, VietnamDivisionType.THI_TRAN, "thi_tran_can_giuoc", 807),
  "W_28162" : VNWard("Xã Phước Lý", 28162, VietnamDivisionType.XA, "xa_phuoc_ly", 807),
  "W_28165" : VNWard("Xã Long Thượng", 28165, VietnamDivisionType.XA, "xa_long_thuong", 807),
  "W_28168" : VNWard("Xã Long Hậu", 28168, VietnamDivisionType.XA, "xa_long_hau", 807),
  "W_28174" : VNWard("Xã Phước Hậu", 28174, VietnamDivisionType.XA, "xa_phuoc_hau", 807),
  "W_28177" : VNWard("Xã Mỹ Lộc", 28177, VietnamDivisionType.XA, "xa_my_loc", 807),
  "W_28180" : VNWard("Xã Phước Lại", 28180, VietnamDivisionType.XA, "xa_phuoc_lai", 807),
  "W_28183" : VNWard("Xã Phước Lâm", 28183, VietnamDivisionType.XA, "xa_phuoc_lam", 807),
  "W_28189" : VNWard("Xã Thuận Thành", 28189, VietnamDivisionType.XA, "xa_thuan_thanh", 807),
  "W_28192" : VNWard("Xã Phước Vĩnh Tây", 28192, VietnamDivisionType.XA, "xa_phuoc_vinh_tay", 807),
  "W_28195" : VNWard("Xã Phước Vĩnh Đông", 28195, VietnamDivisionType.XA, "xa_phuoc_vinh_dong", 807),
  "W_28198" : VNWard("Xã Long An", 28198, VietnamDivisionType.XA, "xa_long_an", 807),
  "W_28201" : VNWard("Xã Long Phụng", 28201, VietnamDivisionType.XA, "xa_long_phung", 807),
  "W_28204" : VNWard("Xã Đông Thạnh", 28204, VietnamDivisionType.XA, "xa_dong_thanh", 807),
  "W_28207" : VNWard("Xã Tân Tập", 28207, VietnamDivisionType.XA, "xa_tan_tap", 807),
  "W_28210" : VNWard("Thị trấn Tầm Vu", 28210, VietnamDivisionType.THI_TRAN, "thi_tran_tam_vu", 808),
  "W_28213" : VNWard("Xã Bình Quới", 28213, VietnamDivisionType.XA, "xa_binh_quoi", 808),
  "W_28216" : VNWard("Xã Hòa Phú", 28216, VietnamDivisionType.XA, "xa_hoa_phu", 808),
  "W_28219" : VNWard("Xã Phú Ngãi Trị", 28219, VietnamDivisionType.XA, "xa_phu_ngai_tri", 808),
  "W_28222" : VNWard("Xã Vĩnh Công", 28222, VietnamDivisionType.XA, "xa_vinh_cong", 808),
  "W_28225" : VNWard("Xã Thuận Mỹ", 28225, VietnamDivisionType.XA, "xa_thuan_my", 808),
  "W_28228" : VNWard("Xã Hiệp Thạnh", 28228, VietnamDivisionType.XA, "xa_hiep_thanh", 808),
  "W_28231" : VNWard("Xã Phước Tân Hưng", 28231, VietnamDivisionType.XA, "xa_phuoc_tan_hung", 808),
  "W_28234" : VNWard("Xã Thanh Phú Long", 28234, VietnamDivisionType.XA, "xa_thanh_phu_long", 808),
  "W_28237" : VNWard("Xã Dương Xuân Hội", 28237, VietnamDivisionType.XA, "xa_duong_xuan_hoi", 808),
  "W_28240" : VNWard("Xã An Lục Long", 28240, VietnamDivisionType.XA, "xa_an_luc_long", 808),
  "W_28243" : VNWard("Xã Long Trì", 28243, VietnamDivisionType.XA, "xa_long_tri", 808),
  "W_28246" : VNWard("Xã Thanh Vĩnh Đông", 28246, VietnamDivisionType.XA, "xa_thanh_vinh_dong", 808),
  "W_28249" : VNWard("Phường 5", 28249, VietnamDivisionType.PHUONG, "phuong_5", 815),
  "W_28252" : VNWard("Phường 4", 28252, VietnamDivisionType.PHUONG, "phuong_4", 815),
  "W_28255" : VNWard("Phường 7", 28255, VietnamDivisionType.PHUONG, "phuong_7", 815),
  "W_28258" : VNWard("Phường 3", 28258, VietnamDivisionType.PHUONG, "phuong_3", 815),
  "W_28261" : VNWard("Phường 1", 28261, VietnamDivisionType.PHUONG, "phuong_1", 815),
  "W_28264" : VNWard("Phường 2", 28264, VietnamDivisionType.PHUONG, "phuong_2", 815),
  "W_28267" : VNWard("Phường 8", 28267, VietnamDivisionType.PHUONG, "phuong_8", 815),
  "W_28270" : VNWard("Phường 6", 28270, VietnamDivisionType.PHUONG, "phuong_6", 815),
  "W_28273" : VNWard("Phường 9", 28273, VietnamDivisionType.PHUONG, "phuong_9", 815),
  "W_28276" : VNWard("Phường 10", 28276, VietnamDivisionType.PHUONG, "phuong_10", 815),
  "W_28279" : VNWard("Phường Tân Long", 28279, VietnamDivisionType.PHUONG, "phuong_tan_long", 815),
  "W_28282" : VNWard("Xã Đạo Thạnh", 28282, VietnamDivisionType.XA, "xa_dao_thanh", 815),
  "W_28285" : VNWard("Xã Trung An", 28285, VietnamDivisionType.XA, "xa_trung_an", 815),
  "W_28288" : VNWard("Xã Mỹ Phong", 28288, VietnamDivisionType.XA, "xa_my_phong", 815),
  "W_28291" : VNWard("Xã Tân Mỹ Chánh", 28291, VietnamDivisionType.XA, "xa_tan_my_chanh", 815),
  "W_28567" : VNWard("Xã Phước Thạnh", 28567, VietnamDivisionType.XA, "xa_phuoc_thanh", 815),
  "W_28591" : VNWard("Xã Thới Sơn", 28591, VietnamDivisionType.XA, "xa_thoi_son", 815),
  "W_28294" : VNWard("Phường 3", 28294, VietnamDivisionType.PHUONG, "phuong_3", 816),
  "W_28297" : VNWard("Phường 2", 28297, VietnamDivisionType.PHUONG, "phuong_2", 816),
  "W_28300" : VNWard("Phường 4", 28300, VietnamDivisionType.PHUONG, "phuong_4", 816),
  "W_28303" : VNWard("Phường 1", 28303, VietnamDivisionType.PHUONG, "phuong_1", 816),
  "W_28306" : VNWard("Phường 5", 28306, VietnamDivisionType.PHUONG, "phuong_5", 816),
  "W_28309" : VNWard("Xã Long Hưng", 28309, VietnamDivisionType.XA, "xa_long_hung", 816),
  "W_28312" : VNWard("Xã Long Thuận", 28312, VietnamDivisionType.XA, "xa_long_thuan", 816),
  "W_28315" : VNWard("Xã Long Chánh", 28315, VietnamDivisionType.XA, "xa_long_chanh", 816),
  "W_28318" : VNWard("Xã Long Hòa", 28318, VietnamDivisionType.XA, "xa_long_hoa", 816),
  "W_28708" : VNWard("Xã Bình Đông", 28708, VietnamDivisionType.XA, "xa_binh_dong", 816),
  "W_28717" : VNWard("Xã Bình Xuân", 28717, VietnamDivisionType.XA, "xa_binh_xuan", 816),
  "W_28729" : VNWard("Xã Tân Trung", 28729, VietnamDivisionType.XA, "xa_tan_trung", 816),
  "W_28435" : VNWard("Phường 1", 28435, VietnamDivisionType.PHUONG, "phuong_1", 817),
  "W_28436" : VNWard("Phường 2", 28436, VietnamDivisionType.PHUONG, "phuong_2", 817),
  "W_28437" : VNWard("Phường 3", 28437, VietnamDivisionType.PHUONG, "phuong_3", 817),
  "W_28439" : VNWard("Phường 4", 28439, VietnamDivisionType.PHUONG, "phuong_4", 817),
  "W_28440" : VNWard("Phường 5", 28440, VietnamDivisionType.PHUONG, "phuong_5", 817),
  "W_28447" : VNWard("Xã Mỹ Phước Tây", 28447, VietnamDivisionType.XA, "xa_my_phuoc_tay", 817),
  "W_28450" : VNWard("Xã Mỹ Hạnh Đông", 28450, VietnamDivisionType.XA, "xa_my_hanh_dong", 817),
  "W_28453" : VNWard("Xã Mỹ Hạnh Trung", 28453, VietnamDivisionType.XA, "xa_my_hanh_trung", 817),
  "W_28459" : VNWard("Xã Tân Phú", 28459, VietnamDivisionType.XA, "xa_tan_phu", 817),
  "W_28462" : VNWard("Xã Tân Bình", 28462, VietnamDivisionType.XA, "xa_tan_binh", 817),
  "W_28468" : VNWard("Xã Tân Hội", 28468, VietnamDivisionType.XA, "xa_tan_hoi", 817),
  "W_28474" : VNWard("Phường Nhị Mỹ", 28474, VietnamDivisionType.PHUONG, "phuong_nhi_my", 817),
  "W_28477" : VNWard("Xã Nhị Quý", 28477, VietnamDivisionType.XA, "xa_nhi_quy", 817),
  "W_28480" : VNWard("Xã Thanh Hòa", 28480, VietnamDivisionType.XA, "xa_thanh_hoa", 817),
  "W_28483" : VNWard("Xã Phú Quý", 28483, VietnamDivisionType.XA, "xa_phu_quy", 817),
  "W_28486" : VNWard("Xã Long Khánh", 28486, VietnamDivisionType.XA, "xa_long_khanh", 817),
  "W_28321" : VNWard("Thị trấn Mỹ Phước", 28321, VietnamDivisionType.THI_TRAN, "thi_tran_my_phuoc", 818),
  "W_28324" : VNWard("Xã Tân Hòa Đông", 28324, VietnamDivisionType.XA, "xa_tan_hoa_dong", 818),
  "W_28327" : VNWard("Xã Thạnh Tân", 28327, VietnamDivisionType.XA, "xa_thanh_tan", 818),
  "W_28330" : VNWard("Xã Thạnh Mỹ", 28330, VietnamDivisionType.XA, "xa_thanh_my", 818),
  "W_28333" : VNWard("Xã Thạnh Hoà", 28333, VietnamDivisionType.XA, "xa_thanh_hoa", 818),
  "W_28336" : VNWard("Xã Phú Mỹ", 28336, VietnamDivisionType.XA, "xa_phu_my", 818),
  "W_28339" : VNWard("Xã Tân Hòa Thành", 28339, VietnamDivisionType.XA, "xa_tan_hoa_thanh", 818),
  "W_28342" : VNWard("Xã Hưng Thạnh", 28342, VietnamDivisionType.XA, "xa_hung_thanh", 818),
  "W_28345" : VNWard("Xã Tân Lập 1", 28345, VietnamDivisionType.XA, "xa_tan_lap_1", 818),
  "W_28348" : VNWard("Xã Tân Hòa Tây", 28348, VietnamDivisionType.XA, "xa_tan_hoa_tay", 818),
  "W_28354" : VNWard("Xã Tân Lập 2", 28354, VietnamDivisionType.XA, "xa_tan_lap_2", 818),
  "W_28357" : VNWard("Xã Phước Lập", 28357, VietnamDivisionType.XA, "xa_phuoc_lap", 818),
  "W_28360" : VNWard("Thị trấn Cái Bè", 28360, VietnamDivisionType.THI_TRAN, "thi_tran_cai_be", 819),
  "W_28363" : VNWard("Xã Hậu Mỹ Bắc B", 28363, VietnamDivisionType.XA, "xa_hau_my_bac_b", 819),
  "W_28366" : VNWard("Xã Hậu Mỹ Bắc A", 28366, VietnamDivisionType.XA, "xa_hau_my_bac_a", 819),
  "W_28369" : VNWard("Xã Mỹ Trung", 28369, VietnamDivisionType.XA, "xa_my_trung", 819),
  "W_28372" : VNWard("Xã Hậu Mỹ Trinh", 28372, VietnamDivisionType.XA, "xa_hau_my_trinh", 819),
  "W_28375" : VNWard("Xã Hậu Mỹ Phú", 28375, VietnamDivisionType.XA, "xa_hau_my_phu", 819),
  "W_28378" : VNWard("Xã Mỹ Tân", 28378, VietnamDivisionType.XA, "xa_my_tan", 819),
  "W_28381" : VNWard("Xã Mỹ Lợi B", 28381, VietnamDivisionType.XA, "xa_my_loi_b", 819),
  "W_28384" : VNWard("Xã Thiện Trung", 28384, VietnamDivisionType.XA, "xa_thien_trung", 819),
  "W_28387" : VNWard("Xã Mỹ Hội", 28387, VietnamDivisionType.XA, "xa_my_hoi", 819),
  "W_28390" : VNWard("Xã An Cư", 28390, VietnamDivisionType.XA, "xa_an_cu", 819),
  "W_28393" : VNWard("Xã Hậu Thành", 28393, VietnamDivisionType.XA, "xa_hau_thanh", 819),
  "W_28396" : VNWard("Xã Mỹ Lợi A", 28396, VietnamDivisionType.XA, "xa_my_loi_a", 819),
  "W_28399" : VNWard("Xã Hòa Khánh", 28399, VietnamDivisionType.XA, "xa_hoa_khanh", 819),
  "W_28402" : VNWard("Xã Thiện Trí", 28402, VietnamDivisionType.XA, "xa_thien_tri", 819),
  "W_28405" : VNWard("Xã Mỹ Đức Đông", 28405, VietnamDivisionType.XA, "xa_my_duc_dong", 819),
  "W_28408" : VNWard("Xã Mỹ Đức Tây", 28408, VietnamDivisionType.XA, "xa_my_duc_tay", 819),
  "W_28411" : VNWard("Xã Đông Hòa Hiệp", 28411, VietnamDivisionType.XA, "xa_dong_hoa_hiep", 819),
  "W_28414" : VNWard("Xã An Thái Đông", 28414, VietnamDivisionType.XA, "xa_an_thai_dong", 819),
  "W_28417" : VNWard("Xã Tân Hưng", 28417, VietnamDivisionType.XA, "xa_tan_hung", 819),
  "W_28420" : VNWard("Xã Mỹ Lương", 28420, VietnamDivisionType.XA, "xa_my_luong", 819),
  "W_28423" : VNWard("Xã Tân Thanh", 28423, VietnamDivisionType.XA, "xa_tan_thanh", 819),
  "W_28426" : VNWard("Xã An Thái Trung", 28426, VietnamDivisionType.XA, "xa_an_thai_trung", 819),
  "W_28429" : VNWard("Xã An Hữu", 28429, VietnamDivisionType.XA, "xa_an_huu", 819),
  "W_28432" : VNWard("Xã Hòa Hưng", 28432, VietnamDivisionType.XA, "xa_hoa_hung", 819),
  "W_28438" : VNWard("Xã Thạnh Lộc", 28438, VietnamDivisionType.XA, "xa_thanh_loc", 820),
  "W_28441" : VNWard("Xã Mỹ Thành Bắc", 28441, VietnamDivisionType.XA, "xa_my_thanh_bac", 820),
  "W_28444" : VNWard("Xã Phú Cường", 28444, VietnamDivisionType.XA, "xa_phu_cuong", 820),
  "W_28456" : VNWard("Xã Mỹ Thành Nam", 28456, VietnamDivisionType.XA, "xa_my_thanh_nam", 820),
  "W_28465" : VNWard("Xã Phú Nhuận", 28465, VietnamDivisionType.XA, "xa_phu_nhuan", 820),
  "W_28471" : VNWard("Xã Bình Phú", 28471, VietnamDivisionType.XA, "xa_binh_phu", 820),
  "W_28489" : VNWard("Xã Cẩm Sơn", 28489, VietnamDivisionType.XA, "xa_cam_son", 820),
  "W_28492" : VNWard("Xã Phú An", 28492, VietnamDivisionType.XA, "xa_phu_an", 820),
  "W_28495" : VNWard("Xã Mỹ Long", 28495, VietnamDivisionType.XA, "xa_my_long", 820),
  "W_28498" : VNWard("Xã Long Tiên", 28498, VietnamDivisionType.XA, "xa_long_tien", 820),
  "W_28501" : VNWard("Xã Hiệp Đức", 28501, VietnamDivisionType.XA, "xa_hiep_duc", 820),
  "W_28504" : VNWard("Xã Long Trung", 28504, VietnamDivisionType.XA, "xa_long_trung", 820),
  "W_28507" : VNWard("Xã Hội Xuân", 28507, VietnamDivisionType.XA, "xa_hoi_xuan", 820),
  "W_28510" : VNWard("Xã Tân Phong", 28510, VietnamDivisionType.XA, "xa_tan_phong", 820),
  "W_28513" : VNWard("Xã Tam Bình", 28513, VietnamDivisionType.XA, "xa_tam_binh", 820),
  "W_28516" : VNWard("Xã Ngũ Hiệp", 28516, VietnamDivisionType.XA, "xa_ngu_hiep", 820),
  "W_28519" : VNWard("Thị trấn Tân Hiệp", 28519, VietnamDivisionType.THI_TRAN, "thi_tran_tan_hiep", 821),
  "W_28522" : VNWard("Xã Tân Hội Đông", 28522, VietnamDivisionType.XA, "xa_tan_hoi_dong", 821),
  "W_28525" : VNWard("Xã Tân Hương", 28525, VietnamDivisionType.XA, "xa_tan_huong", 821),
  "W_28528" : VNWard("Xã Tân Lý Đông", 28528, VietnamDivisionType.XA, "xa_tan_ly_dong", 821),
  "W_28531" : VNWard("Xã Tân Lý Tây", 28531, VietnamDivisionType.XA, "xa_tan_ly_tay", 821),
  "W_28534" : VNWard("Xã Thân Cửu Nghĩa", 28534, VietnamDivisionType.XA, "xa_than_cuu_nghia", 821),
  "W_28537" : VNWard("Xã Tam Hiệp", 28537, VietnamDivisionType.XA, "xa_tam_hiep", 821),
  "W_28540" : VNWard("Xã Điềm Hy", 28540, VietnamDivisionType.XA, "xa_diem_hy", 821),
  "W_28543" : VNWard("Xã Nhị Bình", 28543, VietnamDivisionType.XA, "xa_nhi_binh", 821),
  "W_28546" : VNWard("Xã Dưỡng Điềm", 28546, VietnamDivisionType.XA, "xa_duong_diem", 821),
  "W_28549" : VNWard("Xã Đông Hòa", 28549, VietnamDivisionType.XA, "xa_dong_hoa", 821),
  "W_28552" : VNWard("Xã Long Định", 28552, VietnamDivisionType.XA, "xa_long_dinh", 821),
  "W_28555" : VNWard("Xã Hữu Đạo", 28555, VietnamDivisionType.XA, "xa_huu_dao", 821),
  "W_28558" : VNWard("Xã Long An", 28558, VietnamDivisionType.XA, "xa_long_an", 821),
  "W_28561" : VNWard("Xã Long Hưng", 28561, VietnamDivisionType.XA, "xa_long_hung", 821),
  "W_28564" : VNWard("Xã Bình Trưng", 28564, VietnamDivisionType.XA, "xa_binh_trung", 821),
  "W_28570" : VNWard("Xã Thạnh Phú", 28570, VietnamDivisionType.XA, "xa_thanh_phu", 821),
  "W_28573" : VNWard("Xã Bàn Long", 28573, VietnamDivisionType.XA, "xa_ban_long", 821),
  "W_28576" : VNWard("Xã Vĩnh Kim", 28576, VietnamDivisionType.XA, "xa_vinh_kim", 821),
  "W_28579" : VNWard("Xã Bình Đức", 28579, VietnamDivisionType.XA, "xa_binh_duc", 821),
  "W_28582" : VNWard("Xã Song Thuận", 28582, VietnamDivisionType.XA, "xa_song_thuan", 821),
  "W_28585" : VNWard("Xã Kim Sơn", 28585, VietnamDivisionType.XA, "xa_kim_son", 821),
  "W_28588" : VNWard("Xã Phú Phong", 28588, VietnamDivisionType.XA, "xa_phu_phong", 821),
  "W_28594" : VNWard("Thị trấn Chợ Gạo", 28594, VietnamDivisionType.THI_TRAN, "thi_tran_cho_gao", 822),
  "W_28597" : VNWard("Xã Trung Hòa", 28597, VietnamDivisionType.XA, "xa_trung_hoa", 822),
  "W_28600" : VNWard("Xã Hòa Tịnh", 28600, VietnamDivisionType.XA, "xa_hoa_tinh", 822),
  "W_28603" : VNWard("Xã Mỹ Tịnh An", 28603, VietnamDivisionType.XA, "xa_my_tinh_an", 822),
  "W_28606" : VNWard("Xã Tân Bình Thạnh", 28606, VietnamDivisionType.XA, "xa_tan_binh_thanh", 822),
  "W_28609" : VNWard("Xã Phú Kiết", 28609, VietnamDivisionType.XA, "xa_phu_kiet", 822),
  "W_28612" : VNWard("Xã Lương Hòa Lạc", 28612, VietnamDivisionType.XA, "xa_luong_hoa_lac", 822),
  "W_28615" : VNWard("Xã Thanh Bình", 28615, VietnamDivisionType.XA, "xa_thanh_binh", 822),
  "W_28618" : VNWard("Xã Quơn Long", 28618, VietnamDivisionType.XA, "xa_quon_long", 822),
  "W_28621" : VNWard("Xã Bình Phục Nhứt", 28621, VietnamDivisionType.XA, "xa_binh_phuc_nhut", 822),
  "W_28624" : VNWard("Xã Đăng Hưng Phước", 28624, VietnamDivisionType.XA, "xa_dang_hung_phuoc", 822),
  "W_28627" : VNWard("Xã Tân Thuận Bình", 28627, VietnamDivisionType.XA, "xa_tan_thuan_binh", 822),
  "W_28630" : VNWard("Xã Song Bình", 28630, VietnamDivisionType.XA, "xa_song_binh", 822),
  "W_28633" : VNWard("Xã Bình Phan", 28633, VietnamDivisionType.XA, "xa_binh_phan", 822),
  "W_28636" : VNWard("Xã Long Bình Điền", 28636, VietnamDivisionType.XA, "xa_long_binh_dien", 822),
  "W_28639" : VNWard("Xã An Thạnh Thủy", 28639, VietnamDivisionType.XA, "xa_an_thanh_thuy", 822),
  "W_28642" : VNWard("Xã Xuân Đông", 28642, VietnamDivisionType.XA, "xa_xuan_dong", 822),
  "W_28645" : VNWard("Xã Hòa Định", 28645, VietnamDivisionType.XA, "xa_hoa_dinh", 822),
  "W_28648" : VNWard("Xã Bình Ninh", 28648, VietnamDivisionType.XA, "xa_binh_ninh", 822),
  "W_28651" : VNWard("Thị trấn Vĩnh Bình", 28651, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_binh", 823),
  "W_28654" : VNWard("Xã Đồng Sơn", 28654, VietnamDivisionType.XA, "xa_dong_son", 823),
  "W_28657" : VNWard("Xã Bình Phú", 28657, VietnamDivisionType.XA, "xa_binh_phu", 823),
  "W_28660" : VNWard("Xã Đồng Thạnh", 28660, VietnamDivisionType.XA, "xa_dong_thanh", 823),
  "W_28663" : VNWard("Xã Thành Công", 28663, VietnamDivisionType.XA, "xa_thanh_cong", 823),
  "W_28666" : VNWard("Xã Bình Nhì", 28666, VietnamDivisionType.XA, "xa_binh_nhi", 823),
  "W_28669" : VNWard("Xã Yên Luông", 28669, VietnamDivisionType.XA, "xa_yen_luong", 823),
  "W_28672" : VNWard("Xã Thạnh Trị", 28672, VietnamDivisionType.XA, "xa_thanh_tri", 823),
  "W_28675" : VNWard("Xã Thạnh Nhựt", 28675, VietnamDivisionType.XA, "xa_thanh_nhut", 823),
  "W_28678" : VNWard("Xã Long Vĩnh", 28678, VietnamDivisionType.XA, "xa_long_vinh", 823),
  "W_28681" : VNWard("Xã Bình Tân", 28681, VietnamDivisionType.XA, "xa_binh_tan", 823),
  "W_28684" : VNWard("Xã Vĩnh Hựu", 28684, VietnamDivisionType.XA, "xa_vinh_huu", 823),
  "W_28687" : VNWard("Xã Long Bình", 28687, VietnamDivisionType.XA, "xa_long_binh", 823),
  "W_28702" : VNWard("Thị trấn Tân Hòa", 28702, VietnamDivisionType.THI_TRAN, "thi_tran_tan_hoa", 824),
  "W_28705" : VNWard("Xã Tăng Hoà", 28705, VietnamDivisionType.XA, "xa_tang_hoa", 824),
  "W_28711" : VNWard("Xã Tân Phước", 28711, VietnamDivisionType.XA, "xa_tan_phuoc", 824),
  "W_28714" : VNWard("Xã Gia Thuận", 28714, VietnamDivisionType.XA, "xa_gia_thuan", 824),
  "W_28720" : VNWard("Thị trấn Vàm Láng", 28720, VietnamDivisionType.THI_TRAN, "thi_tran_vam_lang", 824),
  "W_28723" : VNWard("Xã Tân Tây", 28723, VietnamDivisionType.XA, "xa_tan_tay", 824),
  "W_28726" : VNWard("Xã Kiểng Phước", 28726, VietnamDivisionType.XA, "xa_kieng_phuoc", 824),
  "W_28732" : VNWard("Xã Tân Đông", 28732, VietnamDivisionType.XA, "xa_tan_dong", 824),
  "W_28735" : VNWard("Xã Bình Ân", 28735, VietnamDivisionType.XA, "xa_binh_an", 824),
  "W_28738" : VNWard("Xã Tân Điền", 28738, VietnamDivisionType.XA, "xa_tan_dien", 824),
  "W_28741" : VNWard("Xã Bình Nghị", 28741, VietnamDivisionType.XA, "xa_binh_nghi", 824),
  "W_28744" : VNWard("Xã Phước Trung", 28744, VietnamDivisionType.XA, "xa_phuoc_trung", 824),
  "W_28747" : VNWard("Xã Tân Thành", 28747, VietnamDivisionType.XA, "xa_tan_thanh", 824),
  "W_28690" : VNWard("Xã Tân Thới", 28690, VietnamDivisionType.XA, "xa_tan_thoi", 825),
  "W_28693" : VNWard("Xã Tân Phú", 28693, VietnamDivisionType.XA, "xa_tan_phu", 825),
  "W_28696" : VNWard("Xã Phú Thạnh", 28696, VietnamDivisionType.XA, "xa_phu_thanh", 825),
  "W_28699" : VNWard("Xã Tân Thạnh", 28699, VietnamDivisionType.XA, "xa_tan_thanh", 825),
  "W_28750" : VNWard("Xã Phú Đông", 28750, VietnamDivisionType.XA, "xa_phu_dong", 825),
  "W_28753" : VNWard("Xã Phú Tân", 28753, VietnamDivisionType.XA, "xa_phu_tan", 825),
  "W_28756" : VNWard("Phường Phú Khương", 28756, VietnamDivisionType.PHUONG, "phuong_phu_khuong", 829),
  "W_28757" : VNWard("Phường Phú Tân", 28757, VietnamDivisionType.PHUONG, "phuong_phu_tan", 829),
  "W_28759" : VNWard("Phường 8", 28759, VietnamDivisionType.PHUONG, "phuong_8", 829),
  "W_28762" : VNWard("Phường 6", 28762, VietnamDivisionType.PHUONG, "phuong_6", 829),
  "W_28765" : VNWard("Phường 4", 28765, VietnamDivisionType.PHUONG, "phuong_4", 829),
  "W_28768" : VNWard("Phường 5", 28768, VietnamDivisionType.PHUONG, "phuong_5", 829),
  "W_28777" : VNWard("Phường An Hội", 28777, VietnamDivisionType.PHUONG, "phuong_an_hoi", 829),
  "W_28780" : VNWard("Phường 7", 28780, VietnamDivisionType.PHUONG, "phuong_7", 829),
  "W_28783" : VNWard("Xã Sơn Đông", 28783, VietnamDivisionType.XA, "xa_son_dong", 829),
  "W_28786" : VNWard("Xã Phú Hưng", 28786, VietnamDivisionType.XA, "xa_phu_hung", 829),
  "W_28789" : VNWard("Xã Bình Phú", 28789, VietnamDivisionType.XA, "xa_binh_phu", 829),
  "W_28792" : VNWard("Xã Mỹ Thạnh An", 28792, VietnamDivisionType.XA, "xa_my_thanh_an", 829),
  "W_28795" : VNWard("Xã Nhơn Thạnh", 28795, VietnamDivisionType.XA, "xa_nhon_thanh", 829),
  "W_28798" : VNWard("Xã Phú Nhuận", 28798, VietnamDivisionType.XA, "xa_phu_nhuan", 829),
  "W_28801" : VNWard("Thị trấn Châu Thành", 28801, VietnamDivisionType.THI_TRAN, "thi_tran_chau_thanh", 831),
  "W_28804" : VNWard("Xã Tân Thạch", 28804, VietnamDivisionType.XA, "xa_tan_thach", 831),
  "W_28807" : VNWard("Xã Qưới Sơn", 28807, VietnamDivisionType.XA, "xa_quoi_son", 831),
  "W_28810" : VNWard("Xã An Khánh", 28810, VietnamDivisionType.XA, "xa_an_khanh", 831),
  "W_28813" : VNWard("Xã Giao Long", 28813, VietnamDivisionType.XA, "xa_giao_long", 831),
  "W_28819" : VNWard("Xã Phú Túc", 28819, VietnamDivisionType.XA, "xa_phu_tuc", 831),
  "W_28822" : VNWard("Xã Phú Đức", 28822, VietnamDivisionType.XA, "xa_phu_duc", 831),
  "W_28825" : VNWard("Xã Phú An Hòa", 28825, VietnamDivisionType.XA, "xa_phu_an_hoa", 831),
  "W_28828" : VNWard("Xã An Phước", 28828, VietnamDivisionType.XA, "xa_an_phuoc", 831),
  "W_28831" : VNWard("Xã Tam Phước", 28831, VietnamDivisionType.XA, "xa_tam_phuoc", 831),
  "W_28834" : VNWard("Xã Thành Triệu", 28834, VietnamDivisionType.XA, "xa_thanh_trieu", 831),
  "W_28837" : VNWard("Xã Tường Đa", 28837, VietnamDivisionType.XA, "xa_tuong_da", 831),
  "W_28840" : VNWard("Xã Tân Phú", 28840, VietnamDivisionType.XA, "xa_tan_phu", 831),
  "W_28843" : VNWard("Xã Quới Thành", 28843, VietnamDivisionType.XA, "xa_quoi_thanh", 831),
  "W_28846" : VNWard("Xã Phước Thạnh", 28846, VietnamDivisionType.XA, "xa_phuoc_thanh", 831),
  "W_28849" : VNWard("Xã An Hóa", 28849, VietnamDivisionType.XA, "xa_an_hoa", 831),
  "W_28852" : VNWard("Xã Tiên Long", 28852, VietnamDivisionType.XA, "xa_tien_long", 831),
  "W_28855" : VNWard("Xã An Hiệp", 28855, VietnamDivisionType.XA, "xa_an_hiep", 831),
  "W_28858" : VNWard("Xã Hữu Định", 28858, VietnamDivisionType.XA, "xa_huu_dinh", 831),
  "W_28861" : VNWard("Xã Tiên Thủy", 28861, VietnamDivisionType.XA, "xa_tien_thuy", 831),
  "W_28864" : VNWard("Xã Sơn Hòa", 28864, VietnamDivisionType.XA, "xa_son_hoa", 831),
  "W_28870" : VNWard("Thị trấn Chợ Lách", 28870, VietnamDivisionType.THI_TRAN, "thi_tran_cho_lach", 832),
  "W_28873" : VNWard("Xã Phú Phụng", 28873, VietnamDivisionType.XA, "xa_phu_phung", 832),
  "W_28876" : VNWard("Xã Sơn Định", 28876, VietnamDivisionType.XA, "xa_son_dinh", 832),
  "W_28879" : VNWard("Xã Vĩnh Bình", 28879, VietnamDivisionType.XA, "xa_vinh_binh", 832),
  "W_28882" : VNWard("Xã Hòa Nghĩa", 28882, VietnamDivisionType.XA, "xa_hoa_nghia", 832),
  "W_28885" : VNWard("Xã Long Thới", 28885, VietnamDivisionType.XA, "xa_long_thoi", 832),
  "W_28888" : VNWard("Xã Phú Sơn", 28888, VietnamDivisionType.XA, "xa_phu_son", 832),
  "W_28891" : VNWard("Xã Tân Thiềng", 28891, VietnamDivisionType.XA, "xa_tan_thieng", 832),
  "W_28894" : VNWard("Xã Vĩnh Thành", 28894, VietnamDivisionType.XA, "xa_vinh_thanh", 832),
  "W_28897" : VNWard("Xã Vĩnh Hòa", 28897, VietnamDivisionType.XA, "xa_vinh_hoa", 832),
  "W_28900" : VNWard("Xã Hưng Khánh Trung B", 28900, VietnamDivisionType.XA, "xa_hung_khanh_trung_b", 832),
  "W_28903" : VNWard("Thị trấn Mỏ Cày", 28903, VietnamDivisionType.THI_TRAN, "thi_tran_mo_cay", 833),
  "W_28930" : VNWard("Xã Định Thủy", 28930, VietnamDivisionType.XA, "xa_dinh_thuy", 833),
  "W_28939" : VNWard("Xã Đa Phước Hội", 28939, VietnamDivisionType.XA, "xa_da_phuoc_hoi", 833),
  "W_28940" : VNWard("Xã Tân Hội", 28940, VietnamDivisionType.XA, "xa_tan_hoi", 833),
  "W_28942" : VNWard("Xã Phước Hiệp", 28942, VietnamDivisionType.XA, "xa_phuoc_hiep", 833),
  "W_28945" : VNWard("Xã Bình Khánh", 28945, VietnamDivisionType.XA, "xa_binh_khanh", 833),
  "W_28951" : VNWard("Xã An Thạnh", 28951, VietnamDivisionType.XA, "xa_an_thanh", 833),
  "W_28957" : VNWard("Xã An Định", 28957, VietnamDivisionType.XA, "xa_an_dinh", 833),
  "W_28960" : VNWard("Xã Thành Thới B", 28960, VietnamDivisionType.XA, "xa_thanh_thoi_b", 833),
  "W_28963" : VNWard("Xã Tân Trung", 28963, VietnamDivisionType.XA, "xa_tan_trung", 833),
  "W_28966" : VNWard("Xã An Thới", 28966, VietnamDivisionType.XA, "xa_an_thoi", 833),
  "W_28969" : VNWard("Xã Thành Thới A", 28969, VietnamDivisionType.XA, "xa_thanh_thoi_a", 833),
  "W_28972" : VNWard("Xã Minh Đức", 28972, VietnamDivisionType.XA, "xa_minh_duc", 833),
  "W_28975" : VNWard("Xã Ngãi Đăng", 28975, VietnamDivisionType.XA, "xa_ngai_dang", 833),
  "W_28978" : VNWard("Xã Cẩm Sơn", 28978, VietnamDivisionType.XA, "xa_cam_son", 833),
  "W_28981" : VNWard("Xã Hương Mỹ", 28981, VietnamDivisionType.XA, "xa_huong_my", 833),
  "W_28984" : VNWard("Thị trấn Giồng Trôm", 28984, VietnamDivisionType.THI_TRAN, "thi_tran_giong_trom", 834),
  "W_28987" : VNWard("Xã Phong Nẫm", 28987, VietnamDivisionType.XA, "xa_phong_nam", 834),
  "W_28993" : VNWard("Xã Mỹ Thạnh", 28993, VietnamDivisionType.XA, "xa_my_thanh", 834),
  "W_28996" : VNWard("Xã Châu Hòa", 28996, VietnamDivisionType.XA, "xa_chau_hoa", 834),
  "W_28999" : VNWard("Xã Lương Hòa", 28999, VietnamDivisionType.XA, "xa_luong_hoa", 834),
  "W_29002" : VNWard("Xã Lương Quới", 29002, VietnamDivisionType.XA, "xa_luong_quoi", 834),
  "W_29005" : VNWard("Xã Lương Phú", 29005, VietnamDivisionType.XA, "xa_luong_phu", 834),
  "W_29008" : VNWard("Xã Châu Bình", 29008, VietnamDivisionType.XA, "xa_chau_binh", 834),
  "W_29011" : VNWard("Xã Thuận Điền", 29011, VietnamDivisionType.XA, "xa_thuan_dien", 834),
  "W_29014" : VNWard("Xã Sơn Phú", 29014, VietnamDivisionType.XA, "xa_son_phu", 834),
  "W_29017" : VNWard("Xã Bình Hoà", 29017, VietnamDivisionType.XA, "xa_binh_hoa", 834),
  "W_29020" : VNWard("Xã Phước Long", 29020, VietnamDivisionType.XA, "xa_phuoc_long", 834),
  "W_29023" : VNWard("Xã Hưng Phong", 29023, VietnamDivisionType.XA, "xa_hung_phong", 834),
  "W_29026" : VNWard("Xã Long Mỹ", 29026, VietnamDivisionType.XA, "xa_long_my", 834),
  "W_29029" : VNWard("Xã Tân Hào", 29029, VietnamDivisionType.XA, "xa_tan_hao", 834),
  "W_29032" : VNWard("Xã Bình Thành", 29032, VietnamDivisionType.XA, "xa_binh_thanh", 834),
  "W_29035" : VNWard("Xã Tân Thanh", 29035, VietnamDivisionType.XA, "xa_tan_thanh", 834),
  "W_29038" : VNWard("Xã Tân Lợi Thạnh", 29038, VietnamDivisionType.XA, "xa_tan_loi_thanh", 834),
  "W_29041" : VNWard("Xã Thạnh Phú Đông", 29041, VietnamDivisionType.XA, "xa_thanh_phu_dong", 834),
  "W_29044" : VNWard("Xã Hưng Nhượng", 29044, VietnamDivisionType.XA, "xa_hung_nhuong", 834),
  "W_29047" : VNWard("Xã Hưng Lễ", 29047, VietnamDivisionType.XA, "xa_hung_le", 834),
  "W_29050" : VNWard("Thị trấn Bình Đại", 29050, VietnamDivisionType.THI_TRAN, "thi_tran_binh_dai", 835),
  "W_29053" : VNWard("Xã Tam Hiệp", 29053, VietnamDivisionType.XA, "xa_tam_hiep", 835),
  "W_29056" : VNWard("Xã Long Định", 29056, VietnamDivisionType.XA, "xa_long_dinh", 835),
  "W_29059" : VNWard("Xã Long Hòa", 29059, VietnamDivisionType.XA, "xa_long_hoa", 835),
  "W_29062" : VNWard("Xã Phú Thuận", 29062, VietnamDivisionType.XA, "xa_phu_thuan", 835),
  "W_29065" : VNWard("Xã Vang Quới Tây", 29065, VietnamDivisionType.XA, "xa_vang_quoi_tay", 835),
  "W_29068" : VNWard("Xã Vang Quới Đông", 29068, VietnamDivisionType.XA, "xa_vang_quoi_dong", 835),
  "W_29071" : VNWard("Xã Châu Hưng", 29071, VietnamDivisionType.XA, "xa_chau_hung", 835),
  "W_29074" : VNWard("Xã Phú Vang", 29074, VietnamDivisionType.XA, "xa_phu_vang", 835),
  "W_29077" : VNWard("Xã Lộc Thuận", 29077, VietnamDivisionType.XA, "xa_loc_thuan", 835),
  "W_29080" : VNWard("Xã Định Trung", 29080, VietnamDivisionType.XA, "xa_dinh_trung", 835),
  "W_29083" : VNWard("Xã Thới Lai", 29083, VietnamDivisionType.XA, "xa_thoi_lai", 835),
  "W_29086" : VNWard("Xã Bình Thới", 29086, VietnamDivisionType.XA, "xa_binh_thoi", 835),
  "W_29089" : VNWard("Xã Phú Long", 29089, VietnamDivisionType.XA, "xa_phu_long", 835),
  "W_29092" : VNWard("Xã Bình Thắng", 29092, VietnamDivisionType.XA, "xa_binh_thang", 835),
  "W_29095" : VNWard("Xã Thạnh Trị", 29095, VietnamDivisionType.XA, "xa_thanh_tri", 835),
  "W_29098" : VNWard("Xã Đại Hòa Lộc", 29098, VietnamDivisionType.XA, "xa_dai_hoa_loc", 835),
  "W_29101" : VNWard("Xã Thừa Đức", 29101, VietnamDivisionType.XA, "xa_thua_duc", 835),
  "W_29104" : VNWard("Xã Thạnh Phước", 29104, VietnamDivisionType.XA, "xa_thanh_phuoc", 835),
  "W_29107" : VNWard("Xã Thới Thuận", 29107, VietnamDivisionType.XA, "xa_thoi_thuan", 835),
  "W_29110" : VNWard("Thị trấn Ba Tri", 29110, VietnamDivisionType.THI_TRAN, "thi_tran_ba_tri", 836),
  "W_29113" : VNWard("Xã Tân Mỹ", 29113, VietnamDivisionType.XA, "xa_tan_my", 836),
  "W_29116" : VNWard("Xã Mỹ Hòa", 29116, VietnamDivisionType.XA, "xa_my_hoa", 836),
  "W_29119" : VNWard("Xã Tân Xuân", 29119, VietnamDivisionType.XA, "xa_tan_xuan", 836),
  "W_29122" : VNWard("Xã Mỹ Chánh", 29122, VietnamDivisionType.XA, "xa_my_chanh", 836),
  "W_29125" : VNWard("Xã Bảo Thạnh", 29125, VietnamDivisionType.XA, "xa_bao_thanh", 836),
  "W_29128" : VNWard("Xã An Phú Trung", 29128, VietnamDivisionType.XA, "xa_an_phu_trung", 836),
  "W_29131" : VNWard("Xã Mỹ Thạnh", 29131, VietnamDivisionType.XA, "xa_my_thanh", 836),
  "W_29134" : VNWard("Xã Mỹ Nhơn", 29134, VietnamDivisionType.XA, "xa_my_nhon", 836),
  "W_29137" : VNWard("Xã Phước Ngãi", 29137, VietnamDivisionType.XA, "xa_phuoc_ngai", 836),
  "W_29143" : VNWard("Xã An Ngãi Trung", 29143, VietnamDivisionType.XA, "xa_an_ngai_trung", 836),
  "W_29146" : VNWard("Xã Phú Lễ", 29146, VietnamDivisionType.XA, "xa_phu_le", 836),
  "W_29149" : VNWard("Xã An Bình Tây", 29149, VietnamDivisionType.XA, "xa_an_binh_tay", 836),
  "W_29152" : VNWard("Xã Bảo Thuận", 29152, VietnamDivisionType.XA, "xa_bao_thuan", 836),
  "W_29155" : VNWard("Xã Tân Hưng", 29155, VietnamDivisionType.XA, "xa_tan_hung", 836),
  "W_29158" : VNWard("Xã An Ngãi Tây", 29158, VietnamDivisionType.XA, "xa_an_ngai_tay", 836),
  "W_29161" : VNWard("Xã An Hiệp", 29161, VietnamDivisionType.XA, "xa_an_hiep", 836),
  "W_29164" : VNWard("Xã Vĩnh Hòa", 29164, VietnamDivisionType.XA, "xa_vinh_hoa", 836),
  "W_29167" : VNWard("Xã Tân Thủy", 29167, VietnamDivisionType.XA, "xa_tan_thuy", 836),
  "W_29170" : VNWard("Xã Vĩnh An", 29170, VietnamDivisionType.XA, "xa_vinh_an", 836),
  "W_29173" : VNWard("Xã An Đức", 29173, VietnamDivisionType.XA, "xa_an_duc", 836),
  "W_29176" : VNWard("Xã An Hòa Tây", 29176, VietnamDivisionType.XA, "xa_an_hoa_tay", 836),
  "W_29179" : VNWard("Xã An Thủy", 29179, VietnamDivisionType.XA, "xa_an_thuy", 836),
  "W_29182" : VNWard("Thị trấn Thạnh Phú", 29182, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_phu", 837),
  "W_29185" : VNWard("Xã Phú Khánh", 29185, VietnamDivisionType.XA, "xa_phu_khanh", 837),
  "W_29188" : VNWard("Xã Đại Điền", 29188, VietnamDivisionType.XA, "xa_dai_dien", 837),
  "W_29191" : VNWard("Xã Quới Điền", 29191, VietnamDivisionType.XA, "xa_quoi_dien", 837),
  "W_29194" : VNWard("Xã Tân Phong", 29194, VietnamDivisionType.XA, "xa_tan_phong", 837),
  "W_29197" : VNWard("Xã Mỹ Hưng", 29197, VietnamDivisionType.XA, "xa_my_hung", 837),
  "W_29200" : VNWard("Xã An Thạnh", 29200, VietnamDivisionType.XA, "xa_an_thanh", 837),
  "W_29203" : VNWard("Xã Thới Thạnh", 29203, VietnamDivisionType.XA, "xa_thoi_thanh", 837),
  "W_29206" : VNWard("Xã Hòa Lợi", 29206, VietnamDivisionType.XA, "xa_hoa_loi", 837),
  "W_29209" : VNWard("Xã An Điền", 29209, VietnamDivisionType.XA, "xa_an_dien", 837),
  "W_29212" : VNWard("Xã Bình Thạnh", 29212, VietnamDivisionType.XA, "xa_binh_thanh", 837),
  "W_29215" : VNWard("Xã An Thuận", 29215, VietnamDivisionType.XA, "xa_an_thuan", 837),
  "W_29218" : VNWard("Xã An Quy", 29218, VietnamDivisionType.XA, "xa_an_quy", 837),
  "W_29221" : VNWard("Xã Thạnh Hải", 29221, VietnamDivisionType.XA, "xa_thanh_hai", 837),
  "W_29224" : VNWard("Xã An Nhơn", 29224, VietnamDivisionType.XA, "xa_an_nhon", 837),
  "W_29227" : VNWard("Xã Giao Thạnh", 29227, VietnamDivisionType.XA, "xa_giao_thanh", 837),
  "W_29230" : VNWard("Xã Thạnh Phong", 29230, VietnamDivisionType.XA, "xa_thanh_phong", 837),
  "W_29233" : VNWard("Xã Mỹ An", 29233, VietnamDivisionType.XA, "xa_my_an", 837),
  "W_28889" : VNWard("Xã Phú Mỹ", 28889, VietnamDivisionType.XA, "xa_phu_my", 838),
  "W_28901" : VNWard("Xã Hưng Khánh Trung A", 28901, VietnamDivisionType.XA, "xa_hung_khanh_trung_a", 838),
  "W_28906" : VNWard("Xã Thanh Tân", 28906, VietnamDivisionType.XA, "xa_thanh_tan", 838),
  "W_28909" : VNWard("Xã Thạnh Ngãi", 28909, VietnamDivisionType.XA, "xa_thanh_ngai", 838),
  "W_28912" : VNWard("Xã Tân Phú Tây", 28912, VietnamDivisionType.XA, "xa_tan_phu_tay", 838),
  "W_28915" : VNWard("Xã Phước Mỹ Trung", 28915, VietnamDivisionType.XA, "xa_phuoc_my_trung", 838),
  "W_28918" : VNWard("Xã Tân Thành Bình", 28918, VietnamDivisionType.XA, "xa_tan_thanh_binh", 838),
  "W_28921" : VNWard("Xã Thành An", 28921, VietnamDivisionType.XA, "xa_thanh_an", 838),
  "W_28924" : VNWard("Xã Hòa Lộc", 28924, VietnamDivisionType.XA, "xa_hoa_loc", 838),
  "W_28927" : VNWard("Xã Tân Thanh Tây", 28927, VietnamDivisionType.XA, "xa_tan_thanh_tay", 838),
  "W_28933" : VNWard("Xã Tân Bình", 28933, VietnamDivisionType.XA, "xa_tan_binh", 838),
  "W_28936" : VNWard("Xã Nhuận Phú Tân", 28936, VietnamDivisionType.XA, "xa_nhuan_phu_tan", 838),
  "W_28948" : VNWard("Xã Khánh Thạnh Tân", 28948, VietnamDivisionType.XA, "xa_khanh_thanh_tan", 838),
  "W_29236" : VNWard("Phường 4", 29236, VietnamDivisionType.PHUONG, "phuong_4", 842),
  "W_29239" : VNWard("Phường 1", 29239, VietnamDivisionType.PHUONG, "phuong_1", 842),
  "W_29242" : VNWard("Phường 3", 29242, VietnamDivisionType.PHUONG, "phuong_3", 842),
  "W_29245" : VNWard("Phường 2", 29245, VietnamDivisionType.PHUONG, "phuong_2", 842),
  "W_29248" : VNWard("Phường 5", 29248, VietnamDivisionType.PHUONG, "phuong_5", 842),
  "W_29251" : VNWard("Phường 6", 29251, VietnamDivisionType.PHUONG, "phuong_6", 842),
  "W_29254" : VNWard("Phường 7", 29254, VietnamDivisionType.PHUONG, "phuong_7", 842),
  "W_29257" : VNWard("Phường 8", 29257, VietnamDivisionType.PHUONG, "phuong_8", 842),
  "W_29260" : VNWard("Phường 9", 29260, VietnamDivisionType.PHUONG, "phuong_9", 842),
  "W_29263" : VNWard("Xã Long Đức", 29263, VietnamDivisionType.XA, "xa_long_duc", 842),
  "W_29266" : VNWard("Thị trấn Càng Long", 29266, VietnamDivisionType.THI_TRAN, "thi_tran_cang_long", 844),
  "W_29269" : VNWard("Xã Mỹ Cẩm", 29269, VietnamDivisionType.XA, "xa_my_cam", 844),
  "W_29272" : VNWard("Xã An Trường A", 29272, VietnamDivisionType.XA, "xa_an_truong_a", 844),
  "W_29275" : VNWard("Xã An Trường", 29275, VietnamDivisionType.XA, "xa_an_truong", 844),
  "W_29278" : VNWard("Xã Huyền Hội", 29278, VietnamDivisionType.XA, "xa_huyen_hoi", 844),
  "W_29281" : VNWard("Xã Tân An", 29281, VietnamDivisionType.XA, "xa_tan_an", 844),
  "W_29284" : VNWard("Xã Tân Bình", 29284, VietnamDivisionType.XA, "xa_tan_binh", 844),
  "W_29287" : VNWard("Xã Bình Phú", 29287, VietnamDivisionType.XA, "xa_binh_phu", 844),
  "W_29290" : VNWard("Xã Phương Thạnh", 29290, VietnamDivisionType.XA, "xa_phuong_thanh", 844),
  "W_29293" : VNWard("Xã Đại Phúc", 29293, VietnamDivisionType.XA, "xa_dai_phuc", 844),
  "W_29296" : VNWard("Xã Đại Phước", 29296, VietnamDivisionType.XA, "xa_dai_phuoc", 844),
  "W_29299" : VNWard("Xã Nhị Long Phú", 29299, VietnamDivisionType.XA, "xa_nhi_long_phu", 844),
  "W_29302" : VNWard("Xã Nhị Long", 29302, VietnamDivisionType.XA, "xa_nhi_long", 844),
  "W_29305" : VNWard("Xã Đức Mỹ", 29305, VietnamDivisionType.XA, "xa_duc_my", 844),
  "W_29308" : VNWard("Thị trấn Cầu Kè", 29308, VietnamDivisionType.THI_TRAN, "thi_tran_cau_ke", 845),
  "W_29311" : VNWard("Xã Hòa Ân", 29311, VietnamDivisionType.XA, "xa_hoa_an", 845),
  "W_29314" : VNWard("Xã Châu Điền", 29314, VietnamDivisionType.XA, "xa_chau_dien", 845),
  "W_29317" : VNWard("Xã An Phú Tân", 29317, VietnamDivisionType.XA, "xa_an_phu_tan", 845),
  "W_29320" : VNWard("Xã Hoà Tân", 29320, VietnamDivisionType.XA, "xa_hoa_tan", 845),
  "W_29323" : VNWard("Xã Ninh Thới", 29323, VietnamDivisionType.XA, "xa_ninh_thoi", 845),
  "W_29326" : VNWard("Xã Phong Phú", 29326, VietnamDivisionType.XA, "xa_phong_phu", 845),
  "W_29329" : VNWard("Xã Phong Thạnh", 29329, VietnamDivisionType.XA, "xa_phong_thanh", 845),
  "W_29332" : VNWard("Xã Tam Ngãi", 29332, VietnamDivisionType.XA, "xa_tam_ngai", 845),
  "W_29335" : VNWard("Xã Thông Hòa", 29335, VietnamDivisionType.XA, "xa_thong_hoa", 845),
  "W_29338" : VNWard("Xã Thạnh Phú", 29338, VietnamDivisionType.XA, "xa_thanh_phu", 845),
  "W_29341" : VNWard("Thị trấn Tiểu Cần", 29341, VietnamDivisionType.THI_TRAN, "thi_tran_tieu_can", 846),
  "W_29344" : VNWard("Thị trấn Cầu Quan", 29344, VietnamDivisionType.THI_TRAN, "thi_tran_cau_quan", 846),
  "W_29347" : VNWard("Xã Phú Cần", 29347, VietnamDivisionType.XA, "xa_phu_can", 846),
  "W_29350" : VNWard("Xã Hiếu Tử", 29350, VietnamDivisionType.XA, "xa_hieu_tu", 846),
  "W_29353" : VNWard("Xã Hiếu Trung", 29353, VietnamDivisionType.XA, "xa_hieu_trung", 846),
  "W_29356" : VNWard("Xã Long Thới", 29356, VietnamDivisionType.XA, "xa_long_thoi", 846),
  "W_29359" : VNWard("Xã Hùng Hòa", 29359, VietnamDivisionType.XA, "xa_hung_hoa", 846),
  "W_29362" : VNWard("Xã Tân Hùng", 29362, VietnamDivisionType.XA, "xa_tan_hung", 846),
  "W_29365" : VNWard("Xã Tập Ngãi", 29365, VietnamDivisionType.XA, "xa_tap_ngai", 846),
  "W_29368" : VNWard("Xã Ngãi Hùng", 29368, VietnamDivisionType.XA, "xa_ngai_hung", 846),
  "W_29371" : VNWard("Xã Tân Hòa", 29371, VietnamDivisionType.XA, "xa_tan_hoa", 846),
  "W_29374" : VNWard("Thị trấn Châu Thành", 29374, VietnamDivisionType.THI_TRAN, "thi_tran_chau_thanh", 847),
  "W_29377" : VNWard("Xã Đa Lộc", 29377, VietnamDivisionType.XA, "xa_da_loc", 847),
  "W_29380" : VNWard("Xã Mỹ Chánh", 29380, VietnamDivisionType.XA, "xa_my_chanh", 847),
  "W_29383" : VNWard("Xã Thanh Mỹ", 29383, VietnamDivisionType.XA, "xa_thanh_my", 847),
  "W_29386" : VNWard("Xã Lương Hoà A", 29386, VietnamDivisionType.XA, "xa_luong_hoa_a", 847),
  "W_29389" : VNWard("Xã Lương Hòa", 29389, VietnamDivisionType.XA, "xa_luong_hoa", 847),
  "W_29392" : VNWard("Xã Song Lộc", 29392, VietnamDivisionType.XA, "xa_song_loc", 847),
  "W_29395" : VNWard("Xã Nguyệt Hóa", 29395, VietnamDivisionType.XA, "xa_nguyet_hoa", 847),
  "W_29398" : VNWard("Xã Hòa Thuận", 29398, VietnamDivisionType.XA, "xa_hoa_thuan", 847),
  "W_29401" : VNWard("Xã Hòa Lợi", 29401, VietnamDivisionType.XA, "xa_hoa_loi", 847),
  "W_29404" : VNWard("Xã Phước Hảo", 29404, VietnamDivisionType.XA, "xa_phuoc_hao", 847),
  "W_29407" : VNWard("Xã Hưng Mỹ", 29407, VietnamDivisionType.XA, "xa_hung_my", 847),
  "W_29410" : VNWard("Xã Hòa Minh", 29410, VietnamDivisionType.XA, "xa_hoa_minh", 847),
  "W_29413" : VNWard("Xã Long Hòa", 29413, VietnamDivisionType.XA, "xa_long_hoa", 847),
  "W_29416" : VNWard("Thị trấn Cầu Ngang", 29416, VietnamDivisionType.THI_TRAN, "thi_tran_cau_ngang", 848),
  "W_29419" : VNWard("Thị trấn Mỹ Long", 29419, VietnamDivisionType.THI_TRAN, "thi_tran_my_long", 848),
  "W_29422" : VNWard("Xã Mỹ Long Bắc", 29422, VietnamDivisionType.XA, "xa_my_long_bac", 848),
  "W_29425" : VNWard("Xã Mỹ Long Nam", 29425, VietnamDivisionType.XA, "xa_my_long_nam", 848),
  "W_29428" : VNWard("Xã Mỹ Hòa", 29428, VietnamDivisionType.XA, "xa_my_hoa", 848),
  "W_29431" : VNWard("Xã Vĩnh Kim", 29431, VietnamDivisionType.XA, "xa_vinh_kim", 848),
  "W_29434" : VNWard("Xã Kim Hòa", 29434, VietnamDivisionType.XA, "xa_kim_hoa", 848),
  "W_29437" : VNWard("Xã Hiệp Hòa", 29437, VietnamDivisionType.XA, "xa_hiep_hoa", 848),
  "W_29440" : VNWard("Xã Thuận Hòa", 29440, VietnamDivisionType.XA, "xa_thuan_hoa", 848),
  "W_29443" : VNWard("Xã Long Sơn", 29443, VietnamDivisionType.XA, "xa_long_son", 848),
  "W_29446" : VNWard("Xã Nhị Trường", 29446, VietnamDivisionType.XA, "xa_nhi_truong", 848),
  "W_29449" : VNWard("Xã Trường Thọ", 29449, VietnamDivisionType.XA, "xa_truong_tho", 848),
  "W_29452" : VNWard("Xã Hiệp Mỹ Đông", 29452, VietnamDivisionType.XA, "xa_hiep_my_dong", 848),
  "W_29455" : VNWard("Xã Hiệp Mỹ Tây", 29455, VietnamDivisionType.XA, "xa_hiep_my_tay", 848),
  "W_29458" : VNWard("Xã Thạnh Hòa Sơn", 29458, VietnamDivisionType.XA, "xa_thanh_hoa_son", 848),
  "W_29461" : VNWard("Thị trấn Trà Cú", 29461, VietnamDivisionType.THI_TRAN, "thi_tran_tra_cu", 849),
  "W_29462" : VNWard("Thị trấn Định An", 29462, VietnamDivisionType.THI_TRAN, "thi_tran_dinh_an", 849),
  "W_29464" : VNWard("Xã Phước Hưng", 29464, VietnamDivisionType.XA, "xa_phuoc_hung", 849),
  "W_29467" : VNWard("Xã Tập Sơn", 29467, VietnamDivisionType.XA, "xa_tap_son", 849),
  "W_29470" : VNWard("Xã Tân Sơn", 29470, VietnamDivisionType.XA, "xa_tan_son", 849),
  "W_29473" : VNWard("Xã An Quảng Hữu", 29473, VietnamDivisionType.XA, "xa_an_quang_huu", 849),
  "W_29476" : VNWard("Xã Lưu Nghiệp Anh", 29476, VietnamDivisionType.XA, "xa_luu_nghiep_anh", 849),
  "W_29479" : VNWard("Xã Ngãi Xuyên", 29479, VietnamDivisionType.XA, "xa_ngai_xuyen", 849),
  "W_29482" : VNWard("Xã Kim Sơn", 29482, VietnamDivisionType.XA, "xa_kim_son", 849),
  "W_29485" : VNWard("Xã Thanh Sơn", 29485, VietnamDivisionType.XA, "xa_thanh_son", 849),
  "W_29488" : VNWard("Xã Hàm Giang", 29488, VietnamDivisionType.XA, "xa_ham_giang", 849),
  "W_29489" : VNWard("Xã Hàm Tân", 29489, VietnamDivisionType.XA, "xa_ham_tan", 849),
  "W_29491" : VNWard("Xã Đại An", 29491, VietnamDivisionType.XA, "xa_dai_an", 849),
  "W_29494" : VNWard("Xã Định An", 29494, VietnamDivisionType.XA, "xa_dinh_an", 849),
  "W_29503" : VNWard("Xã Ngọc Biên", 29503, VietnamDivisionType.XA, "xa_ngoc_bien", 849),
  "W_29506" : VNWard("Xã Long Hiệp", 29506, VietnamDivisionType.XA, "xa_long_hiep", 849),
  "W_29509" : VNWard("Xã Tân Hiệp", 29509, VietnamDivisionType.XA, "xa_tan_hiep", 849),
  "W_29497" : VNWard("Xã Đôn Xuân", 29497, VietnamDivisionType.XA, "xa_don_xuan", 850),
  "W_29500" : VNWard("Xã Đôn Châu", 29500, VietnamDivisionType.XA, "xa_don_chau", 850),
  "W_29513" : VNWard("Thị trấn Long Thành", 29513, VietnamDivisionType.THI_TRAN, "thi_tran_long_thanh", 850),
  "W_29521" : VNWard("Xã Long Khánh", 29521, VietnamDivisionType.XA, "xa_long_khanh", 850),
  "W_29530" : VNWard("Xã Ngũ Lạc", 29530, VietnamDivisionType.XA, "xa_ngu_lac", 850),
  "W_29533" : VNWard("Xã Long Vĩnh", 29533, VietnamDivisionType.XA, "xa_long_vinh", 850),
  "W_29536" : VNWard("Xã Đông Hải", 29536, VietnamDivisionType.XA, "xa_dong_hai", 850),
  "W_29512" : VNWard("Phường 1", 29512, VietnamDivisionType.PHUONG, "phuong_1", 851),
  "W_29515" : VNWard("Xã Long Toàn", 29515, VietnamDivisionType.XA, "xa_long_toan", 851),
  "W_29516" : VNWard("Phường 2", 29516, VietnamDivisionType.PHUONG, "phuong_2", 851),
  "W_29518" : VNWard("Xã Long Hữu", 29518, VietnamDivisionType.XA, "xa_long_huu", 851),
  "W_29524" : VNWard("Xã Dân Thành", 29524, VietnamDivisionType.XA, "xa_dan_thanh", 851),
  "W_29527" : VNWard("Xã Trường Long Hòa", 29527, VietnamDivisionType.XA, "xa_truong_long_hoa", 851),
  "W_29539" : VNWard("Xã Hiệp Thạnh", 29539, VietnamDivisionType.XA, "xa_hiep_thanh", 851),
  "W_29542" : VNWard("Phường 9", 29542, VietnamDivisionType.PHUONG, "phuong_9", 855),
  "W_29545" : VNWard("Phường 5", 29545, VietnamDivisionType.PHUONG, "phuong_5", 855),
  "W_29548" : VNWard("Phường 1", 29548, VietnamDivisionType.PHUONG, "phuong_1", 855),
  "W_29551" : VNWard("Phường 2", 29551, VietnamDivisionType.PHUONG, "phuong_2", 855),
  "W_29554" : VNWard("Phường 4", 29554, VietnamDivisionType.PHUONG, "phuong_4", 855),
  "W_29557" : VNWard("Phường 3", 29557, VietnamDivisionType.PHUONG, "phuong_3", 855),
  "W_29560" : VNWard("Phường 8", 29560, VietnamDivisionType.PHUONG, "phuong_8", 855),
  "W_29563" : VNWard("Phường Tân Ngãi", 29563, VietnamDivisionType.PHUONG, "phuong_tan_ngai", 855),
  "W_29566" : VNWard("Phường Tân Hòa", 29566, VietnamDivisionType.PHUONG, "phuong_tan_hoa", 855),
  "W_29569" : VNWard("Phường Tân Hội", 29569, VietnamDivisionType.PHUONG, "phuong_tan_hoi", 855),
  "W_29572" : VNWard("Phường Trường An", 29572, VietnamDivisionType.PHUONG, "phuong_truong_an", 855),
  "W_29575" : VNWard("Thị trấn Long Hồ", 29575, VietnamDivisionType.THI_TRAN, "thi_tran_long_ho", 857),
  "W_29578" : VNWard("Xã Đồng Phú", 29578, VietnamDivisionType.XA, "xa_dong_phu", 857),
  "W_29581" : VNWard("Xã Bình Hòa Phước", 29581, VietnamDivisionType.XA, "xa_binh_hoa_phuoc", 857),
  "W_29584" : VNWard("Xã Hòa Ninh", 29584, VietnamDivisionType.XA, "xa_hoa_ninh", 857),
  "W_29587" : VNWard("Xã An Bình", 29587, VietnamDivisionType.XA, "xa_an_binh", 857),
  "W_29590" : VNWard("Xã Thanh Đức", 29590, VietnamDivisionType.XA, "xa_thanh_duc", 857),
  "W_29593" : VNWard("Xã Tân Hạnh", 29593, VietnamDivisionType.XA, "xa_tan_hanh", 857),
  "W_29596" : VNWard("Xã Phước Hậu", 29596, VietnamDivisionType.XA, "xa_phuoc_hau", 857),
  "W_29599" : VNWard("Xã Long Phước", 29599, VietnamDivisionType.XA, "xa_long_phuoc", 857),
  "W_29602" : VNWard("Xã Phú Đức", 29602, VietnamDivisionType.XA, "xa_phu_duc", 857),
  "W_29605" : VNWard("Xã Lộc Hòa", 29605, VietnamDivisionType.XA, "xa_loc_hoa", 857),
  "W_29608" : VNWard("Xã Long An", 29608, VietnamDivisionType.XA, "xa_long_an", 857),
  "W_29611" : VNWard("Xã Phú Quới", 29611, VietnamDivisionType.XA, "xa_phu_quoi", 857),
  "W_29614" : VNWard("Xã Thạnh Quới", 29614, VietnamDivisionType.XA, "xa_thanh_quoi", 857),
  "W_29617" : VNWard("Xã Hòa Phú", 29617, VietnamDivisionType.XA, "xa_hoa_phu", 857),
  "W_29623" : VNWard("Xã Mỹ An", 29623, VietnamDivisionType.XA, "xa_my_an", 858),
  "W_29626" : VNWard("Xã Mỹ Phước", 29626, VietnamDivisionType.XA, "xa_my_phuoc", 858),
  "W_29629" : VNWard("Xã An Phước", 29629, VietnamDivisionType.XA, "xa_an_phuoc", 858),
  "W_29632" : VNWard("Xã Nhơn Phú", 29632, VietnamDivisionType.XA, "xa_nhon_phu", 858),
  "W_29635" : VNWard("Xã Long Mỹ", 29635, VietnamDivisionType.XA, "xa_long_my", 858),
  "W_29638" : VNWard("Xã Hòa Tịnh", 29638, VietnamDivisionType.XA, "xa_hoa_tinh", 858),
  "W_29641" : VNWard("Thị trấn Cái Nhum", 29641, VietnamDivisionType.THI_TRAN, "thi_tran_cai_nhum", 858),
  "W_29644" : VNWard("Xã Bình Phước", 29644, VietnamDivisionType.XA, "xa_binh_phuoc", 858),
  "W_29647" : VNWard("Xã Chánh An", 29647, VietnamDivisionType.XA, "xa_chanh_an", 858),
  "W_29650" : VNWard("Xã Tân An Hội", 29650, VietnamDivisionType.XA, "xa_tan_an_hoi", 858),
  "W_29653" : VNWard("Xã Tân Long", 29653, VietnamDivisionType.XA, "xa_tan_long", 858),
  "W_29656" : VNWard("Xã Tân Long Hội", 29656, VietnamDivisionType.XA, "xa_tan_long_hoi", 858),
  "W_29659" : VNWard("Thị trấn Vũng Liêm", 29659, VietnamDivisionType.THI_TRAN, "thi_tran_vung_liem", 859),
  "W_29662" : VNWard("Xã Tân Quới Trung", 29662, VietnamDivisionType.XA, "xa_tan_quoi_trung", 859),
  "W_29665" : VNWard("Xã Quới Thiện", 29665, VietnamDivisionType.XA, "xa_quoi_thien", 859),
  "W_29668" : VNWard("Xã Quới An", 29668, VietnamDivisionType.XA, "xa_quoi_an", 859),
  "W_29671" : VNWard("Xã Trung Chánh", 29671, VietnamDivisionType.XA, "xa_trung_chanh", 859),
  "W_29674" : VNWard("Xã Tân An Luông", 29674, VietnamDivisionType.XA, "xa_tan_an_luong", 859),
  "W_29677" : VNWard("Xã Thanh Bình", 29677, VietnamDivisionType.XA, "xa_thanh_binh", 859),
  "W_29680" : VNWard("Xã Trung Thành Tây", 29680, VietnamDivisionType.XA, "xa_trung_thanh_tay", 859),
  "W_29683" : VNWard("Xã Trung Hiệp", 29683, VietnamDivisionType.XA, "xa_trung_hiep", 859),
  "W_29686" : VNWard("Xã Hiếu Phụng", 29686, VietnamDivisionType.XA, "xa_hieu_phung", 859),
  "W_29689" : VNWard("Xã Trung Thành Đông", 29689, VietnamDivisionType.XA, "xa_trung_thanh_dong", 859),
  "W_29692" : VNWard("Xã Trung Thành", 29692, VietnamDivisionType.XA, "xa_trung_thanh", 859),
  "W_29695" : VNWard("Xã Trung Hiếu", 29695, VietnamDivisionType.XA, "xa_trung_hieu", 859),
  "W_29698" : VNWard("Xã Trung Ngãi", 29698, VietnamDivisionType.XA, "xa_trung_ngai", 859),
  "W_29701" : VNWard("Xã Hiếu Thuận", 29701, VietnamDivisionType.XA, "xa_hieu_thuan", 859),
  "W_29704" : VNWard("Xã Trung Nghĩa", 29704, VietnamDivisionType.XA, "xa_trung_nghia", 859),
  "W_29707" : VNWard("Xã Trung An", 29707, VietnamDivisionType.XA, "xa_trung_an", 859),
  "W_29710" : VNWard("Xã Hiếu Nhơn", 29710, VietnamDivisionType.XA, "xa_hieu_nhon", 859),
  "W_29713" : VNWard("Xã Hiếu Thành", 29713, VietnamDivisionType.XA, "xa_hieu_thanh", 859),
  "W_29716" : VNWard("Xã Hiếu Nghĩa", 29716, VietnamDivisionType.XA, "xa_hieu_nghia", 859),
  "W_29719" : VNWard("Thị trấn Tam Bình", 29719, VietnamDivisionType.THI_TRAN, "thi_tran_tam_binh", 860),
  "W_29722" : VNWard("Xã Tân Lộc", 29722, VietnamDivisionType.XA, "xa_tan_loc", 860),
  "W_29725" : VNWard("Xã Phú Thịnh", 29725, VietnamDivisionType.XA, "xa_phu_thinh", 860),
  "W_29728" : VNWard("Xã Hậu Lộc", 29728, VietnamDivisionType.XA, "xa_hau_loc", 860),
  "W_29731" : VNWard("Xã Hòa Thạnh", 29731, VietnamDivisionType.XA, "xa_hoa_thanh", 860),
  "W_29734" : VNWard("Xã Hoà Lộc", 29734, VietnamDivisionType.XA, "xa_hoa_loc", 860),
  "W_29737" : VNWard("Xã Phú Lộc", 29737, VietnamDivisionType.XA, "xa_phu_loc", 860),
  "W_29740" : VNWard("Xã Song Phú", 29740, VietnamDivisionType.XA, "xa_song_phu", 860),
  "W_29743" : VNWard("Xã Hòa Hiệp", 29743, VietnamDivisionType.XA, "xa_hoa_hiep", 860),
  "W_29746" : VNWard("Xã Mỹ Lộc", 29746, VietnamDivisionType.XA, "xa_my_loc", 860),
  "W_29749" : VNWard("Xã Tân Phú", 29749, VietnamDivisionType.XA, "xa_tan_phu", 860),
  "W_29752" : VNWard("Xã Long Phú", 29752, VietnamDivisionType.XA, "xa_long_phu", 860),
  "W_29755" : VNWard("Xã Mỹ Thạnh Trung", 29755, VietnamDivisionType.XA, "xa_my_thanh_trung", 860),
  "W_29758" : VNWard("Xã Tường Lộc", 29758, VietnamDivisionType.XA, "xa_tuong_loc", 860),
  "W_29761" : VNWard("Xã Loan Mỹ", 29761, VietnamDivisionType.XA, "xa_loan_my", 860),
  "W_29764" : VNWard("Xã Ngãi Tứ", 29764, VietnamDivisionType.XA, "xa_ngai_tu", 860),
  "W_29767" : VNWard("Xã Bình Ninh", 29767, VietnamDivisionType.XA, "xa_binh_ninh", 860),
  "W_29770" : VNWard("Phường Cái Vồn", 29770, VietnamDivisionType.PHUONG, "phuong_cai_von", 861),
  "W_29771" : VNWard("Phường Thành Phước", 29771, VietnamDivisionType.PHUONG, "phuong_thanh_phuoc", 861),
  "W_29806" : VNWard("Xã Thuận An", 29806, VietnamDivisionType.XA, "xa_thuan_an", 861),
  "W_29809" : VNWard("Xã Đông Thạnh", 29809, VietnamDivisionType.XA, "xa_dong_thanh", 861),
  "W_29812" : VNWard("Xã Đông Bình", 29812, VietnamDivisionType.XA, "xa_dong_binh", 861),
  "W_29813" : VNWard("Phường Đông Thuận", 29813, VietnamDivisionType.PHUONG, "phuong_dong_thuan", 861),
  "W_29815" : VNWard("Xã Mỹ Hòa", 29815, VietnamDivisionType.XA, "xa_my_hoa", 861),
  "W_29818" : VNWard("Xã Đông Thành", 29818, VietnamDivisionType.XA, "xa_dong_thanh", 861),
  "W_29821" : VNWard("Thị trấn Trà Ôn", 29821, VietnamDivisionType.THI_TRAN, "thi_tran_tra_on", 862),
  "W_29824" : VNWard("Xã Xuân Hiệp", 29824, VietnamDivisionType.XA, "xa_xuan_hiep", 862),
  "W_29827" : VNWard("Xã Nhơn Bình", 29827, VietnamDivisionType.XA, "xa_nhon_binh", 862),
  "W_29830" : VNWard("Xã Hòa Bình", 29830, VietnamDivisionType.XA, "xa_hoa_binh", 862),
  "W_29833" : VNWard("Xã Thới Hòa", 29833, VietnamDivisionType.XA, "xa_thoi_hoa", 862),
  "W_29836" : VNWard("Xã Trà Côn", 29836, VietnamDivisionType.XA, "xa_tra_con", 862),
  "W_29839" : VNWard("Xã Tân Mỹ", 29839, VietnamDivisionType.XA, "xa_tan_my", 862),
  "W_29842" : VNWard("Xã Hựu Thành", 29842, VietnamDivisionType.XA, "xa_huu_thanh", 862),
  "W_29845" : VNWard("Xã Vĩnh Xuân", 29845, VietnamDivisionType.XA, "xa_vinh_xuan", 862),
  "W_29848" : VNWard("Xã Thuận Thới", 29848, VietnamDivisionType.XA, "xa_thuan_thoi", 862),
  "W_29851" : VNWard("Xã Phú Thành", 29851, VietnamDivisionType.XA, "xa_phu_thanh", 862),
  "W_29854" : VNWard("Xã Thiện Mỹ", 29854, VietnamDivisionType.XA, "xa_thien_my", 862),
  "W_29857" : VNWard("Xã Lục Sỹ Thành", 29857, VietnamDivisionType.XA, "xa_luc_sy_thanh", 862),
  "W_29860" : VNWard("Xã Tích Thiện", 29860, VietnamDivisionType.XA, "xa_tich_thien", 862),
  "W_29773" : VNWard("Xã Tân Hưng", 29773, VietnamDivisionType.XA, "xa_tan_hung", 863),
  "W_29776" : VNWard("Xã Tân Thành", 29776, VietnamDivisionType.XA, "xa_tan_thanh", 863),
  "W_29779" : VNWard("Xã Thành Trung", 29779, VietnamDivisionType.XA, "xa_thanh_trung", 863),
  "W_29782" : VNWard("Xã Tân An Thạnh", 29782, VietnamDivisionType.XA, "xa_tan_an_thanh", 863),
  "W_29785" : VNWard("Xã Tân Lược", 29785, VietnamDivisionType.XA, "xa_tan_luoc", 863),
  "W_29788" : VNWard("Xã Nguyễn Văn Thảnh", 29788, VietnamDivisionType.XA, "xa_nguyen_van_thanh", 863),
  "W_29791" : VNWard("Xã Thành Lợi", 29791, VietnamDivisionType.XA, "xa_thanh_loi", 863),
  "W_29794" : VNWard("Xã Mỹ Thuận", 29794, VietnamDivisionType.XA, "xa_my_thuan", 863),
  "W_29797" : VNWard("Xã Tân Bình", 29797, VietnamDivisionType.XA, "xa_tan_binh", 863),
  "W_29800" : VNWard("Thị trấn Tân Quới", 29800, VietnamDivisionType.THI_TRAN, "thi_tran_tan_quoi", 863),
  "W_29863" : VNWard("Phường 11", 29863, VietnamDivisionType.PHUONG, "phuong_11", 866),
  "W_29866" : VNWard("Phường 1", 29866, VietnamDivisionType.PHUONG, "phuong_1", 866),
  "W_29869" : VNWard("Phường 2", 29869, VietnamDivisionType.PHUONG, "phuong_2", 866),
  "W_29872" : VNWard("Phường 4", 29872, VietnamDivisionType.PHUONG, "phuong_4", 866),
  "W_29875" : VNWard("Phường 3", 29875, VietnamDivisionType.PHUONG, "phuong_3", 866),
  "W_29878" : VNWard("Phường 6", 29878, VietnamDivisionType.PHUONG, "phuong_6", 866),
  "W_29881" : VNWard("Xã Mỹ Ngãi", 29881, VietnamDivisionType.XA, "xa_my_ngai", 866),
  "W_29884" : VNWard("Xã Mỹ Tân", 29884, VietnamDivisionType.XA, "xa_my_tan", 866),
  "W_29887" : VNWard("Xã Mỹ Trà", 29887, VietnamDivisionType.XA, "xa_my_tra", 866),
  "W_29888" : VNWard("Phường Mỹ Phú", 29888, VietnamDivisionType.PHUONG, "phuong_my_phu", 866),
  "W_29890" : VNWard("Xã Tân Thuận Tây", 29890, VietnamDivisionType.XA, "xa_tan_thuan_tay", 866),
  "W_29892" : VNWard("Phường Hoà Thuận", 29892, VietnamDivisionType.PHUONG, "phuong_hoa_thuan", 866),
  "W_29893" : VNWard("Xã Hòa An", 29893, VietnamDivisionType.XA, "xa_hoa_an", 866),
  "W_29896" : VNWard("Xã Tân Thuận Đông", 29896, VietnamDivisionType.XA, "xa_tan_thuan_dong", 866),
  "W_29899" : VNWard("Xã Tịnh Thới", 29899, VietnamDivisionType.XA, "xa_tinh_thoi", 866),
  "W_29902" : VNWard("Phường 3", 29902, VietnamDivisionType.PHUONG, "phuong_3", 867),
  "W_29905" : VNWard("Phường 1", 29905, VietnamDivisionType.PHUONG, "phuong_1", 867),
  "W_29908" : VNWard("Phường 4", 29908, VietnamDivisionType.PHUONG, "phuong_4", 867),
  "W_29911" : VNWard("Phường 2", 29911, VietnamDivisionType.PHUONG, "phuong_2", 867),
  "W_29914" : VNWard("Xã Tân Khánh Đông", 29914, VietnamDivisionType.XA, "xa_tan_khanh_dong", 867),
  "W_29917" : VNWard("Phường Tân Quy Đông", 29917, VietnamDivisionType.PHUONG, "phuong_tan_quy_dong", 867),
  "W_29919" : VNWard("Phường An Hoà", 29919, VietnamDivisionType.PHUONG, "phuong_an_hoa", 867),
  "W_29920" : VNWard("Xã Tân Quy Tây", 29920, VietnamDivisionType.XA, "xa_tan_quy_tay", 867),
  "W_29923" : VNWard("Xã Tân Phú Đông", 29923, VietnamDivisionType.XA, "xa_tan_phu_dong", 867),
  "W_29954" : VNWard("Phường An Lộc", 29954, VietnamDivisionType.PHUONG, "phuong_an_loc", 868),
  "W_29955" : VNWard("Phường An Thạnh", 29955, VietnamDivisionType.PHUONG, "phuong_an_thanh", 868),
  "W_29959" : VNWard("Xã Bình Thạnh", 29959, VietnamDivisionType.XA, "xa_binh_thanh", 868),
  "W_29965" : VNWard("Xã Tân Hội", 29965, VietnamDivisionType.XA, "xa_tan_hoi", 868),
  "W_29978" : VNWard("Phường An Lạc", 29978, VietnamDivisionType.PHUONG, "phuong_an_lac", 868),
  "W_29986" : VNWard("Phường An Bình B", 29986, VietnamDivisionType.PHUONG, "phuong_an_binh_b", 868),
  "W_29989" : VNWard("Phường An Bình A", 29989, VietnamDivisionType.PHUONG, "phuong_an_binh_a", 868),
  "W_29926" : VNWard("Thị trấn Sa Rài", 29926, VietnamDivisionType.THI_TRAN, "thi_tran_sa_rai", 869),
  "W_29929" : VNWard("Xã Tân Hộ Cơ", 29929, VietnamDivisionType.XA, "xa_tan_ho_co", 869),
  "W_29932" : VNWard("Xã Thông Bình", 29932, VietnamDivisionType.XA, "xa_thong_binh", 869),
  "W_29935" : VNWard("Xã Bình Phú", 29935, VietnamDivisionType.XA, "xa_binh_phu", 869),
  "W_29938" : VNWard("Xã Tân Thành A", 29938, VietnamDivisionType.XA, "xa_tan_thanh_a", 869),
  "W_29941" : VNWard("Xã Tân Thành B", 29941, VietnamDivisionType.XA, "xa_tan_thanh_b", 869),
  "W_29944" : VNWard("Xã Tân Phước", 29944, VietnamDivisionType.XA, "xa_tan_phuoc", 869),
  "W_29947" : VNWard("Xã Tân Công Chí", 29947, VietnamDivisionType.XA, "xa_tan_cong_chi", 869),
  "W_29950" : VNWard("Xã An Phước", 29950, VietnamDivisionType.XA, "xa_an_phuoc", 869),
  "W_29956" : VNWard("Xã Thường Phước 1", 29956, VietnamDivisionType.XA, "xa_thuong_phuoc_1", 870),
  "W_29962" : VNWard("Xã Thường Thới Hậu A", 29962, VietnamDivisionType.XA, "xa_thuong_thoi_hau_a", 870),
  "W_29971" : VNWard("Thị trấn Thường Thới Tiền", 29971, VietnamDivisionType.THI_TRAN, "thi_tran_thuong_thoi_tien", 870),
  "W_29974" : VNWard("Xã Thường Phước 2", 29974, VietnamDivisionType.XA, "xa_thuong_phuoc_2", 870),
  "W_29977" : VNWard("Xã Thường Lạc", 29977, VietnamDivisionType.XA, "xa_thuong_lac", 870),
  "W_29980" : VNWard("Xã Long Khánh A", 29980, VietnamDivisionType.XA, "xa_long_khanh_a", 870),
  "W_29983" : VNWard("Xã Long Khánh B", 29983, VietnamDivisionType.XA, "xa_long_khanh_b", 870),
  "W_29992" : VNWard("Xã Long Thuận", 29992, VietnamDivisionType.XA, "xa_long_thuan", 870),
  "W_29995" : VNWard("Xã Phú Thuận B", 29995, VietnamDivisionType.XA, "xa_phu_thuan_b", 870),
  "W_29998" : VNWard("Xã Phú Thuận A", 29998, VietnamDivisionType.XA, "xa_phu_thuan_a", 870),
  "W_30001" : VNWard("Thị trấn Tràm Chim", 30001, VietnamDivisionType.THI_TRAN, "thi_tran_tram_chim", 871),
  "W_30004" : VNWard("Xã Hoà Bình", 30004, VietnamDivisionType.XA, "xa_hoa_binh", 871),
  "W_30007" : VNWard("Xã Tân Công Sính", 30007, VietnamDivisionType.XA, "xa_tan_cong_sinh", 871),
  "W_30010" : VNWard("Xã Phú Hiệp", 30010, VietnamDivisionType.XA, "xa_phu_hiep", 871),
  "W_30013" : VNWard("Xã Phú Đức", 30013, VietnamDivisionType.XA, "xa_phu_duc", 871),
  "W_30016" : VNWard("Xã Phú Thành B", 30016, VietnamDivisionType.XA, "xa_phu_thanh_b", 871),
  "W_30019" : VNWard("Xã An Hòa", 30019, VietnamDivisionType.XA, "xa_an_hoa", 871),
  "W_30022" : VNWard("Xã An Long", 30022, VietnamDivisionType.XA, "xa_an_long", 871),
  "W_30025" : VNWard("Xã Phú Cường", 30025, VietnamDivisionType.XA, "xa_phu_cuong", 871),
  "W_30028" : VNWard("Xã Phú Ninh", 30028, VietnamDivisionType.XA, "xa_phu_ninh", 871),
  "W_30031" : VNWard("Xã Phú Thọ", 30031, VietnamDivisionType.XA, "xa_phu_tho", 871),
  "W_30034" : VNWard("Xã Phú Thành A", 30034, VietnamDivisionType.XA, "xa_phu_thanh_a", 871),
  "W_30037" : VNWard("Thị trấn Mỹ An", 30037, VietnamDivisionType.THI_TRAN, "thi_tran_my_an", 872),
  "W_30040" : VNWard("Xã Thạnh Lợi", 30040, VietnamDivisionType.XA, "xa_thanh_loi", 872),
  "W_30043" : VNWard("Xã Hưng Thạnh", 30043, VietnamDivisionType.XA, "xa_hung_thanh", 872),
  "W_30046" : VNWard("Xã Trường Xuân", 30046, VietnamDivisionType.XA, "xa_truong_xuan", 872),
  "W_30049" : VNWard("Xã Tân Kiều", 30049, VietnamDivisionType.XA, "xa_tan_kieu", 872),
  "W_30052" : VNWard("Xã Mỹ Hòa", 30052, VietnamDivisionType.XA, "xa_my_hoa", 872),
  "W_30055" : VNWard("Xã Mỹ Quý", 30055, VietnamDivisionType.XA, "xa_my_quy", 872),
  "W_30058" : VNWard("Xã Mỹ Đông", 30058, VietnamDivisionType.XA, "xa_my_dong", 872),
  "W_30061" : VNWard("Xã Đốc Binh Kiều", 30061, VietnamDivisionType.XA, "xa_doc_binh_kieu", 872),
  "W_30064" : VNWard("Xã Mỹ An", 30064, VietnamDivisionType.XA, "xa_my_an", 872),
  "W_30067" : VNWard("Xã Phú Điền", 30067, VietnamDivisionType.XA, "xa_phu_dien", 872),
  "W_30070" : VNWard("Xã Láng Biển", 30070, VietnamDivisionType.XA, "xa_lang_bien", 872),
  "W_30073" : VNWard("Xã Thanh Mỹ", 30073, VietnamDivisionType.XA, "xa_thanh_my", 872),
  "W_30076" : VNWard("Thị trấn Mỹ Thọ", 30076, VietnamDivisionType.THI_TRAN, "thi_tran_my_tho", 873),
  "W_30079" : VNWard("Xã Gáo Giồng", 30079, VietnamDivisionType.XA, "xa_gao_giong", 873),
  "W_30082" : VNWard("Xã Phương Thịnh", 30082, VietnamDivisionType.XA, "xa_phuong_thinh", 873),
  "W_30085" : VNWard("Xã Ba Sao", 30085, VietnamDivisionType.XA, "xa_ba_sao", 873),
  "W_30088" : VNWard("Xã Phong Mỹ", 30088, VietnamDivisionType.XA, "xa_phong_my", 873),
  "W_30091" : VNWard("Xã Tân Nghĩa", 30091, VietnamDivisionType.XA, "xa_tan_nghia", 873),
  "W_30094" : VNWard("Xã Phương Trà", 30094, VietnamDivisionType.XA, "xa_phuong_tra", 873),
  "W_30097" : VNWard("Xã Nhị Mỹ", 30097, VietnamDivisionType.XA, "xa_nhi_my", 873),
  "W_30100" : VNWard("Xã Mỹ Thọ", 30100, VietnamDivisionType.XA, "xa_my_tho", 873),
  "W_30103" : VNWard("Xã Tân Hội Trung", 30103, VietnamDivisionType.XA, "xa_tan_hoi_trung", 873),
  "W_30106" : VNWard("Xã An Bình", 30106, VietnamDivisionType.XA, "xa_an_binh", 873),
  "W_30109" : VNWard("Xã Mỹ Hội", 30109, VietnamDivisionType.XA, "xa_my_hoi", 873),
  "W_30112" : VNWard("Xã Mỹ Hiệp", 30112, VietnamDivisionType.XA, "xa_my_hiep", 873),
  "W_30115" : VNWard("Xã Mỹ Long", 30115, VietnamDivisionType.XA, "xa_my_long", 873),
  "W_30118" : VNWard("Xã Bình Hàng Trung", 30118, VietnamDivisionType.XA, "xa_binh_hang_trung", 873),
  "W_30121" : VNWard("Xã Mỹ Xương", 30121, VietnamDivisionType.XA, "xa_my_xuong", 873),
  "W_30124" : VNWard("Xã Bình Hàng Tây", 30124, VietnamDivisionType.XA, "xa_binh_hang_tay", 873),
  "W_30127" : VNWard("Xã Bình Thạnh", 30127, VietnamDivisionType.XA, "xa_binh_thanh", 873),
  "W_30130" : VNWard("Thị trấn Thanh Bình", 30130, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_binh", 874),
  "W_30133" : VNWard("Xã Tân Quới", 30133, VietnamDivisionType.XA, "xa_tan_quoi", 874),
  "W_30136" : VNWard("Xã Tân Hòa", 30136, VietnamDivisionType.XA, "xa_tan_hoa", 874),
  "W_30139" : VNWard("Xã An Phong", 30139, VietnamDivisionType.XA, "xa_an_phong", 874),
  "W_30142" : VNWard("Xã Phú Lợi", 30142, VietnamDivisionType.XA, "xa_phu_loi", 874),
  "W_30145" : VNWard("Xã Tân Mỹ", 30145, VietnamDivisionType.XA, "xa_tan_my", 874),
  "W_30148" : VNWard("Xã Bình Tấn", 30148, VietnamDivisionType.XA, "xa_binh_tan", 874),
  "W_30151" : VNWard("Xã Tân Huề", 30151, VietnamDivisionType.XA, "xa_tan_hue", 874),
  "W_30154" : VNWard("Xã Tân Bình", 30154, VietnamDivisionType.XA, "xa_tan_binh", 874),
  "W_30157" : VNWard("Xã Tân Thạnh", 30157, VietnamDivisionType.XA, "xa_tan_thanh", 874),
  "W_30160" : VNWard("Xã Tân Phú", 30160, VietnamDivisionType.XA, "xa_tan_phu", 874),
  "W_30163" : VNWard("Xã Bình Thành", 30163, VietnamDivisionType.XA, "xa_binh_thanh", 874),
  "W_30166" : VNWard("Xã Tân Long", 30166, VietnamDivisionType.XA, "xa_tan_long", 874),
  "W_30169" : VNWard("Thị trấn Lấp Vò", 30169, VietnamDivisionType.THI_TRAN, "thi_tran_lap_vo", 875),
  "W_30172" : VNWard("Xã Mỹ An Hưng A", 30172, VietnamDivisionType.XA, "xa_my_an_hung_a", 875),
  "W_30175" : VNWard("Xã Tân Mỹ", 30175, VietnamDivisionType.XA, "xa_tan_my", 875),
  "W_30178" : VNWard("Xã Mỹ An Hưng B", 30178, VietnamDivisionType.XA, "xa_my_an_hung_b", 875),
  "W_30181" : VNWard("Xã Tân Khánh Trung", 30181, VietnamDivisionType.XA, "xa_tan_khanh_trung", 875),
  "W_30184" : VNWard("Xã Long Hưng A", 30184, VietnamDivisionType.XA, "xa_long_hung_a", 875),
  "W_30187" : VNWard("Xã Vĩnh Thạnh", 30187, VietnamDivisionType.XA, "xa_vinh_thanh", 875),
  "W_30190" : VNWard("Xã Long Hưng B", 30190, VietnamDivisionType.XA, "xa_long_hung_b", 875),
  "W_30193" : VNWard("Xã Bình Thành", 30193, VietnamDivisionType.XA, "xa_binh_thanh", 875),
  "W_30196" : VNWard("Xã Định An", 30196, VietnamDivisionType.XA, "xa_dinh_an", 875),
  "W_30199" : VNWard("Xã Định Yên", 30199, VietnamDivisionType.XA, "xa_dinh_yen", 875),
  "W_30202" : VNWard("Xã Hội An Đông", 30202, VietnamDivisionType.XA, "xa_hoi_an_dong", 875),
  "W_30205" : VNWard("Xã Bình Thạnh Trung", 30205, VietnamDivisionType.XA, "xa_binh_thanh_trung", 875),
  "W_30208" : VNWard("Thị trấn Lai Vung", 30208, VietnamDivisionType.THI_TRAN, "thi_tran_lai_vung", 876),
  "W_30211" : VNWard("Xã Tân Dương", 30211, VietnamDivisionType.XA, "xa_tan_duong", 876),
  "W_30214" : VNWard("Xã Hòa Thành", 30214, VietnamDivisionType.XA, "xa_hoa_thanh", 876),
  "W_30217" : VNWard("Xã Long Hậu", 30217, VietnamDivisionType.XA, "xa_long_hau", 876),
  "W_30220" : VNWard("Xã Tân Phước", 30220, VietnamDivisionType.XA, "xa_tan_phuoc", 876),
  "W_30223" : VNWard("Xã Hòa Long", 30223, VietnamDivisionType.XA, "xa_hoa_long", 876),
  "W_30226" : VNWard("Xã Tân Thành", 30226, VietnamDivisionType.XA, "xa_tan_thanh", 876),
  "W_30229" : VNWard("Xã Long Thắng", 30229, VietnamDivisionType.XA, "xa_long_thang", 876),
  "W_30232" : VNWard("Xã Vĩnh Thới", 30232, VietnamDivisionType.XA, "xa_vinh_thoi", 876),
  "W_30235" : VNWard("Xã Tân Hòa", 30235, VietnamDivisionType.XA, "xa_tan_hoa", 876),
  "W_30238" : VNWard("Xã Định Hòa", 30238, VietnamDivisionType.XA, "xa_dinh_hoa", 876),
  "W_30241" : VNWard("Xã Phong Hòa", 30241, VietnamDivisionType.XA, "xa_phong_hoa", 876),
  "W_30244" : VNWard("Thị trấn Cái Tàu Hạ", 30244, VietnamDivisionType.THI_TRAN, "thi_tran_cai_tau_ha", 877),
  "W_30247" : VNWard("Xã An Hiệp", 30247, VietnamDivisionType.XA, "xa_an_hiep", 877),
  "W_30250" : VNWard("Xã An Nhơn", 30250, VietnamDivisionType.XA, "xa_an_nhon", 877),
  "W_30253" : VNWard("Xã Tân Nhuận Đông", 30253, VietnamDivisionType.XA, "xa_tan_nhuan_dong", 877),
  "W_30256" : VNWard("Xã Tân Bình", 30256, VietnamDivisionType.XA, "xa_tan_binh", 877),
  "W_30259" : VNWard("Xã Tân Phú Trung", 30259, VietnamDivisionType.XA, "xa_tan_phu_trung", 877),
  "W_30262" : VNWard("Xã Phú Long", 30262, VietnamDivisionType.XA, "xa_phu_long", 877),
  "W_30265" : VNWard("Xã An Phú Thuận", 30265, VietnamDivisionType.XA, "xa_an_phu_thuan", 877),
  "W_30268" : VNWard("Xã Phú Hựu", 30268, VietnamDivisionType.XA, "xa_phu_huu", 877),
  "W_30271" : VNWard("Xã An Khánh", 30271, VietnamDivisionType.XA, "xa_an_khanh", 877),
  "W_30274" : VNWard("Xã Tân Phú", 30274, VietnamDivisionType.XA, "xa_tan_phu", 877),
  "W_30277" : VNWard("Xã Hòa Tân", 30277, VietnamDivisionType.XA, "xa_hoa_tan", 877),
  "W_30280" : VNWard("Phường Mỹ Bình", 30280, VietnamDivisionType.PHUONG, "phuong_my_binh", 883),
  "W_30283" : VNWard("Phường Mỹ Long", 30283, VietnamDivisionType.PHUONG, "phuong_my_long", 883),
  "W_30285" : VNWard("Phường Đông Xuyên", 30285, VietnamDivisionType.PHUONG, "phuong_dong_xuyen", 883),
  "W_30286" : VNWard("Phường Mỹ Xuyên", 30286, VietnamDivisionType.PHUONG, "phuong_my_xuyen", 883),
  "W_30289" : VNWard("Phường Bình Đức", 30289, VietnamDivisionType.PHUONG, "phuong_binh_duc", 883),
  "W_30292" : VNWard("Phường Bình Khánh", 30292, VietnamDivisionType.PHUONG, "phuong_binh_khanh", 883),
  "W_30295" : VNWard("Phường Mỹ Phước", 30295, VietnamDivisionType.PHUONG, "phuong_my_phuoc", 883),
  "W_30298" : VNWard("Phường Mỹ Quý", 30298, VietnamDivisionType.PHUONG, "phuong_my_quy", 883),
  "W_30301" : VNWard("Phường Mỹ Thới", 30301, VietnamDivisionType.PHUONG, "phuong_my_thoi", 883),
  "W_30304" : VNWard("Phường Mỹ Thạnh", 30304, VietnamDivisionType.PHUONG, "phuong_my_thanh", 883),
  "W_30307" : VNWard("Phường Mỹ Hòa", 30307, VietnamDivisionType.PHUONG, "phuong_my_hoa", 883),
  "W_30310" : VNWard("Xã Mỹ Khánh", 30310, VietnamDivisionType.XA, "xa_my_khanh", 883),
  "W_30313" : VNWard("Xã Mỹ Hoà Hưng", 30313, VietnamDivisionType.XA, "xa_my_hoa_hung", 883),
  "W_30316" : VNWard("Phường Châu Phú B", 30316, VietnamDivisionType.PHUONG, "phuong_chau_phu_b", 884),
  "W_30319" : VNWard("Phường Châu Phú A", 30319, VietnamDivisionType.PHUONG, "phuong_chau_phu_a", 884),
  "W_30322" : VNWard("Phường Vĩnh Mỹ", 30322, VietnamDivisionType.PHUONG, "phuong_vinh_my", 884),
  "W_30325" : VNWard("Phường Núi Sam", 30325, VietnamDivisionType.PHUONG, "phuong_nui_sam", 884),
  "W_30328" : VNWard("Phường Vĩnh Ngươn", 30328, VietnamDivisionType.PHUONG, "phuong_vinh_nguon", 884),
  "W_30331" : VNWard("Xã Vĩnh Tế", 30331, VietnamDivisionType.XA, "xa_vinh_te", 884),
  "W_30334" : VNWard("Xã Vĩnh Châu", 30334, VietnamDivisionType.XA, "xa_vinh_chau", 884),
  "W_30337" : VNWard("Thị trấn An Phú", 30337, VietnamDivisionType.THI_TRAN, "thi_tran_an_phu", 886),
  "W_30340" : VNWard("Xã Khánh An", 30340, VietnamDivisionType.XA, "xa_khanh_an", 886),
  "W_30341" : VNWard("Thị trấn Long Bình", 30341, VietnamDivisionType.THI_TRAN, "thi_tran_long_binh", 886),
  "W_30343" : VNWard("Xã Khánh Bình", 30343, VietnamDivisionType.XA, "xa_khanh_binh", 886),
  "W_30346" : VNWard("Xã Quốc Thái", 30346, VietnamDivisionType.XA, "xa_quoc_thai", 886),
  "W_30349" : VNWard("Xã Nhơn Hội", 30349, VietnamDivisionType.XA, "xa_nhon_hoi", 886),
  "W_30352" : VNWard("Xã Phú Hữu", 30352, VietnamDivisionType.XA, "xa_phu_huu", 886),
  "W_30355" : VNWard("Xã Phú Hội", 30355, VietnamDivisionType.XA, "xa_phu_hoi", 886),
  "W_30358" : VNWard("Xã Phước Hưng", 30358, VietnamDivisionType.XA, "xa_phuoc_hung", 886),
  "W_30361" : VNWard("Xã Vĩnh Lộc", 30361, VietnamDivisionType.XA, "xa_vinh_loc", 886),
  "W_30364" : VNWard("Xã Vĩnh Hậu", 30364, VietnamDivisionType.XA, "xa_vinh_hau", 886),
  "W_30367" : VNWard("Xã Vĩnh Trường", 30367, VietnamDivisionType.XA, "xa_vinh_truong", 886),
  "W_30370" : VNWard("Xã Vĩnh Hội Đông", 30370, VietnamDivisionType.XA, "xa_vinh_hoi_dong", 886),
  "W_30373" : VNWard("Xã Đa Phước", 30373, VietnamDivisionType.XA, "xa_da_phuoc", 886),
  "W_30376" : VNWard("Phường Long Thạnh", 30376, VietnamDivisionType.PHUONG, "phuong_long_thanh", 887),
  "W_30377" : VNWard("Phường Long Hưng", 30377, VietnamDivisionType.PHUONG, "phuong_long_hung", 887),
  "W_30378" : VNWard("Phường Long Châu", 30378, VietnamDivisionType.PHUONG, "phuong_long_chau", 887),
  "W_30379" : VNWard("Xã Phú Lộc", 30379, VietnamDivisionType.XA, "xa_phu_loc", 887),
  "W_30382" : VNWard("Xã Vĩnh Xương", 30382, VietnamDivisionType.XA, "xa_vinh_xuong", 887),
  "W_30385" : VNWard("Xã Vĩnh Hòa", 30385, VietnamDivisionType.XA, "xa_vinh_hoa", 887),
  "W_30387" : VNWard("Xã Tân Thạnh", 30387, VietnamDivisionType.XA, "xa_tan_thanh", 887),
  "W_30388" : VNWard("Xã Tân An", 30388, VietnamDivisionType.XA, "xa_tan_an", 887),
  "W_30391" : VNWard("Xã Long An", 30391, VietnamDivisionType.XA, "xa_long_an", 887),
  "W_30394" : VNWard("Phường Long Phú", 30394, VietnamDivisionType.PHUONG, "phuong_long_phu", 887),
  "W_30397" : VNWard("Xã Châu Phong", 30397, VietnamDivisionType.XA, "xa_chau_phong", 887),
  "W_30400" : VNWard("Xã Phú Vĩnh", 30400, VietnamDivisionType.XA, "xa_phu_vinh", 887),
  "W_30403" : VNWard("Xã Lê Chánh", 30403, VietnamDivisionType.XA, "xa_le_chanh", 887),
  "W_30412" : VNWard("Phường Long Sơn", 30412, VietnamDivisionType.PHUONG, "phuong_long_son", 887),
  "W_30406" : VNWard("Thị trấn Phú Mỹ", 30406, VietnamDivisionType.THI_TRAN, "thi_tran_phu_my", 888),
  "W_30409" : VNWard("Thị trấn Chợ Vàm", 30409, VietnamDivisionType.THI_TRAN, "thi_tran_cho_vam", 888),
  "W_30415" : VNWard("Xã Long Hoà", 30415, VietnamDivisionType.XA, "xa_long_hoa", 888),
  "W_30418" : VNWard("Xã Phú Long", 30418, VietnamDivisionType.XA, "xa_phu_long", 888),
  "W_30421" : VNWard("Xã Phú Lâm", 30421, VietnamDivisionType.XA, "xa_phu_lam", 888),
  "W_30424" : VNWard("Xã Phú Hiệp", 30424, VietnamDivisionType.XA, "xa_phu_hiep", 888),
  "W_30427" : VNWard("Xã Phú Thạnh", 30427, VietnamDivisionType.XA, "xa_phu_thanh", 888),
  "W_30430" : VNWard("Xã Hoà Lạc", 30430, VietnamDivisionType.XA, "xa_hoa_lac", 888),
  "W_30433" : VNWard("Xã Phú Thành", 30433, VietnamDivisionType.XA, "xa_phu_thanh", 888),
  "W_30436" : VNWard("Xã Phú An", 30436, VietnamDivisionType.XA, "xa_phu_an", 888),
  "W_30439" : VNWard("Xã Phú Xuân", 30439, VietnamDivisionType.XA, "xa_phu_xuan", 888),
  "W_30442" : VNWard("Xã Hiệp Xương", 30442, VietnamDivisionType.XA, "xa_hiep_xuong", 888),
  "W_30445" : VNWard("Xã Phú Bình", 30445, VietnamDivisionType.XA, "xa_phu_binh", 888),
  "W_30448" : VNWard("Xã Phú Thọ", 30448, VietnamDivisionType.XA, "xa_phu_tho", 888),
  "W_30451" : VNWard("Xã Phú Hưng", 30451, VietnamDivisionType.XA, "xa_phu_hung", 888),
  "W_30454" : VNWard("Xã Bình Thạnh Đông", 30454, VietnamDivisionType.XA, "xa_binh_thanh_dong", 888),
  "W_30457" : VNWard("Xã Tân Hòa", 30457, VietnamDivisionType.XA, "xa_tan_hoa", 888),
  "W_30460" : VNWard("Xã Tân Trung", 30460, VietnamDivisionType.XA, "xa_tan_trung", 888),
  "W_30463" : VNWard("Thị trấn Cái Dầu", 30463, VietnamDivisionType.THI_TRAN, "thi_tran_cai_dau", 889),
  "W_30466" : VNWard("Xã Khánh Hòa", 30466, VietnamDivisionType.XA, "xa_khanh_hoa", 889),
  "W_30469" : VNWard("Xã Mỹ Đức", 30469, VietnamDivisionType.XA, "xa_my_duc", 889),
  "W_30472" : VNWard("Xã Mỹ Phú", 30472, VietnamDivisionType.XA, "xa_my_phu", 889),
  "W_30475" : VNWard("Xã Ô Long Vỹ", 30475, VietnamDivisionType.XA, "xa_o_long_vy", 889),
  "W_30478" : VNWard("Thị trấn Vĩnh Thạnh Trung", 30478, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_thanh_trung", 889),
  "W_30481" : VNWard("Xã Thạnh Mỹ Tây", 30481, VietnamDivisionType.XA, "xa_thanh_my_tay", 889),
  "W_30484" : VNWard("Xã Bình Long", 30484, VietnamDivisionType.XA, "xa_binh_long", 889),
  "W_30487" : VNWard("Xã Bình Mỹ", 30487, VietnamDivisionType.XA, "xa_binh_my", 889),
  "W_30490" : VNWard("Xã Bình Thủy", 30490, VietnamDivisionType.XA, "xa_binh_thuy", 889),
  "W_30493" : VNWard("Xã Đào Hữu Cảnh", 30493, VietnamDivisionType.XA, "xa_dao_huu_canh", 889),
  "W_30496" : VNWard("Xã Bình Phú", 30496, VietnamDivisionType.XA, "xa_binh_phu", 889),
  "W_30499" : VNWard("Xã Bình Chánh", 30499, VietnamDivisionType.XA, "xa_binh_chanh", 889),
  "W_30502" : VNWard("Thị trấn Nhà Bàng", 30502, VietnamDivisionType.THI_TRAN, "thi_tran_nha_bang", 890),
  "W_30505" : VNWard("Thị trấn Chi Lăng", 30505, VietnamDivisionType.THI_TRAN, "thi_tran_chi_lang", 890),
  "W_30508" : VNWard("Xã Núi Voi", 30508, VietnamDivisionType.XA, "xa_nui_voi", 890),
  "W_30511" : VNWard("Xã Nhơn Hưng", 30511, VietnamDivisionType.XA, "xa_nhon_hung", 890),
  "W_30514" : VNWard("Xã An Phú", 30514, VietnamDivisionType.XA, "xa_an_phu", 890),
  "W_30517" : VNWard("Xã Thới Sơn", 30517, VietnamDivisionType.XA, "xa_thoi_son", 890),
  "W_30520" : VNWard("Thị trấn Tịnh Biên", 30520, VietnamDivisionType.THI_TRAN, "thi_tran_tinh_bien", 890),
  "W_30523" : VNWard("Xã Văn Giáo", 30523, VietnamDivisionType.XA, "xa_van_giao", 890),
  "W_30526" : VNWard("Xã An Cư", 30526, VietnamDivisionType.XA, "xa_an_cu", 890),
  "W_30529" : VNWard("Xã An Nông", 30529, VietnamDivisionType.XA, "xa_an_nong", 890),
  "W_30532" : VNWard("Xã Vĩnh Trung", 30532, VietnamDivisionType.XA, "xa_vinh_trung", 890),
  "W_30535" : VNWard("Xã Tân Lợi", 30535, VietnamDivisionType.XA, "xa_tan_loi", 890),
  "W_30538" : VNWard("Xã An Hảo", 30538, VietnamDivisionType.XA, "xa_an_hao", 890),
  "W_30541" : VNWard("Xã Tân Lập", 30541, VietnamDivisionType.XA, "xa_tan_lap", 890),
  "W_30544" : VNWard("Thị trấn Tri Tôn", 30544, VietnamDivisionType.THI_TRAN, "thi_tran_tri_ton", 891),
  "W_30547" : VNWard("Thị trấn Ba Chúc", 30547, VietnamDivisionType.THI_TRAN, "thi_tran_ba_chuc", 891),
  "W_30550" : VNWard("Xã Lạc Quới", 30550, VietnamDivisionType.XA, "xa_lac_quoi", 891),
  "W_30553" : VNWard("Xã Lê Trì", 30553, VietnamDivisionType.XA, "xa_le_tri", 891),
  "W_30556" : VNWard("Xã Vĩnh Gia", 30556, VietnamDivisionType.XA, "xa_vinh_gia", 891),
  "W_30559" : VNWard("Xã Vĩnh Phước", 30559, VietnamDivisionType.XA, "xa_vinh_phuoc", 891),
  "W_30562" : VNWard("Xã Châu Lăng", 30562, VietnamDivisionType.XA, "xa_chau_lang", 891),
  "W_30565" : VNWard("Xã Lương Phi", 30565, VietnamDivisionType.XA, "xa_luong_phi", 891),
  "W_30568" : VNWard("Xã Lương An Trà", 30568, VietnamDivisionType.XA, "xa_luong_an_tra", 891),
  "W_30571" : VNWard("Xã Tà Đảnh", 30571, VietnamDivisionType.XA, "xa_ta_danh", 891),
  "W_30574" : VNWard("Xã Núi Tô", 30574, VietnamDivisionType.XA, "xa_nui_to", 891),
  "W_30577" : VNWard("Xã An Tức", 30577, VietnamDivisionType.XA, "xa_an_tuc", 891),
  "W_30580" : VNWard("Thị trấn Cô Tô", 30580, VietnamDivisionType.THI_TRAN, "thi_tran_co_to", 891),
  "W_30583" : VNWard("Xã Tân Tuyến", 30583, VietnamDivisionType.XA, "xa_tan_tuyen", 891),
  "W_30586" : VNWard("Xã Ô Lâm", 30586, VietnamDivisionType.XA, "xa_o_lam", 891),
  "W_30589" : VNWard("Thị trấn An Châu", 30589, VietnamDivisionType.THI_TRAN, "thi_tran_an_chau", 892),
  "W_30592" : VNWard("Xã An Hòa", 30592, VietnamDivisionType.XA, "xa_an_hoa", 892),
  "W_30595" : VNWard("Xã Cần Đăng", 30595, VietnamDivisionType.XA, "xa_can_dang", 892),
  "W_30598" : VNWard("Xã Vĩnh Hanh", 30598, VietnamDivisionType.XA, "xa_vinh_hanh", 892),
  "W_30601" : VNWard("Xã Bình Thạnh", 30601, VietnamDivisionType.XA, "xa_binh_thanh", 892),
  "W_30604" : VNWard("Thị trấn Vĩnh Bình", 30604, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_binh", 892),
  "W_30607" : VNWard("Xã Bình Hòa", 30607, VietnamDivisionType.XA, "xa_binh_hoa", 892),
  "W_30610" : VNWard("Xã Vĩnh An", 30610, VietnamDivisionType.XA, "xa_vinh_an", 892),
  "W_30613" : VNWard("Xã Hòa Bình Thạnh", 30613, VietnamDivisionType.XA, "xa_hoa_binh_thanh", 892),
  "W_30616" : VNWard("Xã Vĩnh Lợi", 30616, VietnamDivisionType.XA, "xa_vinh_loi", 892),
  "W_30619" : VNWard("Xã Vĩnh Nhuận", 30619, VietnamDivisionType.XA, "xa_vinh_nhuan", 892),
  "W_30622" : VNWard("Xã Tân Phú", 30622, VietnamDivisionType.XA, "xa_tan_phu", 892),
  "W_30625" : VNWard("Xã Vĩnh Thành", 30625, VietnamDivisionType.XA, "xa_vinh_thanh", 892),
  "W_30628" : VNWard("Thị trấn Chợ Mới", 30628, VietnamDivisionType.THI_TRAN, "thi_tran_cho_moi", 893),
  "W_30631" : VNWard("Thị trấn Mỹ Luông", 30631, VietnamDivisionType.THI_TRAN, "thi_tran_my_luong", 893),
  "W_30634" : VNWard("Xã Kiến An", 30634, VietnamDivisionType.XA, "xa_kien_an", 893),
  "W_30637" : VNWard("Xã Mỹ Hội Đông", 30637, VietnamDivisionType.XA, "xa_my_hoi_dong", 893),
  "W_30640" : VNWard("Xã Long Điền A", 30640, VietnamDivisionType.XA, "xa_long_dien_a", 893),
  "W_30643" : VNWard("Xã Tấn Mỹ", 30643, VietnamDivisionType.XA, "xa_tan_my", 893),
  "W_30646" : VNWard("Xã Long Điền B", 30646, VietnamDivisionType.XA, "xa_long_dien_b", 893),
  "W_30649" : VNWard("Xã Kiến Thành", 30649, VietnamDivisionType.XA, "xa_kien_thanh", 893),
  "W_30652" : VNWard("Xã Mỹ Hiệp", 30652, VietnamDivisionType.XA, "xa_my_hiep", 893),
  "W_30655" : VNWard("Xã Mỹ An", 30655, VietnamDivisionType.XA, "xa_my_an", 893),
  "W_30658" : VNWard("Xã Nhơn Mỹ", 30658, VietnamDivisionType.XA, "xa_nhon_my", 893),
  "W_30661" : VNWard("Xã Long Giang", 30661, VietnamDivisionType.XA, "xa_long_giang", 893),
  "W_30664" : VNWard("Xã Long Kiến", 30664, VietnamDivisionType.XA, "xa_long_kien", 893),
  "W_30667" : VNWard("Xã Bình Phước Xuân", 30667, VietnamDivisionType.XA, "xa_binh_phuoc_xuan", 893),
  "W_30670" : VNWard("Xã An Thạnh Trung", 30670, VietnamDivisionType.XA, "xa_an_thanh_trung", 893),
  "W_30673" : VNWard("Xã Hội An", 30673, VietnamDivisionType.XA, "xa_hoi_an", 893),
  "W_30676" : VNWard("Xã Hòa Bình", 30676, VietnamDivisionType.XA, "xa_hoa_binh", 893),
  "W_30679" : VNWard("Xã Hòa An", 30679, VietnamDivisionType.XA, "xa_hoa_an", 893),
  "W_30682" : VNWard("Thị trấn Núi Sập", 30682, VietnamDivisionType.THI_TRAN, "thi_tran_nui_sap", 894),
  "W_30685" : VNWard("Thị trấn Phú Hoà", 30685, VietnamDivisionType.THI_TRAN, "thi_tran_phu_hoa", 894),
  "W_30688" : VNWard("Thị trấn Óc Eo", 30688, VietnamDivisionType.THI_TRAN, "thi_tran_oc_eo", 894),
  "W_30691" : VNWard("Xã Tây Phú", 30691, VietnamDivisionType.XA, "xa_tay_phu", 894),
  "W_30692" : VNWard("Xã An Bình", 30692, VietnamDivisionType.XA, "xa_an_binh", 894),
  "W_30694" : VNWard("Xã Vĩnh Phú", 30694, VietnamDivisionType.XA, "xa_vinh_phu", 894),
  "W_30697" : VNWard("Xã Vĩnh Trạch", 30697, VietnamDivisionType.XA, "xa_vinh_trach", 894),
  "W_30700" : VNWard("Xã Phú Thuận", 30700, VietnamDivisionType.XA, "xa_phu_thuan", 894),
  "W_30703" : VNWard("Xã Vĩnh Chánh", 30703, VietnamDivisionType.XA, "xa_vinh_chanh", 894),
  "W_30706" : VNWard("Xã Định Mỹ", 30706, VietnamDivisionType.XA, "xa_dinh_my", 894),
  "W_30709" : VNWard("Xã Định Thành", 30709, VietnamDivisionType.XA, "xa_dinh_thanh", 894),
  "W_30712" : VNWard("Xã Mỹ Phú Đông", 30712, VietnamDivisionType.XA, "xa_my_phu_dong", 894),
  "W_30715" : VNWard("Xã Vọng Đông", 30715, VietnamDivisionType.XA, "xa_vong_dong", 894),
  "W_30718" : VNWard("Xã Vĩnh Khánh", 30718, VietnamDivisionType.XA, "xa_vinh_khanh", 894),
  "W_30721" : VNWard("Xã Thoại Giang", 30721, VietnamDivisionType.XA, "xa_thoai_giang", 894),
  "W_30724" : VNWard("Xã Bình Thành", 30724, VietnamDivisionType.XA, "xa_binh_thanh", 894),
  "W_30727" : VNWard("Xã Vọng Thê", 30727, VietnamDivisionType.XA, "xa_vong_the", 894),
  "W_30730" : VNWard("Phường Vĩnh Thanh Vân", 30730, VietnamDivisionType.PHUONG, "phuong_vinh_thanh_van", 899),
  "W_30733" : VNWard("Phường Vĩnh Thanh", 30733, VietnamDivisionType.PHUONG, "phuong_vinh_thanh", 899),
  "W_30736" : VNWard("Phường Vĩnh Quang", 30736, VietnamDivisionType.PHUONG, "phuong_vinh_quang", 899),
  "W_30739" : VNWard("Phường Vĩnh Hiệp", 30739, VietnamDivisionType.PHUONG, "phuong_vinh_hiep", 899),
  "W_30742" : VNWard("Phường Vĩnh Bảo", 30742, VietnamDivisionType.PHUONG, "phuong_vinh_bao", 899),
  "W_30745" : VNWard("Phường Vĩnh Lạc", 30745, VietnamDivisionType.PHUONG, "phuong_vinh_lac", 899),
  "W_30748" : VNWard("Phường An Hòa", 30748, VietnamDivisionType.PHUONG, "phuong_an_hoa", 899),
  "W_30751" : VNWard("Phường An Bình", 30751, VietnamDivisionType.PHUONG, "phuong_an_binh", 899),
  "W_30754" : VNWard("Phường Rạch Sỏi", 30754, VietnamDivisionType.PHUONG, "phuong_rach_soi", 899),
  "W_30757" : VNWard("Phường Vĩnh Lợi", 30757, VietnamDivisionType.PHUONG, "phuong_vinh_loi", 899),
  "W_30760" : VNWard("Phường Vĩnh Thông", 30760, VietnamDivisionType.PHUONG, "phuong_vinh_thong", 899),
  "W_30763" : VNWard("Xã Phi Thông", 30763, VietnamDivisionType.XA, "xa_phi_thong", 899),
  "W_30766" : VNWard("Phường Tô Châu", 30766, VietnamDivisionType.PHUONG, "phuong_to_chau", 900),
  "W_30769" : VNWard("Phường Đông Hồ", 30769, VietnamDivisionType.PHUONG, "phuong_dong_ho", 900),
  "W_30772" : VNWard("Phường Bình San", 30772, VietnamDivisionType.PHUONG, "phuong_binh_san", 900),
  "W_30775" : VNWard("Phường Pháo Đài", 30775, VietnamDivisionType.PHUONG, "phuong_phao_dai", 900),
  "W_30778" : VNWard("Phường Mỹ Đức", 30778, VietnamDivisionType.PHUONG, "phuong_my_duc", 900),
  "W_30781" : VNWard("Xã Tiên Hải", 30781, VietnamDivisionType.XA, "xa_tien_hai", 900),
  "W_30784" : VNWard("Xã Thuận Yên", 30784, VietnamDivisionType.XA, "xa_thuan_yen", 900),
  "W_30787" : VNWard("Thị trấn Kiên Lương", 30787, VietnamDivisionType.THI_TRAN, "thi_tran_kien_luong", 902),
  "W_30790" : VNWard("Xã Kiên Bình", 30790, VietnamDivisionType.XA, "xa_kien_binh", 902),
  "W_30802" : VNWard("Xã Hòa Điền", 30802, VietnamDivisionType.XA, "xa_hoa_dien", 902),
  "W_30805" : VNWard("Xã Dương Hòa", 30805, VietnamDivisionType.XA, "xa_duong_hoa", 902),
  "W_30808" : VNWard("Xã Bình An", 30808, VietnamDivisionType.XA, "xa_binh_an", 902),
  "W_30809" : VNWard("Xã Bình Trị", 30809, VietnamDivisionType.XA, "xa_binh_tri", 902),
  "W_30811" : VNWard("Xã Sơn Hải", 30811, VietnamDivisionType.XA, "xa_son_hai", 902),
  "W_30814" : VNWard("Xã Hòn Nghệ", 30814, VietnamDivisionType.XA, "xa_hon_nghe", 902),
  "W_30817" : VNWard("Thị trấn Hòn Đất", 30817, VietnamDivisionType.THI_TRAN, "thi_tran_hon_dat", 903),
  "W_30820" : VNWard("Thị trấn Sóc Sơn", 30820, VietnamDivisionType.THI_TRAN, "thi_tran_soc_son", 903),
  "W_30823" : VNWard("Xã Bình Sơn", 30823, VietnamDivisionType.XA, "xa_binh_son", 903),
  "W_30826" : VNWard("Xã Bình Giang", 30826, VietnamDivisionType.XA, "xa_binh_giang", 903),
  "W_30828" : VNWard("Xã Mỹ Thái", 30828, VietnamDivisionType.XA, "xa_my_thai", 903),
  "W_30829" : VNWard("Xã Nam Thái Sơn", 30829, VietnamDivisionType.XA, "xa_nam_thai_son", 903),
  "W_30832" : VNWard("Xã Mỹ Hiệp Sơn", 30832, VietnamDivisionType.XA, "xa_my_hiep_son", 903),
  "W_30835" : VNWard("Xã Sơn Kiên", 30835, VietnamDivisionType.XA, "xa_son_kien", 903),
  "W_30836" : VNWard("Xã Sơn Bình", 30836, VietnamDivisionType.XA, "xa_son_binh", 903),
  "W_30838" : VNWard("Xã Mỹ Thuận", 30838, VietnamDivisionType.XA, "xa_my_thuan", 903),
  "W_30840" : VNWard("Xã Lình Huỳnh", 30840, VietnamDivisionType.XA, "xa_linh_huynh", 903),
  "W_30841" : VNWard("Xã Thổ Sơn", 30841, VietnamDivisionType.XA, "xa_tho_son", 903),
  "W_30844" : VNWard("Xã Mỹ Lâm", 30844, VietnamDivisionType.XA, "xa_my_lam", 903),
  "W_30847" : VNWard("Xã Mỹ Phước", 30847, VietnamDivisionType.XA, "xa_my_phuoc", 903),
  "W_30850" : VNWard("Thị trấn Tân Hiệp", 30850, VietnamDivisionType.THI_TRAN, "thi_tran_tan_hiep", 904),
  "W_30853" : VNWard("Xã Tân Hội", 30853, VietnamDivisionType.XA, "xa_tan_hoi", 904),
  "W_30856" : VNWard("Xã Tân Thành", 30856, VietnamDivisionType.XA, "xa_tan_thanh", 904),
  "W_30859" : VNWard("Xã Tân Hiệp B", 30859, VietnamDivisionType.XA, "xa_tan_hiep_b", 904),
  "W_30860" : VNWard("Xã Tân Hoà", 30860, VietnamDivisionType.XA, "xa_tan_hoa", 904),
  "W_30862" : VNWard("Xã Thạnh Đông B", 30862, VietnamDivisionType.XA, "xa_thanh_dong_b", 904),
  "W_30865" : VNWard("Xã Thạnh Đông", 30865, VietnamDivisionType.XA, "xa_thanh_dong", 904),
  "W_30868" : VNWard("Xã Tân Hiệp A", 30868, VietnamDivisionType.XA, "xa_tan_hiep_a", 904),
  "W_30871" : VNWard("Xã Tân An", 30871, VietnamDivisionType.XA, "xa_tan_an", 904),
  "W_30874" : VNWard("Xã Thạnh Đông A", 30874, VietnamDivisionType.XA, "xa_thanh_dong_a", 904),
  "W_30877" : VNWard("Xã Thạnh Trị", 30877, VietnamDivisionType.XA, "xa_thanh_tri", 904),
  "W_30880" : VNWard("Thị trấn Minh Lương", 30880, VietnamDivisionType.THI_TRAN, "thi_tran_minh_luong", 905),
  "W_30883" : VNWard("Xã Mong Thọ A", 30883, VietnamDivisionType.XA, "xa_mong_tho_a", 905),
  "W_30886" : VNWard("Xã Mong Thọ B", 30886, VietnamDivisionType.XA, "xa_mong_tho_b", 905),
  "W_30887" : VNWard("Xã Mong Thọ", 30887, VietnamDivisionType.XA, "xa_mong_tho", 905),
  "W_30889" : VNWard("Xã Giục Tượng", 30889, VietnamDivisionType.XA, "xa_giuc_tuong", 905),
  "W_30892" : VNWard("Xã Vĩnh Hòa Hiệp", 30892, VietnamDivisionType.XA, "xa_vinh_hoa_hiep", 905),
  "W_30893" : VNWard("Xã Vĩnh Hoà Phú", 30893, VietnamDivisionType.XA, "xa_vinh_hoa_phu", 905),
  "W_30895" : VNWard("Xã Minh Hòa", 30895, VietnamDivisionType.XA, "xa_minh_hoa", 905),
  "W_30898" : VNWard("Xã Bình An", 30898, VietnamDivisionType.XA, "xa_binh_an", 905),
  "W_30901" : VNWard("Xã Thạnh Lộc", 30901, VietnamDivisionType.XA, "xa_thanh_loc", 905),
  "W_30904" : VNWard("Thị trấn Giồng Riềng", 30904, VietnamDivisionType.THI_TRAN, "thi_tran_giong_rieng", 906),
  "W_30907" : VNWard("Xã Thạnh Hưng", 30907, VietnamDivisionType.XA, "xa_thanh_hung", 906),
  "W_30910" : VNWard("Xã Thạnh Phước", 30910, VietnamDivisionType.XA, "xa_thanh_phuoc", 906),
  "W_30913" : VNWard("Xã Thạnh Lộc", 30913, VietnamDivisionType.XA, "xa_thanh_loc", 906),
  "W_30916" : VNWard("Xã Thạnh Hòa", 30916, VietnamDivisionType.XA, "xa_thanh_hoa", 906),
  "W_30917" : VNWard("Xã Thạnh Bình", 30917, VietnamDivisionType.XA, "xa_thanh_binh", 906),
  "W_30919" : VNWard("Xã Bàn Thạch", 30919, VietnamDivisionType.XA, "xa_ban_thach", 906),
  "W_30922" : VNWard("Xã Bàn Tân Định", 30922, VietnamDivisionType.XA, "xa_ban_tan_dinh", 906),
  "W_30925" : VNWard("Xã Ngọc Thành", 30925, VietnamDivisionType.XA, "xa_ngoc_thanh", 906),
  "W_30928" : VNWard("Xã Ngọc Chúc", 30928, VietnamDivisionType.XA, "xa_ngoc_chuc", 906),
  "W_30931" : VNWard("Xã Ngọc Thuận", 30931, VietnamDivisionType.XA, "xa_ngoc_thuan", 906),
  "W_30934" : VNWard("Xã Hòa Hưng", 30934, VietnamDivisionType.XA, "xa_hoa_hung", 906),
  "W_30937" : VNWard("Xã Hoà Lợi", 30937, VietnamDivisionType.XA, "xa_hoa_loi", 906),
  "W_30940" : VNWard("Xã Hoà An", 30940, VietnamDivisionType.XA, "xa_hoa_an", 906),
  "W_30943" : VNWard("Xã Long Thạnh", 30943, VietnamDivisionType.XA, "xa_long_thanh", 906),
  "W_30946" : VNWard("Xã Vĩnh Thạnh", 30946, VietnamDivisionType.XA, "xa_vinh_thanh", 906),
  "W_30947" : VNWard("Xã Vĩnh Phú", 30947, VietnamDivisionType.XA, "xa_vinh_phu", 906),
  "W_30949" : VNWard("Xã Hòa Thuận", 30949, VietnamDivisionType.XA, "xa_hoa_thuan", 906),
  "W_30950" : VNWard("Xã Ngọc Hoà", 30950, VietnamDivisionType.XA, "xa_ngoc_hoa", 906),
  "W_30952" : VNWard("Thị trấn Gò Quao", 30952, VietnamDivisionType.THI_TRAN, "thi_tran_go_quao", 907),
  "W_30955" : VNWard("Xã Vĩnh Hòa Hưng Bắc", 30955, VietnamDivisionType.XA, "xa_vinh_hoa_hung_bac", 907),
  "W_30958" : VNWard("Xã Định Hòa", 30958, VietnamDivisionType.XA, "xa_dinh_hoa", 907),
  "W_30961" : VNWard("Xã Thới Quản", 30961, VietnamDivisionType.XA, "xa_thoi_quan", 907),
  "W_30964" : VNWard("Xã Định An", 30964, VietnamDivisionType.XA, "xa_dinh_an", 907),
  "W_30967" : VNWard("Xã Thủy Liễu", 30967, VietnamDivisionType.XA, "xa_thuy_lieu", 907),
  "W_30970" : VNWard("Xã Vĩnh Hòa Hưng Nam", 30970, VietnamDivisionType.XA, "xa_vinh_hoa_hung_nam", 907),
  "W_30973" : VNWard("Xã Vĩnh Phước A", 30973, VietnamDivisionType.XA, "xa_vinh_phuoc_a", 907),
  "W_30976" : VNWard("Xã Vĩnh Phước B", 30976, VietnamDivisionType.XA, "xa_vinh_phuoc_b", 907),
  "W_30979" : VNWard("Xã Vĩnh Tuy", 30979, VietnamDivisionType.XA, "xa_vinh_tuy", 907),
  "W_30982" : VNWard("Xã Vĩnh Thắng", 30982, VietnamDivisionType.XA, "xa_vinh_thang", 907),
  "W_30985" : VNWard("Thị trấn Thứ Ba", 30985, VietnamDivisionType.THI_TRAN, "thi_tran_thu_ba", 908),
  "W_30988" : VNWard("Xã Tây Yên", 30988, VietnamDivisionType.XA, "xa_tay_yen", 908),
  "W_30991" : VNWard("Xã Tây Yên A", 30991, VietnamDivisionType.XA, "xa_tay_yen_a", 908),
  "W_30994" : VNWard("Xã Nam Yên", 30994, VietnamDivisionType.XA, "xa_nam_yen", 908),
  "W_30997" : VNWard("Xã Hưng Yên", 30997, VietnamDivisionType.XA, "xa_hung_yen", 908),
  "W_31000" : VNWard("Xã Nam Thái", 31000, VietnamDivisionType.XA, "xa_nam_thai", 908),
  "W_31003" : VNWard("Xã Nam Thái A", 31003, VietnamDivisionType.XA, "xa_nam_thai_a", 908),
  "W_31006" : VNWard("Xã Đông Thái", 31006, VietnamDivisionType.XA, "xa_dong_thai", 908),
  "W_31009" : VNWard("Xã Đông Yên", 31009, VietnamDivisionType.XA, "xa_dong_yen", 908),
  "W_31018" : VNWard("Thị trấn Thứ Mười Một", 31018, VietnamDivisionType.THI_TRAN, "thi_tran_thu_muoi_mot", 909),
  "W_31021" : VNWard("Xã Thuận Hoà", 31021, VietnamDivisionType.XA, "xa_thuan_hoa", 909),
  "W_31024" : VNWard("Xã Đông Hòa", 31024, VietnamDivisionType.XA, "xa_dong_hoa", 909),
  "W_31030" : VNWard("Xã Đông Thạnh", 31030, VietnamDivisionType.XA, "xa_dong_thanh", 909),
  "W_31031" : VNWard("Xã Tân Thạnh", 31031, VietnamDivisionType.XA, "xa_tan_thanh", 909),
  "W_31033" : VNWard("Xã Đông Hưng", 31033, VietnamDivisionType.XA, "xa_dong_hung", 909),
  "W_31036" : VNWard("Xã Đông Hưng A", 31036, VietnamDivisionType.XA, "xa_dong_hung_a", 909),
  "W_31039" : VNWard("Xã Đông Hưng B", 31039, VietnamDivisionType.XA, "xa_dong_hung_b", 909),
  "W_31042" : VNWard("Xã Vân Khánh", 31042, VietnamDivisionType.XA, "xa_van_khanh", 909),
  "W_31045" : VNWard("Xã Vân Khánh Đông", 31045, VietnamDivisionType.XA, "xa_van_khanh_dong", 909),
  "W_31048" : VNWard("Xã Vân Khánh Tây", 31048, VietnamDivisionType.XA, "xa_van_khanh_tay", 909),
  "W_31051" : VNWard("Thị trấn Vĩnh Thuận", 31051, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_thuan", 910),
  "W_31060" : VNWard("Xã Vĩnh Bình Bắc", 31060, VietnamDivisionType.XA, "xa_vinh_binh_bac", 910),
  "W_31063" : VNWard("Xã Vĩnh Bình Nam", 31063, VietnamDivisionType.XA, "xa_vinh_binh_nam", 910),
  "W_31064" : VNWard("Xã Bình Minh", 31064, VietnamDivisionType.XA, "xa_binh_minh", 910),
  "W_31069" : VNWard("Xã Vĩnh Thuận", 31069, VietnamDivisionType.XA, "xa_vinh_thuan", 910),
  "W_31072" : VNWard("Xã Tân Thuận", 31072, VietnamDivisionType.XA, "xa_tan_thuan", 910),
  "W_31074" : VNWard("Xã Phong Đông", 31074, VietnamDivisionType.XA, "xa_phong_dong", 910),
  "W_31075" : VNWard("Xã Vĩnh Phong", 31075, VietnamDivisionType.XA, "xa_vinh_phong", 910),
  "W_31078" : VNWard("Phường Dương Đông", 31078, VietnamDivisionType.PHUONG, "phuong_duong_dong", 911),
  "W_31081" : VNWard("Phường An Thới", 31081, VietnamDivisionType.PHUONG, "phuong_an_thoi", 911),
  "W_31084" : VNWard("Xã Cửa Cạn", 31084, VietnamDivisionType.XA, "xa_cua_can", 911),
  "W_31087" : VNWard("Xã Gành Dầu", 31087, VietnamDivisionType.XA, "xa_ganh_dau", 911),
  "W_31090" : VNWard("Xã Cửa Dương", 31090, VietnamDivisionType.XA, "xa_cua_duong", 911),
  "W_31093" : VNWard("Xã Hàm Ninh", 31093, VietnamDivisionType.XA, "xa_ham_ninh", 911),
  "W_31096" : VNWard("Xã Dương Tơ", 31096, VietnamDivisionType.XA, "xa_duong_to", 911),
  "W_31102" : VNWard("Xã Bãi Thơm", 31102, VietnamDivisionType.XA, "xa_bai_thom", 911),
  "W_31105" : VNWard("Xã Thổ Châu", 31105, VietnamDivisionType.XA, "xa_tho_chau", 911),
  "W_31108" : VNWard("Xã Hòn Tre", 31108, VietnamDivisionType.XA, "xa_hon_tre", 912),
  "W_31111" : VNWard("Xã Lại Sơn", 31111, VietnamDivisionType.XA, "xa_lai_son", 912),
  "W_31114" : VNWard("Xã An Sơn", 31114, VietnamDivisionType.XA, "xa_an_son", 912),
  "W_31115" : VNWard("Xã Nam Du", 31115, VietnamDivisionType.XA, "xa_nam_du", 912),
  "W_31012" : VNWard("Xã Thạnh Yên", 31012, VietnamDivisionType.XA, "xa_thanh_yen", 913),
  "W_31015" : VNWard("Xã Thạnh Yên A", 31015, VietnamDivisionType.XA, "xa_thanh_yen_a", 913),
  "W_31027" : VNWard("Xã An Minh Bắc", 31027, VietnamDivisionType.XA, "xa_an_minh_bac", 913),
  "W_31054" : VNWard("Xã Vĩnh Hòa", 31054, VietnamDivisionType.XA, "xa_vinh_hoa", 913),
  "W_31057" : VNWard("Xã Hoà Chánh", 31057, VietnamDivisionType.XA, "xa_hoa_chanh", 913),
  "W_31066" : VNWard("Xã Minh Thuận", 31066, VietnamDivisionType.XA, "xa_minh_thuan", 913),
  "W_30791" : VNWard("Xã Vĩnh Phú", 30791, VietnamDivisionType.XA, "xa_vinh_phu", 914),
  "W_30793" : VNWard("Xã Vĩnh Điều", 30793, VietnamDivisionType.XA, "xa_vinh_dieu", 914),
  "W_30796" : VNWard("Xã Tân Khánh Hòa", 30796, VietnamDivisionType.XA, "xa_tan_khanh_hoa", 914),
  "W_30797" : VNWard("Xã Phú Lợi", 30797, VietnamDivisionType.XA, "xa_phu_loi", 914),
  "W_30799" : VNWard("Xã Phú Mỹ", 30799, VietnamDivisionType.XA, "xa_phu_my", 914),
  "W_31117" : VNWard("Phường Cái Khế", 31117, VietnamDivisionType.PHUONG, "phuong_cai_khe", 916),
  "W_31120" : VNWard("Phường An Hòa", 31120, VietnamDivisionType.PHUONG, "phuong_an_hoa", 916),
  "W_31123" : VNWard("Phường Thới Bình", 31123, VietnamDivisionType.PHUONG, "phuong_thoi_binh", 916),
  "W_31126" : VNWard("Phường An Nghiệp", 31126, VietnamDivisionType.PHUONG, "phuong_an_nghiep", 916),
  "W_31129" : VNWard("Phường An Cư", 31129, VietnamDivisionType.PHUONG, "phuong_an_cu", 916),
  "W_31135" : VNWard("Phường Tân An", 31135, VietnamDivisionType.PHUONG, "phuong_tan_an", 916),
  "W_31141" : VNWard("Phường An Phú", 31141, VietnamDivisionType.PHUONG, "phuong_an_phu", 916),
  "W_31144" : VNWard("Phường Xuân Khánh", 31144, VietnamDivisionType.PHUONG, "phuong_xuan_khanh", 916),
  "W_31147" : VNWard("Phường Hưng Lợi", 31147, VietnamDivisionType.PHUONG, "phuong_hung_loi", 916),
  "W_31149" : VNWard("Phường An Khánh", 31149, VietnamDivisionType.PHUONG, "phuong_an_khanh", 916),
  "W_31150" : VNWard("Phường An Bình", 31150, VietnamDivisionType.PHUONG, "phuong_an_binh", 916),
  "W_31153" : VNWard("Phường Châu Văn Liêm", 31153, VietnamDivisionType.PHUONG, "phuong_chau_van_liem", 917),
  "W_31154" : VNWard("Phường Thới Hòa", 31154, VietnamDivisionType.PHUONG, "phuong_thoi_hoa", 917),
  "W_31156" : VNWard("Phường Thới Long", 31156, VietnamDivisionType.PHUONG, "phuong_thoi_long", 917),
  "W_31157" : VNWard("Phường Long Hưng", 31157, VietnamDivisionType.PHUONG, "phuong_long_hung", 917),
  "W_31159" : VNWard("Phường Thới An", 31159, VietnamDivisionType.PHUONG, "phuong_thoi_an", 917),
  "W_31162" : VNWard("Phường Phước Thới", 31162, VietnamDivisionType.PHUONG, "phuong_phuoc_thoi", 917),
  "W_31165" : VNWard("Phường Trường Lạc", 31165, VietnamDivisionType.PHUONG, "phuong_truong_lac", 917),
  "W_31168" : VNWard("Phường Bình Thủy", 31168, VietnamDivisionType.PHUONG, "phuong_binh_thuy", 918),
  "W_31169" : VNWard("Phường Trà An", 31169, VietnamDivisionType.PHUONG, "phuong_tra_an", 918),
  "W_31171" : VNWard("Phường Trà Nóc", 31171, VietnamDivisionType.PHUONG, "phuong_tra_noc", 918),
  "W_31174" : VNWard("Phường Thới An Đông", 31174, VietnamDivisionType.PHUONG, "phuong_thoi_an_dong", 918),
  "W_31177" : VNWard("Phường An Thới", 31177, VietnamDivisionType.PHUONG, "phuong_an_thoi", 918),
  "W_31178" : VNWard("Phường Bùi Hữu Nghĩa", 31178, VietnamDivisionType.PHUONG, "phuong_bui_huu_nghia", 918),
  "W_31180" : VNWard("Phường Long Hòa", 31180, VietnamDivisionType.PHUONG, "phuong_long_hoa", 918),
  "W_31183" : VNWard("Phường Long Tuyền", 31183, VietnamDivisionType.PHUONG, "phuong_long_tuyen", 918),
  "W_31186" : VNWard("Phường Lê Bình", 31186, VietnamDivisionType.PHUONG, "phuong_le_binh", 919),
  "W_31189" : VNWard("Phường Hưng Phú", 31189, VietnamDivisionType.PHUONG, "phuong_hung_phu", 919),
  "W_31192" : VNWard("Phường Hưng Thạnh", 31192, VietnamDivisionType.PHUONG, "phuong_hung_thanh", 919),
  "W_31195" : VNWard("Phường Ba Láng", 31195, VietnamDivisionType.PHUONG, "phuong_ba_lang", 919),
  "W_31198" : VNWard("Phường Thường Thạnh", 31198, VietnamDivisionType.PHUONG, "phuong_thuong_thanh", 919),
  "W_31201" : VNWard("Phường Phú Thứ", 31201, VietnamDivisionType.PHUONG, "phuong_phu_thu", 919),
  "W_31204" : VNWard("Phường Tân Phú", 31204, VietnamDivisionType.PHUONG, "phuong_tan_phu", 919),
  "W_31207" : VNWard("Phường Thốt Nốt", 31207, VietnamDivisionType.PHUONG, "phuong_thot_not", 923),
  "W_31210" : VNWard("Phường Thới Thuận", 31210, VietnamDivisionType.PHUONG, "phuong_thoi_thuan", 923),
  "W_31212" : VNWard("Phường Thuận An", 31212, VietnamDivisionType.PHUONG, "phuong_thuan_an", 923),
  "W_31213" : VNWard("Phường Tân Lộc", 31213, VietnamDivisionType.PHUONG, "phuong_tan_loc", 923),
  "W_31216" : VNWard("Phường Trung Nhứt", 31216, VietnamDivisionType.PHUONG, "phuong_trung_nhut", 923),
  "W_31217" : VNWard("Phường Thạnh Hoà", 31217, VietnamDivisionType.PHUONG, "phuong_thanh_hoa", 923),
  "W_31219" : VNWard("Phường Trung Kiên", 31219, VietnamDivisionType.PHUONG, "phuong_trung_kien", 923),
  "W_31227" : VNWard("Phường Tân Hưng", 31227, VietnamDivisionType.PHUONG, "phuong_tan_hung", 923),
  "W_31228" : VNWard("Phường Thuận Hưng", 31228, VietnamDivisionType.PHUONG, "phuong_thuan_hung", 923),
  "W_31211" : VNWard("Xã Vĩnh Bình", 31211, VietnamDivisionType.XA, "xa_vinh_binh", 924),
  "W_31231" : VNWard("Thị trấn Thanh An", 31231, VietnamDivisionType.THI_TRAN, "thi_tran_thanh_an", 924),
  "W_31232" : VNWard("Thị trấn Vĩnh Thạnh", 31232, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_thanh", 924),
  "W_31234" : VNWard("Xã Thạnh Mỹ", 31234, VietnamDivisionType.XA, "xa_thanh_my", 924),
  "W_31237" : VNWard("Xã Vĩnh Trinh", 31237, VietnamDivisionType.XA, "xa_vinh_trinh", 924),
  "W_31240" : VNWard("Xã Thạnh An", 31240, VietnamDivisionType.XA, "xa_thanh_an", 924),
  "W_31241" : VNWard("Xã Thạnh Tiến", 31241, VietnamDivisionType.XA, "xa_thanh_tien", 924),
  "W_31243" : VNWard("Xã Thạnh Thắng", 31243, VietnamDivisionType.XA, "xa_thanh_thang", 924),
  "W_31244" : VNWard("Xã Thạnh Lợi", 31244, VietnamDivisionType.XA, "xa_thanh_loi", 924),
  "W_31246" : VNWard("Xã Thạnh Qưới", 31246, VietnamDivisionType.XA, "xa_thanh_quoi", 924),
  "W_31252" : VNWard("Xã Thạnh Lộc", 31252, VietnamDivisionType.XA, "xa_thanh_loc", 924),
  "W_31222" : VNWard("Xã Trung An", 31222, VietnamDivisionType.XA, "xa_trung_an", 925),
  "W_31225" : VNWard("Xã Trung Thạnh", 31225, VietnamDivisionType.XA, "xa_trung_thanh", 925),
  "W_31249" : VNWard("Xã Thạnh Phú", 31249, VietnamDivisionType.XA, "xa_thanh_phu", 925),
  "W_31255" : VNWard("Xã Trung Hưng", 31255, VietnamDivisionType.XA, "xa_trung_hung", 925),
  "W_31261" : VNWard("Thị trấn Cờ Đỏ", 31261, VietnamDivisionType.THI_TRAN, "thi_tran_co_do", 925),
  "W_31264" : VNWard("Xã Thới Hưng", 31264, VietnamDivisionType.XA, "xa_thoi_hung", 925),
  "W_31273" : VNWard("Xã Đông Hiệp", 31273, VietnamDivisionType.XA, "xa_dong_hiep", 925),
  "W_31274" : VNWard("Xã Đông Thắng", 31274, VietnamDivisionType.XA, "xa_dong_thang", 925),
  "W_31276" : VNWard("Xã Thới Đông", 31276, VietnamDivisionType.XA, "xa_thoi_dong", 925),
  "W_31277" : VNWard("Xã Thới Xuân", 31277, VietnamDivisionType.XA, "xa_thoi_xuan", 925),
  "W_31299" : VNWard("Thị trấn Phong Điền", 31299, VietnamDivisionType.THI_TRAN, "thi_tran_phong_dien", 926),
  "W_31300" : VNWard("Xã Nhơn Ái", 31300, VietnamDivisionType.XA, "xa_nhon_ai", 926),
  "W_31303" : VNWard("Xã Giai Xuân", 31303, VietnamDivisionType.XA, "xa_giai_xuan", 926),
  "W_31306" : VNWard("Xã Tân Thới", 31306, VietnamDivisionType.XA, "xa_tan_thoi", 926),
  "W_31309" : VNWard("Xã Trường Long", 31309, VietnamDivisionType.XA, "xa_truong_long", 926),
  "W_31312" : VNWard("Xã Mỹ Khánh", 31312, VietnamDivisionType.XA, "xa_my_khanh", 926),
  "W_31315" : VNWard("Xã Nhơn Nghĩa", 31315, VietnamDivisionType.XA, "xa_nhon_nghia", 926),
  "W_31258" : VNWard("Thị trấn Thới Lai", 31258, VietnamDivisionType.THI_TRAN, "thi_tran_thoi_lai", 927),
  "W_31267" : VNWard("Xã Thới Thạnh", 31267, VietnamDivisionType.XA, "xa_thoi_thanh", 927),
  "W_31268" : VNWard("Xã Tân Thạnh", 31268, VietnamDivisionType.XA, "xa_tan_thanh", 927),
  "W_31270" : VNWard("Xã Xuân Thắng", 31270, VietnamDivisionType.XA, "xa_xuan_thang", 927),
  "W_31279" : VNWard("Xã Đông Bình", 31279, VietnamDivisionType.XA, "xa_dong_binh", 927),
  "W_31282" : VNWard("Xã Đông Thuận", 31282, VietnamDivisionType.XA, "xa_dong_thuan", 927),
  "W_31285" : VNWard("Xã Thới Tân", 31285, VietnamDivisionType.XA, "xa_thoi_tan", 927),
  "W_31286" : VNWard("Xã Trường Thắng", 31286, VietnamDivisionType.XA, "xa_truong_thang", 927),
  "W_31288" : VNWard("Xã Định Môn", 31288, VietnamDivisionType.XA, "xa_dinh_mon", 927),
  "W_31291" : VNWard("Xã Trường Thành", 31291, VietnamDivisionType.XA, "xa_truong_thanh", 927),
  "W_31294" : VNWard("Xã Trường Xuân", 31294, VietnamDivisionType.XA, "xa_truong_xuan", 927),
  "W_31297" : VNWard("Xã Trường Xuân A", 31297, VietnamDivisionType.XA, "xa_truong_xuan_a", 927),
  "W_31298" : VNWard("Xã Trường Xuân B", 31298, VietnamDivisionType.XA, "xa_truong_xuan_b", 927),
  "W_31318" : VNWard("Phường I", 31318, VietnamDivisionType.PHUONG, "phuong_i", 930),
  "W_31321" : VNWard("Phường III", 31321, VietnamDivisionType.PHUONG, "phuong_iii", 930),
  "W_31324" : VNWard("Phường IV", 31324, VietnamDivisionType.PHUONG, "phuong_iv", 930),
  "W_31327" : VNWard("Phường V", 31327, VietnamDivisionType.PHUONG, "phuong_v", 930),
  "W_31330" : VNWard("Phường VII", 31330, VietnamDivisionType.PHUONG, "phuong_vii", 930),
  "W_31333" : VNWard("Xã Vị Tân", 31333, VietnamDivisionType.XA, "xa_vi_tan", 930),
  "W_31336" : VNWard("Xã Hoả Lựu", 31336, VietnamDivisionType.XA, "xa_hoa_luu", 930),
  "W_31338" : VNWard("Xã Tân Tiến", 31338, VietnamDivisionType.XA, "xa_tan_tien", 930),
  "W_31339" : VNWard("Xã Hoả Tiến", 31339, VietnamDivisionType.XA, "xa_hoa_tien", 930),
  "W_31340" : VNWard("Phường Ngã Bảy", 31340, VietnamDivisionType.PHUONG, "phuong_nga_bay", 931),
  "W_31341" : VNWard("Phường Lái Hiếu", 31341, VietnamDivisionType.PHUONG, "phuong_lai_hieu", 931),
  "W_31343" : VNWard("Phường Hiệp Thành", 31343, VietnamDivisionType.PHUONG, "phuong_hiep_thanh", 931),
  "W_31344" : VNWard("Phường Hiệp Lợi", 31344, VietnamDivisionType.PHUONG, "phuong_hiep_loi", 931),
  "W_31411" : VNWard("Xã Đại Thành", 31411, VietnamDivisionType.XA, "xa_dai_thanh", 931),
  "W_31414" : VNWard("Xã Tân Thành", 31414, VietnamDivisionType.XA, "xa_tan_thanh", 931),
  "W_31342" : VNWard("Thị trấn Một Ngàn", 31342, VietnamDivisionType.THI_TRAN, "thi_tran_mot_ngan", 932),
  "W_31345" : VNWard("Xã Tân Hoà", 31345, VietnamDivisionType.XA, "xa_tan_hoa", 932),
  "W_31346" : VNWard("Thị trấn Bảy Ngàn", 31346, VietnamDivisionType.THI_TRAN, "thi_tran_bay_ngan", 932),
  "W_31348" : VNWard("Xã Trường Long Tây", 31348, VietnamDivisionType.XA, "xa_truong_long_tay", 932),
  "W_31351" : VNWard("Xã Trường Long A", 31351, VietnamDivisionType.XA, "xa_truong_long_a", 932),
  "W_31357" : VNWard("Xã Nhơn Nghĩa A", 31357, VietnamDivisionType.XA, "xa_nhon_nghia_a", 932),
  "W_31359" : VNWard("Thị trấn Rạch Gòi", 31359, VietnamDivisionType.THI_TRAN, "thi_tran_rach_goi", 932),
  "W_31360" : VNWard("Xã Thạnh Xuân", 31360, VietnamDivisionType.XA, "xa_thanh_xuan", 932),
  "W_31362" : VNWard("Thị trấn Cái Tắc", 31362, VietnamDivisionType.THI_TRAN, "thi_tran_cai_tac", 932),
  "W_31363" : VNWard("Xã Tân Phú Thạnh", 31363, VietnamDivisionType.XA, "xa_tan_phu_thanh", 932),
  "W_31366" : VNWard("Thị trấn Ngã Sáu", 31366, VietnamDivisionType.THI_TRAN, "thi_tran_nga_sau", 933),
  "W_31369" : VNWard("Xã Đông Thạnh", 31369, VietnamDivisionType.XA, "xa_dong_thanh", 933),
  "W_31375" : VNWard("Xã Đông Phú", 31375, VietnamDivisionType.XA, "xa_dong_phu", 933),
  "W_31378" : VNWard("Xã Phú Hữu", 31378, VietnamDivisionType.XA, "xa_phu_huu", 933),
  "W_31379" : VNWard("Xã Phú Tân", 31379, VietnamDivisionType.XA, "xa_phu_tan", 933),
  "W_31381" : VNWard("Thị trấn Mái Dầm", 31381, VietnamDivisionType.THI_TRAN, "thi_tran_mai_dam", 933),
  "W_31384" : VNWard("Xã Đông Phước", 31384, VietnamDivisionType.XA, "xa_dong_phuoc", 933),
  "W_31387" : VNWard("Xã Đông Phước A", 31387, VietnamDivisionType.XA, "xa_dong_phuoc_a", 933),
  "W_31393" : VNWard("Thị trấn Kinh Cùng", 31393, VietnamDivisionType.THI_TRAN, "thi_tran_kinh_cung", 934),
  "W_31396" : VNWard("Thị trấn Cây Dương", 31396, VietnamDivisionType.THI_TRAN, "thi_tran_cay_duong", 934),
  "W_31399" : VNWard("Xã Tân Bình", 31399, VietnamDivisionType.XA, "xa_tan_binh", 934),
  "W_31402" : VNWard("Xã Bình Thành", 31402, VietnamDivisionType.XA, "xa_binh_thanh", 934),
  "W_31405" : VNWard("Xã Thạnh Hòa", 31405, VietnamDivisionType.XA, "xa_thanh_hoa", 934),
  "W_31408" : VNWard("Xã Long Thạnh", 31408, VietnamDivisionType.XA, "xa_long_thanh", 934),
  "W_31417" : VNWard("Xã Phụng Hiệp", 31417, VietnamDivisionType.XA, "xa_phung_hiep", 934),
  "W_31420" : VNWard("Xã Hòa Mỹ", 31420, VietnamDivisionType.XA, "xa_hoa_my", 934),
  "W_31423" : VNWard("Xã Hòa An", 31423, VietnamDivisionType.XA, "xa_hoa_an", 934),
  "W_31426" : VNWard("Xã Phương Bình", 31426, VietnamDivisionType.XA, "xa_phuong_binh", 934),
  "W_31429" : VNWard("Xã Hiệp Hưng", 31429, VietnamDivisionType.XA, "xa_hiep_hung", 934),
  "W_31432" : VNWard("Xã Tân Phước Hưng", 31432, VietnamDivisionType.XA, "xa_tan_phuoc_hung", 934),
  "W_31433" : VNWard("Thị trấn Búng Tàu", 31433, VietnamDivisionType.THI_TRAN, "thi_tran_bung_tau", 934),
  "W_31435" : VNWard("Xã Phương Phú", 31435, VietnamDivisionType.XA, "xa_phuong_phu", 934),
  "W_31438" : VNWard("Xã Tân Long", 31438, VietnamDivisionType.XA, "xa_tan_long", 934),
  "W_31441" : VNWard("Thị trấn Nàng Mau", 31441, VietnamDivisionType.THI_TRAN, "thi_tran_nang_mau", 935),
  "W_31444" : VNWard("Xã Vị Trung", 31444, VietnamDivisionType.XA, "xa_vi_trung", 935),
  "W_31447" : VNWard("Xã Vị Thuỷ", 31447, VietnamDivisionType.XA, "xa_vi_thuy", 935),
  "W_31450" : VNWard("Xã Vị Thắng", 31450, VietnamDivisionType.XA, "xa_vi_thang", 935),
  "W_31453" : VNWard("Xã Vĩnh Thuận Tây", 31453, VietnamDivisionType.XA, "xa_vinh_thuan_tay", 935),
  "W_31456" : VNWard("Xã Vĩnh Trung", 31456, VietnamDivisionType.XA, "xa_vinh_trung", 935),
  "W_31459" : VNWard("Xã Vĩnh Tường", 31459, VietnamDivisionType.XA, "xa_vinh_tuong", 935),
  "W_31462" : VNWard("Xã Vị Đông", 31462, VietnamDivisionType.XA, "xa_vi_dong", 935),
  "W_31465" : VNWard("Xã Vị Thanh", 31465, VietnamDivisionType.XA, "xa_vi_thanh", 935),
  "W_31468" : VNWard("Xã Vị Bình", 31468, VietnamDivisionType.XA, "xa_vi_binh", 935),
  "W_31483" : VNWard("Xã Thuận Hưng", 31483, VietnamDivisionType.XA, "xa_thuan_hung", 936),
  "W_31484" : VNWard("Xã Thuận Hòa", 31484, VietnamDivisionType.XA, "xa_thuan_hoa", 936),
  "W_31486" : VNWard("Xã Vĩnh Thuận Đông", 31486, VietnamDivisionType.XA, "xa_vinh_thuan_dong", 936),
  "W_31489" : VNWard("Thị trấn Vĩnh Viễn", 31489, VietnamDivisionType.THI_TRAN, "thi_tran_vinh_vien", 936),
  "W_31490" : VNWard("Xã Vĩnh Viễn A", 31490, VietnamDivisionType.XA, "xa_vinh_vien_a", 936),
  "W_31492" : VNWard("Xã Lương Tâm", 31492, VietnamDivisionType.XA, "xa_luong_tam", 936),
  "W_31493" : VNWard("Xã Lương Nghĩa", 31493, VietnamDivisionType.XA, "xa_luong_nghia", 936),
  "W_31495" : VNWard("Xã Xà Phiên", 31495, VietnamDivisionType.XA, "xa_xa_phien", 936),
  "W_31471" : VNWard("Phường Thuận An", 31471, VietnamDivisionType.PHUONG, "phuong_thuan_an", 937),
  "W_31472" : VNWard("Phường Trà Lồng", 31472, VietnamDivisionType.PHUONG, "phuong_tra_long", 937),
  "W_31473" : VNWard("Phường Bình Thạnh", 31473, VietnamDivisionType.PHUONG, "phuong_binh_thanh", 937),
  "W_31474" : VNWard("Xã Long Bình", 31474, VietnamDivisionType.XA, "xa_long_binh", 937),
  "W_31475" : VNWard("Phường Vĩnh Tường", 31475, VietnamDivisionType.PHUONG, "phuong_vinh_tuong", 937),
  "W_31477" : VNWard("Xã Long Trị", 31477, VietnamDivisionType.XA, "xa_long_tri", 937),
  "W_31478" : VNWard("Xã Long Trị A", 31478, VietnamDivisionType.XA, "xa_long_tri_a", 937),
  "W_31480" : VNWard("Xã Long Phú", 31480, VietnamDivisionType.XA, "xa_long_phu", 937),
  "W_31481" : VNWard("Xã Tân Phú", 31481, VietnamDivisionType.XA, "xa_tan_phu", 937),
  "W_31498" : VNWard("Phường 5", 31498, VietnamDivisionType.PHUONG, "phuong_5", 941),
  "W_31501" : VNWard("Phường 7", 31501, VietnamDivisionType.PHUONG, "phuong_7", 941),
  "W_31504" : VNWard("Phường 8", 31504, VietnamDivisionType.PHUONG, "phuong_8", 941),
  "W_31507" : VNWard("Phường 6", 31507, VietnamDivisionType.PHUONG, "phuong_6", 941),
  "W_31510" : VNWard("Phường 2", 31510, VietnamDivisionType.PHUONG, "phuong_2", 941),
  "W_31513" : VNWard("Phường 1", 31513, VietnamDivisionType.PHUONG, "phuong_1", 941),
  "W_31516" : VNWard("Phường 4", 31516, VietnamDivisionType.PHUONG, "phuong_4", 941),
  "W_31519" : VNWard("Phường 3", 31519, VietnamDivisionType.PHUONG, "phuong_3", 941),
  "W_31522" : VNWard("Phường 9", 31522, VietnamDivisionType.PHUONG, "phuong_9", 941),
  "W_31525" : VNWard("Phường 10", 31525, VietnamDivisionType.PHUONG, "phuong_10", 941),
  "W_31569" : VNWard("Thị trấn Châu Thành", 31569, VietnamDivisionType.THI_TRAN, "thi_tran_chau_thanh", 942),
  "W_31570" : VNWard("Xã Hồ Đắc Kiện", 31570, VietnamDivisionType.XA, "xa_ho_dac_kien", 942),
  "W_31573" : VNWard("Xã Phú Tâm", 31573, VietnamDivisionType.XA, "xa_phu_tam", 942),
  "W_31576" : VNWard("Xã Thuận Hòa", 31576, VietnamDivisionType.XA, "xa_thuan_hoa", 942),
  "W_31582" : VNWard("Xã Phú Tân", 31582, VietnamDivisionType.XA, "xa_phu_tan", 942),
  "W_31585" : VNWard("Xã Thiện Mỹ", 31585, VietnamDivisionType.XA, "xa_thien_my", 942),
  "W_31594" : VNWard("Xã An Hiệp", 31594, VietnamDivisionType.XA, "xa_an_hiep", 942),
  "W_31600" : VNWard("Xã An Ninh", 31600, VietnamDivisionType.XA, "xa_an_ninh", 942),
  "W_31528" : VNWard("Thị trấn Kế Sách", 31528, VietnamDivisionType.THI_TRAN, "thi_tran_ke_sach", 943),
  "W_31531" : VNWard("Thị trấn An Lạc Thôn", 31531, VietnamDivisionType.THI_TRAN, "thi_tran_an_lac_thon", 943),
  "W_31534" : VNWard("Xã Xuân Hòa", 31534, VietnamDivisionType.XA, "xa_xuan_hoa", 943),
  "W_31537" : VNWard("Xã Phong Nẫm", 31537, VietnamDivisionType.XA, "xa_phong_nam", 943),
  "W_31540" : VNWard("Xã An Lạc Tây", 31540, VietnamDivisionType.XA, "xa_an_lac_tay", 943),
  "W_31543" : VNWard("Xã Trinh Phú", 31543, VietnamDivisionType.XA, "xa_trinh_phu", 943),
  "W_31546" : VNWard("Xã Ba Trinh", 31546, VietnamDivisionType.XA, "xa_ba_trinh", 943),
  "W_31549" : VNWard("Xã Thới An Hội", 31549, VietnamDivisionType.XA, "xa_thoi_an_hoi", 943),
  "W_31552" : VNWard("Xã Nhơn Mỹ", 31552, VietnamDivisionType.XA, "xa_nhon_my", 943),
  "W_31555" : VNWard("Xã Kế Thành", 31555, VietnamDivisionType.XA, "xa_ke_thanh", 943),
  "W_31558" : VNWard("Xã Kế An", 31558, VietnamDivisionType.XA, "xa_ke_an", 943),
  "W_31561" : VNWard("Xã Đại Hải", 31561, VietnamDivisionType.XA, "xa_dai_hai", 943),
  "W_31564" : VNWard("Xã An Mỹ", 31564, VietnamDivisionType.XA, "xa_an_my", 943),
  "W_31567" : VNWard("Thị trấn Huỳnh Hữu Nghĩa", 31567, VietnamDivisionType.THI_TRAN, "thi_tran_huynh_huu_nghia", 944),
  "W_31579" : VNWard("Xã Long Hưng", 31579, VietnamDivisionType.XA, "xa_long_hung", 944),
  "W_31588" : VNWard("Xã Hưng Phú", 31588, VietnamDivisionType.XA, "xa_hung_phu", 944),
  "W_31591" : VNWard("Xã Mỹ Hương", 31591, VietnamDivisionType.XA, "xa_my_huong", 944),
  "W_31597" : VNWard("Xã Mỹ Tú", 31597, VietnamDivisionType.XA, "xa_my_tu", 944),
  "W_31603" : VNWard("Xã Mỹ Phước", 31603, VietnamDivisionType.XA, "xa_my_phuoc", 944),
  "W_31606" : VNWard("Xã Thuận Hưng", 31606, VietnamDivisionType.XA, "xa_thuan_hung", 944),
  "W_31609" : VNWard("Xã Mỹ Thuận", 31609, VietnamDivisionType.XA, "xa_my_thuan", 944),
  "W_31612" : VNWard("Xã Phú Mỹ", 31612, VietnamDivisionType.XA, "xa_phu_my", 944),
  "W_31615" : VNWard("Thị trấn Cù Lao Dung", 31615, VietnamDivisionType.THI_TRAN, "thi_tran_cu_lao_dung", 945),
  "W_31618" : VNWard("Xã An Thạnh 1", 31618, VietnamDivisionType.XA, "xa_an_thanh_1", 945),
  "W_31621" : VNWard("Xã An Thạnh Tây", 31621, VietnamDivisionType.XA, "xa_an_thanh_tay", 945),
  "W_31624" : VNWard("Xã An Thạnh Đông", 31624, VietnamDivisionType.XA, "xa_an_thanh_dong", 945),
  "W_31627" : VNWard("Xã Đại Ân 1", 31627, VietnamDivisionType.XA, "xa_dai_an_1", 945),
  "W_31630" : VNWard("Xã An Thạnh 2", 31630, VietnamDivisionType.XA, "xa_an_thanh_2", 945),
  "W_31633" : VNWard("Xã An Thạnh 3", 31633, VietnamDivisionType.XA, "xa_an_thanh_3", 945),
  "W_31636" : VNWard("Xã An Thạnh Nam", 31636, VietnamDivisionType.XA, "xa_an_thanh_nam", 945),
  "W_31639" : VNWard("Thị trấn Long Phú", 31639, VietnamDivisionType.THI_TRAN, "thi_tran_long_phu", 946),
  "W_31642" : VNWard("Xã Song Phụng", 31642, VietnamDivisionType.XA, "xa_song_phung", 946),
  "W_31645" : VNWard("Thị trấn Đại Ngãi", 31645, VietnamDivisionType.THI_TRAN, "thi_tran_dai_ngai", 946),
  "W_31648" : VNWard("Xã Hậu Thạnh", 31648, VietnamDivisionType.XA, "xa_hau_thanh", 946),
  "W_31651" : VNWard("Xã Long Đức", 31651, VietnamDivisionType.XA, "xa_long_duc", 946),
  "W_31654" : VNWard("Xã Trường Khánh", 31654, VietnamDivisionType.XA, "xa_truong_khanh", 946),
  "W_31657" : VNWard("Xã Phú Hữu", 31657, VietnamDivisionType.XA, "xa_phu_huu", 946),
  "W_31660" : VNWard("Xã Tân Hưng", 31660, VietnamDivisionType.XA, "xa_tan_hung", 946),
  "W_31663" : VNWard("Xã Châu Khánh", 31663, VietnamDivisionType.XA, "xa_chau_khanh", 946),
  "W_31666" : VNWard("Xã Tân Thạnh", 31666, VietnamDivisionType.XA, "xa_tan_thanh", 946),
  "W_31669" : VNWard("Xã Long Phú", 31669, VietnamDivisionType.XA, "xa_long_phu", 946),
  "W_31684" : VNWard("Thị trấn Mỹ Xuyên", 31684, VietnamDivisionType.THI_TRAN, "thi_tran_my_xuyen", 947),
  "W_31690" : VNWard("Xã Đại Tâm", 31690, VietnamDivisionType.XA, "xa_dai_tam", 947),
  "W_31693" : VNWard("Xã Tham Đôn", 31693, VietnamDivisionType.XA, "xa_tham_don", 947),
  "W_31708" : VNWard("Xã Thạnh Phú", 31708, VietnamDivisionType.XA, "xa_thanh_phu", 947),
  "W_31711" : VNWard("Xã Ngọc Đông", 31711, VietnamDivisionType.XA, "xa_ngoc_dong", 947),
  "W_31714" : VNWard("Xã Thạnh Quới", 31714, VietnamDivisionType.XA, "xa_thanh_quoi", 947),
  "W_31717" : VNWard("Xã Hòa Tú 1", 31717, VietnamDivisionType.XA, "xa_hoa_tu_1", 947),
  "W_31720" : VNWard("Xã Gia Hòa 1", 31720, VietnamDivisionType.XA, "xa_gia_hoa_1", 947),
  "W_31723" : VNWard("Xã Ngọc Tố", 31723, VietnamDivisionType.XA, "xa_ngoc_to", 947),
  "W_31726" : VNWard("Xã Gia Hòa 2", 31726, VietnamDivisionType.XA, "xa_gia_hoa_2", 947),
  "W_31729" : VNWard("Xã Hòa Tú II", 31729, VietnamDivisionType.XA, "xa_hoa_tu_ii", 947),
  "W_31732" : VNWard("Phường 1", 31732, VietnamDivisionType.PHUONG, "phuong_1", 948),
  "W_31735" : VNWard("Phường 2", 31735, VietnamDivisionType.PHUONG, "phuong_2", 948),
  "W_31738" : VNWard("Xã Vĩnh Quới", 31738, VietnamDivisionType.XA, "xa_vinh_quoi", 948),
  "W_31741" : VNWard("Xã Tân Long", 31741, VietnamDivisionType.XA, "xa_tan_long", 948),
  "W_31744" : VNWard("Xã Long Bình", 31744, VietnamDivisionType.XA, "xa_long_binh", 948),
  "W_31747" : VNWard("Phường 3", 31747, VietnamDivisionType.PHUONG, "phuong_3", 948),
  "W_31750" : VNWard("Xã Mỹ Bình", 31750, VietnamDivisionType.XA, "xa_my_binh", 948),
  "W_31753" : VNWard("Xã Mỹ Quới", 31753, VietnamDivisionType.XA, "xa_my_quoi", 948),
  "W_31756" : VNWard("Thị trấn Phú Lộc", 31756, VietnamDivisionType.THI_TRAN, "thi_tran_phu_loc", 949),
  "W_31757" : VNWard("Thị trấn Hưng Lợi", 31757, VietnamDivisionType.THI_TRAN, "thi_tran_hung_loi", 949),
  "W_31759" : VNWard("Xã Lâm Tân", 31759, VietnamDivisionType.XA, "xa_lam_tan", 949),
  "W_31762" : VNWard("Xã Thạnh Tân", 31762, VietnamDivisionType.XA, "xa_thanh_tan", 949),
  "W_31765" : VNWard("Xã Lâm Kiết", 31765, VietnamDivisionType.XA, "xa_lam_kiet", 949),
  "W_31768" : VNWard("Xã Tuân Tức", 31768, VietnamDivisionType.XA, "xa_tuan_tuc", 949),
  "W_31771" : VNWard("Xã Vĩnh Thành", 31771, VietnamDivisionType.XA, "xa_vinh_thanh", 949),
  "W_31774" : VNWard("Xã Thạnh Trị", 31774, VietnamDivisionType.XA, "xa_thanh_tri", 949),
  "W_31777" : VNWard("Xã Vĩnh Lợi", 31777, VietnamDivisionType.XA, "xa_vinh_loi", 949),
  "W_31780" : VNWard("Xã Châu Hưng", 31780, VietnamDivisionType.XA, "xa_chau_hung", 949),
  "W_31783" : VNWard("Phường 1", 31783, VietnamDivisionType.PHUONG, "phuong_1", 950),
  "W_31786" : VNWard("Xã Hòa Đông", 31786, VietnamDivisionType.XA, "xa_hoa_dong", 950),
  "W_31789" : VNWard("Phường Khánh Hòa", 31789, VietnamDivisionType.PHUONG, "phuong_khanh_hoa", 950),
  "W_31792" : VNWard("Xã Vĩnh Hiệp", 31792, VietnamDivisionType.XA, "xa_vinh_hiep", 950),
  "W_31795" : VNWard("Xã Vĩnh Hải", 31795, VietnamDivisionType.XA, "xa_vinh_hai", 950),
  "W_31798" : VNWard("Xã Lạc Hòa", 31798, VietnamDivisionType.XA, "xa_lac_hoa", 950),
  "W_31801" : VNWard("Phường 2", 31801, VietnamDivisionType.PHUONG, "phuong_2", 950),
  "W_31804" : VNWard("Phường Vĩnh Phước", 31804, VietnamDivisionType.PHUONG, "phuong_vinh_phuoc", 950),
  "W_31807" : VNWard("Xã Vĩnh Tân", 31807, VietnamDivisionType.XA, "xa_vinh_tan", 950),
  "W_31810" : VNWard("Xã Lai Hòa", 31810, VietnamDivisionType.XA, "xa_lai_hoa", 950),
  "W_31672" : VNWard("Xã Đại Ân 2", 31672, VietnamDivisionType.XA, "xa_dai_an_2", 951),
  "W_31673" : VNWard("Thị trấn Trần Đề", 31673, VietnamDivisionType.THI_TRAN, "thi_tran_tran_de", 951),
  "W_31675" : VNWard("Xã Liêu Tú", 31675, VietnamDivisionType.XA, "xa_lieu_tu", 951),
  "W_31678" : VNWard("Xã Lịch Hội Thượng", 31678, VietnamDivisionType.XA, "xa_lich_hoi_thuong", 951),
  "W_31679" : VNWard("Thị trấn Lịch Hội Thượng", 31679, VietnamDivisionType.THI_TRAN, "thi_tran_lich_hoi_thuong", 951),
  "W_31681" : VNWard("Xã Trung Bình", 31681, VietnamDivisionType.XA, "xa_trung_binh", 951),
  "W_31687" : VNWard("Xã Tài Văn", 31687, VietnamDivisionType.XA, "xa_tai_van", 951),
  "W_31696" : VNWard("Xã Viên An", 31696, VietnamDivisionType.XA, "xa_vien_an", 951),
  "W_31699" : VNWard("Xã Thạnh Thới An", 31699, VietnamDivisionType.XA, "xa_thanh_thoi_an", 951),
  "W_31702" : VNWard("Xã Thạnh Thới Thuận", 31702, VietnamDivisionType.XA, "xa_thanh_thoi_thuan", 951),
  "W_31705" : VNWard("Xã Viên Bình", 31705, VietnamDivisionType.XA, "xa_vien_binh", 951),
  "W_31813" : VNWard("Phường 2", 31813, VietnamDivisionType.PHUONG, "phuong_2", 954),
  "W_31816" : VNWard("Phường 3", 31816, VietnamDivisionType.PHUONG, "phuong_3", 954),
  "W_31819" : VNWard("Phường 5", 31819, VietnamDivisionType.PHUONG, "phuong_5", 954),
  "W_31822" : VNWard("Phường 7", 31822, VietnamDivisionType.PHUONG, "phuong_7", 954),
  "W_31825" : VNWard("Phường 1", 31825, VietnamDivisionType.PHUONG, "phuong_1", 954),
  "W_31828" : VNWard("Phường 8", 31828, VietnamDivisionType.PHUONG, "phuong_8", 954),
  "W_31831" : VNWard("Phường Nhà Mát", 31831, VietnamDivisionType.PHUONG, "phuong_nha_mat", 954),
  "W_31834" : VNWard("Xã Vĩnh Trạch", 31834, VietnamDivisionType.XA, "xa_vinh_trach", 954),
  "W_31837" : VNWard("Xã Vĩnh Trạch Đông", 31837, VietnamDivisionType.XA, "xa_vinh_trach_dong", 954),
  "W_31840" : VNWard("Xã Hiệp Thành", 31840, VietnamDivisionType.XA, "xa_hiep_thanh", 954),
  "W_31843" : VNWard("Thị trấn Ngan Dừa", 31843, VietnamDivisionType.THI_TRAN, "thi_tran_ngan_dua", 956),
  "W_31846" : VNWard("Xã Ninh Quới", 31846, VietnamDivisionType.XA, "xa_ninh_quoi", 956),
  "W_31849" : VNWard("Xã Ninh Quới A", 31849, VietnamDivisionType.XA, "xa_ninh_quoi_a", 956),
  "W_31852" : VNWard("Xã Ninh Hòa", 31852, VietnamDivisionType.XA, "xa_ninh_hoa", 956),
  "W_31855" : VNWard("Xã Lộc Ninh", 31855, VietnamDivisionType.XA, "xa_loc_ninh", 956),
  "W_31858" : VNWard("Xã Vĩnh Lộc", 31858, VietnamDivisionType.XA, "xa_vinh_loc", 956),
  "W_31861" : VNWard("Xã Vĩnh Lộc A", 31861, VietnamDivisionType.XA, "xa_vinh_loc_a", 956),
  "W_31863" : VNWard("Xã Ninh Thạnh Lợi A", 31863, VietnamDivisionType.XA, "xa_ninh_thanh_loi_a", 956),
  "W_31864" : VNWard("Xã Ninh Thạnh Lợi", 31864, VietnamDivisionType.XA, "xa_ninh_thanh_loi", 956),
  "W_31867" : VNWard("Thị trấn Phước Long", 31867, VietnamDivisionType.THI_TRAN, "thi_tran_phuoc_long", 957),
  "W_31870" : VNWard("Xã Vĩnh Phú Đông", 31870, VietnamDivisionType.XA, "xa_vinh_phu_dong", 957),
  "W_31873" : VNWard("Xã Vĩnh Phú Tây", 31873, VietnamDivisionType.XA, "xa_vinh_phu_tay", 957),
  "W_31876" : VNWard("Xã Phước Long", 31876, VietnamDivisionType.XA, "xa_phuoc_long", 957),
  "W_31879" : VNWard("Xã Hưng Phú", 31879, VietnamDivisionType.XA, "xa_hung_phu", 957),
  "W_31882" : VNWard("Xã Vĩnh Thanh", 31882, VietnamDivisionType.XA, "xa_vinh_thanh", 957),
  "W_31885" : VNWard("Xã Phong Thạnh Tây A", 31885, VietnamDivisionType.XA, "xa_phong_thanh_tay_a", 957),
  "W_31888" : VNWard("Xã Phong Thạnh Tây B", 31888, VietnamDivisionType.XA, "xa_phong_thanh_tay_b", 957),
  "W_31894" : VNWard("Xã Vĩnh Hưng", 31894, VietnamDivisionType.XA, "xa_vinh_hung", 958),
  "W_31897" : VNWard("Xã Vĩnh Hưng A", 31897, VietnamDivisionType.XA, "xa_vinh_hung_a", 958),
  "W_31900" : VNWard("Thị trấn Châu Hưng", 31900, VietnamDivisionType.THI_TRAN, "thi_tran_chau_hung", 958),
  "W_31903" : VNWard("Xã Châu Hưng A", 31903, VietnamDivisionType.XA, "xa_chau_hung_a", 958),
  "W_31906" : VNWard("Xã Hưng Thành", 31906, VietnamDivisionType.XA, "xa_hung_thanh", 958),
  "W_31909" : VNWard("Xã Hưng Hội", 31909, VietnamDivisionType.XA, "xa_hung_hoi", 958),
  "W_31912" : VNWard("Xã Châu Thới", 31912, VietnamDivisionType.XA, "xa_chau_thoi", 958),
  "W_31921" : VNWard("Xã Long Thạnh", 31921, VietnamDivisionType.XA, "xa_long_thanh", 958),
  "W_31942" : VNWard("Phường 1", 31942, VietnamDivisionType.PHUONG, "phuong_1", 959),
  "W_31945" : VNWard("Phường Hộ Phòng", 31945, VietnamDivisionType.PHUONG, "phuong_ho_phong", 959),
  "W_31948" : VNWard("Xã Phong Thạnh Đông", 31948, VietnamDivisionType.XA, "xa_phong_thanh_dong", 959),
  "W_31951" : VNWard("Phường Láng Tròn", 31951, VietnamDivisionType.PHUONG, "phuong_lang_tron", 959),
  "W_31954" : VNWard("Xã Phong Tân", 31954, VietnamDivisionType.XA, "xa_phong_tan", 959),
  "W_31957" : VNWard("Xã Tân Phong", 31957, VietnamDivisionType.XA, "xa_tan_phong", 959),
  "W_31960" : VNWard("Xã Phong Thạnh", 31960, VietnamDivisionType.XA, "xa_phong_thanh", 959),
  "W_31963" : VNWard("Xã Phong Thạnh A", 31963, VietnamDivisionType.XA, "xa_phong_thanh_a", 959),
  "W_31966" : VNWard("Xã Phong Thạnh Tây", 31966, VietnamDivisionType.XA, "xa_phong_thanh_tay", 959),
  "W_31969" : VNWard("Xã Tân Thạnh", 31969, VietnamDivisionType.XA, "xa_tan_thanh", 959),
  "W_31972" : VNWard("Thị trấn Gành Hào", 31972, VietnamDivisionType.THI_TRAN, "thi_tran_ganh_hao", 960),
  "W_31975" : VNWard("Xã Long Điền Đông", 31975, VietnamDivisionType.XA, "xa_long_dien_dong", 960),
  "W_31978" : VNWard("Xã Long Điền Đông A", 31978, VietnamDivisionType.XA, "xa_long_dien_dong_a", 960),
  "W_31981" : VNWard("Xã Long Điền", 31981, VietnamDivisionType.XA, "xa_long_dien", 960),
  "W_31984" : VNWard("Xã Long Điền Tây", 31984, VietnamDivisionType.XA, "xa_long_dien_tay", 960),
  "W_31985" : VNWard("Xã Điền Hải", 31985, VietnamDivisionType.XA, "xa_dien_hai", 960),
  "W_31987" : VNWard("Xã An Trạch", 31987, VietnamDivisionType.XA, "xa_an_trach", 960),
  "W_31988" : VNWard("Xã An Trạch A", 31988, VietnamDivisionType.XA, "xa_an_trach_a", 960),
  "W_31990" : VNWard("Xã An Phúc", 31990, VietnamDivisionType.XA, "xa_an_phuc", 960),
  "W_31993" : VNWard("Xã Định Thành", 31993, VietnamDivisionType.XA, "xa_dinh_thanh", 960),
  "W_31996" : VNWard("Xã Định Thành A", 31996, VietnamDivisionType.XA, "xa_dinh_thanh_a", 960),
  "W_31891" : VNWard("Thị trấn Hòa Bình", 31891, VietnamDivisionType.THI_TRAN, "thi_tran_hoa_binh", 961),
  "W_31915" : VNWard("Xã Minh Diệu", 31915, VietnamDivisionType.XA, "xa_minh_dieu", 961),
  "W_31918" : VNWard("Xã Vĩnh Bình", 31918, VietnamDivisionType.XA, "xa_vinh_binh", 961),
  "W_31924" : VNWard("Xã Vĩnh Mỹ B", 31924, VietnamDivisionType.XA, "xa_vinh_my_b", 961),
  "W_31927" : VNWard("Xã Vĩnh Hậu", 31927, VietnamDivisionType.XA, "xa_vinh_hau", 961),
  "W_31930" : VNWard("Xã Vĩnh Hậu A", 31930, VietnamDivisionType.XA, "xa_vinh_hau_a", 961),
  "W_31933" : VNWard("Xã Vĩnh Mỹ A", 31933, VietnamDivisionType.XA, "xa_vinh_my_a", 961),
  "W_31936" : VNWard("Xã Vĩnh Thịnh", 31936, VietnamDivisionType.XA, "xa_vinh_thinh", 961),
  "W_31999" : VNWard("Phường 9", 31999, VietnamDivisionType.PHUONG, "phuong_9", 964),
  "W_32002" : VNWard("Phường 4", 32002, VietnamDivisionType.PHUONG, "phuong_4", 964),
  "W_32005" : VNWard("Phường 1", 32005, VietnamDivisionType.PHUONG, "phuong_1", 964),
  "W_32008" : VNWard("Phường 5", 32008, VietnamDivisionType.PHUONG, "phuong_5", 964),
  "W_32011" : VNWard("Phường 2", 32011, VietnamDivisionType.PHUONG, "phuong_2", 964),
  "W_32014" : VNWard("Phường 8", 32014, VietnamDivisionType.PHUONG, "phuong_8", 964),
  "W_32017" : VNWard("Phường 6", 32017, VietnamDivisionType.PHUONG, "phuong_6", 964),
  "W_32020" : VNWard("Phường 7", 32020, VietnamDivisionType.PHUONG, "phuong_7", 964),
  "W_32022" : VNWard("Phường Tân Xuyên", 32022, VietnamDivisionType.PHUONG, "phuong_tan_xuyen", 964),
  "W_32023" : VNWard("Xã An Xuyên", 32023, VietnamDivisionType.XA, "xa_an_xuyen", 964),
  "W_32025" : VNWard("Phường Tân Thành", 32025, VietnamDivisionType.PHUONG, "phuong_tan_thanh", 964),
  "W_32026" : VNWard("Xã Tân Thành", 32026, VietnamDivisionType.XA, "xa_tan_thanh", 964),
  "W_32029" : VNWard("Xã Tắc Vân", 32029, VietnamDivisionType.XA, "xa_tac_van", 964),
  "W_32032" : VNWard("Xã Lý Văn Lâm", 32032, VietnamDivisionType.XA, "xa_ly_van_lam", 964),
  "W_32035" : VNWard("Xã Định Bình", 32035, VietnamDivisionType.XA, "xa_dinh_binh", 964),
  "W_32038" : VNWard("Xã Hòa Thành", 32038, VietnamDivisionType.XA, "xa_hoa_thanh", 964),
  "W_32041" : VNWard("Xã Hòa Tân", 32041, VietnamDivisionType.XA, "xa_hoa_tan", 964),
  "W_32044" : VNWard("Thị trấn U Minh", 32044, VietnamDivisionType.THI_TRAN, "thi_tran_u_minh", 966),
  "W_32047" : VNWard("Xã Khánh Hòa", 32047, VietnamDivisionType.XA, "xa_khanh_hoa", 966),
  "W_32048" : VNWard("Xã Khánh Thuận", 32048, VietnamDivisionType.XA, "xa_khanh_thuan", 966),
  "W_32050" : VNWard("Xã Khánh Tiến", 32050, VietnamDivisionType.XA, "xa_khanh_tien", 966),
  "W_32053" : VNWard("Xã Nguyễn Phích", 32053, VietnamDivisionType.XA, "xa_nguyen_phich", 966),
  "W_32056" : VNWard("Xã Khánh Lâm", 32056, VietnamDivisionType.XA, "xa_khanh_lam", 966),
  "W_32059" : VNWard("Xã Khánh An", 32059, VietnamDivisionType.XA, "xa_khanh_an", 966),
  "W_32062" : VNWard("Xã Khánh Hội", 32062, VietnamDivisionType.XA, "xa_khanh_hoi", 966),
  "W_32065" : VNWard("Thị trấn Thới Bình", 32065, VietnamDivisionType.THI_TRAN, "thi_tran_thoi_binh", 967),
  "W_32068" : VNWard("Xã Biển Bạch", 32068, VietnamDivisionType.XA, "xa_bien_bach", 967),
  "W_32069" : VNWard("Xã Tân Bằng", 32069, VietnamDivisionType.XA, "xa_tan_bang", 967),
  "W_32071" : VNWard("Xã Trí Phải", 32071, VietnamDivisionType.XA, "xa_tri_phai", 967),
  "W_32072" : VNWard("Xã Trí Lực", 32072, VietnamDivisionType.XA, "xa_tri_luc", 967),
  "W_32074" : VNWard("Xã Biển Bạch Đông", 32074, VietnamDivisionType.XA, "xa_bien_bach_dong", 967),
  "W_32077" : VNWard("Xã Thới Bình", 32077, VietnamDivisionType.XA, "xa_thoi_binh", 967),
  "W_32080" : VNWard("Xã Tân Phú", 32080, VietnamDivisionType.XA, "xa_tan_phu", 967),
  "W_32083" : VNWard("Xã Tân Lộc Bắc", 32083, VietnamDivisionType.XA, "xa_tan_loc_bac", 967),
  "W_32086" : VNWard("Xã Tân Lộc", 32086, VietnamDivisionType.XA, "xa_tan_loc", 967),
  "W_32089" : VNWard("Xã Tân Lộc Đông", 32089, VietnamDivisionType.XA, "xa_tan_loc_dong", 967),
  "W_32092" : VNWard("Xã Hồ Thị Kỷ", 32092, VietnamDivisionType.XA, "xa_ho_thi_ky", 967),
  "W_32095" : VNWard("Thị trấn Trần Văn Thời", 32095, VietnamDivisionType.THI_TRAN, "thi_tran_tran_van_thoi", 968),
  "W_32098" : VNWard("Thị trấn Sông Đốc", 32098, VietnamDivisionType.THI_TRAN, "thi_tran_song_doc", 968),
  "W_32101" : VNWard("Xã Khánh Bình Tây Bắc", 32101, VietnamDivisionType.XA, "xa_khanh_binh_tay_bac", 968),
  "W_32104" : VNWard("Xã Khánh Bình Tây", 32104, VietnamDivisionType.XA, "xa_khanh_binh_tay", 968),
  "W_32107" : VNWard("Xã Trần Hợi", 32107, VietnamDivisionType.XA, "xa_tran_hoi", 968),
  "W_32108" : VNWard("Xã Khánh Lộc", 32108, VietnamDivisionType.XA, "xa_khanh_loc", 968),
  "W_32110" : VNWard("Xã Khánh Bình", 32110, VietnamDivisionType.XA, "xa_khanh_binh", 968),
  "W_32113" : VNWard("Xã Khánh Hưng", 32113, VietnamDivisionType.XA, "xa_khanh_hung", 968),
  "W_32116" : VNWard("Xã Khánh Bình Đông", 32116, VietnamDivisionType.XA, "xa_khanh_binh_dong", 968),
  "W_32119" : VNWard("Xã Khánh Hải", 32119, VietnamDivisionType.XA, "xa_khanh_hai", 968),
  "W_32122" : VNWard("Xã Lợi An", 32122, VietnamDivisionType.XA, "xa_loi_an", 968),
  "W_32124" : VNWard("Xã Phong Điền", 32124, VietnamDivisionType.XA, "xa_phong_dien", 968),
  "W_32125" : VNWard("Xã Phong Lạc", 32125, VietnamDivisionType.XA, "xa_phong_lac", 968),
  "W_32128" : VNWard("Thị trấn Cái Nước", 32128, VietnamDivisionType.THI_TRAN, "thi_tran_cai_nuoc", 969),
  "W_32130" : VNWard("Xã Thạnh Phú", 32130, VietnamDivisionType.XA, "xa_thanh_phu", 969),
  "W_32131" : VNWard("Xã Lương Thế Trân", 32131, VietnamDivisionType.XA, "xa_luong_the_tran", 969),
  "W_32134" : VNWard("Xã Phú Hưng", 32134, VietnamDivisionType.XA, "xa_phu_hung", 969),
  "W_32137" : VNWard("Xã Tân Hưng", 32137, VietnamDivisionType.XA, "xa_tan_hung", 969),
  "W_32140" : VNWard("Xã Hưng Mỹ", 32140, VietnamDivisionType.XA, "xa_hung_my", 969),
  "W_32141" : VNWard("Xã Hoà Mỹ", 32141, VietnamDivisionType.XA, "xa_hoa_my", 969),
  "W_32142" : VNWard("Xã Đông Hưng", 32142, VietnamDivisionType.XA, "xa_dong_hung", 969),
  "W_32143" : VNWard("Xã Đông Thới", 32143, VietnamDivisionType.XA, "xa_dong_thoi", 969),
  "W_32146" : VNWard("Xã Tân Hưng Đông", 32146, VietnamDivisionType.XA, "xa_tan_hung_dong", 969),
  "W_32149" : VNWard("Xã Trần Thới", 32149, VietnamDivisionType.XA, "xa_tran_thoi", 969),
  "W_32152" : VNWard("Thị trấn Đầm Dơi", 32152, VietnamDivisionType.THI_TRAN, "thi_tran_dam_doi", 970),
  "W_32155" : VNWard("Xã Tạ An Khương", 32155, VietnamDivisionType.XA, "xa_ta_an_khuong", 970),
  "W_32158" : VNWard("Xã Tạ An Khương Đông", 32158, VietnamDivisionType.XA, "xa_ta_an_khuong_dong", 970),
  "W_32161" : VNWard("Xã Trần Phán", 32161, VietnamDivisionType.XA, "xa_tran_phan", 970),
  "W_32162" : VNWard("Xã Tân Trung", 32162, VietnamDivisionType.XA, "xa_tan_trung", 970),
  "W_32164" : VNWard("Xã Tân Đức", 32164, VietnamDivisionType.XA, "xa_tan_duc", 970),
  "W_32167" : VNWard("Xã Tân Thuận", 32167, VietnamDivisionType.XA, "xa_tan_thuan", 970),
  "W_32170" : VNWard("Xã Tạ An Khương Nam", 32170, VietnamDivisionType.XA, "xa_ta_an_khuong_nam", 970),
  "W_32173" : VNWard("Xã Tân Duyệt", 32173, VietnamDivisionType.XA, "xa_tan_duyet", 970),
  "W_32174" : VNWard("Xã Tân Dân", 32174, VietnamDivisionType.XA, "xa_tan_dan", 970),
  "W_32176" : VNWard("Xã Tân Tiến", 32176, VietnamDivisionType.XA, "xa_tan_tien", 970),
  "W_32179" : VNWard("Xã Quách Phẩm Bắc", 32179, VietnamDivisionType.XA, "xa_quach_pham_bac", 970),
  "W_32182" : VNWard("Xã Quách Phẩm", 32182, VietnamDivisionType.XA, "xa_quach_pham", 970),
  "W_32185" : VNWard("Xã Thanh Tùng", 32185, VietnamDivisionType.XA, "xa_thanh_tung", 970),
  "W_32186" : VNWard("Xã Ngọc Chánh", 32186, VietnamDivisionType.XA, "xa_ngoc_chanh", 970),
  "W_32188" : VNWard("Xã Nguyễn Huân", 32188, VietnamDivisionType.XA, "xa_nguyen_huan", 970),
  "W_32191" : VNWard("Thị trấn Năm Căn", 32191, VietnamDivisionType.THI_TRAN, "thi_tran_nam_can", 971),
  "W_32194" : VNWard("Xã Hàm Rồng", 32194, VietnamDivisionType.XA, "xa_ham_rong", 971),
  "W_32197" : VNWard("Xã Hiệp Tùng", 32197, VietnamDivisionType.XA, "xa_hiep_tung", 971),
  "W_32200" : VNWard("Xã Đất Mới", 32200, VietnamDivisionType.XA, "xa_dat_moi", 971),
  "W_32201" : VNWard("Xã Lâm Hải", 32201, VietnamDivisionType.XA, "xa_lam_hai", 971),
  "W_32203" : VNWard("Xã Hàng Vịnh", 32203, VietnamDivisionType.XA, "xa_hang_vinh", 971),
  "W_32206" : VNWard("Xã Tam Giang", 32206, VietnamDivisionType.XA, "xa_tam_giang", 971),
  "W_32209" : VNWard("Xã Tam Giang Đông", 32209, VietnamDivisionType.XA, "xa_tam_giang_dong", 971),
  "W_32212" : VNWard("Thị trấn Cái Đôi Vàm", 32212, VietnamDivisionType.THI_TRAN, "thi_tran_cai_doi_vam", 972),
  "W_32214" : VNWard("Xã Phú Thuận", 32214, VietnamDivisionType.XA, "xa_phu_thuan", 972),
  "W_32215" : VNWard("Xã Phú Mỹ", 32215, VietnamDivisionType.XA, "xa_phu_my", 972),
  "W_32218" : VNWard("Xã Phú Tân", 32218, VietnamDivisionType.XA, "xa_phu_tan", 972),
  "W_32221" : VNWard("Xã Tân Hải", 32221, VietnamDivisionType.XA, "xa_tan_hai", 972),
  "W_32224" : VNWard("Xã Việt Thắng", 32224, VietnamDivisionType.XA, "xa_viet_thang", 972),
  "W_32227" : VNWard("Xã Tân Hưng Tây", 32227, VietnamDivisionType.XA, "xa_tan_hung_tay", 972),
  "W_32228" : VNWard("Xã Rạch Chèo", 32228, VietnamDivisionType.XA, "xa_rach_cheo", 972),
  "W_32230" : VNWard("Xã Nguyễn Việt Khái", 32230, VietnamDivisionType.XA, "xa_nguyen_viet_khai", 972),
  "W_32233" : VNWard("Xã Tam Giang Tây", 32233, VietnamDivisionType.XA, "xa_tam_giang_tay", 973),
  "W_32236" : VNWard("Xã Tân Ân Tây", 32236, VietnamDivisionType.XA, "xa_tan_an_tay", 973),
  "W_32239" : VNWard("Xã Viên An Đông", 32239, VietnamDivisionType.XA, "xa_vien_an_dong", 973),
  "W_32242" : VNWard("Xã Viên An", 32242, VietnamDivisionType.XA, "xa_vien_an", 973),
  "W_32244" : VNWard("Thị trấn Rạch Gốc", 32244, VietnamDivisionType.THI_TRAN, "thi_tran_rach_goc", 973),
  "W_32245" : VNWard("Xã Tân Ân", 32245, VietnamDivisionType.XA, "xa_tan_an", 973),
  "W_32248" : VNWard("Xã Đất Mũi", 32248, VietnamDivisionType.XA, "xa_dat_mui", 973),
};